﻿// Generated by Construct 2, the HTML5 game and app creator :: http://www.scirra.com
//////////////////////////////////////
// COCOONJS.JS                      //
//////////////////////////////////////

(function()
{
	// There should not be a CocoonJS object when this code is executed.
	// if (typeof window.CocoonJS !== 'undefined') throw("This is strange, a CocoonJS object already exists when trying to create it.");

    /**
    * The basic object for all the CocoonJS related specific APIs === extensions.
    * @namespace
    */
    CocoonJS = window.CocoonJS ? window.CocoonJS : {};

	CocoonJS.nativeExtensionObjectAvailable = typeof window.ext !== 'undefined';

	/**
	* This type represents a 2D size structure with horizontal and vertical values.
	* @namespace
	*/
	CocoonJS.Size = {
		/**
		* The horizontal size value.
		*/
		width : 0,

		/**
		* The vertical size value.
		*/
		height : 0
	};

	/**
	* This utility function allows to create an object oriented like hierarchy between two functions using their prototypes.
	* This function adds a "superclass" and a "__super" attributes to the subclass and it's functions to reference the super class.
	* @param {function} subc The subclass function.
	* @param {function} superc The superclass function.
	*/
	CocoonJS.extend = function(subc, superc) {
	    var subcp = subc.prototype;

	    // Class pattern.
	    var CocoonJSExtendHierarchyChainClass = function() {};
	    CocoonJSExtendHierarchyChainClass.prototype = superc.prototype;

	    subc.prototype = new CocoonJSExtendHierarchyChainClass();       // chain prototypes.
	    subc.superclass = superc.prototype;
	    subc.prototype.constructor = subc;

	    // Reset constructor. See Object Oriented Javascript for an in-depth explanation of this.
	    if (superc.prototype.constructor === Object.prototype.constructor) {
	        superc.prototype.constructor = superc;
	    }

	    // Check all the elements in the subclass prototype and add them to the chain object's prototype.
	    for (var method in subcp) {
	        if (subcp.hasOwnProperty(method)) {
	            subc.prototype[method] = subcp[method];

	            // // tenemos en super un metodo con igual nombre.
	            // if ( superc.prototype[method]) 
	            // {
	            //     subc.prototype[method]= (function(fn, fnsuper) 
	            //     {
	            //         return function() 
	            //         {
	            //             var prevMethod= this.__super;

	            //             this.__super= fnsuper;

	            //             var retValue= fn.apply(
	            //                     this,
	            //                     Array.prototype.slice.call(arguments) );

	            //             this.__super= prevMethod;

	            //             return retValue;
	            //         };
	            //     })(subc.prototype[method], superc.prototype[method]);
	            // }
	        }
	    }
	}

	/**
	* IMPORTANT: This function should only be used by Ludei.
	* This function allows a call to the native extension object function reusing the same arguments object.
	* Why is interesting to use this function instead of calling the native object's function directly?
	* As the CocoonJS object functions expicitly receive parameters, if they are not present and the native call is direcly mapped,
	* undefined arguments are passed to the native side. Some native functions do not check the parameters validation
	* correctly (just check the number of parameters passed).
	* Another solution instead of using this function call is to correctly check if the parameters are valid (not undefined) to make the
	* call, but it takes more work than using this approach.
	* @static
	* @param {string} nativeExtensionObjectName The name of the native extension object name. The object that is a member of the 'ext' object.
	* @param {string} nativeFunctionName The name of the function to be called inside the native extension object.
	* @param {object} arguments The arguments object of the CocoonJS extension object function. It contains all the arguments passed to the CocoonJS extension object function and these are the ones that will be passed to the native call too.
	* @param {boolean} [async] A flag to indicate if the makeCall (false or undefined) or the makeCallAsync function should be used to perform the native call.
	* @returns Whatever the native function call returns.
	*/
	CocoonJS.makeNativeExtensionObjectFunctionCall = function(nativeExtensionObjectName, nativeFunctionName, args, async) {
		if (CocoonJS.nativeExtensionObjectAvailable) {
			var argumentsArray = Array.prototype.slice.call(args);
			argumentsArray.unshift(nativeFunctionName);
			var nativeExtensionObject = ext[nativeExtensionObjectName];
			var makeCallFunction = async ? nativeExtensionObject.makeCallAsync : nativeExtensionObject.makeCall;
			var ret = makeCallFunction.apply(nativeExtensionObject, argumentsArray);
			var finalRet = ret;
			if (typeof ret === "string") {
				try	{
					finalRet = JSON.parse(ret);
				}
				catch(error) {
				}
			}
			return finalRet;
		}
	};

	/**
	* Returns an object retrieved from a path specified by a dot specified text path starting from a given base object.
	* It could be useful to find the reference of an object from a defined base object. For example the base object could be window and the
	* path could be "CocoonJS.App" or "document.body".
	* @param {Object} baseObject The object to start from to find the object using the given text path.
	* @param {string} objectPath The path in the form of a text using the dot notation. i.e. "document.body"
	* For example:
	* var body = getObjectFromPath(window, "document.body");
	*/
	CocoonJS.getObjectFromPath = function(baseObject, objectPath) {
    	var parts = objectPath.split('.');
    	var obj = baseObject;
        for (var i = 0, len = parts.length; i < len; ++i) 
        {
            obj[parts[i]] = obj[parts[i]] || undefined;
    		obj = obj[parts[i]];
    	}
    	return obj;
 	};

 	/**
 	* Returns the key for a value in a dictionary. It looks for an specific value inside a dictionary and returns the corresponding key.
 	* @param {Object} dictionary The dictionary to look for the value in and get the corresponding key.
 	* @param {Object} value The value to look for inside the dictionary and return it's corresponding key.
 	* @return The key that corresponds to the given value it is has been found or null.
 	*/
 	CocoonJS.getKeyForValueInDictionary = function(dictionary, value) {
        var finalKey = null;
        for (var key in dictionary) {
            if (dictionary[key] === value)            {
                finalKey = key;
                break;
            }
        }
        return finalKey;
 	}

 	/**
 	* Finds a string inside a given array of strings by looking for a given substring. It can also
 	* specify if the search must be performed taking care or not of the case sensitivity.
 	* @param {Array} stringArray The array of strings in which to to look for the string.
 	* @param {string} subString The substring to look for inside all the strings of the array.
 	* @param {boolean} caseSensitive A flag to indicate if the search must be performed taking case of the 
 	* case sensitiveness (true) or not (false).
 	* @return {string} The string that has been found or null if the substring is not inside any of the string of the array.
 	*/
 	CocoonJS.findStringInStringArrayThatIsIndexOf = function(stringArray, subString, caseSensitive) {
 		var foundString = null;
 		subString = caseSensitive ? subString : subString.toUpperCase();
 		for (var i = 0; foundString == null && i < stringArray.length; i++)	{
 			foundString = caseSensitive ? stringArray[i] : stringArray[i].toUpperCase();
 			foundString = foundString.indexOf(subString) >= 0 ? stringArray[i] : null; 
 		}
 		return foundString;
 	};

	/**
	* A class that represents objects to handle events. Event handlers have always the same structure:
	* Mainly they provide the addEventListener and removeEventListener functions.
	* Both functions receive a callback function that will be added or removed. All the added callback
	* functions will be called when the event takes place.
	* Additionally they also allow the addEventListenerOnce and notifyEventListeners functions.
	* @constructor
	* @param {string} nativeExtensionObjectName The name of the native extension object (inside the ext object) to be used.
	* @param {string} cocoonJSExtensionObjectName The name of the sugarized extension object.
	* @param {string} nativeEventName The name of the native event inside the ext object.
	* @param {number} [chainFunction] An optional function used to preprocess the listener callbacks. This function, if provided,
	* will be called before any of the other listeners.
	*/
	CocoonJS.EventHandler = function(nativeExtensionObjectName, cocoonJSExtensionObjectName, nativeEventName, chainFunction) {
		this.listeners = [];
		this.listenersOnce = [];
		this.chainFunction = chainFunction;

		/**
		* Adds a callback function so it can be called when the event takes place.
		* @param {function} listener The callback function to be added to the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
		*/
		this.addEventListener = function(listener) {
			if (chainFunction) {
				var f = function() {
					chainFunction.call(this, arguments.callee.sourceListener, Array.prototype.slice.call(arguments)); 
				};
				listener.CocoonJSEventHandlerChainFunction = f;
				f.sourceListener = listener;
				listener = f;
			}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject && cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].addEventListener(nativeEventName, listener);
            }
            else {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener < 0) {
                	this.listeners.push(listener);
                }
            }
		};

        this.addEventListenerOnce = function(listener)
		{
			if (chainFunction) {
				var f = function() { chainFunction(arguments.callee.sourceListener,Array.prototype.slice.call(arguments)); };
				f.sourceListener = listener;
				listener = f;
			}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].addEventListenerOnce(nativeEventName, listener);
            }
            else
            {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener < 0)
                {
                	this.listenersOnce.push(listener);
                }
            }
		};

        /**
         * Removes a callback function that was added to the event handler so it won't be called when the event takes place.
         * @param {function} listener The callback function to be removed from the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
         */
        this.removeEventListener = function (listener) {

        	if (chainFunction) {
        		listener = listener.CocoonJSEventHandlerChainFunction;
        		delete listener.CocoonJSEventHandlerChainFunction;
        	}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].removeEventListener(nativeEventName, listener);
            }
            else {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener >= 0) {
                    this.listeners.splice(indexOfListener, 1);
                }
            }
        };

		this.notifyEventListeners = function() {
			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject && cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].notifyEventListeners(nativeEventName);
            } else {

                var argumentsArray= Array.prototype.slice.call(arguments);
                var listeners =     Array.prototype.slice.call(this.listeners);
                var listenersOnce = Array.prototype.slice.call(this.listenersOnce);
                var _this = this;
                // Notify listeners after a while ;) === do not block this thread.
                setTimeout(function() {
                    for (var i = 0; i < listeners.length; i++) {
                        listeners[i].apply(_this, argumentsArray);
                    }
                    for (var i = 0; i < listenersOnce.length; i++) {
                        listenersOnce[i].apply(_this, argumentsArray);
                    }
                }, 0);

                _this.listenersOnce= [];
            }
		};
		return this;
	};

	/**
	* A simple timer class. Update it every loop iteration and get values from accumulated time to elapsed time in seconds or milliseconds.
	*/
	CocoonJS.Timer = function() {
		this.reset();
		return this;
	};

	CocoonJS.Timer.prototype = {
		currentTimeInMillis : 0,
		lastTimeInMillis : 0,
		elapsedTimeInMillis : 0,
		elapsedTimeInSeconds : 0,
		accumTimeInMillis : 0,

		/**
		Resets the timer to 0.
		*/
		reset : function() {
			this.currentTimeInMillis = this.lastTimeInMillis = new Date().getTime();
			this.accumTimeInMillis = this.elapsedTimeInMillis = this.elapsedTimeInSeconds = 0;
		},

		/**
		Updates the timer calculating the elapsed time between update calls.
		*/
		update : function() {
			this.currentTimeInMillis = new Date().getTime();
			this.elapsedTimeInMillis = this.currentTimeInMillis - this.lastTimeInMillis;
			this.elapsedTimeInSeconds = this.elapsedTimeInMillis / 1000.0;
			this.lastTimeInMillis = this.currentTimeInMillis;
			this.accumTimeInMillis += this.elapsedTimeInMillis;
		}
	};

	// CocoonJS.FindAllNativeBindingsInCocoonJSExtensionObject = function(cocoonJSExtensionObject, nativeFunctionBindingCallback, nativeEventBindingCallback)
	// {
	// 	for (var cocoonJSExtensionObjectAttributeName in cocoonJSExtensionObject)
	// 	{
	// 		var cocoonJSExtensionObjectAttribute = cocoonJSExtensionObject[cocoonJSExtensionObjectAttributeName];

	// 		// Function
	// 		if (typeof cocoonJSExtensionObjectAttribute === 'function' && typeof cocoonJSExtensionObjectAttribute.nativeFunctionName !== 'undefined')
	// 		{
	// 			var nativeFunctionName = cocoonJSExtensionObjectAttribute.nativeFunctionName;
	// 			nativeFunctionBindingCallback(cocoonJSExtensionObjectAttributeName, nativeFunctionName);
	// 		}
	// 		// Event object
	// 		else if (typeof cocoonJSExtensionObjectAttribute === 'object' && cocoonJSExtensionObjectAttribute !== null && typeof cocoonJSExtensionObjectAttribute.nativeEventName !== 'undefined')
	// 		{
	// 			var nativeEventName = cocoonJSExtensionObjectAttribute.nativeEventName;
	// 			nativeEventBindingCallback(cocoonJSExtensionObjectAttributeName, nativeEventName);
	// 		}
	// 	}
	// }

	/**
	This function looks for a CocoonJS extension object that is bound to the given native ext object name.
	@returns The CocoonJS extension object that corresponds to the give native extension object name or null if it cannot be found.
	*/
	// CocoonJS.GetCocoonJSExtensionObjectForNativeExtensionObjectName = function(nativeExtensionObjectName)
	// {
	// 	var cocoonJSExtensionObject = null;
	// 	// Look in the CocoonJS object and for every object that is a CocoonJS.Extension check if it's nativeExtensionObjectName matches to the one passed as argument. If so, create an object that will represent it's documentation for the native ext object.
	// 	for (var cocoonJSAttributeName in CocoonJS)
	// 	{
	// 		var cocoonJSAttribute = CocoonJS[cocoonJSAttributeName];
	// 		if (typeof cocoonJSAttribute === 'object' && cocoonJSAttribute instanceof CocoonJS.Extension && cocoonJSAttribute.nativeExtensionObjectName === nativeExtensionObjectName)
	// 		{
	// 			// We have found the CocoonJS object that represents the native ext extension object name. 
	// 			cocoonJSExtensionObject = cocoonJSAttribute;
	// 			break;
	// 		}
	// 	}
	// 	return cocoonJSExtensionObject;
	// };

	/**
	This function adds functions to a CocoonJS extension object in order to bind them to the native makeCall function calls of the ext object.

	@param extensionObject The reference to the CocoonJS extension object where to add the new functions bound to the ext object makeCall functions calls.

	@param nativeFunctionsConfiguration An array of objects with the following structure:

		{ nativeFunctionName : "" [, functionName : "", isAsync : true/false] }

		- nativeFunctionName: Specifies the name of the function inside the ext object makeCall function call that will be bound.
		- functionName: An optional attribute that allows to specify the name of the function to be added to the CocoonJS extension object. If is not present, the name of the function will be the same
		as the nativeFunctionName.
		- isAsync: An optional attribute that allows to specify if the call should be performed using makeCall (false or missing) or makeCallAsync (true).
		- alternativeFunction: An optional attribute that allows to specify an alternative function that will be called internally when this function is called. This attribute
		allows for adding new functionalities like for example adding methods 

	@returns The CocoonJS extension object.
	*/
	// CocoonJS.AddNativeFunctionBindingsToExtensionObject = function(extensionObject, nativeFunctionsConfiguration)
	// {
	// 	if (typeof extensionObject === 'undefined' || extensionObject === null) throw("The passed extension object be a valid object.");
	// 	if (typeof nativeFunctionsConfiguration === 'undefined' || nativeFunctionsConfiguration === null) throw("The passed native functions configuration array must be a valid object.");

	// 	for (var i = 0; i < nativeFunctionsConfiguration.length; i++)
	// 	{
	// 		if (typeof nativeFunctionsConfiguration[i].nativeFunctionName === 'undefined') throw("The 'nativeFunctionName' attribute in the native function configuration object at index '" + i + "' in the native function configuration array cannot be undefined.");
	// 		var nativeFunctionName = nativeFunctionsConfiguration[i].nativeFunctionName;
	// 		var functionName = typeof nativeFunctionsConfiguration[i].functionName !== 'undefined' ? nativeFunctionsConfiguration[i].functionName : nativeFunctionName;
	// 		var makeCallFunction = null;
	// 		makeCallFunction = typeof nativeFunctionsConfiguration[i].isAsync !== 'undefined' && nativeFunctionsConfiguration[i].isAsync ? extensionObject.nativeExtensionObject.makeCallAsync : extensionObject.nativeExtensionObject.makeCall;
	// 		// Add the new function to the CocoonJS extension object
	// 		extensionObject[functionName] = function()
	// 		{
	// 			// Convert the arguments object to an array
	// 			var arguments = Array.prototype.slice.call(arguments);
	// 			// Add the native function name as the first parameter
	// 			arguments.unshift(nativeFunctionName);
	// 			// Make the native ext object call
	// 			var result = makeCallFunction.apply(extensionObject.nativeExtensionObject, arguments);
	// 			return result;
	// 		}
	// 		// Add a property to the newly added function to store the name of the original function.
	// 		extensionObject[functionName].nativeFunctionName = nativeFunctionName;
	// 	}
	// 	return extensionObject;
	// };

	/**
	This function adds objects to a CocoonJS extension object to allow event listener handling (add and remove) bound to the native ext object event listener handling.

	@param extensionObject The reference to the CocoonJS extension object where to add the new objects bound to the ext object event listener handling.

	@param nativeEventsConfiguration An array of objects with the following structure:

		{ nativeEventName : "" [, eventObjectName : ""] }

		- nativeEventName: Specifies the event in the native ext object to be bound.
		- eventObjectName: An optional attribute that allows to specify the name of the object to be added to the CocoonJS extension object. If is not present, the name of the function will be the same
		as the nativeEventName.
		- alternativeAddEventListenerFunction:
		- alternativeRemoveEventListenerFunction:

	@returns The CocoonJS extension object.
	*/
	// CocoonJS.AddNativeEventBindingsToExtensionObject = function(extensionObject, nativeEventsConfiguration)
	// {
	// 	if (typeof extensionObject === 'undefined' || extensionObject === null) throw("The passed extension object be a valid object.");
	// 	if (typeof nativeEventsConfiguration === 'undefined' || nativeEventsConfiguration === null) throw("The passed native events configuration array must be a valid object.");

	// 	for (var i = 0; i < nativeEventsConfiguration.length; i++)
	// 	{
	// 		if (typeof nativeEventsConfiguration[i].nativeEventName === 'undefined') throw("The 'nativeEventName' attribute in the native event configuration object at index '" + i + "' in the native event configuration array cannot be undefined.");
	// 		var nativeEventName = nativeEventsConfiguration[i].nativeEventName;
	// 		var eventObjectName = typeof nativeEventsConfiguration[i].eventObjectName !== 'undefined' ? nativeEventsConfiguration[i].eventObjectName : nativeEventName;
	// 		// Anonymous function call so each variable in the loop is used in the event listener handling function bindings.
	// 		(function(nativeEventName, eventObjectName)
	// 		{
	//     		extensionObject[eventObjectName] =
	//     		{
	//     			// Store the native event name
	//     			nativeEventName : nativeEventName,
	//     			// Create the event listener management functions bound to the native counterparts
	//     			addEventListener : function(callback)
	// 	    		{
	// 	    			extensionObject.nativeExtensionObject.addEventListener(nativeEventName, callback);
	//     			},
	//     			removeEventListener : function(callback)
	//     			{
	// 	    			extensionObject.nativeExtensionObject.removeEventListener(nativeEventName, callback);
	//     			}
	//     			// ,
	//     			// removeAllEventListeners : function()
	//     			// {

	//     			// }
	//     		};
	// 		})(nativeEventName, eventObjectName);
	// 	}
	// 	return extensionObject;
	// };

	/**
	The function object constructor function all the CocoonJS extensions can use to instantiate the CocoonJS extension object and add all the functionality needed bound to the native ext object.

	@param nativeExtensionObject The reference to the ext object extension object.

	@param nativeFunctionsConfiguration See CocoonJS.AddNativeFunctionBindingsToExtensionObject function's documentation for more details.

	@param nativeEventsConfiguration See CocoonJS.AddNativeEventBindingsToExtensionObject function's documentation for more details.

	@returns The new CocoonJS extension object.
	*/
	// CocoonJS.Extension = function(nativeExtensionObjectName, nativeFunctionsConfiguration, nativeEventsConfiguration)
	// {
	// 	if (typeof nativeExtensionObjectName === 'undefined' || nativeExtensionObjectName === null) throw("The native extension object name cannot be null");

	// 	if (window.ext[nativeExtensionObjectName] === 'undefined') throw("The given native extension object name '" + nativeExtensionObjectName + "' is incorrect or the native extension object is undefined.");

	// 	var nativeExtensionObject = window.ext[nativeExtensionObjectName];

	// 	// Store a reference to the native extension object and to it's name
	// 	this.nativeExtensionObject = nativeExtensionObject;
	// 	this.nativeExtensionObjectName = nativeExtensionObjectName;

	// 	// If native function configuration is passed, use it to add some functions to the new extension object.
	// 	if (typeof nativeFunctionsConfiguration !== 'undefined')
	// 	{
	// 		CocoonJS.AddNativeFunctionBindingsToExtensionObject(this, nativeFunctionsConfiguration);
	// 	}

	// 	// If native event configuration is passed, use it to add some event objects to the new extension object.
	// 	if (typeof nativeEventsConfiguration !== 'undefined')
	// 	{
	// 		CocoonJS.AddNativeEventBindingsToExtensionObject(this, nativeEventsConfiguration);
	// 	}

	// 	return this;
	// };   

})();

//////////////////////////////////////
// COCOONJS_APP.JS                  //
//////////////////////////////////////

(function () {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents all the basic functionalities available in the CocoonJS extension API.
     * @namespace
     */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    CocoonJS.App.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_APP !== 'undefined';

    /**
     * The predefined possible layouts for the FPS overlay.
     * @namespace
     */
    CocoonJS.App.FPSLayout = {
        TOP_LEFT:'top-left',
        TOP_RIGHT:'top-right',
        BOTTOM_LEFT:'bottom-left',
        BOTTOM_RIGHT:'bottom-right'
    };

    /**
     * Contains all the possible values to specify the input keyboard type to be used when introducing text.
     * @namespace
     */
    CocoonJS.App.KeyboardType = {
        /**
         * Represents a generic text input keyboard.
         */
        TEXT:"text",

        /**
         * Represents a number like input keyboard.
         */
        NUMBER:"num",

        /**
         * Represents a phone like input keyboard.
         */
        PHONE:"phone",

        /**
         * Represents an email like input keyboard.
         */
        EMAIL:"email",

        /**
         * Represents an URL like input keyboard.
         */
        URL:"url"
    };

    /**
     * The storage types to be used with file system related operations.
     * @namespace
     */
    CocoonJS.App.StorageType = {
        /**
         * Represents the application storage. The application storage is the place where all the resources that come with the application are stored.
         */
        APP_STORAGE:"APP_STORAGE",

        /**
         * Represents the internal storage. The internal storage is a different storage space that the application storage and only the data that the application has stored
         * in it will be in this storage. It is internal to the platform/device.
         */
        INTERNAL_STORAGE:"INTERNAL_STORAGE",

        /**
         * Represents an external storage. The external storage is similar to the internal storage in the sense that it only contains information that the application has written
         * in it but it represents an external storage device like a SD-CARD. If there is no exrernal storage, it will represent the same as the internal storage.
         */
        EXTERNAL_STORAGE:"EXTERNAL_STORAGE",

        /**
         * Represents the temporal storage. Same as the internal and external storage spaces in the sense that it only contains information that the application has written
         * in it but the main difference is that the information in this storage may dissapear without notice.
         */
        TEMPORARY_STORAGE:"TEMPORARY_STORAGE"
    };

    /**
     * The capture types to capture screenshots using CocoonJS native capabilities.
     * @namespace
     */
    CocoonJS.App.CaptureType = {
        /**
         Captures everything, both the CocoonJS GL hardware accelerated surface and the system views (like the WebView).
         */
        EVERYTHING:0,

        /**
         * Captures just the CocoonJS GL hardware accelerated surface.
         */
        JUST_COCOONJS_GL_SURFACE:1,

        /**
         * Captures just the sustem views (like the webview)
         */
        JUST_SYSTEM_VIEWS:2
    };

    /**
     * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
     * It waits until the code is executed and the result of it is returned === synchronous.
     * @function
     * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
     * @return {string} The result of the execution of the passed JavaScript code in the different JavaScript environment.
     */
    CocoonJS.App.forward = function (javaScriptCode) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forward", arguments);
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.eval(javaScriptCode);
            }
            else {
                //return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
                return window.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
            }
        }
    };

    /**
     * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
     * It is asyncrhonous so it does not wait until the code is executed and the result of it is returned. Instead, it calls a callback function when the execution has finished to pass the result.
     * @function
     * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
     * @param {function} [returnCallback] A function callback that will be called when the passed JavaScript code is executed in a different thread to pass the result of the execution in the different JavaScript environment.
     */
    CocoonJS.App.forwardAsync = function (javaScriptCode, returnCallback) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            if (typeof returnCallback !== 'undefined') {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode, returnCallback);
            }
            else {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode);
            }
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.eval(javaScriptCode);
            }
            else {
                return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
                // window.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
            }
        }
    };

    /**
     * Pops up a text dialog so the user can introduce some text and the application can get it back. It is the first approach CocoonJS has taken to be able to introduce
     * text input in a easy way. The dialog execution events are passed to the application through the {@link CocoonJS.App.onTextDialogFinished} and the {@link CocoonJS.App.onTextDialogCancelled} event objects.
     * @function
     * @param {string} [title] Default value is "". The title to be displayed in the dialog.
     * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
     * @param {string} [text] Default value is "". The initial text to be introduced in the text input field.
     * @param {CocoonJS.App.KeyboardType} [keyboardType] Default value is {@link CocoonJS.App.KeyboardType.TEXT}. The keyboard type to be used when the text has to be introduced.
     * @param {string} [cancelButtonText] Default value is "". The text to be displayed in the cancel button of the dialog.
     * @param {string} [okButtonText] Default value is "". The text to be displayed in the ok button of the dialog.
     * @see CocoonJS.App.onTextDialogFinished
     * @see CocoonJS.App.onTextDialogCancelled
     */
    CocoonJS.App.showTextDialog = function (title, message, text, keyboardType, cancelButtonText, okButtonText) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showTextDialog", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            if (!message) {
                message = "";
            }
            if (!text) {
                text = "";
            }
            var result = prompt(message, text);
            var eventObject = result ? CocoonJS.App.onTextDialogFinished : CocoonJS.App.onTextDialogCancelled;
            eventObject.notifyEventListeners(result);
        }
    };

    /**
     * Pops up a message dialog so the user can decide between a yes or no like confirmation. The message box execution events are passed to the application through the {@link CocoonJS.App.onMessageBoxConfirmed} and the {@link CocoonJS.App.onMessageBoxDenied} event objects.
     * @function
     * @param {string} [title] Default value is "". The title to be displayed in the dialog.
     * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
     * @param {string} [confirmButtonText] Default value is "Yes". The text to be displayed for the confirm button.
     * @param {string} [denyButtonText] Default value is "No". The text to be displayed for the deny button.
     * @see CocoonJS.App.onMessageBoxConfirmed
     * @see CocoonJS.App.onMessageBoxDenied
     */
    CocoonJS.App.showMessageBox = function (title, message, confirmButtonText, denyButtonText) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showMessageBox", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            if (!message) {
                message = "";
            }
            var result = confirm(message);
            var eventObject = result ? CocoonJS.App.onMessageBoxConfirmed : CocoonJS.App.onMessageBoxDenied;
            eventObject.notifyEventListeners();
        }
    };

    /**
     * It allows to load a new JavaScript/HTML5 resource that can be loaded either locally (inside the platform/device storage) or using a remote URL.
     * @function
     * @param {string} path A path to a resource stored in the platform or in a URL to a remote resource.
     * @param {CocoonJS.App.StorageType} [storageType] If the path argument represents a locally stored resource, the developer can specify the storage where it is stored. If no value is passes, the {@link CocoonJS.App.StorageType.APP_STORAGE} value is used by default.
     */
    CocoonJS.App.load = function (path, storageType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "loadPath", arguments);
        }
        else if (!navigator.isCocoonJS) {
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function (event) {
                if (xhr.readyState === 4) {
                    if (xhr.status === 200) {
                        // TODO: As window load event is not being called (WHY???), I have decided to call the listeners directly
                        // var callback= function(event){
                        //     window.removeEventListener("load", callback);
                        var jsCode;
                        // If there is no webview, it means we are in the webview, so notify the CocoonJS environment
                        if (!CocoonJS.App.EmulatedWebViewIFrame) {
                            jsCode = "window.CocoonJS && window.CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners('" + path + "');";
                        }
                        // If there is a webview, it means we are in CocoonJS, so notify the webview environment
                        else {
                            jsCode = "window.CocoonJS && window.CocoonJS.App.onLoadInCocoonJSSucceed.notifyEventListeners('" + path + "');";
                        }
                        CocoonJS.App.forwardAsync(jsCode);
                        // };
                        // window.addEventListener("load", callback);
                        window.location.href = path;
                    }
                    else if (xhr.status === 404) {
                        this.onreadystatechange = null;
                        var jsCode;
                        // If there is no webview, it means we are in the webview, so notify the CocoonJS environment
                        if (!CocoonJS.App.EmulatedWebViewIFrame) {
                            jsCode = "CocoonJS && CocoonJS.App.onLoadInTheWebViewFailed.notifyEventListeners('" + path + "');";
                        }
                        // If there is a webview, it means we are in CocoonJS, so notify the webview environment
                        else {
                            jsCode = "CocoonJS && CocoonJS.App.onLoadInCocoonJSFailed.notifyEventListeners('" + path + "');";
                        }
                        CocoonJS.App.forwardAsync(jsCode);
                    }
                }
            };
            xhr.open("GET", path, true);
            xhr.send();
        }
    };

    /**
     * Reloads the last loaded path in the current context.
     * @function
     */
    CocoonJS.App.reload = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "reload", arguments);
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.location.reload();
            }
            else {
                return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.location.reload();
            }
        }
    };

    /**
     * Opens a given URL using a system service that is able to open it. For example, open a HTTP URL using the system WebBrowser.+
     * @function
     * @param {string} url The URL to be opened by a system service.
     */
    CocoonJS.App.openURL = function (url) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "openURL", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            window.open(url, '_blank');
        }
    }

    /**
     * Forces the app to be finished.
     * @function
     */
    CocoonJS.App.forceToFinish = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forceToFinish", arguments);
        }
        else if (!navigator.isCocoonJS) {
            window.close();
        }
    }

    /**
     * Enables or disables the auto lock to control if the screen keeps on after an inactivity period.
     * When the auto lock is enabled and the application has no user input for a short period, the system puts the device into a "sleepâ€ state where the screen dims or turns off.
     * When the auto lock is disabled the screen keeps on even when there is no user input for long times.
     * @param enabled A boolean value that controls whether to enable or disable the auto lock.
     */
    CocoonJS.App.setAutoLockEnabled = function (enabled) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setAutoLockEnabled", arguments);
        }
    }

    /**
     * Creates a canvas element that is automatically resized to the screen size. When the app is being executed
     * inside CocoonJS. This canvas is optimized for rendering so it is higly recommended to use it if it fits
     * your app needs. If your app uses one canvas as the main canvas where all other canvases and images are displayed, Ludei recommends to
     * call this function in order to create this main canvas. A usual 2x performance gain is achieved by doing so
     * depending on the device and the graphics card driver.
     * @function
     * @return {object} The canvas object that should be used as the main canvas and that is resized to the screen resolution.
     */
    CocoonJS.App.createScreenCanvas = function () {
        var screenCanvas;
        if (navigator.isCocoonJS) {
            screenCanvas = document.createElement("screencanvas");
        }
        else if (!navigator.isCocoonJS) {
            screenCanvas = document.createElement("canvas");
            screenCanvas.width = window.innerWidth;
            screenCanvas.height = window.innerHeight;
        }
        return screenCanvas;
    };

    /**
     * Disables the touch events in the CocoonJS environment.
     * @function
     */
    CocoonJS.App.disableTouchInCocoonJS = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "CocoonJSView");
        }
    };

    /**
     * Enables the touch events in the CocoonJS environment.
     * @function
     */
    CocoonJS.App.enableTouchInCocoonJS = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "CocoonJSView");
        }
    };

    /**
     * Disables the touch events in the WebView environment.
     * @function
     */
    CocoonJS.App.disableTouchInTheWebView = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "WebView");
        }
    };

    /**
     * Enables the touch events in the WebView environment.
     * @function
     */
    CocoonJS.App.enableTouchInTheWebView = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "WebView");
        }
    };

    /**
     * Setups the update interval in seconds (1 second / X frames) to receive the accelerometer updates.
     * It defines the rate at which the devicemotion events are updated.
     * @function
     * @param {number} updateIntervalInSeconds The update interval in seconds to be set.
     */
    CocoonJS.App.setAccelerometerUpdateIntervalInSeconds = function (updateIntervalInSeconds) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("setAccelerometerUpdateIntervalInSeconds", updateIntervalInSeconds);
        }
    };

    /**
     * Returns the update interval in seconds that is currently set for accelerometer related events.
     * @function
     * @return {number} The update interval in seconds that is currently set for accelerometer related events.
     */
    CocoonJS.App.getAccelerometerUpdateIntervalInSeconds = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getAccelerometerUpdateIntervalInSeconds");
        }
    };

    /**
     * Setups the update interval in seconds (1 second / X frames) to receive the gyroscope updates.
     * It defines the rate at which the devicemotion and deviceorientation events are updated.
     * @function
     * @param {number} updateIntervalInSeconds The update interval in seconds to be set.
     */
    CocoonJS.App.setGyroscopeUpdateIntervalInSeconds = function (updateIntervalInSeconds) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("setGyroscopeUpdateIntervalInSeconds", updateIntervalInSeconds);
        }
    };

    /**
     * Returns the update interval in seconds that is currently set for gyroscope related events.
     * @function
     * @return {number} The update interval in seconds that is currently set for gyroscope related events.
     */
    CocoonJS.App.getGyroscopeUpdateIntervalInSeconds = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("getGyroscopeUpdateIntervalInSeconds");
        }
    };


    /**
     * Setups a origin proxy for a given typeName. What this means is that after calling this function the environment that makes this call will suddenly
     * have a way of creating instances of the given typeName and those instances will act as a transparent proxy to counterpart instances in the destination environment.
     * Manipulating attributes, calling funcitions or handling events will all be performed in the destination environment but the developer will think they will be
     * happening in the origin environment.
     * IMPORTANT NOTE: These proxies only work with types that use attributes and function parameters and return types that are primitive like numbers, strings or arrays.
     * @param {string} typeName The name of the type to be proxified.
     * @param {array} [attributeNames] A list of the names of the attributes to be proxified.
     * @param {array} [functionNames] A list of the names of the functions to be proxified.
     * @param {array} [eventHandlerNames] A list of the names of the event handlers to be proxified (onXXXX like attributes that represent callbacks).
     * A valid typeName and at least one valid array for attribute, function or event handler names is mandatory.
     */
    CocoonJS.App.setupOriginProxyType = function (typeName, attributeNames, functionNames, eventHandlerNames) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            // Control the parameters.
            if (!typeName) throw "The given typeName must be valid.";
            if (!attributeNames && !functionNames && !eventHandlerNames) throw "There is no point on setting up a proxy for no attributes, functions nor eventHandlers.";
            attributeNames = attributeNames ? attributeNames : [];
            functionNames = functionNames ? functionNames : [];
            eventHandlerNames = eventHandlerNames ? eventHandlerNames : [];

            // The parent object will be the window. It could be another object but careful, the destination side should know about this.
            // TODO: Specify the parentObject as a parameter, obtain it's path from the window object and pass it to the destination environment so it knows about it.
            var parentObject = window;

            // Setup the destination side too.
            var jsCode = "CocoonJS.App.setupDestinationProxyType(" + JSON.stringify(typeName) + ", " + JSON.stringify(eventHandlerNames) + ");";
            CocoonJS.App.forward(jsCode);

            var originalType = parentObject[typeName];

            // Constructor. This will be the new proxified type in the origin environment. Instances of this type will be created by the developer without knowing that they are
            // internally calling to their counterparts in the destination environment.
            parentObject[typeName] = function () {
                var _this = this;

                // Each proxy object will have a origin object inside with all the necessary information to be a proxy to the destination.
                this._cocoonjs_proxy_object_data = {};
                // The id is obtained calling to the destination side to create an instance of the type.
                var jsCode = "CocoonJS.App.newDestinationProxyObject(" + JSON.stringify(typeName) + ");";
                this._cocoonjs_proxy_object_data.id = CocoonJS.App.forward(jsCode);
                // The eventHandlers dictionary contains objects of the type { eventHandlerName : string, eventHandler : function } to be able to make the callbacks when the 
                // webview makes the corresponding calls.
                this._cocoonjs_proxy_object_data.eventHandlers = {};
                // Also store the typename inside each instance.
                this._cocoonjs_proxy_object_data.typeName = typeName;
                // A dictionary to store the event handlers
                this._cocoonjs_proxy_object_data.eventListeners = {};

                // TODO: eventHandlers and eventListeners should be in the same list ;)

                // Store all the proxy instances in a list that belongs to the type itself.
                parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[this._cocoonjs_proxy_object_data.id] = this;

                // Create a setter and a getter for all the attribute names that have been specified. When the attributes are accessed (set or get) a call to the destination counterpart will be performed.
                for (var i = 0; i < attributeNames.length; i++) {
                    (function (attributeName) {
                        _this.__defineSetter__(attributeName, function (value) {
                            var jsCode = "CocoonJS.App.setDestinationProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(attributeName) + ", " + JSON.stringify(value) + ");";
                            return CocoonJS.App.forwardAsync(jsCode);
                        });
                        _this.__defineGetter__(attributeName, function () {
                            var jsCode = "CocoonJS.App.getDestinationProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(attributeName) + ");";
                            return CocoonJS.App.forwardAsync(jsCode);
                        });
                    })(attributeNames[i]);
                }

                // Create a function that performs a call to the destination environment counterpart for all the function names that have been specified.
                for (var i = 0; i < functionNames.length; i++) {
                    (function (functionName) {
                        _this[functionName] = function () {
                            // Get the arguments as an array and add the typeName, the proxy id and the functionName before all the other arguments before making the call to the destination counterpart.
                            var argumentsArray = Array.prototype.slice.call(arguments);
                            argumentsArray.unshift(functionName);
                            argumentsArray.unshift(this._cocoonjs_proxy_object_data.id);
                            argumentsArray.unshift(typeName);
                            // Use the array to create the correct function call.
                            var jsCode = "CocoonJS.App.callDestinationProxyObjectFunction(";
                            for (var i = 0; i < argumentsArray.length; i++) {
                                // The second argument (the id) should not be stringified
                                jsCode += (i !== 1 ? JSON.stringify(argumentsArray[i]) : argumentsArray[i]) + (i < argumentsArray.length - 1 ? ", " : "");
                            }
                            jsCode += ");";
                            // TODO: This next call should be synchronous but it seems that some customers are experiencing some crash issues. Making it async solves these crashes.
                            // Another possible solution could be to be able to specify which calls could be async and which sync in the proxification array.
                            var ret = CocoonJS.App.forwardAsync(jsCode);
                            return ret;
                        };
                    })(functionNames[i]);
                }

                // Create a setter and getter for all the event handler names that have been specified. When the event handlers are accessed, store them inside the corresponding position on the eventHandlers
                // array so they can be called when the destination environment makes the corresponding callback call.
                for (var i = 0; i < eventHandlerNames.length; i++) {
                    (function (eventHandlerName) {
                        _this.__defineSetter__(eventHandlerName, function (value) {
                            _this._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName] = value;
                        });
                        _this.__defineGetter__(eventHandlerName, function () {
                            return _this._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName];
                        });
                    })(eventHandlerNames[i]);
                }

                // Setup the add and remove event listeners in the proxy object
                _this.addEventListener = function (eventTypeName, eventCallback) {
                    var addEventCallback = true;
                    // Check for the eventListeners
                    var eventListeners = _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName];
                    if (eventListeners) {
                        // As the eventListeners were already added, check that the same callback has not been added.
                        addEventCallback = eventListeners.indexOf(eventCallback) < 0;
                    }
                    else {
                        // There are no event listeners, so add the one and add the listeners array for the specific event type name
                        eventListeners = [];
                        _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName] = eventListeners;

                        // Forward the call so the other end registers a event listener (only one is needed).
                        var jsCode = "CocoonJS.App.addDestinationProxyObjectEventListener(" + JSON.stringify(_this._cocoonjs_proxy_object_data.typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventTypeName) + ");";
                        CocoonJS.App.forwardAsync(jsCode);
                    }
                    // Only if the alforithm above specify so, add the eventcallback and notify the destination environment to do the same
                    if (addEventCallback) {
                        eventListeners.push(eventCallback);
                    }
                };

                _this.removeEventListener = function (eventTypeName, eventCallback) {
                    // Check for the eventListeners
                    var eventListeners = _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName];
                    if (eventListeners) {
                        var eventCallbackIndex = eventListeners.indexOf(eventCallback);
                        if (eventCallbackIndex >= 0) {
                            eventListeners.splice(eventCallbackIndex, 1);
                        }
                    }
                };

                // Return the proxy instance.
                return this;
            };

            // The type will contain a proxy data structure to store all the instances that are created so they are available when the destination environment calls back. 
            parentObject[typeName]._cocoonjs_proxy_type_data =
            {
                originalType:originalType,
                proxyObjects:[]
            };

            /**
             * Deletes a proxy instance from both the CocoonJS environment structures and also deleting it's webview environment counterpart.
             * This function should be manually called whenever a proxy instance won't be accessed anymore.
             * @param {object} object The proxy object to be deleted.
             */
            parentObject[typeName]._cocoonjs_proxy_type_data.deleteProxyObject = function (object) {
                var proxyObjectKey = CocoonJS.getKeyForValueInDictionary(this.proxyObjects, object);
                if (proxyObjectKey) {
                    var jsCode = "CocoonJS.App.deleteDestinationProxyObject(" + JSON.stringify(typeName) + ", " + object._cocoonjs_proxy_object_data.id + ");";
                    CocoonJS.App.forwardAsync(jsCode);
                    object._cocoonjs_proxy_object_data = null;
                    delete this.proxyObjects[proxyObjectKey];
                }
            };

            /**
             * Calls a event handler for the given proxy object id and eventHandlerName.
             * @param {number} id The id to be used to look for the proxy object for which to make the call to it's event handler.
             * @param {string} eventHandlerName The name of the handler to be called.
             * NOTE: Events are a complex thing in the HTML specification. This function just performs a call but at least provides a
             * structure to the event passing the target (the proxy object).
             * TODO: The destination should serialize the event object as far as it can so many parameters can be passed to the origin
             * side. Using JSON.stringify in the destination side and parse in origin side maybe? Still must add the target to the event structure though.
             */
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventHandler = function (id, eventHandlerName) {
                var object = this.proxyObjects[id];
                var eventHandler = object._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName];
                if (eventHandler) {
                    eventHandler({ target:object });
                }
            };

            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventListeners = function (id, eventTypeName) {
                var object = this.proxyObjects[id];
                var eventListeners = object._cocoonjs_proxy_object_data.eventListeners[eventTypeName].slice();
                for (var i = 0; i < eventListeners.length; i++) {
                    eventListeners[i]({ target:object });
                }
            };
        }
    };

    /**
     * Takes down the proxification of a type and restores it to it's original type. Do not worry if you pass a type name that is not proxified yet. The
     * function will handle it correctly for compativility reasons.
     * @param {string} typeName The name of the type to be deproxified (take down the proxification and restore the type to it's original state)
     */
    CocoonJS.App.takedownOriginProxyType = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (parentObject[typeName] && parentObject[typeName]._cocoonjs_proxy_type_data) {
                parentObject[typeName] = parentObject[typeName]._cocoonjs_proxy_type_data.originalType;
            }
        }
    };

    /**
     * Deletes everything related to a proxy object in both environments. Do not worry of you do not pass a proxified object to the
     * function. For compatibility reasons, you can still have calls to this function even when no poxification of a type has been done.
     * @param {object} object The proxified object to be deleted.
     */
    CocoonJS.App.deleteOriginProxyObject = function (object) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (object && object._cocoonjs_proxy_object_data) {
                parentObject[object._cocoonjs_proxy_object_data.typeName]._cocoonjs_proxy_type_data.deleteProxyObject(object);
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the destination environment whenever it is needed to work with proxy objects.
     * It calls the origin proxy object when an event handler need to be updated/called from the destination environment.
     * @param {string} typeName The type name of the proxified type.
     * @param {number} id The id of the proxy object.
     * @param {string} eventHandlerName The name of the event handler to be called.
     */
    CocoonJS.App.callOriginProxyObjectEventHandler = function (typeName, id, eventHandlerName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventHandler(id, eventHandlerName);
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the destination environment whenever it is needed to work with proxy objects.
     * It calls the origin proxy object when all the event listeners related to a specific event need to be updated/called from the destination environment.
     * @param {string} typeName The type name of the proxified type.
     * @param {number} id The id of the proxy object.
     * @param {string} eventTypeName The name of the event type to call the listeners related to it.
     */
    CocoonJS.App.callOriginProxyObjectEventListeners = function (typeName, id, eventTypeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventListeners(id, eventTypeName);
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environment whenever it is needed to work with proxy objects.
     * Setups all the structures that are needed to proxify a destination type to an origin type.
     * @param {string} typeName The name of the type to be proxified.
     * @param {array} eventHandlerNames An array with al the event handlers to be proxified. Needed in order to be able to create callbacks for all the event handlers
     * and call to the CocoonJS counterparts accordingly.
     */
    CocoonJS.App.setupDestinationProxyType = function (typeName, eventHandlerNames) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;

            // Add a cocoonjs structure to the destination proxified type to store some useful information like all the proxy instances that are created, plus the id counter 
            // and the names of all the event handlers and some utility functions.
            parentObject[typeName]._cocoonjs_proxy_type_data =
            {
                nextId:0,
                proxyObjects:{},
                eventHandlerNames:eventHandlerNames
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environment whenever it is needed to work with proxy objects.
     * Takes down the proxy type at the destination environment. Just removes the data structure related to proxies that was added to the type when proxification tool place.
     * @param {string} typeName The name of the type to take the proxification down.
     */
    CocoonJS.App.takedownDestinationProxyType = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (parent[typeName] && parentObject[typeName]._cocoonjs_proxy_type_data) {
                delete parentObject[typeName]._cocoonjs_proxy_type_data;
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Creates a new destination object instance and generates a id to reference it from the original environment.
     * @param {string} typeName The name of the type to be proxified and to generate an instance.
     * @return The id to be used from the original environment to identify the corresponding destination object instance.
     */
    CocoonJS.App.newDestinationProxyObject = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;

            var proxyObject = new parentObject[typeName]();
            // Also store some additional information in the proxy object
            proxyObject._cocoonjs_proxy_object_data = {};
            // Like the type name, that could be useful late ;)
            proxyObject._cocoonjs_proxy_object_data.typeName = typeName;
            // Caculate the id for the object. It will be returned to the origin environment so this object can be referenced later
            var proxyObjectId = parentObject[typeName]._cocoonjs_proxy_type_data.nextId;
            // Store the created object in the structure defined in the setup of proxification with an id associated to it
            parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[proxyObjectId] = proxyObject;
            // Also store the id inside the proxy object itself
            proxyObject._cocoonjs_proxy_object_data.id = proxyObjectId;
            // Calculate a new id for the next object.
            parentObject[typeName]._cocoonjs_proxy_type_data.nextId++;

            // Setup all the event handlers.
            for (var i = 0; i < parentObject[typeName]._cocoonjs_proxy_type_data.eventHandlerNames.length; i++) {
                (function (eventHandlerName) {
                    proxyObject[eventHandlerName] = function (event) {
                        var proxyObject = this; // event.target;
                        // var eventHandlerName = CocoonJS.getKeyForValueInDictionary(proxyObject, this); // Avoid closures ;)
                        var jsCode = "CocoonJS.App.callOriginProxyObjectEventHandler(" + JSON.stringify(proxyObject._cocoonjs_proxy_object_data.typeName) + ", " + proxyObject._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventHandlerName) + ");";
                        CocoonJS.App.forwardAsync(jsCode);
                    };
                })(parentObject[typeName]._cocoonjs_proxy_type_data.eventHandlerNames[i]);
            }

            // Add the dictionary where the event listeners (callbacks) will be added.
            proxyObject._cocoonjs_proxy_object_data.eventListeners = {};

            return proxyObjectId;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environement whenever it is needed to work with proxy objects.
     * Calls a function of a destination object idetified by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} functionName The name of the function to be called.
     * @return Whatever the function call returns.
     */
    CocoonJS.App.callDestinationProxyObjectFunction = function (typeName, id, functionName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var argumentsArray = Array.prototype.slice.call(arguments);
            argumentsArray.splice(0, 3);
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            var result = proxyObject[functionName].apply(proxyObject, argumentsArray);
            return result;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Sets a value to the corresponding attributeName of a proxy object represented by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} attributeName The name of the attribute to be set.
     * @param {unknown} attributeValue The value to be set to the attribute.
     */
    CocoonJS.App.setDestinationProxyObjectAttribute = function (typeName, id, attributeName, attributeValue) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            proxyObject[attributeName] = attributeValue;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Retrieves the value of the corresponding attributeName of a proxy object represented by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} attributeName The name of the attribute to be retrieved.
     */
    CocoonJS.App.getDestinationProxyObjectAttribute = function (typeName, id, attributeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            return proxyObject[attributeName];
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Deletes a proxy object identifying it using it's typeName and id. Deleting a proxy object mainly means to remove the instance from the global structure
     * that hold all the instances.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     */
    CocoonJS.App.deleteDestinationProxyObject = function (typeName, id) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            delete parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     */
    CocoonJS.App.addDestinationProxyObjectEventListener = function (typeName, id, eventTypeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            // Look for the proxy object
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];

            var callback = function (event) {
                var proxyObject = this; // event.target;
                // var eventTypeName = CocoonJS.getKeyForValueInDictionary(proxyObject._cocoonjs_proxy_object_data.eventListeners, this); // Avoid closures ;)
                // TODO: Is there a way to retrieve the callbackId without a closure?
                var jsCode = "CocoonJS.App.callOriginProxyObjectEventListeners(" + JSON.stringify(proxyObject._cocoonjs_proxy_object_data.typeName) + ", " + proxyObject._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventTypeName) + ");";
                CocoonJS.App.forwardAsync(jsCode);
            };

            proxyObject._cocoonjs_proxy_object_data.eventListeners[eventTypeName] = callback;

            // Finally add the event listener callback to the proxy object
            proxyObject.addEventListener(eventTypeName, callback);
        }
    };

    // TODO: We could add a removeDestinationProxyObjectEventListener although it seems that is not completely necessary.

    /**
     * Proxifies the XMLHttpRequest type for the environment where this call is made. After calling this function, all the new objects
     * of XMLHttpRequest that are instantiated, will be proxified objects that will make calls to the counterparts in the other environment (CocoonJS <-> WebView viceversa).
     * IMPORTANT NOTE: Remember to take down the proxification once you are done or to delete proxy objects whenever they are not needed anymore or memory leaks may occur.
     */
    CocoonJS.App.proxifyXHR = function () {
        var ATTRIBUTE_NAMES =
            [
                "timeout",
                "withCredentials",
                "upload",
                "status",
                "statusText",
                "responseType",
                "response",
                "responseText",
                "responseXML",
                "readyState"
            ];
        var FUNCTION_NAMES =
            [
                "open",
                "setRequestHeader",
                "send",
                "abort",
                "getResponseHeader",
                "getAllResponseHeaders",
                "overrideMimeType"
            ];
        var EVENT_HANDLER_NAMES =
            [
                "onloadstart",
                "onprogress",
                "onabort",
                "onerror",
                "onload",
                "ontimeout",
                "onloadend",
                "onreadystatechange"
            ];
        CocoonJS.App.setupOriginProxyType("XMLHttpRequest", ATTRIBUTE_NAMES, FUNCTION_NAMES, EVENT_HANDLER_NAMES);
    };

    /**
     * Proxifies the Audio type for the environment where this call is made. After calling this function, all the new objects
     * of Audio that are instantiated, will be proxified objects that will make calls to the counterparts in the other environment (CocoonJS <-> WebView viceversa).
     * IMPORTANT NOTE: Remember to take down the proxification once you are done or to delete proxy objects whenever they are not needed anymore or memory leaks may occur.
     */
    CocoonJS.App.proxifyAudio = function () {
        var ATTRIBUTE_NAMES =
            [
                "src",
                "loop",
                "volume",
                "preload"
            ];
        var FUNCTION_NAMES =
            [
                "play",
                "pause",
                "load",
                "canPlayType"
            ];
        var EVENT_HANDLER_NAMES =
            [
                "onended",
                "oncanplay",
                "oncanplaythrough",
                "onerror"
            ];
        CocoonJS.App.setupOriginProxyType("Audio", ATTRIBUTE_NAMES, FUNCTION_NAMES, EVENT_HANDLER_NAMES);
    };

    /**
     * Captures a image of the screen synchronously and saves it to a file. Sync mode allows to capture the screen in the middle of a frame rendering.
     * @param {string} fileName Desired file name and format (png or jpg). If no value is passed, "capture.png" value is used by default
     * @param {CocoonJS.App.StorageType} storageType The developer can specify the storage where it is stored. If no value is passed, the {@link CocoonJS.App.StorageType.TMP_STORAGE} value is used by default.
     * @param {CocoonJS.App.CaptureType} captureType. Optional value to choose capture type. [0: captures everything, 1: only captures cocoonjs surface 2: only captures system views]. @see CocoonJS.App.CaptureType
     * @return The URL of the saved file.
     * @throws exception if the image fails to be stored or there is another error.
     * @see CocoonJS.App.onCaptureScreenSucceeded
     * @see CocoonJS.App.onCaptureScreenFailed
     */
    CocoonJS.App.captureScreen = function (fileName, storageType, captureType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("captureScreen", fileName, storageType, captureType);
        }
    };

    /**
     * Captures a image of the screen asynchronously and saves it to a file.
     * Async mode captures a final frame as soon as possible.
     * @param {string} Desired file name and format (png or jpg). If no value is passed, "capture.png" value is used by default
     * @param {CocoonJS.App.StorageType} [storageType] The developer can specify the storage where it is stored. If no value is passed, the {@link CocoonJS.App.StorageType.TMP_STORAGE} value is used by default.
     * @param {CocoonJS.App.CaptureType} captureType. Optional value to choose capture type. [0: captures everything, 1: only captures cocoonjs surface, 2: only captures system views]. @see CocoonJS.App.CaptureType
     * @param {function} callback. Response callback, check the error property to monitor errors. Check the 'url' property to get the URL of the saved Image
     */
    CocoonJS.App.captureScreenAsync = function (fileName, storageType, captureType, callback) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCallAsync("captureScreen", fileName, storageType, captureType, callback);
        }
    };

    /**
     * Returns the device UUID
     * @return {string} The device UUID
     */
    CocoonJS.App.getDeviceId = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getDeviceId");
        }
    };

    /**
     * Structure that defines the getDeviceInfo returned information
     */
    CocoonJS.App.DeviceInfo = {

        /**
        * The operating system name (ios, android,...)
        * @type string
        */
        os: null,

        /**
        * The operating system version (4.2.2, 5.0,...)
        * @type string
        */
        version: null,

        /**
        * The operating system screen density in dpi
        * @type string
        */
        dpi: null,

        /**
        * The device manufacturer (apple, samsung, lg,...)
        * @type string
        */
        brand: null,

        /**
        * The device model (iPhone 4S, SAMSUNG-SGH-I997, SAMSUNG-SGH-I997R, etc)
        * @type string
        */
        model: null,

        /**
        * The phone IMEI
        * Android: The phone IMEI is returned or null if the device has not telepohny
        * iOS: null is returned as we cannot get the IMEI in iOS, no public API available for that yet.
        * @type string
        */
        imei: null,

        /**
        * The platform Id
        * Android: The ANDROID_ID is used.
        * iOS: The OpenUDID is used as there is no Android ANDROID_ID equivalent in iOS
        * @type string
        */
        platformId: null,

        /**
        * The Odin generated id https://code.google.com/p/odinmobile/
        * @type string
        */
        odin: null,

        /**
        * The OpenUDID generated Id https://github.com/ylechelle/OpenUDID
        * @type string
        */
        openudid: null
    };

    /**
     * Returns the device Info
     * @return {CocoonJS.App.DeviceInfo} The device Info
     */
    CocoonJS.App.getDeviceInfo = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getDeviceInfo");
        }
    };    

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onTextDialogFinished} event calls.
     * @name OnTextDialogFinishedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} text The text that was introduced in the text dialog when it was finished.
     */
    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
     * The callback function's documentation is represented by {@link CocoonJS.App.OnTextDialogFinishedListener}
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onTextDialogFinished = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogfinish");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onTextDialogCancelled = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogcancel");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onMessageBoxConfirmed = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxconfirmed");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onMessageBoxDenied = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxdenied");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is suspended.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onSuspended = new CocoonJS.EventHandler("IDTK_APP", "App", "onsuspended");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is activated.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onActivated = new CocoonJS.EventHandler("IDTK_APP", "App", "onactivated");

})();

//////////////////////////////////////
// COCOONJS_APP_FORCOCOONJS.JS		//
//////////////////////////////////////

(function()
{
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before adding more functionalities to an extension.");
    if (typeof window.CocoonJS.App === 'undefined' || window.CocoonJS.App === null) throw("The CocoonJS.App object must exist and be valid before adding more functionalities to it.");

    /**
    * This namespace represents all the basic functionalities available in the CocoonJS extension API.
    * @namespace
    */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    if (!CocoonJS.App.nativeExtensionObjectAvailable)
    {
        (function createWebView() { 
            CocoonJS.App.EmulatedWebView = document.createElement('div'); 
            CocoonJS.App.EmulatedWebView.setAttribute('id', 'CocoonJS_App_ForCocoonJS_WebViewDiv'); 
            CocoonJS.App.EmulatedWebView.style.width = 0; 
            CocoonJS.App.EmulatedWebView.style.height = 0; 
            CocoonJS.App.EmulatedWebView.style.position = "absolute"; 
            CocoonJS.App.EmulatedWebView.style.left = 0; 
            CocoonJS.App.EmulatedWebView.style.top = 0;
            CocoonJS.App.EmulatedWebView.style.backgroundColor = 'transparent';
            CocoonJS.App.EmulatedWebView.style.border = "0px solid #000"; 
            CocoonJS.App.EmulatedWebViewIFrame = document.createElement("IFRAME"); 
            CocoonJS.App.EmulatedWebViewIFrame.setAttribute('id', 'CocoonJS_App_ForCocoonJS_WebViewIFrame');
            CocoonJS.App.EmulatedWebViewIFrame.setAttribute('name', 'CocoonJS_App_ForCocoonJS_WebViewIFrame');
            CocoonJS.App.EmulatedWebViewIFrame.style.width = 0; 
            CocoonJS.App.EmulatedWebViewIFrame.style.height = 0; 
            CocoonJS.App.EmulatedWebViewIFrame.frameBorder = 0;
            CocoonJS.App.EmulatedWebViewIFrame.allowtransparency = true;
            CocoonJS.App.EmulatedWebView.appendChild(CocoonJS.App.EmulatedWebViewIFrame);
            if(!document.body)
            document.body = document.createElement("body");
            document.body.appendChild(CocoonJS.App.EmulatedWebView);
        })(); 
    }

    /**
    * Pauses the CocoonJS JavaScript execution loop.
    * @function
    * @augments CocoonJS.App
    */
    CocoonJS.App.pause = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "pause", arguments);
        }
    };

    /**
    * Resumes the CocoonJS JavaScript execution loop.
    * @static
    * @function
    */
    CocoonJS.App.resume = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "resume", arguments);
        }
    };

    /**
    * Loads a resource in the WebView environment from the CocoonJS environment.
    * @function
    * @param {string} path The path to the resource. It can be a remote URL or a path to a local file.
    * @param {CocoonJS.App.StorageType} [storageType] An optional parameter to specify at which storage in the device the file path is stored. By default, APP_STORAGE is used.
    * @see CocoonJS.App.load
    * @see CocoonJS.App.onLoadInTheWebViewSucceed
    * @see CocoonJS.App.onLoadInTheWebViewFailed
    */
    CocoonJS.App.loadInTheWebView = function(path, storageType)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            // TODO: All this code should be changed to a simple call makeNativeExtensionObjectFunctionCall when the native argument control is improved.
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('loadPath'";
            if (typeof path !== 'undefined')
            {
                javaScriptCodeToForward += ", '" + path + "'";
                if (typeof storageType !== 'undefined')
                {
                    javaScriptCodeToForward += ", '" + storageType + "'";
                }
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function(event) {
                if (xhr.readyState === 4)
                {
                    if (xhr.status === 200)
                    {
                        var callback= function(event){
                            CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners(path);
                            CocoonJS.App.EmulatedWebViewIFrame.removeEventListener("load", callback);
                        };

                        CocoonJS.App.EmulatedWebViewIFrame.addEventListener(
                            "load", 
                            callback
                        );
                        CocoonJS.App.EmulatedWebViewIFrame.contentWindow.location.href= path;
                    }
                    else if (xhr.status === 404)
                    {
                        this.onreadystatechange = null;
                        CocoonJS.App.onLoadInTheWebViewFailed.notifyEventListeners(path);
                    }
                }
            };
            xhr.open("GET", path, true);
            xhr.send();
        }
    };

    /**
     * Reloads the last loaded path in the WebView context.
     * @function
     */
    CocoonJS.App.reloadWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.App.forwardAsync("ext.IDTK_APP.makeCall('reload');");
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebViewIFrame.contentWindow.location.reload();
        }
    };

    /**
    * Shows the webview.
    * @function
    * @param {int} x The top lef x coordinate of the rectangle where the webview will be shown.
    * @param {int} y The top lef y coordinate of the rectangle where the webview will be shown.
    * @param {width} y The width of the rectangle where the webview will be shown.
    * @param {height} y The height of the rectangle where the webview will be shown.
    */
    CocoonJS.App.showTheWebView = function(x, y, width, height)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('show'";
            if (typeof x !== 'undefined' && typeof y !== 'undefined' && typeof width !== 'undefined' && typeof height !== 'undefined')
            {
                javaScriptCodeToForward += ", " + x + ", " + y + ", " + width + ", " + height;
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebViewIFrame.style.width = (width ? width : window.innerWidth)+'px';
            CocoonJS.App.EmulatedWebViewIFrame.style.height = (height ? height : window.innerHeight)+'px';
            CocoonJS.App.EmulatedWebView.style.left = (x ? x : 0)+'px';
            CocoonJS.App.EmulatedWebView.style.top = (y ? y : 0)+'px';
            CocoonJS.App.EmulatedWebView.style.width = (width ? width : window.innerWidth)+'px';
            CocoonJS.App.EmulatedWebView.style.height = (height ? height : window.innerHeight)+'px';
            CocoonJS.App.EmulatedWebView.style.display = "block";
        }
    };

    /**
    * Hides the webview.
    * @function
    */
    CocoonJS.App.hideTheWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('hide');";
            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebView.style.display = "none";
        }
    };

    /**
    * Marks a audio file to be used as music by the system. CocoonJS, internally, differentiates among music files and sound files.
    * Music files are usually bigger in size and longer in duration that sound files. There can only be just one music file 
    * playing at a specific given time. The developer can mark as many files as he/she wants to be treated as music. When the corresponding
    * HTML5 audio object is used, the system will automatically know how to treat the audio resource as music or as sound.
    * Note that it is not mandatory to use this function. The system automatically tries to identify if a file is suitable to be treated as music
    * or as sound by checking file size and duration thresholds. It is recommended, though, that the developer specifies him/herself what he/she considers
    * to be music.
    * @function
    * @param {string} audioFilePath The same audio file path that will be used to create HTML5 audio objects.
    */
    CocoonJS.App.markAsMusic = function(audioFilePath)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "addForceMusic", arguments);
        }
    };

    /**
    * Activates or deactivates the antialas functionality from the CocoonJS rendering.
    * @function
    * @param {boolean} enable A flag that indicates if the antialas should be activated (true) or deactivated (false).
    */
    CocoonJS.App.setAntialias = function(enable)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultAntialias", arguments);
        }
    };

    /**
    * Sets a callback function that will be called whenever the system tries to finish the app.
    * The developer can specify how the system will react to the finish of the app by returning a
    * boolean value in the callback function: true means, close the app, false means that the developer
    * will handle the app close.
    * A common example of this is the back button in Android devices. When the back button is pressed, this
    * callback will be called and the system will react depending on the developers choice finishing, or not,
    * the application.
    * @function
    * @param {function} appShouldFinishCallback A function object that will be called when the system
    * determines that the app should be finished. This function must return a true or a false value
    * depending on what the developer wants: true === finish the app, false === do not close the app.
    */
    CocoonJS.App.setAppShouldFinishCallback = function(appShouldFinishCallback)
    {
        if (navigator.isCocoonJS)
        {
            window.onidtkappfinish = appShouldFinishCallback;
        }
    }

    /**
    * Sets the texture reduction options. The texture reduction is a process that allows big images to be reduced/scaled down when they are loaded.
    * Although the quality of the images may decrease, it can be very useful in low end devices or those with limited amount of memory.
    * The function sets the threshold on image size (width or height) that will be used in order to know if an image should be reduced or not.
    * It also allows to specify a list of strings to identify in which images file paths should be applied (when they meet the size threshold requirement) 
    * The developer will still think that the image is of the original size. CocoonJS handles all of the internals to be able to show the image correctly.
    * IMPORTANT NOTE: This function should be called when the application is initialized before any image is set to be loaded for obvious reasons ;).
    * and in which sould be forbid (even if they meet the threshold requirement).
    * @function
    * @param {number} sizeThreshold This parameter specifies the minimun size (either width or height) that an image should have in order to be reduced.
    * @param {string or array} [applyTo] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it will be reduced. This parameter can also be null.
    * @param {string or array} [forbidFor] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it won't be reduced. This parameter should be used in order to mantain the 
    * quality of some images even they meet the size threshold requirement.
    */
    CocoonJS.App.setTextureReduction = function(sizeThreshold, applyTo, forbidFor)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultTextureReducerThreshold", arguments);
        }
    };


    /**
    * Prints to the console the memory usage of the currently alive textures
    * @function
    */
    CocoonJS.App.logMemoryInfo = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "logMemoryInfo", arguments);
        }
    };

    /**
    * Enable CocoonJS Webview FPS overlay.
    * @function
    */
    CocoonJS.App.enableFPSInTheWebView = function(fpsLayout, textColor)
    {
        if (!CocoonJS.App.fpsInTheWebViewEnabled)
        {
            fpsLayout = fpsLayout ? fpsLayout : CocoonJS.App.FPSLayout.TOP_RIGHT;
            textColor = textColor ? textColor : "white";
            var jsCode = "" +
                "(function()" +
                "{" +
                    "var COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES = ['js/CocoonJSExtensions/CocoonJS.js', 'js/CocoonJSExtensions/CocoonJS_App.js', 'js/CocoonJSExtensions/CocoonJS_App_ForWebView.js'];" +
                    "var loadedScriptCounter = 0;" + 
                    "var loadedScriptFunction = function() " +
                    "{ " +
                        "loadedScriptCounter++;"+
                        "if (loadedScriptCounter >= COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES.length)"+
                        "{"+
                            "CocoonJS.App.enableFPS(" + JSON.stringify(fpsLayout) + ", " + JSON.stringify(textColor) + ");"+
                        "}"+
                    "};"+
                    "for (var i = 0; i < COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES.length; i++)"+
                    "{"+
                        "var s = document.createElement('script');"+
                        "s.onload = loadedScriptFunction;"+
                        "s.src = COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES[i];"+
                        "document.body.appendChild(s);"+
                    "}" +
                "})();";
            setTimeout(function()
            {
                CocoonJS.App.forward(jsCode);
            }, 3000);
            CocoonJS.App.fpsInTheWebViewEnabled = true;
        }
    };

    /**
    * Disable CocoonJS Webview FPS overlay.
    * @function
    */
    CocoonJS.App.disableFPSInTheWebView = function()
    {
        // TODO: Implement this function.
    };

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewSucceed} event calls.
     * @name OnLoadInTheWebViewSucceedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in the webview.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load has completed successfully.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewSucceedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    * @param {string} pageURL A string that represents the page URL loaded.
    */
    CocoonJS.App.onLoadInTheWebViewSucceed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpageload");

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewFailed} event calls.
     * @name OnLoadInTheWebViewFailedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in the webview.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load fails.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewFailedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    */
    CocoonJS.App.onLoadInTheWebViewFailed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpagefail");
    
})();

//////////////////////////////////////
// COCOONJS_AD.JS                   //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS Advertisement extension API.
    * @namespace
    */
    CocoonJS.Ad = {};

    CocoonJS.Ad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_AD !== 'undefined';

    /**
    * The predefined possible layouts for a banner ad.
    * @namespace 
    */
	CocoonJS.Ad.BannerLayout = 
	{
		/**
		* Specifies that the banner must be shown in the top of the screen and vertically centered.
		*/
	    TOP_CENTER      : "TOP_CENTER",

		/**
		* Specifies that the banner must be shown in the bottom of the screen and vertically centered.
		*/
	    BOTTOM_CENTER   : "BOTTOM_CENTER"
	};

	/**
    * A rectangle object that contains the banner dimensions
    * @namespace 
    * @constructor
    * @param {int} x The top lef x coordinate of the rectangle.
    * @param {int} y The top lef y coordinate of the rectangle.
    * @param {width} y The rectangle width.
    * @param {height} y The rectangle height.
    */
	CocoonJS.Ad.Rectangle = function(x, y, width, height) 
	{
		/**
		* The top lef x coordinate of the rectangle 
		* @field 
		* @type {int}
		*/
	    this.x = x;

		/**
		* The top lef y coordinate of the rectangle 
		* @field 
		* @type {int}
		*/
	    this.y = y;

	    /**
		* The rectangle width
		* @field 
		* @type {int}
		*/
	    this.width = width;

	    /**
		* The rectangle height
		* @field 
		* @type {int}
		*/
	    this.height = height;
	};

	CocoonJS.Ad.Banner = function(id)
	{
		if (typeof id !== 'number') throw "The given ad ID is not a number.";

		this.id = id;
		var me = this;

		/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    	* The callback function does not receive any parameter.
    	* @static
    	* @event
    	*/
		this.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener();
    		}
    	});

    	/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is hidden.
    	* The callback function does not receive any parameter.
    	* @static
    	* @event
    	*/
		this.onBannerHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerhide", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener();
    		}
    	});

    	/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is ready (cached).
    	* The callback function does not receive any parameter.
    	* @param {number} width The banner width
    	* @param {number} height The banner height
    	* @static
    	* @event
    	*/
		this.onBannerReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerready", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener(args[1], args[2]);
    		}
    	});
	};

	CocoonJS.Ad.Banner.prototype = {

		/**
		* Shows a banner ad if available.
		* @function
		*/
		showBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", [this.id], true);
			}
		},

		/**
		* Hides the banner ad if it was being shown.
		* @function
		*/
		hideBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", [this.id], true);
			}
		},

		/**
		* Refreshes the banner.
		* @function
		*/
		refreshBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshBanner", [this.id], true);
			}
		},

		/**
		* Gets the rectangle representing the banner screen position.
		* @function
		* @return {CocoonJS.Ad.Rectangle} rectangle The rectangle representing the banner position and domensions.
		*/
		getRectangle : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "getRectangle", [this.id]);
			}
		},

		/**
		* Sets the rectangle where the banner ad is going to be shown.
		* @function
		* @param {CocoonJS.Ad.Rectangle} rect The rectangle representing the banner position and domensions.
		*/
		setRectangle : function(rect)
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setRectangle", [this.id, rect],true);
			}
		},

		/**
		* Sets the rectangle where the banner ad is going to be shown.
		* You can use this method if you want to have better control of the banner screen positioning.
		* @function
		* @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where the bannerwill be placed.
		*/
		setBannerLayout : function(bannerLayout)
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", [this.id, bannerLayout],true);
			}
		}
	};

	CocoonJS.Ad.Fullscreen = function(id)
	{
		if (typeof id !== 'number') throw "The given ad ID is not a number.";

		this.id = id;
		var me = this;

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
		this.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
    	this.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});

    	/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is ready (cached).
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
    	this.onFullScreenReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenready", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});
	};

	CocoonJS.Ad.Fullscreen.prototype = {

		/**
		* Shows a full screen ad if available.
		* @function
		* @see CocoonJS.Ad.onFullScreenShown
		* @see CocoonJS.Ad.onFullScreenHidden
		*/
		showFullScreen : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", [this.id], true);
			}
		},

		/**
		* Refreshes the fullscreen.
		* @function
		*/
		refreshFullScreen : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshFullScreen", [this.id], true);
			}
		}
	};

	/**
	* Initialize the service with service level initialization parameters.
	* @function
	* @param {object} An object with the required initialization parameters for the service.
	*/
	CocoonJS.Ad.requestInitialization = function(parameters)
	{
        if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "requestInitialization", arguments, true);
		}
	};

	/**
	* Creates a new banner ad.
	* @function
	* @param {object} An object containing the properties the ad will need for its initialization.
	*/
	CocoonJS.Ad.createBanner = function(parameters)
	{
		if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			var adId = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "createBanner", [parameters]);
			var banner = new CocoonJS.Ad.Banner(adId);

			return banner;
		}
	};

	/**
	* Releases a banner.
	* @function
	* @param {object} The banner ad object to be released.
	*/
	CocoonJS.Ad.releaseBanner = function(banner)
	{
		if (typeof banner === "undefined") {
            throw "The banner ad object to be released is undefined"
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "releaseBanner", [banner.id]);
		}
	};

	/**
	* Creates a new fullscreen ad.
	* @function
	* @param {object} An object containing the properties the ad will need for its initialization.
	*/
	CocoonJS.Ad.createFullscreen = function(parameters)
	{
		if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			var adId = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "createFullscreen", [parameters]);
			var fullscreen = new CocoonJS.Ad.Fullscreen(adId);

			return fullscreen;
		}
	};

	/**
	* Releases a fullscreen ad.
	* @function
	* @param {object} The fullscreen ad object to be released.
	*/
	CocoonJS.Ad.releaseFullscreen = function(fullscreen)
	{
		if (typeof fullscreen === "undefined") {
            throw "The fullscreen ad object to be released is undefined"
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "releaseFullscreen", [fullscreen.id]);
		}
	};

	/**
	* Shows a banner ad if available.
	* @function
	* @see CocoonJS.Ad.setBannerLayout
	* @see CocoonJS.Ad.onBannerShown
	*/
	CocoonJS.Ad.showBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", arguments, true);
		}
	};

	/**
	* Hides the banner ad if it was being shown.
	* @function
	*/
	CocoonJS.Ad.hideBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", arguments, true);
		}
	};

	/**
	* Refreshes the banner.
	* @function
	*/
	CocoonJS.Ad.refreshBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshBanner", arguments, true);
		}
	};

	/**
	* Shows a full screen ad if available.
	* @function
	* @see CocoonJS.Ad.onFullScreenShown
	* @see CocoonJS.Ad.onFullScreenHidden
	*/
	CocoonJS.Ad.showFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", arguments, true);
		}
	};

	/**
	* Refreshes the fullscreen.
	* @function
	*/
	CocoonJS.Ad.refreshFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshFullScreen", arguments, true);
		}
	};

	/**
	* Makes a request to preload a banner ad.
	* @function
	*/
	CocoonJS.Ad.preloadBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadBanner", arguments, true);
		}
	};

	/**
	* Makes a request to preload a full screen ad.
	* @function
	*/
	CocoonJS.Ad.preloadFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadFullScreen", arguments, true);
		}
	};

	/**
	* Sets the rectangle where the banner ad is going to be shown.
	* @function
	* @param {CocoonJS.Ad.Rectangle} rect The rectangle representing the banner position and domensions.
	*/
	CocoonJS.Ad.setRectangle = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setRectangle", arguments, true);
		}
	};

	/**
	* Gets the rectangle representing the banner screen position.
	* @function
	* @return {CocoonJS.Ad.Rectangle} rectangle The rectangle representing the banner position and domensions.
	*/
	CocoonJS.Ad.getRectangle = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "getRectangle", arguments);
		}
	};

	/**
	* Sets the rectangle where the banner ad is going to be shown.
	* You can use this method if you want to have better control of the banner screen positioning.
	* @function
	* @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where the bannerwill be placed.
	*/
	CocoonJS.Ad.setBannerLayout = function(bannerLayout)
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", arguments, true);
		}
	};

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is hidden.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onBannerHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerhide"); 

	/**
	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is ready (cached).
	* The callback function does not receive any parameter.
	* @param {number} width The banner width
	* @param {number} height The banner height
	* @static
	* @event
	*/
	CocoonJS.Ad.onBannerReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerready"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is ready (cached).
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenready"); 

})();

//////////////////////////////////////
// COCOONJS_STORE.JS                //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS In-App Purchase extension.
    * @namespace
    */
    CocoonJS.Store = {};

    CocoonJS.Store.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_STORE !== 'undefined';

	/**
	* The data structure that represents the information of a product in the store.
	* @namespace
	* @constructor
	* @param {string} The id of the product.
	* @param {string} The alias of the product.
	* @param {CocoonJS.Store.ProductType} The product type @see CocoonJS.Store.ProductType.
	* @param {string} The title of the product.
	* @param {string} The description of the product.
	* @param {string} The localized price of the product.
	* @param {string} The URL of the asset to be downloaded for this purchase.
	*/
	CocoonJS.Store.ProductInfo = function(productAlias, productId, productType, title, description, price, localizedPrice, downloadURL)
	{
		/**
		* The id of the product.
		* @field
		* @type string
		*/
		this.productId = productId;

		/**
		* The alias of the product.
		* @field
		* @type string
		*/
		this.productAlias = productAlias;

		/**
		* The product type @see CocoonJS.Store.ProductType
		* @field
		* @type CocoonJS.Store.ProductType
		*/
		this.productType = productType;

		/**
		* The title of the product.
		* @field
		* @type string
		*/
		this.title = title;

		/**
		* The description of the product.
		* @field
		* @type string
		*/
		this.description = description;

		/**
		* The price of the product.
		* @field
		* @type string
		*/
		this.price = price;

		/**
		* The localized price of the product.
		* @field
		* @type string
		*/
		this.localizedPrice = localizedPrice;

		/**
		* The URL of the asset to be downloaded for this purchase.
		* @field
		* @type string
		*/
		this.downloadURL = downloadURL;

		return this;
	};

	/**
    * The predefined possible states of a purchase.
    * @namespace 
    */
	CocoonJS.Store.ProductType = 
	{
		/**
		* A consumable product. See platform documentation for further information.
		*/
	    CONSUMABLE : 0,

		/**
		* A non-cunsumable product. . See platform documentation for further information.
		*/
	    NON_CONSUMABLE : 1,

	    /**
		* An auto-renewable subscription. See platform documentation for further information.
		*/
	    AUTO_RENEWABLE_SUBSCRIPTION : 2,

	    /**
		* A free subscription. See platform documentation for further information.
		*/
	    FREE_SUBSCRIPTION : 3,

	    /**
		* A non-renewable subscription. See platform documentation for further information.
		*/
	    NON_RENEWABLE_SUBSCRIPTION : 4
	};

	/**
    * The predefined possible store types.
    * @namespace 
    */
	CocoonJS.Store.StoreType = 
	{
		/**
		* Apple AppStore
		*/
	    APP_STORE : 0,

	    /**
	    * Android Play Store
	    */
	    PLAY_STORE : 1,

		/**
		* Mock Store
		*/
		MOCK_STORE : 2,

		/**
	    * Amazon AppStore
	    */
	    CHROME_STORE : 3,

	    /**
	    * Amazon AppStore
	    */
	    AMAZON_STORE : 4,

	    /**
	    * Nook Store
	    */
	    NOOK_STORE : 5
	};

	/**
	* The data structure that represents the information of a purchase.
	* @namespace
	* @constructor
	* @param {string} The transaction id of a purchase.
	* @param {string} The time when the purchase was done in seconds since 1970.
	* @param {CocoonJS.Store.PurchaseState} The state of the purchase. @see CocoonJS.Store.PurchaseState
	* @param {string} The product id related to this purchase.
	* @param {number} The number of products of the productId kind purchased in this transaction.
	*/
	CocoonJS.Store.PurchaseInfo = function(transactionId, purchaseTime, purchaseState, productId, quantity)
	{
		/**
		* The transaction id of a purchase.
		* @field
		* @type string
		*/
		this.transactionId = transactionId;

		/**
		* The time when the purchase was done in seconds since 1970.
		* @field
		* @type string
		*/
		this.purchaseTime = purchaseTime;

		/**
		* The state of the purchase. @see CocoonJS.Store.PurchaseState
		* @field
		* @type CocoonJS.Store.PurchaseState
		*/
		this.purchaseState = purchaseState;

		/**
		* The product id related to this purchase.
		* @field
		* @type string
		*/
		this.productId = productId;

		/**
		* The number of products of the productId kind purchased in this transaction.
		* @field
		* @type number
		*/
		this.quantity = quantity;

		return this;
	};

	/**
    * The predefined possible states of a purchase.
    * @namespace 
    */
	CocoonJS.Store.PurchaseState = 
	{
		/**
		* The product has been successfully purchased. The transaction has ended successfully.
		*/
	    PURCHASED : 0,

		/**
		* The purchase has been canceled.
		*/
	    CANCELED : 1,

	    /**
		* The purchase has been refunded.
		*/
	    REFUNDED : 2,

	    /**
		* The purchase (subscriptions only) has expired and is no longer valid.
		*/
	    EXPIRED : 3
	};

	/**
	* Gets the name of the native store implementation. 
	* @return {CocoonJS.Store.StoreType} The store type
	* @function
	*/ 
	CocoonJS.Store.getStoreType = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getStoreType", arguments);
		}
	};

	/**
	* Initialize the service with service level initialization parameters.
	* @function
	* @param {object} An object with the required initialization parameters for the service.
	*/
	CocoonJS.Store.requestInitialization = function(parameters)
	{
        if (typeof parameters === "undefined") 
        {
            parameters = {};
        }
        else
        {
        	if (parameters['managed'] !== undefined) parameters['remote'] = parameters['managed'];
        	if (parameters['sandbox'] !== undefined) parameters['debug'] = parameters['sandbox'];
        }

		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "requestInitialization", arguments, true);
		}
	};

	/**
	* Starts the Store Service. 
	* This will make the system to initialize the Store Service and probably Store callbacks will start to be received after calling this method so you should have set your event handler before calling this method so don't lose any callback.
	* @function
	*/ 
	CocoonJS.Store.start = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "start", arguments);
		}
	};

	/**
	* This method allows you to check is the  Store service is available in this platform. 
	* Not all iOS and Android devices will have the Store service available so you should check if it is before calling any other method.
	* @function
	* @return {boolean} True if the service is available and false otherwise.
	*/ 
	CocoonJS.Store.canPurchase = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "canPurchase", arguments);
		}
	};

	/**
	* Fetches the products from the CocoonJS Cloud Compiling service store configuration. 
	* The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
	* @deprecated You should now use fetchProductsFromStore. We don't support cloud products now.
	* @function
	* @see CocoonJS.Store.onProductsFetchStarted
	* @see CocoonJS.Store.onProductsFetchCompleted
	* @see CocoonJS.Store.onProductsFetchFailed
	*/ 
	CocoonJS.Store.fetchProductsFromServer = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromServer", arguments, true);
		}
	};

	/**
	* Fetches the products information from the Store. 
	* The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
	* @function
	* @param {array} productIds An array with the ids of the products to retrieve information from.
	* @see CocoonJS.Store.onProductsFetchStarted
	* @see CocoonJS.Store.onProductsFetchCompleted
	* @see CocoonJS.Store.onProductsFetchFailed
	*/ 
	CocoonJS.Store.fetchProductsFromStore = function(productIds)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromStore", arguments, true);
		}
	};

	/**
	* Finish a purchase transaction and removes the transaction from the transaction queue. 
	* This method must be called after a purchase finishes successfully and the  {@link CocoonJS.Store.onProductPurchaseCompleted} callback has been received. 
	* If the purchase includes some asset to download from an external server this method must be called after the asset has been successfully downloaded. 
	* If you do not finish the transaction because the asset has not been correctly downloaded the {@link CocoonJS.Store.onProductPurchaseStarted} method will be called again later on.
	* @function
	* @param {string} transactionId The transactionId of the purchase to finish.
	*/ 
	CocoonJS.Store.finishPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "finishPurchase", arguments, true);
		}
	};

	/**
	* Consumes a purchase. This makes that product to be purchasable again. 
	* @function
	* @param {string} transactionId The transaction Id of the purchase to consume.
	* @param {string} productId The product Id of the product to be consumed.
	*/ 
	CocoonJS.Store.consumePurchase = function(transactionId, productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "consumePurchase", arguments, true);
		}
	};

	/**
	* Request a product purchase given it's product id. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.purchaseProduct = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeature", arguments, true);
		}
	};

	/**
	* Request a product purchase given it's product id showing a modal progress dialog. 
	* The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.puchaseProductModal = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModal", arguments, true);
		}
	};

	/**
	* Request the purchase of a product given it's product id showing a dialog with a preview of the product (title and description). 
	* The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.purchaseProductModalWithPreview = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModalWithPreview", arguments, true);
		}
	};

	/**
	* Returns if a product has been already purchased or not. 
	* @function
	* @param {string} productId The product id or alias of the product to be checked.
	* @returns {boolean} A flag that indicates whether the product has been already purchased (true) or not (false).
	*/
	CocoonJS.Store.isProductPurchased = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "isFeaturePurchased", arguments);
		}
	};

	/**
	* Restores all the purchases from the platform's market. 
	* For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
	* @function
	* @see CocoonJS.Store.onRestorePurchasesStarted
	* @see CocoonJS.Store.onRestorePurchasesCompleted
	* @see CocoonJS.Store.onRestorePurchasesFailed
	*/
	CocoonJS.Store.restorePurchases = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchases", arguments, true);
		}
	};

	/**
	* Restores all the purchases from the platform's market showing a modal progress dialog. 
	* For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
	* @function
	* @see CocoonJS.Store.onRestorePurchasesStarted
	* @see CocoonJS.Store.onRestorePurchasesCompleted
	* @see CocoonJS.Store.onRestorePurchasesFailed
	*/
	CocoonJS.Store.restorePurchasesModal = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchasesModal", arguments, true);
		}
	};

	/**
	* Returns all the products available to be purchased.
	* @function
	* @returns {array} An array with  all the {@link CocoonJS.Store.ProductInfo} objects available for purchase.
	*/
	CocoonJS.Store.getProducts = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getProducts", arguments);
		}
	};

	/**
	* Adds a product to the products local DB. 
	* @function
	* @param {CocoonJS.Store.ProductInfo} product The product to be added to the local products DB.
	*/
	CocoonJS.Store.addProduct = function(product)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "addProduct", arguments);
		}
	};

	/**
	* Removes a product from the products local DB given its productId. 
	* @function
	* @param {string} productId The product or alias of the product to be removed from the local products DB.
	*/
	CocoonJS.Store.removeProduct = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removeProduct", arguments);
		}
	};

	/**
	* Returns all the locally stored purchases.
	* @function
	* @returns {array} An array with all the {@link CocoonJS.Store.PurchaseInfo} completed purchases.
	*/
	CocoonJS.Store.getPurchases = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getPurchases", arguments);
		}
	};

	/**
	* Adds a purchase to the local purchases DB. 
	* @function
	* @param {CocoonJS.Store.StorePurchase} purchase The purchase to be added.
	*/ 
	CocoonJS.Store.addPurchase = function(purchase)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "addPurchase", arguments);
		}
	};

	/**
	* Removes a purchase from the local purchases DB given it's transaction id. 
	* @function
	* @param {string} transactionId The id of the transaction to be removed.
	*/ 
	CocoonJS.Store.removePurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removePurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase cancel. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be canceled.
	*/
	CocoonJS.Store.cancelPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "cancelPurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase refundment. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be refunded.
	*/
	CocoonJS.Store.refundPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "refundPurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase expiration. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be expired.
	*/
	CocoonJS.Store.expirePurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "expirePurchase", arguments);
		}
	};

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has started.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onProductsFetchStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchStarted");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has completed.
    * The callback function receives a parameter with an the valid products array.
    * @static
    * @event
    * @param {array} validProducts An array of {@link CocoonJS.Store.ProductInfo} objects representing all the valid fetched products.
    */
	CocoonJS.Store.onProductsFetchCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @event
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onProductsFetchFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product starts.
    * The callback function receives a parameters with the information of the purchased product @see CocoonJS.Store.ProductInfo.
    * @static
	* @event
    * @param {string} productId The product id of the product being purchased.
    */
	CocoonJS.Store.onProductPurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseStarted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a request for purchase verification has been received from the Store.
    * The callback function receives two parameters, one with the productId of the purchased product and another one with a JSON object containing the data to be verified.
    * In Andorid this JSON object will containt two keys: signedData and signature. You will need that information to verify the purchase against the backend server.
    * @static
    * @event
    * @param {string} productId The product id of the product to be verified.
    * @param {string} data The string with the data to be verified.
    */
	CocoonJS.Store.onProductPurchaseVerificationRequestReceived = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseVerificationRequestReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product succeeds.
    * The callback function receives as parameter the information of the purchase {@see CocoonJS.Store.PurchaseInfo}.
    * @static
    * @event
    * @param {CocoonJS.Store.PurchaseInfo} purchaseInfo The purchase info.
    */
	CocoonJS.Store.onProductPurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product fails.
    * The callback function receives a parameters with the product id and an error message.
    * @static
    * @event
    * @param {string} productId The product id.
    * @param {string} msg The error message.
    */
	CocoonJS.Store.onProductPurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has started.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onRestorePurchasesStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has completed.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onRestorePurchasesCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesCompleted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @event
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onRestorePurchasesFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesFailed");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has started.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the purchase being consumed.
    */
	CocoonJS.Store.onConsumePurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has completed.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the consumed purchase.
    */
	CocoonJS.Store.onConsumePurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseCompleted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has failed.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the purchase that couldn't be consumed.
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onConsumePurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseFailed");

})();

//////////////////////////////////////
// COCOONJS_SOCIAL.JS               //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

	/**
	* This type represents the access to a native Social extension API. As there can be more than
	* one service of this type, more than one instance can be created.
	* @namespace
	* @constructor
	* @param {string} nativeExtensionName The name of the native ext object extension property name.
	* @param {string} extensionName The name of the CocoonJS object extension property name.
	*/
	CocoonJS.Social = function(nativeExtensionName, extensionName)
	{
		if (typeof nativeExtensionName !== 'string') throw "The given native extension name '" + nativeExtensionName + "' is not a string.";
		if (typeof extensionName !== 'string') throw "The given extension name '" + extensionName + "' is not a string.";

		this.nativeExtensionName = nativeExtensionName;
		this.extensionName = extensionName;
	    this.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext[nativeExtensionName] !== 'undefined';

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestInitializationSucceed} event calls.
	     * @name OnRequestInitializationSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {object} initializationData The data structure passed when requestInitialization was called.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestInitializationSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
	    this.onRequestInitializationSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestInitializationSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestInitializationFailed} event calls.
	     * @name OnRequestInitializationFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {object} initializationData The data structure passed when the requestInitialization function was called.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestInitializationFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
	    this.onRequestInitializationFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestInitializationFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestLoginSucceed} event calls.
	     * @name OnRequestLoginSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.UserInfo} userInfo The structure that describes the information of the user that logged in.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user login request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestLoginSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestLoginSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestLoginSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestLoginFailed} event calls.
	     * @name OnRequestLoginFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user login request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestLoginFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestLoginFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestLoginFailed");

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user logs out.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onLogout = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLogout");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserInfoSucceed} event calls.
	     * @name OnRequestUserInfoSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.UserInfo} userInfo The structure that describes the information of the request user id.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnUserInfoRequestSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserInfoSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserInfoSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserInfoFailed} event calls.
	     * @name OnRequestUserInfoFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id used in the request.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnUserInfoRequestFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserInfoFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserInfoFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserImageURLSucceed} event calls.
	     * @name OnRequestUserImageURLSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id used in the request.
	     * @param {string} imageURL The URL of the image of the requested user. 
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user image URL request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserImageURLSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserImageURLSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserImageURLSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserImageURLFailed} event calls.
	     * @name OnRequestUserImageURLFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id of the user the request was placed for.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user image URL request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserImageURLFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserImageURLFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserImageURLFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserFriendsUserInfosSucceed} event calls.
	     * @name OnRequestUserFriendsUserInfosSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id of the user for whom the friend user infos where requested.
	     * @param {array} friendsInfo An array of {@link CocoonJS.Social.UserInfo} objects representing the information of the friends of the user.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's friends info is successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserFriendsUserInfosSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserFriendsUserInfosSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserFriendsUserInfosSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserFriendsUserInfosFailed} event calls.
	     * @name OnRequestUserFriendsUserInfosFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param 
	     * @param {string} userID The id of the user fro whom the friends infos were requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's friends info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserFriendsUserInfosFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserFriendsUserInfosFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserFriendsUserInfosFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestMessagePublicationSucceed} event calls.
	     * @name OnRequestMessagePublicationSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
 	     * @param {CocoonJS.Social.Message} message The message that has been published.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user message publication request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestMessagePublicationSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    * @param {CocoonJS.Social.Message} message The message that has been published.
	    */
		this.onRequestMessagePublicationSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestMessagePublicationSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestMessagePublicationFailed} event calls.
	     * @name OnRequestMessagePublicationFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.Message} message The message that was supposed to be published.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user message publication request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestMessagePublicationFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestMessagePublicationFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestMessagePublicationFailed");

		/**
        * @ignore
        */
        this.on= function(event, callback) {
            event= "on"+event[0].toUpperCase()+event.substr(1);
            var signal= this[event];
            if (signal) {
                signal.addEventListener(callback);
            } else {
                console.error("SocialGaming service: '"+this.extensionName+"' does not understand '"+event+' signal.');
            }

            return this;
        };

	    return this;
	};

	CocoonJS.Social.prototype = {
        userInfo : null,
        userInfoCocoonJS : null,

        /**
        * @ignore
        */
        getUserInfo : function() {
            return this.userInfo;
        },

        /**
        * Returns the information of the currently logged in user.
        * @return {@link CocoonJS.Social.UserInfo}
        */
        getLoggedInUserInfo : function() {
            if (this.nativeExtensionObjectAvailable) {
                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getLoggedInUserInfo", arguments);
            }
            else {
                return this.userInfoCocoonJS;
            }
        },

        /**
        * @ignore
        */
        setUserInfo : function( userInfo) {
            this.userInfo= userInfo;
        },

        /**
        * @ignore
        */
        setUserInfoCocoonJS : function( userInfoCocoonJS ) {
            this.userInfoCocoonJS = userInfoCocoonJS;
        },

		/**
        * Request initialization of the underlying social service.
        * @param {object} paramsObject A data structure to initialize the service. It will be dependable of the underlying service.
        * @see CocoonJS.Social.onRequestInitializationSucceed
        * @see CocoonJS.Social.onRequestInitializationFailed
        */
		requestInitialization : function(paramsObject) 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestInitialization", arguments, true);
			}
		},

		/**
        * Returns a flag to indicate if the underlying service has been initialized or not.
        * @return {boolean} If the underlying service had been initialized using the requestInitialization function call.
        */
		isInitialized : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "isInitialized", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Request to log in the social gaming application.
		* @see CocoonJS.Social.onRequestLoginSucceed
		* @see CocoonJS.Socual.onRequestLoginFailed
		*/
		requestLogin : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestLogin", arguments, true);
			}
		},

		/**
		* Request to log out of the social gaming application.
		* @see CocoonJS.Social.onRequestLoginSucceed
		* @see CocoonJS.Social.onRequestLoginFailed
		* @see CocoonJS.Social.onLogout
		*/
		requestLogout : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestLogout", arguments, true);
			}
		},

		/**
		* Check if the user is logged in.
		* @return {boolean} true if the user is still logged in, false otherwise.
		*/
		isLoggedIn : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "isLoggedIn", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Returns all the granted permissions for the current session.
		* @return {Array} An array containin the user granted permissions.
		*/
		getPermissions : function() 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getPermissions", arguments);
			}
			else
			{
				return new Array();
			}
		},

		/**
		* Check if the user has granted the publish permission for the current session.
		* @return {boolean} true if the user has granted the publish permission for the current session, false otherwise.
		*/
		hasPublishPermission : function() 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "hasPublishPermission", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Request to retrieve the current or a specific user's id. The request can be monitored using the {@link CocoonJS.Social.onUserInfoRequestSucceed} and {@link CocoonJS.Social.onUserInfoRequestFailed} event handlers.
		* @param {string} [userId] The id of the user to retireve the information from. If no userID is specified, the currently logged in user is assumed.
		* @see CocoonJS.Social.onRequestUserInfoSucceed
		* @see CocoonJS.Social.onRequestUserInfoFailed
		*/
		requestUserInfo : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserInfo", arguments, true);
			}
		},

		/**
		* Request to retrieve the Image of a user
		* @param {string} [userID] The id of the user to get the image for. If no userID is specified, the currently logged user is used.
		* @param {CocoonJS.Social.ImageSizeType} [imageSizeType] The size of the image. One of the possible values among the ones in the {@link CocoonJS.Social.ImageSizeType}. If no value is specified, SMALL is used.
		* @see CocoonJS.Social.onRequestUserImageURLSucceed;
		* @see CocoonJS.Social.onRequestUserImageURLFailed;
		*/
		requestUserImageURL : function( imageSizeType, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserImageURL", arguments, true);
			}
		},

		/**
		* Request for the information of all the friends of the currently logged user.
		* @param {string} [userID] The id of the user to get the friends infos for. If no userID is specified, the currently logged user is used.
		* @see CocoonJS.Social.onRequestUserFriendsUserInfosSucceed;
		* @see CocoonJS.Social.onRequestUserFriendsUserInfosFailed;
		*/
		requestUserFriendsUserInfos : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserFriendsUserInfos", arguments, true);
			}
		},

		/**
		* Request the publication of a message using a dialog.
		* @param {CocoonJS.Social.Message} message A object representing the information to be published.
		* @see CocoonJS.Social.onRequestMessagePublicationSucceed
		* @see CocoonJS.Social.onRequestMessagePublicationFailed
		*/
		requestMessagePublicationWithDialog : function(message)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestMessagePublicationWithDialog", arguments, true);
			}
		}
	};

	/**
	* This structure represents the possible images to be obtained for a user in the social gaming extension.
	* @namespace
	*/
	CocoonJS.Social.ImageSizeType = 
	{
		/**
		* Represent a thumbnail like image size.
		*/
	    THUMB : "thumb",

		/**
		* Represents the small image size.
		*/
	    SMALL : "small",

		/**
		* Represents the medium image size.
		*/
	    MEDIUM : "medium",

		/**
		* Represents the large image size.
		*/
	    LARGE : "large"
	};

	/**
	* The data structure that represents the information of a user inside the social gaming extension.
	* @namespace
	* @constructor
	* @param {string} userID The id of the user.
	* @param {string} userName The user name of the user.
	*/
	CocoonJS.Social.UserInfo = function(userID, userName)
	{
		/**
		* The id of the user.
		* @field
		* @type string
		*/
		this.userID = userID;

		/**
		* The user name of the user.
		* @field
		* @type string
		*/
		this.userName = userName;
	};

	/**
	* This type represents a message to be published.
	* @namespace
	* @constructor
	* @param {string} message The message to be published.
	* @param {string} mediaURL An URL to a media (image, video, ...)
	* @param {string} linkURL An URL to add to the message so the user can click on that link to get more information.
	* @param {string} linkText The text that will appear in the message link.
	* @param {string} linkCaption The text caption that will appear in the message link.
	*/
	CocoonJS.Social.Message = function(message, mediaURL, linkURL, linkText, linkCaption)
	{
		/**
		* The message to be published.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* An URL to a media (image, video, ...)
		* @field
		* @type string
		*/
		this.mediaURL = mediaURL;

		/**
		* An URL to add to the message so the user can click on that link to get more information.
		* @field
		* @type string
		*/
		this.linkURL = linkURL;

		/**
		* The text that will appear in the message link.
		* @field
		* @type string
		*/
		this.linkText = linkText;

		/**
		* The text caption that will appear in the message link.
		* @field
		* @type string
		*/
		this.linkCaption = linkCaption;

		return this;
	};

})();

//////////////////////////////////////
// COCOONJS_SOCIALGAMING.JS         //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    if (!CocoonJS.Social)
		throw("The CocoonJS.Social object must exist and be valid before creating any extension object.");

	/**
	* This type represents the access to a native Social Gamming extension API. As there can be more than
	* one service of this type, more than one instance can be created.
	* @namespace
	* @constructor
	* @param {string} nativeExtensionName The name of the native ext object extension property name.
	* @param {string} extensionName The name of the CocoonJS object extension property name.
	*/
	CocoonJS.SocialGaming = function(nativeExtensionName, extensionName)
	{
		CocoonJS.SocialGaming.superclass.constructor.call(this, nativeExtensionName, extensionName);

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAndFriendsScoresSucceed} event calls.
	     * @name OnRequestUserAndFriendsScoresSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {array} userAndFriendsScoreInfos An array of {@link CocoonJS.SocialGaming.UserScoreInfo} objects representing the information of the user's and friends' scores.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user and friends scores request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAndFriendsScoresSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAndFriendsScoresSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAndFriendsScoresSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAndFriendsScoresFailed} event calls.
	     * @name OnRequestUserAndFriendsScoresFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score and friends scores were requested.
	     * @param {string} leadeboardID The id of the leaderboard for whom the score and friends scores were requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user and his/her friends scores request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAndFriendsScoresFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAndFriendsScoresFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAndFriendsScoresFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserScoreSucceed} event calls.
	     * @name OnRequestUserScoreSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {CocoonJS.SocialGaming.UserScoreInfo} userScoreInfo The info of the user's score.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserScoreSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserScoreSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserScoreSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserScoreFailed} event calls.
	     * @name OnRequestUserScoreFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score was requested.
	     * @param {string} leaderboardID The id of the leaderboard for whom the score was requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserScoreFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserScoreFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserScoreFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserScoreSucceed} event calls.
	     * @name OnSubmitUserScoreSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score has been submitted.
	     * @param {string} leaderboardID The id of the leaderboard for which the score has been submitted.
	     * @param {number} score The score that has been submitted.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score submit suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserScoreSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserScoreSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserScoreSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserScoreFailed} event calls.
	     * @name OnSubmitUserScoreFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score submition was requested.
	     * @param {string} leaderboadID The id of the leaderboard for which the score submition was requested.
	     * @param {number} score The score that was submitted and failed.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score submit fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserScoreFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserScoreFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserScoreFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAchievementsSucceed} event calls.
	     * @name OnRequestUserAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements where requested.
	     * @param {array} achievementsInfos An array of {@link CocoonJS.SocialGaming.AchievementInfo} objects representing the information of the user's achievements.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievements info are successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAchievementsFailed} event calls.
	     * @name OnRequestUserAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements were requested.
	   	 * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievmeents info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAchievementsFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAllAchievementsSucceed} event calls.
	     * @name OnRequestAllAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {array} achievementsInfos An array of {@link CocoonJS.SocialGaming.AchievementInfo} objects representing the information of all the achievements.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievements info are successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAllAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAllAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAllAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAllAchievementsFailed} event calls.
	     * @name OnRequestAllAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	   	 * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievmeents info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAllAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAllAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAllAchievementsFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAchievementInfoSucceed} event calls.
	     * @name OnRequestAchievementInfoSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {CocoonJS.SocialGaming.AchievementInfo} achievementInfo A {@link CocoonJS.SocialGaming.AchievementInfo} object representing the information of the achievement.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the request to retrieve the information of an achievement succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAchievementInfoSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAchievementInfoSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAchievementInfoSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAchievementInfoFailed} event calls.
	     * @name OnRequestAchievementInfoFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} achievementID The id of the achievement for which the information retrieval was requested.
	     * @param {string} errorMessage The error message.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the request to retrieve the information of an achievement fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAchievementInfoFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAchievementInfoFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAchievementInfoFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserAchievementSucceed} event calls.
	     * @name OnSubmitUserAchievementSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievement has been submitted.
	     * @param {string} achievementID The id of the achievement that has been submitted.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement submition succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserAchievementSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserAchievementSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserAchievementSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserAchievementFailed} event calls.
	     * @name OnSubmitUserAchievementFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievment was submitted.
	     * @param {string} achievementID The id of the achievement that was submitted.
	     * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement submition fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserAchievementFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserAchievementFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserAchievementFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onResetUserAchievementsSucceed} event calls.
	     * @name OnResetUserAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements were reset.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnResetUserAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onResetUserAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onResetUserAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onResetUserAchievementsFailed} event calls.
	     * @name OnResetUserAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements where tried to be reset.
	     * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnResetUserAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onResetUserAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onResetUserAchievementsFailed");

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the users closes the achievements view.
	    * The callback function does not receive any parameter.
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewClosed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewClosed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onAchievementsViewFailed} event calls.
	     * @name OnAchievementsViewFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} errorMessage The message that describes why the call failed.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the achievements view failed to show.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnAchievementsViewFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewFailed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewFailed");

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when achievements view shows successfully.
	    * The callback function does not receive any parameter.
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewClosed} event calls.
	     * @name OnLeaderboardViewClosedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewClosedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewClosed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewClosed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewFailed} event calls.
	     * @name OnLeaderboardViewFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewFailed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewSucceed} event calls.
	     * @name OnLeaderboardViewSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewSucceed");

		return this;
	};

	CocoonJS.SocialGaming.prototype = 
	{
        abstractToSocialGamingAchievementMap : null,
        abstractToSocialGamingAchievementMapInverse : null,

        /**
        * @ignore
        */
        setAbstractToSocialGamingAchievementMap : function( map ) {
            this.abstractToSocialGamingAchievementMap= map;

            // build a reciprocal map.
            this.abstractToSocialGamingAchievementMapInverse= {};
            for( var id in map ) {
                if ( map.hasOwnProperty(id) ) {
                    this.abstractToSocialGamingAchievementMapInverse[ map[id] ]= id;
                }
            }
            return this;
        },

        /**
        * @ignore
        */
        getAbstractToSocialGamingAchievementTranslation : function( achievementID ) {
            /**
             * If a translation map for abstract in-game achievements has been set, translate achievementID from
             * abstract to SocialGamingService.
             */
            if (this.abstractToSocialGamingAchievementMap) {
                var socialGamingAchievementID = this.abstractToSocialGamingAchievementMap[achievementID];
                if (socialGamingAchievementID) {
                    console.log("Abstract achieventID='" + achievementID + "' turned to '" + socialGamingAchievementID + "'");
                    achievementID = socialGamingAchievementID;
                } else {
                    console.log("Something may be wrong: abstract achievementID: '" + achievementID + "' w/o translation.")
                }
            }

            return achievementID;
        },

		/**
		* Request to retrieve the scores of all friends of a given user.
		* @param {string} [leaderboardID] The id of the leaderboard to request the scores for.
		* @param {string} [userID] The id of the user. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onRequestUserAndFriendsScoresSucceed
		* @see CocoonJS.SocialGaming.onRequestUserAndFriendsScoresFailed
		*/
		requestUserAndFriendsScores : function(leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserAndFriendsScores", arguments, true);
			}
		},

		/**
		* Request to retrieve the score of a user.
		* @param {string} [leaderboardID] The id of the scores leaderboard to retireve the score from. If null or underfined is passed, the "leadeboard" id will be used.
		* @param {string} [userID] The id of the user to retireve the score from. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onRequestUserScoreSucceed
		* @see CocoonJS.SocualGaming.onRequestUserScoreFailed
		*/
		requestUserScore : function(leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserScore", arguments, true);
			}
		},

		/**
		* Request to the server the score of a user.
		* @param {number} [score] the score to submit
		* @param {string} [leaderboardID] The id of the scores leaderboard to submit the score to. If null or underfined is passed, the "leadeboard" id will be used.
		* @param {string} [userID] The id of the user to submit the score for. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onSubmitUserScoreSucceed
		* @see CocoonJS.SocualGaming.onSubmitUserScoreFailed
		*/
		submitUserScore : function(score, leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "submitUserScore", arguments, true);
			}
		},
		/**
		* Shows the leaderboard using a platform dependant view.
		* @param {string} [leaderboardID] The id of the scores leaderboard to show the view for. If null or underfined is passed, the "leadeboard" id will be used.
		* @see CocoonJS.SocialGaming.onLeaderboardViewClosed
		*/
		showLeaderboardView : function(leaderboardID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showLeaderboardView", arguments, true);
			}
		},

		/**
		* Request to retrieve the user achievements. The request can be monitored using the {@link CocoonJS.SocialGaming.onRequestUserAchievementsSucceed} and {@link CocoonJS.Social.onRequestUserAchievementsFailed} event handlers.
		* @param {string} [userID] The id of the user to retireve the achievements from. if null/undefined/"" is specified, the currently logged in user is assumed.
		* @see CocoonJS.SocialGaming.onRequestUserAchievementsSucceed
		* @see CocoonJS.SocialGaming.onRequestUserAchievementsFailed
		*/
		requestUserAchievements : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserAchievements", arguments, true);
			}
		},

		/**
		* Request to retrieve all the achievements. The request can be monitored using the {@link CocoonJS.SocialGaming.onRequestAllAchievementsSucceed} and {@link CocoonJS.Social.onRequestAllAchievementsFailed} event handlers.
		* @see CocoonJS.SocialGaming.onRequestAllAchievementsSucceed
		* @see CocoonJS.SocialGaming.onRequestAllAchievementsFailed
		*/
		requestAllAchievements : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestAllAchievements", arguments, true);
			}
		},

		/**
		* Request to retrieve the information about an achievement. 
		* @param {string} achievementID The id of the achievement to get the information for.
		* @param {CocoonJS.Social.ImageSizeType} [imageSizeType] The size of the image. One of the possible values among the ones in the {@link CocoonJS.Social.ImageSizeType}
		*/
		requestAchievementInfo : function(achievementID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestAchievementInfo", arguments, true);
			}
		},

		/**
		* Submits an achievement to the server. If the process fails, the achievement is stored to submit it later.
		* @param {string} [achievementID] the achievement identifier
		* @param {number} [percentComplete] an optional number between 0 and 100 that indicates a completion percentage.
		* @see CocoonJS.SocialGaming.onSubmitAchievementSucceed
		* @see CocoonJS.SocualGaming.onSubmitAchievementFailed
		*/
        submitUserAchievement:function (achievementID, userID) {
            achievementID = this.getAbstractToSocialGamingAchievementTranslation(achievementID);

            if (this.nativeExtensionObjectAvailable) {
                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "submitUserAchievement", arguments, true);
            }
        },

		/**
		* Shows the achievements using a platform dependant view.
		* @see CocoonJS.SocialGaming.onAchievementsViewClosed
		*/
		showUserAchievementsView : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showUserAchievementsView", arguments, true);
			}
		},

		/**
		* Resets all the achievements of the current user
		* @param {string} [userID] The id of the user to reset the achievements for. If null/undefined/"", the logged in user is assumed.
		* @see CocoonJS.SocialGaming.onResetAchievementsSucceed
		* @see CocoonJS.SocualGaming.onResetAchievementsFailed
		*/
		resetUserAchievements : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "resetUserAchievements", arguments, true);
			}
		}
	};

	/**
    * @ignore
    */
	CocoonJS.extend(CocoonJS.SocialGaming, CocoonJS.Social);

	/**
	* The data structure that represents the information of the user score in the application.
	* @namespace
	* @constructor
	* @param {string} userID The user id.
	* @param {number} score The score of the user.
	* @param {string} userName The name of the user.
	* @param {string} imageURL The url of the user image.
	* @param {number} leaderboardID The id of the leaderboard the score belongs to.
	*/
	CocoonJS.SocialGaming.UserScoreInfo = function(userID, score, userName, imageURL, leaderboardID)
	{
		/**
		* The user id. 
		* @type string
		*/
		this.userID = userID;

		/**
		* The score of the user.
		* @type number
		*/
		this.score = score ? score : 0;

		/**
		* The name of the user.
		* @type string
		*/
        this.userName = userName;

		/**
		* The url of the user image.
		* @type string
		*/
        this.imageURL = imageURL;

        /**
		* The id of the leaderboard the score belongs to.
		* @type number
		*/
        this.leaderboardID = leaderboardID;
	};

	/**
	* The data structure that represents the information of an achievement in the application.
	* @namespace
	* @constructor
	* @param {string} achievementID The id of the achievement info.
	* @param {string} title The title of the achievement.
	* @param {string} description The description of the achievement.
	* @param {string} imageURL The url to the image representing the achievement.
	* @param {number} points The points value of the achievement
	*/
	CocoonJS.SocialGaming.AchievementInfo = function(achievementID, title, description, imageURL, points)
	{
		/**
		* The id of the achievement info.
		* @type string
		*/
		this.achievementID = achievementID;

		/**
		* The title of the achievement.
		* @type string
		*/
		this.title = title;

		/**
		* The description of the achievement.
		* @type string
		*/
		this.description = description;

		/**
		* The url to the image representing the achievement.
		* @type string
		*/
		this.imageURL = imageURL;

		/**
		* The points value of the achievement
		* @type number
		*/
		this.points = points ? points : 0;
	};

})();

/////////////////////////////////////////
// COCOONJS_SOCIALGAMING_GAMECENTER.JS //
/////////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");
    if (typeof window.CocoonJS.SocialGaming === 'undefined' || window.CocoonJS === null) throw("The CocoonJS.SocialGaming object must exist and be valid before creating a Game Center extension object.");

	/**
	* This instance represents the extension object to access GameCenter related native functionalities.
	* The data structure for initialization: None.
	* @see CocoonJS.Social
	*/
	CocoonJS.SocialGaming.GameCenter = new CocoonJS.SocialGaming("IDTK_SRV_SOCIAL_GAMECENTER", "SocialGaming.GameCenter");
})();

//////////////////////////////
// COCOONJS_GAMEPAD.JS 		//
//////////////////////////////

(function () {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents the functionalities related to OUYA android gaming control.
     * @namespace
     */
    CocoonJS.Gamepad = {};

    CocoonJS.Gamepad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.Gamepad !== 'undefined';

    CocoonJS.Gamepad.Indices = {
        BUTTON_0                : 0, 
        BUTTON_1                : 1,
        BUTTON_2                : 2,
        BUTTON_3                : 3,
        BUTTON_LEFT_BUMPER      : 4,
        BUTTON_RIGHT_BUMPER     : 5,
        
        BUTTON_LEFT_TRIGGER     : 6,
        BUTTON_RIGHT_TRIGGER    : 7,
        
        BUTTON_LEFT_JOYSTICK    : 10,
        BUTTON_RIGHT_JOYSTICK   : 11,
        BUTTON_DPAD_UP          : 12,
        BUTTON_DPAD_DOWN        : 13,
        BUTTON_DPAD_LEFT        : 14,
        BUTTON_DPAD_RIGHT       : 15,
        BUTTON_MENU             : 16,
        
        AXE_LEFT_JOYSTICK_X     : 0,
        AXE_LEFT_JOYSTICK_Y     : 1,
        AXE_RIGHT_JOYSTICK_X    : 2,
        AXE_RIGHT_JOYSTICK_Y    : 3
    };

    // If the extension is present and the navigator does not provide the gamepad API:
    // 1.- Add the getGamepads function to the navigator object.
    // 2.- Replace the window add and remove event listener functions to call to the extension for the gamepad related events.
    var systemSupportsGamepads = navigator["getGamepads"] || navigator["webkitGetGamepads"];
    if (CocoonJS.Gamepad.nativeExtensionObjectAvailable && !systemSupportsGamepads)
    {
        navigator.getGamepads = function()
        {
            return window.ext.Gamepad.makeCall("getGamepads");
        };

        CocoonJS.Gamepad.originalWindowAddEventListener = window.addEventListener;
        CocoonJS.Gamepad.originalWindowRemoveEventListener = window.removeEventListener;

        window.addEventListener = function(eventName, callback)
        {
            console.log("The new window.addEventListener has been called.");
            if (eventName === "gamepadconnected" || eventName === "gamepaddisconnected")
            {
                window.ext.Gamepad.addEventListener(eventName, callback);
            }
            else
            {
                var argumentsArray = Array.prototype.slice.call(arguments);
                CocoonJS.Gamepad.originalWindowAddEventListener.apply(window, argumentsArray);
            }
        };
        window.removeEventListener = function(eventName, callback)
        {
            console.log("The new window.removeEventListener has been called.");
            if (eventName === "gamepadconnected" || eventName === "gamepaddisconnected")
            {
                window.ext.Gamepad.removeEventListener(eventName, callback);
            }
            else
            {
                var argumentsArray = Array.prototype.slice.call(arguments);
                CocoonJS.Gamepad.originalWindowRemoveEventListener.apply(window, argumentsArray);
            }
        };
    } 
    else if (systemSupportsGamepads) 
    {
        if (!navigator.getGamepads)
        {
            console.log("navigator.getGamepads does not exist.");
            if (navigator.webkitGetGamepads)
            {
                console.log("navigator.webkitGamepads exists, adding navigator.getGamepads to point to it.");
                navigator.getGamepads = navigator.webkitGetGamepads;
            }
            else
            {
                console.log("navigator.webkitGetGamepads does not exist either.");
            }
        }
    }
})();

//////////////////////////////
// COCOONJS_NOTIFICATION.JS //
//////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS Notification extension.
    * @namespace
    */
    CocoonJS.Notification = {};

    CocoonJS.Notification.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_NOTIFICATION !== 'undefined';

	/**
	* The data structure that represents the information of a local notification.
	* @namespace
	* @constructor
	* @param {string} message The notification message.
	* @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
	* @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
	* @param {object} userData The JSON data to attached to the notification.
	* @param {string} contentBody The body content to be showed in the expanded notification information.
	* @param {string} contentTitle The title to be showed in the expanded notification information.
	* @param {number} date Time in millisecs from 1970 when the notification will be fired.
	*/
	CocoonJS.Notification.LocalNotification = function(message, soundEnabled, badgeNumber, userData, contentBody, contentTitle, scheduleTime)
	{
		/**
		* The notification message.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* A flag that indicates if the sound should be enabled for the notification.
		* @field
		* @type boolean
		*/
		this.soundEnabled = soundEnabled;

		/**
		* (iOS only) The number that will appear in the badge of the application icon in the home screen.
		* @field
		* @type number
		*/
		this.badgeNumber = badgeNumber;

		/**
		* The JSON data to attached to the notification.
		* @field
		* @type object
		*/
		this.userData = userData;

		/**
		* (Android only) The body content to be showed in the expanded notification information.
		* @field
		* @type string
		*/
		if (contentBody !== undefined)
			this.contentBody = contentBody;
		else
			this.contentBody = "";

		/**
		* (Android only) The title to be showed in the expanded notification information.
		* @field
		* @type string
		*/
		if (contentTitle !== undefined)
			this.contentTitle = contentTitle;
		else
			this.contentTitle = "";

		/**
		* Time in millisecs from 1970 when the local notification will be fired
		* @field
		* @type number
		*/
		var currentTime = new Date().getTime();
		if (scheduleTime !== undefined){
			this.scheduleTime = scheduleTime;
		}else{
			this.scheduleTime = currentTime;
		}
	};

	/**
	* The data structure that represents the information of a push notification.
	* @namespace
	* @constructor
	* @param {string} message The notification message.
	* @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
	* @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
	* @param {object} userData The JSON data to attached to the notification.
	* @param {array} channels An array containing the channels names this notification will be delivered to.
	* @param {number} expirationTime A time in seconds from 1970 when the notification is no longer valid and will not be delivered in case it has not already been delivered.
	* @param {number} expirationTimeInterval An incremental ammount of time in from now when the notification is no longer valid and will not be delivered in case it has not already been delivered.
	*/
	CocoonJS.Notification.PushNotification = function(message, soundEnabled, badgeNumber, userData, channels, expirationTime, expirationTimeInterval)
	{
		/**
		* The notification message.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* A flag that indicates if the sound should be enabled for the notification.
		* @field
		* @type boolean
		*/
		this.soundEnabled = soundEnabled;

		/**
		* The number that will appear in the badge of the application icon in the home screen.
		* @field
		* @type number
		*/
		this.badgeNumber = badgeNumber;

		/**
		* The JSON data to attached to the notification.
		* @field
		* @type object
		*/
		this.userData = userData

		/**
		* An array containing the channels names this notification will be delivered to.
		* @field
		* @type array
		*/
		this.channels = channels;

		/**
		* A time in seconds from 1970 when the notification is no longer valid and will not be delivered in case it has not already been delivered.
		* @field
		* @type number
		*/
		if (expirationTime !== undefined)
			this.expirationTime = expirationTime;
		else
			this.expirationTime = 0;

		/**
		* An incremental ammount of time in from now when the notification is no longer valid and will not be delivered in case it has not already been delivered.
		* @field
		* @type number
		*/
		if (expirationTimeInterval !== undefined)
			this.expirationTimeInterval = expirationTimeInterval;
		else
			this.expirationTimeInterval = 0;
	};

	/**
	* Start processing received notifications. The user must call this method when the game is ready to process notifications. Notifications received before being prepared are stored and processed later.
	*/
	CocoonJS.Notification.start = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "start", arguments, true);
		}
	};


	/**
	* Register to be able to receive push notifications.
	* The registration process is controlled using the {@link CocoonJS.Notification.onRegisterForPushNotificationsSucceed} and {@link CocoonJS.Notification.onRegisterForPushNotificationsFailed} event handlers.
	* @function
	* @see {CocoonJS.Notification.onRegisterForPushNotificationsSucceed}
	* @see {CocoonJS.Notification.onRegisterForPushNotificationsFailed}
	*/
	CocoonJS.Notification.registerForPushNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "registerForPushNotifications", arguments, true);
		}
	};

	/**
	* Unregister from receiving push notifications.
	* The unregistration process is controlled using the {@link CocoonJS.Notification.onUnregisterForPushNotificationsSucceed} event handler.
	* @function
	* @see CocoonJS.Notification.onUnregisterForPushNotificationsSucceed
	*/
	CocoonJS.Notification.unregisterForPushNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "unregisterForPushNotifications", arguments, true);
		}
	};

	/**
	* Cancel the last sent local notification.
	* The last sent local notification will be remove from the notifications bar.
	* @function
	*/
	CocoonJS.Notification.cancelLastSentLocalNotificiation = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelLocalNotification", arguments, true);
		}
	};

	/**
	* Cancel all sent local notifications.
	* All the notifications will ve removed from the notifications bar.
	* @function
	*/
	CocoonJS.Notification.cancelAllLocalNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelAllLocalNotifications", arguments, true);
		}
	};

	/**
	* Send a local notification.
	* @function
	* @param {CocoonJS.Notification.LocalNotification} localNotification The local notification to be sent.
	*/
	CocoonJS.Notification.sendLocalNotification = function(localNotification)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "sendLocalNotification", arguments, true);
		}
	};

	/**
	* Subscribe to a channel in order to receive notifications targeted to that channel.
	* @function
	* @param {string} channel The channel id to subscribe to.
	*/
	CocoonJS.Notification.subscribeToChannel = function(channel)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "subscribe", arguments, true);
		}
	};

	/**
	* Unsubscribe from a channel in order to stop receiving notifications targeted to it.
	* @function
	* @param {string} channel The channel id to unsubscribe from.
	*/
	CocoonJS.Notification.unsubscribeFromChannel = function(channel)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "unsubscribe", arguments, true);
		}
	};

	/**
	* Send a push notification.
	* @function
	* @param {CocoonJS.Notification.PushNotification} pushNotification The push notification object to be sent.
	* @see CocoonJS.Notification.onPushNotificationDeliverySucceed
	* @see CocoonJS.Notification.onPushNotificationDeliveryFailed
	*/
	CocoonJS.Notification.sendPushNotification = function(pushNotification)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "sendPushNotification", arguments, true);
		}
	};

	/**
	* (iOS only) Set the badge number for this application.
	* This is useful if you want to modify the badge number set by a notification.
	* @function
	* @param {number} badgeNumber The number of the badge.
	*/
	CocoonJS.Notification.setBadgeNumber = function(badgeNumber)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "setBadgeNumber", arguments);
		}
	};

	/**
	* (iOS only) Returns the current badge number.
	* @function
	* @returns {number} The badge number.
	*/
	CocoonJS.Notification.getBadgeNumber = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getBadgeNumber", arguments);
		}
	};

	/**
	* Returns the last received user data from a Local notification.
	* @function
	* @returns {object} The last received user data from a Local notification.
	*/
	CocoonJS.Notification.getLastReceivedLocalNotificationData = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getLastReceivedLocalNotificationData", arguments);
		}
	};

	/**
	* Returns the last received user data from a Push notification.
	* @function
	* @returns {object} The last received user data from a Push notification.
	*/
	CocoonJS.Notification.getLastReceivedPushNotificationData = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getLastReceivedPushNotificationData", arguments);
		}
	};

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the registration for push notification succeeds.
    * The callback function does not receive any parameter.
    * @static
    * @event
    * @param {string} token The token (apid or device token) received at registration time.
    * @memberOf CocoonJS.Notification
    */
	CocoonJS.Notification.onRegisterForPushNotificationsSucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceRegistered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the unregistration for push notifications succeeds.
    * The callback function does not receive any parameter.
    * @static
    * @event
    * @memberOf CocoonJS.Notification
    */
	CocoonJS.Notification.onUnregisterForPushNotificationsSucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceUnregistered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the registration for push notifications fails.
    * The callback function receives a parameter with error information.
    * @static
    * @event
    * @param {string} msg The error message.
    */
	CocoonJS.Notification.onRegisterForPushNotificationsFailed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceFailedToRegister");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a push notification is received.
    * The callback function receives a parameter with the userData of the received notification.
    * @static
    * @event
    * @param {object} userData An object with the notification userData information.
    */
	CocoonJS.Notification.onPushNotificationReceived = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a local notification is received.
    * The callback function receives a parameter with the userData of the received notification.
    * @static
    * @event
    * @param {object} userData An object with the notification userData information.
    */
	CocoonJS.Notification.onLocalNotificationReceived = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "localNotificationReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a notification is successfully delivered.
    * The callback function receives a parameter with the notificationId of the delivered notification.
    * @static
    * @event
    * @param {string} userData A string with the notification userData information.
    */
	CocoonJS.Notification.onPushNotificationDeliverySucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationSuccessfullyDelivered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the delivery of push a notification fails.
    * The callback function receives a parameter with error information.
    * @static
    * @event
    * @param {string} msg The error message.
    */
	CocoonJS.Notification.onPushNotificationDeliveryFailed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationDeliveryError");

})();

/////////////////
// PATHFIND.JS //
/////////////////

// Pathfind.js
// Written by Ashley Gullen
// Copyright (c) 2013 Scirra Ltd.

// A* pathfinding javascript implementation

(function() {
	
	var PF_CLEAR = 0;
	var PF_OBSTACLE = 32767;
	
	function node()
	{
		this.parent = null;
		
		this.x = 0;
		this.y = 0;

		this.f = 0;
		this.g = 0;
		this.h = 0;
	};
	
	var nodeCache = [];			// for recycling nodes
	
	function allocNode()
	{
		var ret;
		
		if (nodeCache.length)
			ret = nodeCache.pop();
		else
			ret = new node();
			
		ret.parent = null;
		ret.x = 0;
		ret.y = 0;
		ret.f = 0;
		ret.g = 0;
		ret.h = 0;
		return ret;
	};
	
	function freeNode(n)
	{
		if (nodeCache.length < 64000)
			nodeCache.push(n);
	};
	
	function resultNode(x_, y_)
	{
		this.x = x_ || 0;
		this.y = y_ || 0;
	};
	
	var resultNodeCache = [];			// for recycling resultNodes
	
	function allocResultNode()
	{
		if (resultNodeCache.length)
			return resultNodeCache.pop();
		else
			return new resultNode(0, 0);
	};
	
	function freeResultNode(n)
	{
		if (resultNodeCache.length < 10000)
			resultNodeCache.push(n);
	};
	
	var workersSupported = (typeof Worker !== "undefined");
	var isInWebWorker = (typeof document === "undefined");		// no DOM in a worker
	var myInstance = null;										// single pathfinder instance for worker
	
	if (isInWebWorker)
	{
		self.addEventListener("message", function (e)
		{
			var d = e.data;
			
			if (!d)
				return;		// could be empty postMessage() to start worker
			
			if (d.cmd === "init")
			{
				if (!myInstance)
					myInstance = new pathfinder();
					
				myInstance.init(d.hcells, d.vcells, d.data, d.diagonals);
			}
			else if (d.cmd === "find")
			{
				// receive a pathfind job, process it them dispatch result
				myInstance.pathEnd.parent = null;
				myInstance.targetX = d.endX;
				myInstance.targetY = d.endY;
				
				if (myInstance.doLongFindPath(d.startX, d.startY))
				{
					self.postMessage({ cmd: "result", pathList: myInstance.pathList });
				}
				else
				{
					self.postMessage({ cmd: "result", pathList: null });
				}
			}
			else if (d.cmd === "setdiag")
			{
				// update diagonalsEnabled flag
				myInstance.diagonalsEnabled = d.diagonals;
			}
			
		}, false);
	}
	
	function pathfinder()
	{
		this.hcells = 0;
		this.vcells = 0;
		
		this.pathEnd = allocNode();
		
		this.cells = null;
		this.openList = [];
		this.closedList = [];
		this.closedCache = {};
		this.pathList = [];
		
		this.currentNode = null;
		this.targetX = 0;
		this.targetY = 0;
		this.diagonalsEnabled = true;
		
		this.worker = null;
		this.workerQueue = [];		// jobs awaiting completion from worker in order of requests made
		this.workerRecycle = [];
		
		var self = this;
		var i, len;
		
		if (workersSupported && !isInWebWorker)
		{
			// Create worker and receive results of pathfind jobs from it
			this.worker = new Worker("pathfind.js");
			
			this.worker.addEventListener("message", function (e) {
			
				if (!e || !e.data)
					return;
				
				if (e.data.cmd === "result")
				{
					if (e.data.pathList)
					{
						for (i = 0, len = self.pathList.length; i < len; i++)
							freeResultNode(self.pathList[i]);
						
						self.pathList = e.data.pathList;
						self.workerQueue[0].success();
					}
					else
						self.workerQueue[0].fail();
						
					self.workerRecycle.push(self.workerQueue.shift());
				}
			}, false);
			
			this.worker.addEventListener("error", function (e) {
				console.error(e);
			}, false);
			
			this.worker.postMessage(null);
		}
	};
	
	pathfinder.prototype.init = function (hcells_, vcells_, data_, diagonals_)
	{
		this.hcells = hcells_;
		this.vcells = vcells_;
		this.cells = data_;
		this.diagonalsEnabled = diagonals_;
		
		if (workersSupported && !isInWebWorker)
		{
			this.worker.postMessage({
				cmd: "init",
				hcells: hcells_,
				vcells: vcells_,
				diagonals: diagonals_,
				data: data_
			});
		}
	};
	
	pathfinder.prototype.isReady = function ()
	{
		return !!this.cells;
	};
	
	pathfinder.prototype.setDiagonals = function (d)
	{
		if (this.diagonalsEnabled === d)
			return;
		
		this.diagonalsEnabled = d;
		
		if (workersSupported && !isInWebWorker)
		{
			this.worker.postMessage({
				cmd: "setdiag",
				diagonals: d,
			});
		}
	};
	
	pathfinder.prototype.at = function (x_, y_)
	{
		if (x_ < 0 || y_ < 0 || x_ >= this.hcells || y_ >= this.vcells)
			return PF_OBSTACLE;
			
		return this.cells[x_][y_];
	};
	
	pathfinder.prototype.findPath = function (startX, startY, endX, endY, successCallback, failCallback)
	{
		if (!this.cells)
		{
			// not yet initialised
			failCallback();
			return;
		}
		
		startX = Math.floor(startX);
		startY = Math.floor(startY);
		endX = Math.floor(endX);
		endY = Math.floor(endY);
		
		this.targetX = endX;
		this.targetY = endY;
		this.pathEnd.parent = null;
		
		// Check the box made by the start and dest cells.
		// If the complete box is empty, allow a direct move to target.
		var minX = Math.min(startX, endX);
		var maxX = Math.max(startX, endX);
		var minY = Math.min(startY, endY);
		var maxY = Math.max(startY, endY);
		
		// Path goes out of bounds: no calculable path
		if (minX < 0 || minY < 0 || maxX >= this.hcells || maxY >= this.vcells)
		{
			failCallback();
			return;
		}
		
		var x, y, i, len, c, h, n;

		if (this.diagonalsEnabled)
		{
			var canMoveDirect = true;
			
			for (x = minX; x <= maxX; x++)
			{
				for (y = minY; y <= maxY; y++)
				{
					if (this.cells[x][y] !== 0)
					{
						canMoveDirect = false;
						
						// Break both loops
						x = maxX + 1;
						break;
					}
				}
			}

			// A "direct" path is available (box is empty)
			if (canMoveDirect)
			{
				for (i = 0, len = this.pathList.length; i < len; i++)
					freeResultNode(this.pathList[i]);
				this.pathList.length = 0;
			
				this.pathEnd.x = endX;
				this.pathEnd.y = endY;
				this.pathEnd.parent = null;
				n = allocResultNode();
				n.x = endX;
				n.y = endY;
				this.pathList.push(n);
				successCallback();
				return;
			}
		}
		
		if (workersSupported)
		{
			// recycle objects in the worker queue
			if (this.workerRecycle.length)
				h = this.workerRecycle.pop();
			else
				h = {};
			
			h.success = successCallback;
			h.fail = failCallback;
			
			// dispatch the heavy lifting to the worker thread
			this.workerQueue.push(h);

			this.worker.postMessage({
				cmd: "find",
				startX: startX,
				startY: startY,
				endX: endX,
				endY: endY
			});
		}
		else
		{
			// no web worker support, just run on main thread
			if (this.doLongFindPath(startX, startY))
				successCallback();
			else
				failCallback();
		}
	};
		
	pathfinder.prototype.doLongFindPath = function (startX, startY)
	{
		var i, len, c, n, p, lastDir = 8, curDir = -1, addNode;
		for (i = 0, len = this.openList.length; i < len; i++)
			freeNode(this.openList[i]);
		for (i = 0, len = this.closedList.length; i < len; i++)
			freeNode(this.closedList[i]);
		for (i = 0, len = this.pathList.length; i < len; i++)
			freeResultNode(this.pathList[i]);
		this.openList.length = 0;
		this.closedList.length = 0;
		this.closedCache = {};
		this.pathList.length = 0;

		// Add the start node to the open list
		var startNode = allocNode();
		startNode.x = startX;
		startNode.y = startY;

		this.openList.push(startNode);
		var obsLeft = false, obsTop = false, obsRight = false, obsBottom = false;
		var diagonals = this.diagonalsEnabled;
		
		// While there are nodes on the open list
		while (this.openList.length)
		{
			// Move the best F value to closed list
			c = this.openList.shift();
			this.closedList.unshift(c);
			this.closedCache[((c.x << 16) + c.y).toString()] = true;

			// Are we there yet?
			if (c.x === this.targetX && c.y === this.targetY)
			{
				this.pathEnd.parent = c.parent;
				this.pathEnd.x = c.x;
				this.pathEnd.y = c.y;
				
				// Link up the whole path to an indexable array
				p = this.pathEnd;
				
				while (p)
				{
					// filter redundant nodes in straight lines
					if (this.pathList.length === 0)
					{
						addNode = true;
						
						if (p.parent)
						{
							lastDir = this.nodeDirection(p, p.parent);
							curDir = lastDir;
						}
					}
					else if (!p.parent)
						addNode = false;
					else 
					{
						curDir = this.nodeDirection(p, p.parent);
						addNode = (curDir !== lastDir);
					}
					
					if (addNode)
					{
						n = allocResultNode();
						n.x = p.x;
						n.y = p.y;
						this.pathList.unshift(n);
						lastDir = curDir;
					}
					
					p = p.parent;
				}
				
				return true;
			}

			// Get current node
			this.currentNode = c;
			var x = c.x;
			var y = c.y;
			
			var obsLeft = (this.at(x - 1, y) === PF_OBSTACLE);
			var obsTop = (this.at(x, y - 1) === PF_OBSTACLE);
			var obsRight = (this.at(x + 1, y) === PF_OBSTACLE);
			var obsBottom = (this.at(x, y + 1) === PF_OBSTACLE);

			// Check adjacent 8 nodes.  No diagonals allowed if either cell being crossed is obstacle.
			if (!obsLeft)
				this.addCellToOpenList(x - 1, y, 10);

			if (diagonals && !obsLeft && !obsTop)
				this.addCellToOpenList(x - 1, y - 1, 14);

			if (!obsTop)
				this.addCellToOpenList(x, y - 1, 10);

			if (diagonals && !obsTop && !obsRight)
				this.addCellToOpenList(x + 1, y - 1, 14);

			if (!obsRight)
				this.addCellToOpenList(x + 1, y, 10);

			if (diagonals && !obsRight && !obsBottom)
				this.addCellToOpenList(x + 1, y + 1, 14);

			if (!obsBottom)
				this.addCellToOpenList(x, y + 1, 10);

			if (diagonals && !obsBottom && !obsLeft)
				this.addCellToOpenList(x - 1, y + 1, 14);
		}
		
		return false;
	};
	
	pathfinder.prototype.insertToOpenList = function (c)
	{
		var i, len;
		
		// Needs to go at end
		if (c.f >= this.openList[this.openList.length - 1].f)
		{
			this.openList.push(c);
		}
		else
		{
			for (i = 0, len = this.openList.length; i < len; i++)
			{
				if (c.f < this.openList[i].f)
				{
					this.openList.splice(i, 0, c);
					break;
				}
			}
		}
	};
	
	pathfinder.prototype.addCellToOpenList = function (x_, y_, g_)
	{
		// Ignore if cell on closed list
		if (this.closedCache.hasOwnProperty(((x_ << 16) + y_).toString()))
			return;
		
		var i, len, c;
		
		// Cell costs can be increased by changing the number in the map
		var curCellCost = this.at(x_, y_);

		// Is this cell already on the open list?
		for (i = 0, len = this.openList.length; i < len; i++)
		{
			c = this.openList[i];
			
			if (x_ === c.x && y_ === c.y)
			{
				// Is this a better path?
				if (this.currentNode.g + g_ + curCellCost < c.g)
				{
					// Update F, G and H and update parent
					c.parent = this.currentNode;
					c.g = this.currentNode.g + g_ + curCellCost;
					c.h = this.estimateH(c.x, c.y);
					c.f = c.g + c.h;

					// This node's F has changed:  Delete it then re-insert it in the right place

					if (this.openList.length === 1)
					{
						// no need to remove then re-insert same node, just leave it there
						return;
					}
					
					this.openList.splice(i, 1);
					this.insertToOpenList(c);
				}

				return;
			}
		}

		// Not on the open list; add it in the right place
		c = allocNode();
		c.x = x_;
		c.y = y_;
		c.h = this.estimateH(x_, y_);
		c.g = this.currentNode.g + g_ + curCellCost;
		c.f = c.h + c.g;
		c.parent = this.currentNode;

		// Insert this node sorted in the open list
		// The loop below won't add new largest F values
		if (!this.openList.length)
		{
			this.openList.push(c);
			return;
		}
		
		this.insertToOpenList(c);
	};
	
	function quickAbs(x)
	{
		return x < 0 ? -x : x;
	};
	
	pathfinder.prototype.estimateH = function (x_, y_)
	{
		var dx = quickAbs(x_ - this.targetX);
		var dy = quickAbs(y_ - this.targetY);

		return dx * 10 + dy * 10;
	};
	
	pathfinder.prototype.nodeDirection = function (a, b)
	{
		var ax = a.x;
		var ay = a.y;
		var bx = b.x;
		var by = b.y;

		if (ax === bx)
		{
			if (by > ay) return 6;
			if (by < ay) return 2;
			if (ay == by) return 8;
		}
		else if (ay === by)
		{
			if (bx > ax) return 4;
			if (by < ax) return 0;
		}
		else
		{
			if (bx < ax && by < ay) return 1;
			if (bx > ax && by < ay) return 3;
			if (bx < ax && by > ay) return 7;
			if (bx > ax && by > ay) return 5;
		}
		return 8;
	};
	
	if (!isInWebWorker)
	{
		window.PF_CLEAR = PF_CLEAR;
		window.PF_OBSTACLE = PF_OBSTACLE;
		window.Pathfinder = pathfinder;
		
		window.ResultNode = resultNode;
		window.allocResultNode = allocResultNode;
		window.freeResultNode = freeResultNode;
	}

})();
(function() {
'use strict';var cr={plugins_:{},behaviors:{}};"function"!==typeof Object.getPrototypeOf&&(Object.getPrototypeOf="object"===typeof"test".__proto__?function(a){return a.__proto__}:function(a){return a.constructor.prototype});
(function(){function a(l,d){this.x=l;this.y=d;cr.seal(this)}function b(l,d,c,a){this.set(l,d,c,a);cr.seal(this)}function e(){this.bly=this.blx=this.bry=this.brx=this.try_=this.trx=this.tly=this.tlx=0;cr.seal(this)}function k(l,c,a,f){l<c?a<f?(d=l<a?l:a,q=c>f?c:f):(d=l<f?l:f,q=c>a?c:a):a<f?(d=c<a?c:a,q=l>f?l:f):(d=c<f?c:f,q=l>a?l:a)}function h(){this.items=this.s=null;this.item_count=0;y&&(this.s=new Set);this.values_cache=[];this.cache_valid=!0;cr.seal(this)}function m(l){v[t++]=l}function n(){this.sum=
this.t=this.y=this.c=0;cr.seal(this)}function c(l){this.pts_cache=[];this.bboxBottom=this.bboxRight=this.bboxTop=this.bboxLeft=0;this.convexpolys=null;this.set_pts(l);cr.seal(this)}function p(l,d){this.cellwidth=l;this.cellheight=d;this.cells={}}function g(l,d,c){var a;p.prototype.totalCellCount++;return u.length?(a=u.pop(),a.grid=l,a.x=d,a.y=c,a):new cr.GridCell(l,d,c)}function f(l,d,c){this.grid=l;this.x=d;this.y=c;this.objects=new cr.ObjectSet}cr.logexport=function(l){window.console&&window.console.log&&
window.console.log(l)};cr.seal=function(l){return l};cr.freeze=function(l){return l};cr.is_undefined=function(l){return"undefined"===typeof l};cr.is_number=function(l){return"number"===typeof l};cr.is_string=function(l){return"string"===typeof l};cr.isPOT=function(l){return 0<l&&0===(l-1&l)};cr.nextHighestPowerOfTwo=function(l){--l;for(var d=1;32>d;d<<=1)l|=l>>d;return l+1};cr.abs=function(l){return 0>l?-l:l};cr.max=function(l,d){return l>d?l:d};cr.min=function(l,d){return l<d?l:d};cr.PI=Math.PI;
cr.round=function(l){return l+0.5|0};cr.floor=function(l){return 0<=l?l|0:(l|0)-1};cr.ceil=function(l){var d=l|0;return d===l?d:d+1};a.prototype.offset=function(l,d){this.x+=l;this.y+=d;return this};a.prototype.mul=function(l,d){this.x*=l;this.y*=d;return this};cr.vector2=a;cr.segments_intersect=function(l,d,c,a,f,t,u,w){var m,v,b,g;l<c?(v=l,m=c):(v=c,m=l);f<u?(g=f,b=u):(g=u,b=f);if(m<g||v>b)return!1;d<a?(v=d,m=a):(v=a,m=d);t<w?(g=t,b=w):(g=w,b=t);if(m<g||v>b)return!1;m=f-l+u-c;v=t-d+w-a;l=c-l;d=
a-d;f=u-f;t=w-t;w=cr.abs(d*f-t*l);return cr.abs(f*v-t*m)>w?!1:cr.abs(l*v-d*m)<=w};b.prototype.set=function(l,d,c,a){this.left=l;this.top=d;this.right=c;this.bottom=a};b.prototype.copy=function(l){this.left=l.left;this.top=l.top;this.right=l.right;this.bottom=l.bottom};b.prototype.width=function(){return this.right-this.left};b.prototype.height=function(){return this.bottom-this.top};b.prototype.offset=function(l,d){this.left+=l;this.top+=d;this.right+=l;this.bottom+=d;return this};b.prototype.normalize=
function(){var l=0;this.left>this.right&&(l=this.left,this.left=this.right,this.right=l);this.top>this.bottom&&(l=this.top,this.top=this.bottom,this.bottom=l)};b.prototype.intersects_rect=function(l){return!(l.right<this.left||l.bottom<this.top||l.left>this.right||l.top>this.bottom)};b.prototype.intersects_rect_off=function(l,d,c){return!(l.right+d<this.left||l.bottom+c<this.top||l.left+d>this.right||l.top+c>this.bottom)};b.prototype.contains_pt=function(l,d){return l>=this.left&&l<=this.right&&d>=
this.top&&d<=this.bottom};b.prototype.equals=function(l){return this.left===l.left&&this.top===l.top&&this.right===l.right&&this.bottom===l.bottom};cr.rect=b;e.prototype.set_from_rect=function(l){this.tlx=l.left;this.tly=l.top;this.trx=l.right;this.try_=l.top;this.brx=l.right;this.bry=l.bottom;this.blx=l.left;this.bly=l.bottom};e.prototype.set_from_rotated_rect=function(l,d){if(0===d)this.set_from_rect(l);else{var c=Math.sin(d),a=Math.cos(d),f=l.left*c,t=l.top*c,u=l.right*c,c=l.bottom*c,w=l.left*
a,m=l.top*a,v=l.right*a,a=l.bottom*a;this.tlx=w-t;this.tly=m+f;this.trx=v-t;this.try_=m+u;this.brx=v-c;this.bry=a+u;this.blx=w-c;this.bly=a+f}};e.prototype.offset=function(l,d){this.tlx+=l;this.tly+=d;this.trx+=l;this.try_+=d;this.brx+=l;this.bry+=d;this.blx+=l;this.bly+=d;return this};var d=0,q=0;e.prototype.bounding_box=function(l){k(this.tlx,this.trx,this.brx,this.blx);l.left=d;l.right=q;k(this.tly,this.try_,this.bry,this.bly);l.top=d;l.bottom=q};e.prototype.contains_pt=function(l,d){var c=this.trx-
this.tlx,a=this.try_-this.tly,f=this.brx-this.tlx,t=this.bry-this.tly,u=l-this.tlx,w=d-this.tly,m=c*c+a*a,v=c*f+a*t,a=c*u+a*w,b=f*f+t*t,g=f*u+t*w,h=1/(m*b-v*v),c=(b*a-v*g)*h,m=(m*g-v*a)*h;if(0<=c&&0<m&&1>c+m)return!0;c=this.blx-this.tlx;a=this.bly-this.tly;m=c*c+a*a;v=c*f+a*t;a=c*u+a*w;h=1/(m*b-v*v);c=(b*a-v*g)*h;m=(m*g-v*a)*h;return 0<=c&&0<m&&1>c+m};e.prototype.at=function(l,d){if(d)switch(l){case 0:return this.tlx;case 1:return this.trx;case 2:return this.brx;case 3:return this.blx;case 4:return this.tlx;
default:return this.tlx}else switch(l){case 0:return this.tly;case 1:return this.try_;case 2:return this.bry;case 3:return this.bly;case 4:return this.tly;default:return this.tly}};e.prototype.midX=function(){return(this.tlx+this.trx+this.brx+this.blx)/4};e.prototype.midY=function(){return(this.tly+this.try_+this.bry+this.bly)/4};e.prototype.intersects_segment=function(l,d,c,a){if(this.contains_pt(l,d)||this.contains_pt(c,a))return!0;var f,t,u,m,w;for(w=0;4>w;w++)if(f=this.at(w,!0),t=this.at(w,!1),
u=this.at(w+1,!0),m=this.at(w+1,!1),cr.segments_intersect(l,d,c,a,f,t,u,m))return!0;return!1};e.prototype.intersects_quad=function(l){var d=l.midX(),c=l.midY();if(this.contains_pt(d,c))return!0;d=this.midX();c=this.midY();if(l.contains_pt(d,c))return!0;var a,f,t,u,m,w,v,b;for(v=0;4>v;v++)for(b=0;4>b;b++)if(d=this.at(v,!0),c=this.at(v,!1),a=this.at(v+1,!0),f=this.at(v+1,!1),t=l.at(b,!0),u=l.at(b,!1),m=l.at(b+1,!0),w=l.at(b+1,!1),cr.segments_intersect(d,c,a,f,t,u,m,w))return!0;return!1};cr.quad=e;cr.RGB=
function(l,d,c){return Math.max(Math.min(l,255),0)|Math.max(Math.min(d,255),0)<<8|Math.max(Math.min(c,255),0)<<16};cr.GetRValue=function(l){return l&255};cr.GetGValue=function(l){return(l&65280)>>8};cr.GetBValue=function(l){return(l&16711680)>>16};cr.shallowCopy=function(l,d,c){for(var a in d)d.hasOwnProperty(a)&&(l[a]=d[a]);return l};cr.arrayRemove=function(l,d){var c,a;d=cr.floor(d);if(!(0>d||d>=l.length)){c=d;for(a=l.length-1;c<a;c++)l[c]=l[c+1];l.length=a}};cr.shallowAssignArray=function(l,d){l.length=
d.length;var c,a;c=0;for(a=d.length;c<a;c++)l[c]=d[c]};cr.appendArray=function(l,d){l.push.apply(l,d)};cr.fastIndexOf=function(l,d){var c,a;c=0;for(a=l.length;c<a;++c)if(l[c]===d)return c;return-1};cr.arrayFindRemove=function(l,d){var c=cr.fastIndexOf(l,d);-1!==c&&cr.arrayRemove(l,c)};cr.clamp=function(l,d,c){return l<d?d:l>c?c:l};cr.to_radians=function(l){return l/(180/cr.PI)};cr.to_degrees=function(l){return l*(180/cr.PI)};cr.clamp_angle_degrees=function(l){l%=360;0>l&&(l+=360);return l};cr.clamp_angle=
function(l){l%=2*cr.PI;0>l&&(l+=2*cr.PI);return l};cr.to_clamped_degrees=function(l){return cr.clamp_angle_degrees(cr.to_degrees(l))};cr.to_clamped_radians=function(l){return cr.clamp_angle(cr.to_radians(l))};cr.angleTo=function(l,d,c,a){return Math.atan2(a-d,c-l)};cr.angleDiff=function(l,d){if(l===d)return 0;var c=Math.sin(l),a=Math.cos(l),f=Math.sin(d),t=Math.cos(d),c=c*f+a*t;return 1<=c?0:-1>=c?cr.PI:Math.acos(c)};cr.angleRotate=function(l,d,c){var a=Math.sin(l),f=Math.cos(l),t=Math.sin(d),u=Math.cos(d);
return Math.acos(a*t+f*u)>c?0<f*t-a*u?cr.clamp_angle(l+c):cr.clamp_angle(l-c):cr.clamp_angle(d)};cr.angleClockwise=function(l,d){var c=Math.sin(l),a=Math.cos(l),f=Math.sin(d),t=Math.cos(d);return 0>=a*f-c*t};cr.rotatePtAround=function(l,d,c,a,f,t){if(0===c)return t?l:d;var u=Math.sin(c);c=Math.cos(c);l-=a;d-=f;var m=l*u;l=l*c-d*u;d=d*c+m;return t?l+a:d+f};cr.distanceTo=function(l,d,c,a){l=c-l;d=a-d;return Math.sqrt(l*l+d*d)};cr.xor=function(l,d){return!l!==!d};cr.lerp=function(l,d,c){return l+(d-
l)*c};cr.unlerp=function(l,d,c){return l===d?0:(c-l)/(d-l)};cr.anglelerp=function(l,d,c){var a=cr.angleDiff(l,d);return cr.angleClockwise(d,l)?l+a*c:l-a*c};cr.qarp=function(l,d,c,a){return cr.lerp(cr.lerp(l,d,a),cr.lerp(d,c,a),a)};cr.cubic=function(l,d,c,a,f){return cr.lerp(cr.qarp(l,d,c,f),cr.qarp(d,c,a,f),f)};cr.cosp=function(l,d,c){return(l+d+(l-d)*Math.cos(c*Math.PI))/2};cr.hasAnyOwnProperty=function(l){for(var d in l)if(l.hasOwnProperty(d))return!0;return!1};cr.wipe=function(l){for(var d in l)l.hasOwnProperty(d)&&
delete l[d]};var r=+new Date;cr.performance_now=function(){if("undefined"!==typeof window.performance){var l=window.performance;if("undefined"!==typeof l.now)return l.now();if("undefined"!==typeof l.webkitNow)return l.webkitNow();if("undefined"!==typeof l.mozNow)return l.mozNow();if("undefined"!==typeof l.msNow)return l.msNow()}return Date.now()-r};var s=!1,x=s=!1,z=!1;"undefined"!==typeof window&&(s=/chrome/i.test(navigator.userAgent)||/chromium/i.test(navigator.userAgent),s=!s&&/safari/i.test(navigator.userAgent),
x=/(iphone|ipod|ipad)/i.test(navigator.userAgent),z=window.c2ejecta);var y=!s&&!z&&!x&&"undefined"!==typeof Set&&"undefined"!==typeof Set.prototype.forEach;h.prototype.contains=function(l){return this.isEmpty()?!1:y?this.s.has(l):this.items&&this.items.hasOwnProperty(l)};h.prototype.add=function(l){if(y)this.s.has(l)||(this.s.add(l),this.cache_valid=!1);else{var d=l.toString(),c=this.items;c?c.hasOwnProperty(d)||(c[d]=l,this.item_count++,this.cache_valid=!1):(this.items={},this.items[d]=l,this.item_count=
1,this.cache_valid=!1)}};h.prototype.remove=function(l){if(!this.isEmpty())if(y)this.s.has(l)&&(this.s["delete"](l),this.cache_valid=!1);else if(this.items){l=l.toString();var d=this.items;d.hasOwnProperty(l)&&(delete d[l],this.item_count--,this.cache_valid=!1)}};h.prototype.clear=function(){this.isEmpty()||(y?this.s.clear():(this.items=null,this.item_count=0),this.values_cache.length=0,this.cache_valid=!0)};h.prototype.isEmpty=function(){return 0===this.count()};h.prototype.count=function(){return y?
this.s.size:this.item_count};var v=null,t=0;h.prototype.update_cache=function(){if(!this.cache_valid){if(y)this.values_cache.length=this.s.size,v=this.values_cache,t=0,this.s.forEach(m),v=null,t=0;else{var l=this.values_cache;l.length=this.item_count;var d,c=0,a=this.items;if(a)for(d in a)a.hasOwnProperty(d)&&(l[c++]=a[d])}this.cache_valid=!0}};h.prototype.valuesRef=function(){this.update_cache();return this.values_cache};cr.ObjectSet=h;var l=new cr.ObjectSet;cr.removeArrayDuplicates=function(d){var c,
a;c=0;for(a=d.length;c<a;++c)l.add(d[c]);cr.shallowAssignArray(d,l.valuesRef());l.clear()};n.prototype.add=function(l){this.y=l-this.c;this.t=this.sum+this.y;this.c=this.t-this.sum-this.y;this.sum=this.t};n.prototype.reset=function(){this.sum=this.t=this.y=this.c=0};cr.KahanAdder=n;cr.regexp_escape=function(l){return l.replace(/[-[\]{}()*+?.,\\^$|#\s]/g,"\\$&")};c.prototype.set_pts=function(l){this.pts_array=l;this.pts_count=l.length/2;this.pts_cache.length=l.length;this.cache_height=this.cache_width=
-1;this.cache_angle=0};c.prototype.is_empty=function(){return!this.pts_array.length};c.prototype.update_bbox=function(){for(var l=this.pts_cache,d=l[0],c=d,a=l[1],f=a,t,u,m=1,w=this.pts_count;m<w;++m)u=2*m,t=l[u],u=l[u+1],t<d&&(d=t),t>c&&(c=t),u<a&&(a=u),u>f&&(f=u);this.bboxLeft=d;this.bboxRight=c;this.bboxTop=a;this.bboxBottom=f};c.prototype.set_from_rect=function(l,d,c){this.pts_cache.length=8;this.pts_count=4;var a=this.pts_cache;a[0]=l.left-d;a[1]=l.top-c;a[2]=l.right-d;a[3]=l.top-c;a[4]=l.right-
d;a[5]=l.bottom-c;a[6]=l.left-d;a[7]=l.bottom-c;this.cache_width=l.right-l.left;this.cache_height=l.bottom-l.top;this.update_bbox()};c.prototype.set_from_quad=function(l,d,c,a,f){this.pts_cache.length=8;this.pts_count=4;var t=this.pts_cache;t[0]=l.tlx-d;t[1]=l.tly-c;t[2]=l.trx-d;t[3]=l.try_-c;t[4]=l.brx-d;t[5]=l.bry-c;t[6]=l.blx-d;t[7]=l.bly-c;this.cache_width=a;this.cache_height=f;this.update_bbox()};c.prototype.set_from_poly=function(l){this.pts_count=l.pts_count;cr.shallowAssignArray(this.pts_cache,
l.pts_cache);this.bboxLeft=l.bboxLeft;this.bboxTop-l.bboxTop;this.bboxRight=l.bboxRight;this.bboxBottom=l.bboxBottom};c.prototype.cache_poly=function(l,d,c){if(this.cache_width!==l||this.cache_height!==d||this.cache_angle!==c){this.cache_width=l;this.cache_height=d;this.cache_angle=c;var a,f,t,u,m,w=0,v=1,b=this.pts_array,g=this.pts_cache;0!==c&&(w=Math.sin(c),v=Math.cos(c));c=0;for(t=this.pts_count;c<t;c++)a=2*c,f=a+1,u=b[a]*l,m=b[f]*d,g[a]=u*v-m*w,g[f]=m*v+u*w;this.update_bbox()}};c.prototype.contains_pt=
function(l,d){var c=this.pts_cache;if(l===c[0]&&d===c[1])return!0;var a,f,t,u=this.pts_count,m=this.bboxLeft-110,w=this.bboxTop-101,v=this.bboxRight+131,b=this.bboxBottom+120,g,h,p=0,e=0;for(a=0;a<u;a++)f=2*a,t=2*((a+1)%u),g=c[f],f=c[f+1],h=c[t],t=c[t+1],cr.segments_intersect(m,w,l,d,g,f,h,t)&&p++,cr.segments_intersect(v,b,l,d,g,f,h,t)&&e++;return 1===p%2||1===e%2};c.prototype.intersects_poly=function(l,d,c){var a=l.pts_cache,f=this.pts_cache;if(this.contains_pt(a[0]+d,a[1]+c)||l.contains_pt(f[0]-
d,f[1]-c))return!0;var t,u,m,w,v,b,g,h,p,e,q,k;t=0;for(w=this.pts_count;t<w;t++)for(u=2*t,m=2*((t+1)%w),h=f[u],u=f[u+1],p=f[m],e=f[m+1],m=0,g=l.pts_count;m<g;m++)if(v=2*m,b=2*((m+1)%g),q=a[v]+d,v=a[v+1]+c,k=a[b]+d,b=a[b+1]+c,cr.segments_intersect(h,u,p,e,q,v,k,b))return!0;return!1};c.prototype.intersects_segment=function(l,d,c,a,f,t){var u=this.pts_cache;if(this.contains_pt(c-l,a-d))return!0;var m,w,v,b,g,h;m=0;for(w=this.pts_count;m<w;m++)if(v=2*m,b=2*((m+1)%w),g=u[v]+l,v=u[v+1]+d,h=u[b]+l,b=u[b+
1]+d,cr.segments_intersect(c,a,f,t,g,v,h,b))return!0;return!1};c.prototype.mirror=function(l){var d,c,a;d=0;for(c=this.pts_count;d<c;++d)a=2*d,this.pts_cache[a]=2*l-this.pts_cache[a]};c.prototype.flip=function(l){var d,c,a;d=0;for(c=this.pts_count;d<c;++d)a=2*d+1,this.pts_cache[a]=2*l-this.pts_cache[a]};c.prototype.diag=function(){var l,d,c,a,f;l=0;for(d=this.pts_count;l<d;++l)c=2*l,a=c+1,f=this.pts_cache[c],this.pts_cache[c]=this.pts_cache[a],this.pts_cache[a]=f};cr.CollisionPoly=c;p.prototype.totalCellCount=
0;p.prototype.getCell=function(l,d,c){var a;a=this.cells[l];return a?(a=a[d])?a:c?(a=g(this,l,d),this.cells[l][d]=a):null:c?(a=g(this,l,d),this.cells[l]={},this.cells[l][d]=a):null};p.prototype.XToCell=function(l){return cr.floor(l/this.cellwidth)};p.prototype.YToCell=function(l){return cr.floor(l/this.cellheight)};p.prototype.update=function(l,d,c){var a,f,t,m,w;if(d)for(a=d.left,f=d.right;a<=f;++a)for(t=d.top,m=d.bottom;t<=m;++t)if(!c||!c.contains_pt(a,t))if(w=this.getCell(a,t,!1))w.remove(l),w.isEmpty()&&
(p.prototype.totalCellCount--,w.objects.clear(),1E3>u.length&&u.push(w),this.cells[a][t]=null);if(c)for(a=c.left,f=c.right;a<=f;++a)for(t=c.top,m=c.bottom;t<=m;++t)d&&d.contains_pt(a,t)||this.getCell(a,t,!0).insert(l)};p.prototype.queryRange=function(l,d){var c,a,f,t,u,m;c=this.XToCell(l.left);f=this.YToCell(l.top);a=this.XToCell(l.right);for(u=this.YToCell(l.bottom);c<=a;++c)for(t=f;t<=u;++t)(m=this.getCell(c,t,!1))&&m.dump(d)};cr.SparseGrid=p;var u=[];f.prototype.isEmpty=function(){return this.objects.isEmpty()};
f.prototype.insert=function(l){this.objects.add(l)};f.prototype.remove=function(l){this.objects.remove(l)};f.prototype.dump=function(l){cr.appendArray(l,this.objects.valuesRef())};cr.GridCell=f;var w="lighter xor copy destination-over source-in destination-in source-out destination-out source-atop destination-atop".split(" ");cr.effectToCompositeOp=function(l){return 0>=l||11<=l?"source-over":w[l-1]};cr.setGLBlend=function(l,d,c){if(c)switch(l.srcBlend=c.ONE,l.destBlend=c.ONE_MINUS_SRC_ALPHA,d){case 1:l.srcBlend=
c.ONE;l.destBlend=c.ONE;break;case 3:l.srcBlend=c.ONE;l.destBlend=c.ZERO;break;case 4:l.srcBlend=c.ONE_MINUS_DST_ALPHA;l.destBlend=c.ONE;break;case 5:l.srcBlend=c.DST_ALPHA;l.destBlend=c.ZERO;break;case 6:l.srcBlend=c.ZERO;l.destBlend=c.SRC_ALPHA;break;case 7:l.srcBlend=c.ONE_MINUS_DST_ALPHA;l.destBlend=c.ZERO;break;case 8:l.srcBlend=c.ZERO;l.destBlend=c.ONE_MINUS_SRC_ALPHA;break;case 9:l.srcBlend=c.DST_ALPHA;l.destBlend=c.ONE_MINUS_SRC_ALPHA;break;case 10:l.srcBlend=c.ONE_MINUS_DST_ALPHA,l.destBlend=
c.SRC_ALPHA}};cr.round6dp=function(l){return cr.round(1E6*l)/1E6};cr.equals_nocase=function(l,d){return"string"!==typeof l||"string"!==typeof d||l.length!==d.length?!1:l===d?!0:l.toLowerCase()===d.toLowerCase()}})();var MatrixArray="undefined"!==typeof Float32Array?Float32Array:Array,glMatrixArrayType=MatrixArray,vec3={},mat3={},mat4={},quat4={};vec3.create=function(a){var b=new MatrixArray(3);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2]);return b};vec3.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];return b};
vec3.add=function(a,b,e){if(!e||a===e)return a[0]+=b[0],a[1]+=b[1],a[2]+=b[2],a;e[0]=a[0]+b[0];e[1]=a[1]+b[1];e[2]=a[2]+b[2];return e};vec3.subtract=function(a,b,e){if(!e||a===e)return a[0]-=b[0],a[1]-=b[1],a[2]-=b[2],a;e[0]=a[0]-b[0];e[1]=a[1]-b[1];e[2]=a[2]-b[2];return e};vec3.negate=function(a,b){b||(b=a);b[0]=-a[0];b[1]=-a[1];b[2]=-a[2];return b};vec3.scale=function(a,b,e){if(!e||a===e)return a[0]*=b,a[1]*=b,a[2]*=b,a;e[0]=a[0]*b;e[1]=a[1]*b;e[2]=a[2]*b;return e};
vec3.normalize=function(a,b){b||(b=a);var e=a[0],k=a[1],h=a[2],m=Math.sqrt(e*e+k*k+h*h);if(m){if(1===m)return b[0]=e,b[1]=k,b[2]=h,b}else return b[0]=0,b[1]=0,b[2]=0,b;m=1/m;b[0]=e*m;b[1]=k*m;b[2]=h*m;return b};vec3.cross=function(a,b,e){e||(e=a);var k=a[0],h=a[1];a=a[2];var m=b[0],n=b[1];b=b[2];e[0]=h*b-a*n;e[1]=a*m-k*b;e[2]=k*n-h*m;return e};vec3.length=function(a){var b=a[0],e=a[1];a=a[2];return Math.sqrt(b*b+e*e+a*a)};vec3.dot=function(a,b){return a[0]*b[0]+a[1]*b[1]+a[2]*b[2]};
vec3.direction=function(a,b,e){e||(e=a);var k=a[0]-b[0],h=a[1]-b[1];a=a[2]-b[2];b=Math.sqrt(k*k+h*h+a*a);if(!b)return e[0]=0,e[1]=0,e[2]=0,e;b=1/b;e[0]=k*b;e[1]=h*b;e[2]=a*b;return e};vec3.lerp=function(a,b,e,k){k||(k=a);k[0]=a[0]+e*(b[0]-a[0]);k[1]=a[1]+e*(b[1]-a[1]);k[2]=a[2]+e*(b[2]-a[2]);return k};vec3.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+"]"};
mat3.create=function(a){var b=new MatrixArray(9);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3],b[4]=a[4],b[5]=a[5],b[6]=a[6],b[7]=a[7],b[8]=a[8]);return b};mat3.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];return b};mat3.identity=function(a){a[0]=1;a[1]=0;a[2]=0;a[3]=0;a[4]=1;a[5]=0;a[6]=0;a[7]=0;a[8]=1;return a};
mat3.transpose=function(a,b){if(!b||a===b){var e=a[1],k=a[2],h=a[5];a[1]=a[3];a[2]=a[6];a[3]=e;a[5]=a[7];a[6]=k;a[7]=h;return a}b[0]=a[0];b[1]=a[3];b[2]=a[6];b[3]=a[1];b[4]=a[4];b[5]=a[7];b[6]=a[2];b[7]=a[5];b[8]=a[8];return b};mat3.toMat4=function(a,b){b||(b=mat4.create());b[15]=1;b[14]=0;b[13]=0;b[12]=0;b[11]=0;b[10]=a[8];b[9]=a[7];b[8]=a[6];b[7]=0;b[6]=a[5];b[5]=a[4];b[4]=a[3];b[3]=0;b[2]=a[2];b[1]=a[1];b[0]=a[0];return b};
mat3.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+", "+a[4]+", "+a[5]+", "+a[6]+", "+a[7]+", "+a[8]+"]"};mat4.create=function(a){var b=new MatrixArray(16);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3],b[4]=a[4],b[5]=a[5],b[6]=a[6],b[7]=a[7],b[8]=a[8],b[9]=a[9],b[10]=a[10],b[11]=a[11],b[12]=a[12],b[13]=a[13],b[14]=a[14],b[15]=a[15]);return b};
mat4.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];b[9]=a[9];b[10]=a[10];b[11]=a[11];b[12]=a[12];b[13]=a[13];b[14]=a[14];b[15]=a[15];return b};mat4.identity=function(a){a[0]=1;a[1]=0;a[2]=0;a[3]=0;a[4]=0;a[5]=1;a[6]=0;a[7]=0;a[8]=0;a[9]=0;a[10]=1;a[11]=0;a[12]=0;a[13]=0;a[14]=0;a[15]=1;return a};
mat4.transpose=function(a,b){if(!b||a===b){var e=a[1],k=a[2],h=a[3],m=a[6],n=a[7],c=a[11];a[1]=a[4];a[2]=a[8];a[3]=a[12];a[4]=e;a[6]=a[9];a[7]=a[13];a[8]=k;a[9]=m;a[11]=a[14];a[12]=h;a[13]=n;a[14]=c;return a}b[0]=a[0];b[1]=a[4];b[2]=a[8];b[3]=a[12];b[4]=a[1];b[5]=a[5];b[6]=a[9];b[7]=a[13];b[8]=a[2];b[9]=a[6];b[10]=a[10];b[11]=a[14];b[12]=a[3];b[13]=a[7];b[14]=a[11];b[15]=a[15];return b};
mat4.determinant=function(a){var b=a[0],e=a[1],k=a[2],h=a[3],m=a[4],n=a[5],c=a[6],p=a[7],g=a[8],f=a[9],d=a[10],q=a[11],r=a[12],s=a[13],x=a[14];a=a[15];return r*f*c*h-g*s*c*h-r*n*d*h+m*s*d*h+g*n*x*h-m*f*x*h-r*f*k*p+g*s*k*p+r*e*d*p-b*s*d*p-g*e*x*p+b*f*x*p+r*n*k*q-m*s*k*q-r*e*c*q+b*s*c*q+m*e*x*q-b*n*x*q-g*n*k*a+m*f*k*a+g*e*c*a-b*f*c*a-m*e*d*a+b*n*d*a};
mat4.inverse=function(a,b){b||(b=a);var e=a[0],k=a[1],h=a[2],m=a[3],n=a[4],c=a[5],p=a[6],g=a[7],f=a[8],d=a[9],q=a[10],r=a[11],s=a[12],x=a[13],z=a[14],y=a[15],v=e*c-k*n,t=e*p-h*n,l=e*g-m*n,u=k*p-h*c,w=k*g-m*c,B=h*g-m*p,A=f*x-d*s,E=f*z-q*s,F=f*y-r*s,C=d*z-q*x,N=d*y-r*x,J=q*y-r*z,I=1/(v*J-t*N+l*C+u*F-w*E+B*A);b[0]=(c*J-p*N+g*C)*I;b[1]=(-k*J+h*N-m*C)*I;b[2]=(x*B-z*w+y*u)*I;b[3]=(-d*B+q*w-r*u)*I;b[4]=(-n*J+p*F-g*E)*I;b[5]=(e*J-h*F+m*E)*I;b[6]=(-s*B+z*l-y*t)*I;b[7]=(f*B-q*l+r*t)*I;b[8]=(n*N-c*F+g*A)*I;
b[9]=(-e*N+k*F-m*A)*I;b[10]=(s*w-x*l+y*v)*I;b[11]=(-f*w+d*l-r*v)*I;b[12]=(-n*C+c*E-p*A)*I;b[13]=(e*C-k*E+h*A)*I;b[14]=(-s*u+x*t-z*v)*I;b[15]=(f*u-d*t+q*v)*I;return b};mat4.toRotationMat=function(a,b){b||(b=mat4.create());b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];b[9]=a[9];b[10]=a[10];b[11]=a[11];b[12]=0;b[13]=0;b[14]=0;b[15]=1;return b};
mat4.toMat3=function(a,b){b||(b=mat3.create());b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[4];b[4]=a[5];b[5]=a[6];b[6]=a[8];b[7]=a[9];b[8]=a[10];return b};mat4.toInverseMat3=function(a,b){var e=a[0],k=a[1],h=a[2],m=a[4],n=a[5],c=a[6],p=a[8],g=a[9],f=a[10],d=f*n-c*g,q=-f*m+c*p,r=g*m-n*p,s=e*d+k*q+h*r;if(!s)return null;s=1/s;b||(b=mat3.create());b[0]=d*s;b[1]=(-f*k+h*g)*s;b[2]=(c*k-h*n)*s;b[3]=q*s;b[4]=(f*e-h*p)*s;b[5]=(-c*e+h*m)*s;b[6]=r*s;b[7]=(-g*e+k*p)*s;b[8]=(n*e-k*m)*s;return b};
mat4.multiply=function(a,b,e){e||(e=a);var k=a[0],h=a[1],m=a[2],n=a[3],c=a[4],p=a[5],g=a[6],f=a[7],d=a[8],q=a[9],r=a[10],s=a[11],x=a[12],z=a[13],y=a[14];a=a[15];var v=b[0],t=b[1],l=b[2],u=b[3],w=b[4],B=b[5],A=b[6],E=b[7],F=b[8],C=b[9],N=b[10],J=b[11],I=b[12],G=b[13],W=b[14];b=b[15];e[0]=v*k+t*c+l*d+u*x;e[1]=v*h+t*p+l*q+u*z;e[2]=v*m+t*g+l*r+u*y;e[3]=v*n+t*f+l*s+u*a;e[4]=w*k+B*c+A*d+E*x;e[5]=w*h+B*p+A*q+E*z;e[6]=w*m+B*g+A*r+E*y;e[7]=w*n+B*f+A*s+E*a;e[8]=F*k+C*c+N*d+J*x;e[9]=F*h+C*p+N*q+J*z;e[10]=F*
m+C*g+N*r+J*y;e[11]=F*n+C*f+N*s+J*a;e[12]=I*k+G*c+W*d+b*x;e[13]=I*h+G*p+W*q+b*z;e[14]=I*m+G*g+W*r+b*y;e[15]=I*n+G*f+W*s+b*a;return e};mat4.multiplyVec3=function(a,b,e){e||(e=b);var k=b[0],h=b[1];b=b[2];e[0]=a[0]*k+a[4]*h+a[8]*b+a[12];e[1]=a[1]*k+a[5]*h+a[9]*b+a[13];e[2]=a[2]*k+a[6]*h+a[10]*b+a[14];return e};
mat4.multiplyVec4=function(a,b,e){e||(e=b);var k=b[0],h=b[1],m=b[2];b=b[3];e[0]=a[0]*k+a[4]*h+a[8]*m+a[12]*b;e[1]=a[1]*k+a[5]*h+a[9]*m+a[13]*b;e[2]=a[2]*k+a[6]*h+a[10]*m+a[14]*b;e[3]=a[3]*k+a[7]*h+a[11]*m+a[15]*b;return e};
mat4.translate=function(a,b,e){var k=b[0],h=b[1];b=b[2];var m,n,c,p,g,f,d,q,r,s,x,z;if(!e||a===e)return a[12]=a[0]*k+a[4]*h+a[8]*b+a[12],a[13]=a[1]*k+a[5]*h+a[9]*b+a[13],a[14]=a[2]*k+a[6]*h+a[10]*b+a[14],a[15]=a[3]*k+a[7]*h+a[11]*b+a[15],a;m=a[0];n=a[1];c=a[2];p=a[3];g=a[4];f=a[5];d=a[6];q=a[7];r=a[8];s=a[9];x=a[10];z=a[11];e[0]=m;e[1]=n;e[2]=c;e[3]=p;e[4]=g;e[5]=f;e[6]=d;e[7]=q;e[8]=r;e[9]=s;e[10]=x;e[11]=z;e[12]=m*k+g*h+r*b+a[12];e[13]=n*k+f*h+s*b+a[13];e[14]=c*k+d*h+x*b+a[14];e[15]=p*k+q*h+z*b+
a[15];return e};mat4.scale=function(a,b,e){var k=b[0],h=b[1];b=b[2];if(!e||a===e)return a[0]*=k,a[1]*=k,a[2]*=k,a[3]*=k,a[4]*=h,a[5]*=h,a[6]*=h,a[7]*=h,a[8]*=b,a[9]*=b,a[10]*=b,a[11]*=b,a;e[0]=a[0]*k;e[1]=a[1]*k;e[2]=a[2]*k;e[3]=a[3]*k;e[4]=a[4]*h;e[5]=a[5]*h;e[6]=a[6]*h;e[7]=a[7]*h;e[8]=a[8]*b;e[9]=a[9]*b;e[10]=a[10]*b;e[11]=a[11]*b;e[12]=a[12];e[13]=a[13];e[14]=a[14];e[15]=a[15];return e};
mat4.rotate=function(a,b,e,k){var h=e[0],m=e[1];e=e[2];var n=Math.sqrt(h*h+m*m+e*e),c,p,g,f,d,q,r,s,x,z,y,v,t,l,u,w,B,A,E,F;if(!n)return null;1!==n&&(n=1/n,h*=n,m*=n,e*=n);c=Math.sin(b);p=Math.cos(b);g=1-p;b=a[0];n=a[1];f=a[2];d=a[3];q=a[4];r=a[5];s=a[6];x=a[7];z=a[8];y=a[9];v=a[10];t=a[11];l=h*h*g+p;u=m*h*g+e*c;w=e*h*g-m*c;B=h*m*g-e*c;A=m*m*g+p;E=e*m*g+h*c;F=h*e*g+m*c;h=m*e*g-h*c;m=e*e*g+p;k?a!==k&&(k[12]=a[12],k[13]=a[13],k[14]=a[14],k[15]=a[15]):k=a;k[0]=b*l+q*u+z*w;k[1]=n*l+r*u+y*w;k[2]=f*l+s*
u+v*w;k[3]=d*l+x*u+t*w;k[4]=b*B+q*A+z*E;k[5]=n*B+r*A+y*E;k[6]=f*B+s*A+v*E;k[7]=d*B+x*A+t*E;k[8]=b*F+q*h+z*m;k[9]=n*F+r*h+y*m;k[10]=f*F+s*h+v*m;k[11]=d*F+x*h+t*m;return k};
mat4.rotateX=function(a,b,e){var k=Math.sin(b);b=Math.cos(b);var h=a[4],m=a[5],n=a[6],c=a[7],p=a[8],g=a[9],f=a[10],d=a[11];e?a!==e&&(e[0]=a[0],e[1]=a[1],e[2]=a[2],e[3]=a[3],e[12]=a[12],e[13]=a[13],e[14]=a[14],e[15]=a[15]):e=a;e[4]=h*b+p*k;e[5]=m*b+g*k;e[6]=n*b+f*k;e[7]=c*b+d*k;e[8]=h*-k+p*b;e[9]=m*-k+g*b;e[10]=n*-k+f*b;e[11]=c*-k+d*b;return e};
mat4.rotateY=function(a,b,e){var k=Math.sin(b);b=Math.cos(b);var h=a[0],m=a[1],n=a[2],c=a[3],p=a[8],g=a[9],f=a[10],d=a[11];e?a!==e&&(e[4]=a[4],e[5]=a[5],e[6]=a[6],e[7]=a[7],e[12]=a[12],e[13]=a[13],e[14]=a[14],e[15]=a[15]):e=a;e[0]=h*b+p*-k;e[1]=m*b+g*-k;e[2]=n*b+f*-k;e[3]=c*b+d*-k;e[8]=h*k+p*b;e[9]=m*k+g*b;e[10]=n*k+f*b;e[11]=c*k+d*b;return e};
mat4.rotateZ=function(a,b,e){var k=Math.sin(b);b=Math.cos(b);var h=a[0],m=a[1],n=a[2],c=a[3],p=a[4],g=a[5],f=a[6],d=a[7];e?a!==e&&(e[8]=a[8],e[9]=a[9],e[10]=a[10],e[11]=a[11],e[12]=a[12],e[13]=a[13],e[14]=a[14],e[15]=a[15]):e=a;e[0]=h*b+p*k;e[1]=m*b+g*k;e[2]=n*b+f*k;e[3]=c*b+d*k;e[4]=h*-k+p*b;e[5]=m*-k+g*b;e[6]=n*-k+f*b;e[7]=c*-k+d*b;return e};
mat4.frustum=function(a,b,e,k,h,m,n){n||(n=mat4.create());var c=b-a,p=k-e,g=m-h;n[0]=2*h/c;n[1]=0;n[2]=0;n[3]=0;n[4]=0;n[5]=2*h/p;n[6]=0;n[7]=0;n[8]=(b+a)/c;n[9]=(k+e)/p;n[10]=-(m+h)/g;n[11]=-1;n[12]=0;n[13]=0;n[14]=-(2*m*h)/g;n[15]=0;return n};mat4.perspective=function(a,b,e,k,h){a=e*Math.tan(a*Math.PI/360);b*=a;return mat4.frustum(-b,b,-a,a,e,k,h)};
mat4.ortho=function(a,b,e,k,h,m,n){n||(n=mat4.create());var c=b-a,p=k-e,g=m-h;n[0]=2/c;n[1]=0;n[2]=0;n[3]=0;n[4]=0;n[5]=2/p;n[6]=0;n[7]=0;n[8]=0;n[9]=0;n[10]=-2/g;n[11]=0;n[12]=-(a+b)/c;n[13]=-(k+e)/p;n[14]=-(m+h)/g;n[15]=1;return n};
mat4.lookAt=function(a,b,e,k){k||(k=mat4.create());var h,m,n,c,p,g,f,d,q=a[0],r=a[1];a=a[2];m=e[0];n=e[1];h=e[2];e=b[1];g=b[2];if(q===b[0]&&r===e&&a===g)return mat4.identity(k);e=q-b[0];g=r-b[1];f=a-b[2];d=1/Math.sqrt(e*e+g*g+f*f);e*=d;g*=d;f*=d;b=n*f-h*g;h=h*e-m*f;m=m*g-n*e;(d=Math.sqrt(b*b+h*h+m*m))?(d=1/d,b*=d,h*=d,m*=d):m=h=b=0;n=g*m-f*h;c=f*b-e*m;p=e*h-g*b;(d=Math.sqrt(n*n+c*c+p*p))?(d=1/d,n*=d,c*=d,p*=d):p=c=n=0;k[0]=b;k[1]=n;k[2]=e;k[3]=0;k[4]=h;k[5]=c;k[6]=g;k[7]=0;k[8]=m;k[9]=p;k[10]=f;k[11]=
0;k[12]=-(b*q+h*r+m*a);k[13]=-(n*q+c*r+p*a);k[14]=-(e*q+g*r+f*a);k[15]=1;return k};mat4.fromRotationTranslation=function(a,b,e){e||(e=mat4.create());var k=a[0],h=a[1],m=a[2],n=a[3],c=k+k,p=h+h,g=m+m;a=k*c;var f=k*p,k=k*g,d=h*p,h=h*g,m=m*g,c=c*n,p=p*n,n=n*g;e[0]=1-(d+m);e[1]=f+n;e[2]=k-p;e[3]=0;e[4]=f-n;e[5]=1-(a+m);e[6]=h+c;e[7]=0;e[8]=k+p;e[9]=h-c;e[10]=1-(a+d);e[11]=0;e[12]=b[0];e[13]=b[1];e[14]=b[2];e[15]=1;return e};
mat4.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+", "+a[4]+", "+a[5]+", "+a[6]+", "+a[7]+", "+a[8]+", "+a[9]+", "+a[10]+", "+a[11]+", "+a[12]+", "+a[13]+", "+a[14]+", "+a[15]+"]"};quat4.create=function(a){var b=new MatrixArray(4);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3]);return b};quat4.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];return b};
quat4.calculateW=function(a,b){var e=a[0],k=a[1],h=a[2];if(!b||a===b)return a[3]=-Math.sqrt(Math.abs(1-e*e-k*k-h*h)),a;b[0]=e;b[1]=k;b[2]=h;b[3]=-Math.sqrt(Math.abs(1-e*e-k*k-h*h));return b};quat4.inverse=function(a,b){if(!b||a===b)return a[0]*=-1,a[1]*=-1,a[2]*=-1,a;b[0]=-a[0];b[1]=-a[1];b[2]=-a[2];b[3]=a[3];return b};quat4.length=function(a){var b=a[0],e=a[1],k=a[2];a=a[3];return Math.sqrt(b*b+e*e+k*k+a*a)};
quat4.normalize=function(a,b){b||(b=a);var e=a[0],k=a[1],h=a[2],m=a[3],n=Math.sqrt(e*e+k*k+h*h+m*m);if(0===n)return b[0]=0,b[1]=0,b[2]=0,b[3]=0,b;n=1/n;b[0]=e*n;b[1]=k*n;b[2]=h*n;b[3]=m*n;return b};quat4.multiply=function(a,b,e){e||(e=a);var k=a[0],h=a[1],m=a[2];a=a[3];var n=b[0],c=b[1],p=b[2];b=b[3];e[0]=k*b+a*n+h*p-m*c;e[1]=h*b+a*c+m*n-k*p;e[2]=m*b+a*p+k*c-h*n;e[3]=a*b-k*n-h*c-m*p;return e};
quat4.multiplyVec3=function(a,b,e){e||(e=b);var k=b[0],h=b[1],m=b[2];b=a[0];var n=a[1],c=a[2];a=a[3];var p=a*k+n*m-c*h,g=a*h+c*k-b*m,f=a*m+b*h-n*k,k=-b*k-n*h-c*m;e[0]=p*a+k*-b+g*-c-f*-n;e[1]=g*a+k*-n+f*-b-p*-c;e[2]=f*a+k*-c+p*-n-g*-b;return e};quat4.toMat3=function(a,b){b||(b=mat3.create());var e=a[0],k=a[1],h=a[2],m=a[3],n=e+e,c=k+k,p=h+h,g=e*n,f=e*c,e=e*p,d=k*c,k=k*p,h=h*p,n=n*m,c=c*m,m=m*p;b[0]=1-(d+h);b[1]=f+m;b[2]=e-c;b[3]=f-m;b[4]=1-(g+h);b[5]=k+n;b[6]=e+c;b[7]=k-n;b[8]=1-(g+d);return b};
quat4.toMat4=function(a,b){b||(b=mat4.create());var e=a[0],k=a[1],h=a[2],m=a[3],n=e+e,c=k+k,p=h+h,g=e*n,f=e*c,e=e*p,d=k*c,k=k*p,h=h*p,n=n*m,c=c*m,m=m*p;b[0]=1-(d+h);b[1]=f+m;b[2]=e-c;b[3]=0;b[4]=f-m;b[5]=1-(g+h);b[6]=k+n;b[7]=0;b[8]=e+c;b[9]=k-n;b[10]=1-(g+d);b[11]=0;b[12]=0;b[13]=0;b[14]=0;b[15]=1;return b};
quat4.slerp=function(a,b,e,k){k||(k=a);var h=a[0]*b[0]+a[1]*b[1]+a[2]*b[2]+a[3]*b[3],m,n;if(1<=Math.abs(h))return k!==a&&(k[0]=a[0],k[1]=a[1],k[2]=a[2],k[3]=a[3]),k;m=Math.acos(h);n=Math.sqrt(1-h*h);if(0.0010>Math.abs(n))return k[0]=0.5*a[0]+0.5*b[0],k[1]=0.5*a[1]+0.5*b[1],k[2]=0.5*a[2]+0.5*b[2],k[3]=0.5*a[3]+0.5*b[3],k;h=Math.sin((1-e)*m)/n;e=Math.sin(e*m)/n;k[0]=a[0]*h+b[0]*e;k[1]=a[1]*h+b[1]*e;k[2]=a[2]*h+b[2]*e;k[3]=a[3]*h+b[3]*e;return k};
quat4.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+"]"};
(function(){function a(a,b){this.isIE=/msie/i.test(navigator.userAgent)||/trident/i.test(navigator.userAgent);this.height=this.width=0;this.cam=vec3.create([0,0,100]);this.look=vec3.create([0,0,0]);this.up=vec3.create([0,1,0]);this.worldScale=vec3.create([1,1,1]);this.enable_mipmaps=!0;this.matP=mat4.create();this.matMV=mat4.create();this.lastMV=mat4.create();this.currentMV=mat4.create();this.gl=a;this.initState()}function b(a,b,c){this.gl=a;this.shaderProgram=b;this.name=c;this.locAPos=a.getAttribLocation(b,
"aPos");this.locATex=a.getAttribLocation(b,"aTex");this.locMatP=a.getUniformLocation(b,"matP");this.locMatMV=a.getUniformLocation(b,"matMV");this.locOpacity=a.getUniformLocation(b,"opacity");this.locSamplerFront=a.getUniformLocation(b,"samplerFront");this.locSamplerBack=a.getUniformLocation(b,"samplerBack");this.locDestStart=a.getUniformLocation(b,"destStart");this.locDestEnd=a.getUniformLocation(b,"destEnd");this.locSeconds=a.getUniformLocation(b,"seconds");this.locPixelWidth=a.getUniformLocation(b,
"pixelWidth");this.locPixelHeight=a.getUniformLocation(b,"pixelHeight");this.locLayerScale=a.getUniformLocation(b,"layerScale");this.locLayerAngle=a.getUniformLocation(b,"layerAngle");this.locViewOrigin=a.getUniformLocation(b,"viewOrigin");this.hasAnyOptionalUniforms=!!(this.locPixelWidth||this.locPixelHeight||this.locSeconds||this.locSamplerBack||this.locDestStart||this.locDestEnd||this.locLayerScale||this.locLayerAngle||this.locViewOrigin);this.locOpacity&&a.uniform1f(this.locOpacity,1);this.locSamplerFront&&
a.uniform1i(this.locSamplerFront,0);this.locSamplerBack&&a.uniform1i(this.locSamplerBack,1);this.locDestStart&&a.uniform2f(this.locDestStart,0,0);this.locDestEnd&&a.uniform2f(this.locDestEnd,1,1);this.locLayerScale&&a.uniform1f(this.locLayerScale,1);this.locLayerAngle&&a.uniform1f(this.locLayerAngle,0);this.locViewOrigin&&a.uniform2f(this.locViewOrigin,0,0);this.hasCurrentMatMV=!1}function e(a,b){this.type=a;this.glwrap=b;this.gl=b.gl;this.indexCount=this.startIndex=this.opacityParam=0;this.mat4param=
this.texParam=null;this.shaderParams=[];cr.seal(this)}a.prototype.initState=function(){var a=this.gl,b;this.lastOpacity=1;this.lastTexture1=this.lastTexture0=null;this.currentOpacity=1;a.clearColor(0,0,0,0);a.clear(a.COLOR_BUFFER_BIT);a.enable(a.BLEND);a.blendFunc(a.ONE,a.ONE_MINUS_SRC_ALPHA);a.disable(a.CULL_FACE);a.disable(a.DEPTH_TEST);this.maxTextureSize=a.getParameter(a.MAX_TEXTURE_SIZE);this.lastSrcBlend=a.ONE;this.lastDestBlend=a.ONE_MINUS_SRC_ALPHA;this.pointBuffer=a.createBuffer();a.bindBuffer(a.ARRAY_BUFFER,
this.pointBuffer);this.vertexBuffers=Array(4);this.texcoordBuffers=Array(4);for(b=0;4>b;b++)this.vertexBuffers[b]=a.createBuffer(),a.bindBuffer(a.ARRAY_BUFFER,this.vertexBuffers[b]),this.texcoordBuffers[b]=a.createBuffer(),a.bindBuffer(a.ARRAY_BUFFER,this.texcoordBuffers[b]);this.curBuffer=0;this.indexBuffer=a.createBuffer();a.bindBuffer(a.ELEMENT_ARRAY_BUFFER,this.indexBuffer);this.vertexData=new Float32Array(16E3);this.texcoordData=new Float32Array(16E3);this.pointData=new Float32Array(32E3);for(var c=
new Uint16Array(12E3),h=b=0;12E3>b;)c[b++]=h,c[b++]=h+1,c[b++]=h+2,c[b++]=h,c[b++]=h+2,c[b++]=h+3,h+=4;a.bufferData(a.ELEMENT_ARRAY_BUFFER,c,a.STATIC_DRAW);this.pointPtr=this.vertexPtr=0;this.shaderPrograms=[];b=this.createShaderProgram({src:"varying mediump vec2 vTex;\nuniform lowp float opacity;\nuniform lowp sampler2D samplerFront;\nvoid main(void) {\n\tgl_FragColor = texture2D(samplerFront, vTex);\n\tgl_FragColor *= opacity;\n}"},"attribute highp vec2 aPos;\nattribute mediump vec2 aTex;\nvarying mediump vec2 vTex;\nuniform highp mat4 matP;\nuniform highp mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tvTex = aTex;\n}",
"<default>");this.shaderPrograms.push(b);b=this.createShaderProgram({src:"uniform mediump sampler2D samplerFront;\nvarying lowp float opacity;\nvoid main(void) {\n\tgl_FragColor = texture2D(samplerFront, gl_PointCoord);\n\tgl_FragColor *= opacity;\n}"},"attribute vec4 aPos;\nvarying float opacity;\nuniform mat4 matP;\nuniform mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tgl_PointSize = aPos.z;\n\topacity = aPos.w;\n}","<point>");this.shaderPrograms.push(b);
for(var g in cr.shaders)cr.shaders.hasOwnProperty(g)&&this.shaderPrograms.push(this.createShaderProgram(cr.shaders[g],"attribute highp vec2 aPos;\nattribute mediump vec2 aTex;\nvarying mediump vec2 vTex;\nuniform highp mat4 matP;\nuniform highp mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tvTex = aTex;\n}",g));a.activeTexture(a.TEXTURE0);a.bindTexture(a.TEXTURE_2D,null);this.batch=[];this.batchPtr=0;this.hasPointBatchTop=this.hasQuadBatchTop=!1;
this.currentProgram=this.lastProgram=-1;this.currentShader=null;this.fbo=a.createFramebuffer();this.renderToTex=null;this.tmpVec3=vec3.create([0,0,0]);a=a.getParameter(a.ALIASED_POINT_SIZE_RANGE);this.minPointSize=a[0];this.maxPointSize=a[1];2048<this.maxPointSize&&(this.maxPointSize=2048);this.switchProgram(0);cr.seal(this)};a.prototype.createShaderProgram=function(a,h,c){var e=this.gl,g=e.createShader(e.FRAGMENT_SHADER);e.shaderSource(g,a.src);e.compileShader(g);if(!e.getShaderParameter(g,e.COMPILE_STATUS))return e.deleteShader(g),
null;var f=e.createShader(e.VERTEX_SHADER);e.shaderSource(f,h);e.compileShader(f);if(!e.getShaderParameter(f,e.COMPILE_STATUS))return e.deleteShader(g),e.deleteShader(f),null;h=e.createProgram();e.attachShader(h,g);e.attachShader(h,f);e.linkProgram(h);if(!e.getProgramParameter(h,e.LINK_STATUS))return e.deleteShader(g),e.deleteShader(f),e.deleteProgram(h),null;e.useProgram(h);e.deleteShader(g);e.deleteShader(f);c=new b(e,h,c);c.extendBoxHorizontal=a.extendBoxHorizontal||0;c.extendBoxVertical=a.extendBoxVertical||
0;c.crossSampling=!!a.crossSampling;c.animated=!!a.animated;c.parameters=a.parameters||[];a=0;for(g=c.parameters.length;a<g;a++)c.parameters[a][1]=e.getUniformLocation(h,c.parameters[a][0]),e.uniform1f(c.parameters[a][1],0);cr.seal(c);return c};a.prototype.getShaderIndex=function(a){var b,c;b=0;for(c=this.shaderPrograms.length;b<c;b++)if(this.shaderPrograms[b].name===a)return b;return-1};a.prototype.project=function(a,b,c){var h=this.matMV,g=this.matP,f=[0,0,0,0,0,0,0,0];f[0]=h[0]*a+h[4]*b+h[12];
f[1]=h[1]*a+h[5]*b+h[13];f[2]=h[2]*a+h[6]*b+h[14];f[3]=h[3]*a+h[7]*b+h[15];f[4]=g[0]*f[0]+g[4]*f[1]+g[8]*f[2]+g[12]*f[3];f[5]=g[1]*f[0]+g[5]*f[1]+g[9]*f[2]+g[13]*f[3];f[6]=g[2]*f[0]+g[6]*f[1]+g[10]*f[2]+g[14]*f[3];f[7]=-f[2];0!==f[7]&&(f[7]=1/f[7],f[4]*=f[7],f[5]*=f[7],f[6]*=f[7],c[0]=(0.5*f[4]+0.5)*this.width,c[1]=(0.5*f[5]+0.5)*this.height)};a.prototype.setSize=function(a,b,c){if(this.width!==a||this.height!==b||c){this.endBatch();this.width=a;this.height=b;this.gl.viewport(0,0,a,b);mat4.perspective(45,
a/b,1,1E3,this.matP);mat4.lookAt(this.cam,this.look,this.up,this.matMV);a=[0,0];b=[0,0];this.project(0,0,a);this.project(1,1,b);this.worldScale[0]=1/(b[0]-a[0]);this.worldScale[1]=-1/(b[1]-a[1]);a=0;for(b=this.shaderPrograms.length;a<b;a++)c=this.shaderPrograms[a],c.hasCurrentMatMV=!1,c.locMatP&&(this.gl.useProgram(c.shaderProgram),this.gl.uniformMatrix4fv(c.locMatP,!1,this.matP));this.gl.useProgram(this.shaderPrograms[this.lastProgram].shaderProgram);this.gl.bindTexture(this.gl.TEXTURE_2D,null);
this.gl.activeTexture(this.gl.TEXTURE1);this.gl.bindTexture(this.gl.TEXTURE_2D,null);this.gl.activeTexture(this.gl.TEXTURE0);this.lastTexture1=this.lastTexture0=null}};a.prototype.resetModelView=function(){mat4.lookAt(this.cam,this.look,this.up,this.matMV);mat4.scale(this.matMV,this.worldScale)};a.prototype.translate=function(a,b){if(0!==a||0!==b)this.tmpVec3[0]=a,this.tmpVec3[1]=b,this.tmpVec3[2]=0,mat4.translate(this.matMV,this.tmpVec3)};a.prototype.scale=function(a,b){if(1!==a||1!==b)this.tmpVec3[0]=
a,this.tmpVec3[1]=b,this.tmpVec3[2]=1,mat4.scale(this.matMV,this.tmpVec3)};a.prototype.rotateZ=function(a){0!==a&&mat4.rotateZ(this.matMV,a)};a.prototype.updateModelView=function(){for(var a=!1,b=0;16>b;b++)if(this.lastMV[b]!==this.matMV[b]){a=!0;break}a&&(a=this.pushBatch(),a.type=5,a.mat4param?mat4.set(this.matMV,a.mat4param):a.mat4param=mat4.create(this.matMV),mat4.set(this.matMV,this.lastMV),this.hasPointBatchTop=this.hasQuadBatchTop=!1)};e.prototype.doSetTexture=function(){this.gl.bindTexture(this.gl.TEXTURE_2D,
this.texParam)};e.prototype.doSetTexture1=function(){var a=this.gl;a.activeTexture(a.TEXTURE1);a.bindTexture(a.TEXTURE_2D,this.texParam);a.activeTexture(a.TEXTURE0)};e.prototype.doSetOpacity=function(){var a=this.opacityParam,b=this.glwrap;b.currentOpacity=a;b=b.currentShader;b.locOpacity&&this.gl.uniform1f(b.locOpacity,a)};e.prototype.doQuad=function(){this.gl.drawElements(this.gl.TRIANGLES,this.indexCount,this.gl.UNSIGNED_SHORT,2*this.startIndex)};e.prototype.doSetBlend=function(){this.gl.blendFunc(this.startIndex,
this.indexCount)};e.prototype.doUpdateModelView=function(){var a,b,c,h=this.glwrap.shaderPrograms,g=this.glwrap.currentProgram;a=0;for(b=h.length;a<b;a++)c=h[a],a===g&&c.locMatMV?(this.gl.uniformMatrix4fv(c.locMatMV,!1,this.mat4param),c.hasCurrentMatMV=!0):c.hasCurrentMatMV=!1;mat4.set(this.mat4param,this.glwrap.currentMV)};e.prototype.doRenderToTexture=function(){var a=this.gl,b=this.glwrap;this.texParam?(b.lastTexture1===this.texParam&&(a.activeTexture(a.TEXTURE1),a.bindTexture(a.TEXTURE_2D,null),
b.lastTexture1=null,a.activeTexture(a.TEXTURE0)),a.bindFramebuffer(a.FRAMEBUFFER,b.fbo),a.framebufferTexture2D(a.FRAMEBUFFER,a.COLOR_ATTACHMENT0,a.TEXTURE_2D,this.texParam,0)):(a.framebufferTexture2D(a.FRAMEBUFFER,a.COLOR_ATTACHMENT0,a.TEXTURE_2D,null,0),a.bindFramebuffer(a.FRAMEBUFFER,null))};e.prototype.doClear=function(){var a=this.gl;0===this.startIndex?(a.clearColor(this.mat4param[0],this.mat4param[1],this.mat4param[2],this.mat4param[3]),a.clear(a.COLOR_BUFFER_BIT)):(a.enable(a.SCISSOR_TEST),
a.scissor(this.mat4param[0],this.mat4param[1],this.mat4param[2],this.mat4param[3]),a.clearColor(0,0,0,0),a.clear(this.gl.COLOR_BUFFER_BIT),a.disable(a.SCISSOR_TEST))};e.prototype.doPoints=function(){var a=this.gl,b=this.glwrap,c=b.shaderPrograms[1];a.useProgram(c.shaderProgram);!c.hasCurrentMatMV&&c.locMatMV&&(a.uniformMatrix4fv(c.locMatMV,!1,b.currentMV),c.hasCurrentMatMV=!0);a.enableVertexAttribArray(c.locAPos);a.bindBuffer(a.ARRAY_BUFFER,b.pointBuffer);a.vertexAttribPointer(c.locAPos,4,a.FLOAT,
!1,0,0);a.drawArrays(a.POINTS,this.startIndex/4,this.indexCount);c=b.currentShader;a.useProgram(c.shaderProgram);0<=c.locAPos&&(a.enableVertexAttribArray(c.locAPos),a.bindBuffer(a.ARRAY_BUFFER,b.vertexBuffers[b.curBuffer]),a.vertexAttribPointer(c.locAPos,2,a.FLOAT,!1,0,0));0<=c.locATex&&(a.enableVertexAttribArray(c.locATex),a.bindBuffer(a.ARRAY_BUFFER,b.texcoordBuffers[b.curBuffer]),a.vertexAttribPointer(c.locATex,2,a.FLOAT,!1,0,0))};e.prototype.doSetProgram=function(){var a=this.gl,b=this.glwrap,
c=b.shaderPrograms[this.startIndex];b.currentProgram=this.startIndex;b.currentShader=c;a.useProgram(c.shaderProgram);!c.hasCurrentMatMV&&c.locMatMV&&(a.uniformMatrix4fv(c.locMatMV,!1,b.currentMV),c.hasCurrentMatMV=!0);c.locOpacity&&a.uniform1f(c.locOpacity,b.currentOpacity);0<=c.locAPos&&(a.enableVertexAttribArray(c.locAPos),a.bindBuffer(a.ARRAY_BUFFER,b.vertexBuffers[b.curBuffer]),a.vertexAttribPointer(c.locAPos,2,a.FLOAT,!1,0,0));0<=c.locATex&&(a.enableVertexAttribArray(c.locATex),a.bindBuffer(a.ARRAY_BUFFER,
b.texcoordBuffers[b.curBuffer]),a.vertexAttribPointer(c.locATex,2,a.FLOAT,!1,0,0))};e.prototype.doSetProgramParameters=function(){var a,b,c=this.glwrap.currentShader,h=this.gl;a=this.mat4param;c.locSamplerBack&&this.glwrap.lastTexture1!==this.texParam&&(h.activeTexture(h.TEXTURE1),h.bindTexture(h.TEXTURE_2D,this.texParam),this.glwrap.lastTexture1=this.texParam,h.activeTexture(h.TEXTURE0));c.locPixelWidth&&h.uniform1f(c.locPixelWidth,a[0]);c.locPixelHeight&&h.uniform1f(c.locPixelHeight,a[1]);c.locDestStart&&
h.uniform2f(c.locDestStart,a[2],a[3]);c.locDestEnd&&h.uniform2f(c.locDestEnd,a[4],a[5]);c.locLayerScale&&h.uniform1f(c.locLayerScale,a[6]);c.locLayerAngle&&h.uniform1f(c.locLayerAngle,a[7]);c.locViewOrigin&&h.uniform2f(c.locViewOrigin,a[8],a[9]);c.locSeconds&&h.uniform1f(c.locSeconds,cr.performance_now()/1E3);if(c.parameters.length)for(a=0,b=c.parameters.length;a<b;a++)h.uniform1f(c.parameters[a][1],this.shaderParams[a])};a.prototype.pushBatch=function(){this.batchPtr===this.batch.length&&this.batch.push(new e(0,
this));return this.batch[this.batchPtr++]};a.prototype.endBatch=function(){if(0!==this.batchPtr&&!this.gl.isContextLost()){var a=this.gl;0<this.pointPtr&&(a.bindBuffer(a.ARRAY_BUFFER,this.pointBuffer),a.bufferData(a.ARRAY_BUFFER,this.pointData.subarray(0,this.pointPtr),a.STREAM_DRAW),b&&0<=b.locAPos&&"<point>"===b.name&&a.vertexAttribPointer(b.locAPos,4,a.FLOAT,!1,0,0));if(0<this.vertexPtr){var b=this.currentShader;a.bindBuffer(a.ARRAY_BUFFER,this.vertexBuffers[this.curBuffer]);a.bufferData(a.ARRAY_BUFFER,
this.vertexData.subarray(0,this.vertexPtr),a.STREAM_DRAW);b&&0<=b.locAPos&&"<point>"!==b.name&&a.vertexAttribPointer(b.locAPos,2,a.FLOAT,!1,0,0);a.bindBuffer(a.ARRAY_BUFFER,this.texcoordBuffers[this.curBuffer]);a.bufferData(a.ARRAY_BUFFER,this.texcoordData.subarray(0,this.vertexPtr),a.STREAM_DRAW);b&&0<=b.locATex&&"<point>"!==b.name&&a.vertexAttribPointer(b.locATex,2,a.FLOAT,!1,0,0)}for(var c,a=0,b=this.batchPtr;a<b;a++)switch(c=this.batch[a],c.type){case 1:c.doQuad();break;case 2:c.doSetTexture();
break;case 3:c.doSetOpacity();break;case 4:c.doSetBlend();break;case 5:c.doUpdateModelView();break;case 6:c.doRenderToTexture();break;case 7:c.doClear();break;case 8:c.doPoints();break;case 9:c.doSetProgram();break;case 10:c.doSetProgramParameters();break;case 11:c.doSetTexture1()}this.pointPtr=this.vertexPtr=this.batchPtr=0;this.hasPointBatchTop=this.hasQuadBatchTop=!1;this.curBuffer++;4<=this.curBuffer&&(this.curBuffer=0)}};a.prototype.setOpacity=function(a){if(a!==this.lastOpacity){var b=this.pushBatch();
b.type=3;this.lastOpacity=b.opacityParam=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.setTexture=function(a){if(a!==this.lastTexture0){var b=this.pushBatch();b.type=2;this.lastTexture0=b.texParam=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.setBlend=function(a,b){if(a!==this.lastSrcBlend||b!==this.lastDestBlend){var c=this.pushBatch();c.type=4;c.startIndex=a;c.indexCount=b;this.lastSrcBlend=a;this.lastDestBlend=b;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.isPremultipliedAlphaBlend=
function(){return this.lastSrcBlend===this.gl.ONE&&this.lastDestBlend===this.gl.ONE_MINUS_SRC_ALPHA};a.prototype.setAlphaBlend=function(){this.setBlend(this.gl.ONE,this.gl.ONE_MINUS_SRC_ALPHA)};a.prototype.setNoPremultiplyAlphaBlend=function(){this.setBlend(this.gl.SRC_ALPHA,this.gl.ONE_MINUS_SRC_ALPHA)};a.prototype.quad=function(a,b,c,h,g,f,d,e){15992<=this.vertexPtr&&this.endBatch();var k=this.vertexPtr,s=this.vertexData,x=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=
6;else{var z=this.pushBatch();z.type=1;z.startIndex=3*(k/4);z.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}s[k]=a;x[k++]=0;s[k]=b;x[k++]=0;s[k]=c;x[k++]=1;s[k]=h;x[k++]=0;s[k]=g;x[k++]=1;s[k]=f;x[k++]=1;s[k]=d;x[k++]=0;s[k]=e;x[k++]=1;this.vertexPtr=k};a.prototype.quadTex=function(a,b,c,h,g,f,d,e,k){15992<=this.vertexPtr&&this.endBatch();var s=this.vertexPtr,x=this.vertexData,z=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=6;else{var y=this.pushBatch();
y.type=1;y.startIndex=3*(s/4);y.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}var y=k.left,v=k.top,t=k.right;k=k.bottom;x[s]=a;z[s++]=y;x[s]=b;z[s++]=v;x[s]=c;z[s++]=t;x[s]=h;z[s++]=v;x[s]=g;z[s++]=t;x[s]=f;z[s++]=k;x[s]=d;z[s++]=y;x[s]=e;z[s++]=k;this.vertexPtr=s};a.prototype.quadTexUV=function(a,b,c,h,g,f,d,e,k,s,x,z,y,v,t,l){15992<=this.vertexPtr&&this.endBatch();var u=this.vertexPtr,w=this.vertexData,B=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=
6;else{var A=this.pushBatch();A.type=1;A.startIndex=3*(u/4);A.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}w[u]=a;B[u++]=k;w[u]=b;B[u++]=s;w[u]=c;B[u++]=x;w[u]=h;B[u++]=z;w[u]=g;B[u++]=y;w[u]=f;B[u++]=v;w[u]=d;B[u++]=t;w[u]=e;B[u++]=l;this.vertexPtr=u};a.prototype.convexPoly=function(a){var b=a.length/2-2,c=b-1,h=a[0],g=a[1],f,d,e,k,s,x,z;for(f=0;f<b;f+=2)d=2*f,e=a[d+2],k=a[d+3],s=a[d+4],x=a[d+5],f===c?this.quad(h,g,e,k,s,x,s,x):(z=a[d+6],d=a[d+7],this.quad(h,g,e,k,s,x,z,d))};a.prototype.point=
function(a,b,c,h){7996<=this.pointPtr&&this.endBatch();var g=this.pointPtr,f=this.pointData;if(this.hasPointBatchTop)this.batch[this.batchPtr-1].indexCount++;else{var d=this.pushBatch();d.type=8;d.startIndex=g;d.indexCount=1;this.hasPointBatchTop=!0;this.hasQuadBatchTop=!1}f[g++]=a;f[g++]=b;f[g++]=c;f[g++]=h;this.pointPtr=g};a.prototype.switchProgram=function(a){if(this.lastProgram!==a){if(!this.shaderPrograms[a]){if(0===this.lastProgram)return;a=0}var b=this.pushBatch();b.type=9;this.lastProgram=
b.startIndex=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.programUsesDest=function(a){a=this.shaderPrograms[a];return!(!a.locDestStart&&!a.locDestEnd)};a.prototype.programUsesCrossSampling=function(a){a=this.shaderPrograms[a];return!!(a.locDestStart||a.locDestEnd||a.crossSampling)};a.prototype.programExtendsBox=function(a){a=this.shaderPrograms[a];return 0!==a.extendBoxHorizontal||0!==a.extendBoxVertical};a.prototype.getProgramBoxExtendHorizontal=function(a){return this.shaderPrograms[a].extendBoxHorizontal};
a.prototype.getProgramBoxExtendVertical=function(a){return this.shaderPrograms[a].extendBoxVertical};a.prototype.getProgramParameterType=function(a,b){return this.shaderPrograms[a].parameters[b][2]};a.prototype.programIsAnimated=function(a){return this.shaderPrograms[a].animated};a.prototype.setProgramParameters=function(a,b,c,h,g,f,d,e,k,s,x,z){var y=this.shaderPrograms[this.lastProgram],v,t;if(y.hasAnyOptionalUniforms||z.length){v=this.pushBatch();v.type=10;v.mat4param?mat4.set(this.matMV,v.mat4param):
v.mat4param=mat4.create();t=v.mat4param;t[0]=b;t[1]=c;t[2]=h;t[3]=g;t[4]=f;t[5]=d;t[6]=e;t[7]=k;t[8]=s;t[9]=x;v.texParam=y.locSamplerBack?a:null;if(z.length)for(c=v.shaderParams,c.length=z.length,a=0,b=z.length;a<b;a++)c[a]=z[a];this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.clear=function(a,b,c,h){var g=this.pushBatch();g.type=7;g.startIndex=0;g.mat4param||(g.mat4param=mat4.create());g.mat4param[0]=a;g.mat4param[1]=b;g.mat4param[2]=c;g.mat4param[3]=h;this.hasPointBatchTop=this.hasQuadBatchTop=
!1};a.prototype.clearRect=function(a,b,c,h){if(!(0>c||0>h)){var g=this.pushBatch();g.type=7;g.startIndex=1;g.mat4param||(g.mat4param=mat4.create());g.mat4param[0]=a;g.mat4param[1]=b;g.mat4param[2]=c;g.mat4param[3]=h;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.present=function(){this.endBatch();this.gl.flush()};var k=[],h={};a.prototype.loadTexture=function(a,b,c,e,g,f){b=!!b;c=!!c;var d=a.src+","+b+","+c+(b?","+g:""),q=null;if("undefined"!==typeof a.src&&h.hasOwnProperty(d))return q=
h[d],q.c2refcount++,q;this.endBatch();var r=this.gl,s=cr.isPOT(a.width)&&cr.isPOT(a.height),q=r.createTexture();r.bindTexture(r.TEXTURE_2D,q);r.pixelStorei(r.UNPACK_PREMULTIPLY_ALPHA_WEBGL,!0);var x=r.RGBA,z=r.RGBA,y=r.UNSIGNED_BYTE;if(e&&!this.isIE)switch(e){case 1:z=x=r.RGB;break;case 2:y=r.UNSIGNED_SHORT_4_4_4_4;break;case 3:y=r.UNSIGNED_SHORT_5_5_5_1;break;case 4:z=x=r.RGB,y=r.UNSIGNED_SHORT_5_6_5}if(!s&&b){e=document.createElement("canvas");e.width=cr.nextHighestPowerOfTwo(a.width);e.height=
cr.nextHighestPowerOfTwo(a.height);var v=e.getContext("2d");v.webkitImageSmoothingEnabled=c;v.mozImageSmoothingEnabled=c;v.msImageSmoothingEnabled=c;v.imageSmoothingEnabled=c;v.drawImage(a,0,0,a.width,a.height,0,0,e.width,e.height);r.texImage2D(r.TEXTURE_2D,0,x,z,y,e)}else r.texImage2D(r.TEXTURE_2D,0,x,z,y,a);b?"repeat-x"===g?(r.texParameteri(r.TEXTURE_2D,r.TEXTURE_WRAP_S,r.REPEAT),r.texParameteri(r.TEXTURE_2D,r.TEXTURE_WRAP_T,r.CLAMP_TO_EDGE)):("repeat-y"===g?r.texParameteri(r.TEXTURE_2D,r.TEXTURE_WRAP_S,
r.CLAMP_TO_EDGE):r.texParameteri(r.TEXTURE_2D,r.TEXTURE_WRAP_S,r.REPEAT),r.texParameteri(r.TEXTURE_2D,r.TEXTURE_WRAP_T,r.REPEAT)):(r.texParameteri(r.TEXTURE_2D,r.TEXTURE_WRAP_S,r.CLAMP_TO_EDGE),r.texParameteri(r.TEXTURE_2D,r.TEXTURE_WRAP_T,r.CLAMP_TO_EDGE));c?(r.texParameteri(r.TEXTURE_2D,r.TEXTURE_MAG_FILTER,r.LINEAR),s&&this.enable_mipmaps&&!f?(r.texParameteri(r.TEXTURE_2D,r.TEXTURE_MIN_FILTER,r.LINEAR_MIPMAP_LINEAR),r.generateMipmap(r.TEXTURE_2D)):r.texParameteri(r.TEXTURE_2D,r.TEXTURE_MIN_FILTER,
r.LINEAR)):(r.texParameteri(r.TEXTURE_2D,r.TEXTURE_MAG_FILTER,r.NEAREST),r.texParameteri(r.TEXTURE_2D,r.TEXTURE_MIN_FILTER,r.NEAREST));r.bindTexture(r.TEXTURE_2D,null);this.lastTexture0=null;q.c2width=a.width;q.c2height=a.height;q.c2refcount=1;q.c2texkey=d;k.push(q);return h[d]=q};a.prototype.createEmptyTexture=function(a,b,c,h,g){this.endBatch();var f=this.gl;this.isIE&&(h=!1);var d=f.createTexture();f.bindTexture(f.TEXTURE_2D,d);f.texImage2D(f.TEXTURE_2D,0,f.RGBA,a,b,0,f.RGBA,h?f.UNSIGNED_SHORT_4_4_4_4:
f.UNSIGNED_BYTE,null);g?(f.texParameteri(f.TEXTURE_2D,f.TEXTURE_WRAP_S,f.REPEAT),f.texParameteri(f.TEXTURE_2D,f.TEXTURE_WRAP_T,f.REPEAT)):(f.texParameteri(f.TEXTURE_2D,f.TEXTURE_WRAP_S,f.CLAMP_TO_EDGE),f.texParameteri(f.TEXTURE_2D,f.TEXTURE_WRAP_T,f.CLAMP_TO_EDGE));f.texParameteri(f.TEXTURE_2D,f.TEXTURE_MAG_FILTER,c?f.LINEAR:f.NEAREST);f.texParameteri(f.TEXTURE_2D,f.TEXTURE_MIN_FILTER,c?f.LINEAR:f.NEAREST);f.bindTexture(f.TEXTURE_2D,null);this.lastTexture0=null;d.c2width=a;d.c2height=b;k.push(d);
return d};a.prototype.videoToTexture=function(a,b,c){this.endBatch();var h=this.gl;this.isIE&&(c=!1);h.bindTexture(h.TEXTURE_2D,b);h.pixelStorei(h.UNPACK_PREMULTIPLY_ALPHA_WEBGL,!0);h.texImage2D(h.TEXTURE_2D,0,h.RGBA,h.RGBA,c?h.UNSIGNED_SHORT_4_4_4_4:h.UNSIGNED_BYTE,a);h.bindTexture(h.TEXTURE_2D,null);this.lastTexture0=null};a.prototype.deleteTexture=function(a){a&&("undefined"!==typeof a.c2refcount&&1<a.c2refcount?a.c2refcount--:(this.endBatch(),a===this.lastTexture0&&(this.gl.bindTexture(this.gl.TEXTURE_2D,
null),this.lastTexture0=null),a===this.lastTexture1&&(this.gl.activeTexture(this.gl.TEXTURE1),this.gl.bindTexture(this.gl.TEXTURE_2D,null),this.gl.activeTexture(this.gl.TEXTURE0),this.lastTexture1=null),cr.arrayFindRemove(k,a),"undefined"!==typeof a.c2texkey&&delete h[a.c2texkey],this.gl.deleteTexture(a)))};a.prototype.estimateVRAM=function(){var a=8*this.width*this.height,b,c,h;b=0;for(c=k.length;b<c;b++)h=k[b],a+=4*h.c2width*h.c2height;return a};a.prototype.textureCount=function(){return k.length};
a.prototype.setRenderingToTexture=function(a){if(a!==this.renderToTex){var b=this.pushBatch();b.type=6;this.renderToTex=b.texParam=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};cr.GLWrap=a})();
(function(){function a(a){if(a&&(a.getContext||a.dc)&&!a.c2runtime){a.c2runtime=this;var d=this;this.isCrosswalk=/crosswalk/i.test(navigator.userAgent)||/xwalk/i.test(navigator.userAgent)||!("undefined"===typeof window.c2isCrosswalk||!window.c2isCrosswalk);this.isPhoneGap=!this.isCrosswalk&&"undefined"!==typeof window.device&&("undefined"!==typeof window.device.cordova||"undefined"!==typeof window.device.phonegap)||"undefined"!==typeof window.c2isphonegap&&window.c2isphonegap;this.isDirectCanvas=
!!a.dc;this.isAppMobi="undefined"!==typeof window.AppMobi||this.isDirectCanvas;this.isCocoonJs=!!window.c2cocoonjs;this.isEjecta=!!window.c2ejecta;this.isCocoonJs&&(CocoonJS.App.onSuspended.addEventListener(function(){d.setSuspended(!0)}),CocoonJS.App.onActivated.addEventListener(function(){d.setSuspended(!1)}));this.isEjecta&&(document.addEventListener("pagehide",function(){d.setSuspended(!0)}),document.addEventListener("pageshow",function(){d.setSuspended(!1)}),document.addEventListener("resize",
function(){d.setSize(window.innerWidth,window.innerHeight)}));this.isDomFree=this.isDirectCanvas||this.isCocoonJs||this.isEjecta;this.isTizen=/tizen/i.test(navigator.userAgent);this.isAndroid=/android/i.test(navigator.userAgent)&&!this.isTizen;this.isIE=/msie/i.test(navigator.userAgent)||/trident/i.test(navigator.userAgent);this.isiPhone=/iphone/i.test(navigator.userAgent)||/ipod/i.test(navigator.userAgent);this.isiPad=/ipad/i.test(navigator.userAgent);this.isiOS=this.isiPhone||this.isiPad||this.isEjecta;
this.isiPhoneiOS6=this.isiPhone&&/os\s6/i.test(navigator.userAgent);this.isChrome=/chrome/i.test(navigator.userAgent)||/chromium/i.test(navigator.userAgent);this.isAmazonWebApp=/amazonwebappplatform/i.test(navigator.userAgent);this.isFirefox=/firefox/i.test(navigator.userAgent);this.isSafari=!this.isChrome&&/safari/i.test(navigator.userAgent);this.isWindows=/windows/i.test(navigator.userAgent);this.isNodeWebkit="undefined"!==typeof window.c2nodewebkit||/nodewebkit/i.test(navigator.userAgent);this.isArcade=
"undefined"!==typeof window.is_scirra_arcade;this.isWindows8App=!("undefined"===typeof window.c2isWindows8||!window.c2isWindows8);this.isWindows8Capable=!("undefined"===typeof window.c2isWindows8Capable||!window.c2isWindows8Capable);this.isWindowsPhone8=!("undefined"===typeof window.c2isWindowsPhone8||!window.c2isWindowsPhone8);this.isWindowsPhone81=!("undefined"===typeof window.c2isWindowsPhone81||!window.c2isWindowsPhone81);this.isWinJS=this.isWindows8App||this.isWindows8Capable||this.isWindowsPhone81;
this.isBlackberry10=!("undefined"===typeof window.c2isBlackberry10||!window.c2isBlackberry10);this.isAndroidStockBrowser=this.isAndroid&&!this.isChrome&&!this.isFirefox&&!this.isAmazonWebApp&&!this.isDomFree;this.devicePixelRatio=1;this.isMobile=this.isPhoneGap||this.isCrosswalk||this.isAppMobi||this.isCocoonJs||this.isAndroid||this.isiOS||this.isWindowsPhone8||this.isWindowsPhone81||this.isBlackberry10||this.isTizen||this.isEjecta;this.isMobile||(this.isMobile=/(blackberry|bb10|playbook|palm|symbian|nokia|windows\s+ce|phone|mobile|tablet|kindle|silk)/i.test(navigator.userAgent));
"undefined"===typeof cr_is_preview||this.isNodeWebkit||"?nw"!==window.location.search&&!/nodewebkit/i.test(navigator.userAgent)||(this.isNodeWebkit=!0);this.isDebug="undefined"!==typeof cr_is_preview&&-1<window.location.search.indexOf("debug");this.canvas=a;this.canvasdiv=document.getElementById("c2canvasdiv");this.ctx=this.glwrap=this.gl=null;this.fullscreenOldMarginCss="";this.firstInFullscreen=!1;this.oldHeight=this.oldWidth=0;this.canvas.oncontextmenu=function(a){a.preventDefault&&a.preventDefault();
return!1};this.canvas.onselectstart=function(a){a.preventDefault&&a.preventDefault();return!1};this.isDirectCanvas&&(window.c2runtime=this);this.isNodeWebkit&&(window.ondragover=function(a){a.preventDefault();return!1},window.ondrop=function(a){a.preventDefault();return!1},require("nw.gui").App.clearCache());this.width=a.width;this.height=a.height;this.draw_width=this.width;this.draw_height=this.height;this.cssWidth=this.width;this.cssHeight=this.height;this.lastWindowWidth=window.innerWidth;this.lastWindowHeight=
window.innerHeight;this.redraw=!0;this.isSuspended=!1;Date.now||(Date.now=function(){return+new Date});this.plugins=[];this.types={};this.types_by_index=[];this.behaviors=[];this.layouts={};this.layouts_by_index=[];this.eventsheets={};this.eventsheets_by_index=[];this.wait_for_textures=[];this.triggers_to_postinit=[];this.all_global_vars=[];this.all_local_vars=[];this.shadowcasterBehavior=this.jumpthruBehavior=this.solidBehavior=null;this.deathRow=new cr.ObjectSet;this.isInClearDeathRow=!1;this.isInOnDestroy=
0;this.isRunningEvents=!1;this.createRow=[];this.isLoadingState=!1;this.lastSaveJson=this.loadFromJson=this.loadFromSlot=this.saveToSlot="";this.suspendDrawing=this.signalledContinuousPreview=!1;this.zeroDtCount=this.cpuutilisation=this.logictime=this.dt1=this.dt=0;this.timescale=1;this.kahanTime=new cr.KahanAdder;this.last_tick_time=0;this.measuring_dt=!0;this.objectcount=this.framecount=this.execcount=this.tickcount=this.last_fps_time=this.fps=0;this.changelayout=null;this.destroycallbacks=[];this.event_stack=
[];this.event_stack_index=-1;this.localvar_stack=[[]];this.trigger_depth=this.localvar_stack_index=0;this.pushEventStack(null);this.loop_stack=[];this.loop_stack_index=-1;this.next_puid=this.next_uid=0;this.layout_first_tick=!0;this.family_count=0;this.suspend_events=[];this.timeout_id=this.raf_id=-1;this.isloading=!0;this.loadingprogress=0;this.isNodeFullscreen=!1;this.stackLocalCount=0;this.audioInstance=null;this.halfFramerateMode=!1;this.lastRafTime=0;this.isInUserInputEvent=this.had_a_click=
this.ranLastRaf=!1;this.objects_to_tick=new cr.ObjectSet;this.objects_to_tick2=new cr.ObjectSet;this.registered_collisions=[];this.temp_poly=new cr.CollisionPoly([]);this.temp_poly2=new cr.CollisionPoly([]);this.allGroups=[];this.groups_by_name={};this.cndsBySid={};this.actsBySid={};this.varsBySid={};this.blocksBySid={};this.layout_ctx=this.layout_canvas=this.layout_tex=this.layer_tex=this.layer_ctx=this.layer_canvas=this.running_layout=null;this.uses_background_blending=this.is_WebGL_context_lost=
!1;this.fx_tex=[null,null];this.fullscreen_scaling=0;this.files_subfolder="";this.objectsByUid={};this.snapshotCanvas=this.loaderlogo=null;this.snapshotData="";this.load();this.devicePixelRatio=(this.isRetina=(!this.isDomFree||this.isEjecta)&&this.useHighDpi&&!this.isAndroidStockBrowser)?window.devicePixelRatio||window.webkitDevicePixelRatio||window.mozDevicePixelRatio||window.msDevicePixelRatio||1:1;this.ClearDeathRow();var l,c=this.alphaBackground&&!(this.isNodeWebkit||this.isWinJS||this.isWindowsPhone8||
this.isCrosswalk);0<this.fullscreen_mode&&this.setSize(window.innerWidth,window.innerHeight,!0);try{this.enableWebGL&&(this.isCocoonJs||this.isEjecta||!this.isDomFree)&&(l={alpha:c,depth:!1,antialias:!1,failIfMajorPerformanceCaveat:!0},this.gl=a.getContext("webgl",l)||a.getContext("experimental-webgl",l))}catch(f){}if(this.gl){this.isDomFree||(this.overlay_canvas=document.createElement("canvas"),jQuery(this.overlay_canvas).appendTo(this.canvas.parentNode),this.overlay_canvas.oncontextmenu=function(a){return!1},
this.overlay_canvas.onselectstart=function(a){return!1},this.overlay_canvas.width=this.cssWidth,this.overlay_canvas.height=this.cssHeight,jQuery(this.overlay_canvas).css({width:this.cssWidth+"px",height:this.cssHeight+"px"}),this.positionOverlayCanvas(),this.overlay_ctx=this.overlay_canvas.getContext("2d"));this.glwrap=new cr.GLWrap(this.gl,this.isMobile);this.glwrap.setSize(a.width,a.height);this.glwrap.enable_mipmaps=0!==this.downscalingQuality;this.ctx=null;this.canvas.addEventListener("webglcontextlost",
function(a){a.preventDefault();d.onContextLost();console.log("[Construct 2] WebGL context lost");window.cr_setSuspended(!0)},!1);this.canvas.addEventListener("webglcontextrestored",function(a){d.glwrap.initState();d.glwrap.setSize(d.glwrap.width,d.glwrap.height,!0);d.layer_tex=null;d.layout_tex=null;d.fx_tex[0]=null;d.fx_tex[1]=null;d.onContextRestored();d.redraw=!0;console.log("[Construct 2] WebGL context restored");window.cr_setSuspended(!1)},!1);var b,h,g,e,k,q;a=0;for(l=this.types_by_index.length;a<
l;a++)for(h=this.types_by_index[a],c=0,b=h.effect_types.length;c<b;c++)e=h.effect_types[c],e.shaderindex=this.glwrap.getShaderIndex(e.id),this.uses_background_blending=this.uses_background_blending||this.glwrap.programUsesDest(e.shaderindex);a=0;for(l=this.layouts_by_index.length;a<l;a++){k=this.layouts_by_index[a];c=0;for(b=k.effect_types.length;c<b;c++)e=k.effect_types[c],e.shaderindex=this.glwrap.getShaderIndex(e.id);c=0;for(b=k.layers.length;c<b;c++)for(q=k.layers[c],h=0,g=q.effect_types.length;h<
g;h++)e=q.effect_types[h],e.shaderindex=this.glwrap.getShaderIndex(e.id),this.uses_background_blending=this.uses_background_blending||this.glwrap.programUsesDest(e.shaderindex)}}else{if(0<this.fullscreen_mode&&this.isDirectCanvas){this.canvas=null;document.oncontextmenu=function(a){return!1};document.onselectstart=function(a){return!1};this.ctx=AppMobi.canvas.getContext("2d");try{this.ctx.samplingMode=this.linearSampling?"smooth":"sharp",this.ctx.globalScale=1,this.ctx.HTML5CompatibilityMode=!0,this.ctx.imageSmoothingEnabled=
this.linearSampling}catch(p){}0!==this.width&&0!==this.height&&(this.ctx.width=this.width,this.ctx.height=this.height)}this.ctx||(l=this.isCocoonJs?{antialias:!!this.linearSampling,alpha:c}:{alpha:c},this.ctx=a.getContext("2d",l),this.ctx.webkitImageSmoothingEnabled=this.linearSampling,this.ctx.mozImageSmoothingEnabled=this.linearSampling,this.ctx.msImageSmoothingEnabled=this.linearSampling,this.ctx.imageSmoothingEnabled=this.linearSampling);this.overlay_ctx=this.overlay_canvas=null}this.tickFunc=
function(){d.tick(!1)};window==window.top||this.isDomFree||this.isWinJS||this.isWindowsPhone8||(document.addEventListener("mousedown",function(){window.focus()},!0),document.addEventListener("touchstart",function(){window.focus()},!0));"undefined"!==typeof cr_is_preview&&(this.isCocoonJs&&console.log("[Construct 2] In preview-over-wifi via CocoonJS mode"),-1<window.location.search.indexOf("continuous")&&(cr.logexport("Reloading for continuous preview"),this.loadFromSlot="__c2_continuouspreview",this.suspendDrawing=
!0),this.pauseOnBlur&&!this.isMobile&&(jQuery(window).focus(function(){d.setSuspended(!1)}),jQuery(window).blur(function(){d.setSuspended(!0)})));0===this.fullscreen_mode&&this.isRetina&&1<this.devicePixelRatio&&this.setSize(this.original_width,this.original_height,!0);this.tryLockOrientation();this.getready();this.go();this.extra={};cr.seal(this)}}function b(a){a.target.result.createObjectStore("saves",{keyPath:"slot"})}function e(a,d,l,c){var f=indexedDB.open("_C2SaveStates");f.onupgradeneeded=
b;f.onerror=c;f.onsuccess=function(f){f=f.target.result;f.onerror=c;f.transaction(["saves"],"readwrite").objectStore("saves").put({slot:a,data:d}).onsuccess=l}}function k(a,d,l){var c=indexedDB.open("_C2SaveStates");c.onupgradeneeded=b;c.onerror=l;c.onsuccess=function(c){c=c.target.result;c.onerror=l;var f=c.transaction(["saves"]).objectStore("saves").get(a);f.onsuccess=function(a){f.result?d(f.result.data):d(null)}}}function h(){cr.logexport("Reloading for continuous preview");window.c2cocoonjs?
CocoonJS.App.reload():-1<window.location.search.indexOf("continuous")?window.location.reload(!0):window.location+="?continuous"}function m(a){var d,l={};for(d in a)!a.hasOwnProperty(d)||a[d]instanceof cr.ObjectSet||a[d]&&"undefined"!==typeof a[d].c2userdata||(l[d]=a[d]);return l}a.prototype.setSize=function(a,d,l){var c=0,f=0,b=0,h=0,h=0,g=this.isiPhoneiOS6&&this.isSafari&&!navigator.standalone&&!this.isDomFree&&!this.isPhoneGap;g&&(d+=60);if(this.lastWindowWidth!==a||this.lastWindowHeight!==d||l){this.lastWindowWidth=
a;this.lastWindowHeight=d;var e=this.fullscreen_mode,k=(document.mozFullScreen||document.webkitIsFullScreen||!!document.msFullscreenElement||document.fullScreen||this.isNodeFullscreen)&&!this.isPhoneGap;if(k||0!==this.fullscreen_mode||l)k&&0<this.fullscreen_scaling&&(e=this.fullscreen_scaling),l=this.devicePixelRatio,4<=e?(b=this.original_width/this.original_height,a/d>b?(b*=d,5===e?(h=b*l/this.original_width,1<h?h=Math.floor(h):1>h&&(h=1/Math.ceil(1/h)),b=this.original_width*h/l,h=this.original_height*
h/l,c=(a-b)/2,f=(d-h)/2,a=b,d=h):(c=(a-b)/2,a=b)):(h=a/b,5===e?(h=h*l/this.original_height,1<h?h=Math.floor(h):1>h&&(h=1/Math.ceil(1/h)),b=this.original_width*h/l,h=this.original_height*h/l,c=(a-b)/2,f=(d-h)/2,a=b):f=(d-h)/2,d=h),k&&!this.isNodeWebkit&&(f=c=0)):this.isNodeWebkit&&this.isNodeFullscreen&&0===this.fullscreen_mode_set&&(c=Math.floor((a-this.original_width)/2),f=Math.floor((d-this.original_height)/2),a=this.original_width,d=this.original_height),2>e&&(this.aspect_scale=l),this.isRetina&&
this.isiPad&&1<l&&(1024<=a&&(a=1023),1024<=d&&(d=1023)),this.cssWidth=Math.round(a),this.cssHeight=Math.round(d),this.width=Math.round(a*l),this.height=Math.round(d*l),this.redraw=!0,this.wantFullscreenScalingQuality?(this.draw_width=this.width,this.draw_height=this.height,this.fullscreenScalingQuality=!0):this.width<this.original_width&&this.height<this.original_height||1===e?(this.draw_width=this.width,this.draw_height=this.height,this.fullscreenScalingQuality=!0):(this.draw_width=this.original_width,
this.draw_height=this.original_height,this.fullscreenScalingQuality=!1,2===e?(b=this.original_width/this.original_height,e=this.lastWindowWidth/this.lastWindowHeight,e<b?this.draw_width=this.draw_height*e:e>b&&(this.draw_height=this.draw_width/e)):3===e&&(b=this.original_width/this.original_height,e=this.lastWindowWidth/this.lastWindowHeight,e>b?this.draw_width=this.draw_height*e:e<b&&(this.draw_height=this.draw_width/e))),this.canvasdiv&&!this.isDomFree&&(jQuery(this.canvasdiv).css({width:Math.round(a)+
"px",height:Math.round(d)+"px","margin-left":Math.floor(c)+"px","margin-top":Math.floor(f)+"px"}),"undefined"!==typeof cr_is_preview&&jQuery("#borderwrap").css({width:Math.round(a)+"px",height:Math.round(d)+"px"})),this.canvas&&(this.canvas.width=Math.round(a*l),this.canvas.height=Math.round(d*l),this.isEjecta?(this.canvas.style.left=Math.floor(c)+"px",this.canvas.style.top=Math.floor(f)+"px",this.canvas.style.width=Math.round(a)+"px",this.canvas.style.height=Math.round(d)+"px"):this.isRetina&&!this.isDomFree&&
jQuery(this.canvas).css({width:Math.round(a)+"px",height:Math.round(d)+"px"})),this.overlay_canvas&&(this.overlay_canvas.width=Math.round(a),this.overlay_canvas.height=Math.round(d),jQuery(this.overlay_canvas).css({width:Math.round(a)+"px",height:Math.round(d)+"px"})),this.glwrap&&this.glwrap.setSize(Math.round(a*l),Math.round(d*l)),this.isDirectCanvas&&this.ctx&&(this.ctx.width=Math.round(a),this.ctx.height=Math.round(d)),this.ctx&&(this.ctx.webkitImageSmoothingEnabled=this.linearSampling,this.ctx.mozImageSmoothingEnabled=
this.linearSampling,this.ctx.msImageSmoothingEnabled=this.linearSampling,this.ctx.imageSmoothingEnabled=this.linearSampling),this.tryLockOrientation(),this.isDomFree||!g&&!this.isiPhone||window.setTimeout(function(){window.scrollTo(0,1)},100)}};a.prototype.tryLockOrientation=function(){if(this.autoLockOrientation&&0!==this.orientations){var a="portrait";2===this.orientations&&(a="landscape");screen.lockOrientation?screen.lockOrientation(a):screen.webkitLockOrientation?screen.webkitLockOrientation(a):
screen.mozLockOrientation?screen.mozLockOrientation(a):screen.msLockOrientation&&screen.msLockOrientation(a)}};a.prototype.onContextLost=function(){this.is_WebGL_context_lost=!0;var a,d,l;a=0;for(d=this.types_by_index.length;a<d;a++)if(l=this.types_by_index[a],l.onLostWebGLContext)l.onLostWebGLContext()};a.prototype.onContextRestored=function(){this.is_WebGL_context_lost=!1;var a,d,l;a=0;for(d=this.types_by_index.length;a<d;a++)if(l=this.types_by_index[a],l.onRestoreWebGLContext)l.onRestoreWebGLContext()};
a.prototype.positionOverlayCanvas=function(){if(!this.isDomFree){var a=(document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||document.msFullscreenElement||this.isNodeFullscreen)&&!this.isPhoneGap?jQuery(this.canvas).offset():jQuery(this.canvas).position();a.position="absolute";jQuery(this.overlay_canvas).css(a)}};var n=window.cancelAnimationFrame||window.mozCancelAnimationFrame||window.webkitCancelAnimationFrame||window.msCancelAnimationFrame||window.oCancelAnimationFrame;a.prototype.setSuspended=
function(a){var d;if(a&&!this.isSuspended)for(cr.logexport("[Construct 2] Suspending"),this.isSuspended=!0,-1!==this.raf_id&&n&&n(this.raf_id),-1!==this.timeout_id&&clearTimeout(this.timeout_id),a=0,d=this.suspend_events.length;a<d;a++)this.suspend_events[a](!0);else if(!a&&this.isSuspended){cr.logexport("[Construct 2] Resuming");this.isSuspended=!1;this.last_tick_time=cr.performance_now();this.last_fps_time=cr.performance_now();a=this.logictime=this.framecount=0;for(d=this.suspend_events.length;a<
d;a++)this.suspend_events[a](!1);this.tick(!1)}};a.prototype.addSuspendCallback=function(a){this.suspend_events.push(a)};a.prototype.load=function(){var a=cr.getProjectModel();this.name=a[0];this.first_layout=a[1];this.fullscreen_mode=a[12];this.fullscreen_mode_set=a[12];this.original_width=a[10];this.original_height=a[11];this.parallax_x_origin=this.original_width/2;this.parallax_y_origin=this.original_height/2;this.isDomFree&&!this.isEjecta&&(4<=a[12]||0===a[12])&&(cr.logexport("[Construct 2] Letterbox scale fullscreen modes are not supported on this platform - falling back to 'Scale outer'"),
this.fullscreen_mode_set=this.fullscreen_mode=3);this.uses_loader_layout=a[18];this.loaderstyle=a[19];0===this.loaderstyle&&(this.loaderlogo=new Image,this.loaderlogo.src="loading-logo.png");this.next_uid=a[21];this.system=new cr.system_object(this);var d,l,c,f,b,h,g,e,k;d=0;for(l=a[2].length;d<l;d++){g=a[2][d];cr.add_common_aces(g);k=new g[0](this);k.singleglobal=g[1];k.is_world=g[2];k.must_predraw=g[9];if(k.onCreate)k.onCreate();cr.seal(k);this.plugins.push(k)}a=cr.getProjectModel();d=0;for(l=a[3].length;d<
l;d++){g=a[3][d];b=g[1];k=null;c=0;for(f=this.plugins.length;c<f;c++)if(this.plugins[c]instanceof b){k=this.plugins[c];break}var q=new k.Type(k);q.name=g[0];q.is_family=g[2];q.instvar_sids=g[3].slice(0);q.vars_count=g[3].length;q.behs_count=g[4];q.fx_count=g[5];q.sid=g[11];q.is_family?(q.members=[],q.family_index=this.family_count++,q.families=null):(q.members=null,q.family_index=-1,q.families=[]);q.family_var_map=null;q.family_beh_map=null;q.family_fx_map=null;q.is_contained=!1;q.container=null;
g[6]?(q.texture_file=g[6][0],q.texture_filesize=g[6][1],q.texture_pixelformat=g[6][2]):(q.texture_file=null,q.texture_filesize=0,q.texture_pixelformat=0);q.animations=g[7]?g[7]:null;q.index=d;q.instances=[];q.deadCache=[];q.solstack=[new cr.selection(q)];q.cur_sol=0;q.default_instance=null;q.default_layerindex=0;q.stale_iids=!0;q.updateIIDs=cr.type_updateIIDs;q.getFirstPicked=cr.type_getFirstPicked;q.getPairedInstance=cr.type_getPairedInstance;q.getCurrentSol=cr.type_getCurrentSol;q.pushCleanSol=
cr.type_pushCleanSol;q.pushCopySol=cr.type_pushCopySol;q.popSol=cr.type_popSol;q.getBehaviorByName=cr.type_getBehaviorByName;q.getBehaviorIndexByName=cr.type_getBehaviorIndexByName;q.getEffectIndexByName=cr.type_getEffectIndexByName;q.applySolToContainer=cr.type_applySolToContainer;q.getInstanceByIID=cr.type_getInstanceByIID;q.collision_grid=new cr.SparseGrid(this.original_width,this.original_height);q.any_cell_changed=!0;q.any_instance_parallaxed=!1;q.extra={};q.toString=cr.type_toString;q.behaviors=
[];c=0;for(f=g[8].length;c<f;c++){e=g[8][c];var p=e[1],m=null;b=0;for(h=this.behaviors.length;b<h;b++)if(this.behaviors[b]instanceof p){m=this.behaviors[b];break}if(!m){m=new p(this);m.my_types=[];m.my_instances=new cr.ObjectSet;if(m.onCreate)m.onCreate();cr.seal(m);this.behaviors.push(m);cr.behaviors.solid&&m instanceof cr.behaviors.solid&&(this.solidBehavior=m);cr.behaviors.jumpthru&&m instanceof cr.behaviors.jumpthru&&(this.jumpthruBehavior=m);cr.behaviors.shadowcaster&&m instanceof cr.behaviors.shadowcaster&&
(this.shadowcasterBehavior=m)}-1===m.my_types.indexOf(q)&&m.my_types.push(q);b=new m.Type(m,q);b.name=e[0];b.sid=e[2];b.onCreate();cr.seal(b);q.behaviors.push(b)}q.global=g[9];q.isOnLoaderLayout=g[10];q.effect_types=[];c=0;for(f=g[12].length;c<f;c++)q.effect_types.push({id:g[12][c][0],name:g[12][c][1],shaderindex:-1,active:!0,index:c});q.tile_poly_data=g[13];if(!this.uses_loader_layout||q.is_family||q.isOnLoaderLayout||!k.is_world)q.onCreate(),cr.seal(q);q.name&&(this.types[q.name]=q);this.types_by_index.push(q);
k.singleglobal&&(c=new k.Instance(q),c.uid=this.next_uid++,c.puid=this.next_puid++,c.iid=0,c.get_iid=cr.inst_get_iid,c.toString=cr.inst_toString,c.properties=g[14],c.onCreate(),cr.seal(c),q.instances.push(c),this.objectsByUid[c.uid.toString()]=c)}d=0;for(l=a[4].length;d<l;d++)for(b=a[4][d],h=this.types_by_index[b[0]],c=1,f=b.length;c<f;c++)g=this.types_by_index[b[c]],g.families.push(h),h.members.push(g);d=0;for(l=a[26].length;d<l;d++){b=a[26][d];h=[];c=0;for(f=b.length;c<f;c++)h.push(this.types_by_index[b[c]]);
c=0;for(f=h.length;c<f;c++)h[c].is_contained=!0,h[c].container=h}if(0<this.family_count)for(d=0,l=this.types_by_index.length;d<l;d++)if(g=this.types_by_index[d],!g.is_family&&g.families.length){g.family_var_map=Array(this.family_count);g.family_beh_map=Array(this.family_count);g.family_fx_map=Array(this.family_count);q=[];c=m=p=e=0;for(f=g.families.length;c<f;c++)for(k=g.families[c],g.family_var_map[k.family_index]=e,e+=k.vars_count,g.family_beh_map[k.family_index]=p,p+=k.behs_count,g.family_fx_map[k.family_index]=
m,m+=k.fx_count,b=0,h=k.effect_types.length;b<h;b++)q.push(cr.shallowCopy({},k.effect_types[b]));g.effect_types=q.concat(g.effect_types);c=0;for(f=g.effect_types.length;c<f;c++)g.effect_types[c].index=c}d=0;for(l=a[5].length;d<l;d++)g=a[5][d],c=new cr.layout(this,g),cr.seal(c),this.layouts[c.name]=c,this.layouts_by_index.push(c);d=0;for(l=a[6].length;d<l;d++)g=a[6][d],c=new cr.eventsheet(this,g),cr.seal(c),this.eventsheets[c.name]=c,this.eventsheets_by_index.push(c);d=0;for(l=this.eventsheets_by_index.length;d<
l;d++)this.eventsheets_by_index[d].postInit();d=0;for(l=this.eventsheets_by_index.length;d<l;d++)this.eventsheets_by_index[d].updateDeepIncludes();d=0;for(l=this.triggers_to_postinit.length;d<l;d++)this.triggers_to_postinit[d].postInit();this.triggers_to_postinit.length=0;this.audio_to_preload=a[7];this.files_subfolder=a[8];this.pixel_rounding=a[9];this.aspect_scale=1;this.enableWebGL=a[13];this.linearSampling=a[14];this.alphaBackground=a[15];this.versionstr=a[16];this.useHighDpi=a[17];this.orientations=
a[20];this.autoLockOrientation=0<this.orientations;this.pauseOnBlur=a[22];this.fullscreenScalingQuality=this.wantFullscreenScalingQuality=a[23];this.downscalingQuality=a[24];this.preloadSounds=a[25];this.start_time=Date.now()};var c=!1;a.prototype.waitForImageLoad=function(a){a.onerror=function(d){c=a.c2error=!0;console&&console.error&&console.error("Error loading image '"+a.src+"': ",d)};this.wait_for_textures.push(a)};a.prototype.findWaitingTexture=function(a){var d,l;d=0;for(l=this.wait_for_textures.length;d<
l;d++)if(this.wait_for_textures[d].cr_src===a)return this.wait_for_textures[d];return null};var p=0,g=!1;a.prototype.getready=function(){this.audioInstance&&(p=this.audioInstance.setPreloadList(this.audio_to_preload))};a.prototype.areAllTexturesAndSoundsLoaded=function(){var a=p,d=0,l=0,c=!0,f,b,l=0;for(f=this.wait_for_textures.length;l<f;l++){b=this.wait_for_textures[l];var h=b.cr_filesize;if(!h||0>=h)h=5E4;a+=h;!b.complete&&!b.loaded||b.c2error?c=!1:d+=h}c&&this.preloadSounds&&this.audioInstance&&
(g||(this.audioInstance.startPreloads(),g=!0),l=this.audioInstance.getPreloadedSize(),d+=l,l<p&&(c=!1));this.progress=0==a?0:d/a;return c};a.prototype.go=function(){if(this.ctx||this.glwrap){var a=this.ctx||this.overlay_ctx;this.overlay_canvas&&this.positionOverlayCanvas();this.progress=0;this.last_progress=-1;if(this.areAllTexturesAndSoundsLoaded())this.go_loading_finished();else{var d=Date.now()-this.start_time;if(a){var l=this.width,f=this.height,b=this.devicePixelRatio;this.overlay_canvas&&(l=
this.cssWidth,f=this.cssHeight,b=1);if(3!==this.loaderstyle&&(this.isCocoonJs||500<=d&&this.last_progress!=this.progress)){a.clearRect(0,0,l,f);var d=l/2,f=f/2,l=0===this.loaderstyle&&this.loaderlogo.complete,h=40*b,g=0,e=80*b,q;l&&(e=this.loaderlogo.width*b,q=this.loaderlogo.height*b,h=e/2,g=q/2,a.drawImage(this.loaderlogo,cr.floor(d-h),cr.floor(f-g),e,q));1>=this.loaderstyle?(f+=g+(l?12*b:0),d=cr.floor(d-h)+0.5,f=cr.floor(f)+0.5,a.fillStyle=c?"red":"DodgerBlue",a.fillRect(d,f,Math.floor(e*this.progress),
6*b),a.strokeStyle="black",a.strokeRect(d,f,e,6*b),a.strokeStyle="white",a.strokeRect(d-1*b,f-1*b,e+2*b,8*b)):2===this.loaderstyle&&(a.font=this.isEjecta?"12pt ArialMT":"12pt Arial",a.fillStyle=c?"#f00":"#999",a.textBaseLine="middle",b=Math.round(100*this.progress)+"%",l=a.measureText?a.measureText(b):null,a.fillText(b,d-(l?l.width:0)/2,f))}this.last_progress=this.progress}setTimeout(function(a){return function(){a.go()}}(this),this.isCocoonJs?10:100)}}};a.prototype.go_loading_finished=function(){this.overlay_canvas&&
(this.canvas.parentNode.removeChild(this.overlay_canvas),this.overlay_canvas=this.overlay_ctx=null);this.start_time=Date.now();this.last_fps_time=cr.performance_now();var a,d,l;if(this.uses_loader_layout)for(a=0,d=this.types_by_index.length;a<d;a++)l=this.types_by_index[a],l.is_family||l.isOnLoaderLayout||!l.plugin.is_world||(l.onCreate(),cr.seal(l));else this.isloading=!1;a=0;for(d=this.layouts_by_index.length;a<d;a++)this.layouts_by_index[a].createGlobalNonWorlds();2<=this.fullscreen_mode&&(a=this.original_width/
this.original_height,d=this.width/this.height,this.aspect_scale=2!==this.fullscreen_mode&&d>a||2===this.fullscreen_mode&&d<a?this.height/this.original_height:this.width/this.original_width);this.first_layout?this.layouts[this.first_layout].startRunning():this.layouts_by_index[0].startRunning();this.uses_loader_layout||(this.loadingprogress=1,this.trigger(cr.system_object.prototype.cnds.OnLoadFinished,null));navigator.splashscreen&&navigator.splashscreen.hide&&navigator.splashscreen.hide();a=0;for(d=
this.types_by_index.length;a<d;a++)if(l=this.types_by_index[a],l.onAppBegin)l.onAppBegin();this.tick(!1);this.isDirectCanvas&&AppMobi.webview.execute("onGameReady();")};var f=window.requestAnimationFrame||window.mozRequestAnimationFrame||window.webkitRequestAnimationFrame||window.msRequestAnimationFrame||window.oRequestAnimationFrame;a.prototype.tick=function(a){if(this.running_layout){var d=cr.performance_now();if(this.halfFramerateMode&&this.ranLastRaf&&29>d-this.lastRafTime)this.ranLastRaf=!1,
this.lastRafTime=d,f?this.raf_id=f(this.tickFunc,this.canvas):this.timeout_id=setTimeout(this.tickFunc,this.isMobile?1:16);else{this.ranLastRaf=!0;this.lastRafTime=d;var l=this.fullscreen_mode,c=(document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||!!document.msFullscreenElement)&&!this.isPhoneGap;(c||this.isNodeFullscreen)&&0<this.fullscreen_scaling&&(l=this.fullscreen_scaling);if(0<l&&(!this.isiOS||window.self!==window.top)){var l=window.innerWidth,b=window.innerHeight;this.lastWindowWidth===
l&&this.lastWindowHeight===b||this.setSize(l,b)}this.isDomFree||(c?(this.firstInFullscreen||(this.fullscreenOldMarginCss=jQuery(this.canvas).css("margin")||"0",this.firstInFullscreen=!0),this.isChrome||this.isNodeWebkit||jQuery(this.canvas).css({"margin-left":""+Math.floor((screen.width-this.width/this.devicePixelRatio)/2)+"px","margin-top":""+Math.floor((screen.height-this.height/this.devicePixelRatio)/2)+"px"})):this.firstInFullscreen?(this.isChrome||this.isNodeWebkit||jQuery(this.canvas).css("margin",
this.fullscreenOldMarginCss),this.fullscreenOldMarginCss="",this.firstInFullscreen=!1,0===this.fullscreen_mode&&this.setSize(Math.round(this.oldWidth/this.devicePixelRatio),Math.round(this.oldHeight/this.devicePixelRatio),!0)):(this.oldWidth=this.width,this.oldHeight=this.height));this.isloading&&(c=this.areAllTexturesAndSoundsLoaded(),this.loadingprogress=this.progress,c&&(this.isloading=!1,this.progress=1,this.trigger(cr.system_object.prototype.cnds.OnLoadFinished,null)));this.logic();!this.redraw&&
!this.isCocoonJs||this.is_WebGL_context_lost||this.suspendDrawing||a||(this.redraw=!1,this.glwrap?this.drawGL():this.draw(),this.snapshotCanvas&&(this.canvas&&this.canvas.toDataURL&&(this.snapshotData=this.canvas.toDataURL(this.snapshotCanvas[0],this.snapshotCanvas[1]),this.trigger(cr.system_object.prototype.cnds.OnCanvasSnapshot,null)),this.snapshotCanvas=null));this.hit_breakpoint||(this.tickcount++,this.execcount++,this.framecount++);this.logictime+=cr.performance_now()-d;this.isSuspended||a||
(f?this.raf_id=f(this.tickFunc,this.canvas):this.timeout_id=setTimeout(this.tickFunc,this.isMobile?1:16))}}};a.prototype.logic=function(){var a,d,l,c,f,b,h,g,e;a=cr.performance_now();1E3<=a-this.last_fps_time&&(this.last_fps_time+=1E3,this.fps=this.framecount,this.framecount=0,this.cpuutilisation=this.logictime,this.logictime=0);this.measuring_dt&&(0!==this.last_tick_time&&(d=a-this.last_tick_time,0!==d||this.isDebug?(this.dt1=d/1E3,0.5<this.dt1?this.dt1=0:0.1<this.dt1&&(this.dt1=0.1)):(this.zeroDtCount++,
10<=this.zeroDtCout&&(this.measuring_dt=!1),this.dt1=1/60)),this.last_tick_time=a);this.dt=this.dt1*this.timescale;this.kahanTime.add(this.dt);a=(document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||!!document.msFullscreenElement||this.isNodeFullscreen)&&!this.isPhoneGap;2<=this.fullscreen_mode||a&&0<this.fullscreen_scaling?(d=this.original_width/this.original_height,l=this.width/this.height,c=this.fullscreen_mode,a&&0<this.fullscreen_scaling&&(c=this.fullscreen_scaling),this.aspect_scale=
2!==c&&l>d||2===c&&l<d?this.height/this.original_height:this.width/this.original_width,this.running_layout&&(this.running_layout.scrollToX(this.running_layout.scrollX),this.running_layout.scrollToY(this.running_layout.scrollY))):this.aspect_scale=this.isRetina?this.devicePixelRatio:1;this.ClearDeathRow();this.isInOnDestroy++;this.system.runWaits();this.isInOnDestroy--;this.ClearDeathRow();this.isInOnDestroy++;a=0;for(d=this.types_by_index.length;a<d;a++)if(h=this.types_by_index[a],!h.is_family&&(h.behaviors.length||
h.families.length))for(l=0,c=h.instances.length;l<c;l++)for(g=h.instances[l],f=0,b=g.behavior_insts.length;f<b;f++)g.behavior_insts[f].tick();a=0;for(d=this.types_by_index.length;a<d;a++)if(h=this.types_by_index[a],!h.is_family&&(h.behaviors.length||h.families.length))for(l=0,c=h.instances.length;l<c;l++)for(g=h.instances[l],f=0,b=g.behavior_insts.length;f<b;f++)e=g.behavior_insts[f],e.posttick&&e.posttick();l=this.objects_to_tick.valuesRef();a=0;for(d=l.length;a<d;a++)l[a].tick();this.isInOnDestroy--;
this.handleSaveLoad();for(a=0;this.changelayout&&10>a++;)this.doChangeLayout(this.changelayout);a=0;for(d=this.eventsheets_by_index.length;a<d;a++)this.eventsheets_by_index[a].hasRun=!1;this.running_layout.event_sheet&&this.running_layout.event_sheet.run();this.registered_collisions.length=0;this.layout_first_tick=!1;this.isInOnDestroy++;a=0;for(d=this.types_by_index.length;a<d;a++)if(h=this.types_by_index[a],!h.is_family&&(h.behaviors.length||h.families.length))for(l=0,c=h.instances.length;l<c;l++)for(g=
h.instances[l],f=0,b=g.behavior_insts.length;f<b;f++)e=g.behavior_insts[f],e.tick2&&e.tick2();l=this.objects_to_tick2.valuesRef();a=0;for(d=l.length;a<d;a++)l[a].tick2();this.isInOnDestroy--};a.prototype.doChangeLayout=function(a){var d=this.running_layout;this.running_layout.stopRunning();var l,c,f,b,h,g,e;if(this.glwrap)for(l=0,c=this.types_by_index.length;l<c;l++)h=this.types_by_index[l],h.is_family||!h.unloadTextures||h.global&&0!==h.instances.length||-1!==a.initial_types.indexOf(h)||h.unloadTextures();
d==a&&(this.system.waits.length=0);a.startRunning();l=0;for(c=this.types_by_index.length;l<c;l++)if(h=this.types_by_index[l],h.global||h.plugin.singleglobal)for(a=0,d=h.instances.length;a<d;a++){g=h.instances[a];if(g.onLayoutChange)g.onLayoutChange();if(g.behavior_insts)for(f=0,b=g.behavior_insts.length;f<b;f++)if(e=g.behavior_insts[f],e.onLayoutChange)e.onLayoutChange()}this.layout_first_tick=this.redraw=!0;this.ClearDeathRow()};a.prototype.tickMe=function(a){this.objects_to_tick.add(a)};a.prototype.untickMe=
function(a){this.objects_to_tick.remove(a)};a.prototype.tick2Me=function(a){this.objects_to_tick2.add(a)};a.prototype.untick2Me=function(a){this.objects_to_tick2.remove(a)};a.prototype.getDt=function(a){return a&&-1!==a.my_timescale?this.dt1*a.my_timescale:this.dt};a.prototype.draw=function(){this.running_layout.draw(this.ctx);this.isDirectCanvas&&this.ctx.present()};a.prototype.drawGL=function(){this.running_layout.drawGL(this.glwrap);this.glwrap.present()};a.prototype.addDestroyCallback=function(a){a&&
this.destroycallbacks.push(a)};a.prototype.removeDestroyCallback=function(a){cr.arrayFindRemove(this.destroycallbacks,a)};a.prototype.getObjectByUID=function(a){a=a.toString();return this.objectsByUid.hasOwnProperty(a)?this.objectsByUid[a]:null};a.prototype.DestroyInstance=function(a){var d,l;if(!this.deathRow.contains(a)){this.deathRow.add(a);if(a.is_contained)for(d=0,l=a.siblings.length;d<l;d++)this.DestroyInstance(a.siblings[d]);this.isInClearDeathRow&&this.deathRow.values_cache.push(a);this.isInOnDestroy++;
this.trigger(Object.getPrototypeOf(a.type.plugin).cnds.OnDestroyed,a);this.isInOnDestroy--}};a.prototype.ClearDeathRow=function(){var a,d,l,c,f,b,h,g,e,q;this.isInClearDeathRow=!0;c=0;for(b=this.createRow.length;c<b;c++)for(a=this.createRow[c],d=a.type,d.instances.push(a),f=0,h=d.families.length;f<h;f++)d.families[f].instances.push(a),d.families[f].stale_iids=!0;this.createRow.length=0;b=this.deathRow.valuesRef();for(c=0;c<b.length;c++){a=b[c];d=a.type;l=d.instances;f=0;for(h=this.destroycallbacks.length;f<
h;f++)this.destroycallbacks[f](a);cr.arrayFindRemove(l,a);0===l.length&&(d.any_instance_parallaxed=!1);a.collcells&&d.collision_grid.update(a,a.collcells,null);a.layer&&(cr.arrayRemove(a.layer.instances,a.get_zindex()),a.layer.zindices_stale=!0);f=0;for(h=d.families.length;f<h;f++)cr.arrayFindRemove(d.families[f].instances,a),d.families[f].stale_iids=!0;if(a.behavior_insts)for(f=0,h=a.behavior_insts.length;f<h;f++){l=a.behavior_insts[f];if(l.onDestroy)l.onDestroy();l.behavior.my_instances.remove(a)}this.objects_to_tick.remove(a);
this.objects_to_tick2.remove(a);f=0;for(h=this.system.waits.length;f<h;f++)if(e=this.system.waits[f],e.sols.hasOwnProperty(d.index)&&cr.arrayFindRemove(e.sols[d.index].insts,a),!d.is_family)for(l=0,g=d.families.length;l<g;l++)q=d.families[l],e.sols.hasOwnProperty(q.index)&&cr.arrayFindRemove(e.sols[q.index].insts,a);if(a.onDestroy)a.onDestroy();this.objectsByUid.hasOwnProperty(a.uid.toString())&&delete this.objectsByUid[a.uid.toString()];this.objectcount--;64>d.deadCache.length&&d.deadCache.push(a);
d.stale_iids=!0}this.deathRow.isEmpty()||(this.redraw=!0);this.deathRow.clear();this.isInClearDeathRow=!1};a.prototype.createInstance=function(a,d,l,c){if(a.is_family){var f=cr.floor(Math.random()*a.members.length);return this.createInstance(a.members[f],d,l,c)}return a.default_instance?this.createInstanceFromInit(a.default_instance,d,!1,l,c,!1):null};var d=[];a.prototype.createInstanceFromInit=function(a,c,l,f,b,h){var g,e,q,k;if(!a)return null;var m=this.types_by_index[a[1]],p=m.plugin.is_world;
if(this.isloading&&p&&!m.isOnLoaderLayout||p&&!this.glwrap&&11===a[0][11])return null;var r=c;p||(c=null);var n;m.deadCache.length?(n=m.deadCache.pop(),n.recycled=!0,m.plugin.Instance.call(n,m)):(n=new m.plugin.Instance(m),n.recycled=!1);n.uid=l&&!h?a[2]:this.next_uid++;this.objectsByUid[n.uid.toString()]=n;n.puid=this.next_puid++;n.iid=m.instances.length;g=0;for(e=this.createRow.length;g<e;++g)this.createRow[g].type===m&&n.iid++;n.get_iid=cr.inst_get_iid;q=a[3];if(n.recycled)cr.wipe(n.extra);else{n.extra=
{};if("undefined"!==typeof cr_is_preview)for(n.instance_var_names=[],n.instance_var_names.length=q.length,g=0,e=q.length;g<e;g++)n.instance_var_names[g]=q[g][1];n.instance_vars=[];n.instance_vars.length=q.length}g=0;for(e=q.length;g<e;g++)n.instance_vars[g]=q[g][0];if(p){var z=a[0];n.x=cr.is_undefined(f)?z[0]:f;n.y=cr.is_undefined(b)?z[1]:b;n.z=z[2];n.width=z[3];n.height=z[4];n.depth=z[5];n.angle=z[6];n.opacity=z[7];n.hotspotX=z[8];n.hotspotY=z[9];n.blend_mode=z[10];g=z[11];!this.glwrap&&m.effect_types.length&&
(n.blend_mode=g);n.compositeOp=cr.effectToCompositeOp(n.blend_mode);this.gl&&cr.setGLBlend(n,n.blend_mode,this.gl);if(n.recycled){g=0;for(e=z[12].length;g<e;g++)for(q=0,k=z[12][g].length;q<k;q++)n.effect_params[g][q]=z[12][g][q];n.bbox.set(0,0,0,0);n.collcells.set(0,0,-1,-1);n.bquad.set_from_rect(n.bbox);n.bbox_changed_callbacks.length=0}else{n.effect_params=z[12].slice(0);g=0;for(e=n.effect_params.length;g<e;g++)n.effect_params[g]=z[12][g].slice(0);n.active_effect_types=[];n.active_effect_flags=
[];n.active_effect_flags.length=m.effect_types.length;n.bbox=new cr.rect(0,0,0,0);n.collcells=new cr.rect(0,0,-1,-1);n.bquad=new cr.quad;n.bbox_changed_callbacks=[];n.set_bbox_changed=cr.set_bbox_changed;n.add_bbox_changed_callback=cr.add_bbox_changed_callback;n.contains_pt=cr.inst_contains_pt;n.update_bbox=cr.update_bbox;n.update_collision_cell=cr.update_collision_cell;n.get_zindex=cr.inst_get_zindex}n.tilemap_exists=!1;n.tilemap_width=0;n.tilemap_height=0;n.tilemap_data=null;14===z.length&&(n.tilemap_exists=
!0,n.tilemap_width=z[13][0],n.tilemap_height=z[13][1],n.tilemap_data=z[13][2]);g=0;for(e=m.effect_types.length;g<e;g++)n.active_effect_flags[g]=!0;n.updateActiveEffects=cr.inst_updateActiveEffects;n.updateActiveEffects();n.uses_shaders=!!n.active_effect_types.length;n.bbox_changed=!0;n.cell_changed=!0;m.any_cell_changed=!0;n.visible=!0;n.my_timescale=-1;n.layer=c;n.zindex=c.instances.length;"undefined"===typeof n.collision_poly&&(n.collision_poly=null);this.redraw=n.collisionsEnabled=!0}n.toString=
cr.inst_toString;var y;g=d.length=0;for(e=m.families.length;g<e;g++)d.push.apply(d,m.families[g].behaviors);d.push.apply(d,m.behaviors);if(n.recycled)for(g=0,e=d.length;g<e;g++){var s=d[g];y=n.behavior_insts[g];y.recycled=!0;s.behavior.Instance.call(y,s,n);z=a[4][g];q=0;for(k=z.length;q<k;q++)y.properties[q]=z[q];y.onCreate();s.behavior.my_instances.add(n)}else for(n.behavior_insts=[],g=0,e=d.length;g<e;g++)s=d[g],y=new s.behavior.Instance(s,n),y.recycled=!1,y.properties=a[4][g].slice(0),y.onCreate(),
cr.seal(y),n.behavior_insts.push(y),s.behavior.my_instances.add(n);z=a[5];if(n.recycled)for(g=0,e=z.length;g<e;g++)n.properties[g]=z[g];else n.properties=z.slice(0);this.createRow.push(n);c&&(c.instances.push(n),1!==c.parallaxX||1!==c.parallaxY)&&(m.any_instance_parallaxed=!0);this.objectcount++;if(m.is_contained){if(n.is_contained=!0,n.recycled?n.siblings.length=0:n.siblings=[],!l&&!h){g=0;for(e=m.container.length;g<e;g++)if(m.container[g]!==m){if(!m.container[g].default_instance)return null;n.siblings.push(this.createInstanceFromInit(m.container[g].default_instance,
r,!1,p?n.x:f,p?n.y:b,!0))}g=0;for(e=n.siblings.length;g<e;g++)for(n.siblings[g].siblings.push(n),q=0;q<e;q++)g!==q&&n.siblings[g].siblings.push(n.siblings[q])}}else n.is_contained=!1,n.siblings=null;n.onCreate();n.recycled||cr.seal(n);g=0;for(e=n.behavior_insts.length;g<e;g++)n.behavior_insts[g].postCreate&&n.behavior_insts[g].postCreate();return n};a.prototype.getLayerByName=function(a){var d,l;d=0;for(l=this.running_layout.layers.length;d<l;d++){var c=this.running_layout.layers[d];if(cr.equals_nocase(c.name,
a))return c}return null};a.prototype.getLayerByNumber=function(a){a=cr.floor(a);0>a&&(a=0);a>=this.running_layout.layers.length&&(a=this.running_layout.layers.length-1);return this.running_layout.layers[a]};a.prototype.getLayer=function(a){return cr.is_number(a)?this.getLayerByNumber(a):this.getLayerByName(a.toString())};a.prototype.clearSol=function(a){var d,l;d=0;for(l=a.length;d<l;d++)a[d].getCurrentSol().select_all=!0};a.prototype.pushCleanSol=function(a){var d,l;d=0;for(l=a.length;d<l;d++)a[d].pushCleanSol()};
a.prototype.pushCopySol=function(a){var d,l;d=0;for(l=a.length;d<l;d++)a[d].pushCopySol()};a.prototype.popSol=function(a){var d,l;d=0;for(l=a.length;d<l;d++)a[d].popSol()};a.prototype.updateAllCells=function(a){if(a.any_cell_changed){var d,l,c=a.instances;d=0;for(l=c.length;d<l;++d)c[d].update_collision_cell();c=this.createRow;d=0;for(l=c.length;d<l;++d)c[d].type===a&&c[d].update_collision_cell();a.any_cell_changed=!1}};a.prototype.getCollisionCandidates=function(a,d,l,c){var f,b,h=a?1!==a.parallaxX||
1!==a.parallaxY:!1;if(d.is_family)for(a=0,f=d.members.length;a<f;++a)b=d.members[a],h||b.any_instance_parallaxed?cr.appendArray(c,b.instances):(this.updateAllCells(b),b.collision_grid.queryRange(l,c));else h||d.any_instance_parallaxed?cr.appendArray(c,d.instances):(this.updateAllCells(d),d.collision_grid.queryRange(l,c))};a.prototype.getTypesCollisionCandidates=function(a,d,l,c){var f,b;f=0;for(b=d.length;f<b;++f)this.getCollisionCandidates(a,d[f],l,c)};a.prototype.getSolidCollisionCandidates=function(a,
d,l){var c=this.getSolidBehavior();if(!c)return null;this.getTypesCollisionCandidates(a,c.my_types,d,l)};a.prototype.getJumpthruCollisionCandidates=function(a,d,l){var c=this.getJumpthruBehavior();if(!c)return null;this.getTypesCollisionCandidates(a,c.my_types,d,l)};a.prototype.testAndSelectCanvasPointOverlap=function(a,d,l,c){var f=a.getCurrentSol(),b,h,g,e,q,k;if(f.select_all)for(c||(f.select_all=!1,f.instances.length=0),b=0,e=a.instances.length;b<e;b++){if(g=a.instances[b],g.update_bbox(),q=g.layer.canvasToLayer(d,
l,!0),k=g.layer.canvasToLayer(d,l,!1),g.contains_pt(q,k)){if(c)return!1;f.instances.push(g)}}else{b=h=0;for(e=f.instances.length;b<e;b++)if(g=f.instances[b],g.update_bbox(),q=g.layer.canvasToLayer(d,l,!0),k=g.layer.canvasToLayer(d,l,!1),g.contains_pt(q,k)){if(c)return!1;f.instances[h]=f.instances[b];h++}c||(f.instances.length=h)}a.applySolToContainer();return c?!0:f.hasObjects()};a.prototype.testOverlap=function(a,d){if(!(a&&d&&a!==d&&a.collisionsEnabled&&d.collisionsEnabled))return!1;a.update_bbox();
d.update_bbox();var l=a.layer,c=d.layer,f,b,h,g,e,q,k,m;if(l===c||l.parallaxX===c.parallaxX&&c.parallaxY===c.parallaxY&&l.scale===c.scale&&l.angle===c.angle&&l.zoomRate===c.zoomRate){if(!a.bbox.intersects_rect(d.bbox)||!a.bquad.intersects_quad(d.bquad)||a.tilemap_exists&&d.tilemap_exists)return!1;if(a.tilemap_exists)return this.testTilemapOverlap(a,d);if(d.tilemap_exists)return this.testTilemapOverlap(d,a);k=a.collision_poly&&!a.collision_poly.is_empty();f=d.collision_poly&&!d.collision_poly.is_empty();
if(!k&&!f)return!0;k?(a.collision_poly.cache_poly(a.width,a.height,a.angle),k=a.collision_poly):(this.temp_poly.set_from_quad(a.bquad,a.x,a.y,a.width,a.height),k=this.temp_poly);f?(d.collision_poly.cache_poly(d.width,d.height,d.angle),m=d.collision_poly):(this.temp_poly.set_from_quad(d.bquad,d.x,d.y,d.width,d.height),m=this.temp_poly);return k.intersects_poly(m,d.x-a.x,d.y-a.y)}k=a.collision_poly&&!a.collision_poly.is_empty();f=d.collision_poly&&!d.collision_poly.is_empty();k?(a.collision_poly.cache_poly(a.width,
a.height,a.angle),this.temp_poly.set_from_poly(a.collision_poly)):this.temp_poly.set_from_quad(a.bquad,a.x,a.y,a.width,a.height);k=this.temp_poly;f?(d.collision_poly.cache_poly(d.width,d.height,d.angle),this.temp_poly2.set_from_poly(d.collision_poly)):this.temp_poly2.set_from_quad(d.bquad,d.x,d.y,d.width,d.height);m=this.temp_poly2;f=0;for(b=k.pts_count;f<b;f++)h=2*f,g=h+1,e=k.pts_cache[h],q=k.pts_cache[g],k.pts_cache[h]=l.layerToCanvas(e+a.x,q+a.y,!0),k.pts_cache[g]=l.layerToCanvas(e+a.x,q+a.y,!1);
k.update_bbox();f=0;for(b=m.pts_count;f<b;f++)h=2*f,g=h+1,e=m.pts_cache[h],q=m.pts_cache[g],m.pts_cache[h]=c.layerToCanvas(e+d.x,q+d.y,!0),m.pts_cache[g]=c.layerToCanvas(e+d.x,q+d.y,!1);m.update_bbox();return k.intersects_poly(m,0,0)};var q=new cr.quad,r=new cr.rect(0,0,0,0),s=[];a.prototype.testTilemapOverlap=function(a,d){var l,c,f,b,h=d.bbox,g=a.x,e=a.y;a.getCollisionRectCandidates(h,s);var k=d.collision_poly&&!d.collision_poly.is_empty();l=0;for(c=s.length;l<c;++l)if(f=s[l],b=f.rc,h.intersects_rect_off(b,
g,e)&&(q.set_from_rect(b),q.offset(g,e),q.intersects_quad(d.bquad)))if(k)if(d.collision_poly.cache_poly(d.width,d.height,d.angle),f.poly){if(f.poly.intersects_poly(d.collision_poly,d.x-(g+b.left),d.y-(e+b.top)))return s.length=0,!0}else{if(this.temp_poly.set_from_quad(q,0,0,b.right-b.left,b.bottom-b.top),this.temp_poly.intersects_poly(d.collision_poly,d.x,d.y))return s.length=0,!0}else if(f.poly){if(this.temp_poly.set_from_quad(d.bquad,0,0,d.width,d.height),f.poly.intersects_poly(this.temp_poly,-(g+
b.left),-(e+b.top)))return s.length=0,!0}else return s.length=0,!0;s.length=0;return!1};a.prototype.testRectOverlap=function(a,d){if(!d||!d.collisionsEnabled)return!1;d.update_bbox();if(!d.bbox.intersects_rect(a))return!1;if(d.tilemap_exists){d.getCollisionRectCandidates(a,s);var l,c,f,b,h=d.x,g=d.y;l=0;for(c=s.length;l<c;++l)if(f=s[l],b=f.rc,a.intersects_rect_off(b,h,g))if(f.poly){if(this.temp_poly.set_from_rect(a,0,0),f.poly.intersects_poly(this.temp_poly,-(h+b.left),-(g+b.top)))return s.length=
0,!0}else return s.length=0,!0;s.length=0;return!1}q.set_from_rect(a);if(!d.bquad.intersects_quad(q))return!1;if(!d.collision_poly||d.collision_poly.is_empty())return!0;d.collision_poly.cache_poly(d.width,d.height,d.angle);q.offset(-a.left,-a.top);this.temp_poly.set_from_quad(q,0,0,1,1);return d.collision_poly.intersects_poly(this.temp_poly,a.left-d.x,a.top-d.y)};a.prototype.testSegmentOverlap=function(a,d,l,c,f){if(!f||!f.collisionsEnabled)return!1;f.update_bbox();r.set(cr.min(a,l),cr.min(d,c),cr.max(a,
l),cr.max(d,c));if(!f.bbox.intersects_rect(r))return!1;if(f.tilemap_exists){f.getCollisionRectCandidates(r,s);var b,h,g,e=f.x,k=f.y;f=0;for(b=s.length;f<b;++f)if(h=s[f],g=h.rc,r.intersects_rect_off(g,e,k)&&(q.set_from_rect(g),q.offset(e,k),q.intersects_segment(a,d,l,c)))if(h.poly){if(h.poly.intersects_segment(e+g.left,k+g.top,a,d,l,c))return s.length=0,!0}else return s.length=0,!0;s.length=0;return!1}if(!f.bquad.intersects_segment(a,d,l,c))return!1;if(!f.collision_poly||f.collision_poly.is_empty())return!0;
f.collision_poly.cache_poly(f.width,f.height,f.angle);return f.collision_poly.intersects_segment(f.x,f.y,a,d,l,c)};a.prototype.typeHasBehavior=function(a,d){if(!d)return!1;var l,c,f,b,h;l=0;for(c=a.behaviors.length;l<c;l++)if(a.behaviors[l].behavior instanceof d)return!0;if(!a.is_family)for(l=0,c=a.families.length;l<c;l++)for(h=a.families[l],f=0,b=h.behaviors.length;f<b;f++)if(h.behaviors[f].behavior instanceof d)return!0;return!1};a.prototype.typeHasNoSaveBehavior=function(a){return this.typeHasBehavior(a,
cr.behaviors.NoSave)};a.prototype.typeHasPersistBehavior=function(a){return this.typeHasBehavior(a,cr.behaviors.Persist)};a.prototype.getSolidBehavior=function(){return this.solidBehavior};a.prototype.getJumpthruBehavior=function(){return this.jumpthruBehavior};var x=[];a.prototype.testOverlapSolid=function(a){var d,l,c;a.update_bbox();this.getSolidCollisionCandidates(a.layer,a.bbox,x);d=0;for(l=x.length;d<l;++d)if(c=x[d],c.extra.solidEnabled&&this.testOverlap(a,c))return x.length=0,c;x.length=0;
return null};a.prototype.testRectOverlapSolid=function(a){var d,l,c;this.getSolidCollisionCandidates(null,a,x);d=0;for(l=x.length;d<l;++d)if(c=x[d],c.extra.solidEnabled&&this.testRectOverlap(a,c))return x.length=0,c;x.length=0;return null};var z=[];a.prototype.testOverlapJumpThru=function(a,d){var l=null;d&&(l=z,l.length=0);a.update_bbox();this.getJumpthruCollisionCandidates(a.layer,a.bbox,x);var c,f,b;c=0;for(f=x.length;c<f;++c)if(b=x[c],b.extra.jumpthruEnabled&&this.testOverlap(a,b))if(d)l.push(b);
else return x.length=0,b;x.length=0;return l};a.prototype.pushOutSolid=function(a,d,l,c,f,b){c=c||50;var h=a.x,g=a.y,e,q=null,k=null;for(e=0;e<c;e++)if(a.x=h+d*e,a.y=g+l*e,a.set_bbox_changed(),!this.testOverlap(a,q)&&((q=this.testOverlapSolid(a))&&(k=q),!q&&(f&&(q=b?this.testOverlap(a,b)?b:null:this.testOverlapJumpThru(a))&&(k=q),!q)))return k&&this.pushInFractional(a,d,l,k,16),!0;a.x=h;a.y=g;a.set_bbox_changed();return!1};a.prototype.pushOut=function(a,d,l,c,f){c=c||50;var b=a.x,h=a.y,g;for(g=0;g<
c;g++)if(a.x=b+d*g,a.y=h+l*g,a.set_bbox_changed(),!this.testOverlap(a,f))return!0;a.x=b;a.y=h;a.set_bbox_changed();return!1};a.prototype.pushInFractional=function(a,d,l,c,f){var b=2,h,g=!1;h=!1;for(var e=a.x,q=a.y;b<=f;)h=1/b,b*=2,a.x+=d*h*(g?1:-1),a.y+=l*h*(g?1:-1),a.set_bbox_changed(),this.testOverlap(a,c)?h=g=!0:(h=g=!1,e=a.x,q=a.y);h&&(a.x=e,a.y=q,a.set_bbox_changed())};a.prototype.pushOutSolidNearest=function(a,d){var l=cr.is_undefined(d)?100:d,c=0,f=a.x,b=a.y,h=0,g=0,e=0,q=this.testOverlapSolid(a);
if(!q)return!0;for(;c<=l;){switch(h){case 0:g=0;e=-1;c++;break;case 1:g=1;e=-1;break;case 2:g=1;e=0;break;case 3:e=g=1;break;case 4:g=0;e=1;break;case 5:g=-1;e=1;break;case 6:g=-1;e=0;break;case 7:e=g=-1}h=(h+1)%8;a.x=cr.floor(f+g*c);a.y=cr.floor(b+e*c);a.set_bbox_changed();if(!this.testOverlap(a,q)&&(q=this.testOverlapSolid(a),!q))return!0}a.x=f;a.y=b;a.set_bbox_changed();return!1};a.prototype.registerCollision=function(a,d){a.collisionsEnabled&&d.collisionsEnabled&&this.registered_collisions.push([a,
d])};a.prototype.checkRegisteredCollision=function(a,d){var l,c,f;l=0;for(c=this.registered_collisions.length;l<c;l++)if(f=this.registered_collisions[l],f[0]==a&&f[1]==d||f[0]==d&&f[1]==a)return!0;return!1};a.prototype.calculateSolidBounceAngle=function(a,d,l,c){var f=a.x,b=a.y,h=cr.max(10,cr.distanceTo(d,l,f,b)),g=cr.angleTo(d,l,f,b),e=c||this.testOverlapSolid(a);if(!e)return cr.clamp_angle(g+cr.PI);var q=e,k,m,p,n,r=cr.to_radians(5);for(k=1;36>k;k++)if(m=g-k*r,a.x=d+Math.cos(m)*h,a.y=l+Math.sin(m)*
h,a.set_bbox_changed(),!this.testOverlap(a,q)&&(q=c?null:this.testOverlapSolid(a),!q)){p=m;break}36===k&&(p=cr.clamp_angle(g+cr.PI));q=e;for(k=1;36>k;k++)if(m=g+k*r,a.x=d+Math.cos(m)*h,a.y=l+Math.sin(m)*h,a.set_bbox_changed(),!this.testOverlap(a,q)&&(q=c?null:this.testOverlapSolid(a),!q)){n=m;break}36===k&&(n=cr.clamp_angle(g+cr.PI));a.x=f;a.y=b;a.set_bbox_changed();if(n===p)return n;a=cr.angleDiff(n,p)/2;a=cr.angleClockwise(n,p)?cr.clamp_angle(p+a+cr.PI):cr.clamp_angle(n+a);p=Math.cos(g);g=Math.sin(g);
n=Math.cos(a);a=Math.sin(a);d=p*n+g*a;return cr.angleTo(0,0,p-2*d*n,g-2*d*a)};var y=-1;a.prototype.trigger=function(a,d,l){if(!this.running_layout)return!1;var c=this.running_layout.event_sheet;if(!c)return!1;var f=!1,b,h,g;y++;var e=c.deep_includes;h=0;for(g=e.length;h<g;++h)b=this.triggerOnSheet(a,d,e[h],l),f=f||b;b=this.triggerOnSheet(a,d,c,l);y--;return f||b};a.prototype.triggerOnSheet=function(a,d,l,c){var f=!1,b,h,g,e;if(d)for(g=this.triggerOnSheetForTypeName(a,d,d.type.name,l,c),f=f||g,e=d.type.families,
b=0,h=e.length;b<h;++b)g=this.triggerOnSheetForTypeName(a,d,e[b].name,l,c),f=f||g;else g=this.triggerOnSheetForTypeName(a,d,"system",l,c),f=f||g;return f};a.prototype.triggerOnSheetForTypeName=function(a,d,l,c,f){var b,h=!1,g=!1,g="undefined"!==typeof f,e=(g?c.fasttriggers:c.triggers)[l];if(!e)return h;var q=null;c=0;for(b=e.length;c<b;++c)if(e[c].method==a){q=e[c].evs;break}if(!q)return h;a=g?q[f]:q;if(!a)return null;c=0;for(b=a.length;c<b;c++)f=a[c][0],g=a[c][1],g=this.executeSingleTrigger(d,l,
f,g),h=h||g;return h};a.prototype.executeSingleTrigger=function(a,d,l,c){var f,b,h=!1;this.trigger_depth++;var g=this.getCurrentEventStack().current_event;g&&this.pushCleanSol(g.solModifiersIncludingParents);var e=1<this.trigger_depth;this.pushCleanSol(l.solModifiersIncludingParents);e&&this.pushLocalVarStack();var q=this.pushEventStack(l);q.current_event=l;a&&(f=this.types[d].getCurrentSol(),f.select_all=!1,f.instances.length=1,f.instances[0]=a,this.types[d].applySolToContainer());a=!0;if(l.parent){d=
q.temp_parents_arr;for(f=l.parent;f;)d.push(f),f=f.parent;d.reverse();f=0;for(b=d.length;f<b;f++)if(!d[f].run_pretrigger()){a=!1;break}}a&&(this.execcount++,l.orblock?l.run_orblocktrigger(c):l.run(),h=h||q.last_event_true);this.popEventStack();e&&this.popLocalVarStack();this.popSol(l.solModifiersIncludingParents);g&&this.popSol(g.solModifiersIncludingParents);0!==this.isInOnDestroy||0!==y||this.isRunningEvents||this.deathRow.isEmpty()&&!this.createRow.length||this.ClearDeathRow();this.trigger_depth--;
return h};a.prototype.getCurrentCondition=function(){var a=this.getCurrentEventStack();return a.current_event.conditions[a.cndindex]};a.prototype.getCurrentAction=function(){var a=this.getCurrentEventStack();return a.current_event.actions[a.actindex]};a.prototype.pushLocalVarStack=function(){this.localvar_stack_index++;this.localvar_stack_index>=this.localvar_stack.length&&this.localvar_stack.push([])};a.prototype.popLocalVarStack=function(){this.localvar_stack_index--};a.prototype.getCurrentLocalVarStack=
function(){return this.localvar_stack[this.localvar_stack_index]};a.prototype.pushEventStack=function(a){this.event_stack_index++;this.event_stack_index>=this.event_stack.length&&this.event_stack.push(new cr.eventStackFrame);var d=this.getCurrentEventStack();d.reset(a);return d};a.prototype.popEventStack=function(){this.event_stack_index--};a.prototype.getCurrentEventStack=function(){return this.event_stack[this.event_stack_index]};a.prototype.pushLoopStack=function(a){this.loop_stack_index++;this.loop_stack_index>=
this.loop_stack.length&&this.loop_stack.push(cr.seal({name:a,index:0,stopped:!1}));var d=this.getCurrentLoop();d.name=a;d.index=0;d.stopped=!1;return d};a.prototype.popLoopStack=function(){this.loop_stack_index--};a.prototype.getCurrentLoop=function(){return this.loop_stack[this.loop_stack_index]};a.prototype.getEventVariableByName=function(a,d){for(var l,c,f,b,h,g;d;){l=0;for(c=d.subevents.length;l<c;l++)if(g=d.subevents[l],g instanceof cr.eventvariable&&cr.equals_nocase(a,g.name))return g;d=d.parent}l=
0;for(c=this.eventsheets_by_index.length;l<c;l++)for(h=this.eventsheets_by_index[l],f=0,b=h.events.length;f<b;f++)if(g=h.events[f],g instanceof cr.eventvariable&&cr.equals_nocase(a,g.name))return g;return null};a.prototype.getLayoutBySid=function(a){var d,l;d=0;for(l=this.layouts_by_index.length;d<l;d++)if(this.layouts_by_index[d].sid===a)return this.layouts_by_index[d];return null};a.prototype.getObjectTypeBySid=function(a){var d,l;d=0;for(l=this.types_by_index.length;d<l;d++)if(this.types_by_index[d].sid===
a)return this.types_by_index[d];return null};a.prototype.getGroupBySid=function(a){var d,l;d=0;for(l=this.allGroups.length;d<l;d++)if(this.allGroups[d].sid===a)return this.allGroups[d];return null};a.prototype.signalContinuousPreview=function(){this.signalledContinuousPreview=!0};a.prototype.handleSaveLoad=function(){var a=this,d=this.saveToSlot,l=this.lastSaveJson,c=this.loadFromSlot,f=!1;this.signalledContinuousPreview&&(f=!0,d="__c2_continuouspreview",this.signalledContinuousPreview=!1);if(d.length){this.ClearDeathRow();
l=this.saveToJSONString();if(window.indexedDB&&!this.isCocoonJs)e(d,l,function(){cr.logexport("Saved state to IndexedDB storage ("+l.length+" bytes)");a.lastSaveJson=l;a.trigger(cr.system_object.prototype.cnds.OnSaveComplete,null);a.lastSaveJson="";f&&h()},function(c){try{localStorage.setItem("__c2save_"+d,l),cr.logexport("Saved state to WebStorage ("+l.length+" bytes)"),a.lastSaveJson=l,a.trigger(cr.system_object.prototype.cnds.OnSaveComplete,null),a.lastSaveJson="",f&&h()}catch(b){cr.logexport("Failed to save game state: "+
c+"; "+b)}});else try{localStorage.setItem("__c2save_"+d,l),cr.logexport("Saved state to WebStorage ("+l.length+" bytes)"),a.lastSaveJson=l,this.trigger(cr.system_object.prototype.cnds.OnSaveComplete,null),a.lastSaveJson="",f&&h()}catch(b){cr.logexport("Error saving to WebStorage: "+b)}this.loadFromJson=this.loadFromSlot=this.saveToSlot=""}c.length&&(window.indexedDB&&!this.isCocoonJs?k(c,function(d){d?(a.loadFromJson=d,cr.logexport("Loaded state from IndexedDB storage ("+a.loadFromJson.length+" bytes)")):
(a.loadFromJson=localStorage.getItem("__c2save_"+c)||"",cr.logexport("Loaded state from WebStorage ("+a.loadFromJson.length+" bytes)"));a.suspendDrawing=!1;a.loadFromJson.length||a.trigger(cr.system_object.prototype.cnds.OnLoadFailed,null)},function(d){a.loadFromJson=localStorage.getItem("__c2save_"+c)||"";cr.logexport("Loaded state from WebStorage ("+a.loadFromJson.length+" bytes)");a.suspendDrawing=!1;a.loadFromJson.length||a.trigger(cr.system_object.prototype.cnds.OnLoadFailed,null)}):(this.loadFromJson=
localStorage.getItem("__c2save_"+c)||"",cr.logexport("Loaded state from WebStorage ("+this.loadFromJson.length+" bytes)"),this.suspendDrawing=!1,a.loadFromJson.length||a.trigger(cr.system_object.prototype.cnds.OnLoadFailed,null)),this.saveToSlot=this.loadFromSlot="");this.loadFromJson.length&&(this.ClearDeathRow(),this.loadFromJSONString(this.loadFromJson),this.lastSaveJson=this.loadFromJson,this.trigger(cr.system_object.prototype.cnds.OnLoadComplete,null),this.loadFromJson=this.lastSaveJson="")};
a.prototype.saveToJSONString=function(){var a,d,c,f,b,h,g,e={c2save:!0,version:1,rt:{time:this.kahanTime.sum,timescale:this.timescale,tickcount:this.tickcount,execcount:this.execcount,next_uid:this.next_uid,running_layout:this.running_layout.sid,start_time_offset:Date.now()-this.start_time},types:{},layouts:{},events:{groups:{},cnds:{},acts:{},vars:{}}};a=0;for(d=this.types_by_index.length;a<d;a++)if(b=this.types_by_index[a],!b.is_family&&!this.typeHasNoSaveBehavior(b)){h={instances:[]};cr.hasAnyOwnProperty(b.extra)&&
(h.ex=m(b.extra));c=0;for(f=b.instances.length;c<f;c++)h.instances.push(this.saveInstanceToJSON(b.instances[c]));e.types[b.sid.toString()]=h}a=0;for(d=this.layouts_by_index.length;a<d;a++)c=this.layouts_by_index[a],e.layouts[c.sid.toString()]=c.saveToJSON();f=e.events.groups;a=0;for(d=this.allGroups.length;a<d;a++)c=this.allGroups[a],f[c.sid.toString()]=this.groups_by_name[c.group_name].group_active;d=e.events.cnds;for(g in this.cndsBySid)this.cndsBySid.hasOwnProperty(g)&&(a=this.cndsBySid[g],cr.hasAnyOwnProperty(a.extra)&&
(d[g]={ex:m(a.extra)}));d=e.events.acts;for(g in this.actsBySid)this.actsBySid.hasOwnProperty(g)&&(a=this.actsBySid[g],cr.hasAnyOwnProperty(a.extra)&&(d[g]={ex:a.extra}));d=e.events.vars;for(g in this.varsBySid)this.varsBySid.hasOwnProperty(g)&&(a=this.varsBySid[g],a.is_constant||a.parent&&!a.is_static||(d[g]=a.data));e.system=this.system.saveToJSON();return JSON.stringify(e)};a.prototype.refreshUidMap=function(){var a,d,c,f,b,g;this.objectsByUid={};a=0;for(d=this.types_by_index.length;a<d;a++)if(c=
this.types_by_index[a],!c.is_family)for(f=0,b=c.instances.length;f<b;f++)g=c.instances[f],this.objectsByUid[g.uid.toString()]=g};a.prototype.loadFromJSONString=function(a){a=JSON.parse(a);if(a.c2save&&!(1<a.version)){var d=a.rt;this.kahanTime.reset();this.kahanTime.sum=d.time;this.timescale=d.timescale;this.tickcount=d.tickcount;this.start_time=Date.now()-d.start_time_offset;var c=d.running_layout;if(c!==this.running_layout.sid)if(c=this.getLayoutBySid(c))this.doChangeLayout(c);else return;this.isLoadingState=
!0;var f,b,g,h,e,q,k;q=a.types;for(b in q)if(q.hasOwnProperty(b)&&(h=this.getObjectTypeBySid(parseInt(b,10)))&&!h.is_family&&!this.typeHasNoSaveBehavior(h)){q[b].ex?h.extra=q[b].ex:cr.wipe(h.extra);e=h.instances;g=q[b].instances;c=0;for(f=cr.min(e.length,g.length);c<f;c++)this.loadInstanceFromJSON(e[c],g[c]);c=g.length;for(f=e.length;c<f;c++)this.DestroyInstance(e[c]);c=e.length;for(f=g.length;c<f;c++){e=null;if(h.plugin.is_world&&(e=this.running_layout.getLayerBySid(g[c].w.l),!e))continue;e=this.createInstanceFromInit(h.default_instance,
e,!1,0,0,!0);this.loadInstanceFromJSON(e,g[c])}h.stale_iids=!0}this.ClearDeathRow();this.refreshUidMap();f=a.layouts;for(b in f)f.hasOwnProperty(b)&&(c=this.getLayoutBySid(parseInt(b,10)))&&c.loadFromJSON(f[b]);f=a.events.groups;for(b in f)f.hasOwnProperty(b)&&(c=this.getGroupBySid(parseInt(b,10)))&&this.groups_by_name[c.group_name]&&(this.groups_by_name[c.group_name].group_active=f[b]);c=a.events.cnds;for(b in c)c.hasOwnProperty(b)&&this.cndsBySid.hasOwnProperty(b)&&(this.cndsBySid[b].extra=c[b].ex);
c=a.events.acts;for(b in c)c.hasOwnProperty(b)&&this.actsBySid.hasOwnProperty(b)&&(this.actsBySid[b].extra=c[b].ex);c=a.events.vars;for(b in c)c.hasOwnProperty(b)&&this.varsBySid.hasOwnProperty(b)&&(this.varsBySid[b].data=c[b]);this.next_uid=d.next_uid;this.isLoadingState=!1;this.system.loadFromJSON(a.system);c=0;for(f=this.types_by_index.length;c<f;c++)if(h=this.types_by_index[c],!h.is_family)for(b=0,a=h.instances.length;b<a;b++){e=h.instances[b];if(h.is_contained)for(q=e.get_iid(),d=e.siblings.length=
0,g=h.container.length;d<g;d++)k=h.container[d],h!==k&&e.siblings.push(k.instances[q]);e.afterLoad&&e.afterLoad();if(e.behavior_insts)for(d=0,g=e.behavior_insts.length;d<g;d++)q=e.behavior_insts[d],q.afterLoad&&q.afterLoad()}this.redraw=!0}};a.prototype.saveInstanceToJSON=function(a,d){var c,f,b,g,h;g=a.type;b=g.plugin;var e={};d?e.c2=!0:e.uid=a.uid;cr.hasAnyOwnProperty(a.extra)&&(e.ex=m(a.extra));if(a.instance_vars&&a.instance_vars.length)for(e.ivs={},c=0,f=a.instance_vars.length;c<f;c++)e.ivs[a.type.instvar_sids[c].toString()]=
a.instance_vars[c];if(b.is_world){b={x:a.x,y:a.y,w:a.width,h:a.height,l:a.layer.sid,zi:a.get_zindex()};0!==a.angle&&(b.a=a.angle);1!==a.opacity&&(b.o=a.opacity);0.5!==a.hotspotX&&(b.hX=a.hotspotX);0.5!==a.hotspotY&&(b.hY=a.hotspotY);0!==a.blend_mode&&(b.bm=a.blend_mode);a.visible||(b.v=a.visible);a.collisionsEnabled||(b.ce=a.collisionsEnabled);-1!==a.my_timescale&&(b.mts=a.my_timescale);if(g.effect_types.length)for(b.fx=[],c=0,f=g.effect_types.length;c<f;c++)h=g.effect_types[c],b.fx.push({name:h.name,
active:a.active_effect_flags[h.index],params:a.effect_params[h.index]});e.w=b}if(a.behavior_insts&&a.behavior_insts.length)for(e.behs={},c=0,f=a.behavior_insts.length;c<f;c++)g=a.behavior_insts[c],g.saveToJSON&&(e.behs[g.type.sid.toString()]=g.saveToJSON());a.saveToJSON&&(e.data=a.saveToJSON());return e};a.prototype.getInstanceVarIndexBySid=function(a,d){var c,f;c=0;for(f=a.instvar_sids.length;c<f;c++)if(a.instvar_sids[c]===d)return c;return-1};a.prototype.getBehaviorIndexBySid=function(a,d){var c,
f;c=0;for(f=a.behavior_insts.length;c<f;c++)if(a.behavior_insts[c].type.sid===d)return c;return-1};a.prototype.loadInstanceFromJSON=function(a,d,c){var f,b,g,h,e;e=a.type;g=e.plugin;if(c){if(!d.c2)return}else a.uid=d.uid;d.ex?a.extra=d.ex:cr.wipe(a.extra);if(b=d.ivs)for(f in b)b.hasOwnProperty(f)&&(c=this.getInstanceVarIndexBySid(e,parseInt(f,10)),0>c||c>=a.instance_vars.length||(a.instance_vars[c]=b[f]));if(g.is_world){g=d.w;a.layer.sid!==g.l&&(c=a.layer,a.layer=this.running_layout.getLayerBySid(g.l),
a.layer?(a.layer.instances.push(a),a.layer.zindices_stale=!0,cr.arrayFindRemove(c.instances,a),c.zindices_stale=!0):(a.layer=c,this.DestroyInstance(a)));a.x=g.x;a.y=g.y;a.width=g.w;a.height=g.h;a.zindex=g.zi;a.angle=g.hasOwnProperty("a")?g.a:0;a.opacity=g.hasOwnProperty("o")?g.o:1;a.hotspotX=g.hasOwnProperty("hX")?g.hX:0.5;a.hotspotY=g.hasOwnProperty("hY")?g.hY:0.5;a.visible=g.hasOwnProperty("v")?g.v:!0;a.collisionsEnabled=g.hasOwnProperty("ce")?g.ce:!0;a.my_timescale=g.hasOwnProperty("mts")?g.mts:
-1;a.blend_mode=g.hasOwnProperty("bm")?g.bm:0;a.compositeOp=cr.effectToCompositeOp(a.blend_mode);this.gl&&cr.setGLBlend(a,a.blend_mode,this.gl);a.set_bbox_changed();if(g.hasOwnProperty("fx"))for(c=0,b=g.fx.length;c<b;c++)h=e.getEffectIndexByName(g.fx[c].name),0>h||(a.active_effect_flags[h]=g.fx[c].active,a.effect_params[h]=g.fx[c].params);a.updateActiveEffects()}if(e=d.behs)for(f in e)e.hasOwnProperty(f)&&(g=this.getBehaviorIndexBySid(a,parseInt(f,10)),0>g||a.behavior_insts[g].loadFromJSON(e[f]));
d.data&&a.loadFromJSON(d.data)};cr.runtime=a;cr.createRuntime=function(d){return new a(document.getElementById(d))};cr.createDCRuntime=function(d,c){return new a({dc:!0,width:d,height:c})};window.cr_createRuntime=cr.createRuntime;window.cr_createDCRuntime=cr.createDCRuntime;window.createCocoonJSRuntime=function(){window.c2cocoonjs=!0;var d=document.createElement("screencanvas")||document.createElement("canvas");d.screencanvas=!0;document.body.appendChild(d);d=new a(d);window.c2runtime=d;window.addEventListener("orientationchange",
function(){window.c2runtime.setSize(window.innerWidth,window.innerHeight)});window.c2runtime.setSize(window.innerWidth,window.innerHeight);return d};window.createEjectaRuntime=function(){var d=document.getElementById("canvas"),d=new a(d);window.c2runtime=d;window.c2runtime.setSize(window.innerWidth,window.innerHeight);return d}})();window.cr_getC2Runtime=function(){var a=document.getElementById("c2canvas");return a?a.c2runtime:window.c2runtime?window.c2runtime:null};
window.cr_sizeCanvas=function(a,b){if(0!==a&&0!==b){var e=window.cr_getC2Runtime();e&&e.setSize(a,b)}};window.cr_setSuspended=function(a){var b=window.cr_getC2Runtime();b&&b.setSuspended(a)};
(function(){function a(a,b){this.runtime=a;this.event_sheet=null;this.scrollX=this.runtime.original_width/2;this.scrollY=this.runtime.original_height/2;this.scale=1;this.angle=0;this.first_visit=!0;this.name=b[0];this.width=b[1];this.height=b[2];this.unbounded_scrolling=b[3];this.sheetname=b[4];this.sid=b[5];var e=b[6],c,k;this.layers=[];this.initial_types=[];c=0;for(k=e.length;c<k;c++){var g=new cr.layer(this,e[c]);g.number=c;cr.seal(g);this.layers.push(g)}e=b[7];this.initial_nonworld=[];c=0;for(k=
e.length;c<k;c++){var g=e[c],f=this.runtime.types_by_index[g[1]];f.default_instance||(f.default_instance=g);this.initial_nonworld.push(g);-1===this.initial_types.indexOf(f)&&this.initial_types.push(f)}this.effect_types=[];this.active_effect_types=[];this.effect_params=[];c=0;for(k=b[8].length;c<k;c++)this.effect_types.push({id:b[8][c][0],name:b[8][c][1],shaderindex:-1,active:!0,index:c}),this.effect_params.push(b[8][c][2].slice(0));this.updateActiveEffects();this.rcTex=new cr.rect(0,0,1,1);this.rcTex2=
new cr.rect(0,0,1,1);this.persist_data={}}function b(a,b){this.layout=a;this.runtime=a.runtime;this.instances=[];this.scale=1;this.angle=0;this.disableAngle=!1;this.tmprect=new cr.rect(0,0,0,0);this.tmpquad=new cr.quad;this.viewBottom=this.viewTop=this.viewRight=this.viewLeft=0;this.zindices_stale=!1;this.name=b[0];this.index=b[1];this.sid=b[2];this.visible=b[3];this.background_color=b[4];this.transparent=b[5];this.parallaxX=b[6];this.parallaxY=b[7];this.opacity=b[8];this.forceOwnTexture=b[9];this.zoomRate=
b[10];this.blend_mode=b[11];this.effect_fallback=b[12];this.compositeOp="source-over";this.destBlend=this.srcBlend=0;this.render_offscreen=!1;var e=b[13],c,k;this.initial_instances=[];c=0;for(k=e.length;c<k;c++){var g=e[c],f=this.runtime.types_by_index[g[1]];f.default_instance||(f.default_instance=g,f.default_layerindex=this.index);this.initial_instances.push(g);-1===this.layout.initial_types.indexOf(f)&&this.layout.initial_types.push(f)}this.effect_types=[];this.active_effect_types=[];this.effect_params=
[];c=0;for(k=b[14].length;c<k;c++)this.effect_types.push({id:b[14][c][0],name:b[14][c][1],shaderindex:-1,active:!0,index:c}),this.effect_params.push(b[14][c][2].slice(0));this.updateActiveEffects();this.rcTex=new cr.rect(0,0,1,1);this.rcTex2=new cr.rect(0,0,1,1)}function e(a,b){return a.zindex-b.zindex}a.prototype.saveObjectToPersist=function(a){var b=a.type.sid.toString();this.persist_data.hasOwnProperty(b)||(this.persist_data[b]=[]);this.persist_data[b].push(this.runtime.saveInstanceToJSON(a))};
a.prototype.hasOpaqueBottomLayer=function(){var a=this.layers[0];return!a.transparent&&1===a.opacity&&!a.forceOwnTexture&&a.visible};a.prototype.updateActiveEffects=function(){this.active_effect_types.length=0;var a,b,e;a=0;for(b=this.effect_types.length;a<b;a++)e=this.effect_types[a],e.active&&this.active_effect_types.push(e)};a.prototype.getEffectByName=function(a){var b,e,c;b=0;for(e=this.effect_types.length;b<e;b++)if(c=this.effect_types[b],c.name===a)return c;return null};var k=[];a.prototype.startRunning=
function(){this.sheetname&&(this.event_sheet=this.runtime.eventsheets[this.sheetname],this.event_sheet.updateDeepIncludes());this.runtime.running_layout=this;this.scrollX=this.runtime.original_width/2;this.scrollY=this.runtime.original_height/2;var a,b,n,c,p,g,f;a=0;for(n=this.runtime.types_by_index.length;a<n;a++)if(b=this.runtime.types_by_index[a],!b.is_family)for(p=b.instances,b=0,c=p.length;b<c;b++)if(g=p[b],g.layer){var d=g.layer.number;d>=this.layers.length&&(d=this.layers.length-1);g.layer=
this.layers[d];g.layer.instances.push(g);g.layer.zindices_stale=!0}k.length=0;this.boundScrolling();a=0;for(n=this.layers.length;a<n;a++)g=this.layers[a],g.createInitialInstances(),g.disableAngle=!0,b=g.canvasToLayer(0,0,!0,!0),c=g.canvasToLayer(0,0,!1,!0),g.disableAngle=!1,this.runtime.pixel_rounding&&(b=b+0.5|0,c=c+0.5|0),g.rotateViewport(b,c,null);p=!1;if(!this.first_visit){for(f in this.persist_data)if(this.persist_data.hasOwnProperty(f)&&(b=this.runtime.getObjectTypeBySid(parseInt(f,10)))&&!b.is_family&&
this.runtime.typeHasPersistBehavior(b)){c=this.persist_data[f];a=0;for(n=c.length;a<n;a++){g=null;if(b.plugin.is_world&&(g=this.getLayerBySid(c[a].w.l),!g))continue;g=this.runtime.createInstanceFromInit(b.default_instance,g,!1,0,0,!0);this.runtime.loadInstanceFromJSON(g,c[a]);p=!0;k.push(g)}c.length=0}a=0;for(n=this.layers.length;a<n;a++)this.layers[a].instances.sort(e),this.layers[a].zindices_stale=!0}p&&(this.runtime.ClearDeathRow(),this.runtime.refreshUidMap());for(a=0;a<k.length;a++)if(g=k[a],
g.type.is_contained)for(n=g.get_iid(),b=0,c=g.type.container.length;b<c;b++)f=g.type.container[b],g.type!==f&&(f.instances.length>n?g.siblings.push(f.instances[n]):f.default_instance&&(p=this.runtime.createInstanceFromInit(f.default_instance,g.layer,!0,g.x,g.y,!0),this.runtime.ClearDeathRow(),f.updateIIDs(),g.siblings.push(p),k.push(p)));a=0;for(n=this.initial_nonworld.length;a<n;a++)this.runtime.createInstanceFromInit(this.initial_nonworld[a],null,!0);this.runtime.changelayout=null;this.runtime.ClearDeathRow();
if(this.runtime.ctx&&!this.runtime.isDomFree)for(a=0,n=this.runtime.types_by_index.length;a<n;a++)f=this.runtime.types_by_index[a],!f.is_family&&f.instances.length&&f.preloadCanvas2D&&f.preloadCanvas2D(this.runtime.ctx);a=0;for(n=k.length;a<n;a++)g=k[a],this.runtime.trigger(Object.getPrototypeOf(g.type.plugin).cnds.OnCreated,g);k.length=0;this.runtime.trigger(cr.system_object.prototype.cnds.OnLayoutStart,null);this.first_visit=!1};a.prototype.createGlobalNonWorlds=function(){var a,b,e,c,k;b=a=0;for(e=
this.initial_nonworld.length;a<e;a++)c=this.initial_nonworld[a],k=this.runtime.types_by_index[c[1]],k.global?this.runtime.createInstanceFromInit(c,null,!0):(this.initial_nonworld[b]=c,b++);this.initial_nonworld.length=b};a.prototype.stopRunning=function(){this.runtime.trigger(cr.system_object.prototype.cnds.OnLayoutEnd,null);this.runtime.system.waits.length=0;var a,b,e,c,k,g;a=0;for(b=this.layers.length;a<b;a++){k=this.layers[a].instances;e=0;for(c=k.length;e<c;e++)g=k[e],g.type.global||(this.runtime.typeHasPersistBehavior(g.type)&&
this.saveObjectToPersist(g),this.runtime.DestroyInstance(g));this.runtime.ClearDeathRow();k.length=0;this.layers[a].zindices_stale=!0}a=0;for(b=this.runtime.types_by_index.length;a<b;a++)if(k=this.runtime.types_by_index[a],!(k.global||k.plugin.is_world||k.plugin.singleglobal||k.is_family)){e=0;for(c=k.instances.length;e<c;e++)this.runtime.DestroyInstance(k.instances[e]);this.runtime.ClearDeathRow()}};a.prototype.draw=function(a){var b,e=a,c=!1,k=!this.runtime.fullscreenScalingQuality;k&&(this.runtime.layout_canvas||
(this.runtime.layout_canvas=document.createElement("canvas"),b=this.runtime.layout_canvas,b.width=this.runtime.draw_width,b.height=this.runtime.draw_height,this.runtime.layout_ctx=b.getContext("2d"),c=!0),b=this.runtime.layout_canvas,e=this.runtime.layout_ctx,b.width!==this.runtime.draw_width&&(b.width=this.runtime.draw_width,c=!0),b.height!==this.runtime.draw_height&&(b.height=this.runtime.draw_height,c=!0),c&&(e.webkitImageSmoothingEnabled=this.runtime.linearSampling,e.mozImageSmoothingEnabled=
this.runtime.linearSampling,e.msImageSmoothingEnabled=this.runtime.linearSampling,e.imageSmoothingEnabled=this.runtime.linearSampling));e.globalAlpha=1;e.globalCompositeOperation="source-over";this.runtime.alphaBackground&&!this.hasOpaqueBottomLayer()&&e.clearRect(0,0,this.runtime.draw_width,this.runtime.draw_height);var g,f,c=0;for(g=this.layers.length;c<g;c++)f=this.layers[c],f.visible&&0<f.opacity&&11!==f.blend_mode&&f.draw(e);k&&a.drawImage(b,0,0,this.runtime.width,this.runtime.height)};a.prototype.drawGL=
function(a){var b=0<this.active_effect_types.length||this.runtime.uses_background_blending||!this.runtime.fullscreenScalingQuality;if(b){this.runtime.layout_tex||(this.runtime.layout_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling));if(this.runtime.layout_tex.c2width!==this.runtime.draw_width||this.runtime.layout_tex.c2height!==this.runtime.draw_height)a.deleteTexture(this.runtime.layout_tex),this.runtime.layout_tex=a.createEmptyTexture(this.runtime.draw_width,
this.runtime.draw_height,this.runtime.linearSampling);a.setRenderingToTexture(this.runtime.layout_tex);this.runtime.fullscreenScalingQuality||a.setSize(this.runtime.draw_width,this.runtime.draw_height)}else this.runtime.layout_tex&&(a.setRenderingToTexture(null),a.deleteTexture(this.runtime.layout_tex),this.runtime.layout_tex=null);this.runtime.alphaBackground&&!this.hasOpaqueBottomLayer()&&a.clear(0,0,0,0);var e,c;e=0;for(c=this.layers.length;e<c;e++)this.layers[e].visible&&0<this.layers[e].opacity&&
this.layers[e].drawGL(a);b&&(0===this.active_effect_types.length||1===this.active_effect_types.length&&this.runtime.fullscreenScalingQuality?(1===this.active_effect_types.length?(b=this.active_effect_types[0].index,a.switchProgram(this.active_effect_types[0].shaderindex),a.setProgramParameters(null,1/this.runtime.draw_width,1/this.runtime.draw_height,0,0,1,1,this.scale,this.angle,0,0,this.effect_params[b]),a.programIsAnimated(this.active_effect_types[0].shaderindex)&&(this.runtime.redraw=!0)):a.switchProgram(0),
this.runtime.fullscreenScalingQuality||a.setSize(this.runtime.width,this.runtime.height),a.setRenderingToTexture(null),a.setOpacity(1),a.setTexture(this.runtime.layout_tex),a.setAlphaBlend(),a.resetModelView(),a.updateModelView(),b=this.runtime.width/2,e=this.runtime.height/2,a.quad(-b,e,b,e,b,-e,-b,-e),a.setTexture(null)):this.renderEffectChain(a,null,null,null))};a.prototype.getRenderTarget=function(){return 0<this.active_effect_types.length||this.runtime.uses_background_blending||!this.runtime.fullscreenScalingQuality?
this.runtime.layout_tex:null};a.prototype.getMinLayerScale=function(){var a=this.layers[0].getScale(),b,e,c;b=1;for(e=this.layers.length;b<e;b++)c=this.layers[b],(0!==c.parallaxX||0!==c.parallaxY)&&c.getScale()<a&&(a=c.getScale());return a};a.prototype.scrollToX=function(a){if(!this.unbounded_scrolling){var b=this.runtime.draw_width*(1/this.getMinLayerScale())/2;a>this.width-b&&(a=this.width-b);a<b&&(a=b)}this.scrollX!==a&&(this.scrollX=a,this.runtime.redraw=!0)};a.prototype.scrollToY=function(a){if(!this.unbounded_scrolling){var b=
this.runtime.draw_height*(1/this.getMinLayerScale())/2;a>this.height-b&&(a=this.height-b);a<b&&(a=b)}this.scrollY!==a&&(this.scrollY=a,this.runtime.redraw=!0)};a.prototype.boundScrolling=function(){this.scrollToX(this.scrollX);this.scrollToY(this.scrollY)};a.prototype.renderEffectChain=function(a,b,e,c){var k=e?e.active_effect_types:b?b.active_effect_types:this.active_effect_types,g=1,f=0,d=0,q=0;e?(g=e.layer.getScale(),f=e.layer.getAngle(),d=e.layer.viewLeft,q=e.layer.viewTop):b&&(g=b.getScale(),
f=b.getAngle(),d=b.viewLeft,q=b.viewTop);var r=this.runtime.fx_tex,s,x,z,y,v=0,t=1,l,u=this.runtime.draw_width,w=this.runtime.draw_height,B=u/2,A=w/2,E=b?b.rcTex:this.rcTex,F=b?b.rcTex2:this.rcTex2,C=0,N=0,J=0,I=0,G=u,W=u,K=w,S=w,L=z=0,D=e?e.layer.getAngle():0;if(e){s=0;for(x=k.length;s<x;s++)z+=a.getProgramBoxExtendHorizontal(k[s].shaderindex),L+=a.getProgramBoxExtendVertical(k[s].shaderindex);y=e.bbox;C=b.layerToCanvas(y.left,y.top,!0,!0);J=b.layerToCanvas(y.left,y.top,!1,!0);G=b.layerToCanvas(y.right,
y.bottom,!0,!0);K=b.layerToCanvas(y.right,y.bottom,!1,!0);0!==D&&(s=b.layerToCanvas(y.right,y.top,!0,!0),x=b.layerToCanvas(y.right,y.top,!1,!0),N=b.layerToCanvas(y.left,y.bottom,!0,!0),I=b.layerToCanvas(y.left,y.bottom,!1,!0),y=Math.min(C,G,s,N),G=Math.max(C,G,s,N),C=y,y=Math.min(J,K,x,I),K=Math.max(J,K,x,I),J=y);C-=z;J-=L;G+=z;K+=L;F.left=C/u;F.top=1-J/w;F.right=G/u;F.bottom=1-K/w;N=C=cr.floor(C);I=J=cr.floor(J);W=G=cr.ceil(G);S=K=cr.ceil(K);N-=z;I-=L;W+=z;S+=L;0>C&&(C=0);0>J&&(J=0);G>u&&(G=u);K>
w&&(K=w);0>N&&(N=0);0>I&&(I=0);W>u&&(W=u);S>w&&(S=w);E.left=C/u;E.top=1-J/w;E.right=G/u;E.bottom=1-K/w}else E.left=F.left=0,E.top=F.top=0,E.right=F.right=1,E.bottom=F.bottom=1;L=e&&((e.angle||D)&&a.programUsesDest(k[0].shaderindex)||0!==z||0!==L||1!==e.opacity||e.type.plugin.must_predraw)||b&&!e&&1!==b.opacity;a.setAlphaBlend();if(L){r[v]||(r[v]=a.createEmptyTexture(u,w,this.runtime.linearSampling));if(r[v].c2width!==u||r[v].c2height!==w)a.deleteTexture(r[v]),r[v]=a.createEmptyTexture(u,w,this.runtime.linearSampling);
a.switchProgram(0);a.setRenderingToTexture(r[v]);l=S-I;a.clearRect(N,w-I-l,W-N,l);e?e.drawGL(a):(a.setTexture(this.runtime.layer_tex),a.setOpacity(b.opacity),a.resetModelView(),a.translate(-B,-A),a.updateModelView(),a.quadTex(C,K,G,K,G,J,C,J,E));F.left=F.top=0;F.right=F.bottom=1;e&&(y=E.top,E.top=E.bottom,E.bottom=y);v=1;t=0}a.setOpacity(1);z=k.length-1;var D=a.programUsesCrossSampling(k[z].shaderindex)||!b&&!e&&!this.runtime.fullscreenScalingQuality,O=0;s=0;for(x=k.length;s<x;s++){r[v]||(r[v]=a.createEmptyTexture(u,
w,this.runtime.linearSampling));if(r[v].c2width!==u||r[v].c2height!==w)a.deleteTexture(r[v]),r[v]=a.createEmptyTexture(u,w,this.runtime.linearSampling);a.switchProgram(k[s].shaderindex);O=k[s].index;a.programIsAnimated(k[s].shaderindex)&&(this.runtime.redraw=!0);0!=s||L?(a.setProgramParameters(c,1/u,1/w,F.left,F.top,F.right,F.bottom,g,f,d,q,e?e.effect_params[O]:b?b.effect_params[O]:this.effect_params[O]),a.setTexture(null),s!==z||D?(a.setRenderingToTexture(r[v]),l=S-I,y=w-I-l,a.clearRect(N,y,W-N,
l)):(e?a.setBlend(e.srcBlend,e.destBlend):b&&a.setBlend(b.srcBlend,b.destBlend),a.setRenderingToTexture(c)),a.setTexture(r[t]),a.resetModelView(),a.translate(-B,-A),a.updateModelView(),a.quadTex(C,K,G,K,G,J,C,J,E),s!==z||D||a.setTexture(null)):(a.setRenderingToTexture(r[v]),l=S-I,y=w-I-l,a.clearRect(N,y,W-N,l),e?(a.setProgramParameters(c,1/e.width,1/e.height,F.left,F.top,F.right,F.bottom,g,f,d,q,e.effect_params[O]),e.drawGL(a)):(a.setProgramParameters(c,1/u,1/w,0,0,1,1,g,f,d,q,b?b.effect_params[O]:
this.effect_params[O]),a.setTexture(b?this.runtime.layer_tex:this.runtime.layout_tex),a.resetModelView(),a.translate(-B,-A),a.updateModelView(),a.quadTex(C,K,G,K,G,J,C,J,E)),F.left=F.top=0,F.right=F.bottom=1,e&&!D&&(y=K,K=J,J=y));v=0===v?1:0;t=0===v?1:0}D&&(a.switchProgram(0),e?a.setBlend(e.srcBlend,e.destBlend):b?a.setBlend(b.srcBlend,b.destBlend):this.runtime.fullscreenScalingQuality||(a.setSize(this.runtime.width,this.runtime.height),B=this.runtime.width/2,A=this.runtime.height/2,J=C=0,G=this.runtime.width,
K=this.runtime.height),a.setRenderingToTexture(c),a.setTexture(r[t]),a.resetModelView(),a.translate(-B,-A),a.updateModelView(),e&&1===k.length&&!L?a.quadTex(C,J,G,J,G,K,C,K,E):a.quadTex(C,K,G,K,G,J,C,J,E),a.setTexture(null))};a.prototype.getLayerBySid=function(a){var b,e;b=0;for(e=this.layers.length;b<e;b++)if(this.layers[b].sid===a)return this.layers[b];return null};a.prototype.saveToJSON=function(){var a,b,e,c={sx:this.scrollX,sy:this.scrollY,s:this.scale,a:this.angle,w:this.width,h:this.height,
fv:this.first_visit,persist:this.persist_data,fx:[],layers:{}};a=0;for(b=this.effect_types.length;a<b;a++)e=this.effect_types[a],c.fx.push({name:e.name,active:e.active,params:this.effect_params[e.index]});a=0;for(b=this.layers.length;a<b;a++)e=this.layers[a],c.layers[e.sid.toString()]=e.saveToJSON();return c};a.prototype.loadFromJSON=function(a){var b,e,c,k;this.scrollX=a.sx;this.scrollY=a.sy;this.scale=a.s;this.angle=a.a;this.width=a.w;this.height=a.h;this.persist_data=a.persist;"undefined"!==typeof a.fv&&
(this.first_visit=a.fv);var g=a.fx;b=0;for(e=g.length;b<e;b++)if(c=this.getEffectByName(g[b].name))c.active=g[b].active,this.effect_params[c.index]=g[b].params;this.updateActiveEffects();b=a.layers;for(k in b)b.hasOwnProperty(k)&&(a=this.getLayerBySid(parseInt(k,10)))&&a.loadFromJSON(b[k])};cr.layout=a;b.prototype.updateActiveEffects=function(){this.active_effect_types.length=0;var a,b,e;a=0;for(b=this.effect_types.length;a<b;a++)e=this.effect_types[a],e.active&&this.active_effect_types.push(e)};
b.prototype.getEffectByName=function(a){var b,e,c;b=0;for(e=this.effect_types.length;b<e;b++)if(c=this.effect_types[b],c.name===a)return c;return null};b.prototype.createInitialInstances=function(){var a,b,e,c,p,g;b=a=0;for(e=this.initial_instances.length;a<e;a++){c=this.initial_instances[a];p=this.runtime.types_by_index[c[1]];g=this.runtime.typeHasPersistBehavior(p);p=!0;if(!g||this.layout.first_visit)c=this.runtime.createInstanceFromInit(c,this,!0),k.push(c),c.type.global&&(p=!1);p&&(this.initial_instances[b]=
this.initial_instances[a],b++)}this.initial_instances.length=b;this.runtime.ClearDeathRow();!this.runtime.glwrap&&this.effect_types.length&&(this.blend_mode=this.effect_fallback);this.compositeOp=cr.effectToCompositeOp(this.blend_mode);this.runtime.gl&&cr.setGLBlend(this,this.blend_mode,this.runtime.gl)};b.prototype.updateZIndices=function(){if(this.zindices_stale){var a,b;a=0;for(b=this.instances.length;a<b;a++)this.instances[a].zindex=a;this.zindices_stale=!1}};b.prototype.getScale=function(a){return this.getNormalScale()*
(this.runtime.fullscreenScalingQuality||a?this.runtime.aspect_scale:1)};b.prototype.getNormalScale=function(){return(this.scale*this.layout.scale-1)*this.zoomRate+1};b.prototype.getAngle=function(){return this.disableAngle?0:cr.clamp_angle(this.layout.angle+this.angle)};b.prototype.draw=function(a){this.render_offscreen=this.forceOwnTexture||1!==this.opacity||0!==this.blend_mode;var b=this.runtime.canvas,e=a,c=!1;this.render_offscreen&&(this.runtime.layer_canvas||(this.runtime.layer_canvas=document.createElement("canvas"),
b=this.runtime.layer_canvas,b.width=this.runtime.draw_width,b.height=this.runtime.draw_height,this.runtime.layer_ctx=b.getContext("2d"),c=!0),b=this.runtime.layer_canvas,e=this.runtime.layer_ctx,b.width!==this.runtime.draw_width&&(b.width=this.runtime.draw_width,c=!0),b.height!==this.runtime.draw_height&&(b.height=this.runtime.draw_height,c=!0),c&&(e.webkitImageSmoothingEnabled=this.runtime.linearSampling,e.mozImageSmoothingEnabled=this.runtime.linearSampling,e.msImageSmoothingEnabled=this.runtime.linearSampling,
e.imageSmoothingEnabled=this.runtime.linearSampling),this.transparent&&e.clearRect(0,0,this.runtime.draw_width,this.runtime.draw_height));e.globalAlpha=1;e.globalCompositeOperation="source-over";this.transparent||(e.fillStyle="rgb("+this.background_color[0]+","+this.background_color[1]+","+this.background_color[2]+")",e.fillRect(0,0,this.runtime.draw_width,this.runtime.draw_height));e.save();this.disableAngle=!0;var c=this.canvasToLayer(0,0,!0,!0),k=this.canvasToLayer(0,0,!1,!0);this.disableAngle=
!1;this.runtime.pixel_rounding&&(c=c+0.5|0,k=k+0.5|0);this.rotateViewport(c,k,e);var g=this.getScale();e.scale(g,g);e.translate(-c,-k);for(var f,c=0,k=this.instances.length;c<k;c++)g=this.instances[c],g.visible&&0!==g.width&&0!==g.height&&(g.update_bbox(),f=g.bbox,f.right<this.viewLeft||f.bottom<this.viewTop||f.left>this.viewRight||f.top>this.viewBottom||(e.globalCompositeOperation=g.compositeOp,g.draw(e)));e.restore();this.render_offscreen&&(a.globalCompositeOperation=this.compositeOp,a.globalAlpha=
this.opacity,a.drawImage(b,0,0))};b.prototype.rotateViewport=function(a,b,e){var c=this.getScale();this.viewLeft=a;this.viewTop=b;this.viewRight=a+this.runtime.draw_width*(1/c);this.viewBottom=b+this.runtime.draw_height*(1/c);a=this.getAngle();0!==a&&(e&&(e.translate(this.runtime.draw_width/2,this.runtime.draw_height/2),e.rotate(-a),e.translate(this.runtime.draw_width/-2,this.runtime.draw_height/-2)),this.tmprect.set(this.viewLeft,this.viewTop,this.viewRight,this.viewBottom),this.tmprect.offset((this.viewLeft+
this.viewRight)/-2,(this.viewTop+this.viewBottom)/-2),this.tmpquad.set_from_rotated_rect(this.tmprect,a),this.tmpquad.bounding_box(this.tmprect),this.tmprect.offset((this.viewLeft+this.viewRight)/2,(this.viewTop+this.viewBottom)/2),this.viewLeft=this.tmprect.left,this.viewTop=this.tmprect.top,this.viewRight=this.tmprect.right,this.viewBottom=this.tmprect.bottom)};b.prototype.drawGL=function(a){var b=this.runtime.draw_width,e=this.runtime.draw_height,c=0,k=0;if(this.render_offscreen=this.forceOwnTexture||
1!==this.opacity||0<this.active_effect_types.length||0!==this.blend_mode){this.runtime.layer_tex||(this.runtime.layer_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling));if(this.runtime.layer_tex.c2width!==this.runtime.draw_width||this.runtime.layer_tex.c2height!==this.runtime.draw_height)a.deleteTexture(this.runtime.layer_tex),this.runtime.layer_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling);
a.setRenderingToTexture(this.runtime.layer_tex);this.transparent&&a.clear(0,0,0,0)}this.transparent||a.clear(this.background_color[0]/255,this.background_color[1]/255,this.background_color[2]/255,1);this.disableAngle=!0;var k=this.canvasToLayer(0,0,!0,!0),g=this.canvasToLayer(0,0,!1,!0);this.disableAngle=!1;this.runtime.pixel_rounding&&(k=k+0.5|0,g=g+0.5|0);this.rotateViewport(k,g,null);g=this.getScale();a.resetModelView();a.scale(g,g);a.rotateZ(-this.getAngle());a.translate((this.viewLeft+this.viewRight)/
-2,(this.viewTop+this.viewBottom)/-2);a.updateModelView();var f,d,q;f=0;for(d=this.instances.length;f<d;f++)if(q=this.instances[f],q.visible&&0!==q.width&&0!==q.height&&(q.update_bbox(),c=q.bbox,!(c.right<this.viewLeft||c.bottom<this.viewTop||c.left>this.viewRight||c.top>this.viewBottom)))if(q.uses_shaders)if(c=q.active_effect_types[0].shaderindex,k=q.active_effect_types[0].index,1!==q.active_effect_types.length||a.programUsesCrossSampling(c)||a.programExtendsBox(c)||(q.angle||q.layer.getAngle())&&
a.programUsesDest(c)||1!==q.opacity||q.type.plugin.must_predraw)this.layout.renderEffectChain(a,this,q,this.render_offscreen?this.runtime.layer_tex:this.layout.getRenderTarget()),a.resetModelView(),a.scale(g,g),a.rotateZ(-this.getAngle()),a.translate((this.viewLeft+this.viewRight)/-2,(this.viewTop+this.viewBottom)/-2),a.updateModelView();else{a.switchProgram(c);a.setBlend(q.srcBlend,q.destBlend);a.programIsAnimated(c)&&(this.runtime.redraw=!0);var r=0,s=0,x=0,z=0;a.programUsesDest(c)&&(c=q.bbox,r=
this.layerToCanvas(c.left,c.top,!0,!0),s=this.layerToCanvas(c.left,c.top,!1,!0),x=this.layerToCanvas(c.right,c.bottom,!0,!0),c=this.layerToCanvas(c.right,c.bottom,!1,!0),r/=b,s=1-s/e,x/=b,z=1-c/e);a.setProgramParameters(this.render_offscreen?this.runtime.layer_tex:this.layout.getRenderTarget(),1/q.width,1/q.height,r,s,x,z,this.getScale(),this.getAngle(),this.viewLeft,this.viewTop,q.effect_params[k]);q.drawGL(a)}else a.switchProgram(0),a.setBlend(q.srcBlend,q.destBlend),q.drawGL(a);this.render_offscreen&&
(c=this.active_effect_types.length?this.active_effect_types[0].shaderindex:0,k=this.active_effect_types.length?this.active_effect_types[0].index:0,0===this.active_effect_types.length||1===this.active_effect_types.length&&!a.programUsesCrossSampling(c)&&1===this.opacity?(1===this.active_effect_types.length?(a.switchProgram(c),a.setProgramParameters(this.layout.getRenderTarget(),1/this.runtime.draw_width,1/this.runtime.draw_height,0,0,1,1,this.getScale(),this.getAngle(),this.viewLeft,this.viewTop,this.effect_params[k]),
a.programIsAnimated(c)&&(this.runtime.redraw=!0)):a.switchProgram(0),a.setRenderingToTexture(this.layout.getRenderTarget()),a.setOpacity(this.opacity),a.setTexture(this.runtime.layer_tex),a.setBlend(this.srcBlend,this.destBlend),a.resetModelView(),a.updateModelView(),b=this.runtime.draw_width/2,e=this.runtime.draw_height/2,a.quad(-b,e,b,e,b,-e,-b,-e),a.setTexture(null)):this.layout.renderEffectChain(a,this,null,this.layout.getRenderTarget()))};b.prototype.canvasToLayer=function(a,b,e,c){var k=this.runtime.devicePixelRatio;
this.runtime.isRetina&&(a*=k,b*=k);var k=this.runtime.parallax_x_origin,g=this.runtime.parallax_y_origin,k=(this.layout.scrollX-k)*this.parallaxX+k,g=(this.layout.scrollY-g)*this.parallaxY+g,f=1/this.getScale(!c);c?(k-=this.runtime.draw_width*f/2,g-=this.runtime.draw_height*f/2):(k-=this.runtime.width*f/2,g-=this.runtime.height*f/2);k+=a*f;g+=b*f;b=this.getAngle();0!==b&&(k-=this.layout.scrollX,g-=this.layout.scrollY,a=Math.cos(b),b=Math.sin(b),c=k*a-g*b,g=g*a+k*b,k=c+this.layout.scrollX,g+=this.layout.scrollY);
return e?k:g};b.prototype.layerToCanvas=function(a,b,e,c){var k=this.getAngle();if(0!==k){a-=this.layout.scrollX;b-=this.layout.scrollY;var g=Math.cos(-k),k=Math.sin(-k),f=a*g-b*k;b=b*g+a*k;a=f+this.layout.scrollX;b+=this.layout.scrollY}g=this.runtime.parallax_x_origin;k=this.runtime.parallax_y_origin;g=(this.layout.scrollX-g)*this.parallaxX+g;k=(this.layout.scrollY-k)*this.parallaxY+k;f=1/this.getScale(!c);c?(g-=this.runtime.draw_width*f/2,k-=this.runtime.draw_height*f/2):(g-=this.runtime.width*
f/2,k-=this.runtime.height*f/2);g=(a-g)/f;k=(b-k)/f;a=this.runtime.devicePixelRatio;this.runtime.isRetina&&!c&&(g/=a,k/=a);return e?g:k};b.prototype.rotatePt=function(a,b,e){if(0===this.getAngle())return e?a:b;var c=this.layerToCanvas(a,b,!0);b=this.layerToCanvas(a,b,!1);this.disableAngle=!0;a=this.canvasToLayer(c,b,!0);c=this.canvasToLayer(c,b,!0);this.disableAngle=!1;return e?a:c};b.prototype.saveToJSON=function(){var a,b,e,c={s:this.scale,a:this.angle,vl:this.viewLeft,vt:this.viewTop,vr:this.viewRight,
vb:this.viewBottom,v:this.visible,bc:this.background_color,t:this.transparent,px:this.parallaxX,py:this.parallaxY,o:this.opacity,zr:this.zoomRate,fx:[],instances:[]};a=0;for(b=this.effect_types.length;a<b;a++)e=this.effect_types[a],c.fx.push({name:e.name,active:e.active,params:this.effect_params[e.index]});return c};b.prototype.loadFromJSON=function(a){var b,k;this.scale=a.s;this.angle=a.a;this.viewLeft=a.vl;this.viewTop=a.vt;this.viewRight=a.vr;this.viewBottom=a.vb;this.visible=a.v;this.background_color=
a.bc;this.transparent=a.t;this.parallaxX=a.px;this.parallaxY=a.py;this.opacity=a.o;this.zoomRate=a.zr;var c=a.fx;a=0;for(b=c.length;a<b;a++)if(k=this.getEffectByName(c[a].name))k.active=c[a].active,this.effect_params[k.index]=c[a].params;this.updateActiveEffects();this.instances.sort(e);this.zindices_stale=!0};cr.layer=b})();
(function(){function a(a,d){var c,b=a.length;switch(b){case 0:return!0;case 1:return a[0]===d[0];case 2:return a[0]===d[0]&&a[1]===d[1];default:for(c=0;c<b;c++)if(a[c]!==d[c])return!1;return!0}}function b(a,d){return a.index-d.index}function e(d){var c,f,g,l;2===d.length?d[0].index>d[1].index&&(c=d[0],d[0]=d[1],d[1]=c):2<d.length&&d.sort(b);d.length>=r.length&&(r.length=d.length+1);r[d.length]||(r[d.length]=[]);l=r[d.length];c=0;for(f=l.length;c<f;c++)if(g=l[c],a(d,g))return g;l.push(d);return d}
function k(a,d){this.runtime=a;this.triggers={};this.fasttriggers={};this.hasRun=!1;this.includes=new cr.ObjectSet;this.deep_includes=[];this.already_included_sheets=[];this.name=d[0];var c=d[1];this.events=[];var b,l;b=0;for(l=c.length;b<l;b++)this.init_event(c[b],null,this.events)}function h(a){this.type=a;this.instances=[];this.else_instances=[];this.select_all=!0}function m(a,d,c){this.sheet=a;this.parent=d;this.runtime=a.runtime;this.solModifiers=[];this.solModifiersIncludingParents=[];this.has_else_block=
this.toplevelgroup=this.toplevelevent=this.initially_activated=this.group=this.solWriterAfterCnds=!1;this.conditions=[];this.actions=[];this.subevents=[];this.group_name="";this.group_active=this.initially_activated=this.group=!1;this.contained_includes=null;c[1]&&(this.group_name=c[1][1].toLowerCase(),this.group=!0,this.initially_activated=!!c[1][0],this.contained_includes=[],this.group_active=this.initially_activated,this.runtime.allGroups.push(this),this.runtime.groups_by_name[this.group_name]=
this);this.orblock=c[2];this.sid=c[4];this.group||(this.runtime.blocksBySid[this.sid.toString()]=this);var b=c[5];a=0;for(d=b.length;a<d;a++){var l=new cr.condition(this,b[a]);l.index=a;cr.seal(l);this.conditions.push(l);this.addSolModifier(l.type)}b=c[6];a=0;for(d=b.length;a<d;a++)l=new cr.action(this,b[a]),l.index=a,cr.seal(l),this.actions.push(l);if(8===c.length)for(c=c[7],a=0,d=c.length;a<d;a++)this.sheet.init_event(c[a],this,this.subevents);this.is_else_block=!1;this.conditions.length&&(this.is_else_block=
null==this.conditions[0].type&&this.conditions[0].func==cr.system_object.prototype.cnds.Else)}function n(a,d){var c,b,l;if(a&&(-1===d.indexOf(a)&&d.push(a),a.is_contained))for(c=0,b=a.container.length;c<b;c++)l=a.container[c],a!==l&&-1===d.indexOf(l)&&d.push(l)}function c(a,d){this.block=a;this.sheet=a.sheet;this.runtime=a.runtime;this.parameters=[];this.results=[];this.extra={};this.index=-1;this.anyParamVariesPerInstance=!1;this.func=d[1];this.trigger=0<d[3];this.fasttrigger=2===d[3];this.looping=
d[4];this.inverted=d[5];this.isstatic=d[6];this.sid=d[7];this.runtime.cndsBySid[this.sid.toString()]=this;-1===d[0]?(this.type=null,this.run=this.run_system,this.behaviortype=null,this.beh_index=-1):(this.type=this.runtime.types_by_index[d[0]],this.run=this.isstatic?this.run_static:this.run_object,d[2]?(this.behaviortype=this.type.getBehaviorByName(d[2]),this.beh_index=this.type.getBehaviorIndexByName(d[2])):(this.behaviortype=null,this.beh_index=-1),this.block.parent&&this.block.parent.setSolWriterAfterCnds());
this.fasttrigger&&(this.run=this.run_true);if(10===d.length){var c,b,l=d[9];c=0;for(b=l.length;c<b;c++){var f=new cr.parameter(this,l[c]);cr.seal(f);this.parameters.push(f)}this.results.length=l.length}}function p(a,d){this.block=a;this.sheet=a.sheet;this.runtime=a.runtime;this.parameters=[];this.results=[];this.extra={};this.index=-1;this.anyParamVariesPerInstance=!1;this.func=d[1];-1===d[0]?(this.type=null,this.run=this.run_system,this.behaviortype=null,this.beh_index=-1):(this.type=this.runtime.types_by_index[d[0]],
this.run=this.run_object,d[2]?(this.behaviortype=this.type.getBehaviorByName(d[2]),this.beh_index=this.type.getBehaviorIndexByName(d[2])):(this.behaviortype=null,this.beh_index=-1));this.sid=d[3];this.runtime.actsBySid[this.sid.toString()]=this;if(6===d.length){var c,b,l=d[5];c=0;for(b=l.length;c<b;c++){var f=new cr.parameter(this,l[c]);cr.seal(f);this.parameters.push(f)}this.results.length=l.length}}function g(a,d){this.owner=a;this.block=a.block;this.sheet=a.sheet;this.runtime=a.runtime;this.type=
d[0];this.expression=null;this.solindex=0;this.get=null;this.combosel=0;this.layout=null;this.key=0;this.object=null;this.index=0;this.variadicret=this.subparams=this.variadicret=this.subparams=this.fileinfo=this.eventvar=this.varname=null;this.variesPerInstance=!1;var c,b,l;switch(d[0]){case 0:case 7:this.expression=new cr.expNode(this,d[1]);this.solindex=0;this.get=this.get_exp;break;case 1:this.expression=new cr.expNode(this,d[1]);this.solindex=0;this.get=this.get_exp_str;break;case 5:this.expression=
new cr.expNode(this,d[1]);this.solindex=0;this.get=this.get_layer;break;case 3:case 8:this.combosel=d[1];this.get=this.get_combosel;break;case 6:this.layout=this.runtime.layouts[d[1]];this.get=this.get_layout;break;case 9:this.key=d[1];this.get=this.get_key;break;case 4:this.object=this.runtime.types_by_index[d[1]];this.get=this.get_object;this.block.addSolModifier(this.object);this.owner instanceof cr.action?this.block.setSolWriterAfterCnds():this.block.parent&&this.block.parent.setSolWriterAfterCnds();
break;case 10:this.index=d[1];a.type.is_family?(this.get=this.get_familyvar,this.variesPerInstance=!0):this.get=this.get_instvar;break;case 11:this.varname=d[1];this.eventvar=null;this.get=this.get_eventvar;break;case 2:case 12:this.fileinfo=d[1];this.get=this.get_audiofile;break;case 13:for(this.get=this.get_variadic,this.subparams=[],this.variadicret=[],c=1,b=d.length;c<b;c++)l=new cr.parameter(this.owner,d[c]),cr.seal(l),this.subparams.push(l),this.variadicret.push(0)}}function f(a,d,c){this.sheet=
a;this.parent=d;this.runtime=a.runtime;this.solModifiers=[];this.name=c[1];this.vartype=c[2];this.initial=c[3];this.is_static=!!c[4];this.is_constant=!!c[5];this.sid=c[6];this.runtime.varsBySid[this.sid.toString()]=this;this.data=this.initial;this.parent?(this.localIndex=this.is_static||this.is_constant?-1:this.runtime.stackLocalCount++,this.runtime.all_local_vars.push(this)):(this.localIndex=-1,this.runtime.all_global_vars.push(this))}function d(a,d,c){this.sheet=a;this.parent=d;this.runtime=a.runtime;
this.solModifiers=[];this.include_sheet=null;this.include_sheet_name=c[1];this.active=!0}function q(){this.temp_parents_arr=[];this.reset(null);cr.seal(this)}var r=[];k.prototype.toString=function(){return this.name};k.prototype.init_event=function(a,d,c){switch(a[0]){case 0:a=new cr.eventblock(this,d,a);cr.seal(a);if(a.orblock)for(c.push(a),c=0,d=a.conditions.length;c<d;c++)a.conditions[c].trigger&&this.init_trigger(a,c);else a.is_trigger()?this.init_trigger(a,0):c.push(a);break;case 1:a=new cr.eventvariable(this,
d,a);cr.seal(a);c.push(a);break;case 2:a=new cr.eventinclude(this,d,a),cr.seal(a),c.push(a)}};k.prototype.postInit=function(){var a,d;a=0;for(d=this.events.length;a<d;a++)this.events[a].postInit(a<d-1&&this.events[a+1].is_else_block)};k.prototype.updateDeepIncludes=function(){this.deep_includes.length=0;this.already_included_sheets.length=0;this.addDeepIncludes(this);this.already_included_sheets.length=0};k.prototype.addDeepIncludes=function(a){var d,c,b,l,f=a.deep_includes,g=a.already_included_sheets,
e=this.includes.valuesRef();d=0;for(c=e.length;d<c;++d)b=e[d],l=b.include_sheet,!b.isActive()||a===l||-1<g.indexOf(l)||(g.push(l),l.addDeepIncludes(a),f.push(l))};k.prototype.run=function(a){this.runtime.resuming_breakpoint||(this.hasRun=!0,a||(this.runtime.isRunningEvents=!0));var d,c;d=0;for(c=this.events.length;d<c;d++){var b=this.events[d];b.run();this.runtime.clearSol(b.solModifiers);this.runtime.deathRow.isEmpty()&&!this.runtime.createRow.length||this.runtime.ClearDeathRow()}a||(this.runtime.isRunningEvents=
!1)};k.prototype.init_trigger=function(a,d){a.orblock||this.runtime.triggers_to_postinit.push(a);var c,b,l=a.conditions[d],f;f=l.type?l.type.name:"system";var g=(c=l.fasttrigger)?this.fasttriggers:this.triggers;g[f]||(g[f]=[]);f=g[f];g=l.func;if(c){if(l.parameters.length&&(l=l.parameters[0],1===l.type&&2===l.expression.type)){l=l.expression.value.toLowerCase();c=0;for(b=f.length;c<b;c++)if(f[c].method==g){c=f[c].evs;c[l]?c[l].push([a,d]):c[l]=[[a,d]];return}c={};c[l]=[[a,d]];f.push({method:g,evs:c})}}else{c=
0;for(b=f.length;c<b;c++)if(f[c].method==g){f[c].evs.push([a,d]);return}l=cr.plugins_.Sprite&&g===cr.plugins_.Sprite.prototype.cnds.OnFrameChanged?!0:!1;l?f.unshift({method:g,evs:[[a,d]]}):f.push({method:g,evs:[[a,d]]})}};cr.eventsheet=k;h.prototype.hasObjects=function(){return this.select_all?this.type.instances.length:this.instances.length};h.prototype.getObjects=function(){return this.select_all?this.type.instances:this.instances};h.prototype.pick_one=function(a){a&&(a.runtime.getCurrentEventStack().current_event.orblock?
(this.select_all&&(this.instances.length=0,cr.shallowAssignArray(this.else_instances,a.type.instances),this.select_all=!1),a=this.else_instances.indexOf(a),-1!==a&&(this.instances.push(this.else_instances[a]),this.else_instances.splice(a,1))):(this.select_all=!1,this.instances.length=1,this.instances[0]=a))};cr.selection=h;window._c2hh_="2CB0FC228CED31A04553643400D1CBEDB0718555";m.prototype.postInit=function(a){var d,c=this.parent;if(this.group)for(this.toplevelgroup=!0;c;){if(!c.group){this.toplevelgroup=
!1;break}c=c.parent}this.toplevelevent=!this.is_trigger()&&(!this.parent||this.parent.group&&this.parent.toplevelgroup);this.has_else_block=!!a;this.solModifiersIncludingParents=this.solModifiers.slice(0);for(c=this.parent;c;){a=0;for(d=c.solModifiers.length;a<d;a++)this.addParentSolModifier(c.solModifiers[a]);c=c.parent}this.solModifiers=e(this.solModifiers);this.solModifiersIncludingParents=e(this.solModifiersIncludingParents);a=0;for(d=this.conditions.length;a<d;a++)this.conditions[a].postInit();
a=0;for(d=this.actions.length;a<d;a++)this.actions[a].postInit();a=0;for(d=this.subevents.length;a<d;a++)this.subevents[a].postInit(a<d-1&&this.subevents[a+1].is_else_block)};m.prototype.setGroupActive=function(a){if(this.group_active!==!!a){this.group_active=!!a;var d;a=0;for(d=this.contained_includes.length;a<d;++a)this.contained_includes[a].updateActive();0<d&&this.runtime.running_layout.event_sheet&&this.runtime.running_layout.event_sheet.updateDeepIncludes()}};m.prototype.addSolModifier=function(a){n(a,
this.solModifiers)};m.prototype.addParentSolModifier=function(a){n(a,this.solModifiersIncludingParents)};m.prototype.setSolWriterAfterCnds=function(){this.solWriterAfterCnds=!0;this.parent&&this.parent.setSolWriterAfterCnds()};m.prototype.is_trigger=function(){return this.conditions.length?this.conditions[0].trigger:!1};m.prototype.run=function(){var a,d=!1,c,b=this.runtime,l=this.runtime.getCurrentEventStack();l.current_event=this;var f=this.conditions;this.is_else_block||(l.else_branch_ran=!1);
if(this.orblock){0===f.length&&(d=!0);l.cndindex=0;for(a=f.length;l.cndindex<a;l.cndindex++)f[l.cndindex].trigger||(c=f[l.cndindex].run())&&(d=!0);(l.last_event_true=d)&&this.run_actions_and_subevents()}else{l.cndindex=0;for(a=f.length;l.cndindex<a;l.cndindex++)if(c=f[l.cndindex].run(),!c){l.last_event_true=!1;!this.toplevelevent||b.deathRow.isEmpty()&&!b.createRow.length||b.ClearDeathRow();return}l.last_event_true=!0;this.run_actions_and_subevents()}this.end_run(l)};m.prototype.end_run=function(a){a.last_event_true&&
this.has_else_block&&(a.else_branch_ran=!0);!this.toplevelevent||this.runtime.deathRow.isEmpty()&&!this.runtime.createRow.length||this.runtime.ClearDeathRow()};m.prototype.run_orblocktrigger=function(a){this.runtime.getCurrentEventStack().current_event=this;this.conditions[a].run()&&(this.run_actions_and_subevents(),this.runtime.getCurrentEventStack().last_event_true=!0)};m.prototype.run_actions_and_subevents=function(){var a=this.runtime.getCurrentEventStack(),d;a.actindex=0;for(d=this.actions.length;a.actindex<
d;a.actindex++)if(this.actions[a.actindex].run())return;this.run_subevents()};m.prototype.resume_actions_and_subevents=function(){var a=this.runtime.getCurrentEventStack(),d;for(d=this.actions.length;a.actindex<d;a.actindex++)if(this.actions[a.actindex].run())return;this.run_subevents()};m.prototype.run_subevents=function(){if(this.subevents.length){var a,d,c,b,l=this.subevents.length-1;this.runtime.pushEventStack(this);if(this.solWriterAfterCnds)for(a=0,d=this.subevents.length;a<d;a++)c=this.subevents[a],
(b=!this.toplevelgroup||!this.group&&a<l)&&this.runtime.pushCopySol(c.solModifiers),c.run(),b?this.runtime.popSol(c.solModifiers):this.runtime.clearSol(c.solModifiers);else for(a=0,d=this.subevents.length;a<d;a++)this.subevents[a].run();this.runtime.popEventStack()}};m.prototype.run_pretrigger=function(){var a=this.runtime.getCurrentEventStack();a.current_event=this;var d=!1,c;a.cndindex=0;for(c=this.conditions.length;a.cndindex<c;a.cndindex++)if(this.conditions[a.cndindex].run())d=!0;else if(!this.orblock)return!1;
return this.orblock?d:!0};m.prototype.retrigger=function(){this.runtime.execcount++;var a=this.runtime.getCurrentEventStack().cndindex,d=this.runtime.pushEventStack(this);if(!this.orblock)for(d.cndindex=a+1,a=this.conditions.length;d.cndindex<a;d.cndindex++)if(!this.conditions[d.cndindex].run())return this.runtime.popEventStack(),!1;this.run_actions_and_subevents();this.runtime.popEventStack();return!0};m.prototype.isFirstConditionOfType=function(a){var d=a.index;if(0===d)return!0;for(--d;0<=d;--d)if(this.conditions[d].type===
a.type)return!1;return!0};cr.eventblock=m;c.prototype.postInit=function(){var a,d,c;a=0;for(d=this.parameters.length;a<d;a++)c=this.parameters[a],c.postInit(),c.variesPerInstance&&(this.anyParamVariesPerInstance=!0)};c.prototype.run_true=function(){return!0};c.prototype.run_system=function(){var a,d;a=0;for(d=this.parameters.length;a<d;a++)this.results[a]=this.parameters[a].get();return cr.xor(this.func.apply(this.runtime.system,this.results),this.inverted)};c.prototype.run_static=function(){var a,
d;a=0;for(d=this.parameters.length;a<d;a++)this.results[a]=this.parameters[a].get();a=this.func.apply(this.behaviortype?this.behaviortype:this.type,this.results);this.type.applySolToContainer();return a};c.prototype.run_object=function(){var a,d,c,b,l,f,g,e,k=this.type,q=k.getCurrentSol(),h=this.block.orblock&&!this.trigger;d=0;var p=k.is_contained,r=k.is_family,m=k.family_index,n=this.beh_index,s=-1<n,x=this.anyParamVariesPerInstance,K=this.parameters,S=this.results,L=this.inverted,D=this.func,O;
if(x)for(d=0,l=K.length;d<l;++d)f=K[d],f.variesPerInstance||(S[d]=f.get(0));else for(d=0,l=K.length;d<l;++d)S[d]=K[d].get(0);if(q.select_all){q.instances.length=0;q.else_instances.length=0;O=k.instances;a=0;for(b=O.length;a<b;++a){e=O[a];if(x)for(d=0,l=K.length;d<l;++d)f=K[d],f.variesPerInstance&&(S[d]=f.get(a));s?(d=0,r&&(d=e.type.family_beh_map[m]),d=D.apply(e.behavior_insts[n+d],S)):d=D.apply(e,S);(g=cr.xor(d,L))?q.instances.push(e):h&&q.else_instances.push(e)}k.finish&&k.finish(!0);q.select_all=
!1;k.applySolToContainer();return q.hasObjects()}c=0;O=(g=h&&!this.block.isFirstConditionOfType(this))?q.else_instances:q.instances;var U=!1;a=0;for(b=O.length;a<b;++a){e=O[a];if(x)for(d=0,l=K.length;d<l;++d)f=K[d],f.variesPerInstance&&(S[d]=f.get(a));s?(d=0,r&&(d=e.type.family_beh_map[m]),d=D.apply(e.behavior_insts[n+d],S)):d=D.apply(e,S);if(cr.xor(d,L))if(U=!0,g){if(q.instances.push(e),p)for(d=0,l=e.siblings.length;d<l;d++)f=e.siblings[d],f.type.getCurrentSol().instances.push(f)}else{O[c]=e;if(p)for(d=
0,l=e.siblings.length;d<l;d++)f=e.siblings[d],f.type.getCurrentSol().instances[c]=f;c++}else if(g){O[c]=e;if(p)for(d=0,l=e.siblings.length;d<l;d++)f=e.siblings[d],f.type.getCurrentSol().else_instances[c]=f;c++}else if(h&&(q.else_instances.push(e),p))for(d=0,l=e.siblings.length;d<l;d++)f=e.siblings[d],f.type.getCurrentSol().else_instances.push(f)}O.length=c;if(p)for(r=k.container,a=0,b=r.length;a<b;a++)e=r[a].getCurrentSol(),g?e.else_instances.length=c:e.instances.length=c;c=U;if(g&&!U)for(a=0,b=q.instances.length;a<
b;a++){e=q.instances[a];if(x)for(d=0,l=K.length;d<l;d++)f=K[d],f.variesPerInstance&&(S[d]=f.get(a));d=s?D.apply(e.behavior_insts[n],S):D.apply(e,S);if(cr.xor(d,L)){U=!0;break}}k.finish&&k.finish(c||h);return h?U:q.hasObjects()};cr.condition=c;p.prototype.postInit=function(){var a,d,c;a=0;for(d=this.parameters.length;a<d;a++)c=this.parameters[a],c.postInit(),c.variesPerInstance&&(this.anyParamVariesPerInstance=!0)};p.prototype.run_system=function(){var a,d;a=0;for(d=this.parameters.length;a<d;a++)this.results[a]=
this.parameters[a].get();return this.func.apply(this.runtime.system,this.results)};p.prototype.run_object=function(){var a=this.type.getCurrentSol().getObjects(),d=this.type.is_family,c=this.type.family_index,b=this.beh_index,f=-1<b,g=this.anyParamVariesPerInstance,e=this.parameters,k=this.results,q=this.func,h,p,r,m,n,s;if(g)for(p=0,m=e.length;p<m;++p)n=e[p],n.variesPerInstance||(k[p]=n.get(0));else for(p=0,m=e.length;p<m;++p)k[p]=e[p].get(0);h=0;for(r=a.length;h<r;++h){s=a[h];if(g)for(p=0,m=e.length;p<
m;++p)n=e[p],n.variesPerInstance&&(k[p]=n.get(h));f?(p=0,d&&(p=s.type.family_beh_map[c]),q.apply(s.behavior_insts[b+p],k)):q.apply(s,k)}return!1};cr.action=p;var s=[],x=-1;g.prototype.postInit=function(){var a,d;if(11===this.type)this.eventvar=this.runtime.getEventVariableByName(this.varname,this.block.parent);else if(13===this.type)for(a=0,d=this.subparams.length;a<d;a++)this.subparams[a].postInit();this.expression&&this.expression.postInit()};g.prototype.maybeVaryForType=function(a){this.variesPerInstance||
!a||a.plugin.singleglobal||(this.variesPerInstance=!0)};g.prototype.setVaries=function(){this.variesPerInstance=!0};g.prototype.pushTempValue=function(){x++;s.length===x&&s.push(new cr.expvalue);return s[x]};g.prototype.popTempValue=function(){x--};g.prototype.get_exp=function(a){this.solindex=a||0;a=this.pushTempValue();this.expression.get(a);this.popTempValue();return a.data};g.prototype.get_exp_str=function(a){this.solindex=a||0;a=this.pushTempValue();this.expression.get(a);this.popTempValue();
return cr.is_string(a.data)?a.data:""};g.prototype.get_object=function(){return this.object};g.prototype.get_combosel=function(){return this.combosel};g.prototype.get_layer=function(a){this.solindex=a||0;a=this.pushTempValue();this.expression.get(a);this.popTempValue();return a.is_number()?this.runtime.getLayerByNumber(a.data):this.runtime.getLayerByName(a.data)};g.prototype.get_layout=function(){return this.layout};g.prototype.get_key=function(){return this.key};g.prototype.get_instvar=function(){return this.index};
g.prototype.get_familyvar=function(a){a=a||0;var d=this.owner.type,c=null,c=d.getCurrentSol(),b=c.getObjects();if(b.length)c=b[a%b.length].type;else if(c.else_instances.length)c=c.else_instances[a%c.else_instances.length].type;else if(d.instances.length)c=d.instances[a%d.instances.length].type;else return 0;return this.index+c.family_var_map[d.family_index]};g.prototype.get_eventvar=function(){return this.eventvar};g.prototype.get_audiofile=function(){return this.fileinfo};g.prototype.get_variadic=
function(){var a,d;a=0;for(d=this.subparams.length;a<d;a++)this.variadicret[a]=this.subparams[a].get();return this.variadicret};cr.parameter=g;f.prototype.postInit=function(){this.solModifiers=e(this.solModifiers)};f.prototype.setValue=function(a){var d=this.runtime.getCurrentLocalVarStack();this.parent&&!this.is_static&&d?(this.localIndex>=d.length&&(d.length=this.localIndex+1),d[this.localIndex]=a):this.data=a};f.prototype.getValue=function(){var a=this.runtime.getCurrentLocalVarStack();return!this.parent||
this.is_static||!a||this.is_constant?this.data:this.localIndex>=a.length||"undefined"===typeof a[this.localIndex]?this.initial:a[this.localIndex]};f.prototype.run=function(){!this.parent||this.is_static||this.is_constant||this.setValue(this.initial)};cr.eventvariable=f;d.prototype.toString=function(){return"include:"+this.include_sheet.toString()};d.prototype.postInit=function(){this.include_sheet=this.runtime.eventsheets[this.include_sheet_name];this.sheet.includes.add(this);this.solModifiers=e(this.solModifiers);
for(var a=this.parent;a;)a.group&&a.contained_includes.push(this),a=a.parent;this.updateActive()};d.prototype.run=function(){this.parent&&this.runtime.pushCleanSol(this.runtime.types_by_index);this.include_sheet.hasRun||this.include_sheet.run(!0);this.parent&&this.runtime.popSol(this.runtime.types_by_index)};d.prototype.updateActive=function(){for(var a=this.parent;a;){if(a.group&&!a.group_active){this.active=!1;return}a=a.parent}this.active=!0};d.prototype.isActive=function(){return this.active};
cr.eventinclude=d;q.prototype.reset=function(a){this.current_event=a;this.actindex=this.cndindex=0;this.temp_parents_arr.length=0;this.any_true_state=this.else_branch_ran=this.last_event_true=!1};q.prototype.isModifierAfterCnds=function(){return this.current_event.solWriterAfterCnds?!0:this.cndindex<this.current_event.conditions.length-1?!!this.current_event.solModifiers.length:!1};cr.eventStackFrame=q})();
(function(){function a(a,b){this.owner=a;this.runtime=a.runtime;this.type=b[0];this.get=[this.eval_int,this.eval_float,this.eval_string,this.eval_unaryminus,this.eval_add,this.eval_subtract,this.eval_multiply,this.eval_divide,this.eval_mod,this.eval_power,this.eval_and,this.eval_or,this.eval_equal,this.eval_notequal,this.eval_less,this.eval_lessequal,this.eval_greater,this.eval_greaterequal,this.eval_conditional,this.eval_system_exp,this.eval_object_behavior_exp,this.eval_instvar_exp,this.eval_object_behavior_exp,
this.eval_eventvar_exp][this.type];var h=null;this.object_type=this.parameters=this.results=this.func=this.third=this.second=this.first=this.value=null;this.beh_index=-1;this.instance_expr=null;this.varindex=-1;this.eventvar=this.varname=this.behavior_type=null;this.return_string=!1;switch(this.type){case 0:case 1:case 2:this.value=b[1];break;case 3:this.first=new cr.expNode(a,b[1]);break;case 18:this.first=new cr.expNode(a,b[1]);this.second=new cr.expNode(a,b[2]);this.third=new cr.expNode(a,b[3]);
break;case 19:this.func=b[1];this.func!==cr.system_object.prototype.exps.random&&this.func!==cr.system_object.prototype.exps.choose||this.owner.setVaries();this.results=[];this.parameters=[];3===b.length?(h=b[2],this.results.length=h.length+1):this.results.length=1;break;case 20:this.object_type=this.runtime.types_by_index[b[1]];this.beh_index=-1;this.func=b[2];this.return_string=b[3];cr.plugins_.Function&&this.func===cr.plugins_.Function.prototype.exps.Call&&this.owner.setVaries();this.instance_expr=
b[4]?new cr.expNode(a,b[4]):null;this.results=[];this.parameters=[];6===b.length?(h=b[5],this.results.length=h.length+1):this.results.length=1;break;case 21:this.object_type=this.runtime.types_by_index[b[1]];this.return_string=b[2];this.instance_expr=b[3]?new cr.expNode(a,b[3]):null;this.varindex=b[4];break;case 22:this.object_type=this.runtime.types_by_index[b[1]];this.behavior_type=this.object_type.getBehaviorByName(b[2]);this.beh_index=this.object_type.getBehaviorIndexByName(b[2]);this.func=b[3];
this.return_string=b[4];this.instance_expr=b[5]?new cr.expNode(a,b[5]):null;this.results=[];this.parameters=[];7===b.length?(h=b[6],this.results.length=h.length+1):this.results.length=1;break;case 23:this.varname=b[1],this.eventvar=null}this.owner.maybeVaryForType(this.object_type);4<=this.type&&17>=this.type&&(this.first=new cr.expNode(a,b[1]),this.second=new cr.expNode(a,b[2]));if(h){var m,n;m=0;for(n=h.length;m<n;m++)this.parameters.push(new cr.expNode(a,h[m]))}cr.seal(this)}function b(a,b){this.type=
a||cr.exptype.Integer;this.data=b||0;this.object_class=null;this.type==cr.exptype.Integer&&(this.data=Math.floor(this.data));cr.seal(this)}a.prototype.postInit=function(){23===this.type&&(this.eventvar=this.owner.runtime.getEventVariableByName(this.varname,this.owner.block.parent));this.first&&this.first.postInit();this.second&&this.second.postInit();this.third&&this.third.postInit();this.instance_expr&&this.instance_expr.postInit();if(this.parameters){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.parameters[a].postInit()}};
a.prototype.eval_system_exp=function(a){this.results[0]=a;a=this.owner.pushTempValue();var b,h;b=0;for(h=this.parameters.length;b<h;b++)this.parameters[b].get(a),this.results[b+1]=a.data;this.owner.popTempValue();this.func.apply(this.runtime.system,this.results)};a.prototype.eval_object_behavior_exp=function(a){var b=this.object_type.getCurrentSol(),h=b.getObjects();if(!h.length)if(b.else_instances.length)h=b.else_instances;else{this.return_string?a.set_string(""):a.set_int(0);return}this.results[0]=
a;a.object_class=this.object_type;a=this.owner.pushTempValue();var m,b=0;for(m=this.parameters.length;b<m;b++)this.parameters[b].get(a),this.results[b+1]=a.data;b=this.owner.solindex;this.instance_expr&&(this.instance_expr.get(a),a.is_number()&&(b=a.data,h=this.object_type.instances));this.owner.popTempValue();b%=h.length;0>b&&(b+=h.length);h=h[b];-1<this.beh_index?(a=0,this.object_type.is_family&&(a=h.type.family_beh_map[this.object_type.family_index]),this.func.apply(h.behavior_insts[this.beh_index+
a],this.results)):this.func.apply(h,this.results)};a.prototype.eval_instvar_exp=function(a){var b=this.object_type.getCurrentSol(),h=b.getObjects();if(!h.length)if(b.else_instances.length)h=b.else_instances;else{this.return_string?a.set_string(""):a.set_int(0);return}b=this.owner.solindex;if(this.instance_expr){var m=this.owner.pushTempValue();this.instance_expr.get(m);if(m.is_number()){b=m.data;h=this.object_type.instances;b%=h.length;0>b&&(b+=h.length);h=h[b].instance_vars[this.varindex];cr.is_string(h)?
a.set_string(h):a.set_float(h);this.owner.popTempValue();return}this.owner.popTempValue()}b%=h.length;0>b&&(b+=h.length);h=h[b];b=0;this.object_type.is_family&&(b=h.type.family_var_map[this.object_type.family_index]);h=h.instance_vars[this.varindex+b];cr.is_string(h)?a.set_string(h):a.set_float(h)};a.prototype.eval_int=function(a){a.type=cr.exptype.Integer;a.data=this.value};a.prototype.eval_float=function(a){a.type=cr.exptype.Float;a.data=this.value};a.prototype.eval_string=function(a){a.type=cr.exptype.String;
a.data=this.value};a.prototype.eval_unaryminus=function(a){this.first.get(a);a.is_number()&&(a.data=-a.data)};a.prototype.eval_add=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data+=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_subtract=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data-=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};
a.prototype.eval_multiply=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data*=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_divide=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data/=b.data,a.make_float());this.owner.popTempValue()};a.prototype.eval_mod=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);
a.is_number()&&b.is_number()&&(a.data%=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_power=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data=Math.pow(a.data,b.data),b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_and=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()?b.is_string()?a.set_string(a.data.toString()+b.data):a.data&&
b.data?a.set_int(1):a.set_int(0):a.is_string()&&(b.is_string()?a.data+=b.data:a.data+=(Math.round(1E10*b.data)/1E10).toString());this.owner.popTempValue()};a.prototype.eval_or=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data||b.data?a.set_int(1):a.set_int(0));this.owner.popTempValue()};a.prototype.eval_conditional=function(a){this.first.get(a);a.data?this.second.get(a):this.third.get(a)};a.prototype.eval_equal=function(a){this.first.get(a);
var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data===b.data?1:0);this.owner.popTempValue()};a.prototype.eval_notequal=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data!==b.data?1:0);this.owner.popTempValue()};a.prototype.eval_less=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data<b.data?1:0);this.owner.popTempValue()};a.prototype.eval_lessequal=function(a){this.first.get(a);var b=this.owner.pushTempValue();
this.second.get(b);a.set_int(a.data<=b.data?1:0);this.owner.popTempValue()};a.prototype.eval_greater=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data>b.data?1:0);this.owner.popTempValue()};a.prototype.eval_greaterequal=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data>=b.data?1:0);this.owner.popTempValue()};a.prototype.eval_eventvar_exp=function(a){var b=this.eventvar.getValue();cr.is_number(b)?a.set_float(b):
a.set_string(b)};cr.expNode=a;b.prototype.is_int=function(){return this.type===cr.exptype.Integer};b.prototype.is_float=function(){return this.type===cr.exptype.Float};b.prototype.is_number=function(){return this.type===cr.exptype.Integer||this.type===cr.exptype.Float};b.prototype.is_string=function(){return this.type===cr.exptype.String};b.prototype.make_int=function(){this.is_int()||(this.is_float()?this.data=Math.floor(this.data):this.is_string()&&(this.data=parseInt(this.data,10)),this.type=cr.exptype.Integer)};
b.prototype.make_float=function(){this.is_float()||(this.is_string()&&(this.data=parseFloat(this.data)),this.type=cr.exptype.Float)};b.prototype.make_string=function(){this.is_string()||(this.data=this.data.toString(),this.type=cr.exptype.String)};b.prototype.set_int=function(a){this.type=cr.exptype.Integer;this.data=Math.floor(a)};b.prototype.set_float=function(a){this.type=cr.exptype.Float;this.data=a};b.prototype.set_string=function(a){this.type=cr.exptype.String;this.data=a};b.prototype.set_any=
function(a){cr.is_number(a)?(this.type=cr.exptype.Float,this.data=a):cr.is_string(a)?(this.type=cr.exptype.String,this.data=a.toString()):(this.type=cr.exptype.Integer,this.data=0)};cr.expvalue=b;cr.exptype={Integer:0,Float:1,String:2}})();cr.system_object=function(a){this.runtime=a;this.waits=[]};
cr.system_object.prototype.saveToJSON=function(){var a={},b,e,k,h,m,n,c,p;a.waits=[];var g=a.waits,f;b=0;for(e=this.waits.length;b<e;b++){n=this.waits[b];f={t:n.time,ev:n.ev.sid,sm:[],sols:{}};n.ev.actions[n.actindex]&&(f.act=n.ev.actions[n.actindex].sid);k=0;for(h=n.solModifiers.length;k<h;k++)f.sm.push(n.solModifiers[k].sid);for(m in n.sols)if(n.sols.hasOwnProperty(m)){c=this.runtime.types_by_index[parseInt(m,10)];p={sa:n.sols[m].sa,insts:[]};k=0;for(h=n.sols[m].insts.length;k<h;k++)p.insts.push(n.sols[m].insts[k].uid);
f.sols[c.sid.toString()]=p}g.push(f)}return a};
cr.system_object.prototype.loadFromJSON=function(a){a=a.waits;var b,e,k,h,m,n,c,p,g,f,d;b=this.waits.length=0;for(e=a.length;b<e;b++)if(n=a[b],p=this.runtime.blocksBySid[n.ev.toString()]){g=-1;k=0;for(h=p.actions.length;k<h;k++)if(p.actions[k].sid===n.act){g=k;break}if(-1!==g){c={sols:{},solModifiers:[],deleteme:!1};c.time=n.t;c.ev=p;c.actindex=g;k=0;for(h=n.sm.length;k<h;k++)(p=this.runtime.getObjectTypeBySid(n.sm[k]))&&c.solModifiers.push(p);for(m in n.sols)if(n.sols.hasOwnProperty(m)&&(p=this.runtime.getObjectTypeBySid(parseInt(m,
10)))){g=n.sols[m];f={sa:g.sa,insts:[]};k=0;for(h=g.insts.length;k<h;k++)(d=this.runtime.getObjectByUID(g.insts[k]))&&f.insts.push(d);c.sols[p.index.toString()]=f}this.waits.push(c)}}};
(function(){function a(){}function b(a,d){var c=a.extra.c2_foreachordered_val,b=d.extra.c2_foreachordered_val;if(cr.is_number(c)&&cr.is_number(b))return c-b;c=""+c;b=""+b;return c<b?-1:c>b?1:0}function e(a,c){g&&a===f&&c===d||(g=RegExp(a,c),f=a,d=c);g.lastIndex=0;return g}function k(){}function h(){}function m(a,d,c){if(a!==z||d!==y||c!==v){var b=e(d,c);x=a.match(b);z=a;y=d;v=c}}var n=cr.system_object.prototype;a.prototype.EveryTick=function(){return!0};a.prototype.OnLayoutStart=function(){return!0};
a.prototype.OnLayoutEnd=function(){return!0};a.prototype.Compare=function(a,d,c){return cr.do_cmp(a,d,c)};a.prototype.CompareTime=function(a,d){var c=this.runtime.kahanTime.sum;if(0===a){var b=this.runtime.getCurrentCondition();return!b.extra.CompareTime_executed&&c>=d?b.extra.CompareTime_executed=!0:!1}return cr.do_cmp(c,a,d)};a.prototype.LayerVisible=function(a){return a?a.visible:!1};a.prototype.LayerCmpOpacity=function(a,d,c){return a?cr.do_cmp(100*a.opacity,d,c):!1};a.prototype.Repeat=function(a){var d=
this.runtime.getCurrentEventStack(),c=d.current_event,b=d.isModifierAfterCnds(),d=this.runtime.pushLoopStack();if(b)for(b=0;b<a&&!d.stopped;b++)this.runtime.pushCopySol(c.solModifiers),d.index=b,c.retrigger(),this.runtime.popSol(c.solModifiers);else for(b=0;b<a&&!d.stopped;b++)d.index=b,c.retrigger();this.runtime.popLoopStack();return!1};a.prototype.While=function(a){var d=this.runtime.getCurrentEventStack();a=d.current_event;var c=d.isModifierAfterCnds(),d=this.runtime.pushLoopStack();if(c)for(c=
0;!d.stopped;c++)this.runtime.pushCopySol(a.solModifiers),d.index=c,a.retrigger()||(d.stopped=!0),this.runtime.popSol(a.solModifiers);else for(c=0;!d.stopped;c++)d.index=c,a.retrigger()||(d.stopped=!0);this.runtime.popLoopStack();return!1};a.prototype.For=function(a,d,c){var b=this.runtime.getCurrentEventStack(),f=b.current_event,b=b.isModifierAfterCnds();a=this.runtime.pushLoopStack(a);if(c<d)if(b)for(;d>=c&&!a.stopped;--d)this.runtime.pushCopySol(f.solModifiers),a.index=d,f.retrigger(),this.runtime.popSol(f.solModifiers);
else for(;d>=c&&!a.stopped;--d)a.index=d,f.retrigger();else if(b)for(;d<=c&&!a.stopped;++d)this.runtime.pushCopySol(f.solModifiers),a.index=d,f.retrigger(),this.runtime.popSol(f.solModifiers);else for(;d<=c&&!a.stopped;++d)a.index=d,f.retrigger();this.runtime.popLoopStack();return!1};var c=[],p=-1;a.prototype.ForEach=function(a){var d=a.getCurrentSol();p++;c.length===p&&c.push([]);var b=c[p];cr.shallowAssignArray(b,d.getObjects());var f=this.runtime.getCurrentEventStack(),g=f.current_event,e=f.isModifierAfterCnds(),
f=this.runtime.pushLoopStack(),q,h,k,r,m,n,s=a.is_contained;if(e)for(e=0,q=b.length;e<q&&!f.stopped;e++){this.runtime.pushCopySol(g.solModifiers);r=b[e];d=a.getCurrentSol();d.select_all=!1;d.instances.length=1;d.instances[0]=r;if(s)for(h=0,k=r.siblings.length;h<k;h++)m=r.siblings[h],n=m.type.getCurrentSol(),n.select_all=!1,n.instances.length=1,n.instances[0]=m;f.index=e;g.retrigger();this.runtime.popSol(g.solModifiers)}else for(d.select_all=!1,d.instances.length=1,e=0,q=b.length;e<q&&!f.stopped;e++){r=
b[e];d.instances[0]=r;if(s)for(h=0,k=r.siblings.length;h<k;h++)m=r.siblings[h],n=m.type.getCurrentSol(),n.select_all=!1,n.instances.length=1,n.instances[0]=m;f.index=e;g.retrigger()}b.length=0;this.runtime.popLoopStack();p--;return!1};a.prototype.ForEachOrdered=function(a,d,f){d=a.getCurrentSol();p++;c.length===p&&c.push([]);var g=c[p];cr.shallowAssignArray(g,d.getObjects());var e=this.runtime.getCurrentEventStack(),q=e.current_event,h=this.runtime.getCurrentCondition(),k=e.isModifierAfterCnds(),
e=this.runtime.pushLoopStack(),r,m,n,s,x;r=0;for(m=g.length;r<m;r++)g[r].extra.c2_foreachordered_val=h.parameters[1].get(r);g.sort(b);1===f&&g.reverse();f=a.is_contained;if(k)for(r=0,m=g.length;r<m&&!e.stopped;r++){this.runtime.pushCopySol(q.solModifiers);n=g[r];d=a.getCurrentSol();d.select_all=!1;d.instances.length=1;d.instances[0]=n;if(f)for(h=0,k=n.siblings.length;h<k;h++)s=n.siblings[h],x=s.type.getCurrentSol(),x.select_all=!1,x.instances.length=1,x.instances[0]=s;e.index=r;q.retrigger();this.runtime.popSol(q.solModifiers)}else for(d.select_all=
!1,d.instances.length=1,r=0,m=g.length;r<m&&!e.stopped;r++){n=g[r];d.instances[0]=n;if(f)for(h=0,k=n.siblings.length;h<k;h++)s=n.siblings[h],x=s.type.getCurrentSol(),x.select_all=!1,x.instances.length=1,x.instances[0]=s;e.index=r;q.retrigger()}g.length=0;this.runtime.popLoopStack();p--;return!1};a.prototype.PickByComparison=function(a,d,b,f){var g,e,q,h;if(a){p++;c.length===p&&c.push([]);var k=c[p],r=a.getCurrentSol();cr.shallowAssignArray(k,r.getObjects());r.select_all&&(r.else_instances.length=
0);var m=this.runtime.getCurrentCondition();q=g=0;for(e=k.length;g<e;g++)h=k[g],k[q]=h,d=m.parameters[1].get(g),f=m.parameters[3].get(g),cr.do_cmp(d,b,f)?q++:r.else_instances.push(h);k.length=q;r.select_all=!1;cr.shallowAssignArray(r.instances,k);k.length=0;p--;a.applySolToContainer();return!!r.instances.length}};a.prototype.PickByEvaluate=function(a,d){var b,f,g,e;if(a){p++;c.length===p&&c.push([]);var q=c[p],h=a.getCurrentSol();cr.shallowAssignArray(q,h.getObjects());h.select_all&&(h.else_instances.length=
0);var k=this.runtime.getCurrentCondition();g=b=0;for(f=q.length;b<f;b++)e=q[b],q[g]=e,(d=k.parameters[1].get(b))?g++:h.else_instances.push(e);q.length=g;h.select_all=!1;cr.shallowAssignArray(h.instances,q);q.length=0;p--;a.applySolToContainer();return!!h.instances.length}};a.prototype.TriggerOnce=function(){var a=this.runtime.getCurrentCondition().extra;"undefined"===typeof a.TriggerOnce_lastTick&&(a.TriggerOnce_lastTick=-1);var d=a.TriggerOnce_lastTick,c=this.runtime.tickcount;a.TriggerOnce_lastTick=
c;return this.runtime.layout_first_tick||d!==c-1};a.prototype.Every=function(a){var d=this.runtime.getCurrentCondition(),c=d.extra.Every_lastTime||0,b=this.runtime.kahanTime.sum;"undefined"===typeof d.extra.Every_seconds&&(d.extra.Every_seconds=a);var f=d.extra.Every_seconds;if(b>=c+f)return d.extra.Every_lastTime=c+f,b>=d.extra.Every_lastTime+0.04&&(d.extra.Every_lastTime=b),d.extra.Every_seconds=a,!0;b<c-0.1&&(d.extra.Every_lastTime=b);return!1};a.prototype.PickNth=function(a,d){if(!a)return!1;
var c=a.getCurrentSol(),b=c.getObjects();d=cr.floor(d);if(0>d||d>=b.length)return!1;c.pick_one(b[d]);a.applySolToContainer();return!0};a.prototype.PickRandom=function(a){if(!a)return!1;var d=a.getCurrentSol(),c=d.getObjects(),b=cr.floor(Math.random()*c.length);if(b>=c.length)return!1;d.pick_one(c[b]);a.applySolToContainer();return!0};a.prototype.CompareVar=function(a,d,c){return cr.do_cmp(a.getValue(),d,c)};a.prototype.IsGroupActive=function(a){return(a=this.runtime.groups_by_name[a.toLowerCase()])&&
a.group_active};a.prototype.IsPreview=function(){return"undefined"!==typeof cr_is_preview};a.prototype.PickAll=function(a){if(!a||!a.instances.length)return!1;a.getCurrentSol().select_all=!0;a.applySolToContainer();return!0};a.prototype.IsMobile=function(){return this.runtime.isMobile};a.prototype.CompareBetween=function(a,d,c){return a>=d&&a<=c};a.prototype.Else=function(){var a=this.runtime.getCurrentEventStack();return a.else_branch_ran?!1:!a.last_event_true};a.prototype.OnLoadFinished=function(){return!0};
a.prototype.OnCanvasSnapshot=function(){return!0};a.prototype.EffectsSupported=function(){return!!this.runtime.glwrap};a.prototype.OnSaveComplete=function(){return!0};a.prototype.OnLoadComplete=function(){return!0};a.prototype.OnLoadFailed=function(){return!0};a.prototype.ObjectUIDExists=function(a){return!!this.runtime.getObjectByUID(a)};a.prototype.IsOnPlatform=function(a){var d=this.runtime;switch(a){case 0:return!d.isDomFree&&!d.isNodeWebkit&&!d.isPhoneGap&&!d.isCrosswalk&&!d.isWinJS&&!d.isWindowsPhone8&&
!d.isBlackberry10&&!d.isAmazonWebApp;case 1:return d.isiOS;case 2:return d.isAndroid;case 3:return d.isWindows8App;case 4:return d.isWindowsPhone8;case 5:return d.isBlackberry10;case 6:return d.isTizen;case 7:return d.isCocoonJs;case 8:return d.isPhoneGap;case 9:return d.isArcade;case 10:return d.isNodeWebkit;case 11:return d.isCrosswalk;case 12:return d.isAmazonWebApp;default:return!1}};var g=null,f="",d="";a.prototype.RegexTest=function(a,d,c){return e(d,c).test(a)};var q=[];a.prototype.PickOverlappingPoint=
function(a,d,c){if(!a)return!1;var b=a.getCurrentSol(),f=b.getObjects(),g=this.runtime.getCurrentEventStack().current_event.orblock,e=this.runtime.getCurrentCondition(),h,k;b.select_all?(cr.shallowAssignArray(q,f),b.else_instances.length=0,b.select_all=!1,b.instances.length=0):g?(cr.shallowAssignArray(q,b.else_instances),b.else_instances.length=0):(cr.shallowAssignArray(q,f),b.instances.length=0);f=0;for(g=q.length;f<g;++f)h=q[f],h.update_bbox(),(k=cr.xor(h.contains_pt(d,c),e.inverted))?b.instances.push(h):
b.else_instances.push(h);a.applySolToContainer();return cr.xor(!!b.instances.length,e.inverted)};n.cnds=new a;k.prototype.GoToLayout=function(a){this.runtime.isloading||this.runtime.changelayout||(this.runtime.changelayout=a)};k.prototype.CreateObject=function(a,d,c,b){if(d&&a&&(d=this.runtime.createInstance(a,d,c,b))){this.runtime.isInOnDestroy++;var f;this.runtime.trigger(Object.getPrototypeOf(a.plugin).cnds.OnCreated,d);if(d.is_contained)for(c=0,b=d.siblings.length;c<b;c++)f=d.siblings[c],this.runtime.trigger(Object.getPrototypeOf(f.type.plugin).cnds.OnCreated,
f);this.runtime.isInOnDestroy--;a=a.getCurrentSol();a.select_all=!1;a.instances.length=1;a.instances[0]=d;if(d.is_contained)for(c=0,b=d.siblings.length;c<b;c++)f=d.siblings[c],a=f.type.getCurrentSol(),a.select_all=!1,a.instances.length=1,a.instances[0]=f}};k.prototype.SetLayerVisible=function(a,d){a&&a.visible!==d&&(a.visible=d,this.runtime.redraw=!0)};k.prototype.SetLayerOpacity=function(a,d){a&&(d=cr.clamp(d/100,0,1),a.opacity!==d&&(a.opacity=d,this.runtime.redraw=!0))};k.prototype.SetLayerScaleRate=
function(a,d){a&&a.zoomRate!==d&&(a.zoomRate=d,this.runtime.redraw=!0)};k.prototype.SetLayoutScale=function(a){this.runtime.running_layout&&this.runtime.running_layout.scale!==a&&(this.runtime.running_layout.scale=a,this.runtime.running_layout.boundScrolling(),this.runtime.redraw=!0)};k.prototype.ScrollX=function(a){this.runtime.running_layout.scrollToX(a)};k.prototype.ScrollY=function(a){this.runtime.running_layout.scrollToY(a)};k.prototype.Scroll=function(a,d){this.runtime.running_layout.scrollToX(a);
this.runtime.running_layout.scrollToY(d)};k.prototype.ScrollToObject=function(a){if(a=a.getFirstPicked())this.runtime.running_layout.scrollToX(a.x),this.runtime.running_layout.scrollToY(a.y)};k.prototype.SetVar=function(a,d){0===a.vartype?cr.is_number(d)?a.setValue(d):a.setValue(parseFloat(d)):1===a.vartype&&a.setValue(d.toString())};k.prototype.AddVar=function(a,d){0===a.vartype?cr.is_number(d)?a.setValue(a.getValue()+d):a.setValue(a.getValue()+parseFloat(d)):1===a.vartype&&a.setValue(a.getValue()+
d.toString())};k.prototype.SubVar=function(a,d){0===a.vartype&&(cr.is_number(d)?a.setValue(a.getValue()-d):a.setValue(a.getValue()-parseFloat(d)))};k.prototype.SetGroupActive=function(a,d){var c=this.runtime.groups_by_name[a.toLowerCase()];if(c)switch(d){case 0:c.setGroupActive(!1);break;case 1:c.setGroupActive(!0);break;case 2:c.setGroupActive(!c.group_active)}};k.prototype.SetTimescale=function(a){0>a&&(a=0);this.runtime.timescale=a};k.prototype.SetObjectTimescale=function(a,d){var c=d;0>c&&(c=
0);if(a){var b=a.getCurrentSol().getObjects(),f,g;f=0;for(g=b.length;f<g;f++)b[f].my_timescale=c}};k.prototype.RestoreObjectTimescale=function(a){if(!a)return!1;a=a.getCurrentSol().getObjects();var d,c;d=0;for(c=a.length;d<c;d++)a[d].my_timescale=-1};var r=[],s=[];k.prototype.Wait=function(a){if(!(0>a)){var d,c,b,f=this.runtime.getCurrentEventStack(),g;g=r.length?r.pop():{sols:{},solModifiers:[]};g.deleteme=!1;g.time=this.runtime.kahanTime.sum+a;g.ev=f.current_event;g.actindex=f.actindex+1;a=0;for(d=
this.runtime.types_by_index.length;a<d;a++)b=this.runtime.types_by_index[a],c=b.getCurrentSol(),c.select_all&&-1===f.current_event.solModifiers.indexOf(b)||(g.solModifiers.push(b),b=void 0,b=s.length?s.pop():{insts:[]},b.sa=!1,b.sa=c.select_all,cr.shallowAssignArray(b.insts,c.instances),g.sols[a.toString()]=b);this.waits.push(g);return!0}};k.prototype.SetLayerScale=function(a,d){a&&a.scale!==d&&(a.scale=d,this.runtime.redraw=!0)};k.prototype.ResetGlobals=function(){var a,d,c;a=0;for(d=this.runtime.all_global_vars.length;a<
d;a++)c=this.runtime.all_global_vars[a],c.data=c.initial};k.prototype.SetLayoutAngle=function(a){a=cr.to_radians(a);a=cr.clamp_angle(a);this.runtime.running_layout&&this.runtime.running_layout.angle!==a&&(this.runtime.running_layout.angle=a,this.runtime.redraw=!0)};k.prototype.SetLayerAngle=function(a,d){a&&(d=cr.to_radians(d),d=cr.clamp_angle(d),a.angle!==d&&(a.angle=d,this.runtime.redraw=!0))};k.prototype.SetLayerParallax=function(a,d,c){if(a&&(a.parallaxX!==d/100||a.parallaxY!==c/100)){a.parallaxX=
d/100;a.parallaxY=c/100;if(1!==a.parallaxX||1!==a.parallaxY)for(c=a.instances,a=0,d=c.length;a<d;++a)c[a].type.any_instance_parallaxed=!0;this.runtime.redraw=!0}};k.prototype.SetLayerBackground=function(a,d){if(a){var c=cr.GetRValue(d),b=cr.GetGValue(d),f=cr.GetBValue(d);if(a.background_color[0]!==c||a.background_color[1]!==b||a.background_color[2]!==f)a.background_color[0]=c,a.background_color[1]=b,a.background_color[2]=f,this.runtime.redraw=!0}};k.prototype.SetLayerTransparent=function(a,d){a&&
!!d!==!!a.transparent&&(a.transparent=!!d,this.runtime.redraw=!0)};k.prototype.StopLoop=function(){0>this.runtime.loop_stack_index||(this.runtime.getCurrentLoop().stopped=!0)};k.prototype.GoToLayoutByName=function(a){if(!this.runtime.isloading&&!this.runtime.changelayout)for(var d in this.runtime.layouts)if(this.runtime.layouts.hasOwnProperty(d)&&cr.equals_nocase(d,a)){this.runtime.changelayout=this.runtime.layouts[d];break}};k.prototype.RestartLayout=function(a){if(!this.runtime.isloading&&!this.runtime.changelayout&&
this.runtime.running_layout){this.runtime.changelayout=this.runtime.running_layout;var d,c;a=0;for(d=this.runtime.allGroups.length;a<d;a++)c=this.runtime.allGroups[a],c.setGroupActive(c.initially_activated)}};k.prototype.SnapshotCanvas=function(a,d){this.runtime.snapshotCanvas=[0===a?"image/png":"image/jpeg",d/100];this.runtime.redraw=!0};k.prototype.SetCanvasSize=function(a,d){if(!(0>=a||0>=d)){var c=this.runtime.fullscreen_mode;(document.mozFullScreen||document.webkitIsFullScreen||document.msFullscreenElement||
document.fullScreen||this.runtime.isNodeFullscreen)&&0<this.runtime.fullscreen_scaling&&(c=this.runtime.fullscreen_scaling);0===c?this.runtime.setSize(a,d,!0):(this.runtime.original_width=a,this.runtime.original_height=d,this.runtime.setSize(this.runtime.lastWindowWidth,this.runtime.lastWindowHeight,!0))}};k.prototype.SetLayoutEffectEnabled=function(a,d){if(this.runtime.running_layout&&this.runtime.glwrap){var c=this.runtime.running_layout.getEffectByName(d);if(c){var b=1===a;c.active!=b&&(c.active=
b,this.runtime.running_layout.updateActiveEffects(),this.runtime.redraw=!0)}}};k.prototype.SetLayerEffectEnabled=function(a,d,c){a&&this.runtime.glwrap&&(c=a.getEffectByName(c))&&(d=1===d,c.active!=d&&(c.active=d,a.updateActiveEffects(),this.runtime.redraw=!0))};k.prototype.SetLayoutEffectParam=function(a,d,c){if(this.runtime.running_layout&&this.runtime.glwrap&&(a=this.runtime.running_layout.getEffectByName(a))){var b=this.runtime.running_layout.effect_params[a.index];d=Math.floor(d);0>d||d>=b.length||
(1===this.runtime.glwrap.getProgramParameterType(a.shaderindex,d)&&(c/=100),b[d]!==c&&(b[d]=c,a.active&&(this.runtime.redraw=!0)))}};k.prototype.SetLayerEffectParam=function(a,d,c,b){a&&this.runtime.glwrap&&(d=a.getEffectByName(d))&&(a=a.effect_params[d.index],c=Math.floor(c),0>c||c>=a.length||(1===this.runtime.glwrap.getProgramParameterType(d.shaderindex,c)&&(b/=100),a[c]!==b&&(a[c]=b,d.active&&(this.runtime.redraw=!0))))};k.prototype.SaveState=function(a){this.runtime.saveToSlot=a};k.prototype.LoadState=
function(a){this.runtime.loadFromSlot=a};k.prototype.LoadStateJSON=function(a){this.runtime.loadFromJson=a};k.prototype.SetHalfFramerateMode=function(a){this.runtime.halfFramerateMode=0!==a};k.prototype.SetFullscreenQuality=function(a){if(document.mozFullScreen||document.webkitIsFullScreen||document.msFullscreenElement||document.fullScreen||this.isNodeFullscreen||0!==this.runtime.fullscreen_mode)this.runtime.wantFullscreenScalingQuality=0!==a,this.runtime.setSize(this.runtime.lastWindowWidth,this.runtime.lastWindowHeight,
!0)};n.acts=new k;h.prototype["int"]=function(a,d){cr.is_string(d)?(a.set_int(parseInt(d,10)),isNaN(a.data)&&(a.data=0)):a.set_int(d)};h.prototype["float"]=function(a,d){cr.is_string(d)?(a.set_float(parseFloat(d)),isNaN(a.data)&&(a.data=0)):a.set_float(d)};h.prototype.str=function(a,d){cr.is_string(d)?a.set_string(d):a.set_string(d.toString())};h.prototype.len=function(a,d){a.set_int(d.length||0)};h.prototype.random=function(a,d,c){void 0===c?a.set_float(Math.random()*d):a.set_float(Math.random()*
(c-d)+d)};h.prototype.sqrt=function(a,d){a.set_float(Math.sqrt(d))};h.prototype.abs=function(a,d){a.set_float(Math.abs(d))};h.prototype.round=function(a,d){a.set_int(Math.round(d))};h.prototype.floor=function(a,d){a.set_int(Math.floor(d))};h.prototype.ceil=function(a,d){a.set_int(Math.ceil(d))};h.prototype.sin=function(a,d){a.set_float(Math.sin(cr.to_radians(d)))};h.prototype.cos=function(a,d){a.set_float(Math.cos(cr.to_radians(d)))};h.prototype.tan=function(a,d){a.set_float(Math.tan(cr.to_radians(d)))};
h.prototype.asin=function(a,d){a.set_float(cr.to_degrees(Math.asin(d)))};h.prototype.acos=function(a,d){a.set_float(cr.to_degrees(Math.acos(d)))};h.prototype.atan=function(a,d){a.set_float(cr.to_degrees(Math.atan(d)))};h.prototype.exp=function(a,d){a.set_float(Math.exp(d))};h.prototype.ln=function(a,d){a.set_float(Math.log(d))};h.prototype.log10=function(a,d){a.set_float(Math.log(d)/Math.LN10)};h.prototype.max=function(a){var d=arguments[1],c,b;c=2;for(b=arguments.length;c<b;c++)d<arguments[c]&&(d=
arguments[c]);a.set_float(d)};h.prototype.min=function(a){var d=arguments[1],c,b;c=2;for(b=arguments.length;c<b;c++)d>arguments[c]&&(d=arguments[c]);a.set_float(d)};h.prototype.dt=function(a){a.set_float(this.runtime.dt)};h.prototype.timescale=function(a){a.set_float(this.runtime.timescale)};h.prototype.wallclocktime=function(a){a.set_float((Date.now()-this.runtime.start_time)/1E3)};h.prototype.time=function(a){a.set_float(this.runtime.kahanTime.sum)};h.prototype.tickcount=function(a){a.set_int(this.runtime.tickcount)};
h.prototype.objectcount=function(a){a.set_int(this.runtime.objectcount)};h.prototype.fps=function(a){a.set_int(this.runtime.fps)};h.prototype.loopindex=function(a,d){var c,b,f;if(this.runtime.loop_stack.length)if(d){b=0;for(f=this.runtime.loop_stack.length;b<f;b++)if(c=this.runtime.loop_stack[b],c.name===d){a.set_int(c.index);return}a.set_int(0)}else c=this.runtime.getCurrentLoop(),a.set_int(c?c.index:-1);else a.set_int(0)};h.prototype.distance=function(a,d,c,b,f){a.set_float(cr.distanceTo(d,c,b,
f))};h.prototype.angle=function(a,d,c,b,f){a.set_float(cr.to_degrees(cr.angleTo(d,c,b,f)))};h.prototype.scrollx=function(a){a.set_float(this.runtime.running_layout.scrollX)};h.prototype.scrolly=function(a){a.set_float(this.runtime.running_layout.scrollY)};h.prototype.newline=function(a){a.set_string("\n")};h.prototype.lerp=function(a,d,c,b){a.set_float(cr.lerp(d,c,b))};h.prototype.qarp=function(a,d,c,b,f){a.set_float(cr.qarp(d,c,b,f))};h.prototype.cubic=function(a,d,c,b,f,g){a.set_float(cr.cubic(d,
c,b,f,g))};h.prototype.cosp=function(a,d,c,b){a.set_float(cr.cosp(d,c,b))};h.prototype.windowwidth=function(a){a.set_int(this.runtime.width)};h.prototype.windowheight=function(a){a.set_int(this.runtime.height)};h.prototype.uppercase=function(a,d){a.set_string(cr.is_string(d)?d.toUpperCase():"")};h.prototype.lowercase=function(a,d){a.set_string(cr.is_string(d)?d.toLowerCase():"")};h.prototype.clamp=function(a,d,c,b){d<c?a.set_float(c):d>b?a.set_float(b):a.set_float(d)};h.prototype.layerscale=function(a,
d){var c=this.runtime.getLayer(d);c?a.set_float(c.scale):a.set_float(0)};h.prototype.layeropacity=function(a,d){var c=this.runtime.getLayer(d);c?a.set_float(100*c.opacity):a.set_float(0)};h.prototype.layerscalerate=function(a,d){var c=this.runtime.getLayer(d);c?a.set_float(c.zoomRate):a.set_float(0)};h.prototype.layerparallaxx=function(a,d){var c=this.runtime.getLayer(d);c?a.set_float(100*c.parallaxX):a.set_float(0)};h.prototype.layerparallaxy=function(a,d){var c=this.runtime.getLayer(d);c?a.set_float(100*
c.parallaxY):a.set_float(0)};h.prototype.layoutscale=function(a){this.runtime.running_layout?a.set_float(this.runtime.running_layout.scale):a.set_float(0)};h.prototype.layoutangle=function(a){a.set_float(cr.to_degrees(this.runtime.running_layout.angle))};h.prototype.layerangle=function(a,d){var c=this.runtime.getLayer(d);c?a.set_float(cr.to_degrees(c.angle)):a.set_float(0)};h.prototype.layoutwidth=function(a){a.set_int(this.runtime.running_layout.width)};h.prototype.layoutheight=function(a){a.set_int(this.runtime.running_layout.height)};
h.prototype.find=function(a,d,c){cr.is_string(d)&&cr.is_string(c)?a.set_int(d.search(RegExp(cr.regexp_escape(c),"i"))):a.set_int(-1)};h.prototype.left=function(a,d,c){a.set_string(cr.is_string(d)?d.substr(0,c):"")};h.prototype.right=function(a,d,c){a.set_string(cr.is_string(d)?d.substr(d.length-c):"")};h.prototype.mid=function(a,d,c,b){a.set_string(cr.is_string(d)?d.substr(c,b):"")};h.prototype.tokenat=function(a,d,c,b){cr.is_string(d)&&cr.is_string(b)?(d=d.split(b),c=cr.floor(c),0>c||c>=d.length?
a.set_string(""):a.set_string(d[c])):a.set_string("")};h.prototype.tokencount=function(a,d,c){cr.is_string(d)&&d.length?a.set_int(d.split(c).length):a.set_int(0)};h.prototype.replace=function(a,d,c,b){cr.is_string(d)&&cr.is_string(c)&&cr.is_string(b)?a.set_string(d.replace(RegExp(cr.regexp_escape(c),"gi"),b)):a.set_string(cr.is_string(d)?d:"")};h.prototype.trim=function(a,d){a.set_string(cr.is_string(d)?d.trim():"")};h.prototype.pi=function(a){a.set_float(cr.PI)};h.prototype.layoutname=function(a){this.runtime.running_layout?
a.set_string(this.runtime.running_layout.name):a.set_string("")};h.prototype.renderer=function(a){a.set_string(this.runtime.gl?"webgl":"canvas2d")};h.prototype.anglediff=function(a,d,c){a.set_float(cr.to_degrees(cr.angleDiff(cr.to_radians(d),cr.to_radians(c))))};h.prototype.choose=function(a){var d=cr.floor(Math.random()*(arguments.length-1));a.set_any(arguments[d+1])};h.prototype.rgb=function(a,d,c,b){a.set_int(cr.RGB(d,c,b))};h.prototype.projectversion=function(a){a.set_string(this.runtime.versionstr)};
h.prototype.anglelerp=function(a,d,c,b){d=cr.to_radians(d);c=cr.to_radians(c);var f=cr.angleDiff(d,c);cr.angleClockwise(c,d)?a.set_float(cr.to_clamped_degrees(d+f*b)):a.set_float(cr.to_clamped_degrees(d-f*b))};h.prototype.anglerotate=function(a,d,c,b){d=cr.to_radians(d);c=cr.to_radians(c);b=cr.to_radians(b);a.set_float(cr.to_clamped_degrees(cr.angleRotate(d,c,b)))};h.prototype.zeropad=function(a,d,c){var b=0>d?"-":"";0>d&&(d=-d);c-=d.toString().length;for(var f=0;f<c;f++)b+="0";a.set_string(b+d.toString())};
h.prototype.cpuutilisation=function(a){a.set_float(this.runtime.cpuutilisation/1E3)};h.prototype.viewportleft=function(a,d){var c=this.runtime.getLayer(d);a.set_float(c?c.viewLeft:0)};h.prototype.viewporttop=function(a,d){var c=this.runtime.getLayer(d);a.set_float(c?c.viewTop:0)};h.prototype.viewportright=function(a,d){var c=this.runtime.getLayer(d);a.set_float(c?c.viewRight:0)};h.prototype.viewportbottom=function(a,d){var c=this.runtime.getLayer(d);a.set_float(c?c.viewBottom:0)};h.prototype.loadingprogress=
function(a){a.set_float(this.runtime.loadingprogress)};h.prototype.unlerp=function(a,d,c,b){a.set_float(cr.unlerp(d,c,b))};h.prototype.canvassnapshot=function(a){a.set_string(this.runtime.snapshotData)};h.prototype.urlencode=function(a,d){a.set_string(encodeURIComponent(d))};h.prototype.urldecode=function(a,d){a.set_string(decodeURIComponent(d))};h.prototype.canvastolayerx=function(a,d,c,b){d=this.runtime.getLayer(d);a.set_float(d?d.canvasToLayer(c,b,!0):0)};h.prototype.canvastolayery=function(a,
d,c,b){d=this.runtime.getLayer(d);a.set_float(d?d.canvasToLayer(c,b,!1):0)};h.prototype.layertocanvasx=function(a,d,c,b){d=this.runtime.getLayer(d);a.set_float(d?d.layerToCanvas(c,b,!0):0)};h.prototype.layertocanvasy=function(a,d,c,b){d=this.runtime.getLayer(d);a.set_float(d?d.layerToCanvas(c,b,!1):0)};h.prototype.savestatejson=function(a){a.set_string(this.runtime.lastSaveJson)};h.prototype.imagememoryusage=function(a){this.runtime.glwrap?a.set_float(Math.round(100*this.runtime.glwrap.estimateVRAM()/
1048576)/100):a.set_float(0)};h.prototype.regexsearch=function(a,d,c,b){c=e(c,b);a.set_int(d?d.search(c):-1)};h.prototype.regexreplace=function(a,d,c,b,f){c=e(c,b);a.set_string(d?d.replace(c,f):"")};var x=[],z="",y="",v="";h.prototype.regexmatchcount=function(a,d,c,b){e(c,b);m(d,c,b);a.set_int(x?x.length:0)};h.prototype.regexmatchat=function(a,d,c,b,f){f=Math.floor(f);e(c,b);m(d,c,b);!x||0>f||f>=x.length?a.set_string(""):a.set_string(x[f])};h.prototype.infinity=function(a){a.set_float(Infinity)};
h.prototype.setbit=function(a,d,c,b){c|=0;a.set_int((d|0)&~(1<<c)|(0!==b?1:0)<<c)};h.prototype.togglebit=function(a,d,c){a.set_int((d|0)^1<<(c|0))};h.prototype.getbit=function(a,d,c){a.set_int((d|0)&1<<(c|0)?1:0)};n.exps=new h;n.runWaits=function(){var a,d,c,b,f,g,e=this.runtime.getCurrentEventStack();a=0;for(c=this.waits.length;a<c;a++)if(b=this.waits[a],!(b.time>this.runtime.kahanTime.sum)){e.current_event=b.ev;e.actindex=b.actindex;e.cndindex=0;for(d in b.sols)b.sols.hasOwnProperty(d)&&(f=this.runtime.types_by_index[parseInt(d,
10)].getCurrentSol(),g=b.sols[d],f.select_all=g.sa,cr.shallowAssignArray(f.instances,g.insts),f=g,f.insts.length=0,s.push(f));b.ev.resume_actions_and_subevents();this.runtime.clearSol(b.solModifiers);b.deleteme=!0}d=a=0;for(c=this.waits.length;a<c;a++)b=this.waits[a],this.waits[d]=b,b.deleteme?(cr.wipe(b.sols),b.solModifiers.length=0,r.push(b)):d++;this.waits.length=d}})();
(function(){cr.add_common_aces=function(a){var e=a[0].prototype,k=a[1],h=a[3],m=a[4],n=a[5],c=a[6],p=a[7];a=a[8];e.cnds||(e.cnds={});e.acts||(e.acts={});e.exps||(e.exps={});var g=e.cnds,f=e.acts,e=e.exps;h&&(g.CompareX=function(a,c){return cr.do_cmp(this.x,a,c)},g.CompareY=function(a,c){return cr.do_cmp(this.y,a,c)},g.IsOnScreen=function(){var a=this.layer;this.update_bbox();var c=this.bbox;return!(c.right<a.viewLeft||c.bottom<a.viewTop||c.left>a.viewRight||c.top>a.viewBottom)},g.IsOutsideLayout=
function(){this.update_bbox();var a=this.bbox,c=this.runtime.running_layout;return 0>a.right||0>a.bottom||a.left>c.width||a.top>c.height},g.PickDistance=function(a,c,b){var f=this.getCurrentSol(),g=f.getObjects();if(!g.length)return!1;var e=g[0],h=e,k=cr.distanceTo(e.x,e.y,c,b),p,l,m;p=1;for(l=g.length;p<l;p++)if(e=g[p],m=cr.distanceTo(e.x,e.y,c,b),0===a&&m<k||1===a&&m>k)k=m,h=e;f.pick_one(h);return!0},f.SetX=function(a){this.x!==a&&(this.x=a,this.set_bbox_changed())},f.SetY=function(a){this.y!==
a&&(this.y=a,this.set_bbox_changed())},f.SetPos=function(a,c){if(this.x!==a||this.y!==c)this.x=a,this.y=c,this.set_bbox_changed()},f.SetPosToObject=function(a,c){var b=a.getPairedInstance(this);if(b){var f;b.getImagePoint?(f=b.getImagePoint(c,!0),b=b.getImagePoint(c,!1)):(f=b.x,b=b.y);if(this.x!==f||this.y!==b)this.x=f,this.y=b,this.set_bbox_changed()}},f.MoveForward=function(a){0!==a&&(this.x+=Math.cos(this.angle)*a,this.y+=Math.sin(this.angle)*a,this.set_bbox_changed())},f.MoveAtAngle=function(a,
c){0!==c&&(this.x+=Math.cos(cr.to_radians(a))*c,this.y+=Math.sin(cr.to_radians(a))*c,this.set_bbox_changed())},e.X=function(a){a.set_float(this.x)},e.Y=function(a){a.set_float(this.y)},e.dt=function(a){a.set_float(this.runtime.getDt(this))});m&&(g.CompareWidth=function(a,c){return cr.do_cmp(this.width,a,c)},g.CompareHeight=function(a,c){return cr.do_cmp(this.height,a,c)},f.SetWidth=function(a){this.width!==a&&(this.width=a,this.set_bbox_changed())},f.SetHeight=function(a){this.height!==a&&(this.height=
a,this.set_bbox_changed())},f.SetSize=function(a,c){if(this.width!==a||this.height!==c)this.width=a,this.height=c,this.set_bbox_changed()},e.Width=function(a){a.set_float(this.width)},e.Height=function(a){a.set_float(this.height)},e.BBoxLeft=function(a){this.update_bbox();a.set_float(this.bbox.left)},e.BBoxTop=function(a){this.update_bbox();a.set_float(this.bbox.top)},e.BBoxRight=function(a){this.update_bbox();a.set_float(this.bbox.right)},e.BBoxBottom=function(a){this.update_bbox();a.set_float(this.bbox.bottom)});
n&&(g.AngleWithin=function(a,c){return cr.angleDiff(this.angle,cr.to_radians(c))<=cr.to_radians(a)},g.IsClockwiseFrom=function(a){return cr.angleClockwise(this.angle,cr.to_radians(a))},g.IsBetweenAngles=function(a,c){var b=cr.to_clamped_radians(a),f=cr.to_clamped_radians(c),g=cr.clamp_angle(this.angle);return cr.angleClockwise(f,b)?cr.angleClockwise(g,b)&&!cr.angleClockwise(g,f):!(!cr.angleClockwise(g,b)&&cr.angleClockwise(g,f))},f.SetAngle=function(a){a=cr.to_radians(cr.clamp_angle_degrees(a));isNaN(a)||
this.angle===a||(this.angle=a,this.set_bbox_changed())},f.RotateClockwise=function(a){0===a||isNaN(a)||(this.angle+=cr.to_radians(a),this.angle=cr.clamp_angle(this.angle),this.set_bbox_changed())},f.RotateCounterclockwise=function(a){0===a||isNaN(a)||(this.angle-=cr.to_radians(a),this.angle=cr.clamp_angle(this.angle),this.set_bbox_changed())},f.RotateTowardAngle=function(a,c){var b=cr.angleRotate(this.angle,cr.to_radians(c),cr.to_radians(a));isNaN(b)||this.angle===b||(this.angle=b,this.set_bbox_changed())},
f.RotateTowardPosition=function(a,c,b){c=Math.atan2(b-this.y,c-this.x);a=cr.angleRotate(this.angle,c,cr.to_radians(a));isNaN(a)||this.angle===a||(this.angle=a,this.set_bbox_changed())},f.SetTowardPosition=function(a,c){var b=Math.atan2(c-this.y,a-this.x);isNaN(b)||this.angle===b||(this.angle=b,this.set_bbox_changed())},e.Angle=function(a){a.set_float(cr.to_clamped_degrees(this.angle))});k||(g.CompareInstanceVar=function(a,c,b){return cr.do_cmp(this.instance_vars[a],c,b)},g.IsBoolInstanceVarSet=function(a){return this.instance_vars[a]},
g.PickInstVarHiLow=function(a,c){var b=this.getCurrentSol(),f=b.getObjects();if(!f.length)return!1;var g=f[0],e=g,h=g.instance_vars[c],k,p,l;k=1;for(p=f.length;k<p;k++)if(g=f[k],l=g.instance_vars[c],0===a&&l<h||1===a&&l>h)h=l,e=g;b.pick_one(e);return!0},g.PickByUID=function(a){var c,b,f,g,e;if(this.runtime.getCurrentCondition().inverted){e=this.getCurrentSol();if(e.select_all)for(e.select_all=!1,e.instances.length=0,e.else_instances.length=0,f=this.instances,c=0,b=f.length;c<b;c++)g=f[c],g.uid===
a?e.else_instances.push(g):e.instances.push(g);else{f=c=0;for(b=e.instances.length;c<b;c++)g=e.instances[c],e.instances[f]=g,g.uid===a?e.else_instances.push(g):f++;e.instances.length=f}this.applySolToContainer();return!!e.instances.length}g=this.runtime.getObjectByUID(a);if(!g)return!1;e=this.getCurrentSol();if(!e.select_all&&-1===e.instances.indexOf(g))return!1;if(this.is_family)for(a=g.type.families,c=0,b=a.length;c<b;c++){if(a[c]===this)return e.pick_one(g),this.applySolToContainer(),!0}else if(g.type===
this)return e.pick_one(g),this.applySolToContainer(),!0;return!1},g.OnCreated=function(){return!0},g.OnDestroyed=function(){return!0},f.SetInstanceVar=function(a,c){var b=this.instance_vars;cr.is_number(b[a])?cr.is_number(c)?b[a]=c:b[a]=parseFloat(c):cr.is_string(b[a])&&(cr.is_string(c)?b[a]=c:b[a]=c.toString())},f.AddInstanceVar=function(a,c){var b=this.instance_vars;cr.is_number(b[a])?cr.is_number(c)?b[a]+=c:b[a]+=parseFloat(c):cr.is_string(b[a])&&(cr.is_string(c)?b[a]+=c:b[a]+=c.toString())},f.SubInstanceVar=
function(a,c){var b=this.instance_vars;cr.is_number(b[a])&&(cr.is_number(c)?b[a]-=c:b[a]-=parseFloat(c))},f.SetBoolInstanceVar=function(a,c){this.instance_vars[a]=c?1:0},f.ToggleBoolInstanceVar=function(a){this.instance_vars[a]=1-this.instance_vars[a]},f.Destroy=function(){this.runtime.DestroyInstance(this)},f.LoadFromJsonString||(f.LoadFromJsonString=function(a){var c,b;try{c=JSON.parse(a)}catch(f){return}this.runtime.loadInstanceFromJSON(this,c,!0);this.afterLoad&&this.afterLoad();if(this.behavior_insts)for(a=
0,c=this.behavior_insts.length;a<c;++a)b=this.behavior_insts[a],b.afterLoad&&b.afterLoad()}),e.Count=function(a){var c=a.object_class.instances.length,b,f,g;b=0;for(f=this.runtime.createRow.length;b<f;b++)g=this.runtime.createRow[b],a.object_class.is_family?0<=g.type.families.indexOf(a.object_class)&&c++:g.type===a.object_class&&c++;a.set_int(c)},e.PickedCount=function(a){a.set_int(a.object_class.getCurrentSol().getObjects().length)},e.UID=function(a){a.set_int(this.uid)},e.IID=function(a){a.set_int(this.get_iid())},
e.AsJSON||(e.AsJSON=function(a){a.set_string(JSON.stringify(this.runtime.saveInstanceToJSON(this,!0)))}));c&&(g.IsVisible=function(){return this.visible},f.SetVisible=function(a){!a!==!this.visible&&(this.visible=a,this.runtime.redraw=!0)},g.CompareOpacity=function(a,c){return cr.do_cmp(cr.round6dp(100*this.opacity),a,c)},f.SetOpacity=function(a){a/=100;0>a?a=0:1<a&&(a=1);a!==this.opacity&&(this.opacity=a,this.runtime.redraw=!0)},e.Opacity=function(a){a.set_float(cr.round6dp(100*this.opacity))});
p&&(g.IsOnLayer=function(a){return a?this.layer===a:!1},g.PickTopBottom=function(a){var c=this.getCurrentSol(),b=c.getObjects();if(!b.length)return!1;var f=b[0],g=f,e,h;e=1;for(h=b.length;e<h;e++)if(f=b[e],0===a){if(f.layer.index>g.layer.index||f.layer.index===g.layer.index&&f.get_zindex()>g.get_zindex())g=f}else if(f.layer.index<g.layer.index||f.layer.index===g.layer.index&&f.get_zindex()<g.get_zindex())g=f;c.pick_one(g);return!0},f.MoveToTop=function(){var a=this.get_zindex();a!==this.layer.instances.length-
1&&(cr.arrayRemove(this.layer.instances,a),this.layer.instances.push(this),this.runtime.redraw=!0,this.layer.zindices_stale=!0)},f.MoveToBottom=function(){var a=this.get_zindex();0!==a&&(cr.arrayRemove(this.layer.instances,a),this.layer.instances.unshift(this),this.runtime.redraw=!0,this.layer.zindices_stale=!0)},f.MoveToLayer=function(a){a&&a!=this.layer&&(cr.arrayRemove(this.layer.instances,this.get_zindex()),this.layer.zindices_stale=!0,this.layer=a,this.zindex=a.instances.length,a.instances.push(this),
this.runtime.redraw=!0)},f.ZMoveToObject=function(a,c){var b=0===a;if(c){var f=c.getFirstPicked(this);if(f&&f.uid!==this.uid){this.layer.index!==f.layer.index&&(cr.arrayRemove(this.layer.instances,this.get_zindex()),this.layer.zindices_stale=!0,this.layer=f.layer,this.zindex=f.layer.instances.length,f.layer.instances.push(this));var g=this.get_zindex(),f=f.get_zindex();cr.arrayRemove(this.layer.instances,g);g<f&&f--;b&&f++;f===this.layer.instances.length?this.layer.instances.push(this):this.layer.instances.splice(f,
0,this);this.layer.zindices_stale=!0;this.runtime.redraw=!0}}},e.LayerNumber=function(a){a.set_int(this.layer.number)},e.LayerName=function(a){a.set_string(this.layer.name)},e.ZIndex=function(a){a.set_int(this.get_zindex())});a&&(f.SetEffectEnabled=function(a,c){if(this.runtime.glwrap){var b=this.type.getEffectIndexByName(c);if(!(0>b)){var f=1===a;this.active_effect_flags[b]!==f&&(this.active_effect_flags[b]=f,this.updateActiveEffects(),this.runtime.redraw=!0)}}},f.SetEffectParam=function(a,c,b){if(this.runtime.glwrap){var f=
this.type.getEffectIndexByName(a);0>f||(a=this.type.effect_types[f],f=this.effect_params[f],c=Math.floor(c),0>c||c>=f.length||(1===this.runtime.glwrap.getProgramParameterType(a.shaderindex,c)&&(b/=100),f[c]!==b&&(f[c]=b,a.active&&(this.runtime.redraw=!0))))}})};cr.set_bbox_changed=function(){this.cell_changed=this.bbox_changed=!0;this.type.any_cell_changed=!0;this.runtime.redraw=!0;var a,e,k=this.bbox_changed_callbacks;a=0;for(e=k.length;a<e;++a)k[a](this)};cr.add_bbox_changed_callback=function(a){a&&
this.bbox_changed_callbacks.push(a)};cr.update_bbox=function(){if(this.bbox_changed){var a=this.bbox,e=this.bquad;a.set(this.x,this.y,this.x+this.width,this.y+this.height);a.offset(-this.hotspotX*this.width,-this.hotspotY*this.height);this.angle?(a.offset(-this.x,-this.y),e.set_from_rotated_rect(a,this.angle),e.offset(this.x,this.y),e.bounding_box(a)):e.set_from_rect(a);a.normalize();this.bbox_changed=!1}};var a=new cr.rect(0,0,0,0);cr.update_collision_cell=function(){if(this.cell_changed&&this.collisionsEnabled){this.update_bbox();
var b=this.type.collision_grid,e=this.collcells,k=this.bbox;a.set(b.XToCell(k.left),b.YToCell(k.top),b.XToCell(k.right),b.YToCell(k.bottom));e.equals(a)||(e.right<e.left?b.update(this,null,a):b.update(this,e,a),e.copy(a),this.cell_changed=!1)}};cr.inst_contains_pt=function(a,e){return this.bbox.contains_pt(a,e)&&this.bquad.contains_pt(a,e)?this.collision_poly&&!this.collision_poly.is_empty()?(this.collision_poly.cache_poly(this.width,this.height,this.angle),this.collision_poly.contains_pt(a-this.x,
e-this.y)):!0:!1};cr.inst_get_iid=function(){this.type.updateIIDs();return this.iid};cr.inst_get_zindex=function(){this.layer.updateZIndices();return this.zindex};cr.inst_updateActiveEffects=function(){this.active_effect_types.length=0;var a,e;a=0;for(e=this.active_effect_flags.length;a<e;a++)this.active_effect_flags[a]&&this.active_effect_types.push(this.type.effect_types[a]);this.uses_shaders=!!this.active_effect_types.length};cr.inst_toString=function(){return"Inst"+this.puid};cr.type_getFirstPicked=
function(a){if(a&&a.is_contained&&a.type!=this){var e,k,h;e=0;for(k=a.siblings.length;e<k;e++)if(h=a.siblings[e],h.type==this)return h}a=this.getCurrentSol().getObjects();return a.length?a[0]:null};cr.type_getPairedInstance=function(a){var e=this.getCurrentSol().getObjects();return e.length?e[a.get_iid()%e.length]:null};cr.type_updateIIDs=function(){if(this.stale_iids&&!this.is_family){var a,e;a=0;for(e=this.instances.length;a<e;a++)this.instances[a].iid=a;var k=a,h=this.runtime.createRow;a=0;for(e=
h.length;a<e;++a)h[a].type===this&&(h[a].iid=k++);this.stale_iids=!1}};cr.type_getInstanceByIID=function(a){if(a<this.instances.length)return this.instances[a];a-=this.instances.length;var e=this.runtime.createRow,k,h;k=0;for(h=e.length;k<h;++k)if(e[k].type===this){if(0===a)return e[k];--a}return null};cr.type_getCurrentSol=function(){return this.solstack[this.cur_sol]};cr.type_pushCleanSol=function(){this.cur_sol++;this.cur_sol===this.solstack.length?this.solstack.push(new cr.selection(this)):this.solstack[this.cur_sol].select_all=
!0};cr.type_pushCopySol=function(){this.cur_sol++;this.cur_sol===this.solstack.length&&this.solstack.push(new cr.selection(this));var a=this.solstack[this.cur_sol],e=this.solstack[this.cur_sol-1];e.select_all?a.select_all=!0:(a.select_all=!1,cr.shallowAssignArray(a.instances,e.instances),cr.shallowAssignArray(a.else_instances,e.else_instances))};cr.type_popSol=function(){this.cur_sol--};cr.type_getBehaviorByName=function(a){var e,k,h,m,n,c=0;if(!this.is_family)for(e=0,k=this.families.length;e<k;e++)for(n=
this.families[e],h=0,m=n.behaviors.length;h<m;h++){if(a===n.behaviors[h].name)return this.extra.lastBehIndex=c,n.behaviors[h];c++}e=0;for(k=this.behaviors.length;e<k;e++){if(a===this.behaviors[e].name)return this.extra.lastBehIndex=c,this.behaviors[e];c++}return null};cr.type_getBehaviorIndexByName=function(a){return this.getBehaviorByName(a)?this.extra.lastBehIndex:-1};cr.type_getEffectIndexByName=function(a){var e,k;e=0;for(k=this.effect_types.length;e<k;e++)if(this.effect_types[e].name===a)return e;
return-1};cr.type_applySolToContainer=function(){if(this.is_contained&&!this.is_family){var a,e,k,h,m,n,c;this.updateIIDs();n=this.getCurrentSol();var p=n.select_all,g=(a=this.runtime.getCurrentEventStack())&&a.current_event&&a.current_event.orblock;a=0;for(e=this.container.length;a<e;a++)if(m=this.container[a],m!==this&&(m.updateIIDs(),c=m.getCurrentSol(),c.select_all=p,!p)){c.instances.length=n.instances.length;k=0;for(h=n.instances.length;k<h;k++)c.instances[k]=m.getInstanceByIID(n.instances[k].iid);
if(g)for(c.else_instances.length=n.else_instances.length,k=0,h=n.else_instances.length;k<h;k++)c.else_instances[k]=m.getInstanceByIID(n.else_instances[k].iid)}}};cr.type_toString=function(){return"Type"+this.sid};cr.do_cmp=function(a,e,k){if("undefined"===typeof a||"undefined"===typeof k)return!1;switch(e){case 0:return a===k;case 1:return a!==k;case 2:return a<k;case 3:return a<=k;case 4:return a>k;case 5:return a>=k;default:return!1}}})();cr.shaders={};cr.plugins_.Arr=function(a){this.runtime=a};
(function(){function a(){return p.length?p.pop():[]}function b(a){var c,d;c=0;for(d=a.length;c<d;c++)Array.isArray(a[c])&&b(a[c]);a.length=0;p.push(a)}function e(){}function k(){}function h(a,c){if(cr.is_number(a)&&cr.is_number(c))return a-c;var d=""+a,b=""+c;return d<b?-1:d>b?1:0}function m(){}var n=cr.plugins_.Arr.prototype;n.Type=function(a){this.plugin=a;this.runtime=a.runtime};n.Type.prototype.onCreate=function(){};n.Instance=function(a){this.type=a;this.runtime=a.runtime};var c=n.Instance.prototype,
p=[];Array.isArray||(Array.isArray=function(a){return"[object Array]"===Object.prototype.toString.call(a)});c.onCreate=function(){this.cx=this.properties[0];this.cy=this.properties[1];this.cz=this.properties[2];this.recycled||(this.arr=a());var c=this.arr;c.length=this.cx;var b,d,e;for(b=0;b<this.cx;b++)for(c[b]||(c[b]=a()),c[b].length=this.cy,d=0;d<this.cy;d++)for(c[b][d]||(c[b][d]=a()),c[b][d].length=this.cz,e=0;e<this.cz;e++)c[b][d][e]=0;this.forZ=this.forY=this.forX=0};c.onDestroy=function(){var a;
for(a=0;a<this.cx;a++)b(this.arr[a]);this.arr.length=0};c.at=function(a,c,d){a=Math.floor(a);c=Math.floor(c);d=Math.floor(d);return isNaN(a)||0>a||a>this.cx-1||isNaN(c)||0>c||c>this.cy-1||isNaN(d)||0>d||d>this.cz-1?0:this.arr[a][c][d]};c.set=function(a,c,d,b){a=Math.floor(a);c=Math.floor(c);d=Math.floor(d);isNaN(a)||0>a||a>this.cx-1||isNaN(c)||0>c||c>this.cy-1||isNaN(d)||0>d||d>this.cz-1||(this.arr[a][c][d]=b)};c.getAsJSON=function(){return JSON.stringify({c2array:!0,size:[this.cx,this.cy,this.cz],
data:this.arr})};c.saveToJSON=function(){return{size:[this.cx,this.cy,this.cz],data:this.arr}};c.loadFromJSON=function(a){var c=a.size;this.cx=c[0];this.cy=c[1];this.cz=c[2];this.arr=a.data};c.setSize=function(c,b,d){0>c&&(c=0);0>b&&(b=0);0>d&&(d=0);if(this.cx!==c||this.cy!==b||this.cz!==d){this.cx=c;this.cy=b;this.cz=d;var e,h,k=this.arr;k.length=c;for(c=0;c<this.cx;c++)for(cr.is_undefined(k[c])&&(k[c]=a()),k[c].length=b,e=0;e<this.cy;e++)for(cr.is_undefined(k[c][e])&&(k[c][e]=a()),k[c][e].length=
d,h=0;h<this.cz;h++)cr.is_undefined(k[c][e][h])&&(k[c][e][h]=0)}};e.prototype.CompareX=function(a,c,d){return cr.do_cmp(this.at(a,0,0),c,d)};e.prototype.CompareXY=function(a,c,d,b){return cr.do_cmp(this.at(a,c,0),d,b)};e.prototype.CompareXYZ=function(a,c,d,b,e){return cr.do_cmp(this.at(a,c,d),b,e)};c.doForEachTrigger=function(a){this.runtime.pushCopySol(a.solModifiers);a.retrigger();this.runtime.popSol(a.solModifiers)};e.prototype.ArrForEach=function(a){var c=this.runtime.getCurrentEventStack().current_event;
this.forZ=this.forY=this.forX=0;switch(a){case 0:for(this.forX=0;this.forX<this.cx;this.forX++)for(this.forY=0;this.forY<this.cy;this.forY++)for(this.forZ=0;this.forZ<this.cz;this.forZ++)this.doForEachTrigger(c);break;case 1:for(this.forX=0;this.forX<this.cx;this.forX++)for(this.forY=0;this.forY<this.cy;this.forY++)this.doForEachTrigger(c);break;case 2:for(this.forX=0;this.forX<this.cx;this.forX++)this.doForEachTrigger(c)}this.forZ=this.forY=this.forX=0;return!1};e.prototype.CompareCurrent=function(a,
c){return cr.do_cmp(this.at(this.forX,this.forY,this.forZ),a,c)};e.prototype.Contains=function(a){var c,d,b;for(c=0;c<this.cx;c++)for(d=0;d<this.cy;d++)for(b=0;b<this.cz;b++)if(this.arr[c][d][b]===a)return!0;return!1};e.prototype.IsEmpty=function(){return 0===this.cx||0===this.cy||0===this.cz};e.prototype.CompareSize=function(a,c,d){var b=0;switch(a){case 0:b=this.cx;break;case 1:b=this.cy;break;case 2:b=this.cz}return cr.do_cmp(b,c,d)};n.cnds=new e;k.prototype.Clear=function(){var a,c,d;for(a=0;a<
this.cx;a++)for(c=0;c<this.cy;c++)for(d=0;d<this.cz;d++)this.arr[a][c][d]=0};k.prototype.SetSize=function(a,c,d){this.setSize(a,c,d)};k.prototype.SetX=function(a,c){this.set(a,0,0,c)};k.prototype.SetXY=function(a,c,d){this.set(a,c,0,d)};k.prototype.SetXYZ=function(a,c,d,b){this.set(a,c,d,b)};k.prototype.Push=function(c,b,d){var e=0,h=0,k=0,p=this.arr;switch(d){case 0:0===c?(e=p.length,p.push(a())):(e=0,p.unshift(a()));for(p[e].length=this.cy;h<this.cy;h++)for(p[e][h]=a(),p[e][h].length=this.cz,k=
0;k<this.cz;k++)p[e][h][k]=b;this.cx++;break;case 1:for(;e<this.cx;e++)for(0===c?(h=p[e].length,p[e].push(a())):(h=0,p[e].unshift(a())),p[e][h].length=this.cz,k=0;k<this.cz;k++)p[e][h][k]=b;this.cy++;break;case 2:for(;e<this.cx;e++)for(h=0;h<this.cy;h++)0===c?p[e][h].push(b):p[e][h].unshift(b);this.cz++}};k.prototype.Pop=function(a,c){var d=0,e=0,h=this.arr;switch(c){case 0:if(0===this.cx)break;0===a?b(h.pop()):b(h.shift());this.cx--;break;case 1:if(0===this.cy)break;for(;d<this.cx;d++)0===a?b(h[d].pop()):
b(h[d].shift());this.cy--;break;case 2:if(0===this.cz)break;for(;d<this.cx;d++)for(e=0;e<this.cy;e++)0===a?h[d][e].pop():h[d][e].shift();this.cz--}};k.prototype.Reverse=function(a){var c=0,d=0,b=this.arr;if(0!==this.cx&&0!==this.cy&&0!==this.cz)switch(a){case 0:b.reverse();break;case 1:for(;c<this.cx;c++)b[c].reverse();break;case 2:for(;c<this.cx;c++)for(d=0;d<this.cy;d++)b[c][d].reverse();this.cz--}};k.prototype.Sort=function(a){var c=0,d=0,b=this.arr;if(0!==this.cx&&0!==this.cy&&0!==this.cz)switch(a){case 0:b.sort(function(a,
c){return h(a[0][0],c[0][0])});break;case 1:for(;c<this.cx;c++)b[c].sort(function(a,c){return h(a[0],c[0])});break;case 2:for(;c<this.cx;c++)for(d=0;d<this.cy;d++)b[c][d].sort(h)}};k.prototype.Delete=function(a,c){var d=0,e=0;a=Math.floor(a);var h=this.arr;if(!(0>a))switch(c){case 0:if(a>=this.cx)break;b(h[a]);h.splice(a,1);this.cx--;break;case 1:if(a>=this.cy)break;for(;d<this.cx;d++)b(h[d][a]),h[d].splice(a,1);this.cy--;break;case 2:if(a>=this.cz)break;for(;d<this.cx;d++)for(e=0;e<this.cy;e++)h[d][e].splice(a,
1);this.cz--}};k.prototype.Insert=function(c,b,d){var e=0,h=0,k=0;b=Math.floor(b);var p=this.arr;if(!(0>b))switch(d){case 0:if(b>this.cx)break;e=b;p.splice(e,0,a());for(p[e].length=this.cy;h<this.cy;h++)for(p[e][h]=a(),p[e][h].length=this.cz,k=0;k<this.cz;k++)p[e][h][k]=c;this.cx++;break;case 1:if(b>this.cy)break;for(;e<this.cx;e++)for(h=b,p[e].splice(h,0,a()),p[e][h].length=this.cz,k=0;k<this.cz;k++)p[e][h][k]=c;this.cy++;break;case 2:if(b>this.cz)break;for(;e<this.cx;e++)for(h=0;h<this.cy;h++)p[e][h].splice(b,
0,c);this.cz++}};k.prototype.JSONLoad=function(a){var c;try{c=JSON.parse(a)}catch(d){return}c.c2array&&(a=c.size,this.cx=a[0],this.cy=a[1],this.cz=a[2],this.arr=c.data)};k.prototype.JSONDownload=function(a){var c=document.createElement("a");if("undefined"===typeof c.download)c="data:text/html,"+encodeURIComponent("<p><a download='"+a+"' href=\"data:application/json,"+encodeURIComponent(this.getAsJSON())+'">Download link</a></p>'),window.open(c);else{var d=document.getElementsByTagName("body")[0];
c.textContent=a;c.href="data:application/json,"+encodeURIComponent(this.getAsJSON());c.download=a;d.appendChild(c);a=document.createEvent("MouseEvent");a.initMouseEvent("click",!0,!0,window,0,0,0,0,0,!1,!1,!1,!1,0,null);c.dispatchEvent(a);d.removeChild(c)}};n.acts=new k;m.prototype.At=function(a,c,d,b){a.set_any(this.at(c,d||0,b||0))};m.prototype.Width=function(a){a.set_int(this.cx)};m.prototype.Height=function(a){a.set_int(this.cy)};m.prototype.Depth=function(a){a.set_int(this.cz)};m.prototype.CurX=
function(a){a.set_int(this.forX)};m.prototype.CurY=function(a){a.set_int(this.forY)};m.prototype.CurZ=function(a){a.set_int(this.forZ)};m.prototype.CurValue=function(a){a.set_any(this.at(this.forX,this.forY,this.forZ))};m.prototype.Front=function(a){a.set_any(this.at(0,0,0))};m.prototype.Back=function(a){a.set_any(this.at(this.cx-1,0,0))};m.prototype.IndexOf=function(a,c){for(var d=0;d<this.cx;d++)if(this.arr[d][0][0]===c){a.set_int(d);return}a.set_int(-1)};m.prototype.LastIndexOf=function(a,c){for(var d=
this.cx-1;0<=d;d--)if(this.arr[d][0][0]===c){a.set_int(d);return}a.set_int(-1)};m.prototype.AsJSON=function(a){a.set_string(this.getAsJSON())};n.exps=new m})();cr.plugins_.Audio=function(a){this.runtime=a};
(function(){function a(a){a=Math.pow(10,a/20);0>a&&(a=0);1<a&&(a=1);return a}function b(a){0>a&&(a=0);1<a&&(a=1);return 20*(Math.log(a)/Math.log(10))}function e(a){a=a.toLowerCase();return Q.hasOwnProperty(a)&&Q[a].length?Q[a][0].getInputNode():H.destination}function k(){return H.createGain?H.createGain():H.createGainNode()}function h(a){return H.createDelay?H.createDelay(a):H.createDelayNode(a)}function m(a){a.start?a.start(0):a.noteOn(0)}function n(a,c,d){a.start?a.start(0,c):a.noteGrainOn(0,c,
d-c)}function c(a){try{a.stop?a.stop(0):a.noteOff(0)}catch(c){}}function p(a,c,d,b){if(a)if(a.cancelScheduledValues(0),0===b)a.value=c;else{var f=H.currentTime;b+=f;switch(d){case 0:a.setValueAtTime(c,b);break;case 1:a.setValueAtTime(a.value,f);a.linearRampToValueAtTime(c,b);break;case 2:a.setValueAtTime(a.value,f),a.exponentialRampToValueAtTime(c,b)}}}function g(a,c,d,b,f,g){this.type="filter";this.params=[a,c,d,b,f,g];this.inputNode=k();this.wetNode=k();this.wetNode.gain.value=g;this.dryNode=k();
this.dryNode.gain.value=1-g;this.filterNode=H.createBiquadFilter();this.filterNode.type="number"===typeof this.filterNode.type?a:ma[a];this.filterNode.frequency.value=c;this.filterNode.detune&&(this.filterNode.detune.value=d);this.filterNode.Q.value=b;this.filterNode.gain.value=f;this.inputNode.connect(this.filterNode);this.inputNode.connect(this.dryNode);this.filterNode.connect(this.wetNode)}function f(a,c,d){this.type="delay";this.params=[a,c,d];this.inputNode=k();this.wetNode=k();this.wetNode.gain.value=
d;this.dryNode=k();this.dryNode.gain.value=1-d;this.mainNode=k();this.delayNode=h(a);this.delayNode.delayTime.value=a;this.delayGainNode=k();this.delayGainNode.gain.value=c;this.inputNode.connect(this.mainNode);this.inputNode.connect(this.dryNode);this.mainNode.connect(this.wetNode);this.mainNode.connect(this.delayNode);this.delayNode.connect(this.delayGainNode);this.delayGainNode.connect(this.mainNode)}function d(a,c,d,b){this.type="convolve";this.params=[c,d,b];this.inputNode=k();this.wetNode=k();
this.wetNode.gain.value=d;this.dryNode=k();this.dryNode.gain.value=1-d;this.convolveNode=H.createConvolver();a&&(this.convolveNode.normalize=c,this.convolveNode.buffer=a);this.inputNode.connect(this.convolveNode);this.inputNode.connect(this.dryNode);this.convolveNode.connect(this.wetNode)}function q(a,c,d,b,f){this.type="flanger";this.params=[a,c,d,b,f];this.inputNode=k();this.dryNode=k();this.dryNode.gain.value=1-f/2;this.wetNode=k();this.wetNode.gain.value=f/2;this.feedbackNode=k();this.feedbackNode.gain.value=
b;this.delayNode=h(a+c);this.delayNode.delayTime.value=a;this.oscNode=H.createOscillator();this.oscNode.frequency.value=d;this.oscGainNode=k();this.oscGainNode.gain.value=c;this.inputNode.connect(this.delayNode);this.inputNode.connect(this.dryNode);this.delayNode.connect(this.wetNode);this.delayNode.connect(this.feedbackNode);this.feedbackNode.connect(this.delayNode);this.oscNode.connect(this.oscGainNode);this.oscGainNode.connect(this.delayNode.delayTime);m(this.oscNode)}function r(a,c,d,b,f,g){this.type=
"phaser";this.params=[a,c,d,b,f,g];this.inputNode=k();this.dryNode=k();this.dryNode.gain.value=1-g/2;this.wetNode=k();this.wetNode.gain.value=g/2;this.filterNode=H.createBiquadFilter();this.filterNode.type="number"===typeof this.filterNode.type?7:"allpass";this.filterNode.frequency.value=a;this.filterNode.detune&&(this.filterNode.detune.value=c);this.filterNode.Q.value=d;this.oscNode=H.createOscillator();this.oscNode.frequency.value=f;this.oscGainNode=k();this.oscGainNode.gain.value=b;this.inputNode.connect(this.filterNode);
this.inputNode.connect(this.dryNode);this.filterNode.connect(this.wetNode);this.oscNode.connect(this.oscGainNode);this.oscGainNode.connect(this.filterNode.frequency);m(this.oscNode)}function s(a){this.type="gain";this.params=[a];this.node=k();this.node.gain.value=a}function x(a,c){this.type="tremolo";this.params=[a,c];this.node=k();this.node.gain.value=1-c/2;this.oscNode=H.createOscillator();this.oscNode.frequency.value=a;this.oscGainNode=k();this.oscGainNode.gain.value=c/2;this.oscNode.connect(this.oscGainNode);
this.oscGainNode.connect(this.node.gain);m(this.oscNode)}function z(a,c){this.type="ringmod";this.params=[a,c];this.inputNode=k();this.wetNode=k();this.wetNode.gain.value=c;this.dryNode=k();this.dryNode.gain.value=1-c;this.ringNode=k();this.ringNode.gain.value=0;this.oscNode=H.createOscillator();this.oscNode.frequency.value=a;this.oscNode.connect(this.ringNode.gain);m(this.oscNode);this.inputNode.connect(this.ringNode);this.inputNode.connect(this.dryNode);this.ringNode.connect(this.wetNode)}function y(a,
c,d,b,f){this.type="distortion";this.params=[a,c,d,b,f];this.inputNode=k();this.preGain=k();this.postGain=k();this.setDrive(d,Math.pow(10,b/20));this.wetNode=k();this.wetNode.gain.value=f;this.dryNode=k();this.dryNode.gain.value=1-f;this.waveShaper=H.createWaveShaper();this.curve=new Float32Array(65536);this.generateColortouchCurve(a,c);this.waveShaper.curve=this.curve;this.inputNode.connect(this.preGain);this.inputNode.connect(this.dryNode);this.preGain.connect(this.waveShaper);this.waveShaper.connect(this.postGain);
this.postGain.connect(this.wetNode)}function v(a,c,d,b,f){this.type="compressor";this.params=[a,c,d,b,f];this.node=H.createDynamicsCompressor();try{this.node.threshold.value=a,this.node.knee.value=c,this.node.ratio.value=d,this.node.attack.value=b,this.node.release.value=f}catch(g){}}function t(a,c){this.type="analyser";this.params=[a,c];this.node=H.createAnalyser();this.node.fftSize=a;this.node.smoothingTimeConstant=c;this.freqBins=new Float32Array(this.node.frequencyBinCount);this.signal=new Uint8Array(a);
this.rms=this.peak=0}function l(){this.obj=null;this.loadUid=0;this.speeds=[];this.moveAngle=this.lastY=this.lastX=0}function u(a,c){this.src=a;this.myapi=M;this.is_music=c;this.added_end_listener=!1;var d=this;this.mediaSourceNode=this.outNode=null;this.panWhenReady=[];this.seekWhenReady=0;this.supportWebAudioAPI=this.pauseWhenReady=!1;M===D&&c&&(this.myapi=L,this.outNode=k());this.audioData=this.bufferObject=null;var b;switch(this.myapi){case L:this.bufferObject=new Audio;M!==D||!H.createMediaElementSource||
G.isFirefox||/wiiu/i.test(navigator.userAgent)||(this.supportWebAudioAPI=!0,this.bufferObject.addEventListener("canplay",function(){d.mediaSourceNode||(d.mediaSourceNode=H.createMediaElementSource(d.bufferObject),d.mediaSourceNode.connect(d.outNode))}));this.bufferObject.autoplay=!1;this.bufferObject.preload="auto";this.bufferObject.src=a;break;case D:b=new XMLHttpRequest;b.open("GET",a,!0);b.responseType="arraybuffer";b.onload=function(){d.audioData=b.response;d.decodeAudioBuffer()};b.send();break;
case O:this.bufferObject=!0;break;case U:this.bufferObject=!0}}function w(a,c){var d=this;this.tag=c;this.stopped=this.fresh=!0;this.src=a.src;this.buffer=a;this.myapi=M;this.is_music=a.is_music;this.playbackRate=1;this.pgended=!0;this.is_paused=this.resume_me=!1;this.resume_position=0;this.is_silent=this.is_muted=this.looping=!1;this.mutevol=this.volume=1;this.startTime=G.kahanTime.sum;this.pannerNode=this.gainNode=null;this.pannerEnabled=!1;this.objectTracker=null;this.panConeOuterGain=this.panConeOuter=
this.panConeInner=this.panAngle=this.panY=this.panX=0;this.instanceObject=null;var b=!1;this.myapi!==D||this.buffer.myapi!==L||this.buffer.supportWebAudioAPI||(this.myapi=L);switch(this.myapi){case L:this.is_music?(this.instanceObject=a.bufferObject,b=!a.added_end_listener,a.added_end_listener=!0):(this.instanceObject=new Audio,this.instanceObject.autoplay=!1,this.instanceObject.src=a.bufferObject.src,b=!0);b&&this.instanceObject.addEventListener("ended",function(){K=d.tag;d.stopped=!0;G.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,
W)});break;case D:this.gainNode=k();this.gainNode.connect(e(c));this.buffer.myapi===D?a.bufferObject&&(this.instanceObject=H.createBufferSource(),this.instanceObject.buffer=a.bufferObject,this.instanceObject.connect(this.gainNode)):(this.instanceObject=this.buffer.bufferObject,this.buffer.outNode.connect(this.gainNode));break;case O:this.instanceObject=new window.Media(S+this.src,null,null,function(a){a===window.Media.MEDIA_STOPPED&&(d.pgended=!0,d.stopped=!0,K=d.tag,G.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,
W))});break;case U:this.instanceObject=!0}}function B(a){R.length=0;if(a.length){var c,d,b;c=0;for(d=P.length;c<d;c++)b=P[c],cr.equals_nocase(a,b.tag)&&R.push(b)}else T&&!T.hasEnded()&&(R.length=1,R[0]=T)}function A(a){var c,d,b,f,g=H.destination;if(Q.hasOwnProperty(a)&&(b=Q[a],b.length))for(g=b[0].getInputNode(),c=0,d=b.length;c<d;c++)f=b[c],c+1===d?f.connectTo(H.destination):f.connectTo(b[c+1].getInputNode());B(a);c=0;for(d=R.length;c<d;c++)R[c].reconnect(g);ca&&ja===a&&(ca.disconnect(),ca.connect(g))}
function E(a,c){Q.hasOwnProperty(a)?Q[a].push(c):Q[a]=[c];A(a)}function F(){}function C(){}function N(){}function J(a,c){var d=null;Q.hasOwnProperty(a)&&(d=Q[a]);return d&&0<=c&&c<d.length&&d[c].freqBins?d[c]:null}var I=cr.plugins_.Audio.prototype;I.Type=function(a){this.plugin=a;this.runtime=a.runtime};I.Type.prototype.onCreate=function(){};var G=null,W=null,K="",S="",L=0,D=1,O=2,U=3,M=L,H=null,da=[],P=[],T=null,X=!1,ia=0,V=!1,Y=1,aa=0,ba=0,ka=1,la=1,na=10,oa=1E4,pa=1,ca=null,ja="",ea=!1,fa=[],Q=
{},ma="lowpass highpass bandpass lowshelf highshelf peaking notch allpass".split(" ");g.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};g.prototype.remove=function(){this.inputNode.disconnect();this.filterNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};g.prototype.getInputNode=function(){return this.inputNode};g.prototype.setParam=function(a,c,d,b){switch(a){case 0:c/=100;0>c&&(c=0);1<c&&(c=
1);this.params[5]=c;p(this.wetNode.gain,c,d,b);p(this.dryNode.gain,1-c,d,b);break;case 1:this.params[1]=c;p(this.filterNode.frequency,c,d,b);break;case 2:this.params[2]=c;p(this.filterNode.detune,c,d,b);break;case 3:this.params[3]=c;p(this.filterNode.Q,c,d,b);break;case 4:this.params[4]=c,p(this.filterNode.gain,c,d,b)}};f.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};f.prototype.remove=function(){this.inputNode.disconnect();
this.mainNode.disconnect();this.delayNode.disconnect();this.delayGainNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};f.prototype.getInputNode=function(){return this.inputNode};f.prototype.setParam=function(c,d,b,f){switch(c){case 0:d/=100;0>d&&(d=0);1<d&&(d=1);this.params[2]=d;p(this.wetNode.gain,d,b,f);p(this.dryNode.gain,1-d,b,f);break;case 4:this.params[1]=a(d);p(this.delayGainNode.gain,a(d),b,f);break;case 5:this.params[0]=d,p(this.delayNode.delayTime,d,b,f)}};d.prototype.connectTo=
function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};d.prototype.remove=function(){this.inputNode.disconnect();this.convolveNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};d.prototype.getInputNode=function(){return this.inputNode};d.prototype.setParam=function(a,c,d,b){switch(a){case 0:c/=100,0>c&&(c=0),1<c&&(c=1),this.params[1]=c,p(this.wetNode.gain,c,d,b),p(this.dryNode.gain,1-c,d,b)}};q.prototype.connectTo=function(a){this.dryNode.disconnect();
this.dryNode.connect(a);this.wetNode.disconnect();this.wetNode.connect(a)};q.prototype.remove=function(){this.inputNode.disconnect();this.delayNode.disconnect();this.oscNode.disconnect();this.oscGainNode.disconnect();this.dryNode.disconnect();this.wetNode.disconnect();this.feedbackNode.disconnect()};q.prototype.getInputNode=function(){return this.inputNode};q.prototype.setParam=function(a,c,d,b){switch(a){case 0:c/=100;0>c&&(c=0);1<c&&(c=1);this.params[4]=c;p(this.wetNode.gain,c/2,d,b);p(this.dryNode.gain,
1-c/2,d,b);break;case 6:this.params[1]=c/1E3;p(this.oscGainNode.gain,c/1E3,d,b);break;case 7:this.params[2]=c;p(this.oscNode.frequency,c,d,b);break;case 8:this.params[3]=c/100,p(this.feedbackNode.gain,c/100,d,b)}};r.prototype.connectTo=function(a){this.dryNode.disconnect();this.dryNode.connect(a);this.wetNode.disconnect();this.wetNode.connect(a)};r.prototype.remove=function(){this.inputNode.disconnect();this.filterNode.disconnect();this.oscNode.disconnect();this.oscGainNode.disconnect();this.dryNode.disconnect();
this.wetNode.disconnect()};r.prototype.getInputNode=function(){return this.inputNode};r.prototype.setParam=function(a,c,d,b){switch(a){case 0:c/=100;0>c&&(c=0);1<c&&(c=1);this.params[5]=c;p(this.wetNode.gain,c/2,d,b);p(this.dryNode.gain,1-c/2,d,b);break;case 1:this.params[0]=c;p(this.filterNode.frequency,c,d,b);break;case 2:this.params[1]=c;p(this.filterNode.detune,c,d,b);break;case 3:this.params[2]=c;p(this.filterNode.Q,c,d,b);break;case 6:this.params[3]=c;p(this.oscGainNode.gain,c,d,b);break;case 7:this.params[4]=
c,p(this.oscNode.frequency,c,d,b)}};s.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};s.prototype.remove=function(){this.node.disconnect()};s.prototype.getInputNode=function(){return this.node};s.prototype.setParam=function(c,d,b,f){switch(c){case 4:this.params[0]=a(d),p(this.node.gain,a(d),b,f)}};x.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};x.prototype.remove=function(){this.oscNode.disconnect();this.oscGainNode.disconnect();this.node.disconnect()};
x.prototype.getInputNode=function(){return this.node};x.prototype.setParam=function(a,c,d,b){switch(a){case 0:c/=100;0>c&&(c=0);1<c&&(c=1);this.params[1]=c;p(this.node.gain.value,1-c/2,d,b);p(this.oscGainNode.gain.value,c/2,d,b);break;case 7:this.params[0]=c,p(this.oscNode.frequency,c,d,b)}};z.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};z.prototype.remove=function(){this.oscNode.disconnect();this.ringNode.disconnect();
this.inputNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};z.prototype.getInputNode=function(){return this.inputNode};z.prototype.setParam=function(a,c,d,b){switch(a){case 0:c/=100;0>c&&(c=0);1<c&&(c=1);this.params[1]=c;p(this.wetNode.gain,c,d,b);p(this.dryNode.gain,1-c,d,b);break;case 7:this.params[0]=c,p(this.oscNode.frequency,c,d,b)}};y.prototype.setDrive=function(a,c){0.01>a&&(a=0.01);this.preGain.gain.value=a;this.postGain.gain.value=Math.pow(1/a,0.6)*c};y.prototype.shape=
function(a,c,d){var b=1.05*d*c-c;d=0>a?-1:1;a=0>a?-a:a;c=a<c?a:c+b*(1-Math.exp(-(1/b)*(a-c)));return c*d};y.prototype.generateColortouchCurve=function(a,c){for(var d=Math.pow(10,a/20),b=Math.pow(10,c/20),f=0,g=0;32768>g;++g)f=g/32768,f=this.shape(f,d,b),this.curve[32768+g]=f,this.curve[32768-g-1]=-f};y.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};y.prototype.remove=function(){this.inputNode.disconnect();this.preGain.disconnect();
this.waveShaper.disconnect();this.postGain.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};y.prototype.getInputNode=function(){return this.inputNode};y.prototype.setParam=function(a,c,d,b){switch(a){case 0:c/=100,0>c&&(c=0),1<c&&(c=1),this.params[4]=c,p(this.wetNode.gain,c,d,b),p(this.dryNode.gain,1-c,d,b)}};v.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};v.prototype.remove=function(){this.node.disconnect()};v.prototype.getInputNode=function(){return this.node};
v.prototype.setParam=function(a,c,d,b){};t.prototype.tick=function(){this.node.getFloatFrequencyData(this.freqBins);this.node.getByteTimeDomainData(this.signal);for(var a=this.node.fftSize,c=0,d=this.peak=0,f=0;c<a;c++)f=(this.signal[c]-128)/128,0>f&&(f=-f),this.peak<f&&(this.peak=f),d+=f*f;this.peak=b(this.peak);this.rms=b(Math.sqrt(d/a))};t.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};t.prototype.remove=function(){this.node.disconnect()};t.prototype.getInputNode=
function(){return this.node};t.prototype.setParam=function(a,c,d,b){};l.prototype.setObject=function(a){if(this.obj=a)this.lastX=this.obj.x,this.lastY=this.obj.y;this.speeds.length=0};l.prototype.hasObject=function(){return!!this.obj};l.prototype.tick=function(a){this.obj&&0!==a&&(this.moveAngle=cr.angleTo(this.lastX,this.lastY,this.obj.x,this.obj.y),a=cr.distanceTo(this.lastX,this.lastY,this.obj.x,this.obj.y)/a,4>this.speeds.length||this.speeds.shift(),this.speeds.push(a),this.lastX=this.obj.x,this.lastY=
this.obj.y)};l.prototype.getSpeed=function(){if(!this.speeds.length)return 0;var a,c,d=0;a=0;for(c=this.speeds.length;a<c;a++)d+=this.speeds[a];return d/this.speeds.length};l.prototype.getVelocityX=function(){return Math.cos(this.moveAngle)*this.getSpeed()};l.prototype.getVelocityY=function(){return Math.sin(this.moveAngle)*this.getSpeed()};var qa=!1;u.prototype.decodeAudioBuffer=function(){if(!this.bufferObject&&this.audioData){var a=this;if(H.decodeAudioData)H.decodeAudioData(this.audioData,function(c){a.bufferObject=
c;var d,b,f;if(cr.is_undefined(a.playTagWhenReady)||V)cr.is_undefined(a.convolveWhenReady)||(d=a.convolveWhenReady.convolveNode,d.normalize=a.normalizeWhenReady,d.buffer=c);else if(a.panWhenReady.length){d=0;for(b=a.panWhenReady.length;d<b;d++){c=a.panWhenReady[d];f=new w(a,c.thistag);f.setPannerEnabled(!0);if("undefined"!==typeof c.objUid&&(c.obj=G.getObjectByUID(c.objUid),!c.obj))continue;if(c.obj){var g=cr.rotatePtAround(c.obj.x,c.obj.y,-c.obj.layer.getAngle(),aa,ba,!0),e=cr.rotatePtAround(c.obj.x,
c.obj.y,-c.obj.layer.getAngle(),aa,ba,!1);f.setPan(g,e,cr.to_degrees(c.obj.angle-c.obj.layer.getAngle()),c.ia,c.oa,c.og);f.setObject(c.obj)}else f.setPan(c.x,c.y,c.a,c.ia,c.oa,c.og);f.play(a.loopWhenReady,a.volumeWhenReady,a.seekWhenReady);a.pauseWhenReady&&f.pause();P.push(f)}a.panWhenReady.length=0}else f=new w(a,a.playTagWhenReady),f.play(a.loopWhenReady,a.volumeWhenReady,a.seekWhenReady),a.pauseWhenReady&&f.pause(),P.push(f)});else if(this.bufferObject=H.createBuffer(this.audioData,!1),cr.is_undefined(this.playTagWhenReady)||
V)cr.is_undefined(this.convolveWhenReady)||(c=this.convolveWhenReady.convolveNode,c.normalize=this.normalizeWhenReady,c.buffer=this.bufferObject);else{var c=new w(this,this.playTagWhenReady);c.play(this.loopWhenReady,this.volumeWhenReady,this.seekWhenReady);this.pauseWhenReady&&c.pause();P.push(c)}}};u.prototype.isLoaded=function(){switch(this.myapi){case L:return 4<=this.bufferObject.readyState;case D:return!!this.audioData;case O:return!0;case U:return!0}return!1};u.prototype.isLoadedAndDecoded=
function(){switch(this.myapi){case L:return 4<=this.bufferObject.readyState;case D:return!!this.audioData&&!!this.bufferObject;case O:return!0;case U:return!0}return!1};w.prototype.hasEnded=function(){switch(this.myapi){case L:return this.instanceObject.ended;case D:return this.buffer.myapi===D?!this.fresh&&!this.stopped&&this.instanceObject.loop||this.is_paused?!1:G.kahanTime.sum-this.startTime>this.buffer.bufferObject.duration:this.instanceObject.ended;case O:return this.pgended;case U:!0}return!0};
w.prototype.canBeRecycled=function(){return this.fresh||this.stopped?!0:this.hasEnded()};w.prototype.setPannerEnabled=function(a){M===D&&(!this.pannerEnabled&&a?this.gainNode&&(this.pannerNode||(this.pannerNode=H.createPanner(),this.pannerNode.panningModel="number"===typeof this.pannerNode.panningModel?ka:["equalpower","HRTF","soundfield"][ka],this.pannerNode.distanceModel="number"===typeof this.pannerNode.distanceModel?la:["linear","inverse","exponential"][la],this.pannerNode.refDistance=na,this.pannerNode.maxDistance=
oa,this.pannerNode.rolloffFactor=pa),this.gainNode.disconnect(),this.gainNode.connect(this.pannerNode),this.pannerNode.connect(e(this.tag)),this.pannerEnabled=!0):this.pannerEnabled&&!a&&this.gainNode&&(this.pannerNode.disconnect(),this.gainNode.disconnect(),this.gainNode.connect(e(this.tag)),this.pannerEnabled=!1))};w.prototype.setPan=function(a,c,d,b,f,g){this.pannerEnabled&&M===D&&(this.pannerNode.setPosition(a,c,0),this.pannerNode.setOrientation(Math.cos(cr.to_radians(d)),Math.sin(cr.to_radians(d)),
0),this.pannerNode.coneInnerAngle=b,this.pannerNode.coneOuterAngle=f,this.pannerNode.coneOuterGain=g,this.panX=a,this.panY=c,this.panAngle=d,this.panConeInner=b,this.panConeOuter=f,this.panConeOuterGain=g)};w.prototype.setObject=function(a){this.pannerEnabled&&M===D&&(this.objectTracker||(this.objectTracker=new l),this.objectTracker.setObject(a))};w.prototype.tick=function(a){if(this.pannerEnabled&&M===D&&this.objectTracker&&this.objectTracker.hasObject()&&this.isPlaying()){this.objectTracker.tick(a);
a=this.objectTracker.obj;var c=cr.rotatePtAround(a.x,a.y,-a.layer.getAngle(),aa,ba,!0),d=cr.rotatePtAround(a.x,a.y,-a.layer.getAngle(),aa,ba,!1);this.pannerNode.setPosition(c,d,0);c=0;"undefined"!==typeof this.objectTracker.obj.angle&&(c=a.angle-a.layer.getAngle(),this.pannerNode.setOrientation(Math.cos(c),Math.sin(c),0));c=cr.rotatePtAround(this.objectTracker.getVelocityX(),this.objectTracker.getVelocityY(),-a.layer.getAngle(),0,0,!0);d=cr.rotatePtAround(this.objectTracker.getVelocityX(),this.objectTracker.getVelocityY(),
-a.layer.getAngle(),0,0,!1);this.pannerNode.setVelocity(c,d,0)}};w.prototype.play=function(a,c,d){var b=this.instanceObject;this.looping=a;this.volume=c;d=d||0;switch(this.myapi){case L:1!==b.playbackRate&&(b.playbackRate=1);b.volume!==c*Y&&(b.volume=c*Y);b.loop!==a&&(b.loop=a);b.muted&&(b.muted=!1);if(b.currentTime!==d)try{b.currentTime=d}catch(f){}if(this.is_music&&ea&&!G.isInUserInputEvent)fa.push(this);else try{this.instanceObject.play()}catch(g){}break;case D:this.muted=!1;this.mutevol=1;if(this.buffer.myapi===
D)this.fresh||(this.instanceObject=H.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode)),this.instanceObject.loop=a,this.gainNode.gain.value=c*Y,0===d?m(this.instanceObject):n(this.instanceObject,d,this.getDuration());else{1!==b.playbackRate&&(b.playbackRate=1);b.loop!==a&&(b.loop=a);this.gainNode.gain.value=c*Y;if(b.currentTime!==d)try{b.currentTime=d}catch(e){}this.is_music&&ea&&!G.isInUserInputEvent?fa.push(this):b.play()}break;case O:(!this.fresh&&
this.stopped||0!==d)&&b.seekTo(d);b.play();this.pgended=!1;break;case U:G.isDirectCanvas?AppMobi.context.playSound(this.src,a):AppMobi.player.playSound(this.src,a)}this.playbackRate=1;this.startTime=G.kahanTime.sum-d;this.is_paused=this.stopped=this.fresh=!1};w.prototype.stop=function(){switch(this.myapi){case L:this.instanceObject.paused||this.instanceObject.pause();break;case D:this.buffer.myapi===D?c(this.instanceObject):this.instanceObject.paused||this.instanceObject.pause();break;case O:this.instanceObject.stop();
break;case U:G.isDirectCanvas&&AppMobi.context.stopSound(this.src)}this.stopped=!0;this.is_paused=!1};w.prototype.pause=function(){if(!(this.fresh||this.stopped||this.hasEnded()||this.is_paused)){switch(this.myapi){case L:this.instanceObject.paused||this.instanceObject.pause();break;case D:this.buffer.myapi===D?(this.resume_position=this.getPlaybackTime(),this.looping&&(this.resume_position%=this.getDuration()),c(this.instanceObject)):this.instanceObject.paused||this.instanceObject.pause();break;
case O:this.instanceObject.pause();break;case U:G.isDirectCanvas&&AppMobi.context.stopSound(this.src)}this.is_paused=!0}};w.prototype.resume=function(){if(!this.fresh&&!this.stopped&&!this.hasEnded()&&this.is_paused){switch(this.myapi){case L:this.instanceObject.play();break;case D:this.buffer.myapi===D?(this.instanceObject=H.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode),this.instanceObject.loop=this.looping,this.gainNode.gain.value=
Y*this.volume*this.mutevol,this.startTime=G.kahanTime.sum-this.resume_position,n(this.instanceObject,this.resume_position,this.getDuration())):this.instanceObject.play();break;case O:this.instanceObject.play();break;case U:G.isDirectCanvas&&AppMobi.context.resumeSound(this.src)}this.is_paused=!1}};w.prototype.seek=function(a){if(!(this.fresh||this.stopped||this.hasEnded()))switch(this.myapi){case L:try{this.instanceObject.currentTime=a}catch(c){}break;case D:if(this.buffer.myapi===D)this.is_paused?
this.resume_position=a:(this.pause(),this.resume_position=a,this.resume());else try{this.instanceObject.currentTime=a}catch(d){}break;case U:G.isDirectCanvas&&AppMobi.context.seekSound(this.src,a)}};w.prototype.reconnect=function(a){this.myapi===D&&(this.pannerEnabled?(this.pannerNode.disconnect(),this.pannerNode.connect(a)):(this.gainNode.disconnect(),this.gainNode.connect(a)))};w.prototype.getDuration=function(){switch(this.myapi){case L:if("undefined"!==typeof this.instanceObject.duration)return this.instanceObject.duration;
break;case D:return this.buffer.bufferObject.duration;case O:return this.instanceObject.getDuration();case U:if(G.isDirectCanvas)return AppMobi.context.getDurationSound(this.src)}return 0};w.prototype.getPlaybackTime=function(){var a=this.getDuration(),c=0;switch(this.myapi){case L:"undefined"!==typeof this.instanceObject.currentTime&&(c=this.instanceObject.currentTime);break;case D:if(this.buffer.myapi===D){if(this.is_paused)return this.resume_position;c=G.kahanTime.sum-this.startTime}else"undefined"!==
typeof this.instanceObject.currentTime&&(c=this.instanceObject.currentTime);break;case U:G.isDirectCanvas&&(c=AppMobi.context.getPlaybackTimeSound(this.src))}!this.looping&&c>a&&(c=a);return c};w.prototype.isPlaying=function(){return!this.is_paused&&!this.fresh&&!this.stopped&&!this.hasEnded()};w.prototype.setVolume=function(a){this.volume=a;this.updateVolume()};w.prototype.updateVolume=function(){var a=this.volume*Y;switch(this.myapi){case L:this.instanceObject.volume&&this.instanceObject.volume!==
a&&(this.instanceObject.volume=a);break;case D:this.gainNode.gain.value=a*this.mutevol}};w.prototype.getVolume=function(){return this.volume};w.prototype.doSetMuted=function(a){switch(this.myapi){case L:this.instanceObject.muted!==!!a&&(this.instanceObject.muted=!!a);break;case D:this.mutevol=a?0:1,this.gainNode.gain.value=Y*this.volume*this.mutevol}};w.prototype.setMuted=function(a){this.is_muted=!!a;this.doSetMuted(this.is_muted||this.is_silent)};w.prototype.setSilent=function(a){this.is_silent=
!!a;this.doSetMuted(this.is_muted||this.is_silent)};w.prototype.setLooping=function(a){this.looping=a;switch(this.myapi){case L:this.instanceObject.loop!==!!a&&(this.instanceObject.loop=!!a);break;case D:this.instanceObject.loop!==!!a&&(this.instanceObject.loop=!!a);break;case U:G.isDirectCanvas&&AppMobi.context.setLoopingSound(this.src,a)}};w.prototype.setPlaybackRate=function(a){this.playbackRate=a;this.updatePlaybackRate()};w.prototype.updatePlaybackRate=function(){var a=this.playbackRate;if(1===
ia&&!this.is_music||2===ia)a*=G.timescale;switch(this.myapi){case L:this.instanceObject.playbackRate!==a&&(this.instanceObject.playbackRate=a);break;case D:this.buffer.myapi===D?this.instanceObject.playbackRate.value!==a&&(this.instanceObject.playbackRate.value=a):this.instanceObject.playbackRate!==a&&(this.instanceObject.playbackRate=a)}};w.prototype.setSuspended=function(a){switch(this.myapi){case L:a?this.isPlaying()?(this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&
this.instanceObject.play();break;case D:a?this.isPlaying()?(this.buffer.myapi===D?(this.resume_position=this.getPlaybackTime(),this.looping&&(this.resume_position%=this.getDuration()),c(this.instanceObject)):this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&(this.buffer.myapi===D?(this.instanceObject=H.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode),this.instanceObject.loop=this.looping,this.gainNode.gain.value=
Y*this.volume*this.mutevol,this.startTime=G.kahanTime.sum-this.resume_position,n(this.instanceObject,this.resume_position,this.getDuration())):this.instanceObject.play());break;case O:a?this.isPlaying()?(this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&this.instanceObject.play()}};I.Instance=function(a){this.type=a;G=this.runtime=a.runtime;W=this;this.listenerTracker=null;this.listenerZ=-600;!(this.runtime.isiOS||this.runtime.isAndroid&&(this.runtime.isChrome||this.runtime.isAndroidStockBrowser))||
this.runtime.isCrosswalk||this.runtime.isDomFree||(ea=!0);H=null;"undefined"!==typeof AudioContext?(M=D,H=new AudioContext):"undefined"!==typeof webkitAudioContext&&(M=D,H=new webkitAudioContext);(this.runtime.isiOS&&M===D||ea)&&document.addEventListener("touchstart",function(){var a,c,d;!qa&&H&&(a=H.createBuffer(1,1,22050),c=H.createBufferSource(),c.buffer=a,c.connect(H.destination),m(c),qa=!0);if(ea){if(!V)for(a=0,c=fa.length;a<c;++a)d=fa[a],d.stopped||d.is_paused||d.instanceObject.play();fa.length=
0}},!0);M!==D&&(this.runtime.isPhoneGap&&"undefined"!==typeof window.Media?M=O:this.runtime.isAppMobi&&(M=U));M===O&&(S=location.href,a=S.lastIndexOf("/"),-1<a&&(S=S.substr(0,a+1)),S=S.replace("file://",""));if(this.runtime.isSafari&&this.runtime.isWindows&&"undefined"===typeof Audio)alert("It looks like you're using Safari for Windows without Quicktime.  Audio cannot be played until Quicktime is installed."),this.runtime.DestroyInstance(this);else{if(this.runtime.isDirectCanvas)X=this.runtime.isAndroid;
else try{X=!!(new Audio).canPlayType('audio/ogg; codecs="vorbis"')}catch(c){X=!1}this.runtime.tickMe(this)}};var Z=I.Instance.prototype;Z.onCreate=function(){this.runtime.audioInstance=this;ia=this.properties[0];this.saveload=this.properties[1];ka=this.properties[2];la=this.properties[3];this.listenerZ=-this.properties[4];na=this.properties[5];oa=this.properties[6];pa=this.properties[7];this.listenerTracker=new l;M===D&&(H.listener.speedOfSound=this.properties[8],H.listener.dopplerFactor=this.properties[9],
H.listener.setPosition(this.runtime.draw_width/2,this.runtime.draw_height/2,this.listenerZ),H.listener.setOrientation(0,0,1,0,-1,0),window.c2OnAudioMicStream=function(a,c){ca&&ca.disconnect();ja=c.toLowerCase();ca=H.createMediaStreamSource(a);ca.connect(e(ja))});this.runtime.addSuspendCallback(function(a){W.onSuspend(a)});var a=this;this.runtime.addDestroyCallback(function(c){a.onInstanceDestroyed(c)})};Z.onInstanceDestroyed=function(a){var c,d,b;c=0;for(d=P.length;c<d;c++)b=P[c],b.objectTracker&&
b.objectTracker.obj===a&&(b.objectTracker.obj=null,b.pannerEnabled&&b.isPlaying()&&b.looping&&b.stop());this.listenerTracker.obj===a&&(this.listenerTracker.obj=null)};Z.saveToJSON=function(){var a={silent:V,masterVolume:Y,listenerZ:this.listenerZ,listenerUid:this.listenerTracker.hasObject()?this.listenerTracker.obj.uid:-1,playing:[],effects:{}},c=a.playing,d,b,f,g,e,l;d=0;for(b=P.length;d<b;d++)f=P[d],!f.isPlaying()||3===this.saveload||f.is_music&&1===this.saveload||!f.is_music&&2===this.saveload||
(g=f.getPlaybackTime(),f.looping&&(g%=f.getDuration()),g={tag:f.tag,buffersrc:f.buffer.src,is_music:f.is_music,playbackTime:g,volume:f.volume,looping:f.looping,muted:f.is_muted,playbackRate:f.playbackRate,paused:f.is_paused,resume_position:f.resume_position},f.pannerEnabled&&(g.pan={},l=g.pan,f.objectTracker&&f.objectTracker.hasObject()?l.objUid=f.objectTracker.obj.uid:(l.x=f.panX,l.y=f.panY,l.a=f.panAngle),l.ia=f.panConeInner,l.oa=f.panConeOuter,l.og=f.panConeOuterGain),c.push(g));c=a.effects;for(e in Q)if(Q.hasOwnProperty(e)){f=
[];d=0;for(b=Q[e].length;d<b;d++)f.push({type:Q[e][d].type,params:Q[e][d].params});c[e]=f}return a};var ga=[];Z.loadFromJSON=function(a){var c=a.silent;Y=a.masterVolume;this.listenerZ=a.listenerZ;this.listenerTracker.setObject(null);var b=a.listenerUid;-1!==b&&(this.listenerTracker.loadUid=b,ga.push(this.listenerTracker));var b=a.playing,e,h,k,p,m,n,w,u,B,A,C;if(3!==this.saveload)for(e=0,h=P.length;e<h;e++)B=P[e],B.is_music&&1===this.saveload||(B.is_music||2!==this.saveload)&&B.stop();for(m in Q)if(Q.hasOwnProperty(m))for(e=
0,h=Q[m].length;e<h;e++)Q[m][e].remove();cr.wipe(Q);for(m in a.effects)if(a.effects.hasOwnProperty(m))for(n=a.effects[m],e=0,h=n.length;e<h;e++)switch(k=n[e].type,A=n[e].params,k){case "filter":E(m,new g(A[0],A[1],A[2],A[3],A[4],A[5]));break;case "delay":E(m,new f(A[0],A[1],A[2]));break;case "convolve":k=A[2];B=this.getAudioBuffer(k,!1);B.bufferObject?k=new d(B.bufferObject,A[0],A[1],k):(k=new d(null,A[0],A[1],k),B.normalizeWhenReady=A[0],B.convolveWhenReady=k);E(m,k);break;case "flanger":E(m,new q(A[0],
A[1],A[2],A[3],A[4]));break;case "phaser":E(m,new r(A[0],A[1],A[2],A[3],A[4],A[5]));break;case "gain":E(m,new s(A[0]));break;case "tremolo":E(m,new x(A[0],A[1]));break;case "ringmod":E(m,new z(A[0],A[1]));break;case "distortion":E(m,new y(A[0],A[1],A[2],A[3],A[4]));break;case "compressor":E(m,new v(A[0],A[1],A[2],A[3],A[4]));break;case "analyser":E(m,new t(A[0],A[1]))}e=0;for(h=b.length;e<h;e++)3===this.saveload||(a=b[e],k=a.buffersrc,p=a.is_music,m=a.tag,n=a.playbackTime,w=a.looping,u=a.volume,C=
(A=a.pan)&&A.hasOwnProperty("objUid")?A.objUid:-1,p&&1===this.saveload)||!p&&2===this.saveload||((B=this.getAudioInstance(k,m,p,w,u))?(B.resume_position=a.resume_position,B.setPannerEnabled(!!A),B.play(w,u,n),B.updatePlaybackRate(),B.updateVolume(),B.doSetMuted(B.is_muted||B.is_silent),a.paused&&B.pause(),a.muted&&B.setMuted(!0),B.doSetMuted(B.is_muted||B.is_silent),A&&(-1!==C?(B.objectTracker=B.objectTracker||new l,B.objectTracker.loadUid=C,ga.push(B.objectTracker)):B.setPan(A.x,A.y,A.a,A.ia,A.oa,
A.og))):(B=this.getAudioBuffer(k,p),B.seekWhenReady=n,B.pauseWhenReady=a.paused,A&&(-1!==C?B.panWhenReady.push({objUid:C,ia:A.ia,oa:A.oa,og:A.og,thistag:m}):B.panWhenReady.push({x:A.x,y:A.y,a:A.a,ia:A.ia,oa:A.oa,og:A.og,thistag:m}))));if(c&&!V){e=0;for(h=P.length;e<h;e++)P[e].setSilent(!0);V=!0}else if(!c&&V){e=0;for(h=P.length;e<h;e++)P[e].setSilent(!1);V=!1}};Z.afterLoad=function(){var a,c,d,b;a=0;for(c=ga.length;a<c;a++)d=ga[a],b=this.runtime.getObjectByUID(d.loadUid),d.setObject(b),d.loadUid=
-1,b&&(aa=b.x,ba=b.y);ga.length=0};Z.onSuspend=function(a){var c,d;c=0;for(d=P.length;c<d;c++)P[c].setSuspended(a)};Z.tick=function(){var a=this.runtime.dt,c,d,b;c=0;for(d=P.length;c<d;c++)b=P[c],b.tick(a),b.myapi===L||b.myapi===U||b.fresh||b.stopped||!b.hasEnded()||(b.stopped=!0,K=b.tag,G.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,W)),0!==ia&&b.updatePlaybackRate();var f,g;for(f in Q)if(Q.hasOwnProperty(f))for(b=Q[f],c=0,d=b.length;c<d;c++)g=b[c],g.tick&&g.tick();M===D&&this.listenerTracker.hasObject()&&
(this.listenerTracker.tick(a),aa=this.listenerTracker.obj.x,ba=this.listenerTracker.obj.y,H.listener.setPosition(this.listenerTracker.obj.x,this.listenerTracker.obj.y,this.listenerZ),H.listener.setVelocity(this.listenerTracker.getVelocityX(),this.listenerTracker.getVelocityY(),0))};var ha=[];Z.setPreloadList=function(a){var c,d,b,f,g,e=0;c=0;for(d=a.length;c<d;++c)if(b=a[c],f=b[0],b=2*b[1],(g=4<f.length&&".ogg"===f.substr(f.length-4))&&X||!g&&!X)ha.push({filename:f,size:b,obj:null}),e+=b;return e};
Z.startPreloads=function(){var a,c,d,b;a=0;for(c=ha.length;a<c;++a)d=ha[a],b=this.runtime.files_subfolder+d.filename,d.obj=this.getAudioBuffer(b,!1)};Z.getPreloadedSize=function(){var a=0,c,d,b;c=0;for(d=ha.length;c<d;++c)b=ha[c],b.obj.isLoadedAndDecoded()?a+=b.size:b.obj.isLoaded()&&(a+=Math.floor(b.size/2));return a};Z.getAudioBuffer=function(a,c){var d,b,f,g=null;d=0;for(b=da.length;d<b;d++)if(f=da[d],f.src===a){g=f;break}g||(g=new u(a,c),da.push(g));return g};Z.getAudioInstance=function(a,c,d,
b,f){var g,e,l;g=0;for(e=P.length;g<e;g++)if(l=P[g],l.src===a&&(l.canBeRecycled()||d))return l.tag=c,l;a=this.getAudioBuffer(a,d);if(!a.bufferObject)return"<preload>"!==c&&(a.playTagWhenReady=c,a.loopWhenReady=b,a.volumeWhenReady=f),null;l=new w(a,c);P.push(l);return l};var R=[];F.prototype.OnEnded=function(a){return cr.equals_nocase(K,a)};F.prototype.PreloadsComplete=function(){var a,c;a=0;for(c=da.length;a<c;a++)if(!da[a].isLoaded())return!1;return!0};F.prototype.AdvancedAudioSupported=function(){return M===
D};F.prototype.IsSilent=function(){return V};F.prototype.IsAnyPlaying=function(){var a,c;a=0;for(c=P.length;a<c;a++)if(P[a].isPlaying())return!0;return!1};F.prototype.IsTagPlaying=function(a){B(a);var c;a=0;for(c=R.length;a<c;a++)if(R[a].isPlaying())return!0;return!1};I.cnds=new F;C.prototype.Play=function(c,d,b,f){!V&&(b=a(b),T=this.getAudioInstance(this.runtime.files_subfolder+c[0]+(X?".ogg":".m4a"),f,c[1],0!==d,b))&&(T.setPannerEnabled(!1),T.play(0!==d,b))};C.prototype.PlayAtPosition=function(c,
d,b,f,g,e,l,h,k,q){if(!V){b=a(b);var p=c[1];c=this.runtime.files_subfolder+c[0]+(X?".ogg":".m4a");(T=this.getAudioInstance(c,q,p,0!==d,b))?(T.setPannerEnabled(!0),T.setPan(f,g,e,l,h,a(k)),T.play(0!==d,b)):this.getAudioBuffer(c,p).panWhenReady.push({x:f,y:g,a:e,ia:l,oa:h,og:a(k),thistag:q})}};C.prototype.PlayAtObject=function(c,d,b,f,g,e,l,h){if(!V&&f&&(f=f.getFirstPicked())){b=a(b);var k=c[1];c=this.runtime.files_subfolder+c[0]+(X?".ogg":".m4a");(T=this.getAudioInstance(c,h,k,0!==d,b))?(T.setPannerEnabled(!0),
h=cr.rotatePtAround(f.x,f.y,-f.layer.getAngle(),aa,ba,!0),c=cr.rotatePtAround(f.x,f.y,-f.layer.getAngle(),aa,ba,!1),T.setPan(h,c,cr.to_degrees(f.angle-f.layer.getAngle()),g,e,a(l)),T.setObject(f),T.play(0!==d,b)):this.getAudioBuffer(c,k).panWhenReady.push({obj:f,ia:g,oa:e,og:a(l),thistag:h})}};C.prototype.PlayByName=function(c,d,b,f,g){!V&&(f=a(f),c=1===c,d=this.runtime.files_subfolder+d.toLowerCase()+(X?".ogg":".m4a"),T=this.getAudioInstance(d,g,c,0!==b,f))&&(T.setPannerEnabled(!1),T.play(0!==b,
f))};C.prototype.PlayAtPositionByName=function(c,d,b,f,g,e,l,h,k,q,p){V||(f=a(f),c=1===c,d=this.runtime.files_subfolder+d.toLowerCase()+(X?".ogg":".m4a"),(T=this.getAudioInstance(d,p,c,0!==b,f))?(T.setPannerEnabled(!0),T.setPan(g,e,l,h,k,a(q)),T.play(0!==b,f)):this.getAudioBuffer(d,c).panWhenReady.push({x:g,y:e,a:l,ia:h,oa:k,og:a(q),thistag:p}))};C.prototype.PlayAtObjectByName=function(c,d,b,f,g,e,l,h,k){!V&&g&&(g=g.getFirstPicked())&&(f=a(f),c=1===c,d=this.runtime.files_subfolder+d.toLowerCase()+
(X?".ogg":".m4a"),(T=this.getAudioInstance(d,k,c,0!==b,f))?(T.setPannerEnabled(!0),k=cr.rotatePtAround(g.x,g.y,-g.layer.getAngle(),aa,ba,!0),d=cr.rotatePtAround(g.x,g.y,-g.layer.getAngle(),aa,ba,!1),T.setPan(k,d,cr.to_degrees(g.angle-g.layer.getAngle()),e,l,a(h)),T.setObject(g),T.play(0!==b,f)):this.getAudioBuffer(d,c).panWhenReady.push({obj:g,ia:e,oa:l,og:a(h),thistag:k}))};C.prototype.SetLooping=function(a,c){B(a);var d,b;d=0;for(b=R.length;d<b;d++)R[d].setLooping(0===c)};C.prototype.SetMuted=function(a,
c){B(a);var d,b;d=0;for(b=R.length;d<b;d++)R[d].setMuted(0===c)};C.prototype.SetVolume=function(c,d){B(c);var b=a(d),f,g;f=0;for(g=R.length;f<g;f++)R[f].setVolume(b)};C.prototype.Preload=function(a){if(!V){var c=a[1];a=this.runtime.files_subfolder+a[0]+(X?".ogg":".m4a");M===U?this.runtime.isDirectCanvas?AppMobi.context.loadSound(a):AppMobi.player.loadSound(a):M!==O&&this.getAudioInstance(a,"<preload>",c,!1)}};C.prototype.PreloadByName=function(a,c){if(!V){var d=1===a,b=this.runtime.files_subfolder+
c.toLowerCase()+(X?".ogg":".m4a");M===U?this.runtime.isDirectCanvas?AppMobi.context.loadSound(b):AppMobi.player.loadSound(b):M!==O&&this.getAudioInstance(b,"<preload>",d,!1)}};C.prototype.SetPlaybackRate=function(a,c){B(a);0>c&&(c=0);var d,b;d=0;for(b=R.length;d<b;d++)R[d].setPlaybackRate(c)};C.prototype.Stop=function(a){B(a);var c;a=0;for(c=R.length;a<c;a++)R[a].stop()};C.prototype.StopAll=function(){var a,c;a=0;for(c=P.length;a<c;a++)P[a].stop()};C.prototype.SetPaused=function(a,c){B(a);var d,b;
d=0;for(b=R.length;d<b;d++)0===c?R[d].pause():R[d].resume()};C.prototype.Seek=function(a,c){B(a);var d,b;d=0;for(b=R.length;d<b;d++)R[d].seek(c)};C.prototype.SetSilent=function(a){var c;2===a&&(a=V?1:0);if(0===a&&!V){a=0;for(c=P.length;a<c;a++)P[a].setSilent(!0);V=!0}else if(1===a&&V){a=0;for(c=P.length;a<c;a++)P[a].setSilent(!1);V=!1}};C.prototype.SetMasterVolume=function(c){Y=a(c);var d;c=0;for(d=P.length;c<d;c++)P[c].updateVolume()};C.prototype.AddFilterEffect=function(a,c,d,b,f,e,l){M!==D||0>
c||c>=ma.length||!H.createBiquadFilter||(a=a.toLowerCase(),l/=100,0>l&&(l=0),1<l&&(l=1),E(a,new g(c,d,b,f,e,l)))};C.prototype.AddDelayEffect=function(c,d,b,g){M===D&&(c=c.toLowerCase(),g/=100,0>g&&(g=0),1<g&&(g=1),E(c,new f(d,a(b),g)))};C.prototype.AddFlangerEffect=function(a,c,d,b,f,g){M===D&&H.createOscillator&&(a=a.toLowerCase(),g/=100,0>g&&(g=0),1<g&&(g=1),E(a,new q(c/1E3,d/1E3,b,f/100,g)))};C.prototype.AddPhaserEffect=function(a,c,d,b,f,g,e){M===D&&H.createOscillator&&(a=a.toLowerCase(),e/=100,
0>e&&(e=0),1<e&&(e=1),E(a,new r(c,d,b,f,g,e)))};C.prototype.AddConvolutionEffect=function(a,c,b,f){if(M===D&&H.createConvolver){b=0===b;var g=this.runtime.files_subfolder+c[0]+(X?".ogg":".m4a");c=this.getAudioBuffer(g,!1);a=a.toLowerCase();f/=100;0>f&&(f=0);1<f&&(f=1);c.bufferObject?f=new d(c.bufferObject,b,f,g):(f=new d(null,b,f,g),c.normalizeWhenReady=b,c.convolveWhenReady=f);E(a,f)}};C.prototype.AddGainEffect=function(c,d){M===D&&(c=c.toLowerCase(),E(c,new s(a(d))))};C.prototype.AddMuteEffect=
function(a){M===D&&(a=a.toLowerCase(),E(a,new s(0)))};C.prototype.AddTremoloEffect=function(a,c,d){M===D&&H.createOscillator&&(a=a.toLowerCase(),d/=100,0>d&&(d=0),1<d&&(d=1),E(a,new x(c,d)))};C.prototype.AddRingModEffect=function(a,c,d){M===D&&H.createOscillator&&(a=a.toLowerCase(),d/=100,0>d&&(d=0),1<d&&(d=1),E(a,new z(c,d)))};C.prototype.AddDistortionEffect=function(a,c,d,b,f,g){M===D&&H.createWaveShaper&&(a=a.toLowerCase(),g/=100,0>g&&(g=0),1<g&&(g=1),E(a,new y(c,d,b,f,g)))};C.prototype.AddCompressorEffect=
function(a,c,d,b,f,g){M===D&&H.createDynamicsCompressor&&(a=a.toLowerCase(),E(a,new v(c,d,b,f/1E3,g/1E3)))};C.prototype.AddAnalyserEffect=function(a,c,d){M===D&&(a=a.toLowerCase(),E(a,new t(c,d)))};C.prototype.RemoveEffects=function(a){if(M===D){a=a.toLowerCase();var c,d,b;if(Q.hasOwnProperty(a)&&(b=Q[a],b.length)){c=0;for(d=b.length;c<d;c++)b[c].remove();b.length=0;A(a)}}};C.prototype.SetEffectParameter=function(a,c,d,b,f,g){M===D&&(a=a.toLowerCase(),c=Math.floor(c),Q.hasOwnProperty(a)&&(a=Q[a],
0>c||c>=a.length||a[c].setParam(d,b,f,g)))};C.prototype.SetListenerObject=function(a){a&&M===D&&(a=a.getFirstPicked())&&(this.listenerTracker.setObject(a),aa=a.x,ba=a.y)};C.prototype.SetListenerZ=function(a){this.listenerZ=a};I.acts=new C;N.prototype.Duration=function(a,c){B(c);R.length?a.set_float(R[0].getDuration()):a.set_float(0)};N.prototype.PlaybackTime=function(a,c){B(c);R.length?a.set_float(R[0].getPlaybackTime()):a.set_float(0)};N.prototype.Volume=function(a,c){B(c);if(R.length){var d=R[0].getVolume();
a.set_float(b(d))}else a.set_float(0)};N.prototype.MasterVolume=function(a){a.set_float(Y)};N.prototype.EffectCount=function(a,c){c=c.toLowerCase();var d=null;Q.hasOwnProperty(c)&&(d=Q[c]);a.set_int(d?d.length:0)};N.prototype.AnalyserFreqBinCount=function(a,c,d){c=c.toLowerCase();d=Math.floor(d);c=J(c,d);a.set_int(c?c.node.frequencyBinCount:0)};N.prototype.AnalyserFreqBinAt=function(a,c,d,b){c=c.toLowerCase();d=Math.floor(d);b=Math.floor(b);(c=J(c,d))?0>b||b>=c.node.frequencyBinCount?a.set_float(0):
a.set_float(c.freqBins[b]):a.set_float(0)};N.prototype.AnalyserPeakLevel=function(a,c,d){c=c.toLowerCase();d=Math.floor(d);(c=J(c,d))?a.set_float(c.peak):a.set_float(0)};N.prototype.AnalyserRMSLevel=function(a,c,d){c=c.toLowerCase();d=Math.floor(d);(c=J(c,d))?a.set_float(c.rms):a.set_float(0)};I.exps=new N})();cr.plugins_.CJSAds=function(a){this.runtime=a};
(function(){function a(){}function b(){}function e(){}var k="",h=[],m=0,n=0,c=!1,p=!1,g=!1,f=cr.plugins_.CJSAds.prototype;f.Type=function(a){this.plugin=a;this.runtime=a.runtime};f.Type.prototype.onCreate=function(){};f.Instance=function(a){this.type=a;this.runtime=a.runtime};f.Instance.prototype.onCreate=function(){this.isShowingFullscreen=this.isShowingBanner=!1;this.triggerProduct="";this.socialService=null;this.socialServiceAvailable=!1;this.storeServiceAvailable=this.runtime.isCocoonJs&&"undefined"!==
typeof CocoonJS.Store.nativeExtensionObjectAvailable;this.storeManaged=1!==this.properties[0];this.storeSandboxed=0!==this.properties[1];this.onConsumePurchaseCompleted=this.onConsumePurchaseFailedTransactionId="";var a=this;this.runtime.isCocoonJs&&(CocoonJS.App.onTextDialogFinished.addEventListener(function(c){k=c;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnKeyboardOK,a)}),CocoonJS.App.onTextDialogCancelled.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnKeyboardCancelled,
a)}),CocoonJS.Ad.onBannerShown.addEventListener(function(){a.isShowingBanner=!0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnBannerShown,a)}),CocoonJS.Ad.onBannerReady.addEventListener(function(){p=!0;c||(CocoonJS.Ad.setBannerLayout(n),CocoonJS.Ad.showBanner())}),CocoonJS.Ad.onFullScreenShown.addEventListener(function(){a.isShowingFullscreen=!0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnFullscreenShown,a)}),CocoonJS.Ad.onFullScreenHidden.addEventListener(function(){a.isShowingFullscreen=
!1;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnFullscreenHidden,a)}),CocoonJS.Ad.onFullScreenReady.addEventListener(function(){g=!0;preloadFullScreen||CocoonJS.Ad.showFullScreen()}),this.storeServiceAvailable&&(CocoonJS.Store.onProductPurchaseCompleted.addEventListener(function(c){a.triggerProduct=c.productId;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,a);CocoonJS.Store.addPurchase(c);CocoonJS.Store.consumePurchase(c.transactionId,c.productId);CocoonJS.Store.finishPurchase(c.transactionId)}),
CocoonJS.Store.onConsumePurchaseFailed.addEventListener(function(c,b){this.onConsumePurchaseFailedTransactionId=c;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseFailed,a)}),CocoonJS.Store.onConsumePurchaseCompleted.addEventListener(function(c){this.onConsumePurchaseCompleted=c;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseCompleted,a)}),CocoonJS.Store.onProductPurchaseFailed.addEventListener(function(c,b){a.triggerProduct=c;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,
a)}),CocoonJS.Store.onProductPurchaseStarted.addEventListener(function(c){a.triggerProduct=c.productId;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseStart,a)}),CocoonJS.Store.onProductsFetchStarted.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchStarted,a)}),CocoonJS.Store.onProductsFetchFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchFailed,a)}),CocoonJS.Store.onProductsFetchCompleted.addEventListener(function(c){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchCompleted,
a)}),CocoonJS.Store.requestInitialization({managed:this.storeManaged,sandbox:this.storeSandboxed}),CocoonJS.Store.start()),this.socialService=CocoonJS.SocialGaming.GameCenter,this.socialServiceAvailable=!!this.socialService.nativeExtensionObjectAvailable,this.socialService.onRequestLoginSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLoginSuccess,a)}),this.socialService.onRequestLoginFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLoginFail,
a)}),this.socialService.onLogout.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLogout,a)}),this.socialService.onRequestUserScoreSucceed.addEventListener(function(c){m=c.score||0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreReceived,a)}),this.socialService.onRequestUserScoreFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreUnavailable,a)}),this.socialService.onSubmitUserScoreSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreSubmitSuccess,
a)}),this.socialService.onSubmitUserScoreFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreSubmitFail,a)}),this.socialService.onLeaderboardViewSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLeaderboardOpen,a)}),this.socialService.onLeaderboardViewClosed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLeaderboardClose,a)}))};a.prototype.IsShowingBanner=function(){return this.isShowingBanner};
a.prototype.IsCocoonJS=function(){return this.runtime.isCocoonJs};a.prototype.OnBannerShown=function(){return!0};a.prototype.OnFullscreenShown=function(){return!0};a.prototype.OnFullscreenHidden=function(){return!0};a.prototype.IsShowingFullscreen=function(){return this.isShowingFullscreen};a.prototype.IsStoreAvailable=function(){return this.runtime.isCocoonJs?this.storeServiceAvailable&&CocoonJS.Store.canPurchase():!1};a.prototype.OnPurchaseStart=function(a){return this.triggerProduct===a};a.prototype.OnPurchaseComplete=
function(a){return this.triggerProduct===a};a.prototype.OnPurchaseFail=function(a){return this.triggerProduct===a};a.prototype.onProductsFetchStarted=function(){return!0};a.prototype.onConsumePurchaseFailed=function(){return!0};a.prototype.onProductsFetchCompleted=function(){return!0};a.prototype.onProductsFetchFailed=function(){return!0};a.prototype.IsProductPurchased=function(a){return this.runtime.isCocoonJs?CocoonJS.Store.isProductPurchased(a):!1};a.prototype.OnKeyboardCancelled=function(){return!0};
a.prototype.OnKeyboardOK=function(){return!0};a.prototype.IsGCAvailable=function(){return this.socialServiceAvailable};a.prototype.IsGCLoggedIn=function(){return this.socialServiceAvailable?this.socialService.isLoggedIn():!1};a.prototype.OnGCLoginSuccess=function(){return!0};a.prototype.OnGCLoginFail=function(){return!0};a.prototype.OnGCLogout=function(){return!0};a.prototype.OnGCScoreReceived=function(){return!0};a.prototype.OnGCScoreUnavailable=function(){return!0};a.prototype.OnGCScoreSubmitSuccess=
function(){return!0};a.prototype.OnGCScoreSubmitFail=function(){return!0};a.prototype.OnGCLeaderboardOpen=function(){return!0};a.prototype.OnGCLeaderboardClose=function(){return!0};f.cnds=new a;b.prototype.ShowBanner=function(a){this.runtime.isCocoonJs&&(n=0===a?CocoonJS.Ad.BannerLayout.TOP_CENTER:CocoonJS.Ad.BannerLayout.BOTTOM_CENTER,c=!1,p?(CocoonJS.Ad.setBannerLayout(n),CocoonJS.Ad.showBanner()):CocoonJS.Ad.preloadBanner())};b.prototype.ShowFullscreen=function(){this.runtime.isCocoonJs&&(g?CocoonJS.Ad.showFullScreen():
CocoonJS.Ad.preloadFullScreen())};b.prototype.HideBanner=function(){this.runtime.isCocoonJs&&(CocoonJS.Ad.hideBanner(),this.isShowingBanner=!1)};b.prototype.PreloadBanner=function(){this.runtime.isCocoonJs&&(c=!0,CocoonJS.Ad.preloadBanner())};b.prototype.PreloadFullscreen=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.preloadFullScreen()};b.prototype.RefreshBanner=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.refreshBanner()};b.prototype.RefreshFullscreen=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.refreshFullScreen()};
b.prototype.Purchase=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.purchaseProduct(a)};b.prototype.fetchProductsFromStore=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.fetchProductsFromStore(a.split(","))};b.prototype.restorePurchases=function(){if(this.runtime.isCocoonJs)return CocoonJS.Store.restorePurchases()};b.prototype.PurchasePreview=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.purchaseProductModalWithPreview(a)};b.prototype.RestorePurchases=function(){this.runtime.isCocoonJs&&
CocoonJS.Store.restorePurchases()};b.prototype.PromptKeyboard=function(a,c,b,f,g,e){this.runtime.isCocoonJs&&CocoonJS.App.showTextDialog(a,c,b,["text","num","phone","email","url"][f],g,e)};b.prototype.UpdateProductsList=function(){this.runtime.isCocoonJs&&CocoonJS.Store.canPurchase()&&(h=CocoonJS.Store.getProducts())};b.prototype.GCLogin=function(){this.socialServiceAvailable&&!this.socialService.isLoggedIn()&&this.socialService.requestLogin()};b.prototype.GCLogout=function(){this.socialServiceAvailable&&
this.socialService.isLoggedIn()&&this.socialService.requestLogout()};b.prototype.GCSubmitScore=function(a,c){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.submitUserScore(a,c)};b.prototype.GCRequestScore=function(a){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.requestUserScore(a)};b.prototype.GCOpenLeaderboard=function(a){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.showLeaderboardView(a)};f.acts=
new b;e.prototype.InputText=function(a){a.set_string(k)};e.prototype.ProductCount=function(a){a.set_int(h.length)};e.prototype.ProductDescription=function(a,c){c=Math.floor(c);0>c||c>=h.length?a.set_string(""):a.set_string(h[c].description)};e.prototype.ProductLocalizedPrice=function(a,c){c=Math.floor(c);0>c||c>=h.length?a.set_string(""):a.set_string(h[c].localizedPrice)};e.prototype.ProductPrice=function(a,c){c=Math.floor(c);0>c||c>=h.length?a.set_string(""):a.set_string(h[c].price)};e.prototype.ProductAlias=
function(a,c){c=Math.floor(c);0>c||c>=h.length?a.set_string(""):a.set_string(h[c].productAlias)};e.prototype.ProductID=function(a,c){c=Math.floor(c);0>c||c>=h.length?a.set_string(""):a.set_string(h[c].productId)};e.prototype.ProductTitle=function(a,c){c=Math.floor(c);0>c||c>=h.length?a.set_string(""):a.set_string(h[c].title)};e.prototype.GameCenterScore=function(a){a.set_float(m)};f.exps=new e})();cr.plugins_.Particles=function(a){this.runtime=a};
(function(){function a(a){this.owner=a;this.active=!1;this.angle=this.speed=this.y=this.x=0;this.opacity=1;this.age=this.gs=this.size=this.grow=0;cr.seal(this)}function b(){}function e(){}function k(){}var h=cr.plugins_.Particles.prototype;h.Type=function(a){this.plugin=a;this.runtime=a.runtime};var m=h.Type.prototype;m.onCreate=function(){this.is_family||(this.texture_img=new Image,this.texture_img.idtkLoadDisposed=!0,this.texture_img.src=this.texture_file,this.texture_img.cr_filesize=this.texture_filesize,
this.webGL_texture=null,this.runtime.waitForImageLoad(this.texture_img))};m.onLostWebGLContext=function(){this.is_family||(this.webGL_texture=null)};m.onRestoreWebGLContext=function(){this.is_family||!this.instances.length||this.webGL_texture||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,!0,this.runtime.linearSampling,this.texture_pixelformat))};m.loadTextures=function(){this.is_family||this.webGL_texture||!this.runtime.glwrap||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,
!0,this.runtime.linearSampling,this.texture_pixelformat))};m.unloadTextures=function(){this.is_family||this.instances.length||!this.webGL_texture||(this.runtime.glwrap.deleteTexture(this.webGL_texture),this.webGL_texture=null)};m.preloadCanvas2D=function(a){a.drawImage(this.texture_img,0,0)};a.prototype.init=function(){var a=this.owner;this.x=a.x-a.xrandom/2+Math.random()*a.xrandom;this.y=a.y-a.yrandom/2+Math.random()*a.yrandom;this.speed=a.initspeed-a.speedrandom/2+Math.random()*a.speedrandom;this.angle=
a.angle-a.spraycone/2+Math.random()*a.spraycone;this.opacity=a.initopacity;this.size=a.initsize-a.sizerandom/2+Math.random()*a.sizerandom;this.grow=a.growrate-a.growrandom/2+Math.random()*a.growrandom;this.age=this.gs=0};a.prototype.tick=function(a){var b=this.owner;this.x+=Math.cos(this.angle)*this.speed*a;this.y+=Math.sin(this.angle)*this.speed*a;this.y+=this.gs*a;this.speed+=b.acc*a;this.size+=this.grow*a;this.gs+=b.g*a;this.age+=a;1>this.size?this.active=!1:(0!==b.lifeanglerandom&&(this.angle+=
Math.random()*b.lifeanglerandom*a-b.lifeanglerandom*a/2),0!==b.lifespeedrandom&&(this.speed+=Math.random()*b.lifespeedrandom*a-b.lifespeedrandom*a/2),0!==b.lifeopacityrandom&&(this.opacity+=Math.random()*b.lifeopacityrandom*a-b.lifeopacityrandom*a/2,0>this.opacity?this.opacity=0:1<this.opacity&&(this.opacity=1)),1>=b.destroymode&&this.age>=b.timeout&&(this.active=!1),2===b.destroymode&&0>=this.speed&&(this.active=!1))};a.prototype.draw=function(a){var b=this.owner.opacity*this.opacity;if(0!==b){0===
this.owner.destroymode&&(b*=1-this.age/this.owner.timeout);a.globalAlpha=b;var b=this.x-this.size/2,g=this.y-this.size/2;this.owner.runtime.pixel_rounding&&(b=b+0.5|0,g=g+0.5|0);a.drawImage(this.owner.type.texture_img,b,g,this.size,this.size)}};a.prototype.drawGL=function(a){var b=this.owner.opacity*this.opacity;0===this.owner.destroymode&&(b*=1-this.age/this.owner.timeout);var g=this.size,f=g*this.owner.particlescale,d=this.x-g/2,e=this.y-g/2;this.owner.runtime.pixel_rounding&&(d=d+0.5|0,e=e+0.5|
0);1>f||0===b||(f<a.minPointSize||f>a.maxPointSize?(a.setOpacity(b),a.quad(d,e,d+g,e,d+g,e+g,d,e+g)):a.point(this.x,this.y,f,b))};a.prototype.left=function(){return this.x-this.size/2};a.prototype.right=function(){return this.x+this.size/2};a.prototype.top=function(){return this.y-this.size/2};a.prototype.bottom=function(){return this.y+this.size/2};h.Instance=function(a){this.type=a;this.runtime=a.runtime};var m=h.Instance.prototype,n=[];m.onCreate=function(){var a=this.properties;this.rate=a[0];
this.spraycone=cr.to_radians(a[1]);this.spraytype=a[2];this.spraying=!0;this.initspeed=a[3];this.initsize=a[4];this.initopacity=a[5]/100;this.growrate=a[6];this.xrandom=a[7];this.yrandom=a[8];this.speedrandom=a[9];this.sizerandom=a[10];this.growrandom=a[11];this.acc=a[12];this.g=a[13];this.lifeanglerandom=a[14];this.lifespeedrandom=a[15];this.lifeopacityrandom=a[16];this.destroymode=a[17];this.timeout=a[18];this.particleCreateCounter=0;this.particlescale=1;this.particleBoxLeft=this.x;this.particleBoxTop=
this.y;this.particleBoxRight=this.x;this.particleBoxBottom=this.y;this.add_bbox_changed_callback(function(a){a.bbox.set(a.particleBoxLeft,a.particleBoxTop,a.particleBoxRight,a.particleBoxBottom);a.bquad.set_from_rect(a.bbox);a.bbox_changed=!1;a.update_collision_cell()});this.recycled||(this.particles=[]);this.runtime.tickMe(this);this.type.loadTextures();if(1===this.spraytype)for(a=0;a<this.rate;a++)this.allocateParticle().opacity=0;this.first_tick=!0};m.saveToJSON=function(){var a={r:this.rate,sc:this.spraycone,
st:this.spraytype,s:this.spraying,isp:this.initspeed,isz:this.initsize,io:this.initopacity,gr:this.growrate,xr:this.xrandom,yr:this.yrandom,spr:this.speedrandom,szr:this.sizerandom,grnd:this.growrandom,acc:this.acc,g:this.g,lar:this.lifeanglerandom,lsr:this.lifespeedrandom,lor:this.lifeopacityrandom,dm:this.destroymode,to:this.timeout,pcc:this.particleCreateCounter,ft:this.first_tick,p:[]},b,g,f,d=a.p;b=0;for(g=this.particles.length;b<g;b++)f=this.particles[b],d.push([f.x,f.y,f.speed,f.angle,f.opacity,
f.grow,f.size,f.gs,f.age]);return a};m.loadFromJSON=function(a){this.rate=a.r;this.spraycone=a.sc;this.spraytype=a.st;this.spraying=a.s;this.initspeed=a.isp;this.initsize=a.isz;this.initopacity=a.io;this.growrate=a.gr;this.xrandom=a.xr;this.yrandom=a.yr;this.speedrandom=a.spr;this.sizerandom=a.szr;this.growrandom=a.grnd;this.acc=a.acc;this.g=a.g;this.lifeanglerandom=a.lar;this.lifespeedrandom=a.lsr;this.lifeopacityrandom=a.lor;this.destroymode=a.dm;this.timeout=a.to;this.particleCreateCounter=a.pcc;
this.first_tick=a.ft;n.push.apply(n,this.particles);this.particles.length=0;var b,g,f,d=a.p;a=0;for(b=d.length;a<b;a++)g=this.allocateParticle(),f=d[a],g.x=f[0],g.y=f[1],g.speed=f[2],g.angle=f[3],g.opacity=f[4],g.grow=f[5],g.size=f[6],g.gs=f[7],g.age=f[8]};m.onDestroy=function(){n.push.apply(n,this.particles);this.particles.length=0};m.allocateParticle=function(){var c;n.length?(c=n.pop(),c.owner=this):c=new a(this);this.particles.push(c);c.active=!0;return c};m.tick=function(){var a=this.runtime.getDt(this),
b,g,f,d;if(0===this.spraytype&&this.spraying)for(this.particleCreateCounter+=a*this.rate,g=cr.floor(this.particleCreateCounter),this.particleCreateCounter-=g,b=0;b<g;b++)f=this.allocateParticle(),f.init();this.particleBoxLeft=this.x;this.particleBoxTop=this.y;this.particleBoxRight=this.x;this.particleBoxBottom=this.y;d=b=0;for(g=this.particles.length;b<g;b++)f=this.particles[b],this.particles[d]=f,this.runtime.redraw=!0,1===this.spraytype&&this.first_tick&&f.init(),f.tick(a),f.active?(f.left()<this.particleBoxLeft&&
(this.particleBoxLeft=f.left()),f.right()>this.particleBoxRight&&(this.particleBoxRight=f.right()),f.top()<this.particleBoxTop&&(this.particleBoxTop=f.top()),f.bottom()>this.particleBoxBottom&&(this.particleBoxBottom=f.bottom()),d++):n.push(f);this.particles.length=d;this.set_bbox_changed();this.first_tick=!1;1===this.spraytype&&0===this.particles.length&&this.runtime.DestroyInstance(this)};m.draw=function(a){var b,g,f,d=this.layer;b=0;for(g=this.particles.length;b<g;b++)f=this.particles[b],f.right()>=
d.viewLeft&&f.bottom()>=d.viewTop&&f.left()<=d.viewRight&&f.top()<=d.viewBottom&&f.draw(a)};m.drawGL=function(a){this.particlescale=this.layer.getScale();a.setTexture(this.type.webGL_texture);var b,g,f,d=this.layer;b=0;for(g=this.particles.length;b<g;b++)f=this.particles[b],f.right()>=d.viewLeft&&f.bottom()>=d.viewTop&&f.left()<=d.viewRight&&f.top()<=d.viewBottom&&f.drawGL(a)};b.prototype.IsSpraying=function(){return this.spraying};h.cnds=new b;e.prototype.SetSpraying=function(a){this.spraying=0!==
a};e.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};e.prototype.SetRate=function(a){this.rate=a;var b;if(1===this.spraytype&&this.first_tick)if(a<this.particles.length)for(a=this.particles.length-a,b=0;b<a;b++)n.push(this.particles.pop());else if(a>this.particles.length)for(a-=this.particles.length,b=0;b<a;b++)this.allocateParticle().opacity=0};e.prototype.SetSprayCone=function(a){this.spraycone=cr.to_radians(a)};
e.prototype.SetInitSpeed=function(a){this.initspeed=a};e.prototype.SetInitSize=function(a){this.initsize=a};e.prototype.SetInitOpacity=function(a){this.initopacity=a/100};e.prototype.SetGrowRate=function(a){this.growrate=a};e.prototype.SetXRandomiser=function(a){this.xrandom=a};e.prototype.SetYRandomiser=function(a){this.yrandom=a};e.prototype.SetSpeedRandomiser=function(a){this.speedrandom=a};e.prototype.SetSizeRandomiser=function(a){this.sizerandom=a};e.prototype.SetGrowRateRandomiser=function(a){this.growrandom=
a};e.prototype.SetParticleAcc=function(a){this.acc=a};e.prototype.SetGravity=function(a){this.g=a};e.prototype.SetAngleRandomiser=function(a){this.lifeanglerandom=a};e.prototype.SetSpeedRandomiser=function(a){this.lifespeedrandom=a};e.prototype.SetOpacityRandomiser=function(a){this.lifeopacityrandom=a};e.prototype.SetTimeout=function(a){this.timeout=a};h.acts=new e;k.prototype.ParticleCount=function(a){a.set_int(this.particles.length)};k.prototype.Rate=function(a){a.set_float(this.rate)};k.prototype.SprayCone=
function(a){a.set_float(cr.to_degrees(this.spraycone))};k.prototype.InitSpeed=function(a){a.set_float(this.initspeed)};k.prototype.InitSize=function(a){a.set_float(this.initsize)};k.prototype.InitOpacity=function(a){a.set_float(100*this.initopacity)};k.prototype.InitGrowRate=function(a){a.set_float(this.growrate)};k.prototype.XRandom=function(a){a.set_float(this.xrandom)};k.prototype.YRandom=function(a){a.set_float(this.yrandom)};k.prototype.InitSpeedRandom=function(a){a.set_float(this.speedrandom)};
k.prototype.InitSizeRandom=function(a){a.set_float(this.sizerandom)};k.prototype.InitGrowRandom=function(a){a.set_float(this.growrandom)};k.prototype.ParticleAcceleration=function(a){a.set_float(this.acc)};k.prototype.Gravity=function(a){a.set_float(this.g)};k.prototype.ParticleAngleRandom=function(a){a.set_float(this.lifeanglerandom)};k.prototype.ParticleSpeedRandom=function(a){a.set_float(this.lifespeedrandom)};k.prototype.ParticleOpacityRandom=function(a){a.set_float(this.lifeopacityrandom)};k.prototype.Timeout=
function(a){a.set_float(this.timeout)};h.exps=new k})();cr.plugins_.Rex_SLGBoard=function(a){this.runtime=a};
(function(){function a(){}function b(){}function e(){}var k=cr.plugins_.Rex_SLGBoard.prototype;k.Type=function(a){this.plugin=a;this.runtime=a.runtime};k.Type.prototype.onCreate=function(){};k.Instance=function(a){this.type=a;this.runtime=a.runtime};var h=k.Instance.prototype;h.onCreate=function(){this.check_name="BOARD";this.ActCreateInstance=cr.system_object.prototype.acts.CreateObject;this.board=[];this.reset_board(this.properties[0]-1,this.properties[1]-1);this.layout=null;this.layoutUid=-1;this._kicked_chess_inst=
null;this._exp_EmptyLY=this._exp_EmptyLX=-1;this.myDestroyCallback=function(a){return function(c){a.onInstanceDestroyed(c)}}(this);this.runtime.addDestroyCallback(this.myDestroyCallback)};h.onDestroy=function(){this.runtime.removeDestroyCallback(this.myDestroyCallback)};h.onInstanceDestroyed=function(a){this.remove_item(a.uid)};h.GetLayout=function(){if(null!=this.layout)return this.layout;var a=this.runtime.types,c,b;for(c in a)if(b=a[c].instances[0],cr.plugins_.Rex_SLGSquareTx&&b instanceof cr.plugins_.Rex_SLGSquareTx.prototype.Instance||
cr.plugins_.Rex_SLGHexTx&&b instanceof cr.plugins_.Rex_SLGHexTx.prototype.Instance||cr.plugins_.Rex_SLGCubeTx&&b instanceof cr.plugins_.Rex_SLGCubeTx.prototype.Instance)return this.layout=b;return null};h.reset_board=function(a,c){0<=a&&(this.x_max=a);0<=c&&(this.y_max=c);this.board.length=a+1;var b,g;for(b=0;b<=a;b++)for(this.board[b]=[],this.board[b].length=c+1,g=0;g<=c;g++)this.board[b][g]={};null==this.items?this.items={}:p(this.items)};h.set_board_width=function(a){if(this.x_max!=a){if(this.x_max<
a){var c,b,g=this.y_max;this.board.length=a;for(c=this.x_max+1;c<=a;c++)for(this.board[c]=[],this.board[c].length=g+1,b=0;b<=g;b++)this.board[c][b]={}}else{var g=this.y_max,e,h;for(c=this.x_max;c>a;c--)for(b=0;b<=g;b++)for(e in h=this.board[c][b],h)this.remove_item(h[e],!0);this.board.length=a+1}this.x_max=a}};h.set_board_height=function(a){if(this.y_max!=a){if(this.y_max<a){var c,b,g=this.x_max;for(c=0;c<=g;c++)for(this.board[c].length=a+1,b=this.y_max+1;b<=a;b++)this.board[c][b]={}}else{var g=this.x_max,
e,h;for(c=0;c<=g;c++){for(b=this.y_max;b>a;b--)for(e in h=this.board[c][b],h)this.remove_item(h[e],!0);this.board[c].length=a+1}}this.y_max=a}};h.is_inside_board=function(a,c,b){var g=0<=a&&0<=c&&a<=this.x_max&&c<=this.y_max;g&&null!=b&&(g=b in this.board[a][c]);return g};h.is_empty=function(a,c,b){return this.is_inside_board(a,c)?0==b?null==this.board[a][c][0]:null!=this.board[a][c][0]&&null==this.board[a][c][b]:!1};var m=function(a){null==a?a=null:"number"!=typeof a&&(a=a.getFirstPicked(),a=null!=
a?a.uid:null);return a};h.xyz2uid=function(a,c,b){return this.is_inside_board(a,c,b)?this.board[a][c][b]:null};h.xy2zhash=function(a,c){return this.is_inside_board(a,c)?this.board[a][c]:null};h.xy2zcnt=function(a,c){var b=0,g=this.xy2zhash(a,c);if(null!=g)for(var e in g)b+=1;return b};h.lz2uid=function(a,c){var b=this.uid2xyz(a);return null==b?null:b.z==c?a:this.xyz2uid(b.x,b.y,c)};h.dir2uid=function(a,c,b){a=this.uid2xyz(a);if(null==a)return null;var g=this.GetLayout(),e=g.GetNeighborLX(a.x,a.y,
c);c=g.GetNeighborLY(a.x,a.y,c);null==b&&(b=a.z);return this.xyz2uid(e,c,b)};h.uid2xyz=function(a){return this.items[a]};h.uid2inst=function(a){return null==this.uid2xyz(a)?null:this.runtime.getObjectByUID(a)};h.CreateItem=function(a,c,b,g,e){if(null!=a&&null!=e){var h=this.GetLayout(),k=h.LXYZ2PX(c,b,g);c=h.LXYZ2PY(c,b,g);this.ActCreateInstance.call(this.runtime.system,a,e,k,c);return a.getFirstPicked()}};h.SwapChess=function(a,c){var b=this.uid2xyz(a),g=this.uid2xyz(c);if(null==b||null==g)return!1;
var e=this.uid2inst(a),h=this.uid2inst(c);this.remove_item(a);this.remove_item(c);this.add_item(e,g.x,g.y,g.z);this.add_item(h,b.x,b.y,b.z);return!0};h.add_item=function(a,c,b,g){null!=a&&this.is_inside_board(c,b)&&(a="number"!=typeof a?a.uid:a,null!=this.uid2inst(a)&&this.remove_item(a),this.remove_item(this.xyz2uid(c,b,g),!0),this.board[c][b][g]=a,this.items[a]={x:c,y:b,z:g},this.runtime.trigger(cr.plugins_.Rex_SLGBoard.prototype.cnds.OnCollided,this))};h.remove_item=function(a,c){if(null!=a){var b=
this.uid2xyz(a);null!=b&&(c&&(this._kicked_chess_inst=this.uid2inst(a),this.runtime.trigger(cr.plugins_.Rex_SLGBoard.prototype.cnds.OnChessKicked,this)),delete this.items[a],delete this.board[b.x][b.y][b.z])}};h.move_item=function(a,c,b,g){"number"==typeof a&&(a=this.uid2inst(a));null!=a&&(this.remove_item(a.uid),this.add_item(a,c,b,g))};h.are_neighbors=function(a,c){var b=this.uid2xyz(a),g=this.uid2xyz(c);if(null==b||null==g)return!1;var e=this.GetLayout(),h,k=e.GetDirCount(),p=!1;for(h=0;h<k;h++)if(e.GetNeighborLX(b.x,
b.y,h)==g.x&&e.GetNeighborLY(b.x,b.y,h)==g.y){p=!0;break}return p};h.CreateChess=function(a,c,b,g,e){if(0==g||this.is_inside_board(c,b,0))return a=this.CreateItem(a,c,b,g,e),null!=a&&this.add_item(a,c,b,g),a};h._overlap_test=function(a,c){var b=a.getCurrentSol().getObjects(),g=c.getCurrentSol().getObjects(),e,h,k;b.length>g.length?(e=c,h=a,k=g):(e=a,h=c,k=b,b=g);var g=this.runtime,p=g.getCurrentEventStack().current_event,m=e===h,n=k.length,l,u,w,B,A,E,F,C;for(l=0;l<n;l++)if(w=k[l],B=w.uid,A=this.uid2xyz(B),
null!=A)for(u in A=this.xy2zhash(A.x,A.y),A)E=A[u],E!=B&&(E=this.uid2inst(E),-1!=b.indexOf(E)&&(g.pushCopySol(p.solModifiers),F=e.getCurrentSol(),C=h.getCurrentSol(),F.select_all=!1,C.select_all=!1,m?(F.instances.length=2,F.instances[0]=w,F.instances[1]=E):(F.instances.length=1,F.instances[0]=w,C.instances.length=1,C.instances[0]=E),p.retrigger(),g.popSol(p.solModifiers)))};var n=[];h.pickuids=function(a,c){var b=c.getCurrentSol();b.instances.length=0;b.select_all=!1;var g=c.is_family,e,h,k;g&&(e=
c.members,h=e.length);var p,m=a.length,n,l;for(k=0;k<m;k++)if(n=this.uid2inst(a[k]),null!=n)if(l=n.type.name,g)for(p=0;p<h;p++){if(l==e[p].name){b.instances.push(n);break}}else l==c.name&&b.instances.push(n);c.applySolToContainer();return 0<b.instances.length};var c={};h._pick_all_insts=function(){var a,b,g,e;b=this.items;p(c);g=!1;for(a in b)b=this.uid2inst(a),g=b.type,e=g.getCurrentSol(),g.name in c||(e.select_all=!1,e.instances.length=0,c[g.name]=g),e.instances.push(b),g=!0;for(var h in c)c[h].applySolToContainer();
p(c);return g};h._pick_chess_on_LXY=function(a,c,b){c=this.xy2zhash(c,b);if(null==c)return!1;n.length=0;for(var g in c)n.push(c[g]);a=this.pickuids(n,a);n.length=0;return a};h._pick_chess_on_tiles=function(a,c){n.length=0;var b=c.length,g,e,h;for(g=0;g<b;g++)if(e=c[g],e="number"==typeof e?e:e.uid,e=this.uid2xyz(e),null!=e&&(e=this.xy2zhash(e.x,e.y),null!=e))for(h in e)n.push(e[h]);b=this.pickuids(n,a);n.length=0;return b};h.point_is_in_board=function(a,c){var b=this.GetLayout(),g=b.PXY2LX(a,c),b=
b.PXY2LY(a,c);return 0<=g&&0<=b&&g<=this.x_max&&b<=this.y_max};h._pick_chess_on_LXYZ=function(a,c,b,g){c=this.xyz2uid(c,b,g);if(null==c)return!1;n.length=0;n.push(c);a=this.pickuids(n,a);n.length=0;return a};h.pick_neighbor_chess=function(a,c,b){if(null==a)return!1;var g=this.GetLayout();a=a.uid;var e=[],h;if(-1==c)for(h=g.GetDirCount(),c=0;c<h;c++)g=this.dir2uid(a,c,0),null!=g&&e.push(g);else g=this.dir2uid(a,c,0),null!=g&&e.push(this.dir2uid(a,c,0));return this._pick_chess_on_tiles(b,e)};h.saveToJSON=
function(){var a,c={},b;for(a in this.items)c[a]={},b=this.items[a],c[a].x=b.x,c[a].y=b.y,c[a].z=b.z;a=this.GetLayout();return{luid:null!=a?a.uid:-1,mx:this.x_max,my:this.y_max,xyz2uid:this.board,uid2xyz:c}};h.loadFromJSON=function(a){this.layoutUid=a.luid;this.x_max=a.mx;this.y_max=a.my;this.board=a.xyz2uid;p(this.items);var c;a=a.uid2xyz;var b;for(c in a)this.items[c]={},b=a[c],this.items[c].x=b.x,this.items[c].y=b.y,this.items[c].z=b.z};h.afterLoad=function(){this.layout=-1===this.layoutUid?null:
this.runtime.getObjectByUID(this.layoutUid);this.layoutUid=-1};var p=function(a){for(var c in a)delete a[c]};k.cnds=new a;a.prototype.IsOccupied=function(a,c,b){return this.is_inside_board(a,c)?null!=this.board[a][c][b]:!1};a.prototype.IsEmpty=function(a,c,b){return this.is_empty(a,c,b)};a.prototype.OnCollided=function(a,c){this._overlap_test(a,c);return!1};a.prototype.IsOverlapping=function(a,c){this._overlap_test(a,c);return!1};a.prototype.PointIsInBoard=function(a,c){return this.point_is_in_board(a,
c)};a.prototype.AreNeighbors=function(a,c){return this.are_neighbors(a,c)};a.prototype.PickAllChess=function(){return this._pick_all_insts()};a.prototype.OnChessKicked=function(a){if(!a)return!1;if(a.is_family){var c=a.members,b=c.length,g,e,h=!1;for(g=0;g<b;g++)if(e=c[g],this._kicked_chess_inst.type==e){h=!0;break}if(!h)return!1}else if(this._kicked_chess_inst.type!=a)return!1;a.getCurrentSol().pick_one(this._kicked_chess_inst);return!0};a.prototype.PickChessAtLXY=function(a,c,b){return a?this._pick_chess_on_LXY(a,
c,b):!1};a.prototype.PickChessAboveTile=function(a,c){if(!a||!c)return!1;var b=c.getCurrentSol().getObjects();return this._pick_chess_on_tiles(a,b)};a.prototype.PickChessAboveTileUID=function(a,c){if(a){if("number"==typeof c){var b=this.uid2xyz(c);return null==b?!1:this._pick_chess_on_LXY(a,b.x,b.y)}c=JSON.parse(c);return this._pick_chess_on_tiles(a,c)}};a.prototype.IsOnTheBoard=function(a){if(!a)return!1;a=a.getCurrentSol().getObjects();var c,b=a.length,g;for(c=0;c<b;c++)if(g=a[c].uid,!(g in this.items))return!1;
return!0};a.prototype.PickChessAtLXYZ=function(a,c,b,g){return a?this._pick_chess_on_LXYZ(a,c,b,g):!1};a.prototype.PickNeighborChess=function(a,c,b){return a?this.pick_neighbor_chess(a.getFirstPicked(),c,b):!1};var g=[];a.prototype.PickEmptyCell=function(a){var c,b;for(c=g.length=0;c<=this.x_max;c++)for(b=0;b<=this.y_max;b++)this.is_empty(c,b,a)&&g.push([c,b]);a=g.length;0<a&&(c=cr.floor(Math.random()*a),c=g[c],this._exp_EmptyLX=c[0],this._exp_EmptyLY=c[1],g.length=0);return 0<a};a.prototype.HasEmptyCell=
function(a){var c,b;for(c=0;c<=this.x_max;c++)for(b=0;b<=this.y_max;b++)if(this.is_empty(c,b,a))return this._exp_EmptyLX=c,this._exp_EmptyLY=b,!0;return!1};k.acts=new b;b.prototype.ResetBoard=function(a,c){this.reset_board(a-1,c-1)};b.prototype.AddTile=function(a,c,b){a=a.getFirstPicked();this.add_item(a,c,b,0)};b.prototype.DestroyChess=function(a){if(a){a=a.getCurrentSol().getObjects();var c,b=a.length;for(c=0;c<b;c++)this.remove_item(a[c].uid),this.runtime.DestroyInstance(a[c])}};b.prototype.AddChess=
function(a,c,b,g){a=a.getFirstPicked();this.add_item(a,c,b,g)};b.prototype.SetupLayout=function(a){a=a.instances[0];"LAYOUT"==a.check_name?this.layout=a:alert("Board should connect to a layout object")};b.prototype.CreateTile=function(a,c,b,g){this.CreateChess(a,c,b,0,g)};b.prototype.CreateChess=function(a,c,b,g,e){this.CreateChess(a,c,b,g,e)};b.prototype.RemoveChess=function(a){if(a){a=a.getCurrentSol().getObjects();var c,b=a.length;for(c=0;c<b;c++)this.remove_item(a[c].uid)}};b.prototype.MoveChess=
function(a,c){var b=m(a),g=m(c);if(null!=b&&null!=g){var e=this.uid2xyz(b),g=this.uid2xyz(g);null!=e&&null!=g&&this.move_item(b,g.x,g.y,e.z)}};b.prototype.MoveChess2Index=function(a,c,b,g){a=m(a);null!=a&&(this.remove_item(a,!0),this.add_item(a,c,b,g))};b.prototype.SwapChess=function(a,c){this.SwapChess(a,c)};b.prototype.PickAllChess=function(){this._pick_all_insts()};b.prototype.PickChessAtLXY=function(a,c,b){a&&this._pick_chess_on_LXY(a,c,b)};b.prototype.PickChessAboveTile=function(a,c){if(!a||
!c)return!1;var b=c.getCurrentSol().getObjects();this._pick_chess_on_tiles(a,b)};b.prototype.PickChessAboveTileUID=function(a,c){if(a)if("number"==typeof c){var b=this.uid2xyz(c);null!=b&&this._pick_chess_on_LXY(a,b.x,b.y)}else c=JSON.parse(c),this._pick_chess_on_tiles(a,c)};b.prototype.PickChessAtLXYZ=function(a,c,b,g){a&&this._pick_chess_on_LXYZ(a,c,b,g)};b.prototype.SetBoardWidth=function(a){this.set_board_width(a-1)};b.prototype.SetBoardHeight=function(a){this.set_board_height(a-1)};b.prototype.PickNeighborChess=
function(a,c,b){if(!a)return!1;this.pick_neighbor_chess(a.getFirstPicked(),c,b)};k.exps=new e;e.prototype.UID2LX=function(a,c){var b=this.uid2xyz(c);a.set_int(null==b?-1:b.x)};e.prototype.UID2LY=function(a,c){var b=this.uid2xyz(c);a.set_int(null==b?-1:b.y)};e.prototype.UID2LZ=function(a,c){var b=this.uid2xyz(c);a.set_int(null==b?-1:b.z)};e.prototype.LXYZ2UID=function(a,c,b,g){c=this.xyz2uid(c,b,g);null==c&&(c=-1);a.set_int(c)};e.prototype.LZ2UID=function(a,c,b){c=this.lz2uid(c,b);null==c&&(c=-1);
a.set_int(c)};e.prototype.LXY2PX=function(a,c,b){c=this.GetLayout().LXYZ2PX(c,b,0);a.set_float(c)};e.prototype.LXY2PY=function(a,c,b){c=this.GetLayout().LXYZ2PY(c,b,0);a.set_float(c)};e.prototype.UID2PX=function(a,c){var b=this.GetLayout(),g=this.uid2xyz(c),b=b.LXYZ2PX(g.x,g.y);a.set_float(b)};e.prototype.UID2PY=function(a,c){var b=this.GetLayout(),g=this.uid2xyz(c),b=b.LXYZ2PY(g.x,g.y);a.set_float(b)};e.prototype.UID2LA=function(a,c,b){var g=this.GetLayout();c=this.uid2xyz(c);b=this.uid2xyz(b);null==
c||null==b?g=-1:(g=g.XYZ2LA(c,b),null==g&&(g=-1));a.set_float(g)};e.prototype.LXYZ2PX=function(a,c,b,g){c=this.GetLayout().LXYZ2PX(c,b,g);a.set_float(c)};e.prototype.LXYZ2PY=function(a,c,b,g){c=this.GetLayout().LXYZ2PY(c,b,g);a.set_float(c)};e.prototype.UID2ZCnt=function(a,c){var b;b=this.uid2xyz(c);b=null!=b?this.xy2zcnt(b.x,b.y):0;a.set_int(b)};e.prototype.LXY2ZCnt=function(a,c,b){c=this.xy2zcnt(c,b);a.set_int(c)};e.prototype.PXY2LX=function(a,c,b){c=this.GetLayout().PXY2LX(c,b);if(0>c||c>this.x_max)c=
-1;a.set_int(c)};e.prototype.PXY2LY=function(a,c,b){c=this.GetLayout().PXY2LY(c,b);if(0>c||c>this.y_max)c=-1;a.set_int(c)};e.prototype.DIR2UID=function(a,c,b,g){c=this.dir2uid(c,b,g);null==c&&(c=-1);a.set_int(c)};e.prototype.BoardWidth=function(a){a.set_int(this.x_max+1)};e.prototype.BoardHeight=function(a){a.set_int(this.y_max+1)};e.prototype.PXY2NearestPX=function(a,c,b){var g=this.GetLayout(),e=g.PXY2LX(c,b);c=g.PXY2LY(c,b);e=cr.clamp(Math.round(e),0,this.x_max);c=cr.clamp(Math.round(c),0,this.y_max);
a.set_float(g.LXYZ2PX(e,c,0))};e.prototype.PXY2NearestPY=function(a,c,b){var g=this.GetLayout(),e=g.PXY2LX(c,b);c=g.PXY2LY(c,b);e=cr.clamp(Math.round(e),0,this.x_max);c=cr.clamp(Math.round(c),0,this.y_max);a.set_float(g.LXYZ2PY(e,c,0))};e.prototype.LogicDistance=function(a,c,b){c=this.uid2xyz(c);var g=this.uid2xyz(b);null==c||null==g?c=-1:(b=g.x-c.x,c=g.y-c.y,c=Math.sqrt(b*b+c*c));a.set_float(c)};e.prototype.EmptyLX=function(a){a.set_int(this._exp_EmptyLX)};e.prototype.EmptyLY=function(a){a.set_int(this._exp_EmptyLY)}})();
cr.plugins_.Rex_SLGSquareTx=function(a){this.runtime=a};
(function(){function a(){}function b(){}var e=cr.plugins_.Rex_SLGSquareTx.prototype;e.Type=function(a){this.plugin=a;this.runtime=a.runtime};e.Type.prototype.onCreate=function(){};e.Instance=function(a){this.type=a;this.runtime=a.runtime};var k=e.Instance.prototype;k.onCreate=function(){this.check_name="LAYOUT";this.layout_mode=this.properties[0];this.SetPOX(this.properties[1]);this.SetPOY(this.properties[2]);this.SetWidth(this.properties[3]);this.SetHeight(this.properties[4]);this.is_8dir=1==this.properties[5]};
k.SetPOX=function(a){this.PositionOX=a};k.SetPOY=function(a){this.PositionOY=a};k.GetPOX=function(){return this.PositionOX};k.GetPOY=function(){return this.PositionOY};k.SetWidth=function(a){this.width=a;this.half_width=a/2};k.SetHeight=function(a){this.height=a;this.half_height=a/2};k.LXYZ2PX=function(a,c,b){var e;0==this.layout_mode?e=a*this.width:1==this.layout_mode?e=(a-c)*this.half_width:2==this.layout_mode&&(e=a*this.width+c%2*this.half_width);return e+this.PositionOX};k.LXYZ2PY=function(a,
c,b){var e;0==this.layout_mode?e=c*this.height:1==this.layout_mode?e=(a+c)*this.half_height:2==this.layout_mode&&(e=c*this.half_height);return e+this.PositionOY};k.PXY2LX=function(a,c){var b;0==this.layout_mode?(a-=this.PositionOX,b=Math.round(a/this.width)):1==this.layout_mode?(a-=this.PositionOX,c-=this.PositionOY,b=0.5*(Math.round(c/this.half_height)+Math.round(a/this.half_width))):2==this.layout_mode&&(b=Math.round((c-this.PositionOY)/this.half_height),a=a-this.PositionOX-b%2*this.half_width,
b=Math.round(a/this.width));return b};k.PXY2LY=function(a,c){var b;0==this.layout_mode?(c-=this.PositionOY,b=Math.round(c/this.height)):1==this.layout_mode?(a-=this.PositionOX,c-=this.PositionOY,b=0.5*(Math.round(c/this.half_height)-Math.round(a/this.half_width))):2==this.layout_mode&&(b=Math.round((c-this.PositionOY)/this.half_height));return b};var h=[1,0,-1,0,1,-1,-1,1],m=[0,-1,-1,0,0,-1,0,1],n=[1,0,0,1,0,-1,0,1];k.GetNeighborLX=function(a,c,b){var e;0==this.layout_mode?e=h[b]:1==this.layout_mode?
e=h[b]:2==this.layout_mode&&(e=0==c%2?m[b]:n[b]);return a+e};var c=[0,1,0,-1,1,1,-1,-1],p=[1,1,-1,-1,2,0,-2,0];k.GetNeighborLY=function(a,b,d){var e;0==this.layout_mode?e=c[d]:1==this.layout_mode?e=c[d]:2==this.layout_mode&&(e=p[d]);return b+e};k.GetDirCount=function(){return this.is_8dir?8:4};k.XYZ2LA=function(a,c){var b=this.XYZ2Dir(a,c);return null==b?-1:4>b?90*b:90*(b-4)+45};k.XYZ2Dir=function(a,c){var b=c.x-a.x,e=c.y-a.y,h=Math.max(Math.abs(b),Math.abs(e));0!=h&&(b/=h,e/=h);var h=this.layout_mode,
k;0==h?k=1==b&&0==e?0:0==b&&1==e?1:-1==b&&0==e?2:0==b&&-1==e?3:1==b&&1==e?4:-1==b&&1==e?5:-1==b&&-1==e?6:1==b&&-1==e?7:null:1==h?k=1==b&&0==e?0:0==b&&1==e?1:-1==b&&0==e?2:0==b&&-1==e?3:1==b&&1==e?4:-1==b&&1==e?5:-1==b&&-1==e?6:1==b&&-1==e?7:null:2==h&&(k=0==a.y%2?0==b&&-1==e?0:0==b&&1==e?1:-1==b&&1==e?2:-1==b&&-1==e?3:0==b&&2==e?4:-1==b&&0==e?5:0==b&&-2==e?6:1==b&&-0==e?7:null:1==b&&-1==e?0:1==b&&1==e?1:0==b&&1==e?2:0==b&&-1==e?3:0==b&&2==e?4:-1==b&&0==e?5:0==b&&-2==e?6:1==b&&-0==e?7:null);return k};
k.saveToJSON=function(){return{iso:this.layout_mode,w:this.width,h:this.height,ox:this.PositionOX,oy:this.PositionOY,is8d:this.is_8dir}};k.loadFromJSON=function(a){this.layout_mode=a.iso;this.SetWidth(a.w);this.SetHeight(a.h);this.SetPOX(a.ox);this.SetPOY(a.oy);this.is_8dir=a.is8d};e.cnds=new function(){};e.acts=new a;a.prototype.SetOrientation=function(a){this.layout_mode=a};a.prototype.SetCellSize=function(a,c){this.SetWidth(a);this.SetHeight(c)};a.prototype.SetOffset=function(a,c){this.SetPOX(a);
this.SetPOY(c)};a.prototype.SetDirections=function(a){this.is_8dir=1==a};e.exps=new b;b.prototype.Width=function(a){a.set_float(this.width)};b.prototype.Height=function(a){a.set_float(this.height)};b.prototype.POX=function(a){a.set_float(this.PositionOX)};b.prototype.POY=function(a){a.set_float(this.PositionOY)};b.prototype.DIRRIGHT=function(a){a.set_int(0)};b.prototype.DIRDOWN=function(a){a.set_int(1)};b.prototype.DIRLEFT=function(a){a.set_int(2)};b.prototype.DIRUP=function(a){a.set_int(3)};b.prototype.DIRRIGHTDOWN=
function(a){a.set_int(4)};b.prototype.DIRLEFTDOWN=function(a){a.set_int(5)};b.prototype.DIRLEFTUP=function(a){a.set_int(6)};b.prototype.DIRRIGHTUP=function(a){a.set_int(7)}})();cr.plugins_.Rex_gInstGroup=function(a){this.runtime=a};
(function(){function a(){}function b(){}function e(){}var k=cr.plugins_.Rex_gInstGroup.prototype;k.Type=function(a){this.plugin=a;this.runtime=a.runtime};k.Type.prototype.onCreate=function(){};k.Instance=function(a){this.type=a;this.runtime=a.runtime};var h=k.Instance.prototype;h.onCreate=function(){this.check_name="INSTGROUP";this.groups={};this.randomGenUid=-1;this._cmp_uidB=this._cmp_uidA=0;this._sort_fn_name="";this._compared_result=0;this._foreach_item={};this._foreach_index={};this._inst_private_group_name=
{};this.myDestroyCallback=function(a){return function(b){a.onInstanceDestroyed(b)}}(this);this.runtime.addDestroyCallback(this.myDestroyCallback)};cr.plugins_.Rex_gInstGroup._randomGen=null;h.onDestroy=function(){this.runtime.removeDestroyCallback(this.myDestroyCallback)};h.onInstanceDestroyed=function(a){a=a.uid;var b,e=this.groups;for(b in e)e[b].RemoveUID(a);this._remove_pg(a)};h._append_pg=function(a){var b;"@"!=a.charAt(0)?b=-1:(b=a.indexOf("$"),b=-1==b?-1:parseInt(a.substring(1,b)));if(-1!=
b){var e=this._inst_private_group_name[b];null==e?(e=[a],this._inst_private_group_name[b]=e):e.push(a)}};h._remove_pg=function(a){var b=this._inst_private_group_name[a];if(null!=b){var e=b.length,f;for(f=0;f<e;f++)this.DestroyGroup(b[f]);delete this._inst_private_group_name[a]}};h.GetGroup=function(a){var b=this.groups[a];null==b&&(b=new cr.plugins_.Rex_gInstGroup.GroupKlass,this.groups[a]=b,this._append_pg(a));return b};h.DestroyGroup=function(a){null!=this.groups[a]&&delete this.groups[a]};h.all2string=
function(){var a={},b,e=this.groups;for(b in e)a[b]=e[b].ToString();return JSON.stringify(a)};h._sets_operation_target_get=function(a,b,e){a!=e&&b!=e?(this.GetGroup(e).Copy(this.GetGroup(a)),a=e):e==b&&(b=a,a=e);return{a:a,b:b}};h._uid2inst=function(a,b){var e=this.runtime.getObjectByUID(a);if(null==e)return null;if(null==b||e.type==b)return e;if(b.is_family){var f=e.type.families,d=f.length,h;for(h=0;h<d;h++)if(b==f[h])return e}return null};h._pick_insts=function(a,b,e){a=this.GetGroup(a);var f=
a.GetList(),d=b.getCurrentSol();d.select_all=!1;d.instances.length=0;var h=f.length,k,m;for(k=0;k<h;k++)m=this._uid2inst(f[k],b),null!=m&&d.instances.push(m);if(1==e)for(h=d.instances.length,k=0;k<h;k++)a.RemoveUID(d.instances[k].uid);b.applySolToContainer();return 0<d.instances.length};h._pop_one_instance=function(a,b,e,f){a=this.GetGroup(a);var d=a.GetList(),h=d.length>b,k=e.getCurrentSol();k.select_all=!1;k.instances.length=0;var m=null;h&&(m=this._uid2inst(d[b],e),null!=m&&k.instances.push(m));
1==f&&null!=m&&a.RemoveUID(m.uid);return 0<k.instances.length};var m=null,n=function(a,b){m._cmp_uidA=parseInt(a);m._cmp_uidB=parseInt(b);m.runtime.trigger(cr.plugins_.Rex_gInstGroup.prototype.cnds.OnSortingFn,m);return m._compared_result};h.saveToJSON=function(){var a={},b,e=this.groups;for(b in e)a[b]=e[b].GetList();b=cr.plugins_.Rex_gInstGroup._randomGen;return{d:a,randomuid:null!=b?b.uid:-1}};h.loadFromJSON=function(a){var b=a.d,e;for(e in b)this.GetGroup(e).SetByUIDList(b[e]);this.randomGenUid=
a.randomuid};h.afterLoad=function(){var a;a=-1===this.randomGenUid?null:this.runtime.getObjectByUID(this.randomGenUid);this.randomGenUid=-1;cr.plugins_.Rex_gInstGroup._randomGen=a};k.cnds=new a;a.prototype.OnSortingFn=function(a){return this._sort_fn_name==a};a.prototype.ForEachUID=function(a,b){var e=this.GetGroup(b).GetList(),f=e.length,d,h=this.runtime.getCurrentEventStack().current_event;for(d=0;d<f;d++)this._foreach_item[a]=e[d],this._foreach_index[a]=d,this.runtime.pushCopySol(h.solModifiers),
h.retrigger(),this.runtime.popSol(h.solModifiers);return!1};a.prototype.PickInsts=function(a,b,e){if(b)return this._pick_insts(a,b,e)};a.prototype.IsInGroup=function(a,b){return this.GetGroup(b).IsInGroup(a)};a.prototype.IsEmpty=function(a){return 0==this.GetGroup(a).GetList().length};a.prototype.PopOneInstance=function(a,b,e,f){if(e)return this._pop_one_instance(a,b,e,f)};a.prototype.IsSubset=function(a,b){var e=this.GetGroup(b),f=this.GetGroup(a);return e.IsSubset(f)};k.acts=new b;b.prototype.DestroyAll=
function(){for(var a in this.groups)delete this.groups[a]};b.prototype.Clean=function(a){this.GetGroup(a).Clean()};b.prototype.DestroyGroup=function(a){this.DestroyGroup(a)};b.prototype.Copy=function(a,b){a!=b&&this.GetGroup(b).Copy(this.GetGroup(a))};b.prototype.String2Group=function(a,b){this.GetGroup(b).JSONString2Group(a)};b.prototype.String2All=function(a){a=JSON.parse(a);for(var b in a)this.GetGroup(b).JSONString2Group(a[b])};b.prototype.AddInsts=function(a,b){if(a){var e=a.getCurrentSol().getObjects(),
f=e.length;if(1==f)this.GetGroup(b).AddUID(e[0].uid);else{var d,h=[];h.length=e.length;for(d=0;d<f;d++)h[d]=e[d].uid;this.GetGroup(b).AddUID(h)}}};b.prototype.AddInstByUID=function(a,b){this.GetGroup(b).AddUID(a)};b.prototype.RemoveInsts=function(a,b){if(a){var e=a.getCurrentSol().getObjects(),f=e.length;if(1==f)this.GetGroup(b).RemoveUID(e[0].uid);else{var d,h=[];h.length=e.length;for(d=0;d<f;d++)h[d]=e[d].uid;this.GetGroup(b).RemoveUID(h)}}};b.prototype.RemoveInst=function(a,b){this.GetGroup(b).RemoveUID(a)};
b.prototype.Union=function(a,b,e){a=this._sets_operation_target_get(a,b,e);this.GetGroup(a.a).Union(this.GetGroup(a.b))};b.prototype.Complement=function(a,b,e){a=this._sets_operation_target_get(a,b,e);this.GetGroup(a.a).Complement(this.GetGroup(a.b))};b.prototype.Intersection=function(a,b,e){a=this._sets_operation_target_get(a,b,e);this.GetGroup(a.a).Intersection(this.GetGroup(a.b))};b.prototype.Shuffle=function(a){this.GetGroup(a).Shuffle()};b.prototype.SortByFn=function(a,b){m=this;this._sort_fn_name=
b;this.GetGroup(a).GetList().sort(n)};b.prototype.SetCmpResultDirectly=function(a){this._compared_result=a};b.prototype.SetCmpResultCombo=function(a){this._compared_result=a-1};b.prototype.PickInsts=function(a,b,e){b&&this._pick_insts(a,b,e)};b.prototype.SortByUIDInc=function(a){this.GetGroup(a).GetList().sort()};b.prototype.SortByUIDDec=function(a){this.GetGroup(a).GetList().sort().reverse()};b.prototype.Reverse=function(a){this.GetGroup(a).GetList().reverse()};b.prototype.Slice=function(a,b,e,f,
d){a=this.GetGroup(a);f=this.GetGroup(f);b=a.GetList().slice(b,e);f.SetByUIDList(b);1==d&&a.Complement(f)};b.prototype.PopInstance=function(a,b,e,f){e&&this._pop_one_instance(a,b,e,f)};b.prototype.SetRandomGenerator=function(a){a=a.instances[0];"RANDOM"==a.check_name?cr.plugins_.Rex_gInstGroup._randomGen=a:alert("[Instance group] This object is not a random generator object.")};b.prototype.PushInsts=function(a,b,e){if(b){b=b.getCurrentSol().getObjects();var f=b.length;if(1==f)this.GetGroup(e).PushUID(a,
b[0].uid);else{var d,h=[];h.length=b.length;for(d=0;d<f;d++)h[d]=b[d].uid;this.GetGroup(e).PushUID(h,a)}}};b.prototype.PushInstByUID=function(a,b,e){this.GetGroup(e).PushUID(b,a)};b.prototype.InsertInsts=function(a,b,e){if(a){a=a.getCurrentSol().getObjects();var f=a.length;if(1==f)this.GetGroup(b).InsertUID(a[0].uid,e);else{var d,h=[];h.length=a.length;for(d=0;d<f;d++)h[d]=a[d].uid;this.GetGroup(b).InsertUID(h,e)}}};b.prototype.InsertInstByUID=function(a,b,e){this.GetGroup(b).InsertUID(a,e)};b.prototype.CleanAdddInsts=
function(a,b){cr.plugins_.Rex_gInstGroup.prototype.acts.Clean.call(this,b);cr.plugins_.Rex_gInstGroup.prototype.acts.AddInsts.call(this,a,b)};b.prototype.CleanAdddInstByUID=function(a,b){cr.plugins_.Rex_gInstGroup.prototype.acts.Clean.call(this,b);cr.plugins_.Rex_gInstGroup.prototype.acts.AddInstByUID.call(this,a,b)};k.exps=new e;e.prototype.CmpUIDA=function(a){a.set_int(this._cmp_uidA)};e.prototype.CmpUIDB=function(a){a.set_int(this._cmp_uidB)};e.prototype.InstCnt=function(a,b){a.set_int(this.GetGroup(b).GetList().length)};
e.prototype.UID2Index=function(a,b,e){a.set_int(this.GetGroup(b).UID2Index(e))};e.prototype.Index2UID=function(a,b,e){a.set_int(this.GetGroup(b).Index2UID(e))};e.prototype.Item=function(a,b){var e=this._foreach_item[b];null==e&&(e=-1);a.set_int(e)};e.prototype.Index=function(a,b){var e=this._foreach_index[b];null==e&&(e=-1);a.set_int(e)};e.prototype.GroupToString=function(a,b){a.set_string(this.GetGroup(b).ToString())};e.prototype.AllToString=function(a){a.set_string(this.all2string())};e.prototype.PrivateGroup=
function(a,b,e){a.set_string("@"+b.toString()+"$"+e)};e.prototype.Pop=function(a,b,e){b=this.GetGroup(b);var f=b.GetList();-1==e&&(e=f.length-1);e=f[e];null==e?e=-1:b.RemoveUID(e);a.set_int(e)}})();
(function(){cr.plugins_.Rex_gInstGroup.GroupKlass=function(){this._set={};this._list=[]};var a=cr.plugins_.Rex_gInstGroup.GroupKlass.prototype;a.Clean=function(){for(var a in this._set)delete this._set[a];this._list.length=0};a.Copy=function(a){var e,k;k=this._set;for(e in k)delete this._set[e];k=a._set;for(e in k)this._set[e]=k[e];cr.shallowAssignArray(this._list,a._list)};a.SetByUIDList=function(a,e){if(e){cr.shallowAssignArray(this._list,a);var k=a.length,h,m;m=this._set;for(h in m)delete this._set[h];
for(h=0;h<k;h++)this._set[a[h]]=!0}else this.Clean(),this.AddUID(a)};a.AddUID=function(a){if("number"==typeof a)null==this._set[a]&&(this._set[a]=!0,this._list.push(a));else{var e,k,h=a.length;for(e=0;e<h;e++)k=a[e],null==this._set[k]&&(this._set[k]=!0,this._list.push(k))}};a.PushUID=function(a,e){if("number"==typeof a)null==this._set[a]?this._set[a]=!0:cr.arrayRemove(this._list,this._list.indexOf(a)),e?this._list.unshift(a):this._list.push(a);else{var k,h,m=a.length;for(k=0;k<m;k++)h=a[k],null==
this._set[h]?this._set[h]=!0:cr.arrayRemove(this._list,this._list.indexOf(h));e?this._list.unshift.apply(this._list,a):this._list.push.apply(this._list,a)}};a.InsertUID=function(a,e){if("number"==typeof a)null==this._set[a]?this._set[a]=!0:cr.arrayRemove(this._list,this._list.indexOf(a));else{var k,h,m=a.length;for(k=0;k<m;k++)h=a[k],null==this._set[h]?this._set[h]=!0:cr.arrayRemove(this._list,this._list.indexOf(h))}k=this._list;h=e;m=k.length;h>m&&(h=m);if("object"!=typeof a)if(0==h)k.unshift(a);
else if(h==m)k.push(a);else{var n,m=k.length;k.length+=1;for(n=m;n>h;n--)k[n]=k[n-1];k[h]=a}else if(0==h)k.unshift.apply(k,a);else if(h==m)k.push.apply(k,a);else{n=k.length-1;var m=h,c=a.length;for(k.length+=c;n>=m;n--)k[n+c]=k[n];for(n=0;n<c;n++)k[n+h]=a[n]}};a.RemoveUID=function(a){if("number"==typeof a)null!=this._set[a]&&(delete this._set[a],cr.arrayRemove(this._list,this._list.indexOf(a)));else{var e,k,h=a.length;for(e=0;e<h;e++)k=a[e],null!=this._set[k]&&(delete this._set[k],cr.arrayRemove(this._list,
this._list.indexOf(k)))}};a.UID2Index=function(a){return this._list.indexOf(a)};a.Index2UID=function(a){var e=this._list;return a<e.length?e[a]:-1};a.Union=function(a){a=a._set;for(var e in a)this.AddUID(parseInt(e))};a.Complement=function(a){this.RemoveUID(a._list)};a.Intersection=function(a){var e,k=this._set,h={};for(e in k)h[e]=!0;this.Clean();k=a._set;for(e in k)null!=h[e]&&this.AddUID(parseInt(e))};a.IsSubset=function(a){a=a._set;var e,k=!0;for(e in a)if(!(e in this._set)){k=!1;break}return k};
a.GetSet=function(){return this._set};a.GetList=function(){return this._list};a.IsInGroup=function(a){return null!=this._set[a]};a.ToString=function(){return JSON.stringify(this._list)};a.JSONString2Group=function(a){this.SetByUIDList(JSON.parse(a))};a.Shuffle=function(){var a=this._list,e=a.length,k,h,m=cr.plugins_.Rex_gInstGroup._randomGen;if(0!=e)for(;--e;)k=null==m?Math.random():m.random(),k=Math.floor(k*(e+1)),h=a[e],a[e]=a[k],a[k]=h}})();cr.plugins_.Sprite=function(a){this.runtime=a};
(function(){function a(){if(0===this.datauri.length){var a=document.createElement("canvas");a.width=this.width;a.height=this.height;var c=a.getContext("2d");this.spritesheeted?c.drawImage(this.texture_img,this.offx,this.offy,this.width,this.height,0,0,this.width,this.height):c.drawImage(this.texture_img,0,0,this.width,this.height);this.datauri=a.toDataURL("image/png")}return this.datauri}function b(){}function e(a){a[0]=0;a[1]=0;a[2]=0;s.push(a)}function k(a,c){return a<c?""+a+","+c:""+c+","+a}function h(a,
c,b,d){c=c.uid;b=b.uid;var e=k(c,b);if(a.hasOwnProperty(e))a[e][2]=d;else{var f;f=s.length?s.pop():[0,0,0];f[0]=c;f[1]=b;f[2]=d;a[e]=f}}function m(a,c,b){c=k(c.uid,b.uid);a.hasOwnProperty(c)&&(e(a[c]),delete a[c])}function n(a,c,b){c=k(c.uid,b.uid);if(a.hasOwnProperty(c))return x=a[c][2],!0;x=-2;return!1}function c(a,c,b){if(!a)return!1;var d=0!==c||0!==b,e,f,g=!1,h,k=this.runtime.getCurrentCondition(),m=k.type,k=k.inverted,n=a.getCurrentSol();h=this.runtime.getCurrentEventStack().current_event.orblock;
n.select_all?(this.update_bbox(),this.runtime.getCollisionCandidates(this.layer,a,this.bbox,l),n=l):n=h?n.else_instances:n.instances;y=a;t=m!==a&&!k;d&&(e=this.x,f=this.y,this.x+=c,this.y+=b,this.set_bbox_changed());c=0;for(b=n.length;c<b;c++)if(h=n[c],this.runtime.testOverlap(this,h)){g=!0;if(k)break;m!==a&&v.add(h)}d&&(this.x=e,this.y=f,this.set_bbox_changed());l.length=0;return g}function p(){}function g(){}var f=cr.plugins_.Sprite.prototype;f.Type=function(a){this.plugin=a;this.runtime=a.runtime};
var d=f.Type.prototype;d.onCreate=function(){if(!this.is_family){var c,b,d,e,f,g,l,h,k;this.all_frames=[];this.has_loaded_textures=!1;c=0;for(b=this.animations.length;c<b;c++){f=this.animations[c];l={};l.name=f[0];l.speed=f[1];l.loop=f[2];l.repeatcount=f[3];l.repeatto=f[4];l.pingpong=f[5];l.sid=f[6];l.frames=[];d=0;for(e=f[7].length;d<e;d++)g=f[7][d],h={},h.texture_file=g[0],h.texture_filesize=g[1],h.offx=g[2],h.offy=g[3],h.width=g[4],h.height=g[5],h.duration=g[6],h.hotspotX=g[7],h.hotspotY=g[8],
h.image_points=g[9],h.poly_pts=g[10],h.pixelformat=g[11],h.spritesheeted=0!==h.width,h.datauri="",h.getDataUri=a,k={left:0,top:0,right:1,bottom:1},h.sheetTex=k,h.webGL_texture=null,(k=this.runtime.findWaitingTexture(g[0]))?h.texture_img=k:(h.texture_img=new Image,h.texture_img.idtkLoadDisposed=!0,h.texture_img.src=g[0],h.texture_img.cr_src=g[0],h.texture_img.cr_filesize=g[1],h.texture_img.c2webGL_texture=null,this.runtime.waitForImageLoad(h.texture_img)),cr.seal(h),l.frames.push(h),this.all_frames.push(h);
cr.seal(l);this.animations[c]=l}}};d.updateAllCurrentTexture=function(){var a,c,b;a=0;for(c=this.instances.length;a<c;a++)b=this.instances[a],b.curWebGLTexture=b.curFrame.webGL_texture};d.onLostWebGLContext=function(){if(!this.is_family){var a,c,b;a=0;for(c=this.all_frames.length;a<c;++a)b=this.all_frames[a],b.texture_img.c2webGL_texture=null,b.webGL_texture=null}};d.onRestoreWebGLContext=function(){if(!this.is_family&&this.instances.length){var a,c,b;a=0;for(c=this.all_frames.length;a<c;++a)b=this.all_frames[a],
b.webGL_texture=this.runtime.glwrap.loadTexture(b.texture_img,!1,this.runtime.linearSampling,b.pixelformat);this.updateAllCurrentTexture()}};d.loadTextures=function(){if(!this.is_family&&!this.has_loaded_textures&&this.runtime.glwrap){var a,c,b;a=0;for(c=this.all_frames.length;a<c;++a)b=this.all_frames[a],b.webGL_texture=this.runtime.glwrap.loadTexture(b.texture_img,!1,this.runtime.linearSampling,b.pixelformat);this.has_loaded_textures=!0}};d.unloadTextures=function(){if(!this.is_family&&!this.instances.length&&
this.has_loaded_textures){var a,c,b;a=0;for(c=this.all_frames.length;a<c;++a)b=this.all_frames[a],this.runtime.glwrap.deleteTexture(b.webGL_texture),b.webGL_texture=null;this.has_loaded_textures=!1}};var q=[];d.preloadCanvas2D=function(a){var c,b,d;c=q.length=0;for(b=this.all_frames.length;c<b;++c)d=this.all_frames[c].texture_img,-1===q.indexOf(d)&&(a.drawImage(d,0,0),q.push(d))};f.Instance=function(a){this.type=a;this.runtime=a.runtime;a=this.type.animations[0].frames[0].poly_pts;this.recycled?this.collision_poly.set_pts(a):
this.collision_poly=new cr.CollisionPoly(a)};var r=f.Instance.prototype;r.onCreate=function(){this.visible=0===this.properties[0];this.inAnimTrigger=this.isTicking=!1;this.collisionsEnabled=0!==this.properties[3];1===this.type.animations.length&&1===this.type.animations[0].frames.length||0===this.type.animations[0].speed||(this.runtime.tickMe(this),this.isTicking=!0);this.cur_animation=this.getAnimationByName(this.properties[1])||this.type.animations[0];this.cur_frame=this.properties[2];0>this.cur_frame&&
(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);var a=this.cur_animation.frames[this.cur_frame];this.collision_poly.set_pts(a.poly_pts);this.hotspotX=a.hotspotX;this.hotspotY=a.hotspotY;this.cur_anim_speed=this.cur_animation.speed;this.recycled?this.animTimer.reset():this.animTimer=new cr.KahanAdder;this.frameStart=this.getNowTime();this.animPlaying=!0;this.animRepeats=0;this.animForwards=!0;this.changeAnimName=this.animTriggerName=
"";this.changeAnimFrom=0;this.changeAnimFrame=-1;this.type.loadTextures();var c,b,d,e,f,g,h,a=0;for(c=this.type.animations.length;a<c;a++)for(e=this.type.animations[a],b=0,d=e.frames.length;b<d;b++)f=e.frames[b],0===f.width&&(f.width=f.texture_img.width,f.height=f.texture_img.height),f.spritesheeted&&(h=f.texture_img,g=f.sheetTex,g.left=f.offx/h.width,g.top=f.offy/h.height,g.right=(f.offx+f.width)/h.width,g.bottom=(f.offy+f.height)/h.height,0===f.offx&&0===f.offy&&f.width===h.width&&f.height===h.height&&
(f.spritesheeted=!1));this.curFrame=this.cur_animation.frames[this.cur_frame];this.curWebGLTexture=this.curFrame.webGL_texture};r.saveToJSON=function(){var a={a:this.cur_animation.sid,f:this.cur_frame,cas:this.cur_anim_speed,fs:this.frameStart,ar:this.animRepeats,at:this.animTimer.sum};this.animPlaying||(a.ap=this.animPlaying);this.animForwards||(a.af=this.animForwards);return a};r.loadFromJSON=function(a){var c=this.getAnimationBySid(a.a);c&&(this.cur_animation=c);this.cur_frame=a.f;0>this.cur_frame&&
(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);this.cur_anim_speed=a.cas;this.frameStart=a.fs;this.animRepeats=a.ar;this.animTimer.reset();this.animTimer.sum=a.at;this.animPlaying=a.hasOwnProperty("ap")?a.ap:!0;this.animForwards=a.hasOwnProperty("af")?a.af:!0;this.curFrame=this.cur_animation.frames[this.cur_frame];this.curWebGLTexture=this.curFrame.webGL_texture;this.collision_poly.set_pts(this.curFrame.poly_pts);this.hotspotX=
this.curFrame.hotspotX;this.hotspotY=this.curFrame.hotspotY};r.animationFinish=function(a){this.cur_frame=a?0:this.cur_animation.frames.length-1;this.animPlaying=!1;this.animTriggerName=this.cur_animation.name;this.inAnimTrigger=!0;this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnAnyAnimFinished,this);this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,this);this.inAnimTrigger=!1;this.animRepeats=0};r.getNowTime=function(){return this.animTimer.sum};r.tick=function(){this.animTimer.add(this.runtime.getDt(this));
this.changeAnimName.length&&this.doChangeAnim();0<=this.changeAnimFrame&&this.doChangeAnimFrame();var a=this.getNowTime(),c=this.cur_animation,b=c.frames[this.cur_frame],d=b.duration/this.cur_anim_speed;this.animPlaying&&a>=this.frameStart+d&&(this.animForwards?this.cur_frame++:this.cur_frame--,this.frameStart+=d,this.cur_frame>=c.frames.length&&(c.pingpong?(this.animForwards=!1,this.cur_frame=c.frames.length-2):c.loop?this.cur_frame=c.repeatto:(this.animRepeats++,this.animRepeats>=c.repeatcount?
this.animationFinish(!1):this.cur_frame=c.repeatto)),0>this.cur_frame&&(c.pingpong?(this.cur_frame=1,this.animForwards=!0,c.loop||(this.animRepeats++,this.animRepeats>=c.repeatcount&&this.animationFinish(!0))):c.loop?this.cur_frame=c.repeatto:(this.animRepeats++,this.animRepeats>=c.repeatcount?this.animationFinish(!0):this.cur_frame=c.repeatto)),0>this.cur_frame?this.cur_frame=0:this.cur_frame>=c.frames.length&&(this.cur_frame=c.frames.length-1),a>this.frameStart+c.frames[this.cur_frame].duration/
this.cur_anim_speed&&(this.frameStart=a),a=c.frames[this.cur_frame],this.OnFrameChanged(b,a),this.runtime.redraw=!0)};r.getAnimationByName=function(a){var c,b,d;c=0;for(b=this.type.animations.length;c<b;c++)if(d=this.type.animations[c],cr.equals_nocase(d.name,a))return d;return null};r.getAnimationBySid=function(a){var c,b,d;c=0;for(b=this.type.animations.length;c<b;c++)if(d=this.type.animations[c],d.sid===a)return d;return null};r.doChangeAnim=function(){var a=this.cur_animation.frames[this.cur_frame],
c=this.getAnimationByName(this.changeAnimName);this.changeAnimName="";!c||cr.equals_nocase(c.name,this.cur_animation.name)&&this.animPlaying||(this.cur_animation=c,this.cur_anim_speed=c.speed,0>this.cur_frame&&(this.cur_frame=0),this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1),1===this.changeAnimFrom&&(this.cur_frame=0),this.animPlaying=!0,this.frameStart=this.getNowTime(),this.animForwards=!0,this.OnFrameChanged(a,this.cur_animation.frames[this.cur_frame]),
this.runtime.redraw=!0)};r.doChangeAnimFrame=function(){var a=this.cur_animation.frames[this.cur_frame],c=this.cur_frame;this.cur_frame=cr.floor(this.changeAnimFrame);0>this.cur_frame&&(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);c!==this.cur_frame&&(this.OnFrameChanged(a,this.cur_animation.frames[this.cur_frame]),this.frameStart=this.getNowTime(),this.runtime.redraw=!0);this.changeAnimFrame=-1};r.OnFrameChanged=function(a,
c){var b=a.width,d=a.height,e=c.width,f=c.height;b!=e&&(this.width*=e/b);d!=f&&(this.height*=f/d);this.hotspotX=c.hotspotX;this.hotspotY=c.hotspotY;this.collision_poly.set_pts(c.poly_pts);this.set_bbox_changed();this.curFrame=c;this.curWebGLTexture=c.webGL_texture;b=0;for(d=this.behavior_insts.length;b<d;b++)if(e=this.behavior_insts[b],e.onSpriteFrameChanged)e.onSpriteFrameChanged(a,c);this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnFrameChanged,this)};r.draw=function(a){a.globalAlpha=this.opacity;
var c=this.curFrame,b=c.spritesheeted,d=c.texture_img,e=this.x,f=this.y,g=this.width,h=this.height;if(0===this.angle&&0<=g&&0<=h)e-=this.hotspotX*g,f-=this.hotspotY*h,this.runtime.pixel_rounding&&(e=e+0.5|0,f=f+0.5|0),b?a.drawImage(d,c.offx,c.offy,c.width,c.height,e,f,g,h):a.drawImage(d,e,f,g,h);else{this.runtime.pixel_rounding&&(e=e+0.5|0,f=f+0.5|0);a.save();var l=0<g?1:-1,k=0<h?1:-1;a.translate(e,f);1===l&&1===k||a.scale(l,k);a.rotate(this.angle*l*k);e=0-this.hotspotX*cr.abs(g);f=0-this.hotspotY*
cr.abs(h);b?a.drawImage(d,c.offx,c.offy,c.width,c.height,e,f,cr.abs(g),cr.abs(h)):a.drawImage(d,e,f,cr.abs(g),cr.abs(h));a.restore()}};r.drawGL=function(a){a.setTexture(this.curWebGLTexture);a.setOpacity(this.opacity);var c=this.curFrame,b=this.bquad;if(this.runtime.pixel_rounding){var d=(this.x+0.5|0)-this.x,e=(this.y+0.5|0)-this.y;c.spritesheeted?a.quadTex(b.tlx+d,b.tly+e,b.trx+d,b.try_+e,b.brx+d,b.bry+e,b.blx+d,b.bly+e,c.sheetTex):a.quad(b.tlx+d,b.tly+e,b.trx+d,b.try_+e,b.brx+d,b.bry+e,b.blx+d,
b.bly+e)}else c.spritesheeted?a.quadTex(b.tlx,b.tly,b.trx,b.try_,b.brx,b.bry,b.blx,b.bly,c.sheetTex):a.quad(b.tlx,b.tly,b.trx,b.try_,b.brx,b.bry,b.blx,b.bly)};r.getImagePointIndexByName=function(a){var c=this.curFrame,b,d;b=0;for(d=c.image_points.length;b<d;b++)if(cr.equals_nocase(a,c.image_points[b][0]))return b;return-1};r.getImagePoint=function(a,c){var b=this.curFrame,d=b.image_points,e;e=cr.is_string(a)?this.getImagePointIndexByName(a):a-1;e=cr.floor(e);if(0>e||e>=d.length)return c?this.x:this.y;
var f=(d[e][1]-b.hotspotX)*this.width,d=d[e][2],d=(d-b.hotspotY)*this.height,b=Math.cos(this.angle);e=Math.sin(this.angle);var g=f*b-d*e,d=d*b+f*e,f=g+this.x,d=d+this.y;return c?f:d};var s=[],x=-2,z=[];b.prototype.OnCollision=function(a){if(!a)return!1;var c=this.runtime,b=c.getCurrentCondition(),d=b.type;b.extra.collmemory||(b.extra.collmemory={},c.addDestroyCallback(function(a){return function(c){c=c.uid;var b,d;for(b in a)a.hasOwnProperty(b)&&(d=a[b],d[0]===c||d[1]===c)&&(e(a[b]),delete a[b])}}(b.extra.collmemory)));
var b=b.extra.collmemory,f=d.getCurrentSol(),g=a.getCurrentSol(),f=f.getObjects(),l,k,p,q,r,s,t,v=this.runtime.tickcount,y=v-1,D=c.getCurrentEventStack().current_event;for(k=0;k<f.length;k++){p=f[k];g.select_all?(p.update_bbox(),this.runtime.getCollisionCandidates(p.layer,a,p.bbox,z),l=z):l=g.getObjects();for(q=0;q<l.length;q++)r=l[q],c.testOverlap(p,r)||c.checkRegisteredCollision(p,r)?(s=n(b,p,r),s=!s||x<y,h(b,p,r,v),s&&(c.pushCopySol(D.solModifiers),s=d.getCurrentSol(),t=a.getCurrentSol(),s.select_all=
!1,t.select_all=!1,d===a?(s.instances.length=2,s.instances[0]=p,s.instances[1]=r,d.applySolToContainer()):(s.instances.length=1,t.instances.length=1,s.instances[0]=p,t.instances[0]=r,d.applySolToContainer(),a.applySolToContainer()),D.retrigger(),c.popSol(D.solModifiers))):m(b,p,r);z.length=0}return!1};var y=null,v=new cr.ObjectSet,t=!1,l=[];d.finish=function(a){if(t){if(a){var c=this.runtime.getCurrentEventStack().current_event.orblock;a=y.getCurrentSol();var b=v.valuesRef(),d,e;if(a.select_all){a.select_all=
!1;a.instances.length=b.length;d=0;for(e=b.length;d<e;d++)a.instances[d]=b[d];if(c)for(d=a.else_instances.length=0,e=y.instances.length;d<e;d++)b=y.instances[d],v.contains(b)||a.else_instances.push(b)}else if(c)for(c=a.instances.length,a.instances.length=c+b.length,d=0,e=b.length;d<e;d++)a.instances[c+d]=b[d],cr.arrayFindRemove(a.else_instances,b[d]);else cr.shallowAssignArray(a.instances,b);y.applySolToContainer()}v.clear();t=!1}};b.prototype.IsOverlapping=function(a){return c.call(this,a,0,0)};
b.prototype.IsOverlappingOffset=function(a,b,d){return c.call(this,a,b,d)};b.prototype.IsAnimPlaying=function(a){return this.changeAnimName.length?cr.equals_nocase(this.changeAnimName,a):cr.equals_nocase(this.cur_animation.name,a)};b.prototype.CompareFrame=function(a,c){return cr.do_cmp(this.cur_frame,a,c)};b.prototype.CompareAnimSpeed=function(a,c){return cr.do_cmp(this.animForwards?this.cur_anim_speed:-this.cur_anim_speed,a,c)};b.prototype.OnAnimFinished=function(a){return cr.equals_nocase(this.animTriggerName,
a)};b.prototype.OnAnyAnimFinished=function(){return!0};b.prototype.OnFrameChanged=function(){return!0};b.prototype.IsMirrored=function(){return 0>this.width};b.prototype.IsFlipped=function(){return 0>this.height};b.prototype.OnURLLoaded=function(){return!0};b.prototype.IsCollisionEnabled=function(){return this.collisionsEnabled};f.cnds=new b;p.prototype.Spawn=function(a,c,b){if(a&&c&&(c=this.runtime.createInstance(a,c,this.getImagePoint(b,!0),this.getImagePoint(b,!1)))){"undefined"!==typeof c.angle&&
(c.angle=this.angle,c.set_bbox_changed());this.runtime.isInOnDestroy++;var d,e,f;this.runtime.trigger(Object.getPrototypeOf(a.plugin).cnds.OnCreated,c);if(c.is_contained)for(d=0,e=c.siblings.length;d<e;d++)f=c.siblings[d],this.runtime.trigger(Object.getPrototypeOf(f.type.plugin).cnds.OnCreated,f);this.runtime.isInOnDestroy--;d=this.runtime.getCurrentAction();b=!1;if(cr.is_undefined(d.extra.Spawn_LastExec)||d.extra.Spawn_LastExec<this.runtime.execcount)b=!0,d.extra.Spawn_LastExec=this.runtime.execcount;
if(a!=this.type&&(a=a.getCurrentSol(),a.select_all=!1,b?(a.instances.length=1,a.instances[0]=c):a.instances.push(c),c.is_contained))for(d=0,e=c.siblings.length;d<e;d++)f=c.siblings[d],a=f.type.getCurrentSol(),a.select_all=!1,b?(a.instances.length=1,a.instances[0]=f):a.instances.push(f)}};p.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};p.prototype.StopAnim=function(){this.animPlaying=!1};p.prototype.StartAnim=
function(a){this.animPlaying=!0;this.frameStart=this.getNowTime();1===a&&0!==this.cur_frame&&(this.changeAnimFrame=0,this.inAnimTrigger||this.doChangeAnimFrame());this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0)};p.prototype.SetAnim=function(a,c){this.changeAnimName=a;this.changeAnimFrom=c;this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0);this.inAnimTrigger||this.doChangeAnim()};p.prototype.SetAnimFrame=function(a){this.changeAnimFrame=a;this.isTicking||(this.runtime.tickMe(this),
this.isTicking=!0);this.inAnimTrigger||this.doChangeAnimFrame()};p.prototype.SetAnimSpeed=function(a){this.cur_anim_speed=cr.abs(a);this.animForwards=0<=a;this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0)};p.prototype.SetMirrored=function(a){a=cr.abs(this.width)*(0===a?-1:1);this.width!==a&&(this.width=a,this.set_bbox_changed())};p.prototype.SetFlipped=function(a){a=cr.abs(this.height)*(0===a?-1:1);this.height!==a&&(this.height=a,this.set_bbox_changed())};p.prototype.SetScale=function(a){var c=
this.curFrame,b=c.width*a*(0>this.width?-1:1);a=c.height*a*(0>this.height?-1:1);if(this.width!==b||this.height!==a)this.width=b,this.height=a,this.set_bbox_changed()};p.prototype.LoadURL=function(a,c){var b=new Image,d=this,e=this.curFrame;b.onload=function(){e.texture_img.src===b.src?d.runtime.glwrap&&d.curFrame===e&&(d.curWebGLTexture=e.webGL_texture):(e.texture_img=b,e.offx=0,e.offy=0,e.width=b.width,e.height=b.height,e.spritesheeted=!1,e.datauri="",d.runtime.glwrap&&(e.webGL_texture&&d.runtime.glwrap.deleteTexture(e.webGL_texture),
e.webGL_texture=d.runtime.glwrap.loadTexture(b,!1,d.runtime.linearSampling),d.curFrame===e&&(d.curWebGLTexture=e.webGL_texture),d.type.updateAllCurrentTexture()),0===c&&(d.width=b.width,d.height=b.height,d.set_bbox_changed()));d.runtime.redraw=!0;d.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnURLLoaded,d)};"data:"!==a.substr(0,5)&&(b.crossOrigin="anonymous");b.src=a};p.prototype.SetCollisions=function(a){this.collisionsEnabled!==(0!==a)&&((this.collisionsEnabled=0!==a)?this.set_bbox_changed():
(this.collcells.right>=this.collcells.left&&this.type.collision_grid.update(this,this.collcells,null),this.collcells.set(0,0,-1,-1)))};f.acts=new p;g.prototype.AnimationFrame=function(a){a.set_int(this.cur_frame)};g.prototype.AnimationFrameCount=function(a){a.set_int(this.cur_animation.frames.length)};g.prototype.AnimationName=function(a){a.set_string(this.cur_animation.name)};g.prototype.AnimationSpeed=function(a){a.set_float(this.animForwards?this.cur_anim_speed:-this.cur_anim_speed)};g.prototype.ImagePointX=
function(a,c){a.set_float(this.getImagePoint(c,!0))};g.prototype.ImagePointY=function(a,c){a.set_float(this.getImagePoint(c,!1))};g.prototype.ImagePointCount=function(a){a.set_int(this.curFrame.image_points.length)};g.prototype.ImageWidth=function(a){a.set_float(this.curFrame.width)};g.prototype.ImageHeight=function(a){a.set_float(this.curFrame.height)};f.exps=new g})();cr.plugins_.Text=function(a){this.runtime=a};
(function(){function a(){return g.length?g.pop():{}}function b(a){var c,b;c=0;for(b=a.length;c<b;c++)g.push(a[c]);a.length=0}function e(){}function k(){}function h(){}var m=cr.plugins_.Text.prototype;m.onCreate=function(){m.acts.SetWidth=function(a){this.width!==a&&(this.width=a,this.text_changed=!0,this.set_bbox_changed())}};m.Type=function(a){this.plugin=a;this.runtime=a.runtime};var n=m.Type.prototype;n.onCreate=function(){};n.onLostWebGLContext=function(){if(!this.is_family){var a,c,b;a=0;for(c=
this.instances.length;a<c;a++)b=this.instances[a],b.mycanvas=null,b.myctx=null,b.mytex=null}};m.Instance=function(a){this.type=a;this.runtime=a.runtime;this.recycled?this.lines.length=0:this.lines=[];this.text_changed=!0};var n=m.Instance.prototype,c={};n.onCreate=function(){this.text=this.properties[0];this.visible=0===this.properties[1];this.font=this.properties[2];this.color=this.properties[3];this.halign=this.properties[4];this.valign=this.properties[5];this.wrapbyword=0===this.properties[7];
this.lastwrapwidth=this.lastwidth=this.width;this.lastheight=this.height;this.line_height_offset=this.properties[8];this.fontstyle=this.facename="";this.textHeight=this.textWidth=this.ptSize=0;this.parseFont();this.mytex=this.myctx=this.mycanvas=null;this.need_text_redraw=!1;this.last_render_tick=this.runtime.tickcount;this.recycled?this.rcTex.set(0,0,1,1):this.rcTex=new cr.rect(0,0,1,1);this.runtime.glwrap&&this.runtime.tickMe(this)};n.parseFont=function(){var a=this.font.split(" "),c;for(c=0;c<
a.length;c++)if("pt"===a[c].substr(a[c].length-2,2)){this.ptSize=parseInt(a[c].substr(0,a[c].length-2));this.pxHeight=Math.ceil(96*(this.ptSize/72))+4;0<c&&(this.fontstyle=a[c-1]);this.facename=a[c+1];for(c+=2;c<a.length;c++)this.facename+=" "+a[c];break}};n.saveToJSON=function(){return{t:this.text,f:this.font,c:this.color,ha:this.halign,va:this.valign,wr:this.wrapbyword,lho:this.line_height_offset,fn:this.facename,fs:this.fontstyle,ps:this.ptSize,pxh:this.pxHeight,tw:this.textWidth,th:this.textHeight,
lrt:this.last_render_tick}};n.loadFromJSON=function(a){this.text=a.t;this.font=a.f;this.color=a.c;this.halign=a.ha;this.valign=a.va;this.wrapbyword=a.wr;this.line_height_offset=a.lho;this.facename=a.fn;this.fontstyle=a.fs;this.ptSize=a.ps;this.pxHeight=a.pxh;this.textWidth=a.tw;this.textHeight=a.th;this.last_render_tick=a.lrt;this.text_changed=!0;this.lastwrapwidth=this.lastwidth=this.width;this.lastheight=this.height};n.tick=function(){if(this.runtime.glwrap&&this.mytex&&300<=this.runtime.tickcount-
this.last_render_tick){var a=this.layer;this.update_bbox();var c=this.bbox;if(c.right<a.viewLeft||c.bottom<a.viewTop||c.left>a.viewRight||c.top>a.viewBottom)this.runtime.glwrap.deleteTexture(this.mytex),this.mycanvas=this.myctx=this.mytex=null}};n.onDestroy=function(){this.mycanvas=this.myctx=null;this.runtime.glwrap&&this.mytex&&this.runtime.glwrap.deleteTexture(this.mytex);this.mytex=null};n.updateFont=function(){this.font=this.fontstyle+" "+this.ptSize.toString()+"pt "+this.facename;this.text_changed=
!0;this.runtime.redraw=!0};n.draw=function(a,c){a.font=this.font;a.textBaseline="top";a.fillStyle=this.color;a.globalAlpha=c?1:this.opacity;var b=1;c&&(b=this.layer.getScale(),a.save(),a.scale(b,b));if(this.text_changed||this.width!==this.lastwrapwidth)this.type.plugin.WordWrap(this.text,this.lines,a,this.width,this.wrapbyword),this.text_changed=!1,this.lastwrapwidth=this.width;this.update_bbox();var b=c?0:this.bquad.tlx,e=c?0:this.bquad.tly;this.runtime.pixel_rounding&&(b=b+0.5|0,e=e+0.5|0);0===
this.angle||c||(a.save(),a.translate(b,e),a.rotate(this.angle),e=b=0);var g=e+this.height,h=this.pxHeight,h=h+this.line_height_offset,k,m;1===this.valign?e+=Math.max(this.height/2-this.lines.length*h/2,0):2===this.valign&&(e+=Math.max(this.height-this.lines.length*h-2,0));for(m=0;m<this.lines.length&&!(k=b,1===this.halign?k=b+(this.width-this.lines[m].width)/2:2===this.halign&&(k=b+(this.width-this.lines[m].width)),a.fillText(this.lines[m].text,k,e),e+=h,e>=g-h);m++);(0!==this.angle||c)&&a.restore();
this.last_render_tick=this.runtime.tickcount};n.drawGL=function(a){if(!(1>this.width||1>this.height)){var c=this.text_changed||this.need_text_redraw;this.need_text_redraw=!1;var b=this.layer.getScale(),e=this.layer.getAngle(),g=this.rcTex,h=b*this.width,k=b*this.height,m=Math.ceil(h),n=Math.ceil(k),p=this.runtime.draw_width/2,l=this.runtime.draw_height/2;this.myctx||(this.mycanvas=document.createElement("canvas"),this.mycanvas.width=m,this.mycanvas.height=n,this.lastwidth=m,this.lastheight=n,c=!0,
this.myctx=this.mycanvas.getContext("2d"));if(m!==this.lastwidth||n!==this.lastheight)this.mycanvas.width=m,this.mycanvas.height=n,this.mytex&&(a.deleteTexture(this.mytex),this.mytex=null),c=!0;c&&(this.myctx.clearRect(0,0,m,n),this.draw(this.myctx,!0),this.mytex||(this.mytex=a.createEmptyTexture(m,n,this.runtime.linearSampling,this.runtime.isMobile)),a.videoToTexture(this.mycanvas,this.mytex,this.runtime.isMobile));this.lastwidth=m;this.lastheight=n;a.setTexture(this.mytex);a.setOpacity(this.opacity);
a.resetModelView();a.translate(-p,-l);a.updateModelView();var u=this.bquad,c=this.layer.layerToCanvas(u.tlx,u.tly,!0,!0),p=this.layer.layerToCanvas(u.tlx,u.tly,!1,!0),l=this.layer.layerToCanvas(u.trx,u.try_,!0,!0),w=this.layer.layerToCanvas(u.trx,u.try_,!1,!0),B=this.layer.layerToCanvas(u.brx,u.bry,!0,!0),A=this.layer.layerToCanvas(u.brx,u.bry,!1,!0),E=this.layer.layerToCanvas(u.blx,u.bly,!0,!0),u=this.layer.layerToCanvas(u.blx,u.bly,!1,!0);if(this.runtime.pixel_rounding||0===this.angle&&0===e)var F=
(c+0.5|0)-c,C=(p+0.5|0)-p,c=c+F,p=p+C,l=l+F,w=w+C,B=B+F,A=A+C,E=E+F,u=u+C;0===this.angle&&0===e?(l=c+m,w=p,B=l,A=p+n,E=c,u=A,g.right=1,g.bottom=1):(g.right=h/m,g.bottom=k/n);a.quadTex(c,p,l,w,B,A,E,u,g);a.resetModelView();a.scale(b,b);a.rotateZ(-this.layer.getAngle());a.translate((this.layer.viewLeft+this.layer.viewRight)/-2,(this.layer.viewTop+this.layer.viewBottom)/-2);a.updateModelView();this.last_render_tick=this.runtime.tickcount}};var p=[];m.TokeniseWords=function(a){p.length=0;for(var c="",
b,e=0;e<a.length;)if(b=a.charAt(e),"\n"===b)c.length&&(p.push(c),c=""),p.push("\n"),++e;else if(" "===b||"\t"===b||"-"===b){do c+=a.charAt(e),e++;while(e<a.length&&(" "===a.charAt(e)||"\t"===a.charAt(e)));p.push(c);c=""}else e<a.length&&(c+=b,e++);c.length&&p.push(c)};var g=[];m.WordWrap=function(c,d,e,g,h){if(c&&c.length)if(2>=g)b(d);else{if(100>=c.length&&-1===c.indexOf("\n")){var k=e.measureText(c).width;if(k<=g){b(d);d.push(a());d[0].text=c;d[0].width=k;return}}this.WrapText(c,d,e,g,h)}else b(d)};
m.WrapText=function(c,b,e,h,k){k&&(this.TokeniseWords(c),c=p);var m="",n,y,v,t=0;for(v=0;v<c.length;v++)"\n"===c[v]?(t>=b.length&&b.push(a()),y=b[t],y.text=m,y.width=e.measureText(m).width,t++,m=""):(n=m,m+=c[v],y=e.measureText(m).width,y>=h&&(t>=b.length&&b.push(a()),y=b[t],y.text=n,y.width=e.measureText(n).width,t++,m=c[v],k||" "!==m||(m="")));m.length&&(t>=b.length&&b.push(a()),y=b[t],y.text=m,y.width=e.measureText(m).width,t++);for(v=t;v<b.length;v++)g.push(b[v]);b.length=t};e.prototype.CompareText=
function(a,c){return c?this.text==a:cr.equals_nocase(this.text,a)};m.cnds=new e;k.prototype.SetText=function(a){cr.is_number(a)&&1E9>a&&(a=Math.round(1E10*a)/1E10);a=a.toString();this.text!==a&&(this.text=a,this.text_changed=!0,this.runtime.redraw=!0)};k.prototype.AppendText=function(a){cr.is_number(a)&&(a=Math.round(1E10*a)/1E10);if(a=a.toString())this.text+=a,this.text_changed=!0,this.runtime.redraw=!0};k.prototype.SetFontFace=function(a,c){var b="";switch(c){case 1:b="bold";break;case 2:b="italic";
break;case 3:b="bold italic"}if(a!==this.facename||b!==this.fontstyle)this.facename=a,this.fontstyle=b,this.updateFont()};k.prototype.SetFontSize=function(a){this.ptSize!==a&&(this.ptSize=a,this.pxHeight=Math.ceil(96*(this.ptSize/72))+4,this.updateFont())};k.prototype.SetFontColor=function(a){a="rgb("+cr.GetRValue(a).toString()+","+cr.GetGValue(a).toString()+","+cr.GetBValue(a).toString()+")";a!==this.color&&(this.color=a,this.need_text_redraw=!0,this.runtime.redraw=!0)};k.prototype.SetWebFont=function(a,
b){if(this.runtime.isDomFree)cr.logexport("[Construct 2] Text plugin: 'Set web font' not supported on this platform - the action has been ignored");else{var e=this,g=function(){e.runtime.redraw=!0;e.text_changed=!0};if(c.hasOwnProperty(b)){var h="'"+a+"'";if(this.facename!==h)for(this.facename=h,this.updateFont(),h=1;10>h;h++)setTimeout(g,100*h),setTimeout(g,1E3*h)}else for(h=document.createElement("link"),h.href=b,h.rel="stylesheet",h.type="text/css",h.onload=g,document.getElementsByTagName("head")[0].appendChild(h),
c[b]=!0,this.facename="'"+a+"'",this.updateFont(),h=1;10>h;h++)setTimeout(g,100*h),setTimeout(g,1E3*h)}};k.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};m.acts=new k;h.prototype.Text=function(a){a.set_string(this.text)};h.prototype.FaceName=function(a){a.set_string(this.facename)};h.prototype.FaceSize=function(a){a.set_int(this.ptSize)};h.prototype.TextWidth=function(a){var c=0,b,e,g;b=0;for(e=this.lines.length;b<
e;b++)g=this.lines[b].width,c<g&&(c=g);a.set_int(c)};h.prototype.TextHeight=function(a){a.set_int(this.lines.length*(this.pxHeight+this.line_height_offset)-this.line_height_offset)};m.exps=new h})();cr.plugins_.TiledBg=function(a){this.runtime=a};
(function(){function a(){}function b(){}function e(){}var k=cr.plugins_.TiledBg.prototype;k.Type=function(a){this.plugin=a;this.runtime=a.runtime};var h=k.Type.prototype;h.onCreate=function(){this.is_family||(this.texture_img=new Image,this.texture_img.idtkLoadDisposed=!0,this.texture_img.src=this.texture_file,this.texture_img.cr_filesize=this.texture_filesize,this.runtime.waitForImageLoad(this.texture_img),this.webGL_texture=this.pattern=null)};h.onLostWebGLContext=function(){this.is_family||(this.webGL_texture=
null)};h.onRestoreWebGLContext=function(){if(!this.is_family&&this.instances.length){this.webGL_texture||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,!0,this.runtime.linearSampling,this.texture_pixelformat));var a,b;a=0;for(b=this.instances.length;a<b;a++)this.instances[a].webGL_texture=this.webGL_texture}};h.loadTextures=function(){this.is_family||this.webGL_texture||!this.runtime.glwrap||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,!0,this.runtime.linearSampling,
this.texture_pixelformat))};h.unloadTextures=function(){this.is_family||this.instances.length||!this.webGL_texture||(this.runtime.glwrap.deleteTexture(this.webGL_texture),this.webGL_texture=null)};h.preloadCanvas2D=function(a){a.drawImage(this.texture_img,0,0)};k.Instance=function(a){this.type=a;this.runtime=a.runtime};h=k.Instance.prototype;h.onCreate=function(){this.visible=0===this.properties[0];this.rcTex=new cr.rect(0,0,0,0);this.has_own_texture=!1;this.texture_img=this.type.texture_img;this.runtime.glwrap?
(this.type.loadTextures(),this.webGL_texture=this.type.webGL_texture):(this.type.pattern||(this.type.pattern=this.runtime.ctx.createPattern(this.type.texture_img,"repeat")),this.pattern=this.type.pattern)};h.afterLoad=function(){this.has_own_texture=!1;this.texture_img=this.type.texture_img};h.onDestroy=function(){this.runtime.glwrap&&this.has_own_texture&&this.webGL_texture&&(this.runtime.glwrap.deleteTexture(this.webGL_texture),this.webGL_texture=null)};h.draw=function(a){a.globalAlpha=this.opacity;
a.save();a.fillStyle=this.pattern;var b=this.x,c=this.y;this.runtime.pixel_rounding&&(b=b+0.5|0,c=c+0.5|0);var e=-(this.hotspotX*this.width),g=-(this.hotspotY*this.height),f=e%this.texture_img.width,d=g%this.texture_img.height;0>f&&(f+=this.texture_img.width);0>d&&(d+=this.texture_img.height);a.translate(b,c);a.rotate(this.angle);a.translate(f,d);a.fillRect(e-f,g-d,this.width,this.height);a.restore()};h.drawGL=function(a){a.setTexture(this.webGL_texture);a.setOpacity(this.opacity);var b=this.rcTex;
b.right=this.width/this.texture_img.width;b.bottom=this.height/this.texture_img.height;var c=this.bquad;if(this.runtime.pixel_rounding){var e=(this.x+0.5|0)-this.x,g=(this.y+0.5|0)-this.y;a.quadTex(c.tlx+e,c.tly+g,c.trx+e,c.try_+g,c.brx+e,c.bry+g,c.blx+e,c.bly+g,b)}else a.quadTex(c.tlx,c.tly,c.trx,c.try_,c.brx,c.bry,c.blx,c.bly,b)};a.prototype.OnURLLoaded=function(){return!0};k.cnds=new a;b.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);
this.runtime.redraw=!0};b.prototype.LoadURL=function(a){var b=new Image,c=this;b.onload=function(){c.texture_img=b;c.runtime.glwrap?(c.has_own_texture&&c.webGL_texture&&c.runtime.glwrap.deleteTexture(c.webGL_texture),c.webGL_texture=c.runtime.glwrap.loadTexture(b,!0,c.runtime.linearSampling)):c.pattern=c.runtime.ctx.createPattern(b,"repeat");c.has_own_texture=!0;c.runtime.redraw=!0;c.runtime.trigger(cr.plugins_.TiledBg.prototype.cnds.OnURLLoaded,c)};"data:"!==a.substr(0,5)&&(b.crossOrigin="anonymous");
b.src=a};k.acts=new b;e.prototype.ImageWidth=function(a){a.set_float(this.texture_img.width)};e.prototype.ImageHeight=function(a){a.set_float(this.texture_img.height)};k.exps=new e})();cr.plugins_.Touch=function(a){this.runtime=a};
(function(){function a(a){g=a.x;f=a.y;d=a.z}function b(a){q=a.x;r=a.y;s=a.z}function e(a,c,b,d){var e;e=x.length?x.pop():new k;e.init(a,c,b,d);return e}function k(){this.startindex=this.id=this.lasty=this.lastx=this.y=this.x=this.starty=this.startx=this.lasttime=this.time=this.starttime=0;this.tooFarForHold=this.triggeredHold=!1}function h(){}function m(){}var n=cr.plugins_.Touch.prototype;n.Type=function(a){this.plugin=a;this.runtime=a.runtime};n.Type.prototype.onCreate=function(){};n.Instance=function(a){this.type=
a;this.runtime=a.runtime;this.touches=[];this.mouseDown=!1};var c=n.Instance.prototype,p={left:0,top:0};c.findTouch=function(a){var c,b;c=0;for(b=this.touches.length;c<b;c++)if(this.touches[c].id===a)return c;return-1};var g=0,f=0,d=0,q=0,r=0,s=0,x=[];k.prototype.init=function(a,c,b,d){var e=cr.performance_now();this.starttime=this.lasttime=this.time=e;this.startx=a;this.starty=c;this.x=a;this.y=c;this.lastx=a;this.lasty=c;this.id=b;this.startindex=d;this.tooFarForHold=this.triggeredHold=!1};k.prototype.update=
function(a,c,b){this.lasttime=this.time;this.time=a;this.lastx=this.x;this.lasty=this.y;this.x=c;this.y=b;!this.tooFarForHold&&15<=cr.distanceTo(this.startx,this.starty,this.x,this.y)&&(this.tooFarForHold=!0)};k.prototype.maybeTriggerHold=function(a,c){!this.triggeredHold&&500<=cr.performance_now()-this.starttime&&!this.tooFarForHold&&15>cr.distanceTo(this.startx,this.starty,this.x,this.y)&&(this.triggeredHold=!0,a.trigger_index=this.startindex,a.trigger_id=this.id,a.getTouchIndex=c,a.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnHoldGesture,
a),a.curTouchX=this.x,a.curTouchY=this.y,a.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnHoldGestureObject,a),a.getTouchIndex=0)};var z=-1E3,y=-1E3,v=-1E4;k.prototype.maybeTriggerTap=function(a,c){if(!this.triggeredHold){var b=cr.performance_now();333>=b-this.starttime&&!this.tooFarForHold&&15>cr.distanceTo(this.startx,this.starty,this.x,this.y)&&(a.trigger_index=this.startindex,a.trigger_id=this.id,a.getTouchIndex=c,666>=b-v&&25>cr.distanceTo(z,y,this.x,this.y)?(a.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnDoubleTapGesture,
a),a.curTouchX=this.x,a.curTouchY=this.y,a.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnDoubleTapGestureObject,a),y=z=-1E3,v=-1E4):(a.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTapGesture,a),a.curTouchX=this.x,a.curTouchY=this.y,a.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTapGestureObject,a),z=this.x,y=this.y,v=b),a.getTouchIndex=0)}};c.onCreate=function(){this.isWindows8=!("undefined"===typeof window.c2isWindows8||!window.c2isWindows8);this.getTouchIndex=this.trigger_id=this.trigger_index=
this.curTouchY=this.curTouchX=this.acc_z=this.acc_y=this.acc_x=this.acc_g_z=this.acc_g_y=this.acc_g_x=this.orient_gamma=this.orient_beta=this.orient_alpha=0;this.useMouseInput=0!==this.properties[0];var c=0<this.runtime.fullscreen_mode?document:this.runtime.canvas,d=document;this.runtime.isDirectCanvas?d=c=window.Canvas:this.runtime.isCocoonJs&&(d=c=window);var e=this;window.navigator.pointerEnabled?(c.addEventListener("pointerdown",function(a){e.onPointerStart(a)},!1),c.addEventListener("pointermove",
function(a){e.onPointerMove(a)},!1),d.addEventListener("pointerup",function(a){e.onPointerEnd(a,!1)},!1),d.addEventListener("pointercancel",function(a){e.onPointerEnd(a,!0)},!1),this.runtime.canvas&&(this.runtime.canvas.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1),document.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1),this.runtime.canvas.addEventListener("gesturehold",function(a){a.preventDefault()},!1),document.addEventListener("gesturehold",function(a){a.preventDefault()},
!1))):window.navigator.msPointerEnabled?(c.addEventListener("MSPointerDown",function(a){e.onPointerStart(a)},!1),c.addEventListener("MSPointerMove",function(a){e.onPointerMove(a)},!1),d.addEventListener("MSPointerUp",function(a){e.onPointerEnd(a,!1)},!1),d.addEventListener("MSPointerCancel",function(a){e.onPointerEnd(a,!0)},!1),this.runtime.canvas&&(this.runtime.canvas.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1),document.addEventListener("MSGestureHold",function(a){a.preventDefault()},
!1))):(c.addEventListener("touchstart",function(a){e.onTouchStart(a)},!1),c.addEventListener("touchmove",function(a){e.onTouchMove(a)},!1),d.addEventListener("touchend",function(a){e.onTouchEnd(a,!1)},!1),d.addEventListener("touchcancel",function(a){e.onTouchEnd(a,!0)},!1));if(this.isWindows8){var g=function(a){a=a.reading;e.acc_x=a.accelerationX;e.acc_y=a.accelerationY;e.acc_z=a.accelerationZ},f=function(a){a=a.reading;e.orient_alpha=a.yawDegrees;e.orient_beta=a.pitchDegrees;e.orient_gamma=a.rollDegrees},
h=Windows.Devices.Sensors.Accelerometer.getDefault();h&&(h.reportInterval=Math.max(h.minimumReportInterval,16),h.addEventListener("readingchanged",g));var k=Windows.Devices.Sensors.Inclinometer.getDefault();k&&(k.reportInterval=Math.max(k.minimumReportInterval,16),k.addEventListener("readingchanged",f));document.addEventListener("visibilitychange",function(a){document.hidden||document.msHidden?(h&&h.removeEventListener("readingchanged",g),k&&k.removeEventListener("readingchanged",f)):(h&&h.addEventListener("readingchanged",
g),k&&k.addEventListener("readingchanged",f))},!1)}else window.addEventListener("deviceorientation",function(a){e.orient_alpha=a.alpha||0;e.orient_beta=a.beta||0;e.orient_gamma=a.gamma||0},!1),window.addEventListener("devicemotion",function(a){a.accelerationIncludingGravity&&(e.acc_g_x=a.accelerationIncludingGravity.x||0,e.acc_g_y=a.accelerationIncludingGravity.y||0,e.acc_g_z=a.accelerationIncludingGravity.z||0);a.acceleration&&(e.acc_x=a.acceleration.x||0,e.acc_y=a.acceleration.y||0,e.acc_z=a.acceleration.z||
0)},!1);this.useMouseInput&&!this.runtime.isDomFree&&(jQuery(document).mousemove(function(a){e.onMouseMove(a)}),jQuery(document).mousedown(function(a){e.onMouseDown(a)}),jQuery(document).mouseup(function(a){e.onMouseUp(a)}));this.runtime.isAppMobi&&!this.runtime.isDirectCanvas&&AppMobi.accelerometer.watchAcceleration(a,{frequency:40,adjustForRotation:!0});this.runtime.isPhoneGap&&navigator.accelerometer&&navigator.accelerometer.watchAcceleration&&navigator.accelerometer.watchAcceleration(b,null,{frequency:40});
this.runtime.tick2Me(this)};c.onPointerMove=function(a){if(a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType){a.preventDefault&&a.preventDefault();var c=this.findTouch(a.pointerId),b=cr.performance_now();if(0<=c){var d=this.runtime.isDomFree?p:jQuery(this.runtime.canvas).offset(),c=this.touches[c];2>b-c.time||c.update(b,a.pageX-d.left,a.pageY-d.top)}}};c.onPointerStart=function(a){if(a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType){a.preventDefault&&a.preventDefault();
var c=this.runtime.isDomFree?p:jQuery(this.runtime.canvas).offset(),b=a.pageX-c.left,c=a.pageY-c.top;cr.performance_now();this.trigger_index=this.touches.length;this.trigger_id=a.pointerId;this.touches.push(e(b,c,a.pointerId,this.trigger_index));this.runtime.isInUserInputEvent=!0;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchStart,this);this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchStart,this);this.curTouchX=b;this.curTouchY=c;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchObject,
this);this.runtime.isInUserInputEvent=!1}};c.onPointerEnd=function(a,c){if(a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType){a.preventDefault&&a.preventDefault();var b=this.findTouch(a.pointerId);this.trigger_index=0<=b?this.touches[b].startindex:-1;this.trigger_id=0<=b?this.touches[b].id:-1;this.runtime.isInUserInputEvent=!0;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd,this);this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchEnd,this);0<=b&&(c||this.touches[b].maybeTriggerTap(this,
b),100>x.length&&x.push(this.touches[b]),this.touches.splice(b,1));this.runtime.isInUserInputEvent=!1}};c.onTouchMove=function(a){a.preventDefault&&a.preventDefault();var c=cr.performance_now(),b,d,e,g;b=0;for(d=a.changedTouches.length;b<d;b++)if(e=a.changedTouches[b],g=this.findTouch(e.identifier),0<=g){var f=this.runtime.isDomFree?p:jQuery(this.runtime.canvas).offset();g=this.touches[g];2>c-g.time||g.update(c,e.pageX-f.left,e.pageY-f.top)}};c.onTouchStart=function(a){a.preventDefault&&a.preventDefault();
var c=this.runtime.isDomFree?p:jQuery(this.runtime.canvas).offset();cr.performance_now();this.runtime.isInUserInputEvent=!0;var b,d,g,f;b=0;for(d=a.changedTouches.length;b<d;b++)if(g=a.changedTouches[b],f=this.findTouch(g.identifier),-1===f){f=g.pageX-c.left;var h=g.pageY-c.top;this.trigger_index=this.touches.length;this.trigger_id=g.identifier;this.touches.push(e(f,h,g.identifier,this.trigger_index));this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchStart,this);this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchStart,
this);this.curTouchX=f;this.curTouchY=h;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchObject,this)}this.runtime.isInUserInputEvent=!1};c.onTouchEnd=function(a,c){a.preventDefault&&a.preventDefault();this.runtime.isInUserInputEvent=!0;var b,d,e;b=0;for(d=a.changedTouches.length;b<d;b++)e=a.changedTouches[b],e=this.findTouch(e.identifier),0<=e&&(this.trigger_index=this.touches[e].startindex,this.trigger_id=this.touches[e].id,this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd,
this),this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchEnd,this),c||this.touches[e].maybeTriggerTap(this,e),100>x.length&&x.push(this.touches[e]),this.touches.splice(e,1));this.runtime.isInUserInputEvent=!1};c.getAlpha=function(){return this.runtime.isAppMobi&&0===this.orient_alpha&&0!==d?90*d:this.runtime.isPhoneGap&&0===this.orient_alpha&&0!==s?90*s:this.orient_alpha};c.getBeta=function(){return this.runtime.isAppMobi&&0===this.orient_beta&&0!==f?-90*f:this.runtime.isPhoneGap&&0===this.orient_beta&&
0!==r?-90*r:this.orient_beta};c.getGamma=function(){return this.runtime.isAppMobi&&0===this.orient_gamma&&0!==g?90*g:this.runtime.isPhoneGap&&0===this.orient_gamma&&0!==q?90*q:this.orient_gamma};c.onMouseDown=function(a){a.preventDefault&&this.runtime.had_a_click&&!this.runtime.isMobile&&a.preventDefault();this.onTouchStart({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]});this.mouseDown=!0};c.onMouseMove=function(a){if(this.mouseDown)this.onTouchMove({changedTouches:[{pageX:a.pageX,
pageY:a.pageY,identifier:0}]})};c.onMouseUp=function(a){a.preventDefault&&this.runtime.had_a_click&&!this.runtime.isMobile&&a.preventDefault();this.runtime.had_a_click=!0;this.onTouchEnd({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]});this.mouseDown=!1};c.tick2=function(){var a,c,b,d=cr.performance_now();a=0;for(c=this.touches.length;a<c;++a)b=this.touches[a],b.time<=d-50&&(b.lasttime=d),b.maybeTriggerHold(this,a)};h.prototype.OnTouchStart=function(){return!0};h.prototype.OnTouchEnd=
function(){return!0};h.prototype.IsInTouch=function(){return this.touches.length};h.prototype.OnTouchObject=function(a){return a?this.runtime.testAndSelectCanvasPointOverlap(a,this.curTouchX,this.curTouchY,!1):!1};var t=[];h.prototype.IsTouchingObject=function(a){if(!a)return!1;var c=a.getCurrentSol(),b=c.getObjects(),d,e,g,f,h,k;g=0;for(f=b.length;g<f;g++){var m=b[g];m.update_bbox();h=0;for(k=this.touches.length;h<k;h++)if(e=this.touches[h],d=m.layer.canvasToLayer(e.x,e.y,!0),e=m.layer.canvasToLayer(e.x,
e.y,!1),m.contains_pt(d,e)){t.push(m);break}}return t.length?(c.select_all=!1,cr.shallowAssignArray(c.instances,t),a.applySolToContainer(),t.length=0,!0):!1};h.prototype.CompareTouchSpeed=function(a,c,b){a=Math.floor(a);if(0>a||a>=this.touches.length)return!1;var d=this.touches[a];a=cr.distanceTo(d.x,d.y,d.lastx,d.lasty);var d=(d.time-d.lasttime)/1E3,e=0;0<d&&(e=a/d);return cr.do_cmp(e,c,b)};h.prototype.OrientationSupported=function(){return"undefined"!==typeof window.DeviceOrientationEvent};h.prototype.MotionSupported=
function(){return"undefined"!==typeof window.DeviceMotionEvent};h.prototype.CompareOrientation=function(a,c,b){var d=0,d=0===a?this.getAlpha():1===a?this.getBeta():this.getGamma();return cr.do_cmp(d,c,b)};h.prototype.CompareAcceleration=function(a,c,b){var d=0;0===a?d=this.acc_g_x:1===a?d=this.acc_g_y:2===a?d=this.acc_g_z:3===a?d=this.acc_x:4===a?d=this.acc_y:5===a&&(d=this.acc_z);return cr.do_cmp(d,c,b)};h.prototype.OnNthTouchStart=function(a){a=Math.floor(a);return a===this.trigger_index};h.prototype.OnNthTouchEnd=
function(a){a=Math.floor(a);return a===this.trigger_index};h.prototype.HasNthTouch=function(a){a=Math.floor(a);return this.touches.length>=a+1};h.prototype.OnHoldGesture=function(){return!0};h.prototype.OnTapGesture=function(){return!0};h.prototype.OnDoubleTapGesture=function(){return!0};h.prototype.OnHoldGestureObject=function(a){return a?this.runtime.testAndSelectCanvasPointOverlap(a,this.curTouchX,this.curTouchY,!1):!1};h.prototype.OnTapGestureObject=function(a){return a?this.runtime.testAndSelectCanvasPointOverlap(a,
this.curTouchX,this.curTouchY,!1):!1};h.prototype.OnDoubleTapGestureObject=function(a){return a?this.runtime.testAndSelectCanvasPointOverlap(a,this.curTouchX,this.curTouchY,!1):!1};n.cnds=new h;m.prototype.TouchCount=function(a){a.set_int(this.touches.length)};m.prototype.X=function(a,c){var b=this.getTouchIndex;if(0>b||b>=this.touches.length)a.set_float(0);else{var d,e,g,f,h;cr.is_undefined(c)?(d=this.runtime.getLayerByNumber(0),e=d.scale,g=d.zoomRate,f=d.parallaxX,h=d.angle,d.scale=this.runtime.running_layout.scale,
d.zoomRate=1,d.parallaxX=1,d.angle=this.runtime.running_layout.angle,a.set_float(d.canvasToLayer(this.touches[b].x,this.touches[b].y,!0)),d.scale=e,d.zoomRate=g,d.parallaxX=f,d.angle=h):(d=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?a.set_float(d.canvasToLayer(this.touches[b].x,this.touches[b].y,!0)):a.set_float(0)}};m.prototype.XAt=function(a,c,b){c=Math.floor(c);if(0>c||c>=this.touches.length)a.set_float(0);else{var d,e,g,f;cr.is_undefined(b)?(b=this.runtime.getLayerByNumber(0),
d=b.scale,e=b.zoomRate,g=b.parallaxX,f=b.angle,b.scale=this.runtime.running_layout.scale,b.zoomRate=1,b.parallaxX=1,b.angle=this.runtime.running_layout.angle,a.set_float(b.canvasToLayer(this.touches[c].x,this.touches[c].y,!0)),b.scale=d,b.zoomRate=e,b.parallaxX=g,b.angle=f):(b=cr.is_number(b)?this.runtime.getLayerByNumber(b):this.runtime.getLayerByName(b))?a.set_float(b.canvasToLayer(this.touches[c].x,this.touches[c].y,!0)):a.set_float(0)}};m.prototype.XForID=function(a,c,b){c=this.findTouch(c);if(0>
c)a.set_float(0);else{c=this.touches[c];var d,e,g,f;cr.is_undefined(b)?(b=this.runtime.getLayerByNumber(0),d=b.scale,e=b.zoomRate,g=b.parallaxX,f=b.angle,b.scale=this.runtime.running_layout.scale,b.zoomRate=1,b.parallaxX=1,b.angle=this.runtime.running_layout.angle,a.set_float(b.canvasToLayer(c.x,c.y,!0)),b.scale=d,b.zoomRate=e,b.parallaxX=g,b.angle=f):(b=cr.is_number(b)?this.runtime.getLayerByNumber(b):this.runtime.getLayerByName(b))?a.set_float(b.canvasToLayer(c.x,c.y,!0)):a.set_float(0)}};m.prototype.Y=
function(a,c){var b=this.getTouchIndex;if(0>b||b>=this.touches.length)a.set_float(0);else{var d,e,g,f,h;cr.is_undefined(c)?(d=this.runtime.getLayerByNumber(0),e=d.scale,g=d.zoomRate,f=d.parallaxY,h=d.angle,d.scale=this.runtime.running_layout.scale,d.zoomRate=1,d.parallaxY=1,d.angle=this.runtime.running_layout.angle,a.set_float(d.canvasToLayer(this.touches[b].x,this.touches[b].y,!1)),d.scale=e,d.zoomRate=g,d.parallaxY=f,d.angle=h):(d=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?
a.set_float(d.canvasToLayer(this.touches[b].x,this.touches[b].y,!1)):a.set_float(0)}};m.prototype.YAt=function(a,c,b){c=Math.floor(c);if(0>c||c>=this.touches.length)a.set_float(0);else{var d,e,g,f;cr.is_undefined(b)?(b=this.runtime.getLayerByNumber(0),d=b.scale,e=b.zoomRate,g=b.parallaxY,f=b.angle,b.scale=this.runtime.running_layout.scale,b.zoomRate=1,b.parallaxY=1,b.angle=this.runtime.running_layout.angle,a.set_float(b.canvasToLayer(this.touches[c].x,this.touches[c].y,!1)),b.scale=d,b.zoomRate=e,
b.parallaxY=g,b.angle=f):(b=cr.is_number(b)?this.runtime.getLayerByNumber(b):this.runtime.getLayerByName(b))?a.set_float(b.canvasToLayer(this.touches[c].x,this.touches[c].y,!1)):a.set_float(0)}};m.prototype.YForID=function(a,c,b){c=this.findTouch(c);if(0>c)a.set_float(0);else{c=this.touches[c];var d,e,g,f;cr.is_undefined(b)?(b=this.runtime.getLayerByNumber(0),d=b.scale,e=b.zoomRate,g=b.parallaxY,f=b.angle,b.scale=this.runtime.running_layout.scale,b.zoomRate=1,b.parallaxY=1,b.angle=this.runtime.running_layout.angle,
a.set_float(b.canvasToLayer(c.x,c.y,!1)),b.scale=d,b.zoomRate=e,b.parallaxY=g,b.angle=f):(b=cr.is_number(b)?this.runtime.getLayerByNumber(b):this.runtime.getLayerByName(b))?a.set_float(b.canvasToLayer(c.x,c.y,!1)):a.set_float(0)}};m.prototype.AbsoluteX=function(a){this.touches.length?a.set_float(this.touches[0].x):a.set_float(0)};m.prototype.AbsoluteXAt=function(a,c){c=Math.floor(c);0>c||c>=this.touches.length?a.set_float(0):a.set_float(this.touches[c].x)};m.prototype.AbsoluteXForID=function(a,c){var b=
this.findTouch(c);0>b?a.set_float(0):a.set_float(this.touches[b].x)};m.prototype.AbsoluteY=function(a){this.touches.length?a.set_float(this.touches[0].y):a.set_float(0)};m.prototype.AbsoluteYAt=function(a,c){c=Math.floor(c);0>c||c>=this.touches.length?a.set_float(0):a.set_float(this.touches[c].y)};m.prototype.AbsoluteYForID=function(a,c){var b=this.findTouch(c);0>b?a.set_float(0):a.set_float(this.touches[b].y)};m.prototype.SpeedAt=function(a,c){c=Math.floor(c);if(0>c||c>=this.touches.length)a.set_float(0);
else{var b=this.touches[c],d=cr.distanceTo(b.x,b.y,b.lastx,b.lasty),b=(b.time-b.lasttime)/1E3;0===b?a.set_float(0):a.set_float(d/b)}};m.prototype.SpeedForID=function(a,c){var b=this.findTouch(c);if(0>b)a.set_float(0);else{var d=this.touches[b],b=cr.distanceTo(d.x,d.y,d.lastx,d.lasty),d=(d.time-d.lasttime)/1E3;0===d?a.set_float(0):a.set_float(b/d)}};m.prototype.AngleAt=function(a,c){c=Math.floor(c);if(0>c||c>=this.touches.length)a.set_float(0);else{var b=this.touches[c];a.set_float(cr.to_degrees(cr.angleTo(b.lastx,
b.lasty,b.x,b.y)))}};m.prototype.AngleForID=function(a,c){var b=this.findTouch(c);0>b?a.set_float(0):(b=this.touches[b],a.set_float(cr.to_degrees(cr.angleTo(b.lastx,b.lasty,b.x,b.y))))};m.prototype.Alpha=function(a){a.set_float(this.getAlpha())};m.prototype.Beta=function(a){a.set_float(this.getBeta())};m.prototype.Gamma=function(a){a.set_float(this.getGamma())};m.prototype.AccelerationXWithG=function(a){a.set_float(this.acc_g_x)};m.prototype.AccelerationYWithG=function(a){a.set_float(this.acc_g_y)};
m.prototype.AccelerationZWithG=function(a){a.set_float(this.acc_g_z)};m.prototype.AccelerationX=function(a){a.set_float(this.acc_x)};m.prototype.AccelerationY=function(a){a.set_float(this.acc_y)};m.prototype.AccelerationZ=function(a){a.set_float(this.acc_z)};m.prototype.TouchIndex=function(a){a.set_int(this.trigger_index)};m.prototype.TouchID=function(a){a.set_float(this.trigger_id)};n.exps=new m})();cr.plugins_.WebStorage=function(a){this.runtime=a};
(function(){function a(){p||(cr.logexport("[Construct 2] Webstorage plugin: session storage is not supported on this platform. Try using local storage or global variables instead."),p=!0)}function b(){}function e(){}function k(){}var h=cr.plugins_.WebStorage.prototype;h.Type=function(a){this.plugin=a;this.runtime=a.runtime};h.Type.prototype.onCreate=function(){};h.Instance=function(a){this.type=a;this.runtime=a.runtime};var m=h.Instance.prototype,n="",c="undefined"!==typeof window.is_scirra_arcade;
c&&(n="arcade"+window.scirra_arcade_id);var p=!1;m.onCreate=function(){};b.prototype.LocalStorageEnabled=function(){return!0};b.prototype.SessionStorageEnabled=function(){return!0};b.prototype.LocalStorageExists=function(a){return null!=localStorage.getItem(n+a)};b.prototype.SessionStorageExists=function(c){return this.runtime.isCocoonJs||!sessionStorage?(a(),!1):null!=sessionStorage.getItem(n+c)};b.prototype.OnQuotaExceeded=function(){return!0};b.prototype.CompareKeyText=function(a,c,b){a=localStorage.getItem(n+
a)||"";return b?a==c:cr.equals_nocase(a,c)};b.prototype.CompareKeyNumber=function(a,c,b){a=localStorage.getItem(n+a)||"";return cr.do_cmp(parseFloat(a),c,b)};h.cnds=new b;e.prototype.StoreLocal=function(a,c){try{localStorage.setItem(n+a,c)}catch(b){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,this)}};e.prototype.StoreSession=function(c,b){if(this.runtime.isCocoonJs||!sessionStorage)a();else try{sessionStorage.setItem(n+c,b)}catch(d){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,
this)}};e.prototype.RemoveLocal=function(a){localStorage.removeItem(n+a)};e.prototype.RemoveSession=function(c){this.runtime.isCocoonJs||!sessionStorage?a():sessionStorage.removeItem(n+c)};e.prototype.ClearLocal=function(){c||localStorage.clear()};e.prototype.ClearSession=function(){this.runtime.isCocoonJs||!sessionStorage?a():c||sessionStorage.clear()};e.prototype.JSONLoad=function(a,b){var d;try{d=JSON.parse(a)}catch(e){return}if(d.c2dictionary){d=d.data;0!==b||c||localStorage.clear();for(var h in d)if(d.hasOwnProperty(h))try{localStorage.setItem(n+
h,d[h])}catch(k){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,this);break}}};h.acts=new e;k.prototype.LocalValue=function(a,c){a.set_string(localStorage.getItem(n+c)||"")};k.prototype.SessionValue=function(c,b){this.runtime.isCocoonJs||!sessionStorage?(a(),c.set_string("")):c.set_string(sessionStorage.getItem(n+b)||"")};k.prototype.LocalCount=function(a){a.set_int(c?0:localStorage.length)};k.prototype.SessionCount=function(b){this.runtime.isCocoonJs||!sessionStorage?
(a(),b.set_int(0)):b.set_int(c?0:sessionStorage.length)};k.prototype.LocalAt=function(a,b){c?a.set_string(""):a.set_string(localStorage.getItem(localStorage.key(b))||"")};k.prototype.SessionAt=function(b,e){this.runtime.isCocoonJs||!sessionStorage?(a(),b.set_string("")):c?b.set_string(""):b.set_string(sessionStorage.getItem(sessionStorage.key(e))||"")};k.prototype.LocalKeyAt=function(a,b){c?a.set_string(""):a.set_string(localStorage.key(b)||"")};k.prototype.SessionKeyAt=function(b,e){this.runtime.isCocoonJs||
!sessionStorage?(a(),b.set_string("")):c?b.set_string(""):b.set_string(sessionStorage.key(e)||"")};k.prototype.AsJSON=function(a){var b={},d,e,h;d=0;for(e=localStorage.length;d<e;d++)h=localStorage.key(d),c?h.substr(0,n.length)===n&&(b[h.substr(n.length)]=localStorage.getItem(h)):b[h]=localStorage.getItem(h);a.set_string(JSON.stringify({c2dictionary:!0,data:b}))};h.exps=new k})();cr.behaviors.Anchor=function(a){this.runtime=a};
(function(){function a(){}var b=cr.behaviors.Anchor.prototype;b.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};b.Type.prototype.onCreate=function(){};b.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var e=b.Instance.prototype;e.onCreate=function(){this.anch_left=this.properties[0];this.anch_top=this.properties[1];this.anch_right=this.properties[2];this.anch_bottom=this.properties[3];this.inst.update_bbox();this.xleft=this.inst.bbox.left;
this.ytop=this.inst.bbox.top;this.xright=this.runtime.original_width-this.inst.bbox.left;this.ybottom=this.runtime.original_height-this.inst.bbox.top;this.rdiff=this.runtime.original_width-this.inst.bbox.right;this.bdiff=this.runtime.original_height-this.inst.bbox.bottom;this.enabled=0!==this.properties[4]};e.saveToJSON=function(){return{xleft:this.xleft,ytop:this.ytop,xright:this.xright,ybottom:this.ybottom,rdiff:this.rdiff,bdiff:this.bdiff,enabled:this.enabled}};e.loadFromJSON=function(a){this.xleft=
a.xleft;this.ytop=a.ytop;this.xright=a.xright;this.ybottom=a.ybottom;this.rdiff=a.rdiff;this.bdiff=a.bdiff;this.enabled=a.enabled};e.tick=function(){if(this.enabled){var a,b=this.inst.layer,e=this.inst,n=this.inst.bbox;0===this.anch_left?(e.update_bbox(),a=b.viewLeft+this.xleft-n.left,0!==a&&(e.x+=a,e.set_bbox_changed())):1===this.anch_left&&(e.update_bbox(),a=b.viewRight-this.xright-n.left,0!==a&&(e.x+=a,e.set_bbox_changed()));0===this.anch_top?(e.update_bbox(),a=b.viewTop+this.ytop-n.top,0!==a&&
(e.y+=a,e.set_bbox_changed())):1===this.anch_top&&(e.update_bbox(),a=b.viewBottom-this.ybottom-n.top,0!==a&&(e.y+=a,e.set_bbox_changed()));1===this.anch_right&&(e.update_bbox(),a=b.viewRight-this.rdiff-n.right,0!==a&&(e.width+=a,0>e.width&&(e.width=0),e.set_bbox_changed()));1===this.anch_bottom&&(e.update_bbox(),a=b.viewBottom-this.bdiff-n.bottom,0!==a&&(e.height+=a,0>e.height&&(e.height=0),e.set_bbox_changed()))}};b.cnds=new function(){};a.prototype.SetEnabled=function(a){this.enabled&&0===a?this.enabled=
!1:this.enabled||0===a||(this.inst.update_bbox(),this.xleft=this.inst.bbox.left,this.ytop=this.inst.bbox.top,this.xright=this.runtime.original_width-this.inst.bbox.left,this.ybottom=this.runtime.original_height-this.inst.bbox.top,this.rdiff=this.runtime.original_width-this.inst.bbox.right,this.bdiff=this.runtime.original_height-this.inst.bbox.bottom,this.enabled=!0)};b.acts=new a;b.exps=new function(){}})();cr.behaviors.Fade=function(a){this.runtime=a};
(function(){function a(){}function b(){}var e=cr.behaviors.Fade.prototype;e.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};e.Type.prototype.onCreate=function(){};e.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var k=e.Instance.prototype;k.onCreate=function(){var a=1===this.properties[0];this.fadeInTime=this.properties[1];this.waitTime=this.properties[2];this.fadeOutTime=this.properties[3];this.destroy=this.properties[4];
this.stage=a?0:3;this.recycled?this.stageTime.reset():this.stageTime=new cr.KahanAdder;this.maxOpacity=this.inst.opacity?this.inst.opacity:1;a&&(0===this.fadeInTime?(this.stage=1,0===this.waitTime&&(this.stage=2)):(this.inst.opacity=0,this.runtime.redraw=!0))};k.saveToJSON=function(){return{fit:this.fadeInTime,wt:this.waitTime,fot:this.fadeOutTime,s:this.stage,st:this.stageTime.sum,mo:this.maxOpacity}};k.loadFromJSON=function(a){this.fadeInTime=a.fit;this.waitTime=a.wt;this.fadeOutTime=a.fot;this.stage=
a.s;this.stageTime.reset();this.stageTime.sum=a.st;this.maxOpacity=a.mo};k.tick=function(){this.stageTime.add(this.runtime.getDt(this.inst));0===this.stage&&(this.inst.opacity=this.stageTime.sum/this.fadeInTime*this.maxOpacity,this.runtime.redraw=!0,this.inst.opacity>=this.maxOpacity&&(this.inst.opacity=this.maxOpacity,this.stage=1,this.stageTime.reset()));1===this.stage&&this.stageTime.sum>=this.waitTime&&(this.stage=2,this.stageTime.reset());2===this.stage&&0!==this.fadeOutTime&&(this.inst.opacity=
this.maxOpacity-this.stageTime.sum/this.fadeOutTime*this.maxOpacity,this.runtime.redraw=!0,0>this.inst.opacity&&(this.inst.opacity=0,this.stage=3,this.stageTime.reset(),this.runtime.trigger(cr.behaviors.Fade.prototype.cnds.OnFadeOutEnd,this.inst),1===this.destroy&&this.runtime.DestroyInstance(this.inst)))};k.doStart=function(){this.stage=0;this.stageTime.reset();0===this.fadeInTime?(this.stage=1,0===this.waitTime&&(this.stage=2)):(this.inst.opacity=0,this.runtime.redraw=!0)};a.prototype.OnFadeOutEnd=
function(){return!0};e.cnds=new a;b.prototype.StartFade=function(){3===this.stage&&this.doStart()};b.prototype.RestartFade=function(){this.doStart()};e.acts=new b})();cr.behaviors.Pin=function(a){this.runtime=a};
(function(){function a(){}function b(){}function e(){}var k=cr.behaviors.Pin.prototype;k.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};k.Type.prototype.onCreate=function(){};k.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var h=k.Instance.prototype;h.onCreate=function(){this.pinObject=null;this.pinObjectUid=-1;this.mode=this.lastKnownAngle=this.theirStartAngle=this.myStartAngle=this.pinDist=this.pinAngle=0;var a=this;this.recycled||
(this.myDestroyCallback=function(b){a.onInstanceDestroyed(b)});this.runtime.addDestroyCallback(this.myDestroyCallback)};h.saveToJSON=function(){return{uid:this.pinObject?this.pinObject.uid:-1,pa:this.pinAngle,pd:this.pinDist,msa:this.myStartAngle,tsa:this.theirStartAngle,lka:this.lastKnownAngle,m:this.mode}};h.loadFromJSON=function(a){this.pinObjectUid=a.uid;this.pinAngle=a.pa;this.pinDist=a.pd;this.myStartAngle=a.msa;this.theirStartAngle=a.tsa;this.lastKnownAngle=a.lka;this.mode=a.m};h.afterLoad=
function(){this.pinObject=-1===this.pinObjectUid?null:this.runtime.getObjectByUID(this.pinObjectUid);this.pinObjectUid=-1};h.onInstanceDestroyed=function(a){this.pinObject==a&&(this.pinObject=null)};h.onDestroy=function(){this.pinObject=null;this.runtime.removeDestroyCallback(this.myDestroyCallback)};h.tick=function(){};h.tick2=function(){if(this.pinObject){this.lastKnownAngle!==this.inst.angle&&(this.myStartAngle=cr.clamp_angle(this.myStartAngle+(this.inst.angle-this.lastKnownAngle)));var a=this.inst.x,
b=this.inst.y;if(3===this.mode||4===this.mode){var c=cr.distanceTo(this.inst.x,this.inst.y,this.pinObject.x,this.pinObject.y);if(c>this.pinDist||4===this.mode&&c<this.pinDist)b=cr.angleTo(this.pinObject.x,this.pinObject.y,this.inst.x,this.inst.y),a=this.pinObject.x+Math.cos(b)*this.pinDist,b=this.pinObject.y+Math.sin(b)*this.pinDist}else a=this.pinObject.x+Math.cos(this.pinObject.angle+this.pinAngle)*this.pinDist,b=this.pinObject.y+Math.sin(this.pinObject.angle+this.pinAngle)*this.pinDist;this.lastKnownAngle=
c=cr.clamp_angle(this.myStartAngle+(this.pinObject.angle-this.theirStartAngle));0!==this.mode&&1!==this.mode&&3!==this.mode&&4!==this.mode||this.inst.x===a&&this.inst.y===b||(this.inst.x=a,this.inst.y=b,this.inst.set_bbox_changed());0!==this.mode&&2!==this.mode||this.inst.angle===c||(this.inst.angle=c,this.inst.set_bbox_changed())}};a.prototype.IsPinned=function(){return!!this.pinObject};k.cnds=new a;b.prototype.Pin=function(a,b){if(a){var c=a.getFirstPicked(this.inst);c&&(this.pinObject=c,this.pinAngle=
cr.angleTo(c.x,c.y,this.inst.x,this.inst.y)-c.angle,this.pinDist=cr.distanceTo(c.x,c.y,this.inst.x,this.inst.y),this.lastKnownAngle=this.myStartAngle=this.inst.angle,this.theirStartAngle=c.angle,this.mode=b)}};b.prototype.Unpin=function(){this.pinObject=null};k.acts=new b;e.prototype.PinnedUID=function(a){a.set_int(this.pinObject?this.pinObject.uid:-1)};k.exps=new e})();cr.behaviors.Rex_GridMove=function(a){this.runtime=a};cr.behaviors.Rex_GridMove._random_gen=null;
(function(){function a(){}function b(){}function e(){}var k=cr.behaviors.Rex_GridMove.prototype;k.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};var h=k.Type.prototype;h.onCreate=function(){this.group=null};h.instgroup_get=function(){if(null!=this.group)return this.group;var a=this.runtime.types,b,e;for(b in a)if(e=a[b].instances[0],cr.plugins_.Rex_gInstGroup&&e instanceof cr.plugins_.Rex_gInstGroup.prototype.Instance)return this.group=e;return null};k.Instance=function(a,
b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};h=k.Instance.prototype;h.onCreate=function(){this.board=null;this.recycled||(this._cmd_move_to=new cr.behaviors.Rex_GridMove.CmdMoveTo(this));this._cmd_move_to.Reset(this);this.is_my_call=this._is_moving_request_accepted=!1;this.exp_DestinationLZ=this.exp_DestinationLY=this.exp_DestinationLX=this.exp_Direction=this.exp_BlockerUID=-1;this.is_customSolid=null;this.recycled||(this._wander={rx:0,ry:0,o:{x:0,y:0,z:0}});this._wander.rx=
this.properties[4];this._wander.ry=this.properties[5];this.force_move=1==this.properties[6];if(this.recycled){this._dir_sequence.length=0;for(var a in this._colliding_xyz)delete this._colliding_xyz[a];for(a in this._colliding_zhash2uids)delete this._colliding_zhash2uids[a]}else this._dir_sequence=[],this._colliding_xyz={},this._colliding_zhash2uids={};this._z_saved=this._target_uid=null};h.tick=function(){this._cmd_move_to.tick()};h._board_get=function(){var a;if(null!=this.board){a=this.board.uid2xyz(this.inst.uid);
if(null!=a)return this.board;this.board=null}var b=this.runtime.types,e,f;for(e in b)if(f=b[e].instances[0],cr.plugins_.Rex_SLGBoard&&f instanceof cr.plugins_.Rex_SLGBoard.prototype.Instance&&(a=f.uid2xyz(this.inst.uid),null!=a)){this.board=f;b=this._dir_sequence;f=f.GetLayout().GetDirCount();e=void 0;for(e=b.length=0;e<f;e++)b.push(e);this._wander.o.x=a.x;this._wander.o.y=a.y;this._wander.o.z=a.z;return this.board}return null};h.chess_xyz_get=function(a){null==a&&(a=this.inst.uid);var b=this._board_get();
return null!=b?b.uid2xyz(a):null};h._chess_inst_get=function(a){var b=this._board_get();return null!=b?b.uid2inst(a):null};h.target2dir=function(a,b,e){var f=this.chess_xyz_get();a={x:a,y:b,z:e};return this._board_get().layout.XYZ2Dir(f,a)};h.set_move_target=function(a,b,e,f){this.exp_DestinationLX=a;this.exp_DestinationLY=b;this.exp_DestinationLZ=e;this.exp_Direction=f};h._custom_can_move_to_get=function(){this.is_customSolid=null;this.runtime.trigger(cr.behaviors.Rex_GridMove.prototype.cnds.OnGetSolid,
this.inst);return null==this.is_customSolid?null:this.is_customSolid?-1:1};h._test_move_to=function(a,b,e){this.exp_BlockerUID=-1;if(!this.board.is_inside_board(a,b))return null;var f=this.board.xyz2uid(a,b,e);this._target_uid=f;if(this.force_move)return 1;if(null==f){f=this._custom_can_move_to_get();if(null!=f)return f;a=this.board.xy2zhash(a,b);var d;if(0!=e){if(!(0 in a))return null;for(d in a)if(f=a[d],e=this.board.uid2inst(f),null!=e.extra&&e.extra.solidEnabled)return this.exp_BlockerUID=f,-1;
return 1}return 0 in a?null:1}this.exp_BlockerUID=f;return-1};h._move_to_target=function(a,b,e){var f=this._test_move_to(a,b,e);if(1==f){var d;if(this.force_move)if(null!=this._z_saved&&null==this.board.xyz2uid(a,b,this._z_saved))d=this._z_saved,this._z_saved=null;else if(null==this._target_uid)d=e;else for(null==this._z_saved?(this._z_saved=e,d="#"+this.inst.uid.toString()):d+="#";null!=this.board.xyz2uid(a,b,d);)d+="#";else d=e;this.board.move_item(this.inst,a,b,d);this.moveto_pxy(a,b,e);this.on_moving_request_success(!0)}else if(-1==
f)this.on_moving_request_success(!1);else this._is_moving_request_accepted=!1;return 1==f};h.moveto_pxy=function(a,b,e){var f=this.board.layout;this._cmd_move_to.set_target_pos(f.LXYZ2PX(a,b,e),f.LXYZ2PY(a,b,e))};h.on_moving_request_success=function(a){this._is_moving_request_accepted=a;this.is_my_call=!0;this.runtime.trigger(a?cr.behaviors.Rex_GridMove.prototype.cnds.OnMovingRequestAccepted:cr.behaviors.Rex_GridMove.prototype.cnds.OnMovingRequestRejected,this.inst);this.is_my_call=!1};var m=function(a){var b=
a.length,e,f,d=cr.behaviors.Rex_GridMove._random_gen;if(0!=b)for(;--b;)e=null==d?Math.random():d.random(),e=Math.floor(e*(b+1)),f=a[b],a[b]=a[e],a[e]=f};h._colliding_checking=function(a,b,e){this._colliding_xyz.x=a;this._colliding_xyz.y=b;this._colliding_xyz.z=e;this.runtime.trigger(cr.behaviors.Rex_GridMove.prototype.cnds.OnCollidedBegin,this.inst)};h._zhash2uids=function(a){var b,e=this._colliding_zhash2uids;for(b in e)delete e[b];for(b in a)e[a[b]]=!0;return e};h._collide_test=function(a,b){var e=
this._zhash2uids(this.board.xy2zhash(this._colliding_xyz.x,this._colliding_xyz.y)),f=a.getCurrentSol(),d=f.select_all;f.select_all=!0;var h=f.getObjects(),k=h.length,m,n,z=this.type.instgroup_get().GetGroup(b);z.Clean();for(m=0;m<k;m++)n=h[m].uid,n in e&&z.AddUID(n);f.select_all=d;return 0!=z.GetList().length};h.saveToJSON=function(){var a=cr.behaviors.Rex_GridMove._random_gen,a=null!=a?a.uid:-1;return{mt:this._cmd_move_to.saveToJSON(),wander:this._wander,z:this._z_saved,e_buid:this.exp_BlockerUID,
e_dir:this.exp_Direction,e_dlx:this.exp_DestinationLX,e_dly:this.exp_DestinationLY,e_dlz:this.exp_DestinationLZ,ruid:a}};h.loadFromJSON=function(a){this._cmd_move_to.loadFromJSON(a.mt);this._wander=a.wander;this._z_saved=a.z;this.exp_BlockerUID=a.e_buid;this.exp_Direction=a.e_dir;this.exp_DestinationLX=a.e_dlx;this.exp_DestinationLY=a.e_dly;this.exp_DestinationLZ=a.e_dlz;this.randomGenUid=a.ruid};h.afterLoad=function(){var a;a=-1===this.randomGenUid?null:this.runtime.getObjectByUID(this.randomGenUid);
this.randomGenUid=-1;cr.behaviors.Rex_GridMove._random_gen=a;this.board=null};k.cnds=new a;a.prototype.OnHitTarget=function(){return this._cmd_move_to.is_my_call};a.prototype.OnMoving=function(){return!1};a.prototype.IsMoving=function(){return this._cmd_move_to.is_moving};a.prototype.OnMovingRequestAccepted=function(){return this.is_my_call};a.prototype.OnMovingRequestRejected=function(){return this.is_my_call};a.prototype.IsMovingRequestAccepted=function(){return this._is_moving_request_accepted};
a.prototype.TestMoveToOffset=function(a,b){var e=this.chess_xyz_get();if(null==e)return!1;var f=e.x+a,d=e.y+b,e=e.z,h=this.target2dir(f,d,e);this.set_move_target(f,d,e,h);return 1==this._test_move_to(f,d,e)};a.prototype.TestMoveToNeighbor=function(a){var b=this.chess_xyz_get();if(null==b)return!1;var e=this._board_get().layout,f=e.GetNeighborLX(b.x,b.y,a),e=e.GetNeighborLY(b.x,b.y,a),b=b.z;this.set_move_target(f,e,b,a);return 1==this._test_move_to(f,e,b)};a.prototype.OnCollidedBegin=function(a,b){return this._collide_test(a,
b)};a.prototype.OnGetSolid=function(){return!0};k.acts=new b;b.prototype.SetActivated=function(a){this._cmd_move_to.activated=1==a};b.prototype.SetMaxSpeed=function(a){this._cmd_move_to.move.max=a;this._cmd_move_to._set_current_speed(null)};b.prototype.SetAcceleration=function(a){this._cmd_move_to.move.acc=a;this._cmd_move_to._set_current_speed(null)};b.prototype.SetDeceleration=function(a){this._cmd_move_to.move.dec=a};b.prototype.SetCurrentSpeed=function(a){this._cmd_move_to._set_current_speed(a)};
b.prototype.MoveToNeighbor=function(a){if(this._cmd_move_to.activated){var b=this.chess_xyz_get();if(null!=b){var e=this._board_get().layout,f=e.GetNeighborLX(b.x,b.y,a),e=e.GetNeighborLY(b.x,b.y,a),b=b.z;this.set_move_target(f,e,b,a);this._colliding_checking(f,e,b);this._move_to_target(f,e,b)}}};b.prototype.MoveToTarget=function(a,b){if(this._cmd_move_to.activated){var e=this.chess_xyz_get();if(null!=e){var e=e.z,f=this.target2dir(a,b,e);this.set_move_target(a,b,e,f);this._colliding_checking(a,b,
e);this._move_to_target(a,b,e)}}};b.prototype.MoveToOffset=function(a,b){if(this._cmd_move_to.activated){var e=this.chess_xyz_get();if(null!=e){var f=e.x+a,d=e.y+b,e=e.z,h=this.target2dir(f,d,e);this.set_move_target(f,d,e,h);this._colliding_checking(f,d,e);this._move_to_target(f,d,e)}}};b.prototype.MoveToTargetChess=function(a){if(this._cmd_move_to.activated&&a&&(a=a.getFirstPicked(),null!=a)){var b=this.chess_xyz_get(a.uid);if(null!=b){var e=this.chess_xyz_get();if(null!=e){a=b.x;var b=b.y,e=e.z,
f=this.target2dir(a,b,e);this.set_move_target(a,b,e,f);this._colliding_checking(a,b,e);this._move_to_target(a,b,e)}}}};b.prototype.Swap=function(a){var b=this._chess_inst_get(a);if(null!=b){var e=b.type.getBehaviorIndexByName(this.type.name),b=b.behavior_insts[e];if(null!=b&&(e=this.inst.uid,this._board_get().SwapChess(e,a))){e=this.chess_xyz_get(e);a=this.chess_xyz_get(a);var f=this.target2dir(e.x,e.y,e.z);this.set_move_target(e.x,e.y,e.z,f);this.moveto_pxy(e.x,e.y,e.z);this.on_moving_request_success(!0);
f=b.target2dir(a.x,a.y,a.z);b.set_move_target(a.x,a.y,a.z,f);b.moveto_pxy(a.x,a.y,a.z);b.on_moving_request_success(!0)}}};b.prototype.Wander=function(){if(this._cmd_move_to.activated){var a=this.chess_xyz_get();if(null!=a){var b=this._board_get().layout,e=this._wander.o.x,f=this._wander.o.y,d=this._wander.rx,h=this._wander.ry;m(this._dir_sequence);var k,n,x=this._dir_sequence.length,z,y,v=a.z;for(k=0;k<x&&(n=this._dir_sequence[k],z=b.GetNeighborLX(a.x,a.y,n),y=b.GetNeighborLY(a.x,a.y,n),Math.abs(z-
e)>d||Math.abs(y-f)>h||(this.set_move_target(z,y,v,n),!(n=this._move_to_target(z,y,v))));k++);}}};b.prototype.SetWanderRangeX=function(a){0>a&&(a=0);this._wander.rx=a};b.prototype.SetWanderRangeY=function(a){0>a&&(a=0);this._wander.ry=a};b.prototype.SetRandomGenerator=function(a){a=a.instances[0];"RANDOM"==a.check_name?cr.behaviors.Rex_GridMove._random_gen=a:alert("[Grid move] This object is not a random generator object.")};b.prototype.ResetWanderCenter=function(){var a=this.chess_xyz_get();null!=
a&&(this._wander.o.x=a.x,this._wander.o.y=a.y,this._wander.o.z=a.z)};b.prototype.SetDestinationSolid=function(a){this.is_customSolid=0<a};b.prototype.SetDestinationMoveable=function(a){this.is_customSolid=!(0<a)};b.prototype.SetInstanceGroup=function(a){a=a.instances[0];"INSTGROUP"==a.check_name?this.type.group=a:alert("[Grid move] This object is not a instance group object.")};var n=[];b.prototype.ApproachOrDepart=function(a,b){if(this._cmd_move_to.activated){var e=this.chess_xyz_get();if(null!=
e){var f;if("number"==typeof a){var d=this.runtime.getObjectByUID(a);if(null==d)return;f=[d]}else if("string"==typeof a){var h=JSON.parse(a),k,s=h.length;f=[];for(k=0;k<s;k++)d=this.runtime.getObjectByUID(h[k]),null!=d&&f.push(d)}else{if(!a)return;f=a.getCurrentSol().getObjects()}if(0!=f.length&&(0!=b||1!=f.length||!this._board_get().are_neighbors(this.inst.uid,f[0].uid))){var s=this._board_get().layout,h=this._dir_sequence.length,x,z,d=e.z,y,v,t;for(k=0;k<h;k++)if(x=s.GetNeighborLX(e.x,e.y,k),z=
s.GetNeighborLY(e.x,e.y,k),this.set_move_target(x,z,d,k),y=this._test_move_to(x,z,d),1==y){v=s.LXYZ2PX(x,z,d);t=s.LXYZ2PY(x,z,d);y=f;for(var l=void 0,u=y.length,w=void 0,B=0,l=0;l<u;l++)w=y[l],B+=Math.pow(w.x-v,2)+Math.pow(w.y-t,2);y=B;n.push({d:y,lx:x,ly:z})}s=n.length;if(0!=s){1<s&&m(n);e=n[0];if(0==b)for(k=1;k<s;k++)e.d>n[k].d&&(e=n[k]);else for(k=1;k<s;k++)e.d<n[k].d&&(e=n[k]);this._move_to_target(e.lx,e.ly,d);n.length=0}}}}};b.prototype.Stop=function(){this._cmd_move_to.is_moving=!1};k.exps=
new e;e.prototype.Activated=function(a){a.set_int(this._cmd_move_to.activated?1:0)};e.prototype.Speed=function(a){a.set_float(this._cmd_move_to.current_speed)};e.prototype.MaxSpeed=function(a){a.set_float(this._cmd_move_to.move.max)};e.prototype.Acc=function(a){a.set_float(this._cmd_move_to.move.acc)};e.prototype.Dec=function(a){a.set_float(this._cmd_move_to.move.dec)};e.prototype.TargetX=function(a){a.set_float(this._cmd_move_to.target.x)};e.prototype.TargetY=function(a){a.set_float(this._cmd_move_to.target.y)};
e.prototype.BlockerUID=function(a){a.set_int(this.exp_BlockerUID)};e.prototype.Direction=function(a){var b=this.exp_Direction;null==b&&(b=-1);a.set_int(b)};e.prototype.DestinationLX=function(a){a.set_int(this.exp_DestinationLX)};e.prototype.DestinationLY=function(a){a.set_int(this.exp_DestinationLY)};e.prototype.DestinationLZ=function(a){a.set_int(this.exp_DestinationLZ)}})();
(function(){cr.behaviors.Rex_GridMove.CmdMoveTo=function(a){this.move={max:0,acc:0,dec:0};this.target={x:0,y:0,a:0}};var a=cr.behaviors.Rex_GridMove.CmdMoveTo.prototype;a.Reset=function(a){this.activated=a.properties[0];this.move.max=a.properties[1];this.move.acc=a.properties[2];this.move.dec=a.properties[3];this.is_moving=!1;this.remain_distance=this.current_speed=0;this.is_my_call=this.is_hit_target=!1;this.inst=a.inst;this.runtime=a.runtime};a.tick=function(){this.is_hit_target&&(this.is_moving=
!1,this.is_my_call=!0,this.runtime.trigger(cr.behaviors.Rex_GridMove.prototype.cnds.OnHitTarget,this.inst),this.is_hit_target=this.is_my_call=!1);if(this.activated&&this.is_moving){var a=this.runtime.getDt(this.inst);if(0!=a){var e=!1;0!=this.move.dec&&(e=this.current_speed,e=e*e/(2*this.move.dec)>=this.remain_distance);e=e?-this.move.dec:this.move.acc;0!=e&&this._set_current_speed(this.current_speed+e*a);a*=this.current_speed;this.remain_distance-=a;0>=this.remain_distance||0>=this.current_speed?
(this.inst.x=this.target.x,this.inst.y=this.target.y,this._set_current_speed(0),this.is_hit_target=!0):(e=this.target.a,this.inst.x+=a*Math.cos(e),this.inst.y+=a*Math.sin(e));this.inst.set_bbox_changed()}}};a._set_current_speed=function(a){null!=a?this.current_speed=a>this.move.max?this.move.max:a:0==this.move.acc&&(this.current_speed=this.move.max)};a.set_target_pos=function(a,e){var k=a-this.inst.x,h=e-this.inst.y;this.is_moving=!0;this.target.x=a;this.target.y=e;this.target.a=Math.atan2(h,k);this.remain_distance=
Math.sqrt(k*k+h*h);this._set_current_speed(null)};a.saveToJSON=function(){return{en:this.activated,v:this.move,t:this.target,is_m:this.is_moving,c_spd:this.current_speed,rd:this.remain_distance,is_ht:this.is_hit_target}};a.loadFromJSON=function(a){this.activated=a.en;this.move=a.v;this.target=a.t;this.is_moving=a.is_m;this.current_speed=a.c_spd;this.remain_distance=a.rd;this.is_hit_target=a.is_ht}})();cr.behaviors.Rotate=function(a){this.runtime=a};
(function(){function a(){}function b(){}var e=cr.behaviors.Rotate.prototype;e.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};e.Type.prototype.onCreate=function(){};e.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var k=e.Instance.prototype;k.onCreate=function(){this.speed=cr.to_radians(this.properties[0]);this.acc=cr.to_radians(this.properties[1])};k.saveToJSON=function(){return{speed:this.speed,acc:this.acc}};k.loadFromJSON=
function(a){this.speed=a.speed;this.acc=a.acc};k.tick=function(){var a=this.runtime.getDt(this.inst);0!==a&&(0!==this.acc&&(this.speed+=this.acc*a),0!==this.speed&&(this.inst.angle=cr.clamp_angle(this.inst.angle+this.speed*a),this.inst.set_bbox_changed()))};e.cnds=new function(){};a.prototype.SetSpeed=function(a){this.speed=cr.to_radians(a)};a.prototype.SetAcceleration=function(a){this.acc=cr.to_radians(a)};e.acts=new a;b.prototype.Speed=function(a){a.set_float(cr.to_degrees(this.speed))};b.prototype.Acceleration=
function(a){a.set_float(cr.to_degrees(this.acc))};e.exps=new b})();cr.behaviors.Sin=function(a){this.runtime=a};
(function(){function a(){}function b(){}function e(){}var k=cr.behaviors.Sin.prototype;k.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};k.Type.prototype.onCreate=function(){};k.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime;this.i=0};var h=k.Instance.prototype,m=2*Math.PI,n=Math.PI/2,c=3*Math.PI/2;h.onCreate=function(){this.active=1===this.properties[0];this.movement=this.properties[1];this.wave=this.properties[2];this.period=
this.properties[3];this.period+=Math.random()*this.properties[4];0===this.period?this.i=0:(this.i=this.properties[5]/this.period*m,this.i+=Math.random()*this.properties[6]/this.period*m);this.mag=this.properties[7];this.mag+=Math.random()*this.properties[8];this.ratio=this.initialValue2=this.initialValue=0;this.init()};h.saveToJSON=function(){return{i:this.i,a:this.active,mv:this.movement,w:this.wave,p:this.period,mag:this.mag,iv:this.initialValue,iv2:this.initialValue2,r:this.ratio,lkv:this.lastKnownValue,
lkv2:this.lastKnownValue2}};h.loadFromJSON=function(a){this.i=a.i;this.active=a.a;this.movement=a.mv;this.wave=a.w;this.period=a.p;this.mag=a.mag;this.initialValue=a.iv;this.initialValue2=a.iv2||0;this.ratio=a.r;this.lastKnownValue=a.lkv;this.lastKnownValue2=a.lkv2||0};h.init=function(){switch(this.movement){case 0:this.initialValue=this.inst.x;break;case 1:this.initialValue=this.inst.y;break;case 2:this.initialValue=this.inst.width;this.ratio=this.inst.height/this.inst.width;break;case 3:this.initialValue=
this.inst.width;break;case 4:this.initialValue=this.inst.height;break;case 5:this.initialValue=this.inst.angle;this.mag=cr.to_radians(this.mag);break;case 6:this.initialValue=this.inst.opacity;break;case 7:this.initialValue=0;break;case 8:this.initialValue=this.inst.x,this.initialValue2=this.inst.y}this.lastKnownValue=this.initialValue;this.lastKnownValue2=this.initialValue2};h.waveFunc=function(a){a%=m;switch(this.wave){case 0:return Math.sin(a);case 1:return a<=n?a/n:a<=c?1-2*(a-n)/Math.PI:(a-c)/
n-1;case 2:return 2*a/m-1;case 3:return-2*a/m+1;case 4:return a<Math.PI?-1:1}return 0};h.tick=function(){var a=this.runtime.getDt(this.inst);if(this.active&&0!==a){0===this.period?this.i=0:(this.i+=a/this.period*m,this.i%=m);switch(this.movement){case 0:this.inst.x!==this.lastKnownValue&&(this.initialValue+=this.inst.x-this.lastKnownValue);this.inst.x=this.initialValue+this.waveFunc(this.i)*this.mag;this.lastKnownValue=this.inst.x;break;case 1:this.inst.y!==this.lastKnownValue&&(this.initialValue+=
this.inst.y-this.lastKnownValue);this.inst.y=this.initialValue+this.waveFunc(this.i)*this.mag;this.lastKnownValue=this.inst.y;break;case 2:this.inst.width=this.initialValue+this.waveFunc(this.i)*this.mag;this.inst.height=this.inst.width*this.ratio;break;case 3:this.inst.width=this.initialValue+this.waveFunc(this.i)*this.mag;break;case 4:this.inst.height=this.initialValue+this.waveFunc(this.i)*this.mag;break;case 5:this.inst.angle!==this.lastKnownValue&&(this.initialValue=cr.clamp_angle(this.initialValue+
(this.inst.angle-this.lastKnownValue)));this.inst.angle=cr.clamp_angle(this.initialValue+this.waveFunc(this.i)*this.mag);this.lastKnownValue=this.inst.angle;break;case 6:this.inst.opacity=this.initialValue+this.waveFunc(this.i)*this.mag/100;0>this.inst.opacity?this.inst.opacity=0:1<this.inst.opacity&&(this.inst.opacity=1);break;case 8:this.inst.x!==this.lastKnownValue&&(this.initialValue+=this.inst.x-this.lastKnownValue),this.inst.y!==this.lastKnownValue2&&(this.initialValue2+=this.inst.y-this.lastKnownValue2),
this.inst.x=this.initialValue+Math.cos(this.inst.angle)*this.waveFunc(this.i)*this.mag,this.inst.y=this.initialValue2+Math.sin(this.inst.angle)*this.waveFunc(this.i)*this.mag,this.lastKnownValue=this.inst.x,this.lastKnownValue2=this.inst.y}this.inst.set_bbox_changed()}};h.onSpriteFrameChanged=function(a,b){switch(this.movement){case 2:this.initialValue*=b.width/a.width;this.ratio=b.height/b.width;break;case 3:this.initialValue*=b.width/a.width;break;case 4:this.initialValue*=b.height/a.height}};a.prototype.IsActive=
function(){return this.active};a.prototype.CompareMovement=function(a){return this.movement===a};a.prototype.ComparePeriod=function(a,b){return cr.do_cmp(this.period,a,b)};a.prototype.CompareMagnitude=function(a,b){return 5===this.movement?cr.do_cmp(this.mag,a,cr.to_radians(b)):cr.do_cmp(this.mag,a,b)};a.prototype.CompareWave=function(a){return this.wave===a};k.cnds=new a;b.prototype.SetActive=function(a){this.active=1===a};b.prototype.SetPeriod=function(a){this.period=a};b.prototype.SetMagnitude=
function(a){this.mag=a;5===this.movement&&(this.mag=cr.to_radians(this.mag))};b.prototype.SetMovement=function(a){5===this.movement&&(this.mag=cr.to_degrees(this.mag));this.movement=a;this.init()};b.prototype.SetWave=function(a){this.wave=a};b.prototype.SetPhase=function(a){this.i=a*m%m};k.acts=new b;e.prototype.CyclePosition=function(a){a.set_float(this.i/m)};e.prototype.Period=function(a){a.set_float(this.period)};e.prototype.Magnitude=function(a){5===this.movement?a.set_float(cr.to_degrees(this.mag)):
a.set_float(this.mag)};e.prototype.Value=function(a){a.set_float(this.waveFunc(this.i)*this.mag)};k.exps=new e})();
cr.getProjectModel=function(){return[null,"levels",[[cr.plugins_.Arr,!1,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Audio,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.CJSAds,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Particles,!1,!0,!0,!1,!0,!0,!0,!0,!0],[cr.plugins_.Rex_SLGBoard,!1,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Rex_SLGSquareTx,!1,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Rex_gInstGroup,!1,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Sprite,!1,!0,!0,!0,!0,!0,!0,!0,!1],[cr.plugins_.Text,!1,!0,!0,!0,!0,!0,!0,!0,!1],
[cr.plugins_.TiledBg,!1,!0,!0,!0,!0,!0,!0,!0,!0],[cr.plugins_.Touch,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.WebStorage,!0,!1,!1,!1,!1,!1,!1,!1,!1]],[["t0",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",0,!1,1,0,!1,0xc339f35858d9d,[["tile-sheet0.png",98,0,0,64,64,1,0.5,0.5,[],[],2]]]],[],!1,!1,8568175156906609,[],null],["t1",cr.plugins_.Sprite,!1,[616985078834415],1,0,null,[["niz",25,!1,1,0,!0,5837806432224613,[["chess1-sheet0.png",140520,1,1,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,
-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,114,1,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,227,1,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,
0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,340,1,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,1,123,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,
-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,114,123,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,227,123,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,
0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,340,123,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,1,245,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,
0.2250003218650818,-0.4414414167404175,0.2250003218650818],0]]],["verh",25,!1,1,0,!0,0x3e92218c8ec69,[["chess1-sheet0.png",140520,114,245,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,227,245,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,
0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,340,245,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,1,367,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,
0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,114,367,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,1,367,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,
-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,340,245,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,227,245,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,
0.2250003218650818],0],["chess1-sheet0.png",140520,114,245,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0]]],["pravo",25,!1,1,0,!0,440486136942462,[["chess1-sheet0.png",140520,227,367,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,
-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,340,367,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet1.png",149701,1,1,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,
0.2250003218650818],0],["chess1-sheet1.png",149701,114,1,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet1.png",149701,227,1,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],
0],["chess1-sheet1.png",149701,114,1,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet1.png",149701,1,1,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",
140520,340,367,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet0.png",140520,227,367,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0]]],["levo",25,!1,1,0,!0,0x5dcde82c4d89d,
[["chess1-sheet1.png",149701,340,1,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet1.png",149701,1,123,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet1.png",
149701,114,123,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet1.png",149701,227,123,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet1.png",149701,
340,123,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet1.png",149701,227,123,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet1.png",149701,114,123,
111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet1.png",149701,1,123,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0],["chess1-sheet1.png",149701,340,1,111,120,1,
0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0]]],["winniz",5,!1,1,0,!1,5453465984591859,[["chess1-sheet1.png",149701,1,245,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0]]],["winverh",
5,!1,1,0,!1,6012178258791141,[["chess1-sheet1.png",149701,114,245,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0]]],["winpravo",5,!1,1,0,!1,5466419099578366,[["chess1-sheet1.png",149701,227,245,111,120,1,0.5135135054588318,0.6416666507720947,[],[0.4144144654273987,0.2250003218650818,-0.4414415061473846,0.2250003218650818,-0.4324325025081635,
-0.4666666388511658,0.4054055213928223,-0.4666666388511658],0]]],["winlevo",5,!1,1,0,!1,0x7c59145a4ddb4,[["chess1-sheet1.png",149701,340,245,111,120,1,0.5135135054588318,0.6416666507720947,[],[-0.4324324131011963,-0.4666666388511658,0.4054055213928223,-0.4666666388511658,0.4144144654273987,0.2250003218650818,-0.4414414167404175,0.2250003218650818],0]]]],[["GridMove",cr.behaviors.Rex_GridMove,0x5ab828c31413f]],!1,!1,7131758447262054,[],null],["t2",cr.plugins_.Rex_SLGBoard,!1,[],0,0,null,null,[],!0,
!1,7204609350102909,[],null],["t3",cr.plugins_.Rex_SLGSquareTx,!1,[],0,0,null,null,[],!0,!1,0x789b77f35d333,[],null],["t4",cr.plugins_.Rex_gInstGroup,!1,[],0,0,null,null,[],!0,!1,6785435230707788,[],null],["t5",cr.plugins_.CJSAds,!1,[],0,0,null,null,[],!1,!1,0xfcd338bf074d7,[],null,[0,1]],["t6",cr.plugins_.Touch,!1,[],0,0,null,null,[],!1,!1,876408870047041,[],null,[1]],["t7",cr.plugins_.Sprite,!1,[0x99d1e548fdaa0],1,0,null,[["niz",25,!1,1,0,!0,0x93c2d52bc9801,[["chess2-sheet0.png",376005,1,1,134,
151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,137,1,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,273,1,134,151,1,0.5223880410194397,
0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,409,1,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,545,1,134,151,1,0.5223880410194397,0.7615894079208374,
[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,681,1,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,817,1,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,
-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,1,154,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,137,154,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,
0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0]]],["verh",25,!1,1,0,!0,0xad719a68d9e06,[["chess2-sheet0.png",376005,273,154,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,409,154,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,
-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,545,154,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,681,154,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,
0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,817,154,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,1,307,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,
-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,137,307,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,273,307,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,
0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,409,307,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0]]],["pravo",25,!1,1,0,!0,5704391760890111,[["chess2-sheet0.png",376005,545,307,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,
-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,681,307,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,817,307,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,
0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,1,460,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,137,460,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,
0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,273,460,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,409,460,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,
-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,545,460,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,681,460,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,
0.1788085699081421],0]]],["levo",25,!1,1,0,!0,5370717767448153,[["chess2-sheet0.png",376005,817,460,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,1,613,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,
-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,137,613,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,273,613,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,
0.1788085699081421],0],["chess2-sheet0.png",376005,409,613,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,545,613,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],
0],["chess2-sheet0.png",376005,681,613,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",376005,817,613,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0],["chess2-sheet0.png",
376005,1,766,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0]]],["winniz",5,!1,1,0,!1,5903505609553851,[["chess2-sheet0.png",376005,137,766,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],
0]]],["winverh",5,!1,1,0,!1,6435077300917446,[["chess2-sheet0.png",376005,273,766,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0]]],["winpravo",5,!1,1,0,!1,4778013045191204,[["chess2-sheet0.png",376005,409,766,134,151,1,0.5223880410194397,0.7615894079208374,[],[0.3731339573860169,0.1788085699081421,-0.4402985572814941,0.1788076162338257,
-0.4179100394248962,-0.3642384111881256,0.3880599737167358,-0.3774833977222443],0]]],["winlevo",5,!1,1,0,!1,9469043178597238,[["chess2-sheet0.png",376005,545,766,134,151,1,0.5223880410194397,0.7615894079208374,[],[-0.4328358471393585,-0.3774833977222443,0.3731339573860169,-0.3642384111881256,0.395522952079773,0.1788076162338257,-0.4179100394248962,0.1788085699081421],0]]]],[["GridMove",cr.behaviors.Rex_GridMove,6354037521680326]],!1,!1,0xbae29d8bca1d4,[],null],["t8",cr.plugins_.Sprite,!1,[0x8cbe344c5bb0c],
1,0,null,[["niz",25,!1,1,0,!0,0xc814bd95fdde,[["chess3-sheet0.png",298768,1,1,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,91,1,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,181,1,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,
0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,271,1,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,361,1,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,451,1,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,
0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,541,1,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,631,1,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,721,1,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,
0.5,0.1597641110420227,-0.5,0.1479290723800659],0]]],["verh",25,!1,1,0,!0,0x4f0b0c6ae7789,[["chess3-sheet0.png",298768,811,1,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,901,1,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,1,172,88,169,1,0.5,0.7751479148864746,[],[-0.5,
-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,91,172,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,181,172,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,271,172,88,169,1,0.5,0.7751479148864746,
[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,361,172,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,451,172,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,541,172,88,169,1,0.5,0.7751479148864746,
[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0]]],["pravo",25,!1,1,0,!0,9990294947912956,[["chess3-sheet0.png",298768,631,172,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,721,172,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",
298768,811,172,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,901,172,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,1,343,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",
298768,91,343,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,181,343,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,271,343,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",
298768,361,343,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0]]],["levo",25,!1,1,0,!0,7112366118438244,[["chess3-sheet0.png",298768,451,343,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,541,343,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,
-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,631,343,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,721,343,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,811,343,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,
-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,901,343,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,1,514,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,91,514,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,
-0.5,0.1479290723800659],0],["chess3-sheet0.png",298768,181,514,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0]]],["winniz",5,!1,1,0,!1,0xba54ff5eb5c9b,[["chess3-sheet0.png",298768,271,514,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0]]],["winverh",5,!1,1,0,!1,0xa84b0b6df116,[["chess3-sheet0.png",298768,361,514,88,169,1,0.5,
0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,0.5,0.1597641110420227,-0.5,0.1479290723800659],0]]],["winpravo",5,!1,1,0,!1,864883021389763,[["chess3-sheet0.png",298768,451,514,88,169,1,0.5,0.7751479148864746,[],[0.5,0.1479290723800659,-0.5,0.1597641110420227,-0.5,-0.2899409234523773,0.5,-0.2840239107608795],0]]],["winlevo",5,!1,1,0,!1,0xbc6e6713ad9a2,[["chess3-sheet0.png",298768,541,514,88,169,1,0.5,0.7751479148864746,[],[-0.5,-0.2840239107608795,0.5,-0.2899409234523773,
0.5,0.1597641110420227,-0.5,0.1479290723800659],0]]]],[["GridMove",cr.behaviors.Rex_GridMove,6884296137813483]],!1,!1,0xa8c5b71cfb90f,[],null],["t9",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,93968535255607,[["butt4-sheet0.png",173,0,0,64,64,1,0.5,0.5,[],[],0]]]],[],!1,!1,5974678866635519,[],null],["t10",cr.plugins_.Sprite,!1,[5623851326624909],1,0,null,[["niz",25,!1,1,0,!0,0xb81b0badd013d,[["chess4-sheet0.png",166269,1,1,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,
-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet0.png",166269,100,1,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet0.png",166269,199,1,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,
0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet0.png",166269,298,1,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet0.png",166269,397,1,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,
-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet0.png",166269,1,162,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet0.png",166269,100,162,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,
0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet0.png",166269,199,162,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet0.png",166269,298,162,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,
0.1761007308959961,-0.5154638886451721,0.1761007308959961],0]]],["verh",25,!1,1,0,!0,0x6ed5cbb6eedc2,[["chess4-sheet0.png",166269,397,162,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet0.png",166269,1,323,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,
0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet0.png",166269,100,323,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet0.png",166269,199,323,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,
0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet0.png",166269,298,323,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet0.png",166269,397,323,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,
-0.5154638886451721,0.1761007308959961],0],["chess4-sheet1.png",201801,1,1,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet1.png",201801,100,1,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,
0.1761007308959961],0],["chess4-sheet1.png",201801,199,1,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0]]],["pravo",25,!1,1,0,!0,875965104375892,[["chess4-sheet1.png",201801,298,1,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,
-0.5154638886451721,0.1761007308959961],0],["chess4-sheet1.png",201801,397,1,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet1.png",201801,1,162,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,
0.1761007308959961],0],["chess4-sheet1.png",201801,100,162,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet1.png",201801,199,162,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],
0],["chess4-sheet1.png",201801,298,162,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet1.png",201801,397,162,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet1.png",
201801,1,323,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet1.png",201801,100,323,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0]]],["levo",25,!1,1,0,!0,0x66fb9be2dc544,
[["chess4-sheet1.png",201801,199,323,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet1.png",201801,298,323,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet1.png",
201801,397,323,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet2.png",164444,1,1,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet2.png",164444,100,
1,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet2.png",164444,199,1,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet2.png",164444,298,1,97,159,1,
0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet2.png",164444,397,1,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0],["chess4-sheet2.png",164444,1,162,97,159,1,0.5154638886451721,
0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0]]],["winniz",5,!1,1,0,!1,75603743326792,[["chess4-sheet2.png",164444,100,162,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0]]],["winverh",5,!1,1,0,!1,8267936029538192,
[["chess4-sheet2.png",164444,199,162,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0]]],["winpravo",5,!1,1,0,!1,0x7c266e0a98fc9,[["chess4-sheet2.png",164444,298,162,97,159,1,0.5154638886451721,0.7610062956809998,[],[0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961,-0.5154638886451721,-0.2955972850322723,0.4845361113548279,
-0.2955972850322723],0]]],["winlevo",5,!1,1,0,!1,8588776611920987,[["chess4-sheet2.png",164444,397,162,97,159,1,0.5154638886451721,0.7610062956809998,[],[-0.5154638886451721,-0.2955972850322723,0.4845361113548279,-0.2955972850322723,0.4845361113548279,0.1761007308959961,-0.5154638886451721,0.1761007308959961],0]]]],[["GridMove",cr.behaviors.Rex_GridMove,9725719154468438]],!1,!1,9340685734451828,[],null],["t11",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,6160576019621824,[["aup-sheet1.png",
12817,0,0,140,140,1,0.5,0.5,[],[-0.07333299517631531,-0.07333299517631531,0,-0.1333329975605011,0.1333330273628235,0,0.09333300590515137,0.09333300590515137,0,0.1399999856948853,-0.09333300590515137,0.09333300590515137,-0.1399999856948853,0],0],["aup-sheet0.png",2980,0,0,150,150,1,0.5,0.5,[],[-0.07333299517631531,-0.07333299517631531,0,-0.1333329975605011,0.1333330273628235,0,0.09333300590515137,0.09333300590515137,0,0.1399999856948853,-0.09333300590515137,0.09333300590515137,-0.1399999856948853,
0],0]]]],[["Pin",cr.behaviors.Pin,0x57f2f247baddd]],!1,!1,7188487997374276,[],null],["t12",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,0xcbf31054de0b3,[["aright-sheet1.png",13076,0,0,140,140,1,0.5,0.5,[],[-0.08000001311302185,-0.08000001311302185,0,-0.1399999856948853,0.07999998331069946,-0.08000001311302185,0.1533330082893372,0,0.09333300590515137,0.09333300590515137,0,0.1466670036315918,-0.086667001247406,0.086667001247406,-0.1066670119762421,0],0],["aright-sheet0.png",3136,0,0,150,
150,1,0.5,0.5,[],[-0.08000001311302185,-0.08000001311302185,0,-0.1399999856948853,0.07999998331069946,-0.08000001311302185,0.1533330082893372,0,0.09333300590515137,0.09333300590515137,0,0.1466670036315918,-0.086667001247406,0.086667001247406,-0.1066670119762421,0],0]]]],[["Pin",cr.behaviors.Pin,7320071409988051]],!1,!1,0xd81c81c23bcf6,[],null],["t13",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,7594992806283071,[["adown-sheet1.png",13113,0,0,140,140,1,0.5,0.5,[],[-0.08000001311302185,
-0.08000001311302185,0,-0.09999999403953552,0.086667001247406,-0.086667001247406,0.1466670036315918,0,0.1000000238418579,0.1000000238418579,0,0.1600000262260437,-0.08000001311302185,0.07999998331069946,-0.1399999856948853,0],0],["adown-sheet0.png",3068,0,0,150,150,1,0.5,0.5,[],[-0.08000001311302185,-0.08000001311302185,0,-0.09999999403953552,0.086667001247406,-0.086667001247406,0.1466670036315918,0,0.1000000238418579,0.1000000238418579,0,0.1600000262260437,-0.08000001311302185,0.07999998331069946,
-0.1399999856948853,0],0]]]],[["Pin",cr.behaviors.Pin,0x8b69a5184e1e0]],!1,!1,0x8c6ed6086913c,[],null],["t14",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,5836656911476151,[["aleft-sheet1.png",13151,0,0,140,140,1,0.5,0.5,[],[-0.06666699051856995,-0.06666699051856995,0,-0.1266669929027557,0.07999998331069946,-0.08000001311302185,0.1266670227050781,0,0.1066669821739197,0.1066669821739197,0,0.1466670036315918,-0.07333299517631531,0.0733330249786377,-0.1333329975605011,0],0],["aleft-sheet0.png",
3201,0,0,150,150,1,0.5,0.5,[],[-0.06666699051856995,-0.06666699051856995,0,-0.1266669929027557,0.07999998331069946,-0.08000001311302185,0.1266670227050781,0,0.1066669821739197,0.1066669821739197,0,0.1466670036315918,-0.07333299517631531,0.0733330249786377,-0.1333329975605011,0],0]]]],[["Pin",cr.behaviors.Pin,9953728355214868]],!1,!1,8027477185903628,[],null],["t15",cr.plugins_.TiledBg,!1,[],0,0,["bg1.png",39134,1],null,[],!1,!1,0x3d2579c916d43,[],null],["t16",cr.plugins_.Sprite,!1,[592210954695775],
0,0,null,[["Default",6,!0,1,0,!1,0x654cf8fe5fb56,[["front1-sheet0.png",6313,1,1,90,88,1,0.5,0.5,[],[-0.2444440126419067,-0.2159090042114258,0.1888890266418457,-0.2272729873657227,0.1888880133628845,0.1818180084228516,-0.2555559873580933,0.1477270126342773],0],["front1-sheet0.png",6313,93,1,90,88,1,0.5,0.5,[],[-0.2444440126419067,-0.2159090042114258,0.1888890266418457,-0.2272729873657227,0.1888880133628845,0.1818180084228516,-0.2555559873580933,0.1477270126342773],0],["front1-sheet0.png",6313,1,91,
90,88,1,0.5,0.5,[],[-0.2444440126419067,-0.2159090042114258,0.1888890266418457,-0.2272729873657227,0.1888880133628845,0.1818180084228516,-0.2555559873580933,0.1477270126342773],0],["front1-sheet0.png",6313,93,91,90,88,1,0.5,0.5,[],[-0.2444440126419067,-0.2159090042114258,0.1888890266418457,-0.2272729873657227,0.1888880133628845,0.1818180084228516,-0.2555559873580933,0.1477270126342773],0]]]],[],!1,!1,8502721906703646,[],null],["t17",cr.plugins_.Sprite,!1,[7572553112222295],0,0,null,[["Default",5,
!0,1,0,!1,6193121862845697,[["front2-sheet0.png",6315,1,1,90,88,1,0.5,0.5,[],[-0.1666670143604279,-0.1704550087451935,0.1777780055999756,-0.1704550087451935,0.1666659712791443,0.1590909957885742,-0.1333329975605011,0.1477270126342773],0],["front2-sheet0.png",6315,93,1,90,88,1,0.5,0.5,[],[-0.1666670143604279,-0.1704550087451935,0.1777780055999756,-0.1704550087451935,0.1666659712791443,0.1590909957885742,-0.1333329975605011,0.1477270126342773],0],["front2-sheet0.png",6315,1,91,90,88,1,0.5,0.5,[],[-0.1666670143604279,
-0.1704550087451935,0.1777780055999756,-0.1704550087451935,0.1666659712791443,0.1590909957885742,-0.1333329975605011,0.1477270126342773],0],["front2-sheet0.png",6315,93,91,90,88,1,0.5,0.5,[],[-0.1666670143604279,-0.1704550087451935,0.1777780055999756,-0.1704550087451935,0.1666659712791443,0.1590909957885742,-0.1333329975605011,0.1477270126342773],0]]]],[],!1,!1,5365538816456572,[],null],["t18",cr.plugins_.Sprite,!1,[0x43a5e00fec119],0,0,null,[["Default",7,!0,1,0,!1,8074730939054592,[["front3-sheet0.png",
6265,1,1,90,88,1,0.5,0.5,[],[-0.1777780055999756,-0.1590909957885742,0.1666659712791443,-0.2159090042114258,0.199999988079071,0.1931819915771484,-0.1888889968395233,0.1931819915771484],0],["front3-sheet0.png",6265,93,1,90,88,1,0.5,0.5,[],[-0.1777780055999756,-0.1590909957885742,0.1666659712791443,-0.2159090042114258,0.199999988079071,0.1931819915771484,-0.1888889968395233,0.1931819915771484],0],["front3-sheet0.png",6265,1,91,90,88,1,0.5,0.5,[],[-0.1777780055999756,-0.1590909957885742,0.1666659712791443,
-0.2159090042114258,0.199999988079071,0.1931819915771484,-0.1888889968395233,0.1931819915771484],0],["front3-sheet0.png",6265,93,91,90,88,1,0.5,0.5,[],[-0.1777780055999756,-0.1590909957885742,0.1666659712791443,-0.2159090042114258,0.199999988079071,0.1931819915771484,-0.1888889968395233,0.1931819915771484],0]]]],[],!1,!1,8625876783893224,[],null],["t19",cr.plugins_.Sprite,!1,[0x6081fef56bb22],0,0,null,[["Default",4,!0,1,0,!1,0xb6d8393bcf2f0,[["front4-sheet0.png",6239,1,1,90,88,1,0.5,0.5,[],[-0.2444440126419067,
-0.2727270126342773,0.2111110091209412,-0.2272729873657227,0.2333329916000366,0.1704549789428711,-0.2333329916000366,0.1818180084228516],0],["front4-sheet0.png",6239,93,1,90,88,1,0.5,0.5,[],[-0.2444440126419067,-0.2727270126342773,0.2111110091209412,-0.2272729873657227,0.2333329916000366,0.1704549789428711,-0.2333329916000366,0.1818180084228516],0],["front4-sheet0.png",6239,1,91,90,88,1,0.5,0.5,[],[-0.2444440126419067,-0.2727270126342773,0.2111110091209412,-0.2272729873657227,0.2333329916000366,0.1704549789428711,
-0.2333329916000366,0.1818180084228516],0],["front4-sheet0.png",6239,93,91,90,88,1,0.5,0.5,[],[-0.2444440126419067,-0.2727270126342773,0.2111110091209412,-0.2272729873657227,0.2333329916000366,0.1704549789428711,-0.2333329916000366,0.1818180084228516],0]]]],[],!1,!1,5606446595597606,[],null],["t20",cr.plugins_.Arr,!1,[],0,0,null,null,[],!0,!1,7414862177038111,[],null],["t21",cr.plugins_.Sprite,!1,[4700230481882502],1,0,null,[["Default",0,!1,1,0,!1,8221003472477262,[["target1-sheet0.png",13169,0,0,
92,101,1,0.5,0.5643564462661743,[],[-0.2282609939575195,-0.3168314397335053,0,-0.3762374520301819,0.2173910140991211,-0.3069304525852203,0.4347829818725586,-0.06930643320083618,0,0.1782175302505493,-0.4565216898918152,-0.06930643320083618],0]]]],[["Pin",cr.behaviors.Pin,0xc0210a6f4a735]],!1,!1,8457438867914716,[],null],["t22",cr.plugins_.Sprite,!1,[7678379110854214],1,0,null,[["Default",0,!1,1,0,!1,0xb916e10a21e34,[["target2-sheet0.png",13240,0,0,92,101,1,0.5,0.5643564462661743,[],[-0.2282609939575195,
-0.3168314397335053,0,-0.3762374520301819,0.2173910140991211,-0.3069304525852203,0.4347829818725586,-0.06930643320083618,-0.01087000966072083,0.2277225255966187,-0.4565216898918152,-0.06930643320083618],0]]]],[["Pin",cr.behaviors.Pin,0x9dba98e47917]],!1,!1,0xa844493aa7d8d,[],null],["t23",cr.plugins_.Sprite,!1,[7742673900482362],1,0,null,[["Default",0,!1,1,0,!1,7629715103823147,[["target3-sheet0.png",12289,0,0,92,101,1,0.5,0.5643564462661743,[],[-0.2282609939575195,-0.3168314397335053,0,-0.3762374520301819,
0.2173910140991211,-0.3069304525852203,0.4347829818725586,-0.06930643320083618,-0.02173900604248047,0.2178215384483337,-0.4565216898918152,-0.06930643320083618],0]]]],[["Pin",cr.behaviors.Pin,0x6456ede629bc6]],!1,!1,9966798956338494,[],null],["t24",cr.plugins_.Sprite,!1,[7803975976758532],1,0,null,[["Default",0,!1,1,0,!1,7584481188757748,[["target4-sheet0.png",13201,0,0,92,101,1,0.5,0.5643564462661743,[],[-0.2282609939575195,-0.3168314397335053,0,-0.3762374520301819,0.2173910140991211,-0.3069304525852203,
0.4347829818725586,-0.06930643320083618,-0.02173900604248047,0.2079205513000488,-0.4565216898918152,-0.06930643320083618],0]]]],[["Pin",cr.behaviors.Pin,0x450e4f4cd77c1]],!1,!1,4801450811428005,[],null],["t25",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,5197236936489062,[["sprite-sheet0.png",75860,0,0,512,552,1,0.5,0.5,[],[-0.4550780951976776,-0.4583333134651184,0,-0.4963768124580383,0.4550780057907105,-0.4583333134651184,0.4550780057907105,0,0.4238280057907105,0.4293479919433594,-0.4238280951976776,
0.4293479919433594,-0.4550780951976776,0],0]]]],[["Pin",cr.behaviors.Pin,0xf6d37e17381d8]],!1,!1,0x69a9cd7073c15,[],null],["t26",cr.plugins_.TiledBg,!1,[],1,0,["tiledbackground2.png",42762,1],null,[["Sine",cr.behaviors.Sin,9344311838656132]],!1,!1,0xa9956e1e1e8b4,[],null],["t27",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",8,!1,1,0,!1,812652815233629,[["sprite2-sheet0.png",28127,1,1,91,96,1,0.5054945349693298,0.5,[],[],0],["sprite2-sheet0.png",28127,94,1,91,96,1,0.5054945349693298,0.5,[],[],0],["sprite2-sheet0.png",
28127,1,99,91,96,1,0.5054945349693298,0.5,[],[],0],["sprite2-sheet0.png",28127,94,99,91,96,1,0.5054945349693298,0.5,[],[],0],["sprite2-sheet1.png",20283,1,1,91,96,1,0.5054945349693298,0.5,[],[],0],["sprite2-sheet1.png",20283,94,1,91,96,1,0.5054945349693298,0.5,[],[],0]]]],[["Fade",cr.behaviors.Fade,9494574026439784]],!1,!1,7067416891727911,[],null],["t28",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9956969790951468,[["butt4-sheet0.png",173,0,0,64,64,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x727cf38458872,
[],null],["t29",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xacc6dab43fa9c,[["butt4-sheet0.png",173,0,0,64,64,1,0.5,0.5,[],[],0]]]],[],!1,!1,6047401599640493,[],null],["t30",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9556409409705544,[["butt4-sheet0.png",173,0,0,64,64,1,0.5,0.5,[],[],0]]]],[],!1,!1,8644841048672735,[],null],["t31",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7781566683618863,[["butts0-sheet0.png",10941,0,0,101,116,1,0.5049505233764648,0.5,
[],[-0.386138528585434,-0.4224137961864471,0.366336464881897,-0.4224137961864471,0.3564354777336121,0.2241380214691162,-0.386138528585434,0.2241380214691162],0]]]],[],!1,!1,9264528772161848,[],null],["t32",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6388256516487085,[["butts1-sheet0.png",10830,0,0,101,116,1,0.5049505233764648,0.5,[],[-0.386138528585434,-0.4224137961864471,0.366336464881897,-0.4224137961864471,0.3564354777336121,0.2241380214691162,-0.386138528585434,0.2241380214691162],
0]]]],[],!1,!1,706729675304162,[],null],["t33",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5605666110385835,[["butts2-sheet0.png",9277,0,0,101,116,1,0.5049505233764648,0.5,[],[-0.386138528585434,-0.4224137961864471,0.366336464881897,-0.4224137961864471,0.3564354777336121,0.2241380214691162,-0.386138528585434,0.2241380214691162],0]]]],[],!1,!1,8357855711816448,[],null],["t34",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6095321484959947,[["butttarg0-sheet0.png",9320,0,0,
101,116,1,0.5049505233764648,0.5,[],[-0.386138528585434,-0.4224137961864471,0.366336464881897,-0.4224137961864471,0.3564354777336121,0.2241380214691162,-0.386138528585434,0.2241380214691162],0]]]],[],!1,!1,9470967408585124,[],null],["t35",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9727127515494224,[["buttarg1-sheet0.png",9334,0,0,101,116,1,0.5049505233764648,0.5,[],[-0.386138528585434,-0.4224137961864471,0.366336464881897,-0.4224137961864471,0.3564354777336121,0.2241380214691162,-0.386138528585434,
0.2241380214691162],0]]]],[],!1,!1,7975812276362637,[],null],["t36",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6769471619670629,[["buttreload-sheet0.png",14418,0,0,202,129,1,0.7475247383117676,0.4418604671955109,[["Imagepoint 1",0.1683168262243271,0.341085284948349],["Imagepoint 2",0.1683168262243271,0.5426356792449951]],[-0.6287127137184143,-0.364274263381958,0.2079212665557861,-0.3720261752605438,0.1633662581443787,0.2745255529880524,-0.6287127137184143,0.2822775542736054],0]]]],
[],!1,!1,0x3c71463c236da,[],null],["t37",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xda15ee6a7c125,[["buttm-sheet0.png",9717,0,0,100,116,1,0.5,0.5,[],[-0.3811880052089691,-0.4224137961864471,0.3712869882583618,-0.4224137961864471,0.3613860011100769,0.2241380214691162,-0.3811880052089691,0.2241380214691162],0]]]],[],!1,!1,6338473350188284,[],null],["t38",cr.plugins_.Audio,!1,[],0,0,null,null,[],!1,!1,8812822646501051,[],null,[0,0,1,1,600,600,1E4,1,5E3,1]],["t39",cr.plugins_.Text,!1,
[],1,0,null,null,[["Pin",cr.behaviors.Pin,0x6d2b6fc16d6cf]],!1,!1,0x65e21bcda8b81,[],null],["t40",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,342907804409444,[["sprite3-sheet0.png",124711,0,0,501,716,1,0.5009980201721191,0.5,[],[],0]]]],[],!1,!1,0xe6904a2abb7f2,[],null],["t41",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6873718610652357,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xfe15388d14841,[],null],["t42",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",
5,!1,1,0,!1,6780619152379799,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x4d2bb1909faff,[],null],["t43",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7579578137202055,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,5349971946335599,[],null],["t44",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x5bb7f650ef219,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xf2cfe86afb519,[],null],["t45",cr.plugins_.Sprite,!1,[],
0,0,null,[["Default",5,!1,1,0,!1,8245170115925537,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,4822375546562255,[],null],["t46",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5870536492741078,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x88c410b83d91f,[],null],["t47",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,4787077212847117,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xfe3886184da89,[],null],["t48",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,726434024526844,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,4649391691221197,[],null],["t49",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5539086289679994,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,5584320678333439,[],null],["t50",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,4979035351962028,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xc9ebc720bd9c5,[],null],["t51",
cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xc9a2a7fd09c3f,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,9713891794489728,[],null],["t52",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7252311626039916,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x41f77b9378245,[],null],["t53",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7979489344849805,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,7665011750161723,
[],null],["t54",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7031566284266076,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,622117631914246,[],null],["t55",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7598531212054256,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,8133684999137741,[],null],["t56",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7736898625138704,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],
!1,!1,9605360802963280,[],null],["t57",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8349978877577433,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xf10e625808890,[],null],["t58",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5338079509949398,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,9030361991736012,[],null],["t59",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x6a4bfa84059ff,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,
0.5,[],[],0]]]],[],!1,!1,0x3cbd9385cde33,[],null],["t60",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7653930939282712,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,4518768148685456,[],null],["t61",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x90d63c9053a35,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,7335403211407395,[],null],["t62",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7469459378049754,[["lock2-sheet0.png",
4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,8199048450217236,[],null],["t63",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x79e5d68084157,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,5308480527145943,[],null],["t64",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7775107562114729,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x7ae44ef1792ef,[],null],["t65",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6098573872445006,
[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,9734532351719968,[],null],["t66",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,410301394854319,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,4886951642984907,[],null],["t67",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8304783182192123,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x75bb18b6dbf1e,[],null],["t68",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,
0,!1,0x64d8f7125f3e6,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xe002fd8470439,[],null],["t69",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x6eea0eb63f145,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x7f61108324bc9,[],null],["t70",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9320624759907938,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,5837465788037063,[],null],["t71",cr.plugins_.Sprite,!1,[],0,0,null,
[["Default",5,!1,1,0,!1,8546371011339573,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,4871427901292505,[],null],["t72",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x4aa2dce5b15e6,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,7713734419940463,[],null],["t73",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xd0c664f79c5b,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,7054161597196016,[],null],["t74",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x626543a06d1c7,[["lock2-sheet0.png",4536,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x875225d9008b5,[],null],["t75",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8451068050039876,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xd6a9c6fed8c05,[],null],["t76",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8220044266709939,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x5aa146ffa84dd,[],null],["t77",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,6662766478781224,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,9949320518526314,[],null],["t78",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x40f8eb206e74d,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,7041788196384411,[],null],["t79",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7532246175112911,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xec4b4b905b1cb,[],null],["t80",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,9807944427079926,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xababe40c57d55,[],null],["t81",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5461922598479069,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xdda922e0f3c38,[],null],["t82",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5489557773695154,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xe80424bff1a0b,[],null],["t83",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,8038981826081754,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xbc8b83ee8222c,[],null],["t84",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x556afccabfb96,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,7118578909825615,[],null],["t85",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5651112512155815,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,952030079586305,[],null],["t86",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,9129484198404388,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,4992811718955309,[],null],["t87",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5300135769066933,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,8010411639425596,[],null],["t88",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x402b6b97e763d,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,5296090231806848,[],null],["t89",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x9b5b69660243,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,922492692949718,[],null],["t90",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6889622117237074,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,5297415905814796,[],null],["t91",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xa2d4d18c76b5f,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,861321679232237,[],null],["t92",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,9374884813703938,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,9211423445183240,[],null],["t93",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8954910810399908,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,8446621456940423,[],null],["t94",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xd012c0c0c6417,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xdd4b710c4ce02,[],null],["t95",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,487631144386191,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,5599261387421854,[],null],["t96",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9214586815869188,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,9675953003556712,[],null],["t97",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,4782298184032678,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,9378266770622658,[],null],["t98",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,8998071539406341,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,7968557750820171,[],null],["t99",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xf0ce931e72bcd,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,9322014135072012,[],null],["t100",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9048275247121664,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,444732323840733,[],null],["t101",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xd64272f5020ab,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x5982e8161cd95,[],null],["t102",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6389618094815063,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x95f3c898f31e2,[],null],["t103",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9289718623508976,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,8678684187613386,[],null],["t104",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,4639612608904004,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x4634432916c17,[],null],["t105",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6338967812249735,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,6627931058411659,[],null],["t106",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xb847050812166,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,9177197801132282,[],null],["t107",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,423886975380726,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x46a6ececd98b9,[],null],["t108",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x85ce185215762,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x59f05571fda67,[],null],["t109",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x77a4ed91a4084,[["go1-sheet0.png",383,0,0,90,90,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xe3317c6f728c9,[],null],["t110",cr.plugins_.WebStorage,
!1,[],0,0,null,null,[],!1,!1,0x60c240cc279a2,[],null,[]],["t111",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8455003090528034,[["unlock-sheet0.png",5620,0,0,74,74,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x72ebc23f77969,[],null],["t112",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,5318674597728047,[["adown-sheet1.png",13113,0,0,140,140,1,0.5,0.5,[],[-0.08000001311302185,-0.08000001311302185,0,-0.09999999403953552,0.086667001247406,-0.086667001247406,0.1466670036315918,0,0.1000000238418579,
0.1000000238418579,0,0.1600000262260437,-0.08000001311302185,0.07999998331069946,-0.1399999856948853,0],0],["adown-sheet0.png",3068,0,0,150,150,1,0.5,0.5,[],[-0.08000001311302185,-0.08000001311302185,0,-0.09999999403953552,0.086667001247406,-0.086667001247406,0.1466670036315918,0,0.1000000238418579,0.1000000238418579,0,0.1600000262260437,-0.08000001311302185,0.07999998331069946,-0.1399999856948853,0],0]]]],[["Pin",cr.behaviors.Pin,0x3dd531881dad2]],!1,!1,4528123690769596,[],null],["t113",cr.plugins_.Sprite,
!1,[],1,0,null,[["Default",0,!1,1,0,!1,0x5f0c4b180d70d,[["aup-sheet1.png",12817,0,0,140,140,1,0.5,0.5,[],[-0.07333299517631531,-0.07333299517631531,0,-0.1333329975605011,0.1333330273628235,0,0.09333300590515137,0.09333300590515137,0,0.1399999856948853,-0.09333300590515137,0.09333300590515137,-0.1399999856948853,0],0],["aup-sheet0.png",2980,0,0,150,150,1,0.5,0.5,[],[-0.07333299517631531,-0.07333299517631531,0,-0.1333329975605011,0.1333330273628235,0,0.09333300590515137,0.09333300590515137,0,0.1399999856948853,
-0.09333300590515137,0.09333300590515137,-0.1399999856948853,0],0]]]],[["Pin",cr.behaviors.Pin,9325481390141812]],!1,!1,0x6de9e98967d0f,[],null],["t114",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,6539739150672214,[["aright-sheet1.png",13076,0,0,140,140,1,0.5,0.5,[],[-0.08000001311302185,-0.08000001311302185,0,-0.1399999856948853,0.07999998331069946,-0.08000001311302185,0.1533330082893372,0,0.09333300590515137,0.09333300590515137,0,0.1466670036315918,-0.086667001247406,0.086667001247406,
-0.1066670119762421,0],0],["aright-sheet0.png",3136,0,0,150,150,1,0.5,0.5,[],[-0.08000001311302185,-0.08000001311302185,0,-0.1399999856948853,0.07999998331069946,-0.08000001311302185,0.1533330082893372,0,0.09333300590515137,0.09333300590515137,0,0.1466670036315918,-0.086667001247406,0.086667001247406,-0.1066670119762421,0],0]]]],[["Pin",cr.behaviors.Pin,5766142346879471]],!1,!1,8999610832128346,[],null],["t115",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,0x3a95da9ef3098,[["aleft-sheet1.png",
13151,0,0,140,140,1,0.5,0.5,[],[-0.06666699051856995,-0.06666699051856995,0,-0.1266669929027557,0.07999998331069946,-0.08000001311302185,0.1266670227050781,0,0.1066669821739197,0.1066669821739197,0,0.1466670036315918,-0.07333299517631531,0.0733330249786377,-0.1333329975605011,0],0],["aleft-sheet0.png",3201,0,0,150,150,1,0.5,0.5,[],[-0.06666699051856995,-0.06666699051856995,0,-0.1266669929027557,0.07999998331069946,-0.08000001311302185,0.1266670227050781,0,0.1066669821739197,0.1066669821739197,0,0.1466670036315918,
-0.07333299517631531,0.0733330249786377,-0.1333329975605011,0],0]]]],[["Pin",cr.behaviors.Pin,636530837710984]],!1,!1,0x4b78b327cf3e7,[],null],["t116",cr.plugins_.Particles,!1,[],0,0,["particles.png",2038,0],null,[],!1,!1,5250489661763138,[],null],["t117",cr.plugins_.Particles,!1,[],0,0,["particles2.png",2504,0],null,[],!1,!1,0x785d62b868b49,[],null],["t118",cr.plugins_.TiledBg,!1,[],0,0,["bg2.png",29325,1],null,[],!1,!1,8029795484013513,[],null],["t119",cr.plugins_.TiledBg,!1,[],0,0,["bg3.png",21512,
1],null,[],!1,!1,9134787489261266,[],null],["t120",cr.plugins_.TiledBg,!1,[],0,0,["bg4.png",20716,1],null,[],!1,!1,688402687222512,[],null],["t121",cr.plugins_.TiledBg,!1,[],0,0,["bg5.png",22048,1],null,[],!1,!1,9282614868578168,[],null],["t122",cr.plugins_.TiledBg,!1,[],0,0,["bg6.png",16244,1],null,[],!1,!1,6276635896773826,[],null],["t123",cr.plugins_.TiledBg,!1,[],0,0,["bg7.png",28360,1],null,[],!1,!1,9138458546735456,[],null],["t124",cr.plugins_.TiledBg,!1,[],1,0,["belaya.png",532,0],null,[["Anchor",
cr.behaviors.Anchor,5511256523099159]],!1,!1,8428761115924271,[],null],["t125",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,5074914660109101,[["loader-sheet0.png",1821,0,0,61,61,1,0.5081967115402222,0.5081967115402222,[],[-0.3442627191543579,-0.3442627191543579,-0.01639372110366821,-0.4590164124965668,0.3606553077697754,-0.3770487308502197,-0.4098359942436218,-0.01639372110366821,0.3278692960739136,0.3278692960739136,-0.01639372110366821,-0.3770487308502197,-0.3442627191543579,0.3278692960739136,
-0.4754098057746887,-0.01639372110366821],0]]]],[["Rotate",cr.behaviors.Rotate,0x84d02dcd68a8f]],!1,!1,7574853477491978,[],null],["t126",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6213320829144316,[["complete-sheet0.png",9343,0,0,250,54,1,0.5,0.5,[],[],0]]]],[["Fade",cr.behaviors.Fade,0x90576842b4a5b]],!1,!1,5255599585499213,[],null]],[],[["levels",1440,2560,!1,"levels",8873350371196689,[["tile",0,8722530541249526,!0,[255,255,255],!1,1,1,1,!1,1,0,0,[[[-371,-83,0,2065,1540,0,0,1,0,0,
0,0,[]],26,27,[],[[1,0,0,40,0,0,0,250,0]],[0,0]],[[359.89306640625,705.041015625,0,779.6340942382812,840.5430297851562,0,0,1,0.5,0.5,0,0,[]],25,26,[],[[]],[0,"Default",0,1]],[[10,290,0,700,700,0,0,1,0,0,0,0,[]],15,16,[],[],[0,0]],[[-454,1,0,140,140,0,0,1,0.5,0.5,0,0,[]],11,10,[],[[]],[0,"Default",0,1]],[[908,-304,0,140,140,0,0,1,0.5,0.5,0,0,[]],12,12,[],[[]],[0,"Default",0,1]],[[-458,-281,0,140,140,0,0,1,0.5,0.5,0,0,[]],13,13,[],[[]],[0,"Default",0,1]],[[1339,-306,0,140,140,0,0,1,0.5,0.5,0,0,[]],
14,14,[],[[]],[0,"Default",0,1]],[[34,-192,0,140,140,0,0,1,0.5,0.5,0,0,[]],16,17,[[0]],[],[0,"Default",1,1]],[[278,-184,0,140,140,0,0,1,0.5,0.5,0,0,[]],17,18,[[0]],[],[0,"Default",1,1]],[[482,-179,0,140,140,0,0,1,0.5,0.5,0,0,[]],18,19,[[0]],[],[0,"Default",1,1]],[[677,-172,0,140,140,0,0,1,0.5,0.5,0,0,[]],19,20,[[0]],[],[0,"Default",1,1]],[[44,-295,0,129.2154541015625,141.8560943603516,0,0,1,0.5,0.5643564462661743,0,0,[]],21,22,[[0]],[[]],[0,"Default",1,1]],[[279,-289,0,129.2154541015625,141.8560943603516,
0,0,1,0.5,0.5643564462661743,0,0,[]],22,23,[[0]],[[]],[0,"Default",1,1]],[[489,-280,0,129.2154541015625,141.8560943603516,0,0,1,0.5,0.5643564462661743,0,0,[]],23,24,[[0]],[[]],[0,"Default",1,1]],[[677,-279,0,129.2154541015625,141.8560943603516,0,0,1,0.5,0.5643564462661743,0,0,[]],24,25,[[0]],[[]],[0,"Default",1,1]],[[66,99,0,64,64,0,0,1,0.5,0.5,0,0,[]],28,28,[],[],[1,"Default",0,1]],[[204,99,0,64,64,0,0,1,0.5,0.5,0,0,[]],29,29,[],[],[1,"Default",0,1]],[[342,101,0,64,64,0,0,1,0.5,0.5,0,0,[]],30,30,
[],[],[1,"Default",0,1]],[[-458,-413,0,140,140,0,0,1,0.5,0.5,0,0,[]],112,113,[],[[]],[0,"Default",0,1]],[[-458,-139,0,140,140,0,0,1,0.5,0.5,0,0,[]],113,114,[],[[]],[0,"Default",0,1]],[[1049,-299,0,140,140,0,0,1,0.5,0.5,0,0,[]],114,115,[],[[]],[0,"Default",0,1]],[[1194,-302,0,140,140,0,0,1,0.5,0.5,0,0,[]],115,116,[],[[]],[0,"Default",0,1]]],[]],["chess1",1,7754912013637391,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[578,1183.5,0,64,191,0,0,1,0.5,0.5,0,0,[]],0,0,[],[],[1,"Default",0,1]],[[42,-304,0,140.2996826171875,
151.6753234863281,0,0,1,0.5135135054588318,0.6416666507720947,0,0,[]],1,1,[[0]],[[1,250,0,0,0,0,0]],[0,"Default",0,1]],[[276,-289,0,160.4161071777344,180.7673950195313,0,0,1,0.5223880410194397,0.7615894079208374,0,0,[]],7,7,[[0]],[[1,250,0,0,0,0,0]],[0,"Default",0,1]],[[485,-292,0,99.16236877441406,183.5373687744141,0,0,1,0.5,0.7751479148864746,0,0,[]],8,8,[[0]],[[1,250,0,0,0,0,0]],[0,"Default",0,1]],[[647,102,0,64,64,0,0,1,0.5,0.5,0,0,[]],9,9,[],[],[1,"Default",0,1]],[[674,-297,0,102.3256683349609,
167.7297058105469,0,0,1,0.5154638886451721,0.7610062956809998,0,0,[]],10,11,[[0]],[[1,250,0,0,0,0,0]],[0,"Default",0,1]]],[]],["chess2",2,6779644871397929,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["chess3",3,0x9840a51962b9e,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["chess4",4,0x7daac93ea5f76,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["chess5",5,703522699097096,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["chess6",6,9031573629168318,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["chess7",7,5993310318535697,
!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[483,57,0,236,144,0,0,1,0,0,0,0,[]],39,39,[],[[]],["0",0,"bold 72pt Arial","rgb(0,0,0)",0,0,0,0,0]]],[]],["arrows",8,0xb33e8b7f22684,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-157,399,0,128,128,0,0,1,0,0.5,0,0,[]],116,117,[],[],[0.3,120,0,200,64,100,0,10,60,20,5,20,-7,0,7,5,0,0,14]],[[-163,643,0,128,128,0,0,1,0,0.5,0,0,[]],116,118,[],[],[0.1,120,0,200,32,100,0,10,60,20,5,20,-7,0,7,5,0,0,12]],[[-165,883,0,128,128,0,0,1,0,0.5,0,0,[]],116,119,[],[],[0.2,120,0,200,40,
100,0,10,60,20,5,20,-7,0,7,5,0,0,11]]],[]]],[[null,2,2,[],[],[700,900]],[null,3,3,[],[],[0,-60,220,140,140,0]],[null,4,4,[],[],[]],[null,20,21,[],[],[3,12,1]]],[]],["elements",1708,960,!1,null,6249449505179486,[["Layer 0",0,8830464144447049,!0,[255,255,255],!1,1,1,1,!1,1,0,0,[[[203,165,0,144.7670440673828,166.2671203613281,0,0,1,0.5049505233764648,0.5,0,0,[]],31,31,[],[],[0,"Default",0,1]],[[310,163,0,144.7670440673828,166.2671203613281,0,0,1,0.5049505233764648,0.5,0,0,[]],32,32,[],[],[0,"Default",
0,1]],[[420,165,0,144.7670440673828,166.2671203613281,0,0,1,0.5049505233764648,0.5,0,0,[]],33,33,[],[],[0,"Default",0,1]],[[532,164,0,144.7670440673828,166.2671203613281,0,0,1,0.5049505233764648,0.5,0,0,[]],34,34,[],[],[0,"Default",0,1]],[[646,165,0,144.7670440673828,166.2671203613281,0,0,1,0.5049505233764648,0.5,0,0,[]],35,35,[],[],[0,"Default",0,1]],[[944,170,0,322.6023559570313,206.0183410644531,0,0,1,0.7475247383117676,0.4418604671955109,0,0,[]],36,36,[],[],[0,"Default",0,1]],[[98,163,0,143.7670440673828,
166.2671203613281,0,0,1,0.5,0.5,0,0,[]],37,37,[],[],[0,"Default",0,1]],[[203,350,0,91,96,0,0,1,0.5054945349693298,0.5,0,0,[]],27,15,[],[[1,0,1.5,1,1]],[0,"Default",0,1]],[[3,415,0,700,700,0,0,1,0,0,0,0,[]],15,120,[],[],[0,0]],[[761,415,0,700,700,0,0,1,0,0,0,0,[]],118,121,[],[],[0,0]],[[1500,417,0,700,700,0,0,1,0,0,0,0,[]],119,122,[],[],[0,0]],[[2251,418,0,700,700,0,0,1,0,0,0,0,[]],120,123,[],[],[0,0]],[[-6,1189,0,700,700,0,0,1,0,0,0,0,[]],121,124,[],[],[0,0]],[[761,1189,0,700,700,0,0,1,0,0,0,0,[]],
122,125,[],[],[0,0]],[[1514,1197,0,700,700,0,0,1,0,0,0,0,[]],123,126,[],[],[0,0]],[[-88,-1114,0,2117,2953,0,0,0.8799999952316284,0,0,0,0,[]],124,127,[],[[0,0,0,0,1]],[0,0]],[[2297,-202,0,61,61,0,0,1,0.5081967115402222,0.5081967115402222,0,0,[]],125,128,[],[[800,0]],[0,"Default",0,1]],[[828,2041,0,510.5552673339844,110.2799377441406,0,0,1,0.5,0.5,0,0,[]],126,129,[],[[1,0,1.5,1,1]],[0,"Default",0,1]]],[]]],[],[]],["Chooselevel",1440,2560,!1,"Chooselevel",0xc38e3a1200d05,[["Layer 0",0,0x4b448a3e45408,
!0,[255,255,255],!1,1,1,1,!1,1,0,0,[[[-498,-4,0,2065,1540,0,0,1,0,0,0,0,[]],26,42,[],[[1,0,0,40,0,0,0,250,0]],[0,0]],[[360.1443176269531,545.0592651367188,0,683.0103149414062,976.1185302734375,0,0,1,0.5009980201721191,0.5,0,0,[]],40,41,[],[],[0,"Default",0,1]]],[]],["buttons",1,9452854448568772,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[86,118,0,90,90,0,0,1,0.5,0.5,0,0,[]],75,77,[],[],[1,"Default",0,1]],[[358,117,0,90,90,0,0,1,0.5,0.5,0,0,[]],77,78,[],[],[1,"Default",0,1]],[[495,118,0,90,90,0,0,1,0.5,
0.5,0,0,[]],78,79,[],[],[1,"Default",0,1]],[[222,117,0,90,90,0,0,1,0.5,0.5,0,0,[]],76,80,[],[],[1,"Default",0,1]],[[632,118,0,90,90,0,0,1,0.5,0.5,0,0,[]],79,81,[],[],[1,"Default",0,1]],[[85,254,0,90,90,0,0,1,0.5,0.5,0,0,[]],80,82,[],[],[1,"Default",0,1]],[[222,254,0,90,90,0,0,1,0.5,0.5,0,0,[]],81,83,[],[],[1,"Default",0,1]],[[357,254,0,90,90,0,0,1,0.5,0.5,0,0,[]],82,84,[],[],[1,"Default",0,1]],[[495,255,0,90,90,0,0,1,0.5,0.5,0,0,[]],83,85,[],[],[1,"Default",0,1]],[[631,254,0,90,90,0,0,1,0.5,0.5,0,
0,[]],84,86,[],[],[1,"Default",0,1]],[[86,390,0,90,90,0,0,1,0.5,0.5,0,0,[]],85,87,[],[],[1,"Default",0,1]],[[222,392,0,90,90,0,0,1,0.5,0.5,0,0,[]],86,88,[],[],[1,"Default",0,1]],[[358,391,0,90,90,0,0,1,0.5,0.5,0,0,[]],87,89,[],[],[1,"Default",0,1]],[[495,392,0,90,90,0,0,1,0.5,0.5,0,0,[]],88,90,[],[],[1,"Default",0,1]],[[632,391,0,90,90,0,0,1,0.5,0.5,0,0,[]],89,91,[],[],[1,"Default",0,1]],[[85,528,0,90,90,0,0,1,0.5,0.5,0,0,[]],90,92,[],[],[1,"Default",0,1]],[[224,527,0,90,90,0,0,1,0.5,0.5,0,0,[]],
91,93,[],[],[1,"Default",0,1]],[[359,526,0,90,90,0,0,1,0.5,0.5,0,0,[]],92,94,[],[],[1,"Default",0,1]],[[496,528,0,90,90,0,0,1,0.5,0.5,0,0,[]],93,95,[],[],[1,"Default",0,1]],[[632,527,0,90,90,0,0,1,0.5,0.5,0,0,[]],94,96,[],[],[1,"Default",0,1]],[[86,662,0,90,90,0,0,1,0.5,0.5,0,0,[]],95,97,[],[],[1,"Default",0,1]],[[222,663,0,90,90,0,0,1,0.5,0.5,0,0,[]],96,98,[],[],[1,"Default",0,1]],[[359,663,0,90,90,0,0,1,0.5,0.5,0,0,[]],97,99,[],[],[1,"Default",0,1]],[[495,663,0,90,90,0,0,1,0.5,0.5,0,0,[]],98,100,
[],[],[1,"Default",0,1]],[[632,663,0,90,90,0,0,1,0.5,0.5,0,0,[]],99,101,[],[],[1,"Default",0,1]],[[86,799,0,90,90,0,0,1,0.5,0.5,0,0,[]],100,102,[],[],[1,"Default",0,1]],[[223,799,0,90,90,0,0,1,0.5,0.5,0,0,[]],101,103,[],[],[1,"Default",0,1]],[[357,800,0,90,90,0,0,1,0.5,0.5,0,0,[]],102,104,[],[],[1,"Default",0,1]],[[495,799,0,90,90,0,0,1,0.5,0.5,0,0,[]],103,105,[],[],[1,"Default",0,1]],[[633,800,0,90,90,0,0,1,0.5,0.5,0,0,[]],104,106,[],[],[1,"Default",0,1]],[[85,936,0,90,90,0,0,1,0.5,0.5,0,0,[]],105,
107,[],[],[1,"Default",0,1]],[[222,936,0,90,90,0,0,1,0.5,0.5,0,0,[]],106,108,[],[],[1,"Default",0,1]],[[358,935,0,90,90,0,0,1,0.5,0.5,0,0,[]],107,109,[],[],[1,"Default",0,1]],[[495,935,0,90,90,0,0,1,0.5,0.5,0,0,[]],108,110,[],[],[1,"Default",0,1]],[[631,935,0,90,90,0,0,1,0.5,0.5,0,0,[]],109,111,[],[],[1,"Default",0,1]]],[]],["lockers",2,9527355363348388,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[220,119,0,101.9459457397461,101.9459457397461,0,0,1,0.5,0.5,0,0,[]],41,43,[],[],[0,"Default",0,1]],[[357,119,
0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],42,44,[],[],[0,"Default",0,1]],[[495,119,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],43,45,[],[],[0,"Default",0,1]],[[630,119,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],44,46,[],[],[0,"Default",0,1]],[[84,254,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],45,47,[],[],[0,"Default",0,1]],[[220,254,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],46,48,[],[],[0,"Default",0,1]],[[357,254,
0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],47,49,[],[],[0,"Default",0,1]],[[495,254,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],48,50,[],[],[0,"Default",0,1]],[[630,254,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],49,51,[],[],[0,"Default",0,1]],[[84,389,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],50,52,[],[],[0,"Default",0,1]],[[220,389,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],51,53,[],[],[0,"Default",0,1]],[[357,389,
0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],52,54,[],[],[0,"Default",0,1]],[[495,389,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],53,55,[],[],[0,"Default",0,1]],[[630,389,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],54,56,[],[],[0,"Default",0,1]],[[84,526,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],55,57,[],[],[0,"Default",0,1]],[[220,526,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],56,58,[],[],[0,"Default",0,1]],[[357,526,
0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],57,59,[],[],[0,"Default",0,1]],[[495,526,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],58,60,[],[],[0,"Default",0,1]],[[630,526,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],59,61,[],[],[0,"Default",0,1]],[[84,662,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],60,62,[],[],[0,"Default",0,1]],[[220,662,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],61,63,[],[],[0,"Default",0,1]],[[357,662,
0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],62,64,[],[],[0,"Default",0,1]],[[495,662,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],63,65,[],[],[0,"Default",0,1]],[[630,662,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],64,66,[],[],[0,"Default",0,1]],[[84,799,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],65,67,[],[],[0,"Default",0,1]],[[220,799,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],66,68,[],[],[0,"Default",0,1]],[[357,799,
0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],67,69,[],[],[0,"Default",0,1]],[[495,799,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],68,70,[],[],[0,"Default",0,1]],[[630,799,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],69,71,[],[],[0,"Default",0,1]],[[84,935,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],70,72,[],[],[0,"Default",0,1]],[[220,935,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],71,73,[],[],[0,"Default",0,1]],[[357,935,
0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],72,74,[],[],[0,"Default",0,1]],[[495,935,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],73,75,[],[],[0,"Default",0,1]],[[630,935,0,102.8376693725586,102.8376693725586,0,0,1,0.5,0.5,0,0,[]],74,76,[],[],[0,"Default",0,1]],[[568,-64,0,99.49874114990234,99.49874114990234,0,0,1,0.5,0.5,0,0,[]],111,40,[],[],[0,"Default",0,1]]],[]]],[],[]]],[["levels",[[2,"global",!1],[1,"gameover",0,0,!1,!1,9563057041922828,!1],[1,"sound",0,0,!1,!1,
5754099983105221,!1],[1,"target",0,1,!1,!1,0xad39512b7c553,!1],[0,null,!1,null,5585455612994936,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,6278173851871266,!1]],[[1,cr.plugins_.Sprite.prototype.acts.SetPos,null,9595408515266184,!1,[[0,[5,[4,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[7,cr.plugins_.Sprite.prototype.acts.SetPos,
null,6530378475635016,!1,[[0,[5,[4,[20,7,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,7,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[8,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x3e2a1f85ec99a,!1,[[0,[5,[4,[20,8,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,8,cr.plugins_.Sprite.prototype.exps.Y,!1,
null]]]],[10,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa7130c451abbf,!1,[[0,[5,[4,[20,10,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,10,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]],[0,[!0,"Initialize levels"],!1,null,9827606062864668,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9827606062864668,!1,[[1,[2,"Initialize levels"]]]]],[],[[0,null,!1,null,7016355764483582,[[-1,
cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,8508466443473568,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x5eb54fbd36e7f,!1,[[11,"level"],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,0xaaeb9f026c70c,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0x56ffb852d7025,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,6443188019894945,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,
null,0x875d0e0e1e110,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,0x7c7fbac9f239c,[],[[-1,cr.system_object.prototype.acts.Wait,null,7266227973292644,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,7889383477535334,!1,[[4,7],[0,[0,3]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,4506683969744564,[],[[17,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0x5047fa3fae5c8,!1,[[0,[0,360]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xeec3568b87e74,!1,[[0,[0,360]],[0,[0,780]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x7ecc842a5a242,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xd0c2948e2f06f,!1,[[1,[2,"verh"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9798642453768612,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6503897856967424,!1,[[1,[2,"pravo"]],[3,1]]],
[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8012620439983949,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8695308753131076,!1,[[1,[2,"niz"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5123609283143675,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x868d87683137a,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x569c92272a350,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,8254625203708458,
!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,7487770407935615,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,
null,9240628982812472,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6f6cfba102ba,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]]]]]],[0,null,!1,null,0x5da0707e00d00,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x8840f34e53d4d,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,834442391613011,!1,[[11,"level"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,7423489404681566,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,8080487361817914,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,6299812820130416,!1,[[1,[2,"y"]],[0,[0,0]],[0,
[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,8299539310336855,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,9420654556994E3,[],[[-1,cr.system_object.prototype.acts.Wait,null,9048715770879964,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,4576390256052243,!1,[[4,10],[0,[0,3]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,
null,5715250422534145,!1,[[4,7],[0,[0,3]],[0,[0,5]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,0x941f5d30817f8,[],[[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,6619708007386041,!1,[[0,[0,360]],[0,[0,780]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,7353776815023743,!1,[[0,[0,360]],[0,[0,780]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,929894423168026,!1,[[0,[0,360]],[0,[0,640]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5f5eb9c5feb6,!1,[[0,[0,360]],[0,[0,640]]]],
[-1,cr.system_object.prototype.acts.Wait,null,0xf45485c0b6277,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7201981226125972,!1,[[1,[2,"niz"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8847788859457356,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb1afe8f70450b,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x75e12ba9dd524,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4872322487768341,
!1,[[1,[2,"verh"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x9f5c522fc53f4,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8296431847385079,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x7a912cac75561,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,7337307543050452,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,
2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,5757646923391174,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,827676116072594,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,9024466263307984,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,0x41ada0b3db514,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,7392607473910504,!1],[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4557582483598447,!1,[[11,"level"],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,7076110658888182,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,9510780635299148,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0x8e27676883454,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,0xed6fedcfbfaea,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,
[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,5385887348437104,[],[[-1,cr.system_object.prototype.acts.Wait,null,7750240789218728,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,4967516083159362,!1,[[4,10],[0,[0,2]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x89af732dd6146,!1,[[4,7],[0,[0,1]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,
null,7189043267151818,!1,[[4,1],[0,[0,4]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,7056777513317606,[],[[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf6e36abaf97bf,!1,[[0,[0,220]],[0,[0,500]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa8c65568d6b95,!1,[[0,[0,360]],[0,[0,500]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,9306337193305536,!1,[[0,[0,220]],[0,[0,640]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc46d2181a3391,!1,[[0,[0,220]],[0,[0,500]]]],
[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe17ec6f78c0e6,!1,[[0,[0,360]],[0,[0,640]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa4e97bfebd7ab,!1,[[0,[0,220]],[0,[0,640]]]],[-1,cr.system_object.prototype.acts.Wait,null,5841694849169059,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf00242f74eca2,!1,[[1,[2,"verh"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xc0f28532a01ea,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,
9050991152436464,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5468327926792296,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8243642508350706,!1,[[1,[2,"pravo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7888719734679643,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4530589428946128,!1,[[1,[2,"levo"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,4876607946126833,!1,[[0,[0,8]]]],[16,
cr.plugins_.Sprite.prototype.acts.SetPos,null,6285554880786986,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6d15c18bbea0,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,
[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,9938970698802494,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x63206313e9105,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,0xd12d6355339e4,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5930738161640799,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4605287116636176,!1,[[11,"level"],[8,0],[7,[0,4]]]]],[],[[0,null,!1,null,0x89bec2776d407,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,319324880178392,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,
null,0,!0,!1,!1,0x4cb2da4293bbf,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,7064071491777796,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,0x8a6e8dbf5affc,[],[[-1,cr.system_object.prototype.acts.Wait,null,5239569497207803,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,5268224215520902,!1,[[4,10],
[0,[0,3]],[0,[0,1]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,9978308841674698,!1,[[4,7],[0,[0,5]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,5154315516856375,[],[[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,6274998217483018,!1,[[0,[0,500]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,6565444521283065,!1,[[0,[0,80]],[0,[0,780]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,7355801085801773,!1,[[0,[0,360]],[0,
[0,500]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf351f070a00b,!1,[[0,[0,360]],[0,[0,920]]]],[-1,cr.system_object.prototype.acts.Wait,null,8407367335932852,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,809195315681618,!1,[[1,[2,"niz"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x40d234228e325,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8518629330164273,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,0x4922df8341e90,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x3d1539e386c9f,!1,[[1,[2,"levo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5172282129165352,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc6dd9599dc38a,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9297595895730916,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,6574070503319352,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,7646149216430648,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x53042b3ddc8cc,
!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,7665373809557381,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,
null,!1,null,9398492590253544,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,4814152715849326,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x64cfcdef33eca,!1,[[11,"level"],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,0x826da621bb4f9,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0xb94039675cf64,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0x93eb76220f543,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,
null,471115439159589,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,7424245824102259,[],[[-1,cr.system_object.prototype.acts.Wait,null,563388648304167,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xa4773fc0344b5,!1,[[4,10],[0,[0,2]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,5384911252538748,
!1,[[4,7],[0,[0,3]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xecbbb0adfb7e9,!1,[[4,1],[0,[0,4]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,0x7ebd7e0260dab,[],[[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,9346342580385080,!1,[[0,[0,360]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,7180658499689111,!1,[[0,[0,360]],[0,[0,640]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xdf8bf2f756728,!1,[[0,[0,
500]],[0,[0,780]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4be522de0f6a5,!1,[[0,[0,500]],[0,[0,780]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,532586201105052,!1,[[0,[0,360]],[0,[0,640]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xdc734ad223aaa,!1,[[0,[0,640]],[0,[0,920]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x4fb12823a4499,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5969274176791973,!1,[[1,[2,"pravo"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,8360666097050394,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5529065466030878,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9122035974717804,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4036d6e9eae99,!1,[[1,[2,"niz"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x85df1507e1541,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8155095800316913,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,8232199865027197,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,5320504166804866,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,4750912279368308,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x67bbb5d2b3b35,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,7227252960670846,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,4625037310780478,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x586af98708c86,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,866117074492797,!1,[[11,"level"],[8,0],[7,[0,6]]]]],[],[[0,null,!1,null,289349641442411,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,4951289702156762,!1,
[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,868313476050505,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,840664705256768,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,0xa75484967e137,[],[[-1,cr.system_object.prototype.acts.Wait,null,8483686934137558,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,
null,0x3ccb06c94dc04,!1,[[4,10],[0,[0,2]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,8983648786947408,!1,[[4,7],[0,[0,3]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,8579812056477432,!1,[[4,1],[0,[0,4]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,6657187995339779,[],[[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,9110830860289306,!1,[[0,[0,360]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,
null,8249087204875196,!1,[[0,[0,360]],[0,[0,640]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6c3d922269705,!1,[[0,[0,500]],[0,[0,780]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6c5158cf80764,!1,[[0,[0,640]],[0,[0,920]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xcaddf113e6c94,!1,[[0,[0,360]],[0,[0,640]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x74368a601cf65,!1,[[0,[0,500]],[0,[0,780]]]],[-1,cr.system_object.prototype.acts.Wait,null,7641679068052914,!1,
[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x414a8e243ec76,!1,[[1,[2,"pravo"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,799553215600724,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8807512240208175,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x9193bbdc8144d,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x802b012f2d9b7,!1,[[1,[2,"niz"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,9701636666465560,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6389767334749543,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,4981543890406364,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,6348501677770219,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,
cr.plugins_.Sprite.prototype.acts.SetPos,null,9758093784616914,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,6808713732243303,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,
[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,945509949580669,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,0x7a4605e35990,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,9117146885778188,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4888027714433466,!1,[[11,"level"],[8,0],[7,[0,7]]]]],[],[[0,null,!1,null,8019637235379084,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0x8906f364f93b4,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0xa25c60736ff41,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,7458908765803161,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,
[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,5808859335431508,[],[[-1,cr.system_object.prototype.acts.Wait,null,7857188780766758,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xdee991ac71156,!1,[[4,10],[0,[0,5]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,9201215355048594,!1,[[4,7],[0,[0,4]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,8868411034899681,!1,
[[4,1],[0,[0,3]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,0xb76f5c6a14d17,[],[[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6750f39829b54,!1,[[0,[0,500]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,9268049825253798,!1,[[0,[0,360]],[0,[0,920]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,5268814122864591,!1,[[0,[0,360]],[0,[0,640]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5e8809da8fb57,!1,[[0,[0,80]],[0,[0,500]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xb2b7e8617c44d,!1,[[0,[0,500]],[0,[0,640]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,8407310320394733,!1,[[0,[0,220]],[0,[0,640]]]],[-1,cr.system_object.prototype.acts.Wait,null,6823284168630875,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb659a516495fb,!1,[[1,[2,"levo"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9475148183338924,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7105891911795628,!1,[[1,[2,"pravo"]],[3,
1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x973261f3c5946,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8495606522780845,!1,[[1,[2,"niz"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6749774714602216,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa0440dff610b3,!1,[[1,[2,"verh"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x6a9c27aa5687d,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,
9211212136553098,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,7712741325319317,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,
null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x57cd296f080f1,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x89d2aa68ff9e,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],
[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,8539150208579974,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0xb3ec116e7df4c,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6711215708650394,!1,[[11,"level"],[8,0],[7,[0,8]]]]],[],[[0,null,!1,null,0xe3fb9e6318645,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,5088547593665742,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,
!0,!1,!1,0x9a02d01d21f76,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,7862194256392161,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,0xe1e7cfaa1f737,[],[[-1,cr.system_object.prototype.acts.Wait,null,4770127550553825,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x442baf4993fe2,!1,[[4,10],[0,[0,
2]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,0x90a574ce14ed1,[],[[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb6e9c042a9609,!1,[[0,[0,220]],[0,[0,780]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xcab4a2323e166,!1,[[0,[0,500]],[0,[0,780]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x56be690c899e9,!1,[[0,[0,220]],[0,[0,640]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xcbd7527296b61,!1,[[0,[0,500]],[0,[0,500]]]],[-1,cr.system_object.prototype.acts.Wait,
null,0xa9c363db0fdc5,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9668205430353408,!1,[[1,[2,"niz"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7509801535349208,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9747375901011418,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7001542562530293,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8166902528573676,!1,[[1,[2,"levo"]],[3,1]]],[7,
cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7384229349367858,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x9c413179d5248,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9595620005605244,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x394966cd4c96d,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,7793855979975229,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,860625409163538,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,
2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xbca456fe0f429,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,6273601808600082,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,943410553312833,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,315919053337663,!1,[[11,"level"],[8,0],[7,[0,9]]]]],[],[[0,null,!1,null,0x74048acdbb6f1,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,5635547385668454,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0xb1b31e1faf8e1,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,949102464267748,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,
[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,0x5bd1156c0e938,[],[[-1,cr.system_object.prototype.acts.Wait,null,0xde543008bdd17,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,8847737850386367,!1,[[4,8],[0,[0,2]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,8215055023620154,!1,[[4,1],[0,[0,2]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,0xb8421e3c3b730,[],[[12,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0x77c87ab3ccbd4,!1,[[0,[0,220]],[0,[0,780]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x55408d8935234,!1,[[0,[0,500]],[0,[0,780]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,6832645340012433,!1,[[0,[0,220]],[0,[0,640]]]],[23,cr.plugins_.Sprite.prototype.acts.SetPos,null,7108929857211916,!1,[[0,[0,500]],[0,[0,500]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,7165172779223697,!1,[[0,[0,360]],[0,[0,780]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7e59059a7ede,
!1,[[0,[0,640]],[0,[0,500]]]],[-1,cr.system_object.prototype.acts.Wait,null,7338964990442755,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9917299047512532,!1,[[1,[2,"verh"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8764274040423003,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9962736149531400,!1,[[1,[2,"niz"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9531343591791740,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,9020003110128536,!1,[[1,[2,"levo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5596710394305105,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6104072669190135,!1,[[1,[2,"pravo"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xe7ae0d4494041,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,6220108932380161,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf0a2e88d691e7,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,6973988509114939,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,6772272937305126,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,5175226232687787,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,701290325847042,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5621273659025782,!1,[[11,"level"],[8,0],[7,[0,10]]]]],[],[[0,null,!1,null,0xba880298f9556,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,8294751299645442,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0xa12ffc173543a,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,5811816697552574,!1,[[4,0],[0,
[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,8232697269704117,[],[[-1,cr.system_object.prototype.acts.Wait,null,0x3c3d365155aa9,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,6992263715122165,!1,[[4,10],[0,[0,4]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,5784506572921604,!1,[[4,8],[0,[0,2]],[0,[0,3]],[7,
[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,9723016588644512,[],[[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,8180098134035341,!1,[[0,[0,220]],[0,[0,640]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,5001229084651861,!1,[[0,[0,500]],[0,[0,640]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,5806210607983235,!1,[[0,[0,640]],[0,[0,640]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9bdb40b09c183,!1,[[0,[0,360]],[0,[0,640]]]],[23,cr.plugins_.Sprite.prototype.acts.SetPos,null,
0x3df66baef35ef,!1,[[0,[0,360]],[0,[0,500]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,9253263997402068,!1,[[0,[0,500]],[0,[0,500]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,5069149569503819,!1,[[0,[0,500]],[0,[0,500]]]],[-1,cr.system_object.prototype.acts.Wait,null,7909804709657205,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,974044278760462,!1,[[1,[2,"verh"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9075215312680004,!1,[[0,[0,8]]]],
[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7478980285051435,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7621192021679487,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa993cad568015,!1,[[1,[2,"levo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6730286594130941,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8561532654968204,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,0x671e377950994,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,524006109420154,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,8608545298903161,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,996011688323384,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,5161095684189109,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,0xcbb14fd0c422,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,9559182466588224,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8084968370444346,!1,[[11,"level"],[8,0],[7,[0,11]]]]],[],[[0,null,!1,null,0x38f545ad1e4e6,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,8762143520681045,!1,
[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,8142281357985255,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,5946626157060645,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,0xfb62ac16e35c1,[],[[-1,cr.system_object.prototype.acts.Wait,null,0x5511867a66990,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,
null,0x56229a6860d42,!1,[[4,10],[0,[0,5]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,8278031877440002,!1,[[4,7],[0,[0,3]],[0,[0,1]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x4aedb4975ce72,!1,[[4,1],[0,[0,3]],[0,[0,5]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,9424428019401152,[],[[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,5785914462975821,!1,[[0,[0,360]],[0,[0,640]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,
null,9782949371354192,!1,[[0,[0,360]],[0,[0,500]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8be8e9c832ea5,!1,[[0,[0,220]],[0,[0,640]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,6720014311462608,!1,[[0,[0,360]],[0,[0,780]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,7227031529252351,!1,[[0,[0,80]],[0,[0,640]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,5219064009139236,!1,[[0,[0,500]],[0,[0,640]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,7269279316229769,
!1,[[0,[0,500]],[0,[0,640]]]],[-1,cr.system_object.prototype.acts.Wait,null,9917360018922976,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe907ebeedd60f,!1,[[1,[2,"levo"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6025637356631655,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5569015368961442,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7371897681543893,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x452e03e5e3a0f,!1,[[1,[2,"niz"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5873810294831518,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,711320437515674,!1,[[1,[2,"verh"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8881078379773756,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,847108296714755,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,5370593832841163,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe1ffbcccdffbf,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,6651300831509614,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,9493213028881900,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,0xf622f6c86732f,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf15250a342a06,!1,[[11,"level"],[8,0],[7,[0,12]]]]],[],[[0,null,!1,null,0x47d4b880327c8,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0x60acd0d234407,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,8322229960924644,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,4717836101145113,!1,[[4,0],[0,
[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,5871659378634165,[],[[-1,cr.system_object.prototype.acts.Wait,null,4840089413997209,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x7dcb1c5d3f29a,!1,[[4,10],[0,[0,5]],[0,[0,1]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xdc91ee7e5d06,!1,[[4,7],[0,[0,1]],[0,[0,1]],[7,[0,
1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xb7f4309987a59,!1,[[4,1],[0,[0,3]],[0,[0,5]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,0xcfddecb2cd762,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9a0589de30fd9,!1,[[0,[0,360]],[0,[0,360]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x55d637b59a8a7,!1,[[0,[0,360]],[0,[0,780]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb16a49222d31d,!1,[[0,[0,500]],[0,[0,640]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,
null,9200529341217676,!1,[[0,[0,500]],[0,[0,360]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,6756867489327872,!1,[[0,[0,360]],[0,[0,640]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb1ce9c3e8e838,!1,[[0,[0,220]],[0,[0,360]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,8930236967175801,!1,[[0,[0,220]],[0,[0,640]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xf6904317b519c,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9661450538239380,!1,[[1,[2,"levo"]],
[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6773682617704144,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8374373647215719,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8402800470584928,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xd3d650b98e856,!1,[[1,[2,"pravo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x41f3804d386e9,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xd4fea458b5f3a,!1,[[1,[2,"verh"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6283734471606987,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xcbbedea987866,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,8595966544524476,!1,[[0,[5,[4,[20,17,
cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,9415138000774658,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,
null,963894982404354,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,5706540854805734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x799bffb4f6536,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9476615312456882,!1,[[11,"level"],[8,0],[7,[0,13]]]]],[],[[0,null,!1,null,0x556282872902b,
[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,9783525349669236,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,6602830337629387,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,0xfd5b812492f79,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,6498035348648959,[],[[-1,cr.system_object.prototype.acts.Wait,
null,0xb80037ab6936d,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,4722168456448228,!1,[[4,8],[0,[0,1]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,5361206742779967,!1,[[4,1],[0,[0,3]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,0x41776d3b9a625,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,6932450021489879,!1,[[0,[0,220]],[0,[0,360]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,7358428892679493,
!1,[[0,[0,500]],[0,[0,500]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,9428635765294862,!1,[[0,[0,220]],[0,[0,640]]]],[23,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4bff989529204,!1,[[0,[0,220]],[0,[0,640]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,5953046963870863,!1,[[0,[0,360]],[0,[0,640]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x876b9edf964d7,!1,[[0,[0,220]],[0,[0,500]]]],[-1,cr.system_object.prototype.acts.Wait,null,5024825231718303,!1,[[0,[1,0.2]]]],[10,
cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x5410ced0bc531,!1,[[1,[2,"verh"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xa4fc5bece6f1d,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7539838414877934,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x8d62b05475283,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9927063980148208,!1,[[1,[2,"levo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,0x3f8113176461d,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,459012875726512,!1,[[1,[2,"verh"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xcf88b4ec6ec49,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,6378665203599952,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,
cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe96d4db4092a2,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,8402506271172899,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,
[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,5929091586915695,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,6302993874771597,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,6411112237598178,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xefb91f0b17e64,!1,[[11,"level"],[8,0],[7,[0,14]]]]],[],[[0,null,!1,null,0xf06a6eff9a799,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,8013057177564808,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,7635281795919742,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,0xb291cff06cf8c,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,
[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,0xa17abb128c83f,[],[[-1,cr.system_object.prototype.acts.Wait,null,0xebb76e27f9045,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,909366880632063,!1,[[4,10],[0,[0,3]],[0,[0,5]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x7bce84f42aaf3,!1,[[4,8],[0,[0,4]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x74427b5ec9829,!1,[[4,
1],[0,[0,2]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,69190816348804,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,7941501811259569,!1,[[0,[0,220]],[0,[0,500]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,4767788326077312,!1,[[0,[0,360]],[0,[0,780]]]],[23,cr.plugins_.Sprite.prototype.acts.SetPos,null,5136880103807787,!1,[[0,[0,80]],[0,[0,920]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x656683cee44d,!1,[[0,[0,360]],[0,[0,780]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,
null,4582377545629933,!1,[[0,[0,220]],[0,[0,640]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,7207835742711627,!1,[[0,[0,220]],[0,[0,640]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,5936189086630402,!1,[[0,[0,220]],[0,[0,360]]]],[-1,cr.system_object.prototype.acts.Wait,null,6528376500225001,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6238532655971755,!1,[[1,[2,"verh"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6464615484780024,!1,[[0,
[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5098407474818012,!1,[[1,[2,"levo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x8b80c0db4f05e,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5542275370644265,!1,[[1,[2,"levo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5176477506996541,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8419158951540178,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,5469071010526829,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,7875383428829369,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,772143623230995,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,9653102846334124,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,7601209095358848,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,872135663337532,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,660241980698685,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6921175042282286,!1,[[11,"level"],[8,0],[7,[0,15]]]]],[],[[0,null,!1,null,5779040537986373,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0xbd9a0fa2a92c1,!1,
[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0x8c682aeb4b1d4,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,5661269845234821,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,4811694468288392,[],[[-1,cr.system_object.prototype.acts.Wait,null,7434097978292585,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,
null,8650176036835373,!1,[[4,10],[0,[0,3]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xc4d85afacdc71,!1,[[4,8],[0,[0,2]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,5426576138929688,!1,[[4,7],[0,[0,4]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xd4350644ec250,!1,[[4,1],[0,[0,3]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,
null,7119794476361908,[],[[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xfef7d7660b87f,!1,[[0,[0,360]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf97c1c923c697,!1,[[0,[0,220]],[0,[0,500]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,9671251986873048,!1,[[0,[0,360]],[0,[0,640]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,7177805768201205,!1,[[0,[0,500]],[0,[0,780]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,5369039084935872,!1,[[0,[0,360]],[0,[0,
640]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x3e8d73095c2f9,!1,[[0,[0,360]],[0,[0,640]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,9651874745934528,!1,[[0,[0,360]],[0,[0,640]]]],[23,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x53b870194ffb2,!1,[[0,[0,500]],[0,[0,500]]]],[-1,cr.system_object.prototype.acts.Wait,null,5746596928911631,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe8780363eb0d4,!1,[[1,[2,"verh"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,0xa3b0d37d39c21,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9019816034306542,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xf7a8019334c93,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8094636973702023,!1,[[1,[2,"levo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,336158117765969,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,93288172216227,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,5922839447445887,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,5074831356490596,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,7307729819854799,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6ac825a248d2d,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe7f318f474d46,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,0x427d2aced5cb6,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,8873586773861732,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xec79e698ee6f1,!1,[[11,"level"],[8,0],[7,[0,16]]]]],[],[[0,null,!1,null,0xe4cfdff4b28e1,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,7955267890132105,!1,
[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,6929348397148731,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,8329593781615109,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,5086680209551045,[],[[-1,cr.system_object.prototype.acts.Wait,null,0xa7605c578bbb4,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,
null,9770082051964616,!1,[[4,10],[0,[0,4]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,776234851953071,!1,[[4,7],[0,[0,2]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,0xd693967470134,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,7338545365985952,!1,[[0,[0,220]],[0,[0,500]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,42069661404893,!1,[[0,[0,220]],[0,[0,640]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa7a20b6fd5983,
!1,[[0,[0,640]],[0,[0,500]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xbbbb2416aa296,!1,[[0,[0,220]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5e0cd04c3ce95,!1,[[0,[0,360]],[0,[0,640]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,4985896623671477,!1,[[0,[0,500]],[0,[0,640]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,9909990087985378,!1,[[0,[0,360]],[0,[0,780]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa1dcff91dd1e1,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xf034ccba332c6,!1,[[1,[2,"verh"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6753479643645676,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe7ff27dcbc533,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6595294611395993,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9481184184849812,!1,[[1,[2,"niz"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xa99aa77a63b32,!1,[[0,[0,8]]]],[1,
cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xfc1ac76970eba,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7459948968751113,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,7725030550516298,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,
null,8034915874309665,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,9232165925051004,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9f96bf0df927b,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,0x3cbe65f8f20b1,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x8dd1fbedda94a,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xff448ef7bc69c,!1,[[11,
"level"],[8,0],[7,[0,17]]]]],[],[[0,null,!1,null,7068247842945542,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,693416046422278,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,4851676753184049,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,0x5a8e3dea9c326,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,
"tile"]]]]]],[0,null,!1,null,0xd381ca909fb28,[],[[-1,cr.system_object.prototype.acts.Wait,null,5605893785117513,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xfb9e2d08403e0,!1,[[4,10],[0,[0,4]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,7496132652726189,!1,[[4,7],[0,[0,2]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,0xf63ab84ad67a7,[],[[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xdb4df34a61646,
!1,[[0,[0,220]],[0,[0,500]]]],[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,8088135648307765,!1,[[0,[0,500]],[0,[0,500]]]],[115,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xeeddef7af5fe5,!1,[[0,[0,500]],[0,[0,640]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb72d6b2922c02,!1,[[0,[0,360]],[0,[0,780]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6f64a6d8e8858,!1,[[0,[0,360]],[0,[0,500]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,6585867291454931,!1,[[0,[0,220]],[0,
[0,640]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,9857135499440548,!1,[[0,[0,360]],[0,[0,640]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x891b2892f6570,!1,[[0,[0,640]],[0,[0,640]]]],[-1,cr.system_object.prototype.acts.Wait,null,6708104161211811,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xd5723d7a2e052,!1,[[1,[2,"levo"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,351638403968515,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xfd91ea3a93156,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6328178835763338,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8817189358939014,!1,[[1,[2,"pravo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x948933a847fc5,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4586478980644574,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x9fa00b4c68d2d,!1,[[0,[0,8]]]],[16,
cr.plugins_.Sprite.prototype.acts.SetPos,null,5976978464354343,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x67b32aabf9712,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,
[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,7636866148614097,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,6864030652706862,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,7547606559099283,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x5367064066aeb,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x7b2f9569f3fe3,!1,[[11,"level"],[8,0],[7,[0,18]]]]],[],[[0,null,!1,null,0x731e8c5d637f9,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,8264517623677545,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,
null,0,!0,!1,!1,0xebce126e1965c,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,7799590305509578,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,0x4722de37d360e,[],[[-1,cr.system_object.prototype.acts.Wait,null,0xff66e7f5169c5,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,4594091742261141,!1,[[4,10],
[0,[0,5]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xa76bc422f044f,!1,[[4,7],[0,[0,2]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x44995111a1c50,!1,[[4,1],[0,[0,2]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,7289010385415472,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,7249888501106289,!1,[[0,[0,220]],[0,[0,500]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,
0xa4e0d7f71c652,!1,[[0,[0,220]],[0,[0,640]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x770252520f799,!1,[[0,[0,640]],[0,[0,500]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,9391666266729240,!1,[[0,[0,500]],[0,[0,780]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,7351666616130263,!1,[[0,[0,220]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,7353146861247929,!1,[[0,[0,360]],[0,[0,640]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x759f61ae2411e,!1,
[[0,[0,360]],[0,[0,640]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,9736716145967344,!1,[[0,[0,500]],[0,[0,640]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,412767981499734,!1,[[0,[0,500]],[0,[0,500]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,7605638091829869,!1,[[0,[0,640]],[0,[0,640]]]],[-1,cr.system_object.prototype.acts.Wait,null,6681405058046382,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6198479892467792,!1,[[1,[2,"levo"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,0x82ea73366805d,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xd2b34c982a8d8,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x92f52d4641191,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7892916758422536,!1,[[1,[2,"niz"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x411870e85e9e2,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x750548ee4d179,!1,[[1,[2,"pravo"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,7628321981185598,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,8367060235497663,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa9662ba3c8393,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,8799659756582731,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6a5e76f7bd6d3,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,0xb472ffbde04e6,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0xca2cb8a56d43,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,576815411036734,!1,[[11,"level"],[8,0],[7,[0,19]]]]],[],[[0,null,!1,null,9935014096473540,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0x544bc139bb87d,!1,[[1,
[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,6882366884638722,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,0x69a2d321b53a9,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,0xf2bc4707c84fc,[],[[-1,cr.system_object.prototype.acts.Wait,null,0x89918de6d5087,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,
null,9208376390618798,!1,[[4,10],[0,[0,5]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,7074011255364189,!1,[[4,7],[0,[0,2]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,6312108017778463,!1,[[4,1],[0,[0,2]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,0xdd4401b7f8233,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4014109e0b2f0,!1,[[0,[0,220]],[0,[0,500]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0x6b30516e35c6e,!1,[[0,[0,220]],[0,[0,640]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,7167429121628691,!1,[[0,[0,640]],[0,[0,500]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,6972852457752104,!1,[[0,[0,500]],[0,[0,780]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8da5cd9ac34f1,!1,[[0,[0,360]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xcff7956a4b661,!1,[[0,[0,360]],[0,[0,640]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x70cf775d03166,
!1,[[0,[0,220]],[0,[0,640]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,9209972768213144,!1,[[0,[0,500]],[0,[0,640]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,8631356182877914,!1,[[0,[0,500]],[0,[0,500]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x92056e3f4e019,!1,[[0,[0,640]],[0,[0,640]]]],[-1,cr.system_object.prototype.acts.Wait,null,9499007572669648,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9339984830806796,!1,[[1,[2,"levo"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,4657010867515498,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x9d5ef66a54330,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x6744405defe33,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc3034628c2aff,!1,[[1,[2,"pravo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9708292109393820,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4611599570353868,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,7300971623684862,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x3c249f8a13eaa,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,8915097407014817,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf72ff923a68b0,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,8303590383563138,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,0x83e8675f829ca,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x9dc7c9684e6eb,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9090203979773102,!1,[[11,"level"],[8,0],[7,[0,20]]]]],[],[[0,null,!1,null,5739262113693823,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,676763773052514,!1,
[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0xf45cd2e8fbaaa,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,0x786641cb875b1,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,831783862988427,[],[[-1,cr.system_object.prototype.acts.Wait,null,6101191118676925,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,
null,4907678109342062,!1,[[4,10],[0,[0,3]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,9893901283010916,!1,[[4,7],[0,[0,2]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,7499819106008373,!1,[[4,1],[0,[0,4]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,0xc01703ec8a10a,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,937786716388436,!1,[[0,[0,220]],[0,[0,500]]]],[112,cr.plugins_.Sprite.prototype.acts.SetPos,
null,9497180045994120,!1,[[0,[0,360]],[0,[0,640]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,9268567824155484,!1,[[0,[0,500]],[0,[0,780]]]],[113,cr.plugins_.Sprite.prototype.acts.SetPos,null,6258554857869144,!1,[[0,[0,640]],[0,[0,920]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,6787643382789899,!1,[[0,[0,360]],[0,[0,780]]]],[114,cr.plugins_.Sprite.prototype.acts.SetPos,null,4535655589893043,!1,[[0,[0,220]],[0,[0,920]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,9426337724595224,
!1,[[0,[0,640]],[0,[0,640]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,6548458853667246,!1,[[0,[0,220]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xecb6f3866cd23,!1,[[0,[0,500]],[0,[0,360]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa8afa61f4ac60,!1,[[0,[0,500]],[0,[0,640]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,7898813110139778,!1,[[0,[0,500]],[0,[0,640]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x3fa5c9ff99b94,!1,[[0,[0,360]],[0,
[0,780]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5305512320ec3,!1,[[0,[0,500]],[0,[0,500]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xd74c2d2957ba1,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7713208065464764,!1,[[1,[2,"niz"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x788559570e396,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5174722261349585,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,0xa3fed7414d589,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xd16ff539e5c8,!1,[[1,[2,"niz"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,735486000225588,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5006140547752968,!1,[[1,[2,"verh"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5619424807417296,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,7511768308419021,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe8b9d5403fe76,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,6128248042177517,
!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,7279463270223025,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,
null,!1,null,6480945699777123,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,4875449435157707,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5936130468632643,!1,[[11,"level"],[8,0],[7,[0,21]]]]],[],[[0,null,!1,null,0xd692efd47a68c,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,6625956470568608,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,7653727865112436,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,
null,7167265462595612,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,7557929654738917,[],[[-1,cr.system_object.prototype.acts.Wait,null,9424973153803536,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x4d314ee607475,!1,[[4,10],[0,[0,2]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x964f170ecfa3d,
!1,[[4,8],[0,[0,4]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,8430400629702837,!1,[[4,7],[0,[0,4]],[0,[0,1]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xbd4f953cfab4d,!1,[[4,1],[0,[0,2]],[0,[0,1]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,9464390311064626,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,5864513869381276,!1,[[0,[0,220]],[0,[0,360]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,
null,9620643073490524,!1,[[0,[0,220]],[0,[0,640]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf5cefd1cafa64,!1,[[0,[0,500]],[0,[0,360]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,9419131549377832,!1,[[0,[0,500]],[0,[0,640]]]],[113,cr.plugins_.Sprite.prototype.acts.SetPos,null,7163374571465311,!1,[[0,[0,220]],[0,[0,920]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7997a0ad56a78,!1,[[0,[0,360]],[0,[0,360]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf7946f4134823,
!1,[[0,[0,360]],[0,[0,640]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,631146694390133,!1,[[0,[0,220]],[0,[0,500]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,5413115879458198,!1,[[0,[0,220]],[0,[0,500]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,8465003511851692,!1,[[0,[0,360]],[0,[0,640]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,972624057585966,!1,[[0,[0,360]],[0,[0,360]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xd4ce58414aa68,!1,[[0,[0,500]],[0,
[0,500]]]],[23,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x61da89d4f5f2f,!1,[[0,[0,500]],[0,[0,500]]]],[-1,cr.system_object.prototype.acts.Wait,null,5607508500190812,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5973383962886368,!1,[[1,[2,"pravo"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8364383929928508,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4c402b67867ba,!1,[[1,[2,"verh"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,6896497563099253,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xaa75a952ef577,!1,[[1,[2,"levo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xc70fa15a3cb5f,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7921112351117024,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8373664372375514,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xdab9d876d2f20,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,9342263218840604,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,8226752602354547,
!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,8949649519656937,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,
null,!1,null,0x9d29d8dd360df,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0xcf7f7af6e02a6,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x47ca2e1a06501,!1,[[11,"level"],[8,0],[7,[0,22]]]]],[],[[0,null,!1,null,6057187046982157,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,8591799484354108,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,355488594075835,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,
null,0xdd98f8383d1f4,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,0x7ab7f364cde09,[],[[-1,cr.system_object.prototype.acts.Wait,null,7142409543127313,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,8847727987516883,!1,[[4,10],[0,[0,2]],[0,[0,1]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xbd754abf3ac76,
!1,[[4,8],[0,[0,4]],[0,[0,1]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,859194564521781,!1,[[4,7],[0,[0,2]],[0,[0,5]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,5586843777488974,!1,[[4,1],[0,[0,4]],[0,[0,5]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,80564982705929,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf553754d9a096,!1,[[0,[0,220]],[0,[0,360]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,
null,9672210891456546,!1,[[0,[0,220]],[0,[0,640]]]],[112,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc0461a70511f4,!1,[[0,[0,220]],[0,[0,780]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,8581350879277084,!1,[[0,[0,220]],[0,[0,920]]]],[113,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5e82ebbbd0082,!1,[[0,[0,500]],[0,[0,920]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,9961999990697792,!1,[[0,[0,500]],[0,[0,360]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,6283223849846158,
!1,[[0,[0,360]],[0,[0,920]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,4844094917584426,!1,[[0,[0,500]],[0,[0,500]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x46fcb04052e21,!1,[[0,[0,500]],[0,[0,780]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,8197529874891777,!1,[[0,[0,220]],[0,[0,500]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,9157500587415852,!1,[[0,[0,220]],[0,[0,500]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xecde40f2cc38f,!1,[[0,[0,500]],[0,
[0,640]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,4849763824783688,!1,[[0,[0,360]],[0,[0,360]]]],[23,cr.plugins_.Sprite.prototype.acts.SetPos,null,5558727664427466,!1,[[0,[0,500]],[0,[0,780]]]],[-1,cr.system_object.prototype.acts.Wait,null,4929432577980702,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,832921186588399,!1,[[1,[2,"niz"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9265281725830152,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x973dab44a3f99,!1,[[1,[2,"levo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,303997408255381,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5716546164225883,!1,[[1,[2,"pravo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xc310c9df1534d,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,733215875284043,!1,[[1,[2,"verh"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7209384062657247,!1,[[0,[0,8]]]],[16,
cr.plugins_.Sprite.prototype.acts.SetPos,null,8471678252532585,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xddfb30a42240c,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,
[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,8439545214011662,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa6ba44c9e178,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,9656224239593754,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0xaa422d11c87ef,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9274726332745124,!1,[[11,"level"],[8,0],[7,[0,23]]]]],[],[[0,null,!1,null,4746374312432085,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,6630231827643875,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,
null,0,!0,!1,!1,6256754022284984,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,8412249826287858,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,0xf8442ba28c09c,[],[[-1,cr.system_object.prototype.acts.Wait,null,7194683151265922,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,4807628447440986,!1,[[4,
10],[0,[0,2]],[0,[0,1]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,455725776167833,!1,[[4,7],[0,[0,1]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,7858619303436532,!1,[[4,1],[0,[0,5]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,7058944638183302,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x49c2510f98c22,!1,[[0,[0,220]],[0,[0,360]]]],[112,cr.plugins_.Sprite.prototype.acts.SetPos,
null,6825706789864235,!1,[[0,[0,640]],[0,[0,500]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xd939beeb76437,!1,[[0,[0,80]],[0,[0,640]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x70facfd167a8e,!1,[[0,[0,220]],[0,[0,920]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,976714603034411,!1,[[0,[0,640]],[0,[0,780]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xbca8d5bcc41c9,!1,[[0,[0,220]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,27418399505133,!1,
[[0,[0,360]],[0,[0,360]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,6832265456066928,!1,[[0,[0,640]],[0,[0,640]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,8658669096125491,!1,[[0,[0,220]],[0,[0,500]]]],[-1,cr.system_object.prototype.acts.Wait,null,8536383551513619,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9069864905966676,!1,[[1,[2,"niz"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9078145543873068,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x62b1215dc5769,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,4559308747675147,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,316322789069039,!1,[[1,[2,"pravo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xaca26782f6887,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7406453732415306,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x7363700e0ef27,!1,[[0,[0,8]]]],[16,
cr.plugins_.Sprite.prototype.acts.SetPos,null,6464763972662323,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,7148818677376033,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,
[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,4985796631723313,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,6442436553795195,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,5196261026535989,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,6632834426099091,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9983290711648372,!1,[[11,"level"],[8,0],[7,[0,24]]]]],[],[[0,null,!1,null,0x3de860fc00a6f,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0xcb0473b6c1bab,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,
null,0,!0,!1,!1,0x6aea0a0d795f4,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,4591376267990862,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,0x5d35e66acfcdc,[],[[-1,cr.system_object.prototype.acts.Wait,null,4555017008213266,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x88a4751190300,!1,[[4,10],
[0,[0,2]],[0,[0,1]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,7368224940257495,!1,[[4,7],[0,[0,5]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,6749796099201722,!1,[[4,1],[0,[0,1]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,9202025248665928,[],[[112,cr.plugins_.Sprite.prototype.acts.SetPos,null,775309752482447,!1,[[0,[0,360]],[0,[0,360]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0x62fd0e347c7a3,!1,[[0,[0,640]],[0,[0,500]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6ee0d0e98066c,!1,[[0,[0,80]],[0,[0,640]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,5460725675539814,!1,[[0,[0,360]],[0,[0,920]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,8864465453786215,!1,[[0,[0,500]],[0,[0,500]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,9327734321952976,!1,[[0,[0,220]],[0,[0,780]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,391935209960799,
!1,[[0,[0,220]],[0,[0,640]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,5214061470892355,!1,[[0,[0,500]],[0,[0,780]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,5414254019693498,!1,[[0,[0,220]],[0,[0,500]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc0e24cc509650,!1,[[0,[0,360]],[0,[0,780]]]],[-1,cr.system_object.prototype.acts.Wait,null,6768056668530829,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6633026e8787,!1,[[1,[2,"niz"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,8590731455271771,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7986539590126134,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7834917852664018,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6204169465868617,!1,[[1,[2,"levo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xe2c999283538,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x9add4ee9248d3,!1,[[1,[2,"pravo"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,653889660182469,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,6853297059942975,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,847207341295724,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x872008e43ea98,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xca99e80670709,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,0xcc7a1e2b72403,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,7837839561562469,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7484689242139336,!1,[[11,"level"],[8,0],[7,[0,25]]]]],[],[[0,null,!1,null,0xe9b508222abf1,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,321106571734905,!1,
[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,9286830730299076,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,7311688059705182,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,9642770059351616,[],[[-1,cr.system_object.prototype.acts.Wait,null,0xeefa5300f59,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,
null,0xe4572175e53e9,!1,[[4,10],[0,[0,2]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,9519185631403068,!1,[[4,7],[0,[0,1]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,6524484363523171,!1,[[4,1],[0,[0,3]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,0xeca2e552661a2,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5f96816a02601,!1,[[0,[0,80]],[0,[0,500]]]],[112,cr.plugins_.Sprite.prototype.acts.SetPos,
null,6066298776639428,!1,[[0,[0,220]],[0,[0,640]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,650424364036635,!1,[[0,[0,360]],[0,[0,780]]]],[113,cr.plugins_.Sprite.prototype.acts.SetPos,null,9342127698165862,!1,[[0,[0,500]],[0,[0,920]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,8947783805240302,!1,[[0,[0,500]],[0,[0,640]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4ee65c1f1af81,!1,[[0,[0,80]],[0,[0,920]]]],[114,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x630b49d7fc5eb,
!1,[[0,[0,220]],[0,[0,780]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,7215474634882857,!1,[[0,[0,80]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,9517142187286136,!1,[[0,[0,80]],[0,[0,360]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,6808144605815452,!1,[[0,[0,360]],[0,[0,640]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x403b9482cc7a7,!1,[[0,[0,360]],[0,[0,500]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc447c3312890e,!1,[[0,[0,220]],[0,[0,
780]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,4981726282560236,!1,[[0,[0,220]],[0,[0,360]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x632f2b51d7540,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa80d088489964,!1,[[1,[2,"niz"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5001041469479207,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5049127617370224,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,8864819542227786,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9740938114743492,!1,[[1,[2,"niz"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9711945836976708,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe5c6d3c22e2b8,!1,[[1,[2,"verh"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6665340978125452,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,8261373269478305,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,7979571422892465,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,8616023215594932,
!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,6856192672360182,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,
null,!1,null,5782010001923655,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0xff89642da211,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xddb4f8e12ebd3,!1,[[11,"level"],[8,0],[7,[0,26]]]]],[],[[0,null,!1,null,6157231462631594,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,997103483707568,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0xe4ccc04bb6f7f,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,
null,5778529488059637,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,0x6733271b55c67,[],[[-1,cr.system_object.prototype.acts.Wait,null,8307756718839455,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,8240096455072649,!1,[[4,10],[0,[0,2]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,5890629892946811,
!1,[[4,7],[0,[0,4]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xd5a3c25706194,!1,[[4,1],[0,[0,2]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,0x65bcc313e69b3,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,9954454953474564,!1,[[0,[0,220]],[0,[0,500]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,6807763609237877,!1,[[0,[0,220]],[0,[0,780]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,7281163522838889,!1,[[0,[0,
500]],[0,[0,780]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,7674537983604586,!1,[[0,[0,640]],[0,[0,500]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x97a1362dcd02d,!1,[[0,[0,500]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x90fdb2f997e13,!1,[[0,[0,220]],[0,[0,360]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,7066616141883172,!1,[[0,[0,360]],[0,[0,780]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,5931912455421316,!1,[[0,[0,500]],[0,[0,360]]]],
[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6e56db35de058,!1,[[0,[0,220]],[0,[0,640]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,9712329013124892,!1,[[0,[0,360]],[0,[0,360]]]],[-1,cr.system_object.prototype.acts.Wait,null,4956026075263271,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4778120172783734,!1,[[1,[2,"niz"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6765263651007279,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xa379d7e19fc0b,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xa191566b68dd,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xda4ea46762154,!1,[[1,[2,"verh"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xf9cb8f701955a,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7218408637318337,!1,[[1,[2,"pravo"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7607895360976728,!1,[[0,[0,8]]]],[16,
cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8c772d57596e2,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xfe02153508c84,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,
[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xbe7f1c91949ef,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,8984126808604485,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,9545032029250236,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,9662754291634828,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5252112563319796,!1,[[11,"level"],[8,0],[7,[0,27]]]]],[],[[0,null,!1,null,6165390437185951,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0x82faf29fcff01,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,
null,0,!0,!1,!1,0xb0f21faf7eb3b,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,7852008069864466,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,5065884663792578,[],[[-1,cr.system_object.prototype.acts.Wait,null,7377968482539126,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x486b6041d6435,!1,[[4,10],
[0,[0,2]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,9292678092154356,!1,[[4,8],[0,[0,3]],[0,[0,1]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x79352697427bc,!1,[[4,7],[0,[0,4]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x6fd13d1c272c5,!1,[[4,1],[0,[0,5]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,8530099023718657,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,
null,9279702374416022,!1,[[0,[0,360]],[0,[0,360]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8090cb2ba7d8c,!1,[[0,[0,500]],[0,[0,780]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,9962790459486432,!1,[[0,[0,220]],[0,[0,640]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,700721517383925,!1,[[0,[0,640]],[0,[0,500]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,6432507660845772,!1,[[0,[0,500]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x40abb468c4940,
!1,[[0,[0,360]],[0,[0,780]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,8107934360553763,!1,[[0,[0,500]],[0,[0,500]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,5760537431585545,!1,[[0,[0,640]],[0,[0,640]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x598571fd460c1,!1,[[0,[0,360]],[0,[0,640]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,9467425152885712,!1,[[0,[0,220]],[0,[0,500]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,5100507458475134,!1,[[0,[0,360]],[0,
[0,500]]]],[23,cr.plugins_.Sprite.prototype.acts.SetPos,null,5398616717085232,!1,[[0,[0,500]],[0,[0,360]]]],[-1,cr.system_object.prototype.acts.Wait,null,8285923696452525,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5601871517538686,!1,[[1,[2,"pravo"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7641081330334487,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6950297564632203,!1,[[1,[2,"niz"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,7663526560082068,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8021909762683068,!1,[[1,[2,"verh"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8937576647310242,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x7f2f7272f7f29,!1,[[1,[2,"levo"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xcd54231278430,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,6323637854000921,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,9590220636374084,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xde36a2913811d,
!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x44c9cfa7bb97f,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,
null,!1,null,0x5a4d0446b30a7,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,4761444849716669,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9661561933275212,!1,[[11,"level"],[8,0],[7,[0,28]]]]],[],[[0,null,!1,null,0xe3b5fd78e1dd7,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,6096495716515679,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,7627433386705061,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,
null,8826297804203392,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,9409897889258620,[],[[-1,cr.system_object.prototype.acts.Wait,null,871647691752035,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,7541763778376747,!1,[[4,10],[0,[0,5]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xc0c9182bd1295,
!1,[[4,7],[0,[0,1]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,9443145348809972,!1,[[4,1],[0,[0,2]],[0,[0,1]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,7656319698740916,[],[[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,8372696259571625,!1,[[0,[0,80]],[0,[0,640]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc4bf2eac9fbad,!1,[[0,[0,360]],[0,[0,920]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,9979442813596344,!1,[[0,[0,
500]],[0,[0,500]]]],[112,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4e72069fb59a7,!1,[[0,[0,360]],[0,[0,360]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,34779464863948,!1,[[0,[0,220]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,5343685229348568,!1,[[0,[0,80]],[0,[0,780]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,736005179849954,!1,[[0,[0,220]],[0,[0,500]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,6296772936232618,!1,[[0,[0,360]],[0,[0,780]]]],
[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,5087946175039065,!1,[[0,[0,500]],[0,[0,500]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,6826552053966131,!1,[[0,[0,220]],[0,[0,780]]]],[-1,cr.system_object.prototype.acts.Wait,null,6933797102989314,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6822110816985744,!1,[[1,[2,"levo"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x641b793a5a43,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,9984848856042704,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8736041992230312,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x9f3858065aeaa,!1,[[1,[2,"pravo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xdcf1d71ef8b2d,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x47407e5cbc441,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5593324561440971,!1,[[0,[0,8]]]],[16,
cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6c280142e06d7,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,5837061003600035,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,
[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,6375476763432223,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x66ca2d573c5e3,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,0x95b2afcd1edbd,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,96791463369488,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdd50e73064f08,!1,[[11,"level"],[8,0],[7,[0,29]]]]],[],[[0,null,!1,null,4546963546725922,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,5966184146495998,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,
null,0,!0,!1,!1,0xcdd63739343a9,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,8702446444869633,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,7325938537272805,[],[[-1,cr.system_object.prototype.acts.Wait,null,6176781672758242,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x454d21a64459a,!1,[[4,10],
[0,[0,2]],[0,[0,1]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,8925861909052057,!1,[[4,7],[0,[0,1]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,7860918508899458,!1,[[4,1],[0,[0,5]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,6074870301179038,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4cd5b689b6e1e,!1,[[0,[0,220]],[0,[0,500]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xf90a6bac0189d,!1,[[0,[0,80]],[0,[0,780]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa8b1bede73019,!1,[[0,[0,220]],[0,[0,920]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,9575133384353836,!1,[[0,[0,640]],[0,[0,780]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb5b001f2f0d55,!1,[[0,[0,220]],[0,[0,640]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,9285126989272180,!1,[[0,[0,640]],[0,[0,640]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb1e910a7267fd,
!1,[[0,[0,220]],[0,[0,500]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9fef74920bdc0,!1,[[0,[0,80]],[0,[0,640]]]],[-1,cr.system_object.prototype.acts.Wait,null,7680264935022616,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8953138341824593,!1,[[1,[2,"niz"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xea7e786b62fd8,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9462873614964354,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,0xdf1a866604f82,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x405c83bf5b5b2,!1,[[1,[2,"pravo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xc4fc93c08b596,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7700282891170106,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x627508247282,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,452276830970275,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,6056574186240418,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xfb7b3e7a2ef36,
!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,8935974460981894,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,
null,!1,null,7897336386792412,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,8075165311269446,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8187c9ff6f1f0,!1,[[11,"level"],[8,0],[7,[0,30]]]]],[],[[0,null,!1,null,6146159157214364,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,548093068342073,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,8601036620715972,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,
null,9730186104796664,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,5517134348236861,[],[[-1,cr.system_object.prototype.acts.Wait,null,0x77e6cc7af671,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xf7c0bfd0bfc91,!1,[[4,10],[0,[0,3]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x99c0af088ec4c,
!1,[[4,8],[0,[0,3]],[0,[0,5]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x72b49710981e6,!1,[[4,7],[0,[0,1]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,8130293829767383,!1,[[4,1],[0,[0,5]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,9198049122633664,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,6161416181855932,!1,[[0,[0,360]],[0,[0,500]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,
null,645390902606915,!1,[[0,[0,360]],[0,[0,920]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,827532539379125,!1,[[0,[0,640]],[0,[0,640]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x3b3023f903aab,!1,[[0,[0,220]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,6413837690309599,!1,[[0,[0,360]],[0,[0,640]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf8d696eb4e9ed,!1,[[0,[0,500]],[0,[0,640]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,5364978828539267,
!1,[[0,[0,360]],[0,[0,780]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,7599329517701002,!1,[[0,[0,360]],[0,[0,640]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,6573177468841292,!1,[[0,[0,500]],[0,[0,640]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xa7dd12fbabace,!1,[[0,[0,360]],[0,[0,640]]]],[23,cr.plugins_.Sprite.prototype.acts.SetPos,null,7321773904457729,!1,[[0,[0,220]],[0,[0,640]]]],[-1,cr.system_object.prototype.acts.Wait,null,9739008122631146,!1,[[0,[1,0.2]]]],[10,
cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x512e319a6daf8,!1,[[1,[2,"niz"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x4d4b545e61f3e,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf2c7ad62cdacb,!1,[[1,[2,"verh"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xd1caff0f1aed9,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x9060ed2d723f,!1,[[1,[2,"pravo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,
0x7663f1beb8fd8,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5286143699802243,!1,[[1,[2,"levo"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x6f7a66fb18c65,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc4eb60098d9da,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,
null,9815250511630796,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x73f6d6c7cd28a,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,4718457601074911,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,0xbd81d3f1dd92a,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,757939570627693,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4853112222197244,!1,[[11,
"level"],[8,0],[7,[0,31]]]]],[],[[0,null,!1,null,0xc3da6b0a05473,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,35057667903325,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,9256306002033736,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,0x9fe3b03f2e89,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],
[0,null,!1,null,0xc4ab82521b51d,[],[[-1,cr.system_object.prototype.acts.Wait,null,0x4ae1f83c4391e,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,5021381981690577,!1,[[4,10],[0,[0,4]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,7874609499476634,!1,[[4,7],[0,[0,2]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xe35908f024811,!1,[[4,1],[0,[0,2]],[0,[0,1]],[7,[0,
1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,698335072430153,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6aaf88b771904,!1,[[0,[0,220]],[0,[0,360]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,8353116093671558,!1,[[0,[0,220]],[0,[0,780]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,9257989803865172,!1,[[0,[0,500]],[0,[0,780]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x67868f1a3083,!1,[[0,[0,640]],[0,[0,360]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,8895700696900269,
!1,[[0,[0,360]],[0,[0,780]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,7120340117668959,!1,[[0,[0,220]],[0,[0,640]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x808ab604f313,!1,[[0,[0,220]],[0,[0,500]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x84f96e3d7200c,!1,[[0,[0,360]],[0,[0,360]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,5070498545891198,!1,[[0,[0,500]],[0,[0,640]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,6673783678520806,!1,[[0,[0,220]],[0,
[0,500]]]],[-1,cr.system_object.prototype.acts.Wait,null,7358661304134434,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7066021583796915,!1,[[1,[2,"verh"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8236851025529589,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x8559cb84d8a9a,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x77b12816b0dcb,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,6015036454895414,!1,[[1,[2,"pravo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xaf75cb77c1263,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4808697728497702,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6530356710366665,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,9137055077440896,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,5762573393145696,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5beb8c0cb105b,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xf3df1d613abbb,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,0xe1e6fdb9d3938,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,9568516521939524,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9514310773476542,!1,[[11,"level"],[8,0],[7,[0,32]]]]],[],[[0,null,!1,null,7716928927572053,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0x3c71229401fbf,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0x8b2ec35ebd104,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,0x928a1a41f9052,!1,[[4,0],[0,
[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,6440811793590704,[],[[-1,cr.system_object.prototype.acts.Wait,null,6259066881746346,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,9300703924615548,!1,[[4,8],[0,[0,1]],[0,[0,5]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,6194070784162887,!1,[[4,7],[0,[0,2]],[0,[0,5]],[7,
[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,4520689625395651,!1,[[4,1],[0,[0,3]],[0,[0,5]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,9346027239407244,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x562f17e0ffccf,!1,[[0,[0,220]],[0,[0,360]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x53a64c1d60f71,!1,[[0,[0,500]],[0,[0,920]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe7f31bf2030ed,!1,[[0,[0,80]],[0,[0,780]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0x4ecc635f28727,!1,[[0,[0,640]],[0,[0,500]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,8413581463820676,!1,[[0,[0,360]],[0,[0,920]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x7371d47a16bfe,!1,[[0,[0,500]],[0,[0,360]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6ca9c26ebf2fd,!1,[[0,[0,500]],[0,[0,920]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xafad6ecfc7003,!1,[[0,[0,360]],[0,[0,360]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,7766620556268143,
!1,[[0,[0,220]],[0,[0,920]]]],[23,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x62b5385b26f61,!1,[[0,[0,640]],[0,[0,360]]]],[-1,cr.system_object.prototype.acts.Wait,null,802135991812142,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,515264516214152,!1,[[1,[2,"niz"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,4566709691892265,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6249294862474536,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,6156721798124445,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xca8cbb006965e,!1,[[1,[2,"pravo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x874f0bc5a38e,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x91901911eeb18,!1,[[1,[2,"pravo"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7442118312582993,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,9333606242380064,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,8938753990846945,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,7352446933995745,
!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc8a3b2f95795c,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,
null,!1,null,0x5222188b9f0b5,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,7200337240795789,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x752c9f1d94fa5,!1,[[11,"level"],[8,0],[7,[0,33]]]]],[],[[0,null,!1,null,8643181113140264,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0x53662e4761cbb,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,8411171287531634,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,
null,7866452886828721,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,745122117551738,[],[[-1,cr.system_object.prototype.acts.Wait,null,0x9786ceed88a30,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,6028207506417602,!1,[[4,10],[0,[0,2]],[0,[0,1]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,6439471948758813,
!1,[[4,7],[0,[0,1]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,6864618692035791,!1,[[4,1],[0,[0,5]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,0xafd452b0e2d8f,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,7985502106263812,!1,[[0,[0,220]],[0,[0,360]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xd176ee7a993c3,!1,[[0,[0,80]],[0,[0,640]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,676840453549988,!1,[[0,[0,
220]],[0,[0,780]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xbb15ea3fc139b,!1,[[0,[0,640]],[0,[0,640]]]],[112,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc83cf22ecd645,!1,[[0,[0,640]],[0,[0,500]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xdda01af08abfd,!1,[[0,[0,220]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,7295731154763139,!1,[[0,[0,360]],[0,[0,360]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,5231825085246175,!1,[[0,[0,640]],[0,[0,640]]]],
[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,4506280197769981,!1,[[0,[0,220]],[0,[0,500]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,9678255043977696,!1,[[0,[0,80]],[0,[0,500]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x950544601dce1,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xbc9804b89c421,!1,[[1,[2,"niz"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x3ca5d6e066a59,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,
4573787456854246,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5966014854361069,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9476778461547102,!1,[[1,[2,"pravo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7380163256404825,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4934936498141514,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xbdb7cb115df49,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,
null,7672748707961885,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,7342285035772849,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x712a217683ff3,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,5409962974152166,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,
2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,0x65b3dedf28463,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,8590465597932945,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8058113233368871,!1,[[11,"level"],[8,0],[7,[0,34]]]]],[],[[0,null,!1,null,0xd496f77bf44ef,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,4691868402636789,!1,[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,
null,0,!0,!1,!1,7034893812392793,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,7277875668762311,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,0xf4448f7a6abc,[],[[-1,cr.system_object.prototype.acts.Wait,null,4961407343764183,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,576630550682877,!1,[[4,10],
[0,[0,2]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xb6cb583680131,!1,[[4,7],[0,[0,4]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0x6c9e633095f41,!1,[[4,1],[0,[0,2]],[0,[0,4]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,8317617304122314,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8d86fb10f89b4,!1,[[0,[0,220]],[0,[0,500]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,null,
0xcd3f65ab908e5,!1,[[0,[0,220]],[0,[0,780]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,5293438289347498,!1,[[0,[0,500]],[0,[0,780]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8a9c9fba0f058,!1,[[0,[0,640]],[0,[0,500]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,4847339555856493,!1,[[0,[0,500]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,5005044701562387,!1,[[0,[0,220]],[0,[0,360]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,9357993325901356,!1,
[[0,[0,360]],[0,[0,780]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,5193065606273561,!1,[[0,[0,360]],[0,[0,360]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,4533129529802696,!1,[[0,[0,220]],[0,[0,640]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc14a508b4763c,!1,[[0,[0,80]],[0,[0,360]]]],[-1,cr.system_object.prototype.acts.Wait,null,6807274093179214,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,737846379245463,!1,[[1,[2,"niz"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,0x7c4e9048822cb,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x434f9f5db0755,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6346017972064171,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8244246388442716,!1,[[1,[2,"verh"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9153282495149364,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6708316726772665,!1,[[1,[2,"pravo"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,469827017147866,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,6788212794724252,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,6908561588365487,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x69923f19f5be4,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,9066035893954472,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,0x687ee61d8061f,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x560c3816d0a2a,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb9fdd6f709f4e,!1,[[11,"level"],[8,0],[7,[0,35]]]]],[],[[0,null,!1,null,8535017764498079,[[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,5976687342549077,!1,
[[1,[2,"x"]],[0,[0,0]],[0,[0,6]]]],[-1,cr.system_object.prototype.cnds.For,null,0,!0,!1,!1,0xe5389c651c2e2,!1,[[1,[2,"y"]],[0,[0,0]],[0,[0,6]]]]],[[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateTile,null,8018820446990338,!1,[[4,0],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"x"]]]],[0,[19,cr.system_object.prototype.exps.loopindex,[[2,"y"]]]],[5,[2,"tile"]]]]]],[0,null,!1,null,9357492841770962,[],[[-1,cr.system_object.prototype.acts.Wait,null,6836044770030627,!1,[[0,[1,0.1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,
null,0x5881c322af50c,!1,[[4,10],[0,[0,5]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,8641655301517235,!1,[[4,7],[0,[0,2]],[0,[0,3]],[7,[0,1]],[5,[2,"chess1"]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.acts.CreateChess,null,0xd850da75947f8,!1,[[4,1],[0,[0,2]],[0,[0,2]],[7,[0,1]],[5,[2,"chess1"]]]]]],[0,null,!1,null,8002565971061996,[],[[13,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x86677aba534d3,!1,[[0,[0,220]],[0,[0,500]]]],[12,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0x4bd4e26f1d27e,!1,[[0,[0,220]],[0,[0,640]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,7158783520161411,!1,[[0,[0,500]],[0,[0,780]]]],[14,cr.plugins_.Sprite.prototype.acts.SetPos,null,6711504175909147,!1,[[0,[0,640]],[0,[0,500]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4424382325450,!1,[[0,[0,360]],[0,[0,640]]]],[22,cr.plugins_.Sprite.prototype.acts.SetPos,null,8880126340464133,!1,[[0,[0,500]],[0,[0,640]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,530995273594685,
!1,[[0,[0,220]],[0,[0,640]]]],[21,cr.plugins_.Sprite.prototype.acts.SetPos,null,4885097013564251,!1,[[0,[0,360]],[0,[0,780]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,4557245381234106,!1,[[0,[0,500]],[0,[0,500]]]],[24,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe7b54b7411755,!1,[[0,[0,640]],[0,[0,780]]]],[-1,cr.system_object.prototype.acts.Wait,null,7970402003788876,!1,[[0,[1,0.2]]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x85183da709be,!1,[[1,[2,"levo"]],[3,1]]],[10,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,0xcddbab4bd0235,!1,[[0,[0,8]]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xdd3e7ac29748a,!1,[[1,[2,"pravo"]],[3,1]]],[8,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x3bddee908dbc1,!1,[[0,[0,8]]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5635688790697478,!1,[[1,[2,"pravo"]],[3,1]]],[7,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9421679810057064,!1,[[0,[0,8]]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x423d884d187c4,!1,[[1,[2,"niz"]],[3,1]]],[1,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,7979274175292555,!1,[[0,[0,8]]]],[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,7087178660492275,!1,[[0,[5,[4,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xcc0b784dc06b,!1,[[0,[5,[4,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xecc60356a2acb,!1,[[0,[5,[4,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x5b65e29a156e1,!1,[[0,[5,[4,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]]]],[0,[!0,"Rasstanovka all"],!1,null,0xf216136f96599,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xf216136f96599,!1,[[1,[2,"Rasstanovka all"]]]]],[],[[0,null,!1,null,965750725605921,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,9951241886004248,!1]],[[25,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xea5695ccfb69c,
!1,[[4,15],[3,1]]],[13,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x4dfc23de50e87,!1,[[4,15],[3,1]]],[11,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xf17b8a976b809,!1,[[4,15],[3,1]]],[14,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xf9c5de22b5899,!1,[[4,15],[3,1]]],[12,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6940609615043898,!1,[[4,15],[3,1]]],[112,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8923121627065374,!1,[[4,15],[3,1]]],[113,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6895945593181452,!1,[[4,15],
[3,1]]],[115,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6799029840658648,!1,[[4,15],[3,1]]],[114,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8055234428149004,!1,[[4,15],[3,1]]],[21,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6961202337176364,!1,[[4,15],[3,1]]],[22,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8365599368481418,!1,[[4,15],[3,1]]],[23,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xb392e9d23bfa3,!1,[[4,15],[3,1]]],[24,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xaf363fd3906db,!1,[[4,15],[3,1]]],[3,
cr.plugins_.Rex_SLGSquareTx.prototype.acts.SetOffset,null,0x61cd2b494b50f,!1,[[0,[5,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]],[0,420]]],[0,[0,220]]]],[15,cr.plugins_.TiledBg.prototype.acts.SetPos,null,0xc43d439fc5745,!1,[[0,[5,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]],[0,350]]],[0,[0,290]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4746666649495042,!1,[[11,"gameover"],[7,[0,0]]]],[39,cr.plugins_.Text.prototype.acts.SetText,null,0x7a97a9410522b,
!1,[[7,[23,"level"]]]],[39,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xe94b5bad2119,!1,[[4,9],[3,1]]]],[[0,null,!0,null,0xa8852077de04e,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc3b699fb8aeb,!1,[[11,"level"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd926caf3be6e8,!1,[[11,"level"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7134072357526209,!1,[[11,"level"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,6002974969996373,!1,[[11,"level"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8878003866589629,!1,[[11,"level"],[8,0],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,5656110026490627,!1,[[0,[1,0.1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x79043ceee05c4,!1,[[4,118],[5,[0,0]],[0,[20,15,cr.plugins_.TiledBg.prototype.exps.X,!1,null]],[0,[20,15,cr.plugins_.TiledBg.prototype.exps.Y,!1,null]]]],[118,cr.plugins_.TiledBg.prototype.acts.ZMoveToObject,
null,7236735536055869,!1,[[3,0],[4,15]]]]],[0,null,!0,null,0xf0fa84981702b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xda4eb2de7bdd9,!1,[[11,"level"],[8,0],[7,[0,11]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd6d4fcded5bb5,!1,[[11,"level"],[8,0],[7,[0,12]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8aff83c0e507,!1,[[11,"level"],[8,0],[7,[0,13]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7050770012411517,!1,
[[11,"level"],[8,0],[7,[0,14]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf286e9895fa25,!1,[[11,"level"],[8,0],[7,[0,15]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,6735143338921887,!1,[[0,[1,0.1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9055126539295144,!1,[[4,119],[5,[0,0]],[0,[20,15,cr.plugins_.TiledBg.prototype.exps.X,!1,null]],[0,[20,15,cr.plugins_.TiledBg.prototype.exps.Y,!1,null]]]],[119,cr.plugins_.TiledBg.prototype.acts.ZMoveToObject,null,0xdd6c288fbbc88,
!1,[[3,0],[4,15]]]]],[0,null,!0,null,0xa8a7fad217bc7,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7078278895583755,!1,[[11,"level"],[8,0],[7,[0,16]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5824334024325963,!1,[[11,"level"],[8,0],[7,[0,17]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x58112707925a3,!1,[[11,"level"],[8,0],[7,[0,18]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4989441866168387,!1,[[11,"level"],[8,
0],[7,[0,19]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf7b5d012b68b9,!1,[[11,"level"],[8,0],[7,[0,20]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,6790268214132485,!1,[[0,[1,0.1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9185512781861092,!1,[[4,120],[5,[0,0]],[0,[20,15,cr.plugins_.TiledBg.prototype.exps.X,!1,null]],[0,[20,15,cr.plugins_.TiledBg.prototype.exps.Y,!1,null]]]],[120,cr.plugins_.TiledBg.prototype.acts.ZMoveToObject,null,6394014638042748,!1,
[[3,0],[4,15]]]]],[0,null,!0,null,7224470964381304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7801217454598612,!1,[[11,"level"],[8,0],[7,[0,21]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe0a9774916ad5,!1,[[11,"level"],[8,0],[7,[0,22]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x98fff39a646b7,!1,[[11,"level"],[8,0],[7,[0,23]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7963564477840211,!1,[[11,"level"],[8,0],
[7,[0,24]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd41becba67d83,!1,[[11,"level"],[8,0],[7,[0,25]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,975531146262778,!1,[[0,[1,0.1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9901429878654784,!1,[[4,121],[5,[0,0]],[0,[20,15,cr.plugins_.TiledBg.prototype.exps.X,!1,null]],[0,[20,15,cr.plugins_.TiledBg.prototype.exps.Y,!1,null]]]],[121,cr.plugins_.TiledBg.prototype.acts.ZMoveToObject,null,0x42e7cdd142687,!1,[[3,
0],[4,15]]]]],[0,null,!0,null,30479064098725,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x63c9a36ec65d8,!1,[[11,"level"],[8,0],[7,[0,26]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4833158335097584,!1,[[11,"level"],[8,0],[7,[0,27]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8876290827046257,!1,[[11,"level"],[8,0],[7,[0,28]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xeb42d0ecbb6e0,!1,[[11,"level"],[8,0],[7,[0,
29]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6099522706382291,!1,[[11,"level"],[8,0],[7,[0,30]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,4546893352329617,!1,[[0,[1,0.1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7797725573994338,!1,[[4,122],[5,[0,0]],[0,[20,15,cr.plugins_.TiledBg.prototype.exps.X,!1,null]],[0,[20,15,cr.plugins_.TiledBg.prototype.exps.Y,!1,null]]]],[122,cr.plugins_.TiledBg.prototype.acts.ZMoveToObject,null,0x543a6ab72b9d7,!1,[[3,0],[4,
15]]]]],[0,null,!0,null,4925922958302959,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5130883274276843,!1,[[11,"level"],[8,0],[7,[0,31]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9181769911274038,!1,[[11,"level"],[8,0],[7,[0,32]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5233620445058848,!1,[[11,"level"],[8,0],[7,[0,33]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa4cadaa026a92,!1,[[11,"level"],[8,0],[7,[0,34]]]],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9698135456581232,!1,[[11,"level"],[8,0],[7,[0,35]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,0x6070363d69012,!1,[[0,[1,0.1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9728456390531972,!1,[[4,123],[5,[0,0]],[0,[20,15,cr.plugins_.TiledBg.prototype.exps.X,!1,null]],[0,[20,15,cr.plugins_.TiledBg.prototype.exps.Y,!1,null]]]],[123,cr.plugins_.TiledBg.prototype.acts.ZMoveToObject,null,0xad946e6f5951f,!1,[[3,0],[4,15]]]]],
[0,null,!1,null,0x47f217f402475,[],[[28,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x3f20e68ab22b9,!1,[[0,[5,[4,[20,28,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,28,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[29,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x897b69f504ac5,!1,[[0,[5,[4,[20,29,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,29,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[30,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xaea37cb109f42,!1,[[0,[5,[4,[20,30,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,30,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[9,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4c1e154fa0eb3,!1,[[0,[5,[4,[20,9,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,700]],[0,2]]],[0,10]]],[0,[20,9,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]],[0,null,!1,null,0x3c66a5a8c73f1,[],[[-1,cr.system_object.prototype.acts.Wait,null,0xd1943046690b8,!1,[[0,[1,0.11]]]],[28,cr.plugins_.Sprite.prototype.acts.Spawn,null,8009575665473349,!1,[[4,37],[5,[0,8]],[7,[0,0]]]]]],[0,null,!1,null,8051092910889289,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x80814e97a0d43,!1,[[11,"target"],[8,
5],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,9482612519932274,!1,[[0,[1,0.11]]]],[29,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe151cc2a81e59,!1,[[4,35],[5,[0,8]],[7,[0,0]]]]]],[0,null,!1,null,810408442677334,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa3764d472043,!1,[[11,"target"],[8,3],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,0xcfaa3c9b32ec,!1,[[0,[1,0.11]]]],[29,cr.plugins_.Sprite.prototype.acts.Spawn,null,5553307989715481,!1,[[4,
34],[5,[0,8]],[7,[0,0]]]]]],[0,null,!1,null,9913516577431476,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9fe27b79f7033,!1,[[11,"sound"],[8,5],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,9020393877779244,!1,[[0,[1,0.11]]]],[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,9077971946004476,!1,[[4,33],[5,[0,8]],[7,[0,0]]]]]],[0,null,!1,null,6496302118699476,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8b5d13076fb23,!1,[[11,"sound"],[8,0],[7,[0,
1]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,0xe2dc5216d4ed7,!1,[[0,[1,0.11]]]],[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x9c303477215bf,!1,[[4,32],[5,[0,8]],[7,[0,0]]]]]],[0,null,!1,null,6180966198729927,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6153249508617605,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,5803940105821495,!1,[[0,[1,0.11]]]],[30,cr.plugins_.Sprite.prototype.acts.Spawn,null,6603681224890096,!1,[[4,31],[5,
[0,8]],[7,[0,0]]]]]],[0,null,!1,null,0xe050a7fbe45f2,[],[[-1,cr.system_object.prototype.acts.Wait,null,0x9d802d6e39880,!1,[[0,[1,0.11]]]],[9,cr.plugins_.Sprite.prototype.acts.Spawn,null,6839106282676908,!1,[[4,36],[5,[0,8]],[7,[0,0]]]],[39,cr.plugins_.Text.prototype.acts.MoveToLayer,null,4720579780347535,!1,[[5,[0,8]]]]]]]]]],[0,[!0,"Win"],!1,null,0xf505fa78d364,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xf505fa78d364,!1,[[1,[2,"Win"]]]]],[],[[0,null,!1,null,9651922820767674,
[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9928828727386892,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7708189967463694,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xf82b73127f78b,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7958618369485717,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6841919782287278,!1,[[11,"level"],[8,0],[7,[0,1]]]]],
[],[[0,null,!1,null,0x9527c5729288b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5068369511732378,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6086027415877516,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7399087151941851,!1,[[11,"selectlevel1"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,5535698106250976,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x7418e11d0dfd5,!1,[[11,
"level"],[7,[0,2]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xc75a5713e29fb,!1,[[1,[2,"saveselectlevel1"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,6864483936521173,!1]]],[0,null,!1,null,5654953867285563,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8656416604481592,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x48a41a77c2e68,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,6636468126942475,!1,[[11,"selectlevel1"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,9197268591904460,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xae6cd9a7e9933,!1,[[11,"level"],[7,[0,2]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9560787136255764,!1,[[1,[2,"saveselectlevel1"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,4851886634191038,!1]]]]],[0,null,!1,null,7047019916182518,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,7867817066929721,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,4953220010560818,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9171332987471872,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,4954914131570612,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe0fef174ae55b,!1,[[11,"level"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,5638425519981956,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,7959502782694078,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4692923331322424,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5103688860157905,!1,[[11,"selectlevel2"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xd1973a49114c4,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9402904355975408,!1,[[11,"level"],[7,[0,3]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,
0x5efaf44aae605,!1,[[1,[2,"saveselectlevel2"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,4633233453700011,!1]]],[0,null,!1,null,0xe917529e0e90b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4832294973641319,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7574364428870428,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7441074875939171,!1,[[11,"selectlevel2"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,
null,4947074047502327,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x58da04285b25d,!1,[[11,"level"],[7,[0,3]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x57e3ad92838ae,!1,[[1,[2,"saveselectlevel2"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0x3b227cc014469,!1]]]]],[0,null,!1,null,0x59a26349c87a9,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xf366c1470f11f,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,7714760563134724,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,5835600020286749,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x926dd468a1f7e,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xff2fb391475c1,!1,[[11,"level"],[8,0],[7,[0,3]]]]],[],[[0,null,!1,null,0xc56c85b8ac845,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5934123089774056,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],
[[-1,cr.system_object.prototype.acts.SetVar,null,0xf3d7635a36dff,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8466442570358561,!1,[[11,"selectlevel3"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,815277625839503,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8264723189320402,!1,[[11,"level"],[7,[0,4]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf5c7d9acb7390,!1,[[1,[2,"saveselectlevel3"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,
null,690734704803074,!1]]],[0,null,!1,null,4961062621910784,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,760078827403843,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x69be82f24b2da,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5918916608801299,!1,[[11,"selectlevel3"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x839c812866d91,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xe78b8b9cf5da0,
!1,[[11,"level"],[7,[0,4]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,5184796168617248,!1,[[1,[2,"saveselectlevel3"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0xf0896c07f2978,!1]]]]],[0,null,!1,null,8263558731121205,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9392350592911352,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7523942531296458,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,8123265990165178,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x6fb4e42fec4fa,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6605718339880066,!1,[[11,"level"],[8,0],[7,[0,4]]]]],[],[[0,null,!1,null,855699121281719,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8916451888433607,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xbee5aba97267b,!1,[[11,"gameover"],[7,[0,
2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x848f90088f3a6,!1,[[11,"selectlevel4"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,7928017514640268,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6610129722487652,!1,[[11,"level"],[7,[0,5]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,516021278677432,!1,[[1,[2,"saveselectlevel4"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0x8e2b57a23705b,!1]]],[0,null,!1,null,0xf47bc65168b76,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f671dd4d6293,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6815167227696985,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9342732478026964,!1,[[11,"selectlevel4"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,9004707929335923,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,665121277850803,!1,[[11,"level"],[7,[0,5]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,0xcefe958ecf1e3,!1,[[1,[2,"saveselectlevel4"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,5846584886170434,!1]]]]],[0,null,!1,null,4851718121514364,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xeb2d51074fe58,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x4f78f122f2ae2,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8401918884398607,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,7238148558283673,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8243609338994266,!1,[[11,"level"],[8,0],[7,[0,5]]]]],[],[[0,null,!1,null,8585973913217397,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7937012869890959,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xffb61be56cb32,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x73706aea4ff1b,!1,[[11,"selectlevel5"],
[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x71da385785c4d,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,442604889539229,!1,[[11,"level"],[7,[0,6]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x4d0e9ada57cea,!1,[[1,[2,"saveselectlevel5"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,5642347634980545,!1]]],[0,null,!1,null,7197921421046294,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4693736175912523,!1,[[11,
"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,735950757280833,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x6be0a8ea40dd8,!1,[[11,"selectlevel5"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,6818680462740658,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5368138571481165,!1,[[11,"level"],[7,[0,6]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x9a1efd50d641f,!1,[[1,[2,"saveselectlevel5"]],
[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0xb2adef5ef82cb,!1]]]]],[0,null,!1,null,8291008947939301,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8869074051940594,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x987e706470420,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7629196856470496,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x54dd3298ece7f,
!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,802278624103018,!1,[[11,"level"],[8,0],[7,[0,6]]]]],[],[[0,null,!1,null,4667799013718462,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7272848732735197,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7635984590056533,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8542768479130467,!1,[[11,"selectlevel6"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,
null,8126380969442355,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6651898631969451,!1,[[11,"level"],[7,[0,7]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9508051875550276,!1,[[1,[2,"saveselectlevel6"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0xf7eb1bab656d1,!1]]],[0,null,!1,null,9086181945708464,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5765556803868209,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,0xd348a5cc19992,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5105546581288492,!1,[[11,"selectlevel6"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,563345760116208,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8666758618584878,!1,[[11,"level"],[7,[0,7]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd62d0affba57,!1,[[1,[2,"saveselectlevel6"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0xa3d143193894e,
!1]]]]],[0,null,!1,null,8430554192592849,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,622752793446217,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xa22c802083074,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xd7395924774b7,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,4570048359435313,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7586278474892565,
!1,[[11,"level"],[8,0],[7,[0,7]]]]],[],[[0,null,!1,null,8504308542128034,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xfadacda952bed,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8950449353187323,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xec2c23cab2d22,!1,[[11,"selectlevel7"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,8514453476894137,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,8288185028166196,!1,[[11,"level"],[7,[0,8]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xa93171def23fb,!1,[[1,[2,"saveselectlevel7"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,6670598614758143,!1]]],[0,null,!1,null,0xb38d11bb433eb,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8239046412527534,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5948234643242661,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,7332849574039926,!1,[[11,"selectlevel7"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,5696778056577942,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9648bf883b120,!1,[[11,"level"],[7,[0,8]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,8277152282806451,!1,[[1,[2,"saveselectlevel7"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0xe45a0905a83c8,!1]]]]],[0,null,!1,null,9630703062010116,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,0xb5e8f26b3eea6,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xe7fbf28894ba5,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7430078719438304,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xb588847c37e7e,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9fed4250cc74b,!1,[[11,"level"],[8,0],[7,[0,8]]]]],[],[[0,null,!1,null,5375909761101455,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9187335517438920,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6550384306294303,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7491217756341257,!1,[[11,"selectlevel8"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xb6561023f9a54,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7954378787146804,!1,[[11,"level"],[7,[0,9]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,
6822049984318205,!1,[[1,[2,"saveselectlevel8"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0x7423659f3a7cb,!1]]],[0,null,!1,null,0x55cb848d0a7dd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7869463545572203,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xf8406ea4a9f61,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,332392939028987,!1,[[11,"selectlevel8"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,
null,8524205375728415,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4839316952358631,!1,[[11,"level"],[7,[0,9]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9539184884550764,!1,[[1,[2,"saveselectlevel8"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,7929368980238543,!1]]]]],[0,null,!1,null,8310599349098305,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6204552728043709,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,8437047662180369,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x9bc8ee29451b4,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7329399381835686,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7922808045514527,!1,[[11,"level"],[8,0],[7,[0,9]]]]],[],[[0,null,!1,null,8195748241958595,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x40d69a371361f,!1,[[11,"sound"],[8,4],[7,[0,
0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8005622630522103,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9f73bbfb83395,!1,[[11,"selectlevel9"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x4b42b7bdb1265,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xdb529f7de938d,!1,[[11,"level"],[7,[0,10]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x4c1659f372d86,!1,[[1,[2,"saveselectlevel9"]],[7,[2,"2"]]]],[-1,
cr.system_object.prototype.acts.RestartLayout,null,8527483990445533,!1]]],[0,null,!1,null,0x4f79b3248576b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6479628672373217,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x6a3e8567cb0d5,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7987243530740611,!1,[[11,"selectlevel9"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xdd77dda3124c5,!1,[[0,[0,1]]]],[-1,
cr.system_object.prototype.acts.SetVar,null,4687572464669977,!1,[[11,"level"],[7,[0,10]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf20ef0fec361c,!1,[[1,[2,"saveselectlevel9"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0x5ae114ebd08d9,!1]]]]],[0,null,!1,null,5566272641836684,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7709095214981904,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6492638239346779,
!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7908110686798962,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x66711a4c705e,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xfccbfcee1e0ac,!1,[[11,"level"],[8,0],[7,[0,10]]]]],[],[[0,null,!1,null,0x4e94177ba0678,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5969500197893329,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,8801145034274951,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,399875500079125,!1,[[11,"selectlevel10"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x91c523c2ecf38,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9426e21cb84f4,!1,[[11,"level"],[7,[0,11]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9835871220968112,!1,[[1,[2,"saveselectlevel10"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,
null,6961923150152686,!1]]],[0,null,!1,null,8518406552927048,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7094454767886729,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8117815165810168,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7787119822383323,!1,[[11,"selectlevel10"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,7021830231201748,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,
0xfafbca161d7c9,!1,[[11,"level"],[7,[0,11]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7175935177890355,!1,[[1,[2,"saveselectlevel10"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,5883879388381787,!1]]]]],[0,null,!1,null,0x44a1c1d8b721a,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xde57c84dce600,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,5719145599714171,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,541559330941664,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8190024760266284,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8979336750277765,!1,[[11,"level"],[8,0],[7,[0,11]]]]],[],[[0,null,!1,null,728440410315644,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf11ed0f23d9b5,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5152300430335084,!1,[[11,"gameover"],[7,[0,
2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x66301be61550b,!1,[[11,"selectlevel11"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,9903969268707312,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x5944f0cb47995,!1,[[11,"level"],[7,[0,12]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,8717906334240072,!1,[[1,[2,"saveselectlevel11"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,28130610739682,!1]]],[0,null,!1,null,7114904791593103,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5504834152505341,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,869048870235882,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7407664504101929,!1,[[11,"selectlevel11"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x9c87f94658ee3,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8304515592655363,!1,[[11,"level"],[7,[0,12]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,0xfdce39b7cb337,!1,[[1,[2,"saveselectlevel11"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0x64facccbfb58a,!1]]]]],[0,null,!1,null,6111938938976709,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8347377592276332,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xaef789ae2e2fd,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8343355732647215,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,6096956714460986,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf81c88aeb34d9,!1,[[11,"level"],[8,0],[7,[0,12]]]]],[],[[0,null,!1,null,0x899d1efd641aa,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9924553851099760,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x64b84099fc9c,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8336789929798309,!1,[[11,"selectlevel12"],
[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,5971959396369092,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7258136040343455,!1,[[11,"level"],[7,[0,13]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xa4272e4da3f53,!1,[[1,[2,"saveselectlevel12"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,9972721870885748,!1]]],[0,null,!1,null,7279099476807002,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,527861433750188,!1,
[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x556eeae4e9c88,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9359609880470776,!1,[[11,"selectlevel12"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,8120535951552192,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8700546855065104,!1,[[11,"level"],[7,[0,13]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x8fed99d1fe519,!1,[[1,[2,"saveselectlevel12"]],
[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0x9f515780cca4e,!1]]]]],[0,null,!1,null,0xcaff5760ca2b4,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8720635109348945,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8242006707095745,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,4535434018034857,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6586624892261719,
!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbd1e91430630f,!1,[[11,"level"],[8,0],[7,[0,13]]]]],[],[[0,null,!1,null,7735130120302251,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7865016465783429,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xbd717512cebd7,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7012537436857539,!1,[[11,"selectlevel13"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,
null,8525575881490931,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xe00af100737f4,!1,[[11,"level"],[7,[0,14]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,5986196284904274,!1,[[1,[2,"saveselectlevel13"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,6238094866048062,!1]]],[0,null,!1,null,5602952228593751,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x5ee7b0f2aec84,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,0x905d0c41802f7,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9897192445692516,!1,[[11,"selectlevel13"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,8508225199963836,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x86fe8ee9e0a06,!1,[[11,"level"],[7,[0,14]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,8803505143543735,!1,[[1,[2,"saveselectlevel13"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,
0x86f5e302f2998,!1]]]]],[0,null,!1,null,9526290956904762,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6434970994190539,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,5665595413850282,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8988844794134801,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6378311408452574,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,
!1,!1,!1,6109613193090602,!1,[[11,"level"],[8,0],[7,[0,14]]]]],[],[[0,null,!1,null,0x9e708f9f6f82,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd04d7f9107ab1,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5731197539287859,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9555250432632292,!1,[[11,"selectlevel14"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,9375214462490712,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,8264274529373443,!1,[[11,"level"],[7,[0,15]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x99fcf21531adb,!1,[[1,[2,"saveselectlevel14"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0x80e39cb285f37,!1]]],[0,null,!1,null,0xaad5b67bcc69a,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9689222001539652,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8403048906465854,!1,[[11,"gameover"],[7,[0,2]]]],[-1,
cr.system_object.prototype.acts.SetVar,null,9637849196671016,!1,[[11,"selectlevel14"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,8324796847749695,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7787314082042936,!1,[[11,"level"],[7,[0,15]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x851687340b612,!1,[[1,[2,"saveselectlevel14"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,6731078114505913,!1]]]]],[0,null,!1,null,0x42014aadb1e59,
[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x3fd3170efbc73,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x56256e30ff4b7,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6089267477398508,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6881880386626332,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f9e29a939313,!1,[[11,"level"],[8,0],[7,[0,15]]]]],
[],[[0,null,!1,null,5610185261396015,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6152990064346412,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xbe0348abd727b,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5712535979901457,!1,[[11,"selectlevel15"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x5fe7ae59a7a8,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x5048d588b6123,!1,[[11,
"level"],[7,[0,16]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,8014066218147627,!1,[[1,[2,"saveselectlevel15"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0xf1526c663a403,!1]]],[0,null,!1,null,7462752132857948,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5554284762745649,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7684294258944924,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,0xda7217dfd2927,!1,[[11,"selectlevel15"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,9135719819567522,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6179739456143801,!1,[[11,"level"],[7,[0,16]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf782599890638,!1,[[1,[2,"saveselectlevel15"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,9358253429784258,!1]]]]],[0,null,!1,null,7702374649800128,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,8183176745370398,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,28106876807245,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x7c05cb93ee7ea,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9202497667520536,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8897620179863465,!1,[[11,"level"],[8,0],[7,[0,16]]]]],[],[[0,null,!1,null,0x53a24f20f3744,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0x747a5ee57add8,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6810792255674584,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5561364052086308,!1,[[11,"selectlevel16"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,9770787941144104,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8416072952574155,!1,[[11,"level"],[7,[0,17]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,
0xd75f9583f0f47,!1,[[1,[2,"saveselectlevel16"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0x4b516349c54dd,!1]]],[0,null,!1,null,7592756053238055,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9836189119252376,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5739437984729872,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x7679ea4c7f05c,!1,[[11,"selectlevel16"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,
null,9513905513142596,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x6be28e77e4a7f,!1,[[11,"level"],[7,[0,17]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x998b3f846438d,!1,[[1,[2,"saveselectlevel16"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,6305094351141689,!1]]]]],[0,null,!1,null,6956476092257757,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8393420892439493,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,759152177511502,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x6f60147a67b4b,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xe60d7356b4c09,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4895043105004206,!1,[[11,"level"],[8,0],[7,[0,17]]]]],[],[[0,null,!1,null,0x8ffa0f348d115,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,633540267860365,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],
[[-1,cr.system_object.prototype.acts.SetVar,null,5896872089718936,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9c0fd4fc18688,!1,[[11,"selectlevel17"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,7268260989686282,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8033398305345757,!1,[[11,"level"],[7,[0,18]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9151383159109464,!1,[[1,[2,"saveselectlevel17"]],[7,[2,"2"]]]],[-1,
cr.system_object.prototype.acts.RestartLayout,null,6492261930675861,!1]]],[0,null,!1,null,7399595316394725,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7904457925356802,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x437dd7e91ca36,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4581441958380148,!1,[[11,"selectlevel17"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,9485912929234742,!1,[[0,[0,1]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,8615559357306514,!1,[[11,"level"],[7,[0,18]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x7767401e58f52,!1,[[1,[2,"saveselectlevel17"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,406520302676183,!1]]]]],[0,null,!1,null,0xb03174a931f3f,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,4772765064410892,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6304726510213327,
!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x9f77d21c634c9,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9087458889812272,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9427065310423658,!1,[[11,"level"],[8,0],[7,[0,18]]]]],[],[[0,null,!1,null,0x6b97a1becf93d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9509017252764192,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,4562617115587814,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,64092072224026,!1,[[11,"selectlevel18"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xfb565ed5ea775,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7154295186496684,!1,[[11,"level"],[7,[0,19]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7467062541761268,!1,[[1,[2,"saveselectlevel18"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,
null,4765568517214687,!1]]],[0,null,!1,null,8265670439272485,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8542b30e15aa5,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xf8b9508c378bf,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x51d4ded637ff0,!1,[[11,"selectlevel18"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,7113868554900877,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,
7185201497654335,!1,[[11,"level"],[7,[0,19]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,8784341690209694,!1,[[1,[2,"saveselectlevel18"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,6249933315425336,!1]]]]],[0,null,!1,null,7184562020092462,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x9c210ae5c3689,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6933300859053258,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,0x6d8f8b072ec49,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8864027822586843,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5985271393929213,!1,[[11,"level"],[8,0],[7,[0,19]]]]],[],[[0,null,!1,null,5244372455424339,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x83ac469b3327a,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xddf33b3936cf6,!1,[[11,"gameover"],[7,[0,
2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7799253554421234,!1,[[11,"selectlevel19"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,7634352796271336,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7441641031129897,!1,[[11,"level"],[7,[0,20]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,4527434087806797,!1,[[1,[2,"saveselectlevel19"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,4546754001116183,!1]]],[0,null,!1,null,0xf1b0e5d7b24eb,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9741542967669842,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x98fc4f6c4202c,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5867481816827776,!1,[[11,"selectlevel19"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,7758588500342399,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4655298774795004,!1,[[11,"level"],[7,[0,20]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,4518559507129215,!1,[[1,[2,"saveselectlevel19"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0x6b663d2bec5b5,!1]]]]],[0,null,!1,null,0x3a68f20d72821,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,5059947229144698,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xb9309e17a55a1,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xe7584004bde89,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,4943547950947575,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7372138971931935,!1,[[11,"level"],[8,0],[7,[0,20]]]]],[],[[0,null,!1,null,8953943277160635,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5653017930869571,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8543538894107711,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xded369ee04396,!1,[[11,"selectlevel20"],
[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xfe1b69d307867,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5370398516572459,!1,[[11,"level"],[7,[0,21]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,810314619941601,!1,[[1,[2,"saveselectlevel20"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0xe455716c92df4,!1]]],[0,null,!1,null,728140187276241,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x45f7ec99ee3ac,!1,[[11,
"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9625099405721822,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6568299655121646,!1,[[11,"selectlevel20"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xfae7ec6654e70,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8941636303737742,!1,[[11,"level"],[7,[0,21]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7673907464833577,!1,[[1,[2,"saveselectlevel20"]],
[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,9448384209623180,!1]]]]],[0,null,!1,null,9079897346879720,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9559431063884318,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x3f7b63ee2a34f,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x6c35d8e71d82b,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,5915970854884988,
!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6143857314109264,!1,[[11,"level"],[8,0],[7,[0,21]]]]],[],[[0,null,!1,null,8329191601586398,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd808084ac8eeb,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4572769920448596,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x4103851193750,!1,[[11,"selectlevel21"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,
null,0x4f42c953138cf,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x66ad958963916,!1,[[11,"level"],[7,[0,22]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6682060004141649,!1,[[1,[2,"saveselectlevel21"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,5130671362921984,!1]]],[0,null,!1,null,9186523760670708,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4984357520851193,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,381271957643999,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8436725668021371,!1,[[11,"selectlevel21"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x5f394514b7ab4,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc2f8d94a489d7,!1,[[11,"level"],[7,[0,22]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xdf1b7a89dddda,!1,[[1,[2,"saveselectlevel21"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,
0xde6fbf5823470,!1]]]]],[0,null,!1,null,338686024804409,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x8420286c0cbbf,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x7c680623b2154,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7508713060604865,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,309314565853599,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,8423614361440231,!1,[[11,"level"],[8,0],[7,[0,22]]]]],[],[[0,null,!1,null,965488136242051,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7522775156980442,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7426369342483597,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,894987734776377,!1,[[11,"selectlevel22"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,5117660000767434,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,6396259530461333,!1,[[11,"level"],[7,[0,23]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7866975395899047,!1,[[1,[2,"saveselectlevel22"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,7065899202363212,!1]]],[0,null,!1,null,4889726464283221,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x7aa1427c0bc83,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6686153733451844,!1,[[11,"gameover"],[7,[0,2]]]],[-1,
cr.system_object.prototype.acts.SetVar,null,0xc6c39e5de1d99,!1,[[11,"selectlevel22"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xde665f3979402,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x8cce043134262,!1,[[11,"level"],[7,[0,23]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,325778815175832,!1,[[1,[2,"saveselectlevel22"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0xb9e6be42adffb,!1]]]]],[0,null,!1,null,0xe5654d9168510,
[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,731109280908878,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,519473717883342,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9811639159699376,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7501710703080094,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7163593309854128,!1,[[11,"level"],[8,0],[7,[0,23]]]]],
[],[[0,null,!1,null,0x6ab889772929d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4672749226723889,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8823850362740377,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xa68b0b7c8c4ee,!1,[[11,"selectlevel23"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xec332d468440f,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8034218156978312,!1,[[11,
"level"],[7,[0,24]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6114274516710301,!1,[[1,[2,"saveselectlevel23"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,5048763053558964,!1]]],[0,null,!1,null,0xf5db98a66736c,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4779849094319261,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8419414066050997,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,7987232952309053,!1,[[11,"selectlevel23"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,9755352755541180,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9394244183965080,!1,[[11,"level"],[7,[0,24]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,5841700105506467,!1,[[1,[2,"saveselectlevel23"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,8973171947491219,!1]]]]],[0,null,!1,null,0xc1623cef3bb3e,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,6045809616119941,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xbc2ad5635aa24,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8451599676038747,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7230818676778969,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44b69954767a1,!1,[[11,"level"],[8,0],[7,[0,24]]]]],[],[[0,null,!1,null,0x4de55024581bc,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,672126747669826,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5450007535877845,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xae72da6e48f5d,!1,[[11,"selectlevel24"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,471750025733918,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb072bf40be817,!1,[[11,"level"],[7,[0,25]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x7d3764d2463dc,
!1,[[1,[2,"saveselectlevel24"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,7199954317177348,!1]]],[0,null,!1,null,8685336433999945,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9913031741253776,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9697221669697074,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x41e9429f5107d,!1,[[11,"selectlevel24"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,
null,4887084491800502,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x80701c546dff7,!1,[[11,"level"],[7,[0,25]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x6c94155ed724a,!1,[[1,[2,"saveselectlevel24"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,5022711990112967,!1]]]]],[0,null,!1,null,0xbea4c792ad93d,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,5563857991055597,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,0x672e28e2fe3f1,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,4529470772633909,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x905a4c4c1e700,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5718004137269911,!1,[[11,"level"],[8,0],[7,[0,25]]]]],[],[[0,null,!1,null,9868400395421120,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x39e3d6981bfd3,!1,[[11,"sound"],[8,4],[7,[0,
0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x7ccf0fb1463d7,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x63586a00c579d,!1,[[11,"selectlevel25"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x88c01cf00092a,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6527133722897648,!1,[[11,"level"],[7,[0,26]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9469070056209164,!1,[[1,[2,"saveselectlevel25"]],[7,[2,"2"]]]],
[-1,cr.system_object.prototype.acts.RestartLayout,null,0xc56c112a81f50,!1]]],[0,null,!1,null,5375727715674493,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x49f713ec4282d,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7288519945025775,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xacab1fbe46df5,!1,[[11,"selectlevel25"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,9541550882228260,!1,[[0,[0,1]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,7924627959970922,!1,[[11,"level"],[7,[0,26]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,533351885338691,!1,[[1,[2,"saveselectlevel25"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,7245099117998132,!1]]]]],[0,null,!1,null,0xca0bfe81645ed,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x90b20ddf85f58,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xc00bd44697b4a,
!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x56681f90e4ca6,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xd4b98ae644392,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x960498b0fcf49,!1,[[11,"level"],[8,0],[7,[0,26]]]]],[],[[0,null,!1,null,0xafafa159b13f4,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9760174971237640,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,9808639690478020,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x5a3790a521fb7,!1,[[11,"selectlevel26"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,8779938626722556,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xd97d671f96277,!1,[[11,"level"],[7,[0,27]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9708666716606588,!1,[[1,[2,"saveselectlevel26"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,
null,0xcc74b53f9c561,!1]]],[0,null,!1,null,0x5bbdac98ec2e5,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9835311813370304,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5887461129038525,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7133603243318051,!1,[[11,"selectlevel26"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xe3a967d9f2831,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,
5810029962635839,!1,[[11,"level"],[7,[0,27]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,500832250032621,!1,[[1,[2,"saveselectlevel26"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,9183210509558736,!1]]]]],[0,null,!1,null,0x972d89ae3689f,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xd84f4828b2495,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9441179117728614,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,9160289611933574,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9746686316861388,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8513329601542243,!1,[[11,"level"],[8,0],[7,[0,27]]]]],[],[[0,null,!1,null,9734542002463244,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4789023104180349,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7572514348567647,!1,[[11,"gameover"],[7,
[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5393927269120799,!1,[[11,"selectlevel27"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,4507342698996122,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5392794784885726,!1,[[11,"level"],[7,[0,28]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,5968621881767805,!1,[[1,[2,"saveselectlevel27"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0x94a88040aeac5,!1]]],[0,null,!1,null,
4695733994614692,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6714847081391425,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6237074917363496,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9ca3d9d9b0e0b,!1,[[11,"selectlevel27"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x54db543ccd692,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc0ab0b1eb1ed1,!1,[[11,"level"],[7,[0,28]]]],
[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6696712459608066,!1,[[1,[2,"saveselectlevel27"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,9074722760295464,!1]]]]],[0,null,!1,null,8091288049829817,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,656889838260224,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,5090026463499181,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7894134272131932,
!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xead5f435a6be6,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7908500675029124,!1,[[11,"level"],[8,0],[7,[0,28]]]]],[],[[0,null,!1,null,5810206641740575,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4da35db562361,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8886763870503249,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,7296156875348174,!1,[[11,"selectlevel28"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,5704337320194977,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x4ded95023dbe5,!1,[[11,"level"],[7,[0,29]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xee151e9130cf7,!1,[[1,[2,"saveselectlevel28"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0xc5d92e879e41,!1]]],[0,null,!1,null,5419574884352952,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,916703129899791,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xff1cdf5e8e6e4,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6789705131139128,!1,[[11,"selectlevel28"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,8134256831093223,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8289686773378601,!1,[[11,"level"],[7,[0,29]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,4504828483009569,
!1,[[1,[2,"saveselectlevel28"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,5723962268654557,!1]]]]],[0,null,!1,null,938608971967301,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8446963666191194,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,4748399387770559,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,4764047687874256,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,5739200416239094,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,355382059825816,!1,[[11,"level"],[8,0],[7,[0,29]]]]],[],[[0,null,!1,null,9473467689510776,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7533338710897257,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4579571009503259,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x6ee9d05a40f7a,!1,[[11,"selectlevel29"],
[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,57391518137127,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6044626408811621,!1,[[11,"level"],[7,[0,30]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,5901521954082509,!1,[[1,[2,"saveselectlevel29"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,7569338351658072,!1]]],[0,null,!1,null,6092912690386491,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdccbe1cd993c8,!1,
[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xdcbd6da4606d0,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7330526704211268,!1,[[11,"selectlevel29"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xfce7b79a95b81,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5727648386016482,!1,[[11,"level"],[7,[0,30]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,8452280950662681,!1,[[1,[2,"saveselectlevel29"]],
[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,6188322352939195,!1]]]]],[0,null,!1,null,9564385964089860,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7957663157826611,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,768750709222559,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7387209877673534,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6505672948698283,
!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9610993551381966,!1,[[11,"level"],[8,0],[7,[0,30]]]]],[],[[0,null,!1,null,9490383028300694,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138219877580416,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6727517552284311,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7783980790864468,!1,[[11,"selectlevel30"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,
null,4659549452884492,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6256298891870122,!1,[[11,"level"],[7,[0,31]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xa57d599d01b86,!1,[[1,[2,"saveselectlevel30"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,7584834643264031,!1]]],[0,null,!1,null,9855049114234976,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,327201181373284,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,0x3e4b44802235c,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6459828840619504,!1,[[11,"selectlevel30"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,5353214115092691,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x7dfd02c0acc94,!1,[[11,"level"],[7,[0,31]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x8682dbeff479e,!1,[[1,[2,"saveselectlevel30"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,
0x4346eb4b7b617,!1]]]]],[0,null,!1,null,0x8efa9f550723d,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,797887287502727,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,306789998990474,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xf20fa9f3c2b5c,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9062824673214428,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,0x5df411cef0e76,!1,[[11,"level"],[8,0],[7,[0,31]]]]],[],[[0,null,!1,null,8361192779957044,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xaf8d0426e7ab1,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xab92e23131155,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5200115504046942,!1,[[11,"selectlevel31"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,9419253214677380,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,0xfbb50c2bf89c3,!1,[[11,"level"],[7,[0,32]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,5575703392076438,!1,[[1,[2,"saveselectlevel31"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0xc062a75d420ac,!1]]],[0,null,!1,null,8010762774924811,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8e335396bf138,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xa701b8ceccabb,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,353294343715391,!1,[[11,"selectlevel31"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x4b316fdb20377,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5196167486364938,!1,[[11,"level"],[7,[0,32]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,4837262735044715,!1,[[1,[2,"saveselectlevel31"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,5368609168899705,!1]]]]],[0,null,!1,null,0xb843dc09205cb,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,0xb56f726ba6e67,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9410621940867386,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x9a0978cf2f24a,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6262450623101995,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5704622865054383,!1,[[11,"level"],[8,0],[7,[0,32]]]]],[],[[0,null,!1,null,0x94bec56eb327f,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xe834554e79e23,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5963486091234135,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xba64e04b598e2,!1,[[11,"selectlevel32"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x657ab2eb8a22,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xf9a5fc3523b24,!1,[[11,"level"],[7,[0,33]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,8882587588161059,
!1,[[1,[2,"saveselectlevel32"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0x61584dcd47148,!1]]],[0,null,!1,null,0x7a2b165389dd1,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x627b278a4ae24,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xe58cfe347c9b1,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5409593468324036,!1,[[11,"selectlevel32"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,
null,0xa923aafb5cdd,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5456840250251016,!1,[[11,"level"],[7,[0,33]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,8235847403781473,!1,[[1,[2,"saveselectlevel32"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,8204659634635277,!1]]]]],[0,null,!1,null,0x5fb5549160b17,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8924591007752614,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,4759143487063725,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9725201384900796,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,726918928659501,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7983119140273527,!1,[[11,"level"],[8,0],[7,[0,33]]]]],[],[[0,null,!1,null,6565666930443102,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8b2dc396e4291,!1,[[11,"sound"],[8,4],[7,[0,
0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8815566423431744,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5686090200856886,!1,[[11,"selectlevel33"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,7932342749531635,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,667241707903146,!1,[[11,"level"],[7,[0,34]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xa3119fc580fc9,!1,[[1,[2,"saveselectlevel33"]],[7,[2,"2"]]]],
[-1,cr.system_object.prototype.acts.RestartLayout,null,6575489036774122,!1]]],[0,null,!1,null,5040434946236355,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7549538587827301,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xcb7784adc2ff1,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x64854b1f1475d,!1,[[11,"selectlevel33"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,9608712703172472,!1,[[0,[0,1]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,0x79af1534e082,!1,[[11,"level"],[7,[0,34]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xa1c821c737e5b,!1,[[1,[2,"saveselectlevel33"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,8860217068803884,!1]]]]],[0,null,!1,null,8664703270275926,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xf237af7f77fb3,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7433380902634001,
!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x8f87deb39314,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,954325818035932,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x6a914380d392b,!1,[[11,"level"],[8,0],[7,[0,34]]]]],[],[[0,null,!1,null,6701767693357905,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8324135626012553,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,880098345427807,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4815442875354243,!1,[[11,"selectlevel34"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,6181950360215386,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x47b7745e7524d,!1,[[11,"level"],[7,[0,35]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xbde3ef8fadcc6,!1,[[1,[2,"saveselectlevel34"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,
null,336954833979063,!1]]],[0,null,!1,null,936482326429877,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd2f2f38a1a2bb,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7471420541978561,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6913114904800447,!1,[[11,"selectlevel34"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,9835183879896152,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,
7549670546781568,!1,[[11,"level"],[7,[0,35]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7793693382103364,!1,[[1,[2,"saveselectlevel34"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,6824902680158656,!1]]]]],[0,null,!1,null,4863419363093302,[[21,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6469481731755087,!1,[[4,1]]],[22,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,5191195366447836,!1,[[4,7]]],[23,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,0xff753bb98da71,!1,[[4,8]]],[24,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xbc21f34fdd38c,!1,[[4,10]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9e88d2b2e3e74,!1,[[11,"level"],[8,0],[7,[0,35]]]]],[],[[0,null,!1,null,4669978640553166,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9866211832876884,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4559812901396743,!1,[[11,"gameover"],[7,[0,
2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9f476a5a893b4,!1,[[11,"selectlevel35"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,6035235717458358,!1,[[0,[1,3.5]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb7546bb1e4f0a,!1,[[11,"level"],[7,[0,1]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,8102040480487161,!1,[[1,[2,"saveselectlevel35"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0xc82f453f298cb,!1]]],[0,null,!1,null,6016645476423227,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9592325694304316,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xeb115b4312b72,!1,[[11,"gameover"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.SetVar,null,604242305937285,!1,[[11,"selectlevel35"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,8107708625239806,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6638821142829499,!1,[[11,"level"],[7,[0,1]]]],[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,5254856166990179,!1,[[1,[2,"saveselectlevel35"]],[7,[2,"2"]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,4920844919643276,!1]]]]]]]]],["global",[[1,"lockertime",0,0.6,!1,!1,7785696804394101,!1],[1,"level",0,1,!1,!1,9208622104653318,!1],[0,null,!1,null,0x7eaf6885cd49d,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,7579309306805475,!1]],[[5,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0x46bb779fe3bb7,!1,[[3,1]]]]],[0,[!0,"touch1"],!1,null,0xf1dc83b061b23,[[-1,
cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xf1dc83b061b23,!1,[[1,[2,"touch1"]]]]],[],[[0,null,!1,null,9041516415607996,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4629716052071323,!1,[[4,1]]]],[],[[0,null,!1,null,5189010754116149,[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xae180393820a3,!1,[[1,[2,"verh"]]]]],[[1,cr.plugins_.Sprite.prototype.acts.StartAnim,null,7236335566887403,!1,[[3,1]]],[1,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,
"GridMove",0x3efb08fd49e45,!1,[[3,3]]]],[[0,null,!1,null,941680438882996,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4747188857218208,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,924256211937865,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,0x59566f08f884c,[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xb2dcbd0a8033a,!1,[[1,[2,"niz"]]]]],[[1,cr.plugins_.Sprite.prototype.acts.StartAnim,null,
30366261440757,!1,[[3,1]]],[1,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0x930cc100fd6ca,!1,[[3,1]]]],[[0,null,!1,null,0x9e26b19031a80,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6841170788727216,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,0xcf43d33f080f0,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,0x9df1ec7ee2365,[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,343816032360386,
!1,[[1,[2,"pravo"]]]]],[[1,cr.plugins_.Sprite.prototype.acts.StartAnim,null,9943998550165540,!1,[[3,1]]],[1,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",4726338565922745,!1,[[3,0]]]],[[0,null,!1,null,0xe739531a8a682,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7287753652767525,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,0x6bbbae96056a0,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,9504630148913148,
[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,8238310411534692,!1,[[1,[2,"levo"]]]]],[[1,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0x64152cb88f1fe,!1,[[3,1]]],[1,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",5366050739647684,!1,[[3,2]]]],[[0,null,!1,null,0xad4cbb9524177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xee23b02959bb8,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,0xc2ac00c1d0523,
!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]]]],[0,null,!1,null,0x9d0b74be19051,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5243697427597336,!1,[[4,1]]]],[],[[0,null,!1,null,9189805857393828,[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xa89797da2a805,!1,[[1,[2,"winverh"]]]]],[[1,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0xdbfabff07dbe7,!1,[[3,1]]],[1,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0x7697ae77ae001,
!1,[[3,3]]]],[[0,null,!1,null,5245105447243903,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xc552e79e5f46e,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,9527171486414576,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,5531346660542304,[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xbedb0405640ee,!1,[[1,[2,"winniz"]]]]],[[1,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0xa122f8360f4c3,!1,[[3,
1]]],[1,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",7730639692288723,!1,[[3,1]]]],[[0,null,!1,null,0x8593deca5308b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4cabab6457b7b,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,9427612162886126,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,6200705296990301,[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,7870091467110725,!1,[[1,
[2,"winpravo"]]]]],[[1,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0x4c01e4851c0bd,!1,[[3,1]]],[1,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0x8eee902aa2f8f,!1,[[3,0]]]],[[0,null,!1,null,0x71e21b7f47f28,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x3c3b525418e7d,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,8607591841854249,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,7515566228216475,
[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xf7eb304c29da4,!1,[[1,[2,"winlevo"]]]]],[[1,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6527804490546917,!1,[[3,1]]],[1,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",8744954847960373,!1,[[3,2]]]],[[0,null,!1,null,4903119236314027,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xacb8175dc22ab,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,0xb2fd8123d54c8,
!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]]]]]],[0,[!0,"locker1"],!1,null,7219808399565823,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7219808399565823,!1,[[1,[2,"locker1"]]]]],[],[[0,null,!1,null,0xbdfbbd7bc5a5f,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5977003794649136,!1,[[4,1]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,9046915817892588,!1,[[1,[2,"touch1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,
7414092640024843,!1,[[1,[2,"touch2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x9d82ddf734d5e,!1,[[1,[2,"touch3"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,983023863004442,!1,[[1,[2,"touch4"]],[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,8497817884086277,!1,[[0,[23,"lockertime"]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6311770212643092,!1,[[1,[2,"touch1"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xeae8a83322fd3,
!1,[[1,[2,"touch2"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xb9ed5eaa8dda3,!1,[[1,[2,"touch3"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,599494692193737,!1,[[1,[2,"touch4"]],[3,1]]]]]]],[0,[!0,"touch2"],!1,null,7088585574769904,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7088585574769904,!1,[[1,[2,"touch2"]]]]],[],[[0,null,!1,null,9985038535102858,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8013081649459609,
!1,[[4,7]]]],[],[[0,null,!1,null,6455314322159037,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9349702660264920,!1,[[1,[2,"verh"]]]]],[[7,cr.plugins_.Sprite.prototype.acts.StartAnim,null,5287446115795813,!1,[[3,1]]],[7,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",5202826851255642,!1,[[3,3]]]],[[0,null,!1,null,0xa4ac159695fa7,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7996610377558984,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,
null,9938829439190116,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,0xa767a8dfe81cd,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x6a530d27d5d3b,!1,[[1,[2,"niz"]]]]],[[7,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0xe30efbda65a2f,!1,[[3,1]]],[7,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",6948452424639335,!1,[[3,1]]]],[[0,null,!1,null,6583881962479509,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5947360955262913,
!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,8629925216116481,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,0xb930e3740839c,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,4610968681645073,!1,[[1,[2,"pravo"]]]]],[[7,cr.plugins_.Sprite.prototype.acts.StartAnim,null,60373819645547,!1,[[3,1]]],[7,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0xd90bb5c264874,!1,[[3,0]]]],[[0,null,!1,null,8240360972010241,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,330742889558679,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,375299482632836,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,5008996290963912,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xd008f5a72471d,!1,[[1,[2,"levo"]]]]],[[7,cr.plugins_.Sprite.prototype.acts.StartAnim,null,4682480395854908,!1,[[3,1]]],[7,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,
"GridMove",0x6255a03f4d51a,!1,[[3,2]]]],[[0,null,!1,null,0xbe74bcbd51352,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x7eb3a247c418e,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,0x9a98814e8d744,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]]]],[0,null,!1,null,0xe71110dfcc1ab,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8494565052561197,!1,[[4,7]]]],[],[[0,null,!1,null,0x661a6f3c7f681,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,7726042639287757,!1,[[1,[2,"winverh"]]]]],[[7,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6824876915120863,!1,[[3,1]]],[7,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",770184828935806,!1,[[3,3]]]],[[0,null,!1,null,0x8b373fd8d6bb9,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x3c40ff02e1104,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,6386386409817106,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],
[0,null,!1,null,0xde4e0ebf1d785,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xfd872c8a4accd,!1,[[1,[2,"winniz"]]]]],[[7,cr.plugins_.Sprite.prototype.acts.StartAnim,null,7545034610895021,!1,[[3,1]]],[7,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",776489372454936,!1,[[3,1]]]],[[0,null,!1,null,0x51f384780e6e6,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdb81eb8f8df1d,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,
null,0x46f5a1ddfcfb3,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,7528064770177721,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5649847282235874,!1,[[1,[2,"winpravo"]]]]],[[7,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0x50882571708d1,!1,[[3,1]]],[7,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",5625652635430284,!1,[[3,0]]]],[[0,null,!1,null,0x4f6bc489d5bb8,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,379756757137177,
!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,0xc48dead364e02,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,9171938365874976,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,380925201746312,!1,[[1,[2,"winlevo"]]]]],[[7,cr.plugins_.Sprite.prototype.acts.StartAnim,null,4961996846679137,!1,[[3,1]]],[7,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",9469797233076746,!1,[[3,2]]]],[[0,null,!1,null,0xc8147a73e97e6,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf5962df78774,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,9635312470443392,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]]]]]],[0,[!0,"locker2"],!1,null,0x3f967c3d795c8,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x3f967c3d795c8,!1,[[1,[2,"locker2"]]]]],[],[[0,null,!1,null,0xbdfbbd7bc5a5f,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5977003794649136,
!1,[[4,7]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xec0bb0891fcfa,!1,[[1,[2,"touch1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5075161256153073,!1,[[1,[2,"touch2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,7838009474277602,!1,[[1,[2,"touch3"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,7616658500380255,!1,[[1,[2,"touch4"]],[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,4913634497998306,!1,[[0,[23,"lockertime"]]]],
[-1,cr.system_object.prototype.acts.SetGroupActive,null,8561121062178127,!1,[[1,[2,"touch1"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9399559462565980,!1,[[1,[2,"touch2"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5273280933615449,!1,[[1,[2,"touch3"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8553293315452575,!1,[[1,[2,"touch4"]],[3,1]]]]]]],[0,[!0,"touch3"],!1,null,9133237037251854,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,9133237037251854,!1,[[1,[2,"touch3"]]]]],[],[[0,null,!1,null,5206012961077086,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8505160290979074,!1,[[4,8]]]],[],[[0,null,!1,null,8320026352710332,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xabb6730263d68,!1,[[1,[2,"verh"]]]]],[[8,cr.plugins_.Sprite.prototype.acts.StartAnim,null,942393535706856,!1,[[3,1]]],[8,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0x4b6831beaf897,
!1,[[3,3]]]],[[0,null,!1,null,0xe9f48f808f4cb,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4d9e90fdf18ef,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,9879298302279208,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,551854160921377,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,309748368098992,!1,[[1,[2,"niz"]]]]],[[8,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0xdc4a8f16a78ac,!1,[[3,1]]],
[8,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",8238850135731204,!1,[[3,1]]]],[[0,null,!1,null,9272594226910482,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5395712543529409,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,9887482417835040,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,5338984276576562,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,6979910817657768,!1,[[1,[2,
"pravo"]]]]],[[8,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0x931678ea0c033,!1,[[3,1]]],[8,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0xad6c53b596ef8,!1,[[3,0]]]],[[0,null,!1,null,6009825654940234,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8759501288392427,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,6875182892754098,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,7569800253409662,[[8,
cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x9d61209052270,!1,[[1,[2,"levo"]]]]],[[8,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0xc79e145a0798a,!1,[[3,1]]],[8,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0x82fff614f6c98,!1,[[3,2]]]],[[0,null,!1,null,0xec517d2cc8c6a,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5200271665785011,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,958253807614922,!1,[[2,
["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]]]],[0,null,!1,null,5360802053440782,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9530952956109536,!1,[[4,8]]]],[],[[0,null,!1,null,5287902713891797,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x83c8c2ede5917,!1,[[1,[2,"winverh"]]]]],[[8,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6792333833217698,!1,[[3,1]]],[8,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",4653251292596659,!1,[[3,
3]]]],[[0,null,!1,null,0x3be253211b2d1,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,432929364811937,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,5394873675098544,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,0xd0c25dbed2ed4,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9545491082011712,!1,[[1,[2,"winniz"]]]]],[[8,cr.plugins_.Sprite.prototype.acts.StartAnim,null,5963459118432306,!1,[[3,1]]],[8,
cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0xb234e144d6aa,!1,[[3,1]]]],[[0,null,!1,null,0xce5f9f4b05ac2,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8018a0b6d16be,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,0xf5cc7c020f072,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,0xdd9e852ac6f9b,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xce5e23e19631,!1,[[1,[2,"winpravo"]]]]],
[[8,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0x96dce5016ea55,!1,[[3,1]]],[8,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0xfa0729b482985,!1,[[3,0]]]],[[0,null,!1,null,0x9eb293b1f9aa2,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbf959d5c3a5fa,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,6827617759325902,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,0x953c8b53ac3c,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,9335076641660284,!1,[[1,[2,"winlevo"]]]]],[[8,cr.plugins_.Sprite.prototype.acts.StartAnim,null,7298260387968323,!1,[[3,1]]],[8,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",6139376703443869,!1,[[3,2]]]],[[0,null,!1,null,346688548786216,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7039802516187514,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,9963247184329728,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,
""]]]]]]]]]]]],[0,[!0,"locker3"],!1,null,0xa1117789cbfad,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xa1117789cbfad,!1,[[1,[2,"locker3"]]]]],[],[[0,null,!1,null,0xbdfbbd7bc5a5f,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5977003794649136,!1,[[4,8]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,7491705509447303,!1,[[1,[2,"touch1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5432589953944297,!1,[[1,[2,"touch2"]],[3,0]]],
[-1,cr.system_object.prototype.acts.SetGroupActive,null,7208650945965092,!1,[[1,[2,"touch3"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x892cecf2dd5ae,!1,[[1,[2,"touch4"]],[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,589763302793363,!1,[[0,[23,"lockertime"]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xdf27ab6d33db7,!1,[[1,[2,"touch1"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x592e1b52b7d02,!1,[[1,[2,"touch2"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,4735494464207757,!1,[[1,[2,"touch3"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x526eb45fad5bc,!1,[[1,[2,"touch4"]],[3,1]]]]]]],[0,[!0,"touch4"],!1,null,8560226444598273,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8560226444598273,!1,[[1,[2,"touch4"]]]]],[],[[0,null,!1,null,9461026426037208,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9557208775717860,!1,[[4,10]]]],[],[[0,null,!1,null,0x9cacf89340cd4,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,7459780841592277,!1,[[1,[2,"verh"]]]]],[[10,cr.plugins_.Sprite.prototype.acts.StartAnim,null,9537646596125082,!1,[[3,1]]],[10,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",8722998159932428,!1,[[3,3]]]],[[0,null,!1,null,9828963077405340,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44c4b9e02d605,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,7244128696394886,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],
[0,null,!1,null,4940530951146515,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x39364c64077be,!1,[[1,[2,"niz"]]]]],[[10,cr.plugins_.Sprite.prototype.acts.StartAnim,null,33885458982666,!1,[[3,1]]],[10,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",8829905875630176,!1,[[3,1]]]],[[0,null,!1,null,6157778362579857,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7168177276729476,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,
null,0x5ec8a2a50405e,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,7519815465072432,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,6245763801045132,!1,[[1,[2,"pravo"]]]]],[[10,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0xb96a3ff33c98d,!1,[[3,1]]],[10,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",8490677359988186,!1,[[3,0]]]],[[0,null,!1,null,6205967434306613,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,
4772188790358807,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,6903559386945729,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,7711826282623011,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,340244681028893,!1,[[1,[2,"levo"]]]]],[[10,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0xc48d577937422,!1,[[3,1]]],[10,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0x7170668027848,!1,[[3,2]]]],[[0,
null,!1,null,6465617559117524,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4711769908156435,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,8588208120621378,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]]]],[0,null,!1,null,9003563783465306,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8741188882514768,!1,[[4,10]]]],[],[[0,null,!1,null,0xe4d75e13595b,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,
!1,5956063283915562,!1,[[1,[2,"winverh"]]]]],[[10,cr.plugins_.Sprite.prototype.acts.StartAnim,null,9090731655971832,!1,[[3,1]]],[10,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0xfe56dfda728c6,!1,[[3,3]]]],[[0,null,!1,null,5778352711484958,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4688399266083598,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,6273331830053963,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],
[0,null,!1,null,0x6c72253375aea,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9895961839867952,!1,[[1,[2,"winniz"]]]]],[[10,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0x7c54ab2a4dac5,!1,[[3,1]]],[10,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0x8383c17dd2d65,!1,[[3,1]]]],[[0,null,!1,null,7962539132543254,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe5cb791b458ba,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,
null,0x459b218d87043,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,0x9331a5e4bb263,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xe996e8ded4965,!1,[[1,[2,"winpravo"]]]]],[[10,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0xce244689b2d5d,!1,[[3,1]]],[10,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",7360509124874907,!1,[[3,0]]]],[[0,null,!1,null,0x7627c734c2f9c,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,
6764010815135098,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,9157595702477758,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]],[0,null,!1,null,971545266631642,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,650224526680592,!1,[[1,[2,"winlevo"]]]]],[[10,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6564250607214671,!1,[[3,1]]],[10,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0xb50f3938eb289,!1,[[3,2]]]],[[0,
null,!1,null,0xfd87bce877e1d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7646429356564438,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,7706956377958602,!1,[[2,["sound5a",!1]],[3,0],[0,[0,-5]],[1,[2,""]]]]]]]]]]]],[0,[!0,"locker4"],!1,null,0xb5f1ddc6c412b,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xb5f1ddc6c412b,!1,[[1,[2,"locker4"]]]]],[],[[0,null,!1,null,0xbdfbbd7bc5a5f,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,5977003794649136,!1,[[4,10]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,7079252459396109,!1,[[1,[2,"touch1"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xdbb386ae5662d,!1,[[1,[2,"touch2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9613465528590472,!1,[[1,[2,"touch3"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6545998332667096,!1,[[1,[2,"touch4"]],[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,
7354008868102886,!1,[[0,[23,"lockertime"]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6185723435914439,!1,[[1,[2,"touch1"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,557795664057547,!1,[[1,[2,"touch2"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x72d4f2370f044,!1,[[1,[2,"touch3"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x67fe9e1784edc,!1,[[1,[2,"touch4"]],[3,1]]]]]]],[0,[!0,"push1"],!1,null,0x434eb843cca07,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,0x434eb843cca07,!1,[[1,[2,"push1"]]]]],[],[[0,null,!1,null,0xccc313088ce54,[[1,cr.behaviors.Rex_GridMove.prototype.cnds.OnCollidedBegin,"GridMove",1,!1,!1,!1,0x6c9a92bee4d2c,!1,[[4,8],[1,[2,"1"]]]]],[[4,cr.plugins_.Rex_gInstGroup.prototype.acts.PickInsts,null,0x6b1c48085dca9,!1,[[1,[2,"1"]],[4,8],[3,0]]],[8,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0xb0789e0c1c15e,!1,[[0,[22,1,"GridMove",cr.behaviors.Rex_GridMove.prototype.exps.Direction,!1,null]]]]],[[0,null,
!1,null,0x7bdf42faf56f0,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab3c9cd6d5cc4,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,9863812288672926,!1,[[2,["sound 1",!1]],[3,0],[0,[0,-9]],[1,[2,""]]]]]]]],[0,null,!1,null,811942742643104,[[1,cr.behaviors.Rex_GridMove.prototype.cnds.OnCollidedBegin,"GridMove",1,!1,!1,!1,0x868925336627b,!1,[[4,7],[1,[2,"1"]]]]],[[4,cr.plugins_.Rex_gInstGroup.prototype.acts.PickInsts,null,0x4f09a3cb92293,!1,[[1,
[2,"1"]],[4,7],[3,0]]],[7,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0xadf16b9af5d77,!1,[[0,[22,1,"GridMove",cr.behaviors.Rex_GridMove.prototype.exps.Direction,!1,null]]]]],[[0,null,!1,null,8830353250325963,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4555866160827503,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,9279625187820864,!1,[[2,["sound 1",!1]],[3,0],[0,[0,-9]],[1,[2,""]]]]]]]],[0,null,!1,null,0xdee0a85fb96b7,
[[1,cr.behaviors.Rex_GridMove.prototype.cnds.OnCollidedBegin,"GridMove",1,!1,!1,!1,9590179770041580,!1,[[4,10],[1,[2,"1"]]]]],[[4,cr.plugins_.Rex_gInstGroup.prototype.acts.PickInsts,null,8317053455913971,!1,[[1,[2,"1"]],[4,10],[3,0]]],[10,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",6494546270207087,!1,[[0,[22,1,"GridMove",cr.behaviors.Rex_GridMove.prototype.exps.Direction,!1,null]]]]],[[0,null,!1,null,9191782623679458,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,
!1,!1,5979302642850835,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,4516214045816084,!1,[[2,["sound 1",!1]],[3,0],[0,[0,-9]],[1,[2,""]]]]]]]]]],[0,[!0,"push2"],!1,null,0x5c67b66baa1d4,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x5c67b66baa1d4,!1,[[1,[2,"push2"]]]]],[],[[0,null,!1,null,0x5de3c96c4e365,[[7,cr.behaviors.Rex_GridMove.prototype.cnds.OnCollidedBegin,"GridMove",1,!1,!1,!1,0xfa23916a78e9f,!1,[[4,1],[1,[2,"2"]]]]],[[4,cr.plugins_.Rex_gInstGroup.prototype.acts.PickInsts,
null,5511959420215017,!1,[[1,[2,"2"]],[4,1],[3,0]]],[1,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0xb2c034ffae99a,!1,[[0,[22,7,"GridMove",cr.behaviors.Rex_GridMove.prototype.exps.Direction,!1,null]]]]],[[0,null,!1,null,9156471510138584,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd26f3e1330350,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,0x5677564e1191b,!1,[[2,["sound 1",!1]],[3,0],[0,[0,-9]],[1,[2,""]]]]]]]],[0,null,
!1,null,0xe1cd539f81a7a,[[7,cr.behaviors.Rex_GridMove.prototype.cnds.OnCollidedBegin,"GridMove",1,!1,!1,!1,837685945162907,!1,[[4,8],[1,[2,"2"]]]]],[[4,cr.plugins_.Rex_gInstGroup.prototype.acts.PickInsts,null,0x8b3653a4be01c,!1,[[1,[2,"2"]],[4,8],[3,0]]],[8,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",7733312007566692,!1,[[0,[22,7,"GridMove",cr.behaviors.Rex_GridMove.prototype.exps.Direction,!1,null]]]]],[[0,null,!1,null,4848933992426356,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,7832713012898045,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,9145149522509706,!1,[[2,["sound 1",!1]],[3,0],[0,[0,-9]],[1,[2,""]]]]]]]],[0,null,!1,null,816644432509971,[[7,cr.behaviors.Rex_GridMove.prototype.cnds.OnCollidedBegin,"GridMove",1,!1,!1,!1,0xc40fdd4430793,!1,[[4,10],[1,[2,"2"]]]]],[[4,cr.plugins_.Rex_gInstGroup.prototype.acts.PickInsts,null,6876897983593765,!1,[[1,[2,"2"]],[4,10],[3,0]]],[10,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,
"GridMove",0xc82d0324aec55,!1,[[0,[22,7,"GridMove",cr.behaviors.Rex_GridMove.prototype.exps.Direction,!1,null]]]]],[[0,null,!1,null,6367338935189437,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xaa79f2f93de37,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,8000847238592258,!1,[[2,["sound 1",!1]],[3,0],[0,[0,-9]],[1,[2,""]]]]]]]]]],[0,[!0,"push3"],!1,null,8846387633940951,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8846387633940951,
!1,[[1,[2,"push3"]]]]],[],[[0,null,!1,null,9293724137504724,[[8,cr.behaviors.Rex_GridMove.prototype.cnds.OnCollidedBegin,"GridMove",1,!1,!1,!1,0xb03319706d152,!1,[[4,7],[1,[2,"3"]]]]],[[4,cr.plugins_.Rex_gInstGroup.prototype.acts.PickInsts,null,6333150296151013,!1,[[1,[2,"3"]],[4,7],[3,0]]],[7,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0xd03301cb92e5b,!1,[[0,[22,8,"GridMove",cr.behaviors.Rex_GridMove.prototype.exps.Direction,!1,null]]]]],[[0,null,!1,null,0x77f665e37de77,[[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x5724011b053b7,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,6498038918909853,!1,[[2,["sound 1",!1]],[3,0],[0,[0,-9]],[1,[2,""]]]]]]]],[0,null,!1,null,5516423616965962,[[8,cr.behaviors.Rex_GridMove.prototype.cnds.OnCollidedBegin,"GridMove",1,!1,!1,!1,351665060322284,!1,[[4,1],[1,[2,"3"]]]]],[[4,cr.plugins_.Rex_gInstGroup.prototype.acts.PickInsts,null,9209696365418576,!1,[[1,[2,"3"]],[4,1],[3,0]]],[1,
cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",738315053992755,!1,[[0,[22,8,"GridMove",cr.behaviors.Rex_GridMove.prototype.exps.Direction,!1,null]]]]],[[0,null,!1,null,9757044556584492,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8363195415858559,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,9894092450496328,!1,[[2,["sound 1",!1]],[3,0],[0,[0,-9]],[1,[2,""]]]]]]]],[0,null,!1,null,6256633499048878,[[8,cr.behaviors.Rex_GridMove.prototype.cnds.OnCollidedBegin,
"GridMove",1,!1,!1,!1,0x962346d2638a9,!1,[[4,10],[1,[2,"3"]]]]],[[4,cr.plugins_.Rex_gInstGroup.prototype.acts.PickInsts,null,5385292276353575,!1,[[1,[2,"3"]],[4,10],[3,0]]],[10,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",783239073982772,!1,[[0,[22,8,"GridMove",cr.behaviors.Rex_GridMove.prototype.exps.Direction,!1,null]]]]],[[0,null,!1,null,7599353213967281,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7702454732579952,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,
cr.plugins_.Audio.prototype.acts.Play,null,0xe90a0d41cc1f,!1,[[2,["sound 1",!1]],[3,0],[0,[0,-9]],[1,[2,""]]]]]]]]]],[0,[!0,"push4"],!1,null,7630238231225794,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7630238231225794,!1,[[1,[2,"push4"]]]]],[],[[0,null,!1,null,9293724137504724,[[10,cr.behaviors.Rex_GridMove.prototype.cnds.OnCollidedBegin,"GridMove",1,!1,!1,!1,0xb03319706d152,!1,[[4,7],[1,[2,"4"]]]]],[[4,cr.plugins_.Rex_gInstGroup.prototype.acts.PickInsts,null,6333150296151013,
!1,[[1,[2,"4"]],[4,7],[3,0]]],[7,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",0xd03301cb92e5b,!1,[[0,[22,10,"GridMove",cr.behaviors.Rex_GridMove.prototype.exps.Direction,!1,null]]]]],[[0,null,!1,null,8582031496473231,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8649514940420843,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,8566131267993975,!1,[[2,["sound 1",!1]],[3,0],[0,[0,-9]],[1,[2,""]]]]]]]],[0,null,!1,null,5516423616965962,
[[10,cr.behaviors.Rex_GridMove.prototype.cnds.OnCollidedBegin,"GridMove",1,!1,!1,!1,351665060322284,!1,[[4,1],[1,[2,"4"]]]]],[[4,cr.plugins_.Rex_gInstGroup.prototype.acts.PickInsts,null,9209696365418576,!1,[[1,[2,"4"]],[4,1],[3,0]]],[1,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,"GridMove",738315053992755,!1,[[0,[22,10,"GridMove",cr.behaviors.Rex_GridMove.prototype.exps.Direction,!1,null]]]]],[[0,null,!1,null,520098721818408,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,6543341313170661,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,0xf4031977b174e,!1,[[2,["sound 1",!1]],[3,0],[0,[0,-9]],[1,[2,""]]]]]]]],[0,null,!1,null,6256633499048878,[[10,cr.behaviors.Rex_GridMove.prototype.cnds.OnCollidedBegin,"GridMove",1,!1,!1,!1,0x962346d2638a9,!1,[[4,8],[1,[2,"4"]]]]],[[4,cr.plugins_.Rex_gInstGroup.prototype.acts.PickInsts,null,5385292276353575,!1,[[1,[2,"4"]],[4,8],[3,0]]],[8,cr.behaviors.Rex_GridMove.prototype.acts.MoveToNeighbor,
"GridMove",783239073982772,!1,[[0,[22,10,"GridMove",cr.behaviors.Rex_GridMove.prototype.exps.Direction,!1,null]]]]],[[0,null,!1,null,0xccfdba060087f,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4c95c16b5c0bb,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,0xfa803ef4e80c5,!1,[[2,["sound 1",!1]],[3,0],[0,[0,-9]],[1,[2,""]]]]]]]]]],[0,[!0,"rotate"],!1,null,6663979687808596,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6663979687808596,
!1,[[1,[2,"rotate"]]]]],[],[[0,null,!1,null,7807700309016355,[[1,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xe5b96fdcac318,!1,[[4,13]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7356805952613329,!1]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe92d73ec57f1e,!1,[[1,[2,"niz"]],[3,1]]]]],[0,null,!1,null,4557645626119687,[[1,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8567963748816513,!1,[[4,11]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0x5997bc013ee10,!1]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9337950645571726,!1,[[1,[2,"verh"]],[3,1]]]]],[0,null,!1,null,0x78f35eacb0fa2,[[1,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,645481578907846,!1,[[4,12]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe6c473590f7fc,!1]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb8051cd854813,!1,[[1,[2,"pravo"]],[3,1]]]]],[0,null,!1,null,5945340271598362,[[1,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,8271951855839156,!1,[[4,14]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4818371139539537,!1]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4543242194684323,!1,[[1,[2,"levo"]],[3,1]]]]],[0,null,!1,null,0xd279ac68179f2,[[7,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9550556637135572,!1,[[4,13]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,615304948003916,!1]],[[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7443118497524211,
!1,[[1,[2,"niz"]],[3,1]]]]],[0,null,!1,null,4535676648300895,[[7,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9341824532096340,!1,[[4,11]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x891157a289481,!1]],[[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcd7d9308d3293,!1,[[1,[2,"verh"]],[3,1]]]]],[0,null,!1,null,6610487807767917,[[7,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,486055972380249,!1,[[4,12]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5679162436371221,!1]],[[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4516653146587991,!1,[[1,[2,"pravo"]],[3,1]]]]],[0,null,!1,null,9783627701531756,[[7,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7257198228871515,!1,[[4,14]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7528702348507804,!1]],[[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x63816daec6e96,!1,[[1,[2,"levo"]],[3,1]]]]],[0,null,!1,null,0xf7d027dbb5d89,[[8,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,6870555332523103,!1,[[4,13]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7395044253786783,!1]],[[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x544747241bec1,!1,[[1,[2,"niz"]],[3,1]]]]],[0,null,!1,null,630798407357568,[[8,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xbb645bd4ab225,!1,[[4,11]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7990932184029747,!1]],[[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe676feaca00d9,
!1,[[1,[2,"verh"]],[3,1]]]]],[0,null,!1,null,5848282357183391,[[8,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,591951078195579,!1,[[4,12]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe21b4ddf741d6,!1]],[[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7634220224973013,!1,[[1,[2,"pravo"]],[3,1]]]]],[0,null,!1,null,7365693730544982,[[8,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8914666374370949,!1,[[4,14]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,394693389366109,!1]],[[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4539464474616859,!1,[[1,[2,"levo"]],[3,1]]]]],[0,null,!1,null,9127024687671844,[[10,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x5aabef984b471,!1,[[4,13]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7861528646600606,!1]],[[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb4efe05fb0c85,!1,[[1,[2,"niz"]],[3,1]]]]],[0,null,!1,null,5226749825937263,[[10,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,5082377800518847,!1,[[4,11]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9920410196933452,!1]],[[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,732508266884158,!1,[[1,[2,"verh"]],[3,1]]]]],[0,null,!1,null,350689479037711,[[10,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xe56735afd435e,!1,[[4,12]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x5d8dd7c47229b,!1]],[[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7066272256725103,
!1,[[1,[2,"pravo"]],[3,1]]]]],[0,null,!1,null,5366026294053733,[[10,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xfe9c88ef3c84c,!1,[[4,14]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9729717580205876,!1]],[[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,676823544262869,!1,[[1,[2,"levo"]],[3,1]]]]],[0,null,!1,null,9577936178593772,[[1,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9769387644802706,!1,[[4,112]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5553781587176252,!1]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcfb4fe0e918f9,!1,[[1,[2,"niz"]],[3,1]]]]],[0,null,!1,null,9145011703098736,[[1,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xf81417779e56,!1,[[4,113]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xb957739259eb3,!1]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb94bbc6baa283,!1,[[1,[2,"verh"]],[3,1]]]]],[0,null,!1,null,9677111670823896,[[1,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,8900378462213015,!1,[[4,114]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5380577722458723,!1]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,691506597218336,!1,[[1,[2,"pravo"]],[3,1]]]]],[0,null,!1,null,707145838319844,[[1,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x45c67246f44c9,!1,[[4,115]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,407292191686086,!1]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9206260890291338,
!1,[[1,[2,"levo"]],[3,1]]]]],[0,null,!1,null,6173511042413403,[[7,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xdc6c03726c3a1,!1,[[4,112]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5604458091199815,!1]],[[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x633fff56e95ed,!1,[[1,[2,"niz"]],[3,1]]]]],[0,null,!1,null,4860632005777204,[[7,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xb510f403386c1,!1,[[4,113]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,332429487409844,!1]],[[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6f38c67a2c817,!1,[[1,[2,"verh"]],[3,1]]]]],[0,null,!1,null,9773832541896684,[[7,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9126285293929056,!1,[[4,114]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7888795473948225,!1]],[[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6072709444477511,!1,[[1,[2,"pravo"]],[3,1]]]]],[0,null,!1,null,5626232049819576,[[7,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,6771180866995016,!1,[[4,115]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9738301150961864,!1]],[[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4307c2a2bba5f,!1,[[1,[2,"levo"]],[3,1]]]]],[0,null,!1,null,4662246422810678,[[8,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,4723193340569996,!1,[[4,112]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4d507550e8319,!1]],[[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xfff8a30158f18,
!1,[[1,[2,"niz"]],[3,1]]]]],[0,null,!1,null,0xed8273f8eed9c,[[8,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7141975888833893,!1,[[4,113]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5610972912016919,!1]],[[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8629358246941969,!1,[[1,[2,"verh"]],[3,1]]]]],[0,null,!1,null,297789730695579,[[8,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,5692836673122974,!1,[[4,114]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xa50e69b021e72,!1]],[[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9364405960558504,!1,[[1,[2,"pravo"]],[3,1]]]]],[0,null,!1,null,9430679429252008,[[8,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,4940765707792057,!1,[[4,115]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8867883460590393,!1]],[[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4679903178196214,!1,[[1,[2,"levo"]],[3,1]]]]],[0,null,!1,null,0x8f558bd287bab,[[10,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,0xa94516d0b566a,!1,[[4,112]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5279768906844918,!1]],[[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xea1ca63c5c674,!1,[[1,[2,"niz"]],[3,1]]]]],[0,null,!1,null,7452152197840156,[[10,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6868069059262582,!1,[[4,113]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9097838588200152,!1]],[[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x9885cc0d5db1f,
!1,[[1,[2,"verh"]],[3,1]]]]],[0,null,!1,null,316961567851406,[[10,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7195454814954492,!1,[[4,114]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6094873785577895,!1]],[[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x7b1279df0d2b,!1,[[1,[2,"pravo"]],[3,1]]]]],[0,null,!1,null,0x68b1ee4cc5279,[[10,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xbef5c29741336,!1,[[4,115]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,995118152174986,!1]],[[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8111768560151672,!1,[[1,[2,"levo"]],[3,1]]]]]]],[0,[!0,"target1"],!1,null,542651022840437,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,542651022840437,!1,[[1,[2,"target1"]]]]],[],[[0,null,!1,null,8647542149490053,[[1,cr.behaviors.Rex_GridMove.prototype.cnds.IsMovingRequestAccepted,"GridMove",0,!1,!1,!1,0x7253c5f3b9dab,!1]],[],[[0,null,!0,null,0x76ec40e1fcbac,[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,9715485480503982,!1,[[1,[2,"verh"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5679822428165377,!1,[[1,[2,"winverh"]]]]],[[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,9339673052216088,!1,[[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,140]]]]]]],[0,null,!0,null,9415917783516654,[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x570ee049feead,!1,[[1,[2,"niz"]]]],[1,
cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9177361025925144,!1,[[1,[2,"winniz"]]]]],[[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,5399741515552703,!1,[[0,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,140]]]]]]],[0,null,!0,null,5083279832790242,[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x81ff76565cf11,!1,[[1,[2,"pravo"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,
!1,!1,8064120645879794,!1,[[1,[2,"winpravo"]]]]],[[16,cr.plugins_.Sprite.prototype.acts.SetPos,null,9831207482132760,!1,[[0,[4,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,140]]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]],[0,null,!0,null,5850132584815704,[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xf3c6358e69526,!1,[[1,[2,"levo"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xa76d472094ae3,!1,[[1,[2,"winlevo"]]]]],[[16,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xddccfc7318a0a,!1,[[0,[5,[20,1,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,140]]],[0,[20,1,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]]]],[0,[!0,"target2"],!1,null,7753152271020623,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7753152271020623,!1,[[1,[2,"target2"]]]]],[],[[0,null,!1,null,8647542149490053,[[7,cr.behaviors.Rex_GridMove.prototype.cnds.IsMovingRequestAccepted,"GridMove",0,!1,!1,!1,0x7253c5f3b9dab,!1]],[],[[0,null,!0,null,0x76ec40e1fcbac,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,4555840252257812,!1,[[1,[2,"verh"]]]],[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9502573868041116,!1,[[1,[2,"winverh"]]]]],[[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,9339673052216088,!1,[[0,[20,7,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,7,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,140]]]]]]],[0,null,!0,null,9415917783516654,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,31365198401037,!1,[[1,[2,"niz"]]]],[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,968661377261353,!1,[[1,[2,"winniz"]]]]],[[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,5399741515552703,!1,[[0,[20,7,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,7,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,140]]]]]]],[0,null,!0,null,5083279832790242,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,912603569796025,!1,[[1,[2,"pravo"]]]],[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,8294986548059441,!1,[[1,[2,"winpravo"]]]]],
[[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,9831207482132760,!1,[[0,[4,[20,7,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,140]]],[0,[20,7,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]],[0,null,!0,null,5850132584815704,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5458014530637773,!1,[[1,[2,"levo"]]]],[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,781479526120845,!1,[[1,[2,"winlevo"]]]]],[[17,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xddccfc7318a0a,
!1,[[0,[5,[20,7,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,140]]],[0,[20,7,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]]]],[0,[!0,"target3"],!1,null,7485759447390715,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7485759447390715,!1,[[1,[2,"target3"]]]]],[],[[0,null,!1,null,8647542149490053,[[8,cr.behaviors.Rex_GridMove.prototype.cnds.IsMovingRequestAccepted,"GridMove",0,!1,!1,!1,0x7253c5f3b9dab,!1]],[],[[0,null,!0,null,0x76ec40e1fcbac,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,552395013437542,!1,[[1,[2,"verh"]]]],[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,7120873846968917,!1,[[1,[2,"winverh"]]]]],[[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,9339673052216088,!1,[[0,[20,8,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,8,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,140]]]]]]],[0,null,!0,null,9415917783516654,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x9ddec572919b3,!1,[[1,[2,"niz"]]]],[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,4935968588821138,!1,[[1,[2,"winniz"]]]]],[[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,5399741515552703,!1,[[0,[20,8,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,8,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,140]]]]]]],[0,null,!0,null,5083279832790242,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9528952960031104,!1,[[1,[2,"pravo"]]]],[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xf68d5011b3599,!1,[[1,[2,"winpravo"]]]]],
[[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,9831207482132760,!1,[[0,[4,[20,8,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,140]]],[0,[20,8,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]],[0,null,!0,null,5850132584815704,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9523000606398412,!1,[[1,[2,"levo"]]]],[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,8672397599124503,!1,[[1,[2,"winlevo"]]]]],[[18,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xddccfc7318a0a,
!1,[[0,[5,[20,8,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,140]]],[0,[20,8,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]]]],[0,[!0,"target4"],!1,null,0x4668c1c497d53,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x4668c1c497d53,!1,[[1,[2,"target4"]]]]],[],[[0,null,!1,null,8647542149490053,[[10,cr.behaviors.Rex_GridMove.prototype.cnds.IsMovingRequestAccepted,"GridMove",0,!1,!1,!1,0x7253c5f3b9dab,!1]],[],[[0,null,!0,null,0x76ec40e1fcbac,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,9715485480503982,!1,[[1,[2,"verh"]]]],[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5477306374838718,!1,[[1,[2,"winverh"]]]]],[[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,9339673052216088,!1,[[0,[20,10,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,10,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,140]]]]]]],[0,null,!0,null,9415917783516654,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x570ee049feead,!1,[[1,[2,"niz"]]]],
[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xe25d9d3e5460e,!1,[[1,[2,"winniz"]]]]],[[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,5399741515552703,!1,[[0,[20,10,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,10,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,140]]]]]]],[0,null,!0,null,5083279832790242,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x81ff76565cf11,!1,[[1,[2,"pravo"]]]],[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,
0,!1,!1,!1,710796349902678,!1,[[1,[2,"winpravo"]]]]],[[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,9831207482132760,!1,[[0,[4,[20,10,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,140]]],[0,[20,10,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]],[0,null,!0,null,5850132584815704,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xf3c6358e69526,!1,[[1,[2,"levo"]]]],[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x4eed1b2270059,!1,[[1,[2,"winlevo"]]]]],
[[19,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xddccfc7318a0a,!1,[[0,[5,[20,10,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,140]]],[0,[20,10,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]]]],[0,[!0,"Zindex"],!1,null,0xa6b0a842b7b97,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xa6b0a842b7b97,!1,[[1,[2,"Zindex"]]]]],[],[[0,[!0,"zindchess1"],!1,null,0x811b1afb5be53,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x811b1afb5be53,!1,[[1,[2,"zindchess1"]]]]],
[],[[0,null,!0,null,9572169363155064,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,515195898645194,!1,[[4,1],[0,[0,0]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xf8969242a26a9,!1,[[4,1],[0,[0,1]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8150642457247508,!1,[[4,1],[0,[0,2]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,
0,!1,!1,!1,6914108007192618,!1,[[4,1],[0,[0,3]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xd5bab22fd10e0,!1,[[4,1],[0,[0,4]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9823835896003320,!1,[[4,1],[0,[0,5]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,402182401308642,!1,[[4,1],[0,[0,6]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,355754116226532,!1,[[4,1],[0,[0,7]],[0,[0,0]],[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,6249956499034669,!1,[[5,[0,1]]]]]],[0,null,!0,null,5923404181086423,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7839888355860577,!1,[[4,1],[0,[0,0]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x3f4b8a320661d,!1,[[4,1],[0,[0,1]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,6550303070579627,!1,[[4,1],[0,[0,2]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9236342405162248,!1,[[4,1],[0,[0,3]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x4ff4f8511e91e,!1,[[4,1],[0,[0,4]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,4979837453516598,!1,[[4,1],[0,[0,5]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,7005332648084294,!1,[[4,1],[0,[0,6]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6802045314641699,!1,[[4,1],[0,[0,7]],[0,[0,1]],[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,5850050844204881,!1,[[5,[0,2]]]]]],[0,null,!0,null,0x668323dba969d,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5675912643678356,!1,[[4,1],[0,[0,0]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,6229846877883626,!1,[[4,1],[0,[0,1]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xfb19444997e99,!1,[[4,1],[0,[0,2]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5225403214292127,!1,[[4,1],[0,[0,3]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x9a141b4890aa5,!1,[[4,1],[0,[0,4]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,6902708900024588,!1,[[4,1],[0,[0,5]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xc6d33db9a3741,!1,[[4,1],[0,[0,6]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7362779135176201,!1,[[4,1],[0,[0,7]],[0,[0,2]],[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,5234186879853154,!1,[[5,[0,3]]]]]],[0,null,!0,null,0xf0733478485c1,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xf846419ce81f9,!1,[[4,1],[0,[0,0]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5579307137904091,!1,[[4,1],[0,[0,1]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9256615525520592,!1,[[4,1],[0,[0,2]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,702858920994314,!1,[[4,1],[0,[0,3]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,6003043200718219,!1,[[4,1],[0,[0,4]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x4facc924799fd,!1,[[4,1],[0,[0,5]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7012357973835585,!1,[[4,1],[0,[0,6]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xf04c241594cff,!1,[[4,1],[0,[0,7]],[0,[0,3]],[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.MoveToLayer,
null,0x4fd995107879d,!1,[[5,[0,4]]]]]],[0,null,!0,null,5918420131328415,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7432003534252864,!1,[[4,1],[0,[0,0]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xfa399772286c7,!1,[[4,1],[0,[0,1]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5841545115182236,!1,[[4,1],[0,[0,2]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0x6376212f0df4f,!1,[[4,1],[0,[0,3]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x89e27d0acbf13,!1,[[4,1],[0,[0,4]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8583330323896403,!1,[[4,1],[0,[0,5]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8813106801568173,!1,[[4,1],[0,[0,6]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,5993644361979568,!1,[[4,1],[0,[0,7]],[0,[0,4]],[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x86c72ca8eda4b,!1,[[5,[0,5]]]]]],[0,null,!0,null,9663687114673660,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6052413412456918,!1,[[4,1],[0,[0,0]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8443437220572771,!1,[[4,1],[0,[0,1]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,8986592883596623,!1,[[4,1],[0,[0,2]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6043092582268739,!1,[[4,1],[0,[0,3]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xfac818435b56,!1,[[4,1],[0,[0,4]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8290112947862352,!1,[[4,1],[0,[0,5]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xeeceed241b09e,!1,[[4,1],[0,[0,6]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9958489484493388,!1,[[4,1],[0,[0,7]],[0,[0,5]],[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,6189346758294752,!1,[[5,[0,6]]]]]],[0,null,!0,null,9070859540407836,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8286684221978648,!1,[[4,1],[0,[0,0]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xda1e2ee9eb231,!1,[[4,1],[0,[0,1]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8709076792847904,!1,[[4,1],[0,[0,2]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7627532920066107,!1,[[4,1],[0,[0,3]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x54c99862e89f3,!1,[[4,1],[0,[0,4]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0x4fc9cac81e98c,!1,[[4,1],[0,[0,5]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9514509222375024,!1,[[4,1],[0,[0,6]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xf2b9d5cbdd045,!1,[[4,1],[0,[0,7]],[0,[0,6]],[0,[0,1]]]]],[[1,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,8535191564875465,!1,[[5,[0,7]]]]]]]],[0,[!0,"zindchess2"],!1,null,6950775760042306,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,6950775760042306,!1,[[1,[2,"zindchess2"]]]]],[],[[0,null,!0,null,9572169363155064,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,515195898645194,!1,[[4,7],[0,[0,0]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xf8969242a26a9,!1,[[4,7],[0,[0,1]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8150642457247508,!1,[[4,7],[0,[0,2]],[0,[0,0]],[0,[0,1]]]],[2,
cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6914108007192618,!1,[[4,7],[0,[0,3]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xd5bab22fd10e0,!1,[[4,7],[0,[0,4]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9823835896003320,!1,[[4,7],[0,[0,5]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,402182401308642,!1,[[4,7],[0,
[0,6]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,355754116226532,!1,[[4,7],[0,[0,7]],[0,[0,0]],[0,[0,1]]]]],[[7,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,6249956499034669,!1,[[5,[0,1]]]]]],[0,null,!0,null,5923404181086423,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7839888355860577,!1,[[4,7],[0,[0,0]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x3f4b8a320661d,
!1,[[4,7],[0,[0,1]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6550303070579627,!1,[[4,7],[0,[0,2]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9236342405162248,!1,[[4,7],[0,[0,3]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x4ff4f8511e91e,!1,[[4,7],[0,[0,4]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,4979837453516598,!1,[[4,7],[0,[0,5]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7005332648084294,!1,[[4,7],[0,[0,6]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6802045314641699,!1,[[4,7],[0,[0,7]],[0,[0,1]],[0,[0,1]]]]],[[7,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,5850050844204881,!1,[[5,[0,2]]]]]],[0,null,!0,null,0x668323dba969d,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,5675912643678356,!1,[[4,7],[0,[0,0]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6229846877883626,!1,[[4,7],[0,[0,1]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xfb19444997e99,!1,[[4,7],[0,[0,2]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5225403214292127,!1,[[4,7],[0,[0,3]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0x9a141b4890aa5,!1,[[4,7],[0,[0,4]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6902708900024588,!1,[[4,7],[0,[0,5]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xc6d33db9a3741,!1,[[4,7],[0,[0,6]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7362779135176201,!1,[[4,7],[0,[0,7]],[0,[0,2]],[0,[0,1]]]]],[[7,cr.plugins_.Sprite.prototype.acts.MoveToLayer,
null,5234186879853154,!1,[[5,[0,3]]]]]],[0,null,!0,null,0xf0733478485c1,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xf846419ce81f9,!1,[[4,7],[0,[0,0]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5579307137904091,!1,[[4,7],[0,[0,1]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9256615525520592,!1,[[4,7],[0,[0,2]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,702858920994314,!1,[[4,7],[0,[0,3]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6003043200718219,!1,[[4,7],[0,[0,4]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x4facc924799fd,!1,[[4,7],[0,[0,5]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7012357973835585,!1,[[4,7],[0,[0,6]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xf04c241594cff,!1,[[4,7],[0,[0,7]],[0,[0,3]],[0,[0,1]]]]],[[7,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x4fd995107879d,!1,[[5,[0,4]]]]]],[0,null,!0,null,5918420131328415,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7432003534252864,!1,[[4,7],[0,[0,0]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xfa399772286c7,!1,[[4,7],[0,[0,1]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,5841545115182236,!1,[[4,7],[0,[0,2]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x6376212f0df4f,!1,[[4,7],[0,[0,3]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x89e27d0acbf13,!1,[[4,7],[0,[0,4]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8583330323896403,!1,[[4,7],[0,[0,5]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,8813106801568173,!1,[[4,7],[0,[0,6]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5993644361979568,!1,[[4,7],[0,[0,7]],[0,[0,4]],[0,[0,1]]]]],[[7,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x86c72ca8eda4b,!1,[[5,[0,5]]]]]],[0,null,!0,null,9663687114673660,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6052413412456918,!1,[[4,7],[0,[0,0]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,8443437220572771,!1,[[4,7],[0,[0,1]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8986592883596623,!1,[[4,7],[0,[0,2]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6043092582268739,!1,[[4,7],[0,[0,3]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xfac818435b56,!1,[[4,7],[0,[0,4]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,8290112947862352,!1,[[4,7],[0,[0,5]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xeeceed241b09e,!1,[[4,7],[0,[0,6]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9958489484493388,!1,[[4,7],[0,[0,7]],[0,[0,5]],[0,[0,1]]]]],[[7,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,6189346758294752,!1,[[5,[0,6]]]]]],[0,null,!0,null,9070859540407836,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,8286684221978648,!1,[[4,7],[0,[0,0]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xda1e2ee9eb231,!1,[[4,7],[0,[0,1]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8709076792847904,!1,[[4,7],[0,[0,2]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7627532920066107,!1,[[4,7],[0,[0,3]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0x54c99862e89f3,!1,[[4,7],[0,[0,4]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x4fc9cac81e98c,!1,[[4,7],[0,[0,5]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9514509222375024,!1,[[4,7],[0,[0,6]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xf2b9d5cbdd045,!1,[[4,7],[0,[0,7]],[0,[0,6]],[0,[0,1]]]]],[[7,cr.plugins_.Sprite.prototype.acts.MoveToLayer,
null,8535191564875465,!1,[[5,[0,7]]]]]]]],[0,[!0,"zindchess3"],!1,null,0x535ed277fb474,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x535ed277fb474,!1,[[1,[2,"zindchess3"]]]]],[],[[0,null,!0,null,9572169363155064,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,515195898645194,!1,[[4,8],[0,[0,0]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xf8969242a26a9,!1,[[4,8],[0,[0,1]],[0,[0,0]],[0,[0,1]]]],
[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8150642457247508,!1,[[4,8],[0,[0,2]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6914108007192618,!1,[[4,8],[0,[0,3]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xd5bab22fd10e0,!1,[[4,8],[0,[0,4]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9823835896003320,!1,[[4,8],
[0,[0,5]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,402182401308642,!1,[[4,8],[0,[0,6]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,355754116226532,!1,[[4,8],[0,[0,7]],[0,[0,0]],[0,[0,1]]]]],[[8,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,6249956499034669,!1,[[5,[0,1]]]]]],[0,null,!0,null,5923404181086423,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7839888355860577,
!1,[[4,8],[0,[0,0]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x3f4b8a320661d,!1,[[4,8],[0,[0,1]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6550303070579627,!1,[[4,8],[0,[0,2]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9236342405162248,!1,[[4,8],[0,[0,3]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0x4ff4f8511e91e,!1,[[4,8],[0,[0,4]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,4979837453516598,!1,[[4,8],[0,[0,5]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7005332648084294,!1,[[4,8],[0,[0,6]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6802045314641699,!1,[[4,8],[0,[0,7]],[0,[0,1]],[0,[0,1]]]]],[[8,cr.plugins_.Sprite.prototype.acts.MoveToLayer,
null,5850050844204881,!1,[[5,[0,2]]]]]],[0,null,!0,null,0x668323dba969d,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5675912643678356,!1,[[4,8],[0,[0,0]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6229846877883626,!1,[[4,8],[0,[0,1]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xfb19444997e99,!1,[[4,8],[0,[0,2]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,5225403214292127,!1,[[4,8],[0,[0,3]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x9a141b4890aa5,!1,[[4,8],[0,[0,4]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6902708900024588,!1,[[4,8],[0,[0,5]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xc6d33db9a3741,!1,[[4,8],[0,[0,6]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,7362779135176201,!1,[[4,8],[0,[0,7]],[0,[0,2]],[0,[0,1]]]]],[[8,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,5234186879853154,!1,[[5,[0,3]]]]]],[0,null,!0,null,0xf0733478485c1,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xf846419ce81f9,!1,[[4,8],[0,[0,0]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5579307137904091,!1,[[4,8],[0,[0,1]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,9256615525520592,!1,[[4,8],[0,[0,2]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,702858920994314,!1,[[4,8],[0,[0,3]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6003043200718219,!1,[[4,8],[0,[0,4]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x4facc924799fd,!1,[[4,8],[0,[0,5]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,7012357973835585,!1,[[4,8],[0,[0,6]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xf04c241594cff,!1,[[4,8],[0,[0,7]],[0,[0,3]],[0,[0,1]]]]],[[8,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x4fd995107879d,!1,[[5,[0,4]]]]]],[0,null,!0,null,5918420131328415,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7432003534252864,!1,[[4,8],[0,[0,0]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xfa399772286c7,!1,[[4,8],[0,[0,1]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5841545115182236,!1,[[4,8],[0,[0,2]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x6376212f0df4f,!1,[[4,8],[0,[0,3]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x89e27d0acbf13,!1,[[4,8],[0,[0,4]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,8583330323896403,!1,[[4,8],[0,[0,5]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8813106801568173,!1,[[4,8],[0,[0,6]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5993644361979568,!1,[[4,8],[0,[0,7]],[0,[0,4]],[0,[0,1]]]]],[[8,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x86c72ca8eda4b,!1,[[5,[0,5]]]]]],[0,null,!0,null,9663687114673660,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,6052413412456918,!1,[[4,8],[0,[0,0]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8443437220572771,!1,[[4,8],[0,[0,1]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8986592883596623,!1,[[4,8],[0,[0,2]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6043092582268739,!1,[[4,8],[0,[0,3]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xfac818435b56,!1,[[4,8],[0,[0,4]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8290112947862352,!1,[[4,8],[0,[0,5]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xeeceed241b09e,!1,[[4,8],[0,[0,6]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9958489484493388,!1,[[4,8],[0,[0,7]],[0,[0,5]],[0,[0,1]]]]],[[8,cr.plugins_.Sprite.prototype.acts.MoveToLayer,
null,6189346758294752,!1,[[5,[0,6]]]]]],[0,null,!0,null,9070859540407836,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8286684221978648,!1,[[4,8],[0,[0,0]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xda1e2ee9eb231,!1,[[4,8],[0,[0,1]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8709076792847904,!1,[[4,8],[0,[0,2]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,7627532920066107,!1,[[4,8],[0,[0,3]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x54c99862e89f3,!1,[[4,8],[0,[0,4]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x4fc9cac81e98c,!1,[[4,8],[0,[0,5]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9514509222375024,!1,[[4,8],[0,[0,6]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xf2b9d5cbdd045,!1,[[4,8],[0,[0,7]],[0,[0,6]],[0,[0,1]]]]],[[8,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,8535191564875465,!1,[[5,[0,7]]]]]]]],[0,[!0,"zindchess4"],!1,null,0x4308d1ce4eed4,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x4308d1ce4eed4,!1,[[1,[2,"zindchess4"]]]]],[],[[0,null,!0,null,9572169363155064,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,515195898645194,!1,[[4,10],[0,[0,0]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xf8969242a26a9,!1,[[4,10],[0,[0,1]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8150642457247508,!1,[[4,10],[0,[0,2]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6914108007192618,!1,[[4,10],[0,[0,3]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xd5bab22fd10e0,!1,[[4,10],[0,[0,4]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,9823835896003320,!1,[[4,10],[0,[0,5]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,402182401308642,!1,[[4,10],[0,[0,6]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,355754116226532,!1,[[4,10],[0,[0,7]],[0,[0,0]],[0,[0,1]]]]],[[10,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,6249956499034669,!1,[[5,[0,1]]]]]],[0,null,!0,null,5923404181086423,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,7839888355860577,!1,[[4,10],[0,[0,0]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x3f4b8a320661d,!1,[[4,10],[0,[0,1]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6550303070579627,!1,[[4,10],[0,[0,2]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9236342405162248,!1,[[4,10],[0,[0,3]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0x4ff4f8511e91e,!1,[[4,10],[0,[0,4]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,4979837453516598,!1,[[4,10],[0,[0,5]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7005332648084294,!1,[[4,10],[0,[0,6]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6802045314641699,!1,[[4,10],[0,[0,7]],[0,[0,1]],[0,[0,1]]]]],[[10,cr.plugins_.Sprite.prototype.acts.MoveToLayer,
null,5850050844204881,!1,[[5,[0,2]]]]]],[0,null,!0,null,0x668323dba969d,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5675912643678356,!1,[[4,10],[0,[0,0]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6229846877883626,!1,[[4,10],[0,[0,1]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xfb19444997e99,!1,[[4,10],[0,[0,2]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,5225403214292127,!1,[[4,10],[0,[0,3]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x9a141b4890aa5,!1,[[4,10],[0,[0,4]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6902708900024588,!1,[[4,10],[0,[0,5]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xc6d33db9a3741,!1,[[4,10],[0,[0,6]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,7362779135176201,!1,[[4,10],[0,[0,7]],[0,[0,2]],[0,[0,1]]]]],[[10,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,5234186879853154,!1,[[5,[0,3]]]]]],[0,null,!0,null,0xf0733478485c1,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xf846419ce81f9,!1,[[4,10],[0,[0,0]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5579307137904091,!1,[[4,10],[0,[0,1]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,9256615525520592,!1,[[4,10],[0,[0,2]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,702858920994314,!1,[[4,10],[0,[0,3]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6003043200718219,!1,[[4,10],[0,[0,4]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x4facc924799fd,!1,[[4,10],[0,[0,5]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,7012357973835585,!1,[[4,10],[0,[0,6]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xf04c241594cff,!1,[[4,10],[0,[0,7]],[0,[0,3]],[0,[0,1]]]]],[[10,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x4fd995107879d,!1,[[5,[0,4]]]]]],[0,null,!0,null,5918420131328415,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7432003534252864,!1,[[4,10],[0,[0,0]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xfa399772286c7,!1,[[4,10],[0,[0,1]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5841545115182236,!1,[[4,10],[0,[0,2]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x6376212f0df4f,!1,[[4,10],[0,[0,3]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x89e27d0acbf13,!1,[[4,10],[0,[0,4]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,8583330323896403,!1,[[4,10],[0,[0,5]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8813106801568173,!1,[[4,10],[0,[0,6]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5993644361979568,!1,[[4,10],[0,[0,7]],[0,[0,4]],[0,[0,1]]]]],[[10,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x86c72ca8eda4b,!1,[[5,[0,5]]]]]],[0,null,!0,null,9663687114673660,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,6052413412456918,!1,[[4,10],[0,[0,0]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8443437220572771,!1,[[4,10],[0,[0,1]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8986592883596623,!1,[[4,10],[0,[0,2]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6043092582268739,!1,[[4,10],[0,[0,3]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xfac818435b56,!1,[[4,10],[0,[0,4]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8290112947862352,!1,[[4,10],[0,[0,5]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xeeceed241b09e,!1,[[4,10],[0,[0,6]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9958489484493388,!1,[[4,10],[0,[0,7]],[0,[0,5]],[0,[0,1]]]]],[[10,cr.plugins_.Sprite.prototype.acts.MoveToLayer,
null,6189346758294752,!1,[[5,[0,6]]]]]],[0,null,!0,null,9070859540407836,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8286684221978648,!1,[[4,10],[0,[0,0]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xda1e2ee9eb231,!1,[[4,10],[0,[0,1]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8709076792847904,!1,[[4,10],[0,[0,2]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,7627532920066107,!1,[[4,10],[0,[0,3]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x54c99862e89f3,!1,[[4,10],[0,[0,4]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x4fc9cac81e98c,!1,[[4,10],[0,[0,5]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9514509222375024,!1,[[4,10],[0,[0,6]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xf2b9d5cbdd045,!1,[[4,10],[0,[0,7]],[0,[0,6]],[0,[0,1]]]]],[[10,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,8535191564875465,!1,[[5,[0,7]]]]]]]]]],[0,[!0,"Buttons"],!1,null,0x9dd9577b30ded,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x9dd9577b30ded,!1,[[1,[2,"Buttons"]]]]],[],[[0,[!0,"green"],!1,null,0xd83676658171d,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xd83676658171d,!1,[[1,[2,"green"]]]]],[],[[0,null,!1,null,0x50b394d3ab49d,
[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,4929399183147831,!1,[[1,[2,"niz"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x498f5dbc626d1,!1,[[4,21]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4609769411288147,!1,[[1,[2,"winniz"]],[3,1]]]]],[0,null,!1,null,837285191536183,[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9937669376541624,!1,[[1,[2,"winniz"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,
!0,!1,7574487093234617,!1,[[4,21]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x67329bc1150be,!1,[[1,[2,"niz"]],[3,1]]]]],[0,null,!1,null,8708435601046707,[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9905427644447974,!1,[[1,[2,"verh"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,986580007039641,!1,[[4,21]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x3eaba9919cefd,!1,[[1,[2,"winverh"]],[3,1]]]]],[0,null,!1,null,4935712958278228,[[1,
cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,6232634284233685,!1,[[1,[2,"winverh"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0x9044a6f724e04,!1,[[4,21]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8143383420558645,!1,[[1,[2,"verh"]],[3,1]]]]],[0,null,!1,null,6290577283727444,[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,4624551541231077,!1,[[1,[2,"pravo"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,
!1,7192086678351083,!1,[[4,21]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5298088033965327,!1,[[1,[2,"winpravo"]],[3,1]]]]],[0,null,!1,null,6722004869672731,[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5763195222182918,!1,[[1,[2,"winpravo"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,4904488597649959,!1,[[4,21]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,377600311664465,!1,[[1,[2,"pravo"]],[3,1]]]]],[0,null,!1,null,0xb44ba33970678,
[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xeba977787cfbd,!1,[[1,[2,"levo"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x563ffb73fb0a6,!1,[[4,21]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6b80664826b31,!1,[[1,[2,"winlevo"]],[3,1]]]]],[0,null,!1,null,5941979891617982,[[1,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x911105e072bed,!1,[[1,[2,"winlevo"]]]],[1,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,
!0,!1,0xd2fade099bd0,!1,[[4,21]]]],[[1,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5021303067823617,!1,[[1,[2,"levo"]],[3,1]]]]]]],[0,[!0,"red"],!1,null,0xacfd141894b1e,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xacfd141894b1e,!1,[[1,[2,"red"]]]]],[],[[0,null,!1,null,0x50b394d3ab49d,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,4929399183147831,!1,[[1,[2,"niz"]]]],[7,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x498f5dbc626d1,!1,
[[4,22]]]],[[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4609769411288147,!1,[[1,[2,"winniz"]],[3,1]]]]],[0,null,!1,null,837285191536183,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9937669376541624,!1,[[1,[2,"winniz"]]]],[7,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,7574487093234617,!1,[[4,22]]]],[[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x67329bc1150be,!1,[[1,[2,"niz"]],[3,1]]]]],[0,null,!1,null,8708435601046707,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,9905427644447974,!1,[[1,[2,"verh"]]]],[7,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,986580007039641,!1,[[4,22]]]],[[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x3eaba9919cefd,!1,[[1,[2,"winverh"]],[3,1]]]]],[0,null,!1,null,4935712958278228,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,6232634284233685,!1,[[1,[2,"winverh"]]]],[7,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0x9044a6f724e04,!1,[[4,22]]]],[[7,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,8143383420558645,!1,[[1,[2,"verh"]],[3,1]]]]],[0,null,!1,null,6290577283727444,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,4624551541231077,!1,[[1,[2,"pravo"]]]],[7,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7192086678351083,!1,[[4,22]]]],[[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5298088033965327,!1,[[1,[2,"winpravo"]],[3,1]]]]],[0,null,!1,null,6722004869672731,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5763195222182918,
!1,[[1,[2,"winpravo"]]]],[7,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,4904488597649959,!1,[[4,22]]]],[[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,377600311664465,!1,[[1,[2,"pravo"]],[3,1]]]]],[0,null,!1,null,0xb44ba33970678,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xeba977787cfbd,!1,[[1,[2,"levo"]]]],[7,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x563ffb73fb0a6,!1,[[4,22]]]],[[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,
0x6b80664826b31,!1,[[1,[2,"winlevo"]],[3,1]]]]],[0,null,!1,null,5941979891617982,[[7,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x911105e072bed,!1,[[1,[2,"winlevo"]]]],[7,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0xd2fade099bd0,!1,[[4,22]]]],[[7,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5021303067823617,!1,[[1,[2,"levo"]],[3,1]]]]]]],[0,[!0,"yellow"],!1,null,4753696626342022,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,4753696626342022,
!1,[[1,[2,"yellow"]]]]],[],[[0,null,!1,null,0x50b394d3ab49d,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,4929399183147831,!1,[[1,[2,"niz"]]]],[8,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x498f5dbc626d1,!1,[[4,23]]]],[[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4609769411288147,!1,[[1,[2,"winniz"]],[3,1]]]]],[0,null,!1,null,837285191536183,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9937669376541624,!1,[[1,[2,"winniz"]]]],
[8,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,7574487093234617,!1,[[4,23]]]],[[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x67329bc1150be,!1,[[1,[2,"niz"]],[3,1]]]]],[0,null,!1,null,8708435601046707,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9905427644447974,!1,[[1,[2,"verh"]]]],[8,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,986580007039641,!1,[[4,23]]]],[[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x3eaba9919cefd,!1,[[1,
[2,"winverh"]],[3,1]]]]],[0,null,!1,null,4935712958278228,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,6232634284233685,!1,[[1,[2,"winverh"]]]],[8,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0x9044a6f724e04,!1,[[4,23]]]],[[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8143383420558645,!1,[[1,[2,"verh"]],[3,1]]]]],[0,null,!1,null,6290577283727444,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,4624551541231077,!1,[[1,[2,"pravo"]]]],
[8,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7192086678351083,!1,[[4,23]]]],[[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5298088033965327,!1,[[1,[2,"winpravo"]],[3,1]]]]],[0,null,!1,null,6722004869672731,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5763195222182918,!1,[[1,[2,"winpravo"]]]],[8,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,4904488597649959,!1,[[4,23]]]],[[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,377600311664465,
!1,[[1,[2,"pravo"]],[3,1]]]]],[0,null,!1,null,0xb44ba33970678,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xeba977787cfbd,!1,[[1,[2,"levo"]]]],[8,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x563ffb73fb0a6,!1,[[4,23]]]],[[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6b80664826b31,!1,[[1,[2,"winlevo"]],[3,1]]]]],[0,null,!1,null,5941979891617982,[[8,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x911105e072bed,!1,[[1,[2,"winlevo"]]]],
[8,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0xd2fade099bd0,!1,[[4,23]]]],[[8,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5021303067823617,!1,[[1,[2,"levo"]],[3,1]]]]]]],[0,[!0,"blue"],!1,null,9128174889955728,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9128174889955728,!1,[[1,[2,"blue"]]]]],[],[[0,null,!1,null,0x50b394d3ab49d,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,4929399183147831,!1,[[1,[2,"niz"]]]],[10,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,0x498f5dbc626d1,!1,[[4,24]]]],[[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4609769411288147,!1,[[1,[2,"winniz"]],[3,1]]]]],[0,null,!1,null,837285191536183,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9937669376541624,!1,[[1,[2,"winniz"]]]],[10,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,7574487093234617,!1,[[4,24]]]],[[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x67329bc1150be,!1,[[1,[2,"niz"]],[3,1]]]]],[0,null,!1,null,8708435601046707,
[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9905427644447974,!1,[[1,[2,"verh"]]]],[10,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,986580007039641,!1,[[4,24]]]],[[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x3eaba9919cefd,!1,[[1,[2,"winverh"]],[3,1]]]]],[0,null,!1,null,4935712958278228,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,6232634284233685,!1,[[1,[2,"winverh"]]]],[10,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,
0,!1,!0,!1,0x9044a6f724e04,!1,[[4,24]]]],[[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8143383420558645,!1,[[1,[2,"verh"]],[3,1]]]]],[0,null,!1,null,6290577283727444,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,4624551541231077,!1,[[1,[2,"pravo"]]]],[10,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7192086678351083,!1,[[4,24]]]],[[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5298088033965327,!1,[[1,[2,"winpravo"]],[3,1]]]]],[0,null,!1,null,6722004869672731,
[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,5763195222182918,!1,[[1,[2,"winpravo"]]]],[10,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,4904488597649959,!1,[[4,24]]]],[[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,377600311664465,!1,[[1,[2,"pravo"]],[3,1]]]]],[0,null,!1,null,0xb44ba33970678,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xeba977787cfbd,!1,[[1,[2,"levo"]]]],[10,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,
0,!1,!1,!1,0x563ffb73fb0a6,!1,[[4,24]]]],[[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6b80664826b31,!1,[[1,[2,"winlevo"]],[3,1]]]]],[0,null,!1,null,5941979891617982,[[10,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x911105e072bed,!1,[[1,[2,"winlevo"]]]],[10,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0xd2fade099bd0,!1,[[4,24]]]],[[10,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5021303067823617,!1,[[1,[2,"levo"]],[3,1]]]]]]]]],[0,[!0,"tagethide_unhide"],
!1,null,4553104330266727,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,4553104330266727,!1,[[1,[2,"tagethide_unhide"]]]]],[],[[0,null,!1,null,6888318288670777,[[16,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0xfac68a9546ded,!1,[[4,15]]]],[[16,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x9903526e0b6cf,!1,[[3,0]]]]],[0,null,!1,null,8841443626101683,[[16,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x5810ac20632d4,!1,[[4,15]]]],[[16,
cr.plugins_.Sprite.prototype.acts.SetVisible,null,998954338026742,!1,[[3,1]]]]],[0,null,!1,null,0xcf6d35d09ed30,[[17,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0xd0abda7f4937f,!1,[[4,15]]]],[[17,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xee024d2feab3,!1,[[3,0]]]]],[0,null,!1,null,0xbe6e5dcb5fa85,[[17,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x5c53cdafed47e,!1,[[4,15]]]],[[17,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x53e7f08a6ae10,!1,[[3,
1]]]]],[0,null,!1,null,6514389990030332,[[18,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0xc863569e33207,!1,[[4,15]]]],[[18,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xab8eddb01d1e0,!1,[[3,0]]]]],[0,null,!1,null,0x8de9a6c4622bf,[[18,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xd3a99e72cd415,!1,[[4,15]]]],[[18,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x62f920054c8da,!1,[[3,1]]]]],[0,null,!1,null,6099647089342564,[[19,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!0,!1,5220919512049399,!1,[[4,15]]]],[[19,cr.plugins_.Sprite.prototype.acts.SetVisible,null,9571757704268688,!1,[[3,0]]]]],[0,null,!1,null,9032399966785756,[[19,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x47e8f85da44b5,!1,[[4,15]]]],[[19,cr.plugins_.Sprite.prototype.acts.SetVisible,null,6098823857764705,!1,[[3,1]]]]]]],[0,[!0,"waterdead"],!1,null,8614982964866613,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8614982964866613,!1,[[1,[2,"waterdead"]]]]],
[],[[0,[!0,"greendestroy"],!1,null,9210250499056714,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9210250499056714,!1,[[1,[2,"greendestroy"]]]]],[],[[0,null,!0,null,6638712278645067,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xfc32d8901bbf4,!1,[[4,1],[0,[0,0]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5328488680920644,!1,[[4,1],[0,[0,1]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,9279264526103918,!1,[[4,1],[0,[0,2]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x98eeb7ee94302,!1,[[4,1],[0,[0,3]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6509336901592244,!1,[[4,1],[0,[0,4]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5375374273291777,!1,[[4,1],[0,[0,5]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0x46b371dcbc967,!1,[[4,1],[0,[0,6]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,394492895167167,!1,[[4,1],[0,[0,7]],[0,[0,0]],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,0x43f9213ce2746,!1,[[0,[1,0.5]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,983823076114595,!1],[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,6965042364391507,!1,[[4,27],[5,[0,8]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,
8456555500197336,!1,[[11,"gameover"],[7,[0,1]]]]]],[0,null,!0,null,9445321064731278,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xb9f256f495c3b,!1,[[4,1],[0,[0,0]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9989493658747288,!1,[[4,1],[0,[0,1]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7880792152185598,!1,[[4,1],[0,[0,2]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,6556273341077482,!1,[[4,1],[0,[0,3]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8774442600311577,!1,[[4,1],[0,[0,4]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5179584732280346,!1,[[4,1],[0,[0,5]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,4734227092226062,!1,[[4,1],[0,[0,6]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0x802b51bcf2c87,!1,[[4,1],[0,[0,7]],[0,[0,6]],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,7944948298984109,!1,[[0,[1,0.5]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,8621990164410777,!1],[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,7318998062867514,!1,[[4,27],[5,[0,8]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4578620674861458,!1,[[11,"gameover"],[7,[0,1]]]]]],[0,null,!0,null,7057525518268744,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,7460610254274574,!1,[[4,1],[0,[0,0]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6020937730912279,!1,[[4,1],[0,[0,0]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xa31e77dc5749f,!1,[[4,1],[0,[0,0]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xfee1a63608f67,!1,[[4,1],[0,[0,0]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0x8151acd2f0a27,!1,[[4,1],[0,[0,0]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,603081553479878,!1,[[4,1],[0,[0,0]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6175878336711647,!1,[[4,1],[0,[0,0]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xed687846900b3,!1,[[4,1],[0,[0,0]],[0,[0,7]],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,
null,0xef27410e07784,!1,[[0,[1,0.5]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,8301324125872425,!1],[1,cr.plugins_.Sprite.prototype.acts.Spawn,null,7643939701193635,!1,[[4,27],[5,[0,8]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6438519830458352,!1,[[11,"gameover"],[7,[0,1]]]]]],[0,null,!0,null,645002145672771,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5474546065453136,!1,[[4,1],[0,[0,6]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,9668579759202588,!1,[[4,1],[0,[0,6]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8516797383879329,!1,[[4,1],[0,[0,6]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9074224036899196,!1,[[4,1],[0,[0,6]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x84692601fc6d0,!1,[[4,1],[0,[0,6]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xbe625da0e8c93,!1,[[4,1],[0,[0,6]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8669645039905809,!1,[[4,1],[0,[0,6]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x9ee0629f499f2,!1,[[4,1],[0,[0,6]],[0,[0,7]],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,0x8988542b2d971,!1,[[0,[1,0.5]]]],[1,cr.plugins_.Sprite.prototype.acts.Destroy,null,7214399780800393,!1],[1,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x6bf411ba6f69c,!1,[[4,27],[5,[0,8]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9230053550805416,!1,[[11,"gameover"],[7,[0,1]]]]]]]],[0,[!0,"reddestroy"],!1,null,5799298245057831,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5799298245057831,!1,[[1,[2,"reddestroy"]]]]],[],[[0,null,!0,null,6638712278645067,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xfc32d8901bbf4,!1,[[4,7],[0,[0,0]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,5328488680920644,!1,[[4,7],[0,[0,1]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9279264526103918,!1,[[4,7],[0,[0,2]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x98eeb7ee94302,!1,[[4,7],[0,[0,3]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6509336901592244,!1,[[4,7],[0,[0,4]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,5375374273291777,!1,[[4,7],[0,[0,5]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x46b371dcbc967,!1,[[4,7],[0,[0,6]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,394492895167167,!1,[[4,7],[0,[0,7]],[0,[0,0]],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,0x43f9213ce2746,!1,[[0,[1,0.5]]]],[7,cr.plugins_.Sprite.prototype.acts.Destroy,null,983823076114595,!1],[7,cr.plugins_.Sprite.prototype.acts.Spawn,
null,6965042364391507,!1,[[4,27],[5,[0,8]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xe5a367a3e14ac,!1,[[11,"gameover"],[7,[0,1]]]]]],[0,null,!0,null,9445321064731278,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xb9f256f495c3b,!1,[[4,7],[0,[0,0]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9989493658747288,!1,[[4,7],[0,[0,1]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,7880792152185598,!1,[[4,7],[0,[0,2]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6556273341077482,!1,[[4,7],[0,[0,3]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8774442600311577,!1,[[4,7],[0,[0,4]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5179584732280346,!1,[[4,7],[0,[0,5]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,4734227092226062,!1,[[4,7],[0,[0,6]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x802b51bcf2c87,!1,[[4,7],[0,[0,7]],[0,[0,6]],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,7944948298984109,!1,[[0,[1,0.5]]]],[7,cr.plugins_.Sprite.prototype.acts.Destroy,null,8621990164410777,!1],[7,cr.plugins_.Sprite.prototype.acts.Spawn,null,7318998062867514,!1,[[4,27],[5,[0,8]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,6212870503905203,!1,[[11,"gameover"],[7,[0,1]]]]]],[0,null,!0,null,7057525518268744,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7460610254274574,!1,[[4,7],[0,[0,0]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6020937730912279,!1,[[4,7],[0,[0,0]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xa31e77dc5749f,!1,[[4,7],[0,[0,0]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xfee1a63608f67,!1,[[4,7],[0,[0,0]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x8151acd2f0a27,!1,[[4,7],[0,[0,0]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,603081553479878,!1,[[4,7],[0,[0,0]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6175878336711647,!1,[[4,7],[0,[0,0]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xed687846900b3,!1,[[4,7],[0,[0,0]],[0,[0,7]],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,0xef27410e07784,!1,[[0,[1,0.5]]]],[7,cr.plugins_.Sprite.prototype.acts.Destroy,null,8301324125872425,!1],[7,cr.plugins_.Sprite.prototype.acts.Spawn,null,7643939701193635,!1,[[4,27],[5,[0,8]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9972433080991320,!1,[[11,"gameover"],[7,[0,1]]]]]],[0,null,!0,null,645002145672771,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,5474546065453136,!1,[[4,7],[0,[0,6]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9668579759202588,!1,[[4,7],[0,[0,6]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8516797383879329,!1,[[4,7],[0,[0,6]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9074224036899196,!1,[[4,7],[0,[0,6]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0x84692601fc6d0,!1,[[4,7],[0,[0,6]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xbe625da0e8c93,!1,[[4,7],[0,[0,6]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8669645039905809,!1,[[4,7],[0,[0,6]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x9ee0629f499f2,!1,[[4,7],[0,[0,6]],[0,[0,7]],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,
null,0x8988542b2d971,!1,[[0,[1,0.5]]]],[7,cr.plugins_.Sprite.prototype.acts.Destroy,null,7214399780800393,!1],[7,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x6bf411ba6f69c,!1,[[4,27],[5,[0,8]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x87ae38073c20b,!1,[[11,"gameover"],[7,[0,1]]]]]]]],[0,[!0,"yellowdestroy"],!1,null,5230151467689199,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5230151467689199,!1,[[1,[2,"yellowdestroy"]]]]],[],[[0,null,!0,null,6638712278645067,
[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xfc32d8901bbf4,!1,[[4,8],[0,[0,0]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5328488680920644,!1,[[4,8],[0,[0,1]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9279264526103918,!1,[[4,8],[0,[0,2]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x98eeb7ee94302,!1,[[4,8],
[0,[0,3]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6509336901592244,!1,[[4,8],[0,[0,4]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5375374273291777,!1,[[4,8],[0,[0,5]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x46b371dcbc967,!1,[[4,8],[0,[0,6]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,
!1,!1,394492895167167,!1,[[4,8],[0,[0,7]],[0,[0,0]],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,0x43f9213ce2746,!1,[[0,[1,0.5]]]],[8,cr.plugins_.Sprite.prototype.acts.Destroy,null,983823076114595,!1],[8,cr.plugins_.Sprite.prototype.acts.Spawn,null,6965042364391507,!1,[[4,27],[5,[0,8]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7255659843479061,!1,[[11,"gameover"],[7,[0,1]]]]]],[0,null,!0,null,9445321064731278,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xb9f256f495c3b,!1,[[4,8],[0,[0,0]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9989493658747288,!1,[[4,8],[0,[0,1]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7880792152185598,!1,[[4,8],[0,[0,2]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6556273341077482,!1,[[4,8],[0,[0,3]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,8774442600311577,!1,[[4,8],[0,[0,4]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5179584732280346,!1,[[4,8],[0,[0,5]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,4734227092226062,!1,[[4,8],[0,[0,6]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x802b51bcf2c87,!1,[[4,8],[0,[0,7]],[0,[0,6]],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,
null,7944948298984109,!1,[[0,[1,0.5]]]],[8,cr.plugins_.Sprite.prototype.acts.Destroy,null,8621990164410777,!1],[8,cr.plugins_.Sprite.prototype.acts.Spawn,null,7318998062867514,!1,[[4,27],[5,[0,8]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4648983130918875,!1,[[11,"gameover"],[7,[0,1]]]]]],[0,null,!0,null,7057525518268744,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7460610254274574,!1,[[4,8],[0,[0,0]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,6020937730912279,!1,[[4,8],[0,[0,0]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xa31e77dc5749f,!1,[[4,8],[0,[0,0]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xfee1a63608f67,!1,[[4,8],[0,[0,0]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x8151acd2f0a27,!1,[[4,8],[0,[0,0]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,603081553479878,!1,[[4,8],[0,[0,0]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6175878336711647,!1,[[4,8],[0,[0,0]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xed687846900b3,!1,[[4,8],[0,[0,0]],[0,[0,7]],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,0xef27410e07784,!1,[[0,[1,0.5]]]],[8,cr.plugins_.Sprite.prototype.acts.Destroy,null,8301324125872425,!1],[8,cr.plugins_.Sprite.prototype.acts.Spawn,
null,7643939701193635,!1,[[4,27],[5,[0,8]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x3fda5e5b1b90a,!1,[[11,"gameover"],[7,[0,1]]]]]],[0,null,!0,null,645002145672771,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5474546065453136,!1,[[4,8],[0,[0,6]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9668579759202588,!1,[[4,8],[0,[0,6]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,8516797383879329,!1,[[4,8],[0,[0,6]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9074224036899196,!1,[[4,8],[0,[0,6]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x84692601fc6d0,!1,[[4,8],[0,[0,6]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xbe625da0e8c93,!1,[[4,8],[0,[0,6]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,8669645039905809,!1,[[4,8],[0,[0,6]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x9ee0629f499f2,!1,[[4,8],[0,[0,6]],[0,[0,7]],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,0x8988542b2d971,!1,[[0,[1,0.5]]]],[8,cr.plugins_.Sprite.prototype.acts.Destroy,null,7214399780800393,!1],[8,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x6bf411ba6f69c,!1,[[4,27],[5,[0,8]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,7261254332040409,!1,[[11,"gameover"],[7,[0,1]]]]]]]],[0,[!0,"bluedestroy"],!1,null,0xd43913ce6e937,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xd43913ce6e937,!1,[[1,[2,"bluedestroy"]]]]],[],[[0,null,!0,null,6638712278645067,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xfc32d8901bbf4,!1,[[4,10],[0,[0,0]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5328488680920644,!1,[[4,10],[0,[0,1]],
[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9279264526103918,!1,[[4,10],[0,[0,2]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x98eeb7ee94302,!1,[[4,10],[0,[0,3]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6509336901592244,!1,[[4,10],[0,[0,4]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,
5375374273291777,!1,[[4,10],[0,[0,5]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x46b371dcbc967,!1,[[4,10],[0,[0,6]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,394492895167167,!1,[[4,10],[0,[0,7]],[0,[0,0]],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,0x43f9213ce2746,!1,[[0,[1,0.5]]]],[10,cr.plugins_.Sprite.prototype.acts.Destroy,null,983823076114595,!1],[10,cr.plugins_.Sprite.prototype.acts.Spawn,
null,6965042364391507,!1,[[4,27],[5,[0,8]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7687156566154303,!1,[[11,"gameover"],[7,[0,1]]]]]],[0,null,!0,null,9445321064731278,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xb9f256f495c3b,!1,[[4,10],[0,[0,0]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9989493658747288,!1,[[4,10],[0,[0,1]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,7880792152185598,!1,[[4,10],[0,[0,2]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6556273341077482,!1,[[4,10],[0,[0,3]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8774442600311577,!1,[[4,10],[0,[0,4]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,5179584732280346,!1,[[4,10],[0,[0,5]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,4734227092226062,!1,[[4,10],[0,[0,6]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x802b51bcf2c87,!1,[[4,10],[0,[0,7]],[0,[0,6]],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,7944948298984109,!1,[[0,[1,0.5]]]],[10,cr.plugins_.Sprite.prototype.acts.Destroy,null,8621990164410777,!1],[10,cr.plugins_.Sprite.prototype.acts.Spawn,null,7318998062867514,!1,[[4,27],[5,[0,8]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,7476062991863591,!1,[[11,"gameover"],[7,[0,1]]]]]],[0,null,!0,null,7057525518268744,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,7460610254274574,!1,[[4,10],[0,[0,0]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6020937730912279,!1,[[4,10],[0,[0,0]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xa31e77dc5749f,!1,[[4,10],[0,[0,0]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xfee1a63608f67,!1,[[4,10],[0,[0,0]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x8151acd2f0a27,!1,[[4,10],[0,[0,0]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,603081553479878,!1,[[4,10],[0,[0,0]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,6175878336711647,!1,[[4,10],[0,[0,0]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0xed687846900b3,!1,[[4,10],[0,[0,0]],[0,[0,7]],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,0xef27410e07784,!1,[[0,[1,0.5]]]],[10,cr.plugins_.Sprite.prototype.acts.Destroy,null,8301324125872425,!1],[10,cr.plugins_.Sprite.prototype.acts.Spawn,null,7643939701193635,!1,[[4,27],[5,[0,8]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x8a7effb0506c4,!1,[[11,"gameover"],[7,[0,1]]]]]],[0,null,!0,null,645002145672771,[[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,5474546065453136,!1,[[4,10],[0,[0,6]],[0,[0,0]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9668579759202588,!1,[[4,10],[0,[0,6]],[0,[0,1]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8516797383879329,!1,[[4,10],[0,[0,6]],[0,[0,2]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,9074224036899196,!1,[[4,10],[0,[0,6]],[0,[0,3]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,
null,0,!1,!1,!1,0x84692601fc6d0,!1,[[4,10],[0,[0,6]],[0,[0,4]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0xbe625da0e8c93,!1,[[4,10],[0,[0,6]],[0,[0,5]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,8669645039905809,!1,[[4,10],[0,[0,6]],[0,[0,6]],[0,[0,1]]]],[2,cr.plugins_.Rex_SLGBoard.prototype.cnds.PickChessAtLXYZ,null,0,!1,!1,!1,0x9ee0629f499f2,!1,[[4,10],[0,[0,6]],[0,[0,7]],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.Wait,
null,0x8988542b2d971,!1,[[0,[1,0.5]]]],[10,cr.plugins_.Sprite.prototype.acts.Destroy,null,7214399780800393,!1],[10,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x6bf411ba6f69c,!1,[[4,27],[5,[0,8]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,467477824962291,!1,[[11,"gameover"],[7,[0,1]]]]]]]]]],[0,[!0,"Menu"],!1,null,983267956294689,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,983267956294689,!1,[[1,[2,"Menu"]]]]],[],[[0,[!0,"Reset"],!1,null,0xb7bfbc14ca501,[[-1,
cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xb7bfbc14ca501,!1,[[1,[2,"Reset"]]]]],[],[[0,null,!1,null,6166935267479644,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8114094347968825,!1,[[4,36]]]],[[38,cr.plugins_.Audio.prototype.acts.StopAll,null,0xe88d15d47387b,!1],[-1,cr.system_object.prototype.acts.Wait,null,0xc9e244d26c3b4,!1,[[0,[1,0.1]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,9552467790899304,!1]],[[0,null,!1,null,0xec10d5a5f930f,[[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5030478205828935,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,9034684108512492,!1,[[2,["sound4",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]]]]]]],[0,[!0,"chooselevel"],!1,null,9517456017878804,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9517456017878804,!1,[[1,[2,"chooselevel"]]]]],[],[[0,null,!1,null,6166935267479644,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8114094347968825,
!1,[[4,37]]]],[[38,cr.plugins_.Audio.prototype.acts.StopAll,null,0xe88d15d47387b,!1],[-1,cr.system_object.prototype.acts.Wait,null,0xc9e244d26c3b4,!1,[[0,[1,0.1]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9552467790899304,!1,[[6,"Chooselevel"]]]],[[0,null,!1,null,0xec10d5a5f930f,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5030478205828935,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,9034684108512492,!1,[[2,["sound4",!1]],[3,0],
[0,[0,0]],[1,[2,""]]]]]]]]]],[0,[!0,"target"],!1,null,0x6b134d9ff54b9,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x6b134d9ff54b9,!1,[[1,[2,"target"]]]]],[],[[0,null,!1,null,0x9311b54955921,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9906733143079096,!1,[[4,34]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x74f890abe7c5,!1,[[11,"target"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9305667143857922,!1,[[11,"target"],
[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,7648749597430984,!1,[[0,[1,0.2]]]],[34,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x46be0b4c21b1a,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,5766145437374787,!1,[[4,35],[5,[0,8]],[0,[20,29,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,29,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,0xce10cd6e22c0f,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5014086257416222,!1,[[11,"sound"],
[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,9211240846815020,!1,[[2,["sound4",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]]]]],[0,null,!1,null,6303579165526344,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xba23c7cce93d8,!1,[[4,35]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7729081758924566,!1,[[11,"target"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9345134952792016,!1,[[11,"target"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,
null,0xa18acd04aa86e,!1,[[0,[1,0.2]]]],[35,cr.plugins_.Sprite.prototype.acts.Destroy,null,9779484580770540,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0xb98b95de09fcf,!1,[[4,34],[5,[0,8]],[0,[20,29,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,29,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,7230039737946944,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7855351020706463,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,
null,0xeb46d2949ab30,!1,[[2,["sound4",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]]]]],[0,null,!1,null,7538287337198242,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9584103705328436,!1,[[11,"target"],[8,0],[7,[0,0]]]]],[[16,cr.plugins_.Sprite.prototype.acts.SetVisible,null,6926927180127584,!1,[[3,0]]],[17,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xeb25554504c06,!1,[[3,0]]],[18,cr.plugins_.Sprite.prototype.acts.SetVisible,null,8767541459517408,!1,[[3,0]]],[19,cr.plugins_.Sprite.prototype.acts.SetVisible,
null,0x5faadff906bd0,!1,[[3,0]]]]],[0,null,!1,null,364439106472893,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbdb61528e37c8,!1,[[11,"target"],[8,0],[7,[0,1]]]],[16,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,496066938923441,!1,[[4,15]]]],[[16,cr.plugins_.Sprite.prototype.acts.SetVisible,null,7818841674796166,!1,[[3,1]]]]],[0,null,!1,null,6935089948845469,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8684316119957587,!1,[[11,"target"],[8,
0],[7,[0,1]]]],[17,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xc216de820948f,!1,[[4,15]]]],[[17,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xa49ef93fe7b24,!1,[[3,1]]]]],[0,null,!1,null,0xd3eab77173381,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5908217232334103,!1,[[11,"target"],[8,0],[7,[0,1]]]],[18,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xbc16913b01a4c,!1,[[4,15]]]],[[18,cr.plugins_.Sprite.prototype.acts.SetVisible,null,9472054540162412,
!1,[[3,1]]]]],[0,null,!1,null,0x59787ff9a734a,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6404144967116501,!1,[[11,"target"],[8,0],[7,[0,1]]]],[19,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,750111528283086,!1,[[4,15]]]],[[19,cr.plugins_.Sprite.prototype.acts.SetVisible,null,834913359572889,!1,[[3,1]]]]]]],[0,[!0,"sound"],!1,null,0x3e93347b4302e,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x3e93347b4302e,!1,[[1,[2,"sound"]]]]],[],[[0,
null,!1,null,0x9311b54955921,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9906733143079096,!1,[[4,33]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x74f890abe7c5,!1,[[11,"sound"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9305667143857922,!1,[[11,"sound"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,7648749597430984,!1,[[0,[1,0.2]]]],[33,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x46be0b4c21b1a,!1],[-1,cr.system_object.prototype.acts.CreateObject,
null,5766145437374787,!1,[[4,32],[5,[0,8]],[0,[20,30,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,30,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,5150513296851559,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8964218954873695,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,9566841976394786,!1,[[2,["sound4",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]]]]],[0,null,!1,null,6303579165526344,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,0xba23c7cce93d8,!1,[[4,32]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7729081758924566,!1,[[11,"sound"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9345134952792016,!1,[[11,"sound"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa18acd04aa86e,!1,[[0,[1,0.2]]]],[32,cr.plugins_.Sprite.prototype.acts.Destroy,null,9779484580770540,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0xb98b95de09fcf,!1,[[4,31],[5,[0,8]],[0,
[20,30,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,30,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,9902148296095532,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9508995107634604,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,5515745641375035,!1,[[2,["sound4",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]]]]],[0,null,!1,null,7248778600149361,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xf3ad067cd85ca,!1,
[[4,31]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7559568501676312,!1,[[11,"sound"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5481203925257783,!1,[[11,"sound"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,null,5906445531796706,!1,[[0,[1,0.2]]]],[31,cr.plugins_.Sprite.prototype.acts.Destroy,null,5567774433464844,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,9144663248814258,!1,[[4,33],[5,[0,8]],[0,[20,30,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[20,30,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[0,null,!1,null,5313874371037244,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9ed97aeafd7ac,!1,[[11,"sound"],[8,4],[7,[0,0]]]]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,5565363860794462,!1,[[2,["sound4",!1]],[3,0],[0,[0,0]],[1,[2,""]]]]]]]],[0,null,!1,null,5949170340896258,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,359048001271609,!1,[[11,"sound"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0x3ac922a7b9b12,!1]],[[38,cr.plugins_.Audio.prototype.acts.PlayByName,null,6847934224151672,!1,[[3,0],[1,[2,"SP0000"]],[3,1],[0,[0,0]],[1,[2,"SP0000"]]]]]],[0,null,!1,null,0x9faf1cf1e1b2,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9524465155322404,!1,[[11,"sound"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6108856963392122,!1]],[[38,cr.plugins_.Audio.prototype.acts.Stop,null,0xb236ab8a61919,!1,[[1,[2,"SP0000"]]]]]],[0,null,
!1,null,0xb7006bd14545a,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6268015458157754,!1,[[11,"sound"],[8,0],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xac376fbe6375d,!1]],[[38,cr.plugins_.Audio.prototype.acts.Stop,null,721888071003443,!1,[[1,[2,"SP0000"]]]]]]]]]],[0,[!0,"Gameover"],!1,null,9249575670022862,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9249575670022862,!1,[[1,[2,"Gameover"]]]]],[],[[0,null,!1,null,0xb968e6118d685,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf666f62e0f5b6,!1,[[11,"gameover"],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,9602715662287124,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8242718860681216,!1,[[11,"sound"],[8,4],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,723545763358529,!1]],[[38,cr.plugins_.Audio.prototype.acts.Play,null,0x6d157f6495921,!1,[[2,["sound2",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[-1,cr.system_object.prototype.acts.Wait,
null,927218724079947,!1,[[0,[0,2]]]]]]]],[0,null,!1,null,0xad4cd7934af4,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xc4132a5e40f22,!1,[[11,"gameover"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,0x63763bc37a391,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4903618332424757,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9380305041957140,!1,[[4,126],[5,[0,8]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]]]],[0,null,
!1,null,7481388378712137,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x3b89ce256166e,!1,[[11,"sound"],[8,4],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9398577974736068,!1]],[[38,cr.plugins_.Audio.prototype.acts.StopAll,null,8190834661084333,!1],[38,cr.plugins_.Audio.prototype.acts.Play,null,5906062998360539,!1,[[2,["sound2",!1]],[3,0],[0,[0,0]],[1,[2,""]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x986d81c556637,!1,[[0,[0,2]]]]]]]]]],[0,null,
!1,null,0xea20e34f7c8e5,[[27,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,6125270544166535,!1]],[[-1,cr.system_object.prototype.acts.RestartLayout,null,7437208653145941,!1]]]]],["Chooselevel",[[1,"selectlevel1",0,1,!1,!1,0x67fa5e41331e7,!1],[1,"selectlevel2",0,0,!1,!1,302993615737242,!1],[1,"selectlevel3",0,0,!1,!1,6265468914978432,!1],[1,"selectlevel4",0,0,!1,!1,4944064440157772,!1],[1,"selectlevel5",0,0,!1,!1,9225630786349928,!1],[1,"selectlevel6",0,0,!1,!1,4736792851172135,!1],
[1,"selectlevel7",0,0,!1,!1,6462424555707402,!1],[1,"selectlevel8",0,0,!1,!1,8248849424254505,!1],[1,"selectlevel9",0,0,!1,!1,6827620707763386,!1],[1,"selectlevel10",0,0,!1,!1,4565501790548607,!1],[1,"selectlevel11",0,0,!1,!1,0xcbbc15d3c9b77,!1],[1,"selectlevel12",0,0,!1,!1,0xd9c5fbd68bc37,!1],[1,"selectlevel13",0,0,!1,!1,7013712054755256,!1],[1,"selectlevel14",0,0,!1,!1,6715152167579381,!1],[1,"selectlevel15",0,0,!1,!1,4821052274557041,!1],[1,"selectlevel16",0,0,!1,!1,4747455560739033,!1],[1,"selectlevel17",
0,0,!1,!1,0x654cb3bd5bd37,!1],[1,"selectlevel18",0,0,!1,!1,6137753831646408,!1],[1,"selectlevel19",0,0,!1,!1,8063002590023263,!1],[1,"selectlevel20",0,0,!1,!1,9401843063800944,!1],[1,"selectlevel21",0,0,!1,!1,4581699853206127,!1],[1,"selectlevel22",0,0,!1,!1,500886257763416,!1],[1,"selectlevel23",0,0,!1,!1,8358787242536734,!1],[1,"selectlevel24",0,0,!1,!1,8347570704509114,!1],[1,"selectlevel25",0,0,!1,!1,4925432193479436,!1],[1,"selectlevel26",0,0,!1,!1,0x4d915cbbabf41,!1],[1,"selectlevel27",0,0,
!1,!1,0x4345596300a96,!1],[1,"selectlevel28",0,0,!1,!1,0x7b27a281aaa04,!1],[1,"selectlevel29",0,0,!1,!1,0xc1f0988cd2ee3,!1],[1,"selectlevel30",0,0,!1,!1,0x46bc8ea4f78dd,!1],[1,"selectlevel31",0,0,!1,!1,5867089748977033,!1],[1,"selectlevel32",0,0,!1,!1,7749234769330309,!1],[1,"selectlevel33",0,0,!1,!1,0x467369c875d24,!1],[1,"selectlevel34",0,0,!1,!1,0x82a9f6b1900db,!1],[1,"selectlevel35",0,0,!1,!1,0x55a039464c631,!1],[0,null,!1,null,0xc668e00b34250,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,7113292946932587,!1]],[[40,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x72edc39f14831,!1,[[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[1,545.059]]]],[74,cr.plugins_.Sprite.prototype.acts.SetPos,null,965548813398979,!1,[[0,[5,[4,[20,74,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,74,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[73,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xb9c25a449a7b3,!1,[[0,[5,[4,[20,73,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,73,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[72,cr.plugins_.Sprite.prototype.acts.SetPos,null,5649295039235424,!1,[[0,[5,[4,[20,72,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,72,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[71,cr.plugins_.Sprite.prototype.acts.SetPos,null,7429288160088846,!1,[[0,[5,[4,[20,71,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,71,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[70,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc5e2c609b5e72,!1,[[0,[5,[4,[20,70,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,
2]]],[0,18]]],[0,[20,70,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[69,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9ee1eee50bf6e,!1,[[0,[5,[4,[20,69,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,69,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[68,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x83c2825e9fc21,!1,[[0,[5,[4,[20,68,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,68,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[67,cr.plugins_.Sprite.prototype.acts.SetPos,null,8769752381193127,!1,[[0,[5,[4,[20,67,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,67,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[66,cr.plugins_.Sprite.prototype.acts.SetPos,null,5730747033333409,!1,[[0,[5,[4,[20,66,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,66,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[65,cr.plugins_.Sprite.prototype.acts.SetPos,null,9876814872472522,!1,[[0,[5,[4,[20,65,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,65,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[64,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x65bca4aba80e,!1,[[0,
[5,[4,[20,64,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,64,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[63,cr.plugins_.Sprite.prototype.acts.SetPos,null,6910148554020298,!1,[[0,[5,[4,[20,63,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,63,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[62,cr.plugins_.Sprite.prototype.acts.SetPos,
null,9836075120195292,!1,[[0,[5,[4,[20,62,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,62,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[61,cr.plugins_.Sprite.prototype.acts.SetPos,null,6356644555795076,!1,[[0,[5,[4,[20,61,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,61,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[60,cr.plugins_.Sprite.prototype.acts.SetPos,null,7786622030743739,!1,[[0,[5,[4,[20,60,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,60,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[59,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xd3ac728764ff1,!1,[[0,[5,[4,[20,59,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,
2]]],[0,18]]],[0,[20,59,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[58,cr.plugins_.Sprite.prototype.acts.SetPos,null,73617326651404,!1,[[0,[5,[4,[20,58,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,58,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[57,cr.plugins_.Sprite.prototype.acts.SetPos,null,9725473950458136,!1,[[0,[5,[4,[20,57,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,57,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[56,cr.plugins_.Sprite.prototype.acts.SetPos,null,518708707312184,!1,[[0,[5,[4,[20,56,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,56,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[55,cr.plugins_.Sprite.prototype.acts.SetPos,null,6128029929292774,!1,[[0,[5,[4,[20,55,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,55,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[54,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x983f298f9d9f1,!1,[[0,[5,[4,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[53,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8ac78f2e58e83,!1,[[0,
[5,[4,[20,53,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,53,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[52,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xd95650dfd8264,!1,[[0,[5,[4,[20,52,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,52,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[51,cr.plugins_.Sprite.prototype.acts.SetPos,
null,6168629979239576,!1,[[0,[5,[4,[20,51,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,51,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[50,cr.plugins_.Sprite.prototype.acts.SetPos,null,9249828905354372,!1,[[0,[5,[4,[20,50,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,50,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[49,cr.plugins_.Sprite.prototype.acts.SetPos,null,6331357287182118,!1,[[0,[5,[4,[20,49,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,49,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[48,cr.plugins_.Sprite.prototype.acts.SetPos,null,9666003791975518,!1,[[0,[5,[4,[20,48,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,
2]]],[0,18]]],[0,[20,48,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[47,cr.plugins_.Sprite.prototype.acts.SetPos,null,5615315358095548,!1,[[0,[5,[4,[20,47,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,47,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[46,cr.plugins_.Sprite.prototype.acts.SetPos,null,6508303468547207,!1,[[0,[5,[4,[20,46,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,46,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[45,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x916e097085e63,!1,[[0,[5,[4,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[44,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb65ebd76bc69f,!1,[[0,[5,[4,[20,44,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,44,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[43,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe1992387ac984,!1,[[0,[5,[4,[20,43,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,43,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[42,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb5c4b78dc0877,!1,[[0,
[5,[4,[20,42,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,42,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[41,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x891663029bf01,!1,[[0,[5,[4,[20,41,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,41,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[109,cr.plugins_.Sprite.prototype.acts.SetPos,
null,765763948826394,!1,[[0,[5,[4,[20,109,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,109,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[108,cr.plugins_.Sprite.prototype.acts.SetPos,null,9219689383288358,!1,[[0,[5,[4,[20,108,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,108,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[107,cr.plugins_.Sprite.prototype.acts.SetPos,null,7482400680319161,!1,[[0,[5,[4,[20,107,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,107,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[106,cr.plugins_.Sprite.prototype.acts.SetPos,null,9573352738225852,!1,[[0,[5,[4,[20,106,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],
[0,2]]],[0,18]]],[0,[20,106,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[105,cr.plugins_.Sprite.prototype.acts.SetPos,null,5338817112195971,!1,[[0,[5,[4,[20,105,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,105,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[104,cr.plugins_.Sprite.prototype.acts.SetPos,null,8394299175697988,!1,[[0,[5,[4,[20,104,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,
cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,104,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[103,cr.plugins_.Sprite.prototype.acts.SetPos,null,5794834169506042,!1,[[0,[5,[4,[20,103,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,103,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[102,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x6c5b33f3b5925,!1,[[0,[5,
[4,[20,102,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,102,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[101,cr.plugins_.Sprite.prototype.acts.SetPos,null,8827177674571478,!1,[[0,[5,[4,[20,101,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,101,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[100,cr.plugins_.Sprite.prototype.acts.SetPos,
null,8523043355657769,!1,[[0,[5,[4,[20,100,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,100,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[99,cr.plugins_.Sprite.prototype.acts.SetPos,null,7207252216136161,!1,[[0,[5,[4,[20,99,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,99,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[98,cr.plugins_.Sprite.prototype.acts.SetPos,null,7987628150495913,!1,[[0,[5,[4,[20,98,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,98,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[97,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb7832b97652b1,!1,[[0,[5,[4,[20,97,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,
2]]],[0,18]]],[0,[20,97,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[96,cr.plugins_.Sprite.prototype.acts.SetPos,null,4912806924673275,!1,[[0,[5,[4,[20,96,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,96,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[95,cr.plugins_.Sprite.prototype.acts.SetPos,null,8295085328556474,!1,[[0,[5,[4,[20,95,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,95,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[94,cr.plugins_.Sprite.prototype.acts.SetPos,null,8311734186195035,!1,[[0,[5,[4,[20,94,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,94,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[93,cr.plugins_.Sprite.prototype.acts.SetPos,null,7841934528823486,!1,[[0,[5,[4,[20,93,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,93,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[92,cr.plugins_.Sprite.prototype.acts.SetPos,null,4683215731869071,!1,[[0,[5,[4,[20,92,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,92,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[91,cr.plugins_.Sprite.prototype.acts.SetPos,null,6667159182459262,!1,[[0,
[5,[4,[20,91,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,91,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[90,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x59e006c62e5f5,!1,[[0,[5,[4,[20,90,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,90,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[89,cr.plugins_.Sprite.prototype.acts.SetPos,
null,822705114159166,!1,[[0,[5,[4,[20,89,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,89,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[88,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe33907e48d74a,!1,[[0,[5,[4,[20,88,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,88,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[87,cr.plugins_.Sprite.prototype.acts.SetPos,null,9873962785504264,!1,[[0,[5,[4,[20,87,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,87,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[86,cr.plugins_.Sprite.prototype.acts.SetPos,null,361156230211373,!1,[[0,[5,[4,[20,86,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,
2]]],[0,18]]],[0,[20,86,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[85,cr.plugins_.Sprite.prototype.acts.SetPos,null,85117499104568,!1,[[0,[5,[4,[20,85,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,85,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[84,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4dd82799b96f5,!1,[[0,[5,[4,[20,84,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,84,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[83,cr.plugins_.Sprite.prototype.acts.SetPos,null,9996186533675444,!1,[[0,[5,[4,[20,83,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,83,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[82,cr.plugins_.Sprite.prototype.acts.SetPos,null,5271059297205202,!1,[[0,[5,[4,[20,82,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,82,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[81,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x658a719967686,!1,[[0,[5,[4,[20,81,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,81,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[80,cr.plugins_.Sprite.prototype.acts.SetPos,null,5993742477636988,!1,[[0,
[5,[4,[20,80,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,80,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[79,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb8954516afd4b,!1,[[0,[5,[4,[20,79,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,79,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[78,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xfd54db3e6b97,!1,[[0,[5,[4,[20,78,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,78,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[77,cr.plugins_.Sprite.prototype.acts.SetPos,null,5609963525803348,!1,[[0,[5,[4,[20,77,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,77,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[76,cr.plugins_.Sprite.prototype.acts.SetPos,null,5076292769632262,!1,[[0,[5,[4,[20,76,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,2]]],[0,18]]],[0,[20,76,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[75,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x4c960c74efb95,!1,[[0,[5,[4,[20,75,cr.plugins_.Sprite.prototype.exps.X,!1,null],[7,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,683]],[0,
2]]],[0,18]]],[0,[20,75,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[5,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,4828899783980095,!1,[[3,1]]],[5,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,9357185579979784,!1]]],[0,[!0,"Unlock"],!1,null,448800326893747,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,448800326893747,!1,[[1,[2,"Unlock"]]]]],[],[[0,[!0,"Webstorage"],!1,null,7718218047605644,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7718218047605644,
!1,[[1,[2,"Webstorage"]]]]],[],[[0,null,!1,null,8658552270985542,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0xbfccd9d019f1a,!1,[[1,[2,"saveselectlevel1"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xf9c2d2a794785,!1,[[11,"selectlevel1"],[7,[0,2]]]]]],[0,null,!1,null,0x3b9ee9cb96c16,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0xaf4dfe4b16d23,!1,[[1,[2,"saveselectlevel2"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,0x460d2a76fc1e8,!1,[[11,"selectlevel2"],[7,[0,2]]]]]],[0,null,!1,null,9685729898485628,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,7625165806435889,!1,[[1,[2,"saveselectlevel3"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6107374420271748,!1,[[11,"selectlevel3"],[7,[0,2]]]]]],[0,null,!1,null,0x40bde603d6afb,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,8929906131272628,!1,[[1,[2,"saveselectlevel4"]],[8,0],
[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7519236358193992,!1,[[11,"selectlevel4"],[7,[0,2]]]]]],[0,null,!1,null,0xae1335b6bcfaa,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0x42e24bc28063b,!1,[[1,[2,"saveselectlevel5"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,703126792701819,!1,[[11,"selectlevel5"],[7,[0,2]]]]]],[0,null,!1,null,0x700ff56cf0757,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,
!1,0x93385537ba098,!1,[[1,[2,"saveselectlevel6"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9587204217079678,!1,[[11,"selectlevel6"],[7,[0,2]]]]]],[0,null,!1,null,0xb5bb381297698,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,9549577353479516,!1,[[1,[2,"saveselectlevel7"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4893224944165494,!1,[[11,"selectlevel7"],[7,[0,2]]]]]],[0,null,!1,null,0xfa2789766e78a,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,
null,0,!1,!1,!1,6914646792087576,!1,[[1,[2,"saveselectlevel8"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6910520542233046,!1,[[11,"selectlevel8"],[7,[0,2]]]]]],[0,null,!1,null,720022573413433,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,6289794869469629,!1,[[1,[2,"saveselectlevel9"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5028098340773571,!1,[[11,"selectlevel9"],[7,[0,2]]]]]],[0,null,!1,null,991904565282135,[[110,
cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,9256101343438024,!1,[[1,[2,"saveselectlevel10"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9226239952701586,!1,[[11,"selectlevel10"],[7,[0,2]]]]]],[0,null,!1,null,26020966247656,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,6585191689867873,!1,[[1,[2,"saveselectlevel11"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6957277462474045,!1,[[11,"selectlevel11"],
[7,[0,2]]]]]],[0,null,!1,null,8464297495625698,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,9721290874680292,!1,[[1,[2,"saveselectlevel12"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xf99ade60ac90e,!1,[[11,"selectlevel12"],[7,[0,2]]]]]],[0,null,!1,null,4663089461895907,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,8529636915489747,!1,[[1,[2,"saveselectlevel13"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,4660424620604809,!1,[[11,"selectlevel13"],[7,[0,2]]]]]],[0,null,!1,null,0xa7039433b8220,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0x6d3e0f0a7614a,!1,[[1,[2,"saveselectlevel14"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6014568702533904,!1,[[11,"selectlevel14"],[7,[0,2]]]]]],[0,null,!1,null,0xd94a48ee0840b,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0xdc3e9666684b0,!1,[[1,[2,"saveselectlevel15"]],[8,
0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8480226401369979,!1,[[11,"selectlevel15"],[7,[0,2]]]]]],[0,null,!1,null,0x5328551e703fd,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0x90976c4de58b1,!1,[[1,[2,"saveselectlevel16"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4850902317329015,!1,[[11,"selectlevel16"],[7,[0,2]]]]]],[0,null,!1,null,5695801240546302,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,
0,!1,!1,!1,0x9264b32e2d6b0,!1,[[1,[2,"saveselectlevel17"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8650753737062287,!1,[[11,"selectlevel17"],[7,[0,2]]]]]],[0,null,!1,null,5830579444430498,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,5111129862760032,!1,[[1,[2,"saveselectlevel18"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xe00d6a7d5ad8,!1,[[11,"selectlevel18"],[7,[0,2]]]]]],[0,null,!1,null,0xec99e0af98f74,[[110,
cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,4905832769745683,!1,[[1,[2,"saveselectlevel19"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,567923784008417,!1,[[11,"selectlevel19"],[7,[0,2]]]]]],[0,null,!1,null,0x7ac4c760ee038,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0x7a6bde34954b6,!1,[[1,[2,"saveselectlevel20"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xc7672e81d6a3e,!1,[[11,"selectlevel20"],
[7,[0,2]]]]]],[0,null,!1,null,4671690911646129,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0x4498229bf8370,!1,[[1,[2,"saveselectlevel21"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x879ab361f42e3,!1,[[11,"selectlevel21"],[7,[0,2]]]]]],[0,null,!1,null,5308634057629738,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0x7c8543ac9838,!1,[[1,[2,"saveselectlevel22"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,9087022320097880,!1,[[11,"selectlevel22"],[7,[0,2]]]]]],[0,null,!1,null,8928269269098516,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0xa7581073ddc19,!1,[[1,[2,"saveselectlevel23"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4578662258908384,!1,[[11,"selectlevel23"],[7,[0,2]]]]]],[0,null,!1,null,6586721867346019,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0xfee43fb1f8d58,!1,[[1,[2,"saveselectlevel24"]],
[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9673990700204204,!1,[[11,"selectlevel24"],[7,[0,2]]]]]],[0,null,!1,null,4657026260659308,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,6250243119150671,!1,[[1,[2,"saveselectlevel25"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6383644273020512,!1,[[11,"selectlevel25"],[7,[0,2]]]]]],[0,null,!1,null,0xda7099d5b6e39,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,
0,!1,!1,!1,34966569193516,!1,[[1,[2,"saveselectlevel26"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x64369ed50330c,!1,[[11,"selectlevel26"],[7,[0,2]]]]]],[0,null,!1,null,8564331796170953,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,7780357470283419,!1,[[1,[2,"saveselectlevel27"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xe2c786333763d,!1,[[11,"selectlevel27"],[7,[0,2]]]]]],[0,null,!1,null,0x8884f28a975c8,[[110,
cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,7848447540185565,!1,[[1,[2,"saveselectlevel28"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5600359808195066,!1,[[11,"selectlevel28"],[7,[0,2]]]]]],[0,null,!1,null,9959885434930394,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,5332902644311189,!1,[[1,[2,"saveselectlevel29"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9482248528061424,!1,[[11,"selectlevel29"],
[7,[0,2]]]]]],[0,null,!1,null,5200410821361587,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0x6f54b35a98979,!1,[[1,[2,"saveselectlevel30"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9401154638947162,!1,[[11,"selectlevel30"],[7,[0,2]]]]]],[0,null,!1,null,4641967595204854,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,4778520730797321,!1,[[1,[2,"saveselectlevel31"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,0x60eab4883980f,!1,[[11,"selectlevel31"],[7,[0,2]]]]]],[0,null,!1,null,6797522439123184,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,4560106841218186,!1,[[1,[2,"saveselectlevel32"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9144384856669484,!1,[[11,"selectlevel32"],[7,[0,2]]]]]],[0,null,!1,null,8024292295995897,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,7708449765954136,!1,[[1,[2,"saveselectlevel33"]],
[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x5ad625e92cede,!1,[[11,"selectlevel33"],[7,[0,2]]]]]],[0,null,!1,null,9563413898591,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0x49c55cd244bc3,!1,[[1,[2,"saveselectlevel34"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7763107491012247,!1,[[11,"selectlevel34"],[7,[0,2]]]]]],[0,null,!1,null,8726286350189726,[[110,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,
0,!1,!1,!1,0x60f53f574a319,!1,[[1,[2,"saveselectlevel35"]],[8,0],[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6606289339169795,!1,[[11,"selectlevel35"],[7,[0,2]]]]]]]],[0,[!0,"next"],!1,null,0x929d6bd5e5433,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x929d6bd5e5433,!1,[[1,[2,"next"]]]]],[],[[0,null,!1,null,0x5eb654dee1041,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4751490383838664,!1,[[11,"selectlevel1"],[8,0],[7,[0,2]]]]],[[41,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9836079371239804,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0x6b394670fa1f7,!1,[[4,77],[7,[0,0]]]]]],[0,null,!1,null,0x55a35508e76a9,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,785952128435373,!1,[[11,"selectlevel2"],[8,0],[7,[0,2]]]]],[[42,cr.plugins_.Sprite.prototype.acts.Destroy,null,6863853272719966,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,8297601397761147,!1,[[4,78],[7,[0,0]]]]]],[0,null,!1,null,8608590330004552,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,5018355397851163,!1,[[11,"selectlevel3"],[8,0],[7,[0,2]]]]],[[43,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xdc3c0bbe910a1,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,700808348373378,!1,[[4,79],[7,[0,0]]]]]],[0,null,!1,null,9518528864771276,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd679584f0838,!1,[[11,"selectlevel4"],[8,0],[7,[0,2]]]]],[[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,9542051822060042,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,
null,769173846056757,!1,[[4,80],[7,[0,0]]]]]],[0,null,!1,null,0x6a149a9a23171,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7426845371383092,!1,[[11,"selectlevel5"],[8,0],[7,[0,2]]]]],[[45,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xc3b5f5ed1f34a,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,4939141296610542,!1,[[4,81],[7,[0,0]]]]]],[0,null,!1,null,0x6f5fb33ce0051,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x7bd9e2cc2a511,!1,[[11,"selectlevel6"],
[8,0],[7,[0,2]]]]],[[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x7f3aeb86c76e4,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,5402197349611931,!1,[[4,82],[7,[0,0]]]]]],[0,null,!1,null,574263009855842,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5200385441070789,!1,[[11,"selectlevel7"],[8,0],[7,[0,2]]]]],[[47,cr.plugins_.Sprite.prototype.acts.Destroy,null,5047018103931895,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,8349588842435282,!1,[[4,
83],[7,[0,0]]]]]],[0,null,!1,null,9498119873854820,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9265525257488444,!1,[[11,"selectlevel8"],[8,0],[7,[0,2]]]]],[[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xbdb58c5ba1696,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,5630202614177743,!1,[[4,84],[7,[0,0]]]]]],[0,null,!1,null,0x756a42e214448,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,824015354293072,!1,[[11,"selectlevel9"],[8,0],[7,[0,2]]]]],
[[49,cr.plugins_.Sprite.prototype.acts.Destroy,null,5492988334489175,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,6377938815198639,!1,[[4,85],[7,[0,0]]]]]],[0,null,!1,null,0xb60d0db91d22a,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8bfc6573c6b93,!1,[[11,"selectlevel10"],[8,0],[7,[0,2]]]]],[[50,cr.plugins_.Sprite.prototype.acts.Destroy,null,9155688869607556,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0xeff1beff4c2,!1,[[4,86],[7,[0,0]]]]]],
[0,null,!1,null,0x8baebed2d7a58,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa33abe662bf97,!1,[[11,"selectlevel11"],[8,0],[7,[0,2]]]]],[[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x7116d6de84c9,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0x89138e93c54d0,!1,[[4,87],[7,[0,0]]]]]],[0,null,!1,null,0x42be7def63002,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6577456685432786,!1,[[11,"selectlevel12"],[8,0],[7,[0,2]]]]],[[52,cr.plugins_.Sprite.prototype.acts.Destroy,
null,448742864938038,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,796942993975229,!1,[[4,88],[7,[0,0]]]]]],[0,null,!1,null,7508028516616065,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4742427947831518,!1,[[11,"selectlevel13"],[8,0],[7,[0,2]]]]],[[53,cr.plugins_.Sprite.prototype.acts.Destroy,null,6907024413581812,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,8775853380688524,!1,[[4,89],[7,[0,0]]]]]],[0,null,!1,null,0xd33fee4478530,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,6016257346977875,!1,[[11,"selectlevel14"],[8,0],[7,[0,2]]]]],[[54,cr.plugins_.Sprite.prototype.acts.Destroy,null,6584232966478469,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,6826093873554075,!1,[[4,90],[7,[0,0]]]]]],[0,null,!1,null,4972032593709612,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5588914546183987,!1,[[11,"selectlevel15"],[8,0],[7,[0,2]]]]],[[55,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x50091f681b3cc,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,
null,5855626581481955,!1,[[4,91],[7,[0,0]]]]]],[0,null,!1,null,9570219422552020,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8316475956899973,!1,[[11,"selectlevel16"],[8,0],[7,[0,2]]]]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,7988203673719999,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0x3e6fad0c5bccd,!1,[[4,92],[7,[0,0]]]]]],[0,null,!1,null,0x7611de779f93b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6497233381742535,!1,[[11,"selectlevel17"],
[8,0],[7,[0,2]]]]],[[57,cr.plugins_.Sprite.prototype.acts.Destroy,null,8889616742209956,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,8891945430412466,!1,[[4,93],[7,[0,0]]]]]],[0,null,!1,null,7161914782243276,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa4a4a73f32d71,!1,[[11,"selectlevel18"],[8,0],[7,[0,2]]]]],[[58,cr.plugins_.Sprite.prototype.acts.Destroy,null,5010919249558684,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,9067077843794664,!1,
[[4,94],[7,[0,0]]]]]],[0,null,!1,null,5298261214128138,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7174968031089072,!1,[[11,"selectlevel19"],[8,0],[7,[0,2]]]]],[[59,cr.plugins_.Sprite.prototype.acts.Destroy,null,5432380556124114,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,4902304050578542,!1,[[4,95],[7,[0,0]]]]]],[0,null,!1,null,5818507764747904,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xc3d8b032c2e09,!1,[[11,"selectlevel20"],[8,0],[7,
[0,2]]]]],[[60,cr.plugins_.Sprite.prototype.acts.Destroy,null,9054186609408768,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,6781359309940008,!1,[[4,96],[7,[0,0]]]]]],[0,null,!1,null,0x4a130e826895c,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5314430977331828,!1,[[11,"selectlevel21"],[8,0],[7,[0,2]]]]],[[61,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xaaff3a0b26d0d,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,370447681551169,!1,[[4,97],[7,
[0,0]]]]]],[0,null,!1,null,0x5377ac673663b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6271483962433585,!1,[[11,"selectlevel22"],[8,0],[7,[0,2]]]]],[[62,cr.plugins_.Sprite.prototype.acts.Destroy,null,4795448455049321,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,6735685931817199,!1,[[4,98],[7,[0,0]]]]]],[0,null,!1,null,6816694505479528,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5696677848468344,!1,[[11,"selectlevel23"],[8,0],[7,[0,2]]]]],[[63,
cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf58806181dade,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,8972183838536901,!1,[[4,99],[7,[0,0]]]]]],[0,null,!1,null,0x6936d378628a,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x632500e8641ae,!1,[[11,"selectlevel24"],[8,0],[7,[0,2]]]]],[[64,cr.plugins_.Sprite.prototype.acts.Destroy,null,8836429959597951,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,4994637639586617,!1,[[4,100],[7,[0,0]]]]]],[0,
null,!1,null,0x7619008775501,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4b0fe3c53f02c,!1,[[11,"selectlevel25"],[8,0],[7,[0,2]]]]],[[65,cr.plugins_.Sprite.prototype.acts.Destroy,null,8951530091980535,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,8702146457194912,!1,[[4,101],[7,[0,0]]]]]],[0,null,!1,null,5935223583902743,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7081292699469068,!1,[[11,"selectlevel26"],[8,0],[7,[0,2]]]]],[[66,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x648c5e51967ef,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,8858048182395932,!1,[[4,102],[7,[0,0]]]]]],[0,null,!1,null,0xbfdb0f3e55d2f,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9998820818890676,!1,[[11,"selectlevel27"],[8,0],[7,[0,2]]]]],[[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,5524618436231704,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0xcc458b38ca72,!1,[[4,103],[7,[0,0]]]]]],[0,null,!1,null,9811912676076988,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xb1a765fc85b1c,!1,[[11,"selectlevel28"],[8,0],[7,[0,2]]]]],[[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,7641220079561386,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,8350398979996568,!1,[[4,104],[7,[0,0]]]]]],[0,null,!1,null,5403447182351022,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf4a90fddae7e0,!1,[[11,"selectlevel29"],[8,0],[7,[0,2]]]]],[[69,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x932128b784619,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,
null,6106447418268411,!1,[[4,105],[7,[0,0]]]]]],[0,null,!1,null,449141926057983,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8474024377275913,!1,[[11,"selectlevel30"],[8,0],[7,[0,2]]]]],[[70,cr.plugins_.Sprite.prototype.acts.Destroy,null,5146815551827411,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,5118050422943987,!1,[[4,106],[7,[0,0]]]]]],[0,null,!1,null,7838840402584332,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd481f80bc539b,!1,[[11,
"selectlevel31"],[8,0],[7,[0,2]]]]],[[71,cr.plugins_.Sprite.prototype.acts.Destroy,null,9339126433470692,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0x67a21b96392b,!1,[[4,107],[7,[0,0]]]]]],[0,null,!1,null,0x8a03c472272ac,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,464165170381286,!1,[[11,"selectlevel32"],[8,0],[7,[0,2]]]]],[[72,cr.plugins_.Sprite.prototype.acts.Destroy,null,6694776925751329,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,8834744691191509,
!1,[[4,108],[7,[0,0]]]]]],[0,null,!1,null,0x63799135379b4,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x80bed0f1cb0f8,!1,[[11,"selectlevel33"],[8,0],[7,[0,2]]]]],[[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,9553091486665420,!1],[111,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0xc8dc56b72713d,!1,[[4,109],[7,[0,0]]]]]],[0,null,!1,null,9969978993493836,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4709468044622181,!1,[[11,"selectlevel34"],[8,0],
[7,[0,2]]]]],[[74,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf6534b52840c8,!1],[111,cr.plugins_.Sprite.prototype.acts.Destroy,null,908488002652749,!1]]]]],[0,[!0,"current"],!1,null,0xdc0c484831a85,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xdc0c484831a85,!1,[[1,[2,"current"]]]]],[],[[0,null,!1,null,0xe21d98d97ba06,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349664596678475,!1,[[11,"selectlevel2"],[8,0],[7,[0,1]]]]],[[41,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x755c167a3216c,!1]]],[0,null,!1,null,5363235865126618,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8d728902eb78,!1,[[11,"selectlevel3"],[8,0],[7,[0,1]]]]],[[42,cr.plugins_.Sprite.prototype.acts.Destroy,null,5728693773568632,!1]]],[0,null,!1,null,0x85f02f8304516,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8835864298204731,!1,[[11,"selectlevel4"],[8,0],[7,[0,1]]]]],[[43,cr.plugins_.Sprite.prototype.acts.Destroy,null,9100426513598438,!1]]],[0,null,!1,null,
5755023201624729,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf1deb5c592324,!1,[[11,"selectlevel5"],[8,0],[7,[0,1]]]]],[[44,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xdfae01990f21b,!1]]],[0,null,!1,null,9198613920189184,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,317972403741667,!1,[[11,"selectlevel6"],[8,0],[7,[0,1]]]]],[[45,cr.plugins_.Sprite.prototype.acts.Destroy,null,492093207105661,!1]]],[0,null,!1,null,0xe74857d73599d,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,7674433881435614,!1,[[11,"selectlevel7"],[8,0],[7,[0,1]]]]],[[46,cr.plugins_.Sprite.prototype.acts.Destroy,null,6813852844164918,!1]]],[0,null,!1,null,5571410075367262,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xeff33ad88640e,!1,[[11,"selectlevel8"],[8,0],[7,[0,1]]]]],[[47,cr.plugins_.Sprite.prototype.acts.Destroy,null,8507696566332042,!1]]],[0,null,!1,null,0xa31738cdccf91,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd9fe28cb6471,!1,[[11,
"selectlevel9"],[8,0],[7,[0,1]]]]],[[48,cr.plugins_.Sprite.prototype.acts.Destroy,null,5215656528970433,!1]]],[0,null,!1,null,5135544312935733,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xeba76e90fa62d,!1,[[11,"selectlevel10"],[8,0],[7,[0,1]]]]],[[49,cr.plugins_.Sprite.prototype.acts.Destroy,null,918442204300765,!1]]],[0,null,!1,null,5022170553398215,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6572656750877051,!1,[[11,"selectlevel11"],[8,0],[7,[0,1]]]]],[[50,
cr.plugins_.Sprite.prototype.acts.Destroy,null,7630524343995173,!1]]],[0,null,!1,null,0xe10b410f0abf6,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4121518b0bdd2,!1,[[11,"selectlevel12"],[8,0],[7,[0,1]]]]],[[51,cr.plugins_.Sprite.prototype.acts.Destroy,null,4818258864078053,!1]]],[0,null,!1,null,4524733914979671,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7810409250000142,!1,[[11,"selectlevel13"],[8,0],[7,[0,1]]]]],[[52,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x8f5aa1f3c678d,!1]]],[0,null,!1,null,0x6399ada0fd38e,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf96ef4bb8f9f3,!1,[[11,"selectlevel14"],[8,0],[7,[0,1]]]]],[[53,cr.plugins_.Sprite.prototype.acts.Destroy,null,5066437671099237,!1]]],[0,null,!1,null,5261176428513394,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8841514739757109,!1,[[11,"selectlevel15"],[8,0],[7,[0,1]]]]],[[54,cr.plugins_.Sprite.prototype.acts.Destroy,null,6159458518424255,!1]]],[0,null,!1,
null,4803136113285789,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7188723719234049,!1,[[11,"selectlevel16"],[8,0],[7,[0,1]]]]],[[55,cr.plugins_.Sprite.prototype.acts.Destroy,null,6455822616514089,!1]]],[0,null,!1,null,8911233279530214,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5231747308570804,!1,[[11,"selectlevel17"],[8,0],[7,[0,1]]]]],[[56,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xafeedef230af6,!1]]],[0,null,!1,null,9443618957623296,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,7773169931288808,!1,[[11,"selectlevel18"],[8,0],[7,[0,1]]]]],[[57,cr.plugins_.Sprite.prototype.acts.Destroy,null,5632649655890357,!1]]],[0,null,!1,null,5150071867871031,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5106963905597635,!1,[[11,"selectlevel19"],[8,0],[7,[0,1]]]]],[[58,cr.plugins_.Sprite.prototype.acts.Destroy,null,759072814039762,!1]]],[0,null,!1,null,0xa6341e319f030,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4734433383664285,!1,[[11,
"selectlevel20"],[8,0],[7,[0,1]]]]],[[59,cr.plugins_.Sprite.prototype.acts.Destroy,null,6566987498466343,!1]]],[0,null,!1,null,5194341135904748,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x5e7ee38b33588,!1,[[11,"selectlevel21"],[8,0],[7,[0,1]]]]],[[60,cr.plugins_.Sprite.prototype.acts.Destroy,null,9445341951411932,!1]]],[0,null,!1,null,5879624111068197,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x40dd86195d100,!1,[[11,"selectlevel22"],[8,0],[7,[0,1]]]]],[[61,
cr.plugins_.Sprite.prototype.acts.Destroy,null,0x519df83350aad,!1]]],[0,null,!1,null,7648803987160453,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9489420333380908,!1,[[11,"selectlevel23"],[8,0],[7,[0,1]]]]],[[62,cr.plugins_.Sprite.prototype.acts.Destroy,null,5277200856601556,!1]]],[0,null,!1,null,9217433957724168,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbaa4aa6e1d8c2,!1,[[11,"selectlevel24"],[8,0],[7,[0,1]]]]],[[63,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6132074336318474,!1]]],[0,null,!1,null,6807738340581503,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4696019029021098,!1,[[11,"selectlevel25"],[8,0],[7,[0,1]]]]],[[64,cr.plugins_.Sprite.prototype.acts.Destroy,null,7103436760839056,!1]]],[0,null,!1,null,4877125274563311,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdfb7cb0c41dff,!1,[[11,"selectlevel26"],[8,0],[7,[0,1]]]]],[[65,cr.plugins_.Sprite.prototype.acts.Destroy,null,5682066510967258,!1]]],[0,null,
!1,null,9384660155835036,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9641733993496684,!1,[[11,"selectlevel27"],[8,0],[7,[0,1]]]]],[[66,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xfeeac7cf1c595,!1]]],[0,null,!1,null,8215704945044768,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7423549599323107,!1,[[11,"selectlevel28"],[8,0],[7,[0,1]]]]],[[67,cr.plugins_.Sprite.prototype.acts.Destroy,null,7173873829569226,!1]]],[0,null,!1,null,9193299417509568,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xfff850d48cd,!1,[[11,"selectlevel29"],[8,0],[7,[0,1]]]]],[[68,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb372583eb3494,!1]]],[0,null,!1,null,9345435029768720,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7179189020677964,!1,[[11,"selectlevel30"],[8,0],[7,[0,1]]]]],[[69,cr.plugins_.Sprite.prototype.acts.Destroy,null,8150828533945503,!1]]],[0,null,!1,null,943798416472841,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9783489412790944,!1,[[11,
"selectlevel31"],[8,0],[7,[0,1]]]]],[[70,cr.plugins_.Sprite.prototype.acts.Destroy,null,9752658761187304,!1]]],[0,null,!1,null,0xdce5a0536a9bf,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7955776923073099,!1,[[11,"selectlevel32"],[8,0],[7,[0,1]]]]],[[71,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x3ac028cb7f862,!1]]],[0,null,!1,null,8574973574538569,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6510827336093264,!1,[[11,"selectlevel33"],[8,0],[7,[0,1]]]]],[[72,
cr.plugins_.Sprite.prototype.acts.Destroy,null,614155319496088,!1]]],[0,null,!1,null,8463616892768929,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9283169111503968,!1,[[11,"selectlevel34"],[8,0],[7,[0,1]]]]],[[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x3ee20e9e65f03,!1]]],[0,null,!1,null,0xfd93c9095f8e1,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8461420270082784,!1,[[11,"selectlevel35"],[8,0],[7,[0,1]]]]],[[74,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xadc8efec6daf3,!1]]]]]]],[0,[!0,"Gotolevel"],!1,null,6028078946677452,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6028078946677452,!1,[[1,[2,"Gotolevel"]]]]],[],[[0,null,!1,null,0x7d78ad1e75fbb,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x9ea13aaeab267,!1,[[4,75]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8857846922460134,!1,[[11,"level"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x6289bdc6d0b00,!1,[[6,"levels"]]]]],
[0,null,!1,null,6146542727309061,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,425808436538474,!1,[[4,76]]],[76,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,422603682968619,!1,[[4,41]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x66852886a457f,!1,[[11,"level"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x3d61963f40ac7,!1,[[6,"levels"]]]]],[0,null,!1,null,5731684226047071,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,
!1,!1,!1,9392413619185498,!1,[[4,77]]],[77,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0xa4dd8b799da7b,!1,[[4,42]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7195331506067423,!1,[[11,"level"],[7,[0,3]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x76ae36836feaa,!1,[[6,"levels"]]]]],[0,null,!1,null,8805403103152485,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,542916005998037,!1,[[4,78]]],[78,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!0,!1,0x734b7ba6e02a9,!1,[[4,43]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8251739806983306,!1,[[11,"level"],[7,[0,4]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6037178460223501,!1,[[6,"levels"]]]]],[0,null,!1,null,0xaf4a45d312f49,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,563430586124806,!1,[[4,79]]],[79,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,894125495408468,!1,[[4,44]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,0xdaf3a23031c29,!1,[[11,"level"],[7,[0,5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6167583904748007,!1,[[6,"levels"]]]]],[0,null,!1,null,7579179273959442,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9611370043042740,!1,[[4,80]]],[80,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,282273506769818,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4724513521007294,!1,[[11,"level"],[7,[0,6]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,35404905987289,!1,[[6,"levels"]]]]],[0,null,!1,null,491829969275621,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x465a452a90594,!1,[[4,81]]],[81,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,6827731307284727,!1,[[4,46]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6887248432513195,!1,[[11,"level"],[7,[0,7]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9189137075355784,!1,[[6,"levels"]]]]],[0,null,!1,null,0xb19705d56de41,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,5580755255542249,!1,[[4,82]]],[82,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0xf692766a18688,!1,[[4,47]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,862670979903582,!1,[[11,"level"],[7,[0,8]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,48334353484605,!1,[[6,"levels"]]]]],[0,null,!1,null,902843995720227,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x5f8ed8517dc9e,!1,[[4,83]]],[83,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!0,!1,0x75e6c04033354,!1,[[4,48]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6571754010255875,!1,[[11,"level"],[7,[0,9]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,8248844811950207,!1,[[6,"levels"]]]]],[0,null,!1,null,7301027308909087,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6876282119575403,!1,[[4,84]]],[84,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,6219336259714655,!1,[[4,49]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,8253806435309,!1,[[11,"level"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,7505742060128251,!1,[[6,"levels"]]]]],[0,null,!1,null,5491975297904109,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,614075722359167,!1,[[4,85]]],[85,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0xa6a20b753519b,!1,[[4,50]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xb91e917c2aa70,!1,[[11,"level"],[7,[0,11]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,8927427737851967,!1,[[6,"levels"]]]]],[0,null,!1,null,7764061040673698,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9647042751434444,!1,[[4,86]]],[86,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,7103668416360761,!1,[[4,51]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5802732458959451,!1,[[11,"level"],[7,[0,12]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xb1aa916527727,!1,[[6,"levels"]]]]],[0,null,!1,null,0x3fd8c120dc859,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,7608605821283906,!1,[[4,87]]],[87,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0x8a93c45deb8df,!1,[[4,52]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8747810468350665,!1,[[11,"level"],[7,[0,13]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,7424402343555086,!1,[[6,"levels"]]]]],[0,null,!1,null,5694119825048813,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7773753884413506,!1,[[4,88]]],[88,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!0,!1,0xef1740fb5f8a4,!1,[[4,53]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,434248417922696,!1,[[11,"level"],[7,[0,14]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9598202843689996,!1,[[6,"levels"]]]]],[0,null,!1,null,0xdf3a5ee68bc53,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7701903672323913,!1,[[4,89]]],[89,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,9409356912147236,!1,[[4,54]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,0x4441f21dc63c6,!1,[[11,"level"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xaf22caa32179e,!1,[[6,"levels"]]]]],[0,null,!1,null,0x3cedbb49b7b12,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4928035563047933,!1,[[4,90]]],[90,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0x89239f32a24c,!1,[[4,55]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6800436363514321,!1,[[11,"level"],[7,[0,16]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,0x78f2699541ea1,!1,[[6,"levels"]]]]],[0,null,!1,null,752954118637872,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9856297520258034,!1,[[4,91]]],[91,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,7344117696745708,!1,[[4,56]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4669113798797903,!1,[[11,"level"],[7,[0,17]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x8cc5f2655d251,!1,[[6,"levels"]]]]],[0,null,!1,null,8779884268123722,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,8770555103305842,!1,[[4,92]]],[92,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0x5716a5aa7ae6c,!1,[[4,57]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7254315214320884,!1,[[11,"level"],[7,[0,18]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,8135305683635174,!1,[[6,"levels"]]]]],[0,null,!1,null,9704051722724372,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x630ac0db3098e,!1,[[4,93]]],[93,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!0,!1,7146702752401046,!1,[[4,58]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5097182804737632,!1,[[11,"level"],[7,[0,19]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x80fbb4d43d8a6,!1,[[6,"levels"]]]]],[0,null,!1,null,0xf3e837ec26cd9,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xa35a4f81b5891,!1,[[4,94]]],[94,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0x910bc9b23ad32,!1,[[4,59]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,9752163584901126,!1,[[11,"level"],[7,[0,20]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x6aa8c6f647140,!1,[[6,"levels"]]]]],[0,null,!1,null,6545690730752501,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4675883821225109,!1,[[4,95]]],[95,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,8293160965077023,!1,[[4,60]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9990853293787022,!1,[[11,"level"],[7,[0,21]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,0xa7aab4ef9a632,!1,[[6,"levels"]]]]],[0,null,!1,null,9652089755400064,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6157128992177218,!1,[[4,96]]],[96,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0x6d4acfbe3982d,!1,[[4,61]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,803965440162417,!1,[[11,"level"],[7,[0,22]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6513469663706198,!1,[[6,"levels"]]]]],[0,null,!1,null,7148329389807785,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,0x40a314500f42e,!1,[[4,97]]],[97,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,7406417936027028,!1,[[4,62]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x57feb8018c7cc,!1,[[11,"level"],[7,[0,23]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x51c44fe3a6351,!1,[[6,"levels"]]]]],[0,null,!1,null,9434548199929788,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8822544606454296,!1,[[4,98]]],[98,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!0,!1,7365601301466798,!1,[[4,63]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x79b50ce2db705,!1,[[11,"level"],[7,[0,24]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,5575352144906501,!1,[[6,"levels"]]]]],[0,null,!1,null,8220946089624508,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xced67d2cca0ab,!1,[[4,99]]],[99,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,6623309613609436,!1,[[4,64]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,0xdffc7ba8bc2d,!1,[[11,"level"],[7,[0,25]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9169254829103860,!1,[[6,"levels"]]]]],[0,null,!1,null,0x96ae22db826dd,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9930320671817640,!1,[[4,100]]],[100,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,7657679919383132,!1,[[4,65]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6753181635864481,!1,[[11,"level"],[7,[0,26]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,5403328328761666,!1,[[6,"levels"]]]]],[0,null,!1,null,5549842349681769,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x53ed9d0e1e7ab,!1,[[4,101]]],[101,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,8962442327162235,!1,[[4,66]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6562509915165863,!1,[[11,"level"],[7,[0,27]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6426724778297089,!1,[[6,"levels"]]]]],[0,null,!1,null,0x4a89108c46d8b,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,969181603174404,!1,[[4,102]]],[102,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0xa755d4763932b,!1,[[4,67]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xd5e77d31ba1f9,!1,[[11,"level"],[7,[0,28]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6022821446572099,!1,[[6,"levels"]]]]],[0,null,!1,null,0x7ef2f542dbb6d,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xa11f566fbab99,!1,[[4,103]]],[103,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!0,!1,0x407caec8f8d96,!1,[[4,68]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6172021651327948,!1,[[11,"level"],[7,[0,29]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xd6495a5d91bc5,!1,[[6,"levels"]]]]],[0,null,!1,null,9659523797346136,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xc928389a7e962,!1,[[4,104]]],[104,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0x71a7aecf849c8,!1,[[4,69]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,0x3db6d65dceb17,!1,[[11,"level"],[7,[0,30]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x8930cd1ee0d01,!1,[[6,"levels"]]]]],[0,null,!1,null,6269323083181037,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8396307929721689,!1,[[4,105]]],[105,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,7160421677031029,!1,[[4,70]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x5218fd1983fd1,!1,[[11,"level"],[7,[0,31]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,8879403977935008,!1,[[6,"levels"]]]]],[0,null,!1,null,9371550780151294,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6862314792770466,!1,[[4,106]]],[106,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0x879acbf4916f6,!1,[[4,71]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6973160500375202,!1,[[11,"level"],[7,[0,32]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xe3d7e04ec2e2e,!1,[[6,"levels"]]]]],[0,null,!1,null,7600251199623549,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,5731896000491911,!1,[[4,107]]],[107,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0x8f5549d922b8a,!1,[[4,72]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7381224479184852,!1,[[11,"level"],[7,[0,33]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xf596e575546ef,!1,[[6,"levels"]]]]],[0,null,!1,null,4581859446099163,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,835521777974764,!1,[[4,108]]],[108,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!0,!1,0xb2dc9a7b0850f,!1,[[4,73]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xd80d8ba506b05,!1,[[11,"level"],[7,[0,34]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,428202680553843,!1,[[6,"levels"]]]]],[0,null,!1,null,8868111313800351,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5375358081062726,!1,[[4,109]]],[109,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,4911188473533638,!1,[[4,74]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,8267679589329449,!1,[[11,"level"],[7,[0,35]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6892911390499107,!1,[[6,"levels"]]]]]]],[0,[!0,"Store"],!1,null,0x4130f7779b136,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x4130f7779b136,!1,[[1,[2,"Store"]]]]],[],[[0,null,!1,null,5493417998504643,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6888066818862085,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xbb0cb0d0ff01c,
!1,[[4,41]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,9287884077172984,!1,[[1,[2,"lock2"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9aace946afe12,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8077639855955934,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6674016781015222,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,6088379033396962,!1,[[0,[0,9]]]]],[[0,null,!1,null,5190331767493094,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,7985477176343469,!1]],[],[[0,null,!1,null,6900262297572134,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,8695707630200772,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0x860c279c6c6b2,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,9333599058896184,!1,[[1,[2,"lock2"]]]]]]]],
[0,null,!1,null,9732580945824006,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,6347399572298141,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x5f564d0bda5a1,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xb3305dd0c9cf9,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,5312971010338149,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x9547579ca1a67,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8809895287213455,
!1,[[4,42]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,903494727976395,!1,[[1,[2,"lock3"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x3e44a3e3c9765,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7f269dafa5617,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x713df37275bea,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,8549155101043528,!1,[[0,[0,9]]]]],[[0,null,!1,null,4561337043518653,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0x9e0ced72b7520,!1]],[],[[0,null,!1,null,0x45f750e126c56,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,0xf43435b27536e,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,4511243047435874,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,6253273193590338,!1,[[1,[2,"lock3"]]]]]]]],
[0,null,!1,null,4684684991150452,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0xb35116c1b7229,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,6856283411160467,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x944b969714e77,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,6633281867260444,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7115377707957883,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8557560601565353,
!1,[[4,43]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,4738707128833458,!1,[[1,[2,"lock4"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4876833799003833,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8657692458161448,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8912355434132332,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa71316e71c900,!1,[[0,[0,9]]]]],[[0,null,!1,null,0xa86aa391e3375,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,6628576700042371,!1]],[],[[0,null,!1,null,8689123378527868,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,0x3dc9420c02a91,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,8886646025014381,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,9265921343345272,!1,[[1,[2,"lock4"]]]]]]]],
[0,null,!1,null,9458090725266884,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,8738801158904274,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,9590348722022862,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x5692e562fe7b6,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,8394410344168396,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8629572862733427,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x86d0ad66800c,
!1,[[4,44]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,9063993633358588,!1,[[1,[2,"lock5"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8925401126131779,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5191643875575178,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8677689585777319,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,7453495216231644,!1,[[0,[0,9]]]]],[[0,null,!1,null,916904003610274,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,5528476763107068,!1]],[],[[0,null,!1,null,9683510051118832,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,0x3eacd15e46770,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,361973045120125,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,5737649594604386,!1,[[1,[2,"lock5"]]]]]]]],
[0,null,!1,null,0xd3578313f3655,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,589495926552958,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,505484981501383,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5186935862778543,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,946383203460661,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xd16d24ff48f6,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x91c3499aae6f,
!1,[[4,45]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,5140226836690114,!1,[[1,[2,"lock6"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4750582856013423,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8273828622212839,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8254749209316343,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,0x7986ab08d6d42,!1,[[0,[0,9]]]]],[[0,null,!1,null,0xaf29d625ce51b,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,7039122870687231,!1]],[],[[0,null,!1,null,8471877732143745,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,7692878029265965,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,9233524896923684,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,0x7b259a3df73e5,!1,[[1,[2,"lock6"]]]]]]]],
[0,null,!1,null,8547560204613216,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0x4a6bbb904335e,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,7953894312176913,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x86eac26115f18,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,6301908029492703,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x4476d04417af6,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xed9e0aaf4a99,
!1,[[4,46]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,7311514033609073,!1,[[1,[2,"lock7"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x3a7f1bcd38665,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9280585224356916,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5925802055306069,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,0x8aa7e02d2646f,!1,[[0,[0,9]]]]],[[0,null,!1,null,8937676724277171,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,8338598693035571,!1]],[],[[0,null,!1,null,535002822869599,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,5557215832817528,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0xbd53e36a734a2,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,9317366326200048,!1,[[1,[2,"lock7"]]]]]]]],
[0,null,!1,null,5813085689168391,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0xa94fe67318cf3,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,8973522443514925,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5337556706369965,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,0xac946ceb43af9,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xe929516b7ca7,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8936327436040195,
!1,[[4,47]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,8970967883112292,!1,[[1,[2,"lock8"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7061477507914371,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5763228293333703,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,7143377783955012,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,7040043031326624,!1,[[0,[0,9]]]]],[[0,null,!1,null,5990574465741607,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,4809099026327849,!1]],[],[[0,null,!1,null,0xa223dc033ffb0,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,5049492492523204,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0x60a085db46d74,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,9475260506724836,!1,[[1,[2,"lock8"]]]]]]]],
[0,null,!1,null,0xcff0438010718,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0x5d085de559b62,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x4f2bf2dca0155,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9403371618298808,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,960107323060123,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5142263371978321,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xb330e725e657d,
!1,[[4,48]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,0x3f4b811212eed,!1,[[1,[2,"lock9"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4671455889073261,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x5056dec792d88,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9621159752908844,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,0x93a4d9d344c1b,!1,[[0,[0,9]]]]],[[0,null,!1,null,0xe53f544cc9a44,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,7329781365851622,!1]],[],[[0,null,!1,null,0xf1414ca1e3b6,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,0xf71e52f181fc6,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,8877549080003307,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,5584336583619311,!1,[[1,[2,"lock9"]]]]]]]],
[0,null,!1,null,0xcb01f83c39390,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,593093505347489,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd355f628ff981,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x69f64979c1151,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,0x536437b7e6267,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5053345965195051,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,5745476463069579,
!1,[[4,49]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,9931636600315848,!1,[[1,[2,"lock10"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x4b65b39ec7369,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6756698865143194,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5650007570362609,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,8779953372476457,!1,[[0,[0,9]]]]],[[0,null,!1,null,6893044767745433,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,7666634578783483,!1]],[],[[0,null,!1,null,9350328227650124,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,9616985261393522,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,5556622232107534,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,6951996146733955,!1,[[1,[2,"lock10"]]]]]]]],
[0,null,!1,null,0x891d55e804011,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,4683549442350988,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb9c6c1eb22fcd,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xb9c2141b4575,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,5706828545578425,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6699543764530156,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x9a972bc396ceb,
!1,[[4,50]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,9910412161558552,!1,[[1,[2,"lock11"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xbfebcdd87db09,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9640728178299944,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,7814127113292587,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,9180091247260408,!1,[[0,[0,9]]]]],[[0,null,!1,null,4646968152596192,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0x66668022edb9f,!1]],[],[[0,null,!1,null,6582141858471119,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,6642735983560962,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,4947397522731194,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,6138706316930899,!1,[[1,[2,"lock11"]]]]]]]],
[0,null,!1,null,4900190613834031,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,9269394203574764,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf792dd4e7df19,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9148421591285144,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,9097337382210240,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xf06bc0e3414c4,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x9b15d49a009a2,
!1,[[4,51]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,5229673847896698,!1,[[1,[2,"lock12"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9e81362d3429d,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4742406174231249,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,735714096001813,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,6567622138526683,!1,[[0,[0,9]]]]],[[0,null,!1,null,9178449521141400,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0xfdc5c395fcc55,!1]],[],[[0,null,!1,null,6294135700655249,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,9957447092530732,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,9256979651315464,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,624003641816327,!1,[[1,[2,"lock12"]]]]]]]],
[0,null,!1,null,4863238893672526,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0xabaf7b4050094,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb71de7bb24268,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xe69729de2ec36,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,9993775911519072,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8481510022056799,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6418305965695649,
!1,[[4,52]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,9140351434400140,!1,[[1,[2,"lock13"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x6935fce5a711a,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x69cefa4bf4201,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x53f5076a3241c,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,5889112544313446,!1,[[0,[0,9]]]]],[[0,null,!1,null,6184998143655573,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,7199448906930189,!1]],[],[[0,null,!1,null,0x5aea527859bdd,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,0xaee7af27df8b0,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,6929569004895231,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,4849153251867625,!1,[[1,[2,"lock13"]]]]]]]],
[0,null,!1,null,0xf00ce17b8a158,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,7611376833265885,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,549037191680518,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xa9474633b4956,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,0xb949604a3ee,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,4859520569000954,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6135728658320471,
!1,[[4,53]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,7199789115210592,!1,[[1,[2,"lock14"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x45efd5a70da0f,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xdadf554373349,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x93280ee4280c0,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,9628957038816324,!1,[[0,[0,9]]]]],[[0,null,!1,null,0xe314ada7802f4,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0xf78db00b64074,!1]],[],[[0,null,!1,null,0x804119c50ec0a,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,8064338575763912,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,9604772046185268,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,8711923443787592,!1,[[1,[2,"lock14"]]]]]]]],
[0,null,!1,null,9936997110017060,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,9952486545008714,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,8360677285677225,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,4899365883805671,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,0xd9db1c087451b,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x8a314aeb2993b,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,4993496493328794,
!1,[[4,54]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,0x8471cf8e2826f,!1,[[1,[2,"lock15"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5576545194262286,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xdffb6cb4b8862,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x65ebc10b926f7,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,8330313009291919,!1,[[0,[0,9]]]]],[[0,null,!1,null,8153203944172528,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0xb6350756f4eb4,!1]],[],[[0,null,!1,null,8306372303524715,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,0xd62b49f861f1c,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,7193014662815533,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,7621819343390477,!1,[[1,[2,"lock15"]]]]]]]],
[0,null,!1,null,0x41e0ed61c8371,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,7119865750609488,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,8692589881745326,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x3f45d1ec82af0,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,7872872249899432,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5406934976526803,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,5337381906395153,
!1,[[4,55]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,0xfbf8623aa1b3d,!1,[[1,[2,"lock16"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xd3974c52a41b2,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9007631119517394,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,381389175003964,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,5202205259005749,!1,[[0,[0,9]]]]],[[0,null,!1,null,7947983481032132,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0xd119299d98913,!1]],[],[[0,null,!1,null,8052172961134335,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,7737068699364459,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,6905579933093587,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,8467152601426683,!1,[[1,[2,"lock16"]]]]]]]],
[0,null,!1,null,7435410181687446,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0xfabd1b435105e,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,9557189341589388,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9516456395524236,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,7969372797638163,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9407186998300626,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xc51f9ba373c9c,
!1,[[4,56]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,0xcdfe7ffcf810a,!1,[[1,[2,"lock17"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6043664336650641,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xc81c8f18131f2,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x814afcfad0f28,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,0xf405f958d34b2,!1,[[0,[0,9]]]]],[[0,null,!1,null,0xb94056c81b0fe,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,6071263879384807,!1]],[],[[0,null,!1,null,8194651261665262,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,8354355359164411,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0xb1788037c5a9c,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,450281679561379,!1,[[1,[2,"lock17"]]]]]]]],
[0,null,!1,null,7291759593656414,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,8073199904894231,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,8085056238560066,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5440487112669558,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,838682696924704,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x6dab2fd423c5,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x862982f5486a7,
!1,[[4,57]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,0xbdd4e35ebab00,!1,[[1,[2,"lock18"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,581584741808534,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xfdd306c62c9f8,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6653100023414565,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,883630579439308,!1,[[0,[0,9]]]]],[[0,null,!1,null,7938398034189019,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,8976916871439262,!1]],[],[[0,null,!1,null,0x51df4bf84f841,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,0xcb2f3981c3820,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,9309397070182798,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,457334131809659,!1,[[1,[2,"lock18"]]]]]]]],
[0,null,!1,null,0xb92278e98e6ae,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0x4e26b0127c307,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,8468187310166953,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x7504460eb8833,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,0x637f0bcf6d0c2,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9292196279631E3,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x6473918fc11be,
!1,[[4,58]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,94119802807078,!1,[[1,[2,"lock19"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xcbe61a1ae983d,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8274452836615749,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8568005280233098,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,5038439241624199,!1,[[0,[0,9]]]]],[[0,null,!1,null,0xeeb4c23930bc5,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,6481525393237843,!1]],[],[[0,null,!1,null,0xc55108274345d,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,8488203439333962,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,5428846367357785,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,6023657202753136,!1,[[1,[2,"lock19"]]]]]]]],
[0,null,!1,null,18336989904024,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0xeb2bb083fd2a3,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x61ca0018058ad,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xc1caa54eeffaf,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,5871220218120291,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8642007566975676,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xdf16b81f0daf4,
!1,[[4,59]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,9795993287792392,!1,[[1,[2,"lock20"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8649581103285367,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9601670783680606,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xd4f342704a209,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,635192575205135,!1,[[0,[0,9]]]]],[[0,null,!1,null,0x7a9117a2fd55b,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0x4e78a66dafadf,!1]],[],[[0,null,!1,null,0x5599702995bf7,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,8171516957085657,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0xfb492f7e5e69a,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,6485712038527772,!1,[[1,[2,"lock20"]]]]]]]],
[0,null,!1,null,0x8d4fb9ad6afab,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0x8e7a98375d00b,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,8945550871107716,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9257251079121262,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,7376743624574822,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x63b11d8c674c4,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x9db85b43f1093,
!1,[[4,60]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,0xefc2e43ee86ce,!1,[[1,[2,"lock21"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9204777934235816,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7610186935605345,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8469333571817332,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,9404617681700420,!1,[[0,[0,9]]]]],[[0,null,!1,null,7019999782995508,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0xb60d829690940,!1]],[],[[0,null,!1,null,0xc7a07c2df1dd7,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,6363674534111907,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,4917490416776547,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,0xc5186be9a2fd5,!1,[[1,[2,"lock21"]]]]]]]],
[0,null,!1,null,9420115055754586,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,9503085754385486,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,5376125834400831,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6775269376825173,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,0x4ac4405f17a49,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x9d9c57d9e4245,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,4887912514406907,
!1,[[4,61]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,4972017140695833,!1,[[1,[2,"lock22"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6657119328254532,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9f0f78b9808fe,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xdc21d294cb316,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,0x3f8e6844c2aa6,!1,[[0,[0,9]]]]],[[0,null,!1,null,5130645410266073,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0xe2da2d39ac5a1,!1]],[],[[0,null,!1,null,5281225029835379,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,8157018499971555,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,5623619797082908,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,8293191921656428,!1,[[1,[2,"lock22"]]]]]]]],
[0,null,!1,null,9338268361754388,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,8775578389055739,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,8565182234361228,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8710595765329566,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,7371241118652949,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9257330016663232,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,5896467033754731,
!1,[[4,62]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,7399249964679406,!1,[[1,[2,"lock23"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xaccc704565b0b,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8719146799078643,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8025682743631632,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,7166966136375497,!1,[[0,[0,9]]]]],[[0,null,!1,null,4727215067661152,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,4882914160229961,!1]],[],[[0,null,!1,null,0xdc6010b1e5883,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,5764297241570057,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,93716033724256,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,9988835490400818,!1,[[1,[2,"lock23"]]]]]]]],
[0,null,!1,null,6460681000407783,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,9558212244746412,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,641119395896932,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6975751057257358,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,0xe78bde774d275,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,582012097364494,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x802da22ef71be,
!1,[[4,63]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,7688279042989357,!1,[[1,[2,"lock24"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6095186575385062,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6035889148176393,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8430184137597834,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa303eb8ba9fde,!1,[[0,[0,9]]]]],[[0,null,!1,null,0xb5d279a52a209,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0x3f6078d6b7d20,!1]],[],[[0,null,!1,null,5699713063788439,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,0xab0f27f401b6d,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0xbe542f5a5682f,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,0xc1490f68c836e,!1,[[1,[2,"lock24"]]]]]]]],
[0,null,!1,null,583580285375587,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0x960f02b7d5dd9,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x7f2bd4ddea55f,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9788533700889582,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,6538340769145189,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xf183be898b381,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6851558247171207,
!1,[[4,64]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,7642148555060096,!1,[[1,[2,"lock25"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7820161932775297,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4801706827916962,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9327003700049806,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,8098498857278699,!1,[[0,[0,9]]]]],[[0,null,!1,null,0xb5504c1502676,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,8142279213138533,!1]],[],[[0,null,!1,null,8412372473682669,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,5062631359604582,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,7017326059008358,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,7315987197543284,!1,[[1,[2,"lock25"]]]]]]]],
[0,null,!1,null,7396373901759564,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0xeb115fe477ecc,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9c16b3bef84b8,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x9e3dad507328e,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,4628571491147801,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8196108383260806,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7861129631455136,
!1,[[4,65]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,8670871248436438,!1,[[1,[2,"lock26"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7482323584201016,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7347643080384981,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x572e2d48250df,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,0xb059957a58f98,!1,[[0,[0,9]]]]],[[0,null,!1,null,0x7ecf99bd70e0d,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0xe61ccdecd7c5a,!1]],[],[[0,null,!1,null,0x423524c25be47,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,9569238313506372,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0xd486107eaef3b,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,5227459058847063,!1,[[1,[2,"lock26"]]]]]]]],
[0,null,!1,null,6617618219428359,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0x63bd3f81e3750,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,8100966589688599,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xfd627bf266fcd,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,6910880800210865,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x4a16ba3d8f99b,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6060544938408711,
!1,[[4,66]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,0x57b05ad34b6c1,!1,[[1,[2,"lock27"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xb48a625cad1d4,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8955945137236218,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9190403417620720,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,0x8f77d47200a1a,!1,[[0,[0,9]]]]],[[0,null,!1,null,4650356936807673,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0xb6a807aacfd6,!1]],[],[[0,null,!1,null,4932172520355686,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,4705126622176034,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0x4f658980f956d,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,7940467781429749,!1,[[1,[2,"lock27"]]]]]]]],
[0,null,!1,null,5600022301371889,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0x81ac787b7996b,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,6352056808789593,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9995653027276338,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,0x48a1c45c8b7cd,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x92cdbef874285,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7760593099676386,
!1,[[4,67]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,6120876225411755,!1,[[1,[2,"lock28"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6519681705762545,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x62aeee76a6455,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x81c6eece9789f,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,8023008367320185,!1,[[0,[0,9]]]]],[[0,null,!1,null,0x67e507f26930,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0x828d121eac74c,!1]],[],[[0,null,!1,null,0x87a5fc2aa4dff,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,5805876481858884,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,762959311993961,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,7742898143038183,!1,[[1,[2,"lock28"]]]]]]]],
[0,null,!1,null,0xacd81a3fa23a7,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,8580504012640004,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,895812996317928,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x9a6f4fafa4381,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,4579597023707102,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5292241991970122,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,542048857682091,
!1,[[4,68]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,6647607481904848,!1,[[1,[2,"lock29"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6307785073035711,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,480281476406959,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,4882982936943689,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,9615225063571176,!1,[[0,[0,9]]]]],[[0,null,!1,null,416960157768944,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,8391677851713111,!1]],[],[[0,null,!1,null,5705752795306292,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,0xed19d1cd0eccb,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0xd9b3bb87e3e83,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,841940877526928,!1,[[1,[2,"lock29"]]]]]]]],
[0,null,!1,null,749655816061349,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0x3e54a9d3eda56,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,5819956406840894,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6929520930405031,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,0x8550223f4f5b8,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x3b283401bfa5a,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6828166464057293,
!1,[[4,69]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,0xf914463875a37,!1,[[1,[2,"lock30"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6787378241708919,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5792023566500364,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8620713922051169,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,0xba40fc23532ae,!1,[[0,[0,9]]]]],[[0,null,!1,null,7157009166398159,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,920454349699949,!1]],[],[[0,null,!1,null,0xc1ed68ea39129,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,6743752092328794,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,329393771476581,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,0x5c8e901c856e7,!1,[[1,[2,"lock30"]]]]]]]],
[0,null,!1,null,0xfa58031e73736,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,9410708279838604,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,9700417639214782,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,7578813355883914,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,9881177338152764,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xb45de6a57e512,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7980427860227676,
!1,[[4,70]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,0x574c7b0239858,!1,[[1,[2,"lock31"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,969081380722252,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7760352449563599,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x9b322c7351ae,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,8704726911907252,!1,[[0,[0,9]]]]],[[0,null,!1,null,6797411510138252,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,8060092698569144,!1]],[],[[0,null,!1,null,0xe82c7f8d57ab5,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,5291630738736551,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,6008509410699857,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,0xf7de8b1bfc2f,!1,[[1,[2,"lock31"]]]]]]]],
[0,null,!1,null,7596016146219548,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,4771560405585503,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9f4b50f3da73d,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,7900914996259907,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,4655967759899247,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,937979930219769,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9689402956728836,
!1,[[4,71]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,0xf9c1fd8f5318b,!1,[[1,[2,"lock32"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9902366010748106,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5854415081479661,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6080591071048239,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,0xf8820926f3880,!1,[[0,[0,9]]]]],[[0,null,!1,null,6338975182781983,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0x90d83b395cc21,!1]],[],[[0,null,!1,null,0xd8d5ce1458b3a,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,0xcac18c2c34753,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0xc4dcb54cbaae7,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,0x56983918a61cd,!1,[[1,[2,"lock32"]]]]]]]],
[0,null,!1,null,658144147447788,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,9689082122014876,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,730604309509087,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,7642602333408172,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,4614623653274133,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x866891da5f70f,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,5342274439873964,
!1,[[4,72]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,0xd3f9406e35061,!1,[[1,[2,"lock33"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6858511042293564,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6648896138051233,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,622753407161818,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,0x9ba177adb4c2,!1,[[0,[0,9]]]]],[[0,null,!1,null,6686190905457536,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0xc0f4961b32b46,!1]],[],[[0,null,!1,null,0x6cc761e1eae72,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,0xdec79b4ee16c5,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0x481af88f6e30c,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,5169157828436424,!1,[[1,[2,"lock33"]]]]]]]],
[0,null,!1,null,7215732137574097,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,6392213655811457,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,8460704182316501,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,791351915756715,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,7004735652278644,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xf381bef03fa2d,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xb01a5b506c38,
!1,[[4,73]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,8597076891737861,!1,[[1,[2,"lock34"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xdcf7e937a2f37,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8301419828924517,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xdaae72d0ace24,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,0x71ae2e9e8b481,!1,[[0,[0,9]]]]],[[0,null,!1,null,0x72b3e1e333d9a,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,7669045612928267,!1]],[],[[0,null,!1,null,4716754043357119,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,9520521016266702,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0x86f520be64441,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,0x66726b80dfec6,!1,[[1,[2,"lock34"]]]]]]]],
[0,null,!1,null,0x7cb036a701a88,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,4796990735733394,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,7978090847225135,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8707192735436626,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]],[0,null,!1,null,0xdd79c7d69e043,[[6,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8328755231300109,!1,[[4,111]]],[111,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xdc0dc90c64ba0,
!1,[[4,74]]]],[[5,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,690377272245319,!1,[[1,[2,"lock35"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4955472939800541,!1,[[4,124],[5,[0,2]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x95bbab81a339a,!1,[[4,125],[5,[0,2]],[0,[7,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,2]]],[0,[0,560]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6690956129534495,!1,[[1,[2,"Gotolevel"]],
[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa96c1df7b7566,!1,[[0,[0,9]]]]],[[0,null,!1,null,7358766916600433,[[5,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,6763213704427734,!1]],[],[[0,null,!1,null,7865190941830658,[[5,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,0x881094405e54f,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,9842584343167784,!1,[[0,[1,4.5]]]],[5,cr.plugins_.CJSAds.prototype.acts.Purchase,null,8405254930428919,!1,[[1,[2,"lock35"]]]]]]]],
[0,null,!1,null,0xacb6ab342a465,[],[[124,cr.plugins_.TiledBg.prototype.acts.Destroy,null,4717476424767711,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,5256758007560781,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,7028996640684037,!1,[[1,[2,"Gotolevel"]],[3,1]]]]]]]]],[0,null,!1,null,0xe0fb7b907b025,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0xec4980e6d6ed,!1,[[1,[2,"lock2"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6936602121426212,
!1,[[1,[2,"saveselectlevel1"]],[7,[0,2]]]]]],[0,null,!1,null,0x6bdb2f3749a3b,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,443369387224187,!1,[[1,[2,"lock3"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x9ee0f92c6272f,!1,[[1,[2,"saveselectlevel2"]],[7,[0,2]]]]]],[0,null,!1,null,0x63566e82832c1,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,9498682474369004,!1,[[1,[2,"lock4"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,8557362517832515,!1,[[1,[2,"saveselectlevel3"]],[7,[0,2]]]]]],[0,null,!1,null,5645736783640921,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0x765dc3cf7aaed,!1,[[1,[2,"lock5"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x4d69c9af41e20,!1,[[1,[2,"saveselectlevel4"]],[7,[0,2]]]]]],[0,null,!1,null,0x90084e7e58386,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,943201734585287,!1,[[1,[2,"lock6"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,6180698566171417,!1,[[1,[2,"saveselectlevel5"]],[7,[0,2]]]]]],[0,null,!1,null,9792584401526016,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,5263727683352339,!1,[[1,[2,"lock7"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xc0386066d4b91,!1,[[1,[2,"saveselectlevel6"]],[7,[0,2]]]]]],[0,null,!1,null,0xf9770bea5398e,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0x9ef1fa242497b,!1,[[1,[2,"lock8"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,7472608849680502,!1,[[1,[2,"saveselectlevel7"]],[7,[0,2]]]]]],[0,null,!1,null,8122775112127659,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0xedc33d4ddf94a,!1,[[1,[2,"lock9"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,902728456096844,!1,[[1,[2,"saveselectlevel8"]],[7,[0,2]]]]]],[0,null,!1,null,30153010415294,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,5710005509469597,!1,[[1,[2,"lock10"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,8913659415780224,!1,[[1,[2,"saveselectlevel9"]],[7,[0,2]]]]]],[0,null,!1,null,9487275554483154,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0x943a16f8acab4,!1,[[1,[2,"lock11"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6298338057494069,!1,[[1,[2,"saveselectlevel10"]],[7,[0,2]]]]]],[0,null,!1,null,9180075663205154,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,6137065017312386,!1,[[1,[2,"lock12"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,9929203296437458,!1,[[1,[2,"saveselectlevel11"]],[7,[0,2]]]]]],[0,null,!1,null,0x9c12c1afe90c,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0xa22e2c274b917,!1,[[1,[2,"lock13"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,8697394476058582,!1,[[1,[2,"saveselectlevel12"]],[7,[0,2]]]]]],[0,null,!1,null,23358394016023,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,7777663030371092,!1,[[1,[2,"lock14"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,8063363337940127,!1,[[1,[2,"saveselectlevel13"]],[7,[0,2]]]]]],[0,null,!1,null,7666139115196879,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,457328203686224,!1,[[1,[2,"lock15"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xc09240c172739,!1,[[1,[2,"saveselectlevel14"]],[7,[0,2]]]]]],[0,null,!1,null,650754661813574,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0xce0954ca09671,!1,[[1,[2,"lock16"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,4648012898088147,!1,[[1,[2,"saveselectlevel15"]],[7,[0,2]]]]]],[0,null,!1,null,7751522060075517,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0xa6def93be4c98,!1,[[1,[2,"lock17"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xa5c767dbbe666,!1,[[1,[2,"saveselectlevel16"]],[7,[0,2]]]]]],[0,null,!1,null,0x91765117c2787,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,5712931767566874,!1,[[1,[2,"lock18"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,7670609479511595,!1,[[1,[2,"saveselectlevel17"]],[7,[0,2]]]]]],[0,null,!1,null,8847799986862903,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,8160263484966706,!1,[[1,[2,"lock19"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7737677715222965,!1,[[1,[2,"saveselectlevel18"]],[7,[0,2]]]]]],[0,null,!1,null,0xdaade40d7e823,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0x9dcad9f289c1,!1,[[1,[2,"lock20"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,6241121497591891,!1,[[1,[2,"saveselectlevel19"]],[7,[0,2]]]]]],[0,null,!1,null,829236494046829,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,6624498404968699,!1,[[1,[2,"lock21"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,5186087612370617,!1,[[1,[2,"saveselectlevel20"]],[7,[0,2]]]]]],[0,null,!1,null,0xf50e64eb9f19d,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0xecaf5ee18e30f,!1,[[1,[2,"lock22"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,0x68fd35cba6ae1,!1,[[1,[2,"saveselectlevel21"]],[7,[0,2]]]]]],[0,null,!1,null,0x3dd785f56a2a6,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0xd4adff6afaa02,!1,[[1,[2,"lock23"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6639250968656293,!1,[[1,[2,"saveselectlevel22"]],[7,[0,2]]]]]],[0,null,!1,null,7624303761594821,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0xb7e2603a6994b,!1,[[1,[2,"lock24"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,6827604660763236,!1,[[1,[2,"saveselectlevel23"]],[7,[0,2]]]]]],[0,null,!1,null,6183913454798595,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,6804650920592109,!1,[[1,[2,"lock25"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,5606804398717383,!1,[[1,[2,"saveselectlevel24"]],[7,[0,2]]]]]],[0,null,!1,null,0xeedf2dfcc6b4f,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,6358470282073502,!1,[[1,[2,"lock26"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,0x77a12288280c2,!1,[[1,[2,"saveselectlevel25"]],[7,[0,2]]]]]],[0,null,!1,null,9996826382115372,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0x9765e55e94a2c,!1,[[1,[2,"lock27"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x947cb9eb21be8,!1,[[1,[2,"saveselectlevel26"]],[7,[0,2]]]]]],[0,null,!1,null,8832478510502741,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,9982730712712424,!1,[[1,[2,"lock28"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,8541679741426002,!1,[[1,[2,"saveselectlevel27"]],[7,[0,2]]]]]],[0,null,!1,null,6444487468508255,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,4882522937906035,!1,[[1,[2,"lock29"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6499583195846894,!1,[[1,[2,"saveselectlevel28"]],[7,[0,2]]]]]],[0,null,!1,null,0xc5d9aa361a61d,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0xa167a24549769,!1,[[1,[2,"lock30"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,0xdfbd7bef75e1a,!1,[[1,[2,"saveselectlevel29"]],[7,[0,2]]]]]],[0,null,!1,null,0x66e48b812192c,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,8003469550810667,!1,[[1,[2,"lock31"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,25878112127658,!1,[[1,[2,"saveselectlevel30"]],[7,[0,2]]]]]],[0,null,!1,null,6319222893926098,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,8667641024624875,!1,[[1,[2,"lock32"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,4971784902633412,!1,[[1,[2,"saveselectlevel31"]],[7,[0,2]]]]]],[0,null,!1,null,7525216662224285,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0x8e2398c10c739,!1,[[1,[2,"lock33"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf928379f002df,!1,[[1,[2,"saveselectlevel32"]],[7,[0,2]]]]]],[0,null,!1,null,4774523498295344,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,888827737113829,!1,[[1,[2,"lock34"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,7484966669159475,!1,[[1,[2,"saveselectlevel33"]],[7,[0,2]]]]]],[0,null,!1,null,704370473247069,[[5,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,8781075223615419,!1,[[1,[2,"lock35"]]]]],[[110,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6185010843624625,!1,[[1,[2,"saveselectlevel34"]],[7,[0,2]]]]]]]]],[["sp0000.m4a",111664],["sp0000.ogg",112421],["sound4.m4a",9484],["sound4.ogg",12388],["sound2.m4a",38408],["sound2.ogg",38817],["sound1.m4a",9208],["sound 1.ogg",
11938],["sound5.m4a",17071],["sound5.ogg",19755],["sound5a.m4a",14020],["sound5a.ogg",17317]],"",!1,720,1280,4,!0,!0,!0,"1.0.0.0",!0,!1,0,1,130,!1,!0,1,!0,[]]};

createCocoonJSRuntime();

})();
